local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "vpnGateways": { "methods": { "delete": { "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "id": "compute.vpnGateways.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified VPN gateway.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path" }, "vpnGateway": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the VPN gateway to delete.", "required": true, "type": "string", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "vpnGateway" ] }, "aggregatedList": { "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "maxResults": { "default": "500", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." } }, "path": "projects/{project}/aggregated/vpnGateways", "parameterOrder": [ "project" ], "httpMethod": "GET", "response": { "$ref": "VpnGatewayAggregatedList" }, "flatPath": "projects/{project}/aggregated/vpnGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.vpnGateways.aggregatedList", "description": "Retrieves an aggregated list of VPN gateways." }, "setLabels": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "type": "string", "description": "The region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "resource": { "required": true, "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionSetLabelsRequest" }, "id": "compute.vpnGateways.setLabels", "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "description": "Sets the labels on a VpnGateway. To learn more about labels, read the Labeling Resources documentation." }, "getStatus": { "id": "compute.vpnGateways.getStatus", "response": { "$ref": "VpnGatewaysGetStatusResponse" }, "description": "Returns the status for the specified VPN gateway.", "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "parameterOrder": [ "project", "region", "vpnGateway" ], "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "vpnGateway": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the VPN gateway to return.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region for this request.", "location": "path" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "response": { "$ref": "VpnGateway" }, "parameterOrder": [ "project", "region", "vpnGateway" ], "httpMethod": "GET", "id": "compute.vpnGateways.get", "description": "Returns the specified VPN gateway. Gets a list of available VPN gateways by making a list() request.", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "vpnGateway": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the VPN gateway to return." }, "region": { "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" } }, "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}" }, "insert": { "id": "compute.vpnGateways.insert", "parameters": { "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "path": "projects/{project}/regions/{region}/vpnGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a VPN gateway in the specified project and region using the data included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "VpnGateway" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/vpnGateways", "httpMethod": "POST" }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "id": "compute.vpnGateways.testIamPermissions", "parameters": { "region": { "location": "path", "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" } }, "list": { "flatPath": "projects/{project}/regions/{region}/vpnGateways", "parameterOrder": [ "project", "region" ], "id": "compute.vpnGateways.list", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query", "format": "uint32", "type": "integer" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "VpnGatewayList" }, "path": "projects/{project}/regions/{region}/vpnGateways", "description": "Retrieves a list of VPN gateways available to the specified project and region." } } }, "sslPolicies": { "methods": { "listAvailableFeatures": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "description": "Lists all features that can be specified in the SSL policy when using custom profile.", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/global/sslPolicies/listAvailableFeatures", "httpMethod": "GET", "response": { "$ref": "SslPoliciesListAvailableFeaturesResponse" }, "id": "compute.sslPolicies.listAvailableFeatures", "flatPath": "projects/{project}/global/sslPolicies/listAvailableFeatures" }, "delete": { "description": "Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.", "parameterOrder": [ "project", "sslPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "id": "compute.sslPolicies.delete", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sslPolicy": { "location": "path", "type": "string", "description": "Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.", "required": true } }, "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "httpMethod": "DELETE" }, "patch": { "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "id": "compute.sslPolicies.patch", "request": { "$ref": "SslPolicy" }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "sslPolicy": { "type": "string", "required": true, "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path" } }, "description": "Patches the specified SSL policy with the data included in the request.", "parameterOrder": [ "project", "sslPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "response": { "$ref": "Operation" } }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/sslPolicies", "httpMethod": "GET", "id": "compute.sslPolicies.aggregatedList", "path": "projects/{project}/aggregated/sslPolicies", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "maxResults": { "location": "query", "minimum": "0", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "description": "Name of the project scoping this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "description": "Retrieves the list of all SslPolicy resources, regional and global, available to the specified project.", "response": { "$ref": "SslPoliciesAggregatedList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SslPoliciesList" }, "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "maxResults": { "default": "500", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "httpMethod": "GET", "flatPath": "projects/{project}/global/sslPolicies", "id": "compute.sslPolicies.list", "path": "projects/{project}/global/sslPolicies", "parameterOrder": [ "project" ], "description": "Lists all the SSL policies that have been configured for the specified project." }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request." } }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.sslPolicies.testIamPermissions", "flatPath": "projects/{project}/global/sslPolicies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/sslPolicies/{resource}/testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource." }, "insert": { "flatPath": "projects/{project}/global/sslPolicies", "request": { "$ref": "SslPolicy" }, "parameterOrder": [ "project" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "description": "Returns the specified SSL policy resource. Gets a list of available SSL policies by making a list() request.", "path": "projects/{project}/global/sslPolicies", "id": "compute.sslPolicies.insert", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "id": "compute.sslPolicies.get", "description": "Lists all of the ordered rules present in a single specified policy.", "httpMethod": "GET", "parameters": { "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "sslPolicy": { "type": "string", "location": "path", "required": true, "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035." } }, "response": { "$ref": "SslPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "parameterOrder": [ "project", "sslPolicy" ] } } }, "disks": { "methods": { "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "zone", "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy", "request": { "$ref": "ZoneSetPolicyRequest" }, "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "path": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy", "id": "compute.disks.setIamPolicy", "httpMethod": "POST" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "zone": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request." } }, "path": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "id": "compute.disks.testIamPermissions" }, "insert": { "parameters": { "zone": { "location": "path", "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "sourceImage": { "location": "query", "type": "string", "description": "Source image to restore onto a disk. This field is optional." } }, "response": { "$ref": "Operation" }, "request": { "$ref": "Disk" }, "path": "projects/{project}/zones/{zone}/disks", "parameterOrder": [ "project", "zone" ], "description": "Creates a persistent disk in the specified project using the data in the request. You can create a disk from a source (sourceImage, sourceSnapshot, or sourceDisk) or create an empty 500 GB data disk by omitting all properties. You can also create a disk that is larger than the default size by specifying the sizeGb property.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/disks", "id": "compute.disks.insert" }, "delete": { "id": "compute.disks.delete", "flatPath": "projects/{project}/zones/{zone}/disks/{disk}", "path": "projects/{project}/zones/{zone}/disks/{disk}", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "disk": { "description": "Name of the persistent disk to delete.", "required": true, "location": "path", "type": "string" } }, "description": "Deletes the specified persistent disk. Deleting a disk removes its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameterOrder": [ "project", "zone", "disk" ], "response": { "$ref": "Operation" } }, "createSnapshot": { "id": "compute.disks.createSnapshot", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "Snapshot" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "parameters": { "guestFlush": { "type": "boolean", "location": "query", "description": "[Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process." }, "disk": { "description": "Name of the persistent disk to snapshot.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.", "parameterOrder": [ "project", "zone", "disk" ] }, "setLabels": { "path": "projects/{project}/zones/{zone}/disks/{resource}/setLabels", "description": "Sets the labels on a disk. To learn more about labels, read the Labeling Resources documentation.", "request": { "$ref": "ZoneSetLabelsRequest" }, "parameters": { "zone": { "required": true, "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project", "zone", "resource" ], "id": "compute.disks.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setLabels", "httpMethod": "POST" }, "resize": { "request": { "$ref": "DisksResizeRequest" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Resizes the specified persistent disk. You can only increase the size of the disk.", "path": "projects/{project}/zones/{zone}/disks/{disk}/resize", "id": "compute.disks.resize", "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/resize", "parameterOrder": [ "project", "zone", "disk" ], "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "The name of the persistent disk.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "The name of the zone for this request.", "required": true } } }, "update": { "httpMethod": "PATCH", "parameterOrder": [ "project", "zone", "disk" ], "parameters": { "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The disk name for this request.", "required": true, "location": "path", "type": "string" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "update_mask indicates fields to be updated as part of this request." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "paths": { "type": "string", "location": "query", "repeated": true } }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}", "path": "projects/{project}/zones/{zone}/disks/{disk}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Disk" }, "response": { "$ref": "Operation" }, "id": "compute.disks.update", "description": "Updates the specified disk with the data included in the request. The update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license." }, "removeResourcePolicies": { "description": "Removes resource policies from a disk.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "disk" ], "request": { "$ref": "DisksRemoveResourcePoliciesRequest" }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies", "parameters": { "disk": { "description": "The disk name for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.disks.removeResourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies" }, "list": { "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/disks", "response": { "$ref": "DiskList" }, "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "type": "integer", "format": "uint32" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "flatPath": "projects/{project}/zones/{zone}/disks", "description": "Retrieves a list of persistent disks contained within the specified zone.", "id": "compute.disks.list" }, "getIamPolicy": { "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "format": "int32", "location": "query" }, "zone": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "id": "compute.disks.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ] }, "addResourcePolicies": { "request": { "$ref": "DisksAddResourcePoliciesRequest" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies", "response": { "$ref": "Operation" }, "id": "compute.disks.addResourcePolicies", "parameterOrder": [ "project", "zone", "disk" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "disk": { "type": "string", "description": "The disk name for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "description": "Adds existing resource policies to a disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation." }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.disks.aggregatedList", "httpMethod": "GET", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/disks", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "maxResults": { "minimum": "0", "location": "query", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "description": "Retrieves an aggregated list of persistent disks.", "flatPath": "projects/{project}/aggregated/disks", "response": { "$ref": "DiskAggregatedList" } }, "get": { "parameterOrder": [ "project", "zone", "disk" ], "httpMethod": "GET", "id": "compute.disks.get", "parameters": { "disk": { "description": "Name of the persistent disk to return.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "description": "Returns a specified persistent disk. Gets a list of available persistent disks by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/disks/{disk}", "response": { "$ref": "Disk" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}" } } }, "instanceGroups": { "methods": { "aggregatedList": { "description": "Retrieves the list of instance groups and sorts them by zone.", "response": { "$ref": "InstanceGroupAggregatedList" }, "parameterOrder": [ "project" ], "id": "compute.instanceGroups.aggregatedList", "httpMethod": "GET", "path": "projects/{project}/aggregated/instanceGroups", "flatPath": "projects/{project}/aggregated/instanceGroups", "parameters": { "maxResults": { "format": "uint32", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "addInstances": { "request": { "$ref": "InstanceGroupsAddInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroup" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances", "description": "Adds a list of instances to the specified instance group. All of the instances in the instance group must be in the same network/subnetwork. Read Adding instances for more information.", "parameters": { "instanceGroup": { "required": true, "location": "path", "description": "The name of the instance group where you are adding instances.", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "type": "string", "description": "The name of the zone where the instance group is located.", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "id": "compute.instanceGroups.addInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances", "response": { "$ref": "Operation" } }, "get": { "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "parameterOrder": [ "project", "zone", "instanceGroup" ], "response": { "$ref": "InstanceGroup" }, "description": "Returns the specified zonal instance group. Get a list of available zonal instance groups by making a list() request. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "instanceGroup": { "type": "string", "required": true, "location": "path", "description": "The name of the instance group." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the instance group is located." } }, "httpMethod": "GET", "id": "compute.instanceGroups.get", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}" }, "testIamPermissions": { "id": "compute.instanceGroups.testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{resource}/testIamPermissions", "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "zone", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." }, "insert": { "parameterOrder": [ "project", "zone" ], "description": "Creates an instance group in the specified project using the parameters that are included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "InstanceGroup" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroups", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "zone": { "description": "The name of the zone where you want to create the instance group.", "required": true, "location": "path", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.instanceGroups.insert", "flatPath": "projects/{project}/zones/{zone}/instanceGroups" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "response": { "$ref": "Operation" }, "description": "Deletes the specified instance group. The instances in the group are not deleted. Note that instance group must not belong to a backend service. Read Deleting an instance group for more information.", "parameterOrder": [ "project", "zone", "instanceGroup" ], "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "id": "compute.instanceGroups.delete", "parameters": { "zone": { "description": "The name of the zone where the instance group is located.", "location": "path", "type": "string", "required": true }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "instanceGroup": { "location": "path", "required": true, "description": "The name of the instance group to delete.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "setNamedPorts": { "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone where the instance group is located." }, "instanceGroup": { "required": true, "location": "path", "description": "The name of the instance group where the named ports are updated.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "POST", "id": "compute.instanceGroups.setNamedPorts", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the named ports for the specified instance group.", "request": { "$ref": "InstanceGroupsSetNamedPortsRequest" }, "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts", "parameterOrder": [ "project", "zone", "instanceGroup" ] }, "listInstances": { "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "id": "compute.instanceGroups.listInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "response": { "$ref": "InstanceGroupsListInstances" }, "parameterOrder": [ "project", "zone", "instanceGroup" ], "request": { "$ref": "InstanceGroupsListInstancesRequest" }, "parameters": { "maxResults": { "type": "integer", "minimum": "0", "location": "query", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the instance group is located.", "location": "path" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "instanceGroup": { "location": "path", "type": "string", "description": "The name of the instance group from which you want to generate a list of included instances.", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "description": "Lists the instances in the specified instance group. The orderBy query parameter is not supported. The filter query parameter is supported, but only for expressions that use `eq` (equal) or `ne` (not equal) operators." }, "list": { "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "zone": { "location": "path", "description": "The name of the zone where the instance group is located.", "required": true, "type": "string" } }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instanceGroups", "parameterOrder": [ "project", "zone" ], "description": "Retrieves the list of zonal instance group resources contained within the specified zone. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "response": { "$ref": "InstanceGroupList" }, "id": "compute.instanceGroups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instanceGroups" }, "removeInstances": { "parameters": { "instanceGroup": { "location": "path", "type": "string", "required": true, "description": "The name of the instance group where the specified instances will be removed." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the instance group is located.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "InstanceGroupsRemoveInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroup" ], "description": "Removes one or more instances from the specified instance group, but does not delete those instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration before the VM instance is removed or deleted.", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances", "response": { "$ref": "Operation" }, "id": "compute.instanceGroups.removeInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances" } } }, "regionTargetHttpProxies": { "methods": { "testIamPermissions": { "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" }, "region": { "description": "The name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "id": "compute.regionTargetHttpProxies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/regions/{region}/targetHttpProxies/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST" }, "list": { "id": "compute.regionTargetHttpProxies.list", "flatPath": "projects/{project}/regions/{region}/targetHttpProxies", "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetHttpProxyList" }, "path": "projects/{project}/regions/{region}/targetHttpProxies", "description": "Retrieves the list of TargetHttpProxy resources available to the specified project in the specified region.", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } } }, "insert": { "parameterOrder": [ "project", "region" ], "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." } }, "httpMethod": "POST", "description": "Creates a TargetHttpProxy resource in the specified project and region using the data included in the request.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionTargetHttpProxies.insert", "request": { "$ref": "TargetHttpProxy" }, "path": "projects/{project}/regions/{region}/targetHttpProxies" }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "parameters": { "targetHttpProxy": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to delete." }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request." } }, "id": "compute.regionTargetHttpProxies.delete", "response": { "$ref": "Operation" }, "description": "Deletes the specified TargetHttpProxy resource.", "parameterOrder": [ "project", "region", "targetHttpProxy" ], "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}" }, "setUrlMap": { "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "request": { "$ref": "UrlMapReference" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "targetHttpProxy" ], "id": "compute.regionTargetHttpProxies.setUrlMap", "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpProxy": { "required": true, "description": "Name of the TargetHttpProxy to set a URL map for.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpProxy." }, "get": { "httpMethod": "GET", "response": { "$ref": "TargetHttpProxy" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "id": "compute.regionTargetHttpProxies.get", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "targetHttpProxy": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to return.", "location": "path" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" } }, "description": "Returns the specified TargetHttpProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request.", "parameterOrder": [ "project", "region", "targetHttpProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "nodeTypes": { "methods": { "list": { "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32" }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "project", "zone" ], "description": "Retrieves a list of node types available to the specified project.", "response": { "$ref": "NodeTypeList" }, "path": "projects/{project}/zones/{zone}/nodeTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.nodeTypes.list", "flatPath": "projects/{project}/zones/{zone}/nodeTypes" }, "aggregatedList": { "response": { "$ref": "NodeTypeAggregatedList" }, "parameterOrder": [ "project" ], "id": "compute.nodeTypes.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of node types.", "flatPath": "projects/{project}/aggregated/nodeTypes", "parameters": { "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "type": "integer" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "httpMethod": "GET", "path": "projects/{project}/aggregated/nodeTypes" }, "get": { "id": "compute.nodeTypes.get", "path": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "parameterOrder": [ "project", "zone", "nodeType" ], "flatPath": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "parameters": { "nodeType": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the node type to return.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "required": true } }, "response": { "$ref": "NodeType" }, "httpMethod": "GET", "description": "Returns the specified node type. Gets a list of available node types by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "globalPublicDelegatedPrefixes": { "methods": { "list": { "parameterOrder": [ "project" ], "id": "compute.globalPublicDelegatedPrefixes.list", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "type": "integer" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "description": "Lists the global PublicDelegatedPrefixes for a project.", "path": "projects/{project}/global/publicDelegatedPrefixes", "httpMethod": "GET", "response": { "$ref": "PublicDelegatedPrefixList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "publicDelegatedPrefix" ], "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameters": { "publicDelegatedPrefix": { "description": "Name of the PublicDelegatedPrefix resource to delete.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "id": "compute.globalPublicDelegatedPrefixes.delete", "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "response": { "$ref": "Operation" }, "description": "Deletes the specified global PublicDelegatedPrefix." }, "patch": { "response": { "$ref": "Operation" }, "request": { "$ref": "PublicDelegatedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "description": "Patches the specified global PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "publicDelegatedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the PublicDelegatedPrefix resource to patch." } }, "parameterOrder": [ "project", "publicDelegatedPrefix" ], "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "id": "compute.globalPublicDelegatedPrefixes.patch", "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}" }, "insert": { "parameterOrder": [ "project" ], "path": "projects/{project}/global/publicDelegatedPrefixes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalPublicDelegatedPrefixes.insert", "httpMethod": "POST", "request": { "$ref": "PublicDelegatedPrefix" }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "description": "Creates a global PublicDelegatedPrefix in the specified project using the parameters that are included in the request.", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } } }, "get": { "id": "compute.globalPublicDelegatedPrefixes.get", "response": { "$ref": "PublicDelegatedPrefix" }, "description": "Returns the specified global PublicDelegatedPrefix resource.", "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "httpMethod": "GET", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "publicDelegatedPrefix": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicDelegatedPrefix resource to return." } }, "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameterOrder": [ "project", "publicDelegatedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "licenses": { "methods": { "setIamPolicy": { "request": { "$ref": "GlobalSetPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "required": true } }, "path": "projects/{project}/global/licenses/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/global/licenses/{resource}/setIamPolicy", "id": "compute.licenses.setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/licenses", "response": { "$ref": "LicensesListResponse" }, "httpMethod": "GET", "path": "projects/{project}/global/licenses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.licenses.list", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" } }, "description": "Retrieves the list of licenses available in the specified project. This method does not get any licenses that belong to other projects, including licenses attached to publicly-available images, like Debian 9. If you want to get a list of publicly-available licenses, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. " }, "getIamPolicy": { "httpMethod": "GET", "flatPath": "projects/{project}/global/licenses/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "id": "compute.licenses.getIamPolicy", "path": "projects/{project}/global/licenses/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Requested IAM Policy version." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. " }, "delete": { "path": "projects/{project}/global/licenses/{license}", "id": "compute.licenses.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "flatPath": "projects/{project}/global/licenses/{license}", "parameterOrder": [ "project", "license" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "license": { "required": true, "description": "Name of the license resource to delete.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "response": { "$ref": "Operation" }, "description": "Deletes the specified license. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. " }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.licenses.insert", "flatPath": "projects/{project}/global/licenses", "parameterOrder": [ "project" ], "path": "projects/{project}/global/licenses", "description": "Create a License resource in the specified project. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "httpMethod": "POST", "request": { "$ref": "License" } }, "testIamPermissions": { "flatPath": "projects/{project}/global/licenses/{resource}/testIamPermissions", "id": "compute.licenses.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/licenses/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" } }, "get": { "httpMethod": "GET", "path": "projects/{project}/global/licenses/{license}", "flatPath": "projects/{project}/global/licenses/{license}", "id": "compute.licenses.get", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "license": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the License resource to return.", "location": "path" } }, "response": { "$ref": "License" }, "description": "Returns the specified License resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "license" ] } } }, "urlMaps": { "methods": { "update": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "parameters": { "urlMap": { "required": true, "description": "Name of the UrlMap resource to update.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "description": "Updates the specified UrlMap resource with the data included in the request.", "request": { "$ref": "UrlMap" }, "path": "projects/{project}/global/urlMaps/{urlMap}", "id": "compute.urlMaps.update", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "urlMap" ], "response": { "$ref": "Operation" } }, "testIamPermissions": { "id": "compute.urlMaps.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/urlMaps/{resource}/testIamPermissions", "httpMethod": "POST", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true } }, "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/urlMaps/{resource}/testIamPermissions" }, "list": { "description": "Retrieves the list of UrlMap resources available to the specified project.", "httpMethod": "GET", "flatPath": "projects/{project}/global/urlMaps", "parameterOrder": [ "project" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "response": { "$ref": "UrlMapList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.urlMaps.list", "path": "projects/{project}/global/urlMaps" }, "patch": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "urlMap": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the UrlMap resource to patch." } }, "response": { "$ref": "Operation" }, "id": "compute.urlMaps.patch", "path": "projects/{project}/global/urlMaps/{urlMap}", "parameterOrder": [ "project", "urlMap" ], "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "request": { "$ref": "UrlMap" } }, "insert": { "description": "Creates a UrlMap resource in the specified project using the data included in the request.", "flatPath": "projects/{project}/global/urlMaps", "httpMethod": "POST", "request": { "$ref": "UrlMap" }, "id": "compute.urlMaps.insert", "path": "projects/{project}/global/urlMaps", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } } }, "aggregatedList": { "parameterOrder": [ "project" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Name of the project scoping this request." }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "format": "uint32" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" } }, "response": { "$ref": "UrlMapsAggregatedList" }, "path": "projects/{project}/aggregated/urlMaps", "flatPath": "projects/{project}/aggregated/urlMaps", "id": "compute.urlMaps.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of all UrlMap resources, regional and global, available to the specified project.", "httpMethod": "GET" }, "get": { "parameterOrder": [ "project", "urlMap" ], "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "urlMap": { "description": "Name of the UrlMap resource to return.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "id": "compute.urlMaps.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/urlMaps/{urlMap}", "response": { "$ref": "UrlMap" } }, "validate": { "id": "compute.urlMaps.validate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/urlMaps/{urlMap}/validate", "httpMethod": "POST", "path": "projects/{project}/global/urlMaps/{urlMap}/validate", "parameterOrder": [ "project", "urlMap" ], "request": { "$ref": "UrlMapsValidateRequest" }, "parameters": { "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the UrlMap resource to be validated as.", "location": "path", "type": "string", "required": true }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "response": { "$ref": "UrlMapsValidateResponse" }, "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap." }, "delete": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/urlMaps/{urlMap}", "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "urlMap" ], "id": "compute.urlMaps.delete", "description": "Deletes the specified UrlMap resource.", "parameters": { "urlMap": { "required": true, "description": "Name of the UrlMap resource to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } } }, "invalidateCache": { "httpMethod": "POST", "description": "Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content).", "flatPath": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache", "request": { "$ref": "CacheInvalidationRule" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "urlMap": { "location": "path", "required": true, "description": "Name of the UrlMap scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "path": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache", "parameterOrder": [ "project", "urlMap" ], "id": "compute.urlMaps.invalidateCache", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } } } }, "regionDisks": { "methods": { "delete": { "parameterOrder": [ "project", "region", "disk" ], "description": "Deletes the specified regional persistent disk. Deleting a regional disk removes all the replicas of its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "disk": { "description": "Name of the regional persistent disk to delete.", "required": true, "location": "path", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "description": "Name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.regionDisks.delete", "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "path": "projects/{project}/regions/{region}/disks/{disk}", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "addResourcePolicies": { "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "disk": { "location": "path", "description": "The disk name for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "required": true, "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" } }, "path": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "parameterOrder": [ "project", "region", "disk" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionDisksAddResourcePoliciesRequest" }, "id": "compute.regionDisks.addResourcePolicies", "description": "Adds existing resource policies to a regional disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.", "httpMethod": "POST" }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request.", "required": true, "location": "path" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions", "id": "compute.regionDisks.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions" }, "resize": { "response": { "$ref": "Operation" }, "id": "compute.regionDisks.resize", "description": "Resizes the specified regional persistent disk.", "parameters": { "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region for this request." }, "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the regional persistent disk.", "type": "string", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/disks/{disk}/resize", "request": { "$ref": "RegionDisksResizeRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/resize", "parameterOrder": [ "project", "region", "disk" ] }, "setIamPolicy": { "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request.", "required": true }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" } }, "id": "compute.regionDisks.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "path": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "response": { "$ref": "Policy" } }, "setLabels": { "description": "Sets the labels on the target regional disk.", "request": { "$ref": "RegionSetLabelsRequest" }, "path": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionDisks.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "type": "string", "location": "path", "description": "The region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "response": { "$ref": "Operation" } }, "insert": { "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "description": "Creates a persistent regional disk in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/disks", "id": "compute.regionDisks.insert", "request": { "$ref": "Disk" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "location": "path" }, "sourceImage": { "location": "query", "type": "string", "description": "Source image to restore onto a disk. This field is optional." } }, "flatPath": "projects/{project}/regions/{region}/disks" }, "getIamPolicy": { "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "optionsRequestedPolicyVersion": { "location": "query", "format": "int32", "description": "Requested IAM Policy version.", "type": "integer" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the region for this request.", "type": "string" }, "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" } }, "path": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "id": "compute.regionDisks.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "createSnapshot": { "httpMethod": "POST", "parameters": { "disk": { "type": "string", "location": "path", "required": true, "description": "Name of the regional persistent disk to snapshot.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "id": "compute.regionDisks.createSnapshot", "path": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "request": { "$ref": "Snapshot" }, "parameterOrder": [ "project", "region", "disk" ] }, "get": { "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "id": "compute.regionDisks.get", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request.", "required": true }, "disk": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the regional persistent disk to return.", "type": "string" } }, "description": "Returns a specified regional persistent disk.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/disks/{disk}", "parameterOrder": [ "project", "region", "disk" ], "response": { "$ref": "Disk" }, "httpMethod": "GET" }, "update": { "request": { "$ref": "Disk" }, "parameterOrder": [ "project", "region", "disk" ], "path": "projects/{project}/regions/{region}/disks/{disk}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Update the specified disk with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license.", "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "parameters": { "disk": { "description": "The disk name for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "paths": { "type": "string", "repeated": true, "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "description": "The name of the region for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "update_mask indicates fields to be updated as part of this request.", "type": "string" } }, "id": "compute.regionDisks.update" }, "list": { "description": "Retrieves the list of persistent disks contained within the specified region.", "response": { "$ref": "DiskList" }, "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "required": true, "type": "string" }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "path": "projects/{project}/regions/{region}/disks", "id": "compute.regionDisks.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/disks", "httpMethod": "GET", "parameterOrder": [ "project", "region" ] }, "removeResourcePolicies": { "request": { "$ref": "RegionDisksRemoveResourcePoliciesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "disk" ], "path": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the region for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "disk": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "The disk name for this request.", "location": "path" } }, "description": "Removes resource policies from a regional disk.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.regionDisks.removeResourcePolicies", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies" } } }, "networkEdgeSecurityServices": { "methods": { "delete": { "response": { "$ref": "Operation" }, "id": "compute.networkEdgeSecurityServices.delete", "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "httpMethod": "DELETE", "description": "Deletes the specified service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "networkEdgeSecurityService": { "required": true, "type": "string", "description": "Name of the network edge security service to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." } }, "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}" }, "insert": { "httpMethod": "POST", "id": "compute.networkEdgeSecurityServices.insert", "description": "Creates a new service in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "parameters": { "validateOnly": { "description": "If true, the request will not be committed.", "type": "boolean", "location": "query" }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "request": { "$ref": "NetworkEdgeSecurityService" }, "response": { "$ref": "Operation" } }, "patch": { "request": { "$ref": "NetworkEdgeSecurityService" }, "description": "Patches the specified policy with the data included in the request.", "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "id": "compute.networkEdgeSecurityServices.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Indicates fields to be updated as part of this request.", "type": "string" }, "paths": { "repeated": true, "type": "string", "location": "query" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "networkEdgeSecurityService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the network edge security service to update." } } }, "get": { "description": "Gets a specified NetworkEdgeSecurityService.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "networkEdgeSecurityService": { "type": "string", "required": true, "location": "path", "description": "Name of the network edge security service to get.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "response": { "$ref": "NetworkEdgeSecurityService" }, "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "id": "compute.networkEdgeSecurityServices.get", "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}" }, "aggregatedList": { "path": "projects/{project}/aggregated/networkEdgeSecurityServices", "response": { "$ref": "NetworkEdgeSecurityServiceAggregatedList" }, "parameterOrder": [ "project" ], "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "default": "500", "location": "query", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "location": "path", "description": "Name of the project scoping this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/aggregated/networkEdgeSecurityServices", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networkEdgeSecurityServices.aggregatedList", "description": "Retrieves the list of all NetworkEdgeSecurityService resources available to the specified project.", "httpMethod": "GET" } } }, "routers": { "methods": { "delete": { "id": "compute.routers.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "router": { "type": "string", "description": "Name of the Router resource to delete.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/routers/{router}", "parameterOrder": [ "project", "region", "router" ], "path": "projects/{project}/regions/{region}/routers/{router}", "description": "Deletes the specified Router resource." }, "list": { "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "RouterList" }, "parameters": { "maxResults": { "format": "uint32", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "description": "Name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "description": "Retrieves a list of Router resources available to the specified project.", "id": "compute.routers.list", "path": "projects/{project}/regions/{region}/routers", "flatPath": "projects/{project}/regions/{region}/routers" }, "getRouterStatus": { "flatPath": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "path": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "id": "compute.routers.getRouterStatus", "description": "Retrieves runtime information of the specified router.", "parameterOrder": [ "project", "region", "router" ], "response": { "$ref": "RouterStatusResponse" }, "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "router": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the Router resource to query." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "getNatMappingInfo": { "httpMethod": "GET", "path": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "router" ], "id": "compute.routers.getNatMappingInfo", "response": { "$ref": "VmEndpointNatMappingsList" }, "description": "Retrieves runtime Nat mapping information of VM endpoints.", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "region": { "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "router": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Router resource to query for Nat Mapping information of VM endpoints.", "required": true, "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "natName": { "type": "string", "location": "query", "description": "Name of the nat service to filter the Nat Mapping information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035." }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "format": "uint32" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "flatPath": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo" }, "update": { "path": "projects/{project}/regions/{region}/routers/{router}", "request": { "$ref": "Router" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "router" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.routers.update", "description": "Updates the specified Router resource with the data included in the request. This method conforms to PUT semantics, which requests that the state of the target resource be created or replaced with the state defined by the representation enclosed in the request message payload.", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "router": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Router resource to update.", "required": true, "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request.", "required": true } }, "flatPath": "projects/{project}/regions/{region}/routers/{router}", "httpMethod": "PUT" }, "preview": { "parameterOrder": [ "project", "region", "router" ], "httpMethod": "POST", "id": "compute.routers.preview", "flatPath": "projects/{project}/regions/{region}/routers/{router}/preview", "response": { "$ref": "RoutersPreviewResponse" }, "path": "projects/{project}/regions/{region}/routers/{router}/preview", "description": "Preview fields auto-generated during router create and update operations. Calling this method does NOT create or update the router.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "Router" }, "parameters": { "region": { "description": "Name of the region for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "router": { "location": "path", "description": "Name of the Router resource to query.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "patch": { "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/routers/{router}", "flatPath": "projects/{project}/regions/{region}/routers/{router}", "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "id": "compute.routers.patch", "httpMethod": "PATCH", "parameterOrder": [ "project", "region", "router" ], "request": { "$ref": "Router" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "Name of the region for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "router": { "description": "Name of the Router resource to patch.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/routers/{resource}/testIamPermissions", "parameters": { "region": { "type": "string", "required": true, "location": "path", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/routers/{resource}/testIamPermissions", "id": "compute.routers.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "response": { "$ref": "Router" }, "parameters": { "router": { "description": "Name of the Router resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path" }, "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true } }, "description": "Returns the specified Router resource. Gets a list of available routers by making a list() request.", "path": "projects/{project}/regions/{region}/routers/{router}", "parameterOrder": [ "project", "region", "router" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.routers.get", "flatPath": "projects/{project}/regions/{region}/routers/{router}" }, "aggregatedList": { "id": "compute.routers.aggregatedList", "parameterOrder": [ "project" ], "response": { "$ref": "RouterAggregatedList" }, "description": "Retrieves an aggregated list of routers.", "path": "projects/{project}/aggregated/routers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/routers" }, "insert": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "region": { "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "path": "projects/{project}/regions/{region}/routers", "request": { "$ref": "Router" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/routers", "response": { "$ref": "Operation" }, "id": "compute.routers.insert", "description": "Creates a Router resource in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" } } }, "interconnectAttachments": { "methods": { "get": { "parameters": { "region": { "description": "Name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "interconnectAttachment": { "description": "Name of the interconnect attachment to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "interconnectAttachment" ], "description": "Returns the specified interconnect attachment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "id": "compute.interconnectAttachments.get", "response": { "$ref": "InterconnectAttachment" }, "httpMethod": "GET" }, "list": { "response": { "$ref": "InterconnectAttachmentList" }, "id": "compute.interconnectAttachments.list", "description": "Retrieves the list of interconnect attachments contained within the specified region.", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments", "path": "projects/{project}/regions/{region}/interconnectAttachments", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "location": "query", "default": "500", "format": "uint32", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "region": { "description": "Name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ] }, "delete": { "id": "compute.interconnectAttachments.delete", "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameters": { "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path" }, "interconnectAttachment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the interconnect attachment to delete." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "description": "Deletes the specified interconnect attachment.", "parameterOrder": [ "project", "region", "interconnectAttachment" ] }, "insert": { "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" }, "validateOnly": { "description": "If true, the request will not be committed.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.interconnectAttachments.insert", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments", "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/interconnectAttachments", "description": "Creates an InterconnectAttachment in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "InterconnectAttachment" } }, "setLabels": { "response": { "$ref": "Operation" }, "description": "Sets the labels on an InterconnectAttachment. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.interconnectAttachments.setLabels", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The region for this request.", "location": "path" } }, "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/setLabels", "request": { "$ref": "RegionSetLabelsRequest" } }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "The name of the region for this request." }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "id": "compute.interconnectAttachments.testIamPermissions", "path": "projects/{project}/regions/{region}/interconnectAttachments/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" } }, "aggregatedList": { "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "flatPath": "projects/{project}/aggregated/interconnectAttachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of interconnect attachments.", "parameterOrder": [ "project" ], "httpMethod": "GET", "response": { "$ref": "InterconnectAttachmentAggregatedList" }, "id": "compute.interconnectAttachments.aggregatedList", "path": "projects/{project}/aggregated/interconnectAttachments" }, "patch": { "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "request": { "$ref": "InterconnectAttachment" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "interconnectAttachment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "interconnectAttachment": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect attachment to patch." }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" } }, "id": "compute.interconnectAttachments.patch", "description": "Updates the specified interconnect attachment with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}" } } }, "targetSslProxies": { "methods": { "insert": { "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/targetSslProxies", "parameterOrder": [ "project" ], "httpMethod": "POST", "flatPath": "projects/{project}/global/targetSslProxies", "response": { "$ref": "Operation" }, "request": { "$ref": "TargetSslProxy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a TargetSslProxy resource in the specified project using the data included in the request.", "id": "compute.targetSslProxies.insert" }, "setBackendService": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetSslProxy" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService", "request": { "$ref": "TargetSslProxiesSetBackendServiceRequest" }, "id": "compute.targetSslProxies.setBackendService", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the BackendService for TargetSslProxy.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService", "parameters": { "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the TargetSslProxy resource whose BackendService resource is to be set." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "POST" }, "get": { "parameters": { "targetSslProxy": { "location": "path", "description": "Name of the TargetSslProxy resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "targetSslProxy" ], "response": { "$ref": "TargetSslProxy" }, "description": "Returns the specified TargetSslProxy resource. Gets a list of available target SSL proxies by making a list() request.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "httpMethod": "GET", "id": "compute.targetSslProxies.get" }, "setProxyHeader": { "httpMethod": "POST", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetSslProxy" ], "request": { "$ref": "TargetSslProxiesSetProxyHeaderRequest" }, "id": "compute.targetSslProxies.setProxyHeader", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetSslProxy": { "required": true, "type": "string", "description": "Name of the TargetSslProxy resource whose ProxyHeader is to be set.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true } }, "description": "Changes the ProxyHeaderType for TargetSslProxy.", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader" }, "testIamPermissions": { "flatPath": "projects/{project}/global/targetSslProxies/{resource}/testIamPermissions", "id": "compute.targetSslProxies.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/targetSslProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" } }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource." }, "setCertificateMap": { "response": { "$ref": "Operation" }, "request": { "$ref": "TargetSslProxiesSetCertificateMapRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetSslProxy": { "description": "Name of the TargetSslProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "type": "string", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Changes the Certificate Map for TargetSslProxy.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap", "id": "compute.targetSslProxies.setCertificateMap", "parameterOrder": [ "project", "targetSslProxy" ] }, "list": { "flatPath": "projects/{project}/global/targetSslProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of TargetSslProxy resources available to the specified project.", "parameterOrder": [ "project" ], "response": { "$ref": "TargetSslProxyList" }, "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "minimum": "0", "location": "query", "type": "integer" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "GET", "path": "projects/{project}/global/targetSslProxies", "id": "compute.targetSslProxies.list" }, "setSslCertificates": { "request": { "$ref": "TargetSslProxiesSetSslCertificatesRequest" }, "httpMethod": "POST", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "id": "compute.targetSslProxies.setSslCertificates", "response": { "$ref": "Operation" }, "description": "Changes SslCertificates for TargetSslProxy.", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetSslProxy resource whose SslCertificate resource is to be set.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "project", "targetSslProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setSslPolicy": { "request": { "$ref": "SslPolicyReference" }, "id": "compute.targetSslProxies.setSslPolicy", "httpMethod": "POST", "description": "Sets the SSL policy for TargetSslProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the SSL proxy load balancer. They do not affect the connection between the load balancer and the backends.", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetSslProxy": { "location": "path", "required": true, "description": "Name of the TargetSslProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "targetSslProxy" ] }, "delete": { "parameterOrder": [ "project", "targetSslProxy" ], "id": "compute.targetSslProxies.delete", "httpMethod": "DELETE", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetSslProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetSslProxy resource to delete.", "type": "string" } }, "description": "Deletes the specified TargetSslProxy resource.", "response": { "$ref": "Operation" } } } }, "httpsHealthChecks": { "methods": { "delete": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "httpsHealthCheck": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the HttpsHealthCheck resource to delete." } }, "description": "Deletes the specified HttpsHealthCheck resource.", "httpMethod": "DELETE", "id": "compute.httpsHealthChecks.delete", "parameterOrder": [ "project", "httpsHealthCheck" ], "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}" }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" } }, "path": "projects/{project}/global/httpsHealthChecks/{resource}/testIamPermissions", "flatPath": "projects/{project}/global/httpsHealthChecks/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.httpsHealthChecks.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameterOrder": [ "project", "httpsHealthCheck" ], "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "response": { "$ref": "Operation" }, "id": "compute.httpsHealthChecks.patch", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to patch.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "httpMethod": "PATCH", "request": { "$ref": "HttpsHealthCheck" } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.httpsHealthChecks.insert", "path": "projects/{project}/global/httpsHealthChecks", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/global/httpsHealthChecks", "request": { "$ref": "HttpsHealthCheck" }, "description": "Creates a HttpsHealthCheck resource in the specified project using the data included in the request." }, "list": { "flatPath": "projects/{project}/global/httpsHealthChecks", "path": "projects/{project}/global/httpsHealthChecks", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "maxResults": { "default": "500", "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "response": { "$ref": "HttpsHealthCheckList" }, "httpMethod": "GET", "description": "Retrieves the list of HttpsHealthCheck resources available to the specified project.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.httpsHealthChecks.list" }, "get": { "response": { "$ref": "HttpsHealthCheck" }, "description": "Returns the specified HttpsHealthCheck resource. Gets a list of available HTTPS health checks by making a list() request.", "httpMethod": "GET", "parameterOrder": [ "project", "httpsHealthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "id": "compute.httpsHealthChecks.get", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameters": { "httpsHealthCheck": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the HttpsHealthCheck resource to return." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } } }, "update": { "id": "compute.httpsHealthChecks.update", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "httpsHealthCheck": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the HttpsHealthCheck resource to update." } }, "response": { "$ref": "Operation" }, "httpMethod": "PUT", "request": { "$ref": "HttpsHealthCheck" }, "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameterOrder": [ "project", "httpsHealthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request.", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}" } } }, "autoscalers": { "methods": { "get": { "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "response": { "$ref": "Autoscaler" }, "parameterOrder": [ "project", "zone", "autoscaler" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.autoscalers.get", "httpMethod": "GET", "description": "Returns the specified autoscaler resource. Gets a list of available autoscalers by making a list() request.", "parameters": { "autoscaler": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to return.", "location": "path", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "location": "path", "type": "string", "required": true } } }, "update": { "response": { "$ref": "Operation" }, "description": "Updates an autoscaler in the specified project using the data included in the request.", "httpMethod": "PUT", "parameters": { "zone": { "description": "Name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to update.", "location": "query", "type": "string" } }, "request": { "$ref": "Autoscaler" }, "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers", "id": "compute.autoscalers.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/autoscalers" }, "patch": { "request": { "$ref": "Autoscaler" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "autoscaler": { "description": "Name of the autoscaler to patch.", "type": "string", "location": "query", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "location": "path", "required": true, "description": "Name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "PATCH", "path": "projects/{project}/zones/{zone}/autoscalers", "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.autoscalers.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers", "response": { "$ref": "Operation" } }, "insert": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "type": "string", "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.autoscalers.insert", "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers", "request": { "$ref": "Autoscaler" }, "path": "projects/{project}/zones/{zone}/autoscalers", "description": "Creates an autoscaler in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "path": "projects/{project}/zones/{zone}/autoscalers/{resource}/testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/autoscalers/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.autoscalers.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ] }, "list": { "flatPath": "projects/{project}/zones/{zone}/autoscalers", "response": { "$ref": "AutoscalerList" }, "path": "projects/{project}/zones/{zone}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "project", "zone" ], "id": "compute.autoscalers.list", "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0", "location": "query" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "type": "string", "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "description": "Retrieves a list of autoscalers contained within the specified zone." }, "aggregatedList": { "response": { "$ref": "AutoscalerAggregatedList" }, "description": "Retrieves an aggregated list of autoscalers.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "default": "500", "type": "integer" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/aggregated/autoscalers", "path": "projects/{project}/aggregated/autoscalers", "id": "compute.autoscalers.aggregatedList" }, "delete": { "id": "compute.autoscalers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified autoscaler.", "httpMethod": "DELETE", "parameterOrder": [ "project", "zone", "autoscaler" ], "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "description": "Name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "autoscaler": { "required": true, "description": "Name of the autoscaler to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}" } } }, "regionSecurityPolicies": { "methods": { "get": { "httpMethod": "GET", "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "securityPolicy": { "description": "Name of the security policy to get.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "securityPolicy" ], "description": "List all of the ordered rules present in a single specified policy.", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "response": { "$ref": "SecurityPolicy" }, "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "id": "compute.regionSecurityPolicies.get" }, "insert": { "request": { "$ref": "SecurityPolicy" }, "parameters": { "validateOnly": { "location": "query", "description": "If true, the request will not be committed.", "type": "boolean" }, "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/securityPolicies", "flatPath": "projects/{project}/regions/{region}/securityPolicies", "id": "compute.regionSecurityPolicies.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a new policy in the specified project using the data included in the request." }, "delete": { "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "response": { "$ref": "Operation" }, "id": "compute.regionSecurityPolicies.delete", "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "httpMethod": "DELETE", "parameters": { "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the security policy to delete.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified policy.", "parameterOrder": [ "project", "region", "securityPolicy" ] }, "patch": { "description": "Patches the specified policy with the data included in the request.", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "request": { "$ref": "SecurityPolicy" }, "response": { "$ref": "Operation" }, "parameters": { "securityPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the security policy to update." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } }, "parameterOrder": [ "project", "region", "securityPolicy" ], "httpMethod": "PATCH", "id": "compute.regionSecurityPolicies.patch" }, "list": { "id": "compute.regionSecurityPolicies.list", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "region": { "location": "path", "description": "Name of the region scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "response": { "$ref": "SecurityPolicyList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "List all the policies that have been configured for the specified project and region.", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/securityPolicies", "flatPath": "projects/{project}/regions/{region}/securityPolicies" } } }, "regionTargetTcpProxies": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified TargetTcpProxy resource.", "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "httpMethod": "GET", "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "targetTcpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the TargetTcpProxy resource to return.", "location": "path" }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "path": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "parameterOrder": [ "project", "region", "targetTcpProxy" ], "response": { "$ref": "TargetTcpProxy" }, "id": "compute.regionTargetTcpProxies.get" }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/targetTcpProxies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionTargetTcpProxies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request." }, "region": { "type": "string", "required": true, "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "parameterOrder": [ "project", "region" ], "id": "compute.regionTargetTcpProxies.insert", "response": { "$ref": "Operation" }, "request": { "$ref": "TargetTcpProxy" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a TargetTcpProxy resource in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/targetTcpProxies", "parameters": { "region": { "required": true, "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/regions/{region}/targetTcpProxies" }, "list": { "path": "projects/{project}/regions/{region}/targetTcpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetTcpProxyList" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "format": "uint32", "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "region": { "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/targetTcpProxies", "parameterOrder": [ "project", "region" ], "description": "Retrieves a list of TargetTcpProxy resources available to the specified project in a given region.", "id": "compute.regionTargetTcpProxies.list", "httpMethod": "GET" }, "delete": { "flatPath": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "parameters": { "targetTcpProxy": { "required": true, "description": "Name of the TargetTcpProxy resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "path": "projects/{project}/regions/{region}/targetTcpProxies/{targetTcpProxy}", "description": "Deletes the specified TargetTcpProxy resource.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "targetTcpProxy" ], "id": "compute.regionTargetTcpProxies.delete" } } }, "zoneOperations": { "methods": { "wait": { "parameterOrder": [ "project", "zone", "operation" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/operations/{operation}/wait", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/operations/{operation}/wait", "id": "compute.zoneOperations.wait", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method waits for no more than the 2 minutes and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "parameters": { "operation": { "location": "path", "description": "Name of the Operations resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the zone for this request.", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "operation" ], "flatPath": "projects/{project}/zones/{zone}/operations/{operation}", "path": "projects/{project}/zones/{zone}/operations/{operation}", "description": "Deletes the specified zone-specific Operations resource.", "id": "compute.zoneOperations.delete", "httpMethod": "DELETE", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the zone for this request.", "required": true }, "operation": { "description": "Name of the Operations resource to delete.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } } }, "get": { "id": "compute.zoneOperations.get", "parameters": { "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the zone for this request." }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "operation": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to return." } }, "response": { "$ref": "Operation" }, "description": "Retrieves the specified zone-specific Operations resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/operations/{operation}", "parameterOrder": [ "project", "zone", "operation" ], "path": "projects/{project}/zones/{zone}/operations/{operation}" }, "list": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "format": "uint32", "default": "500" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the zone for request.", "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "httpMethod": "GET", "response": { "$ref": "OperationList" }, "flatPath": "projects/{project}/zones/{zone}/operations", "description": "Retrieves a list of Operation resources contained within the specified zone.", "path": "projects/{project}/zones/{zone}/operations", "id": "compute.zoneOperations.list" } } }, "regionHealthChecks": { "methods": { "update": { "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "request": { "$ref": "HealthCheck" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request.", "id": "compute.regionHealthChecks.update", "parameterOrder": [ "project", "region", "healthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "PUT", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "healthCheck": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the HealthCheck resource to update." }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "get": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "healthCheck": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the HealthCheck resource to return.", "location": "path", "required": true }, "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" } }, "response": { "$ref": "HealthCheck" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionHealthChecks.get", "httpMethod": "GET", "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameterOrder": [ "project", "region", "healthCheck" ], "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}" }, "patch": { "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "request": { "$ref": "HealthCheck" }, "parameterOrder": [ "project", "region", "healthCheck" ], "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "healthCheck": { "location": "path", "required": true, "type": "string", "description": "Name of the HealthCheck resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "id": "compute.regionHealthChecks.patch" }, "delete": { "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "healthCheck": { "description": "Name of the HealthCheck resource to delete.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionHealthChecks.delete", "parameterOrder": [ "project", "region", "healthCheck" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "description": "Deletes the specified HealthCheck resource.", "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/healthChecks/{resource}/testIamPermissions", "flatPath": "projects/{project}/regions/{region}/healthChecks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.regionHealthChecks.testIamPermissions" }, "list": { "id": "compute.regionHealthChecks.list", "httpMethod": "GET", "response": { "$ref": "HealthCheckList" }, "flatPath": "projects/{project}/regions/{region}/healthChecks", "path": "projects/{project}/regions/{region}/healthChecks", "parameterOrder": [ "project", "region" ], "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "minimum": "0", "default": "500" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "description": "Retrieves the list of HealthCheck resources available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "HealthCheck" }, "description": "Creates a HealthCheck resource in the specified project using the data included in the request.", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/healthChecks", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/healthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionHealthChecks.insert" } } }, "licenseCodes": { "methods": { "get": { "description": "Return a specified license code. License codes are mirrored across all projects that have permissions to read the License Code. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "project", "licenseCode" ], "id": "compute.licenseCodes.get", "response": { "$ref": "LicenseCode" }, "path": "projects/{project}/global/licenseCodes/{licenseCode}", "flatPath": "projects/{project}/global/licenseCodes/{licenseCode}", "parameters": { "licenseCode": { "location": "path", "pattern": "[0-9]{0,61}?", "required": true, "type": "string", "description": "Number corresponding to the License code resource to return." }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } } }, "testIamPermissions": { "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "compute.licenseCodes.testIamPermissions", "path": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions" } } }, "targetTcpProxies": { "methods": { "setBackendService": { "parameters": { "targetTcpProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetTcpProxy resource whose BackendService resource is to be set.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the BackendService for TargetTcpProxy.", "id": "compute.targetTcpProxies.setBackendService", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "request": { "$ref": "TargetTcpProxiesSetBackendServiceRequest" }, "parameterOrder": [ "project", "targetTcpProxy" ] }, "get": { "parameterOrder": [ "project", "targetTcpProxy" ], "response": { "$ref": "TargetTcpProxy" }, "id": "compute.targetTcpProxies.get", "description": "Returns the specified TargetTcpProxy resource. Gets a list of available target TCP proxies by making a list() request.", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "targetTcpProxy": { "description": "Name of the TargetTcpProxy resource to return.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setProxyHeader": { "description": "Changes the ProxyHeaderType for TargetTcpProxy.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetTcpProxy" ], "id": "compute.targetTcpProxies.setProxyHeader", "httpMethod": "POST", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetTcpProxiesSetProxyHeaderRequest" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "targetTcpProxy": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetTcpProxy resource whose ProxyHeader is to be set." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/global/targetTcpProxies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetTcpProxies.testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/targetTcpProxies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/targetTcpProxies", "description": "Retrieves the list of TargetTcpProxy resources available to the specified project.", "httpMethod": "GET", "response": { "$ref": "TargetTcpProxyList" }, "parameterOrder": [ "project" ], "id": "compute.targetTcpProxies.list", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "maxResults": { "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "format": "uint32" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "path": "projects/{project}/global/targetTcpProxies" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetTcpProxies", "id": "compute.targetTcpProxies.insert", "description": "Creates a TargetTcpProxy resource in the specified project using the data included in the request.", "path": "projects/{project}/global/targetTcpProxies", "httpMethod": "POST", "request": { "$ref": "TargetTcpProxy" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "delete": { "parameterOrder": [ "project", "targetTcpProxy" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified TargetTcpProxy resource.", "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "id": "compute.targetTcpProxies.delete", "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "targetTcpProxy": { "type": "string", "required": true, "description": "Name of the TargetTcpProxy resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } } } } }, "publicAdvertisedPrefixes": { "methods": { "delete": { "description": "Deletes the specified PublicAdvertisedPrefix", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "httpMethod": "DELETE", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "publicAdvertisedPrefix": { "type": "string", "description": "Name of the PublicAdvertisedPrefix resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.publicAdvertisedPrefixes.delete", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}" }, "patch": { "request": { "$ref": "PublicAdvertisedPrefix" }, "id": "compute.publicAdvertisedPrefixes.patch", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "parameters": { "publicAdvertisedPrefix": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicAdvertisedPrefix resource to patch." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH", "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "insert": { "httpMethod": "POST", "id": "compute.publicAdvertisedPrefixes.insert", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "parameterOrder": [ "project" ], "request": { "$ref": "PublicAdvertisedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a PublicAdvertisedPrefix in the specified project using the parameters that are included in the request.", "path": "projects/{project}/global/publicAdvertisedPrefixes", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes" }, "list": { "response": { "$ref": "PublicAdvertisedPrefixList" }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes", "path": "projects/{project}/global/publicAdvertisedPrefixes", "id": "compute.publicAdvertisedPrefixes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the PublicAdvertisedPrefixes for a project.", "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "type": "integer", "minimum": "0" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } } }, "get": { "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "response": { "$ref": "PublicAdvertisedPrefix" }, "parameters": { "publicAdvertisedPrefix": { "location": "path", "type": "string", "required": true, "description": "Name of the PublicAdvertisedPrefix resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.publicAdvertisedPrefixes.get", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "httpMethod": "GET", "description": "Returns the specified PublicAdvertisedPrefix resource." } } }, "targetInstances": { "methods": { "insert": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the zone scoping this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/targetInstances", "id": "compute.targetInstances.insert", "description": "Creates a TargetInstance resource in the specified project and zone using the data included in the request.", "flatPath": "projects/{project}/zones/{zone}/targetInstances", "parameterOrder": [ "project", "zone" ], "request": { "$ref": "TargetInstance" } }, "delete": { "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "id": "compute.targetInstances.delete", "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "description": "Deletes the specified TargetInstance resource.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "targetInstance" ], "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "type": "string", "required": true, "description": "Name of the zone scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "targetInstance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetInstance resource to delete.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" } }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "response": { "$ref": "TargetInstance" }, "id": "compute.targetInstances.get", "parameters": { "zone": { "location": "path", "required": true, "description": "Name of the zone scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "targetInstance": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetInstance resource to return." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "description": "Returns the specified TargetInstance resource. Gets a list of available target instances by making a list() request.", "parameterOrder": [ "project", "zone", "targetInstance" ] }, "list": { "parameterOrder": [ "project", "zone" ], "httpMethod": "GET", "response": { "$ref": "TargetInstanceList" }, "flatPath": "projects/{project}/zones/{zone}/targetInstances", "id": "compute.targetInstances.list", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the zone scoping this request.", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "format": "uint32", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/targetInstances", "description": "Retrieves a list of TargetInstance resources available to the specified project and zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "path": "projects/{project}/aggregated/targetInstances", "flatPath": "projects/{project}/aggregated/targetInstances", "id": "compute.targetInstances.aggregatedList", "description": "Retrieves an aggregated list of target instances.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "default": "500" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "httpMethod": "GET", "response": { "$ref": "TargetInstanceAggregatedList" } }, "testIamPermissions": { "httpMethod": "POST", "id": "compute.targetInstances.testIamPermissions", "path": "projects/{project}/zones/{zone}/targetInstances/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "zone", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/zones/{zone}/targetInstances/{resource}/testIamPermissions" } } }, "vpnTunnels": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "VpnTunnel" }, "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "parameters": { "region": { "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "id": "compute.vpnTunnels.insert", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/vpnTunnels", "description": "Creates a VpnTunnel resource in the specified project and region using the data included in the request.", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "aggregatedList": { "parameterOrder": [ "project" ], "id": "compute.vpnTunnels.aggregatedList", "response": { "$ref": "VpnTunnelAggregatedList" }, "flatPath": "projects/{project}/aggregated/vpnTunnels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/vpnTunnels", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "maxResults": { "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" } }, "description": "Retrieves an aggregated list of VPN tunnels.", "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{resource}/testIamPermissions", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "type": "string", "required": true, "location": "path" }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name or id of the resource for this request." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.vpnTunnels.testIamPermissions", "path": "projects/{project}/regions/{region}/vpnTunnels/{resource}/testIamPermissions" }, "setLabels": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/vpnTunnels/{resource}/setLabels", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The region for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name or id of the resource for this request.", "type": "string" } }, "description": "Sets the labels on a VpnTunnel. To learn more about labels, read the Labeling Resources documentation.", "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{resource}/setLabels", "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Operation" }, "id": "compute.vpnTunnels.setLabels", "request": { "$ref": "RegionSetLabelsRequest" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "VpnTunnelList" }, "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/vpnTunnels", "description": "Retrieves a list of VpnTunnel resources contained in the specified project and region.", "id": "compute.vpnTunnels.list", "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "type": "string", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } } }, "delete": { "description": "Deletes the specified VpnTunnel resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "parameterOrder": [ "project", "region", "vpnTunnel" ], "parameters": { "vpnTunnel": { "type": "string", "description": "Name of the VpnTunnel resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.vpnTunnels.delete" }, "get": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "response": { "$ref": "VpnTunnel" }, "parameterOrder": [ "project", "region", "vpnTunnel" ], "id": "compute.vpnTunnels.get", "parameters": { "vpnTunnel": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the VpnTunnel resource to return.", "required": true }, "region": { "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified VpnTunnel resource. Gets a list of available VPN tunnels by making a list() request.", "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}" } } }, "imageFamilyViews": { "methods": { "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/imageFamilyViews/{family}", "parameterOrder": [ "project", "zone", "family" ], "response": { "$ref": "ImageFamilyView" }, "path": "projects/{project}/zones/{zone}/imageFamilyViews/{family}", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "family": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the image family to search for.", "required": true } }, "description": "Returns the latest image that is part of an image family, is not deprecated and is rolled out in the specified zone.", "id": "compute.imageFamilyViews.get" } } }, "globalOperations": { "methods": { "list": { "id": "compute.globalOperations.list", "httpMethod": "GET", "path": "projects/{project}/global/operations", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32", "minimum": "0", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "flatPath": "projects/{project}/global/operations", "response": { "$ref": "OperationList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of Operation resources contained within the specified project.", "parameterOrder": [ "project" ] }, "get": { "flatPath": "projects/{project}/global/operations/{operation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "operation" ], "path": "projects/{project}/global/operations/{operation}", "description": "Retrieves the specified Operations resource.", "id": "compute.globalOperations.get", "parameters": { "operation": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to return." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalOperations.aggregatedList", "flatPath": "projects/{project}/aggregated/operations", "response": { "$ref": "OperationAggregatedList" }, "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "default": "500", "type": "integer", "minimum": "0" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "path": "projects/{project}/aggregated/operations", "parameterOrder": [ "project" ], "httpMethod": "GET", "description": "Retrieves an aggregated list of all operations." }, "wait": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "operation" ], "flatPath": "projects/{project}/global/operations/{operation}/wait", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "operation": { "description": "Name of the Operations resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" } }, "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalOperations.wait", "path": "projects/{project}/global/operations/{operation}/wait" }, "delete": { "description": "Deletes the specified Operations resource.", "path": "projects/{project}/global/operations/{operation}", "id": "compute.globalOperations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "operation" ], "flatPath": "projects/{project}/global/operations/{operation}", "httpMethod": "DELETE", "parameters": { "operation": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to delete." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } } } } }, "globalNetworkEndpointGroups": { "methods": { "attachNetworkEndpoints": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "GlobalNetworkEndpointGroupsAttachEndpointsRequest" }, "description": "Attach a network endpoint to the specified network endpoint group.", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "POST", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "response": { "$ref": "Operation" }, "id": "compute.globalNetworkEndpointGroups.attachNetworkEndpoints", "parameterOrder": [ "project", "networkEndpointGroup" ] }, "delete": { "id": "compute.globalNetworkEndpointGroups.delete", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "networkEndpointGroup": { "required": true, "location": "path", "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "type": "string" } }, "parameterOrder": [ "project", "networkEndpointGroup" ], "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "DELETE", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified network endpoint group.Note that the NEG cannot be deleted if there are backend services referencing it.", "response": { "$ref": "Operation" } }, "detachNetworkEndpoints": { "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "description": "Detach the network endpoint from the specified network endpoint group.", "parameterOrder": [ "project", "networkEndpointGroup" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalNetworkEndpointGroups.detachNetworkEndpoints", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "networkEndpointGroup": { "required": true, "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "request": { "$ref": "GlobalNetworkEndpointGroupsDetachEndpointsRequest" }, "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "httpMethod": "POST" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "path": "projects/{project}/global/networkEndpointGroups", "parameterOrder": [ "project" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.globalNetworkEndpointGroups.insert", "request": { "$ref": "NetworkEndpointGroup" }, "flatPath": "projects/{project}/global/networkEndpointGroups" }, "listNetworkEndpoints": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the network endpoints in the specified network endpoint group.", "parameterOrder": [ "project", "networkEndpointGroup" ], "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "httpMethod": "POST", "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" }, "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "networkEndpointGroup": { "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.", "location": "path", "required": true, "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32" } }, "id": "compute.globalNetworkEndpointGroups.listNetworkEndpoints", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints" }, "get": { "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "GET", "parameterOrder": [ "project", "networkEndpointGroup" ], "response": { "$ref": "NetworkEndpointGroup" }, "id": "compute.globalNetworkEndpointGroups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "parameters": { "networkEndpointGroup": { "description": "The name of the network endpoint group. It should comply with RFC1035.", "type": "string", "required": true, "location": "path" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } } }, "list": { "id": "compute.globalNetworkEndpointGroups.list", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer", "default": "500", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of network endpoint groups that are located in the specified project.", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/networkEndpointGroups", "httpMethod": "GET", "path": "projects/{project}/global/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" } } } }, "globalAddresses": { "methods": { "setLabels": { "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "POST", "description": "Sets the labels on a GlobalAddress. To learn more about labels, read the Labeling Resources documentation.", "path": "projects/{project}/global/addresses/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/addresses/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "response": { "$ref": "Operation" }, "id": "compute.globalAddresses.setLabels" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/addresses", "description": "Retrieves a list of global addresses.", "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "minimum": "0", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32" } }, "httpMethod": "GET", "flatPath": "projects/{project}/global/addresses", "response": { "$ref": "AddressList" }, "parameterOrder": [ "project" ], "id": "compute.globalAddresses.list" }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/addresses/{resource}/testIamPermissions", "id": "compute.globalAddresses.testIamPermissions", "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/addresses/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalAddresses.insert", "request": { "$ref": "Address" }, "flatPath": "projects/{project}/global/addresses", "parameterOrder": [ "project" ], "description": "Creates an address resource in the specified project by using the data included in the request.", "path": "projects/{project}/global/addresses", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "get": { "id": "compute.globalAddresses.get", "parameters": { "address": { "location": "path", "required": true, "description": "Name of the address resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "response": { "$ref": "Address" }, "description": "Returns the specified address resource. Gets a list of available addresses by making a list() request.", "path": "projects/{project}/global/addresses/{address}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "address" ], "flatPath": "projects/{project}/global/addresses/{address}" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "project", "address" ], "id": "compute.globalAddresses.delete", "flatPath": "projects/{project}/global/addresses/{address}", "description": "Deletes the specified address resource.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "address": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the address resource to delete." } }, "path": "projects/{project}/global/addresses/{address}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } } } }, "backendBuckets": { "methods": { "patch": { "path": "projects/{project}/global/backendBuckets/{backendBucket}", "request": { "$ref": "BackendBucket" }, "id": "compute.backendBuckets.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendBucket": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendBucket resource to patch.", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendBucket" ], "httpMethod": "PATCH", "description": "Updates the specified BackendBucket resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules." }, "list": { "description": "Retrieves the list of BackendBucket resources available to the specified project.", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "location": "query", "minimum": "0", "default": "500" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "BackendBucketList" }, "parameterOrder": [ "project" ], "id": "compute.backendBuckets.list", "flatPath": "projects/{project}/global/backendBuckets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/backendBuckets" }, "update": { "id": "compute.backendBuckets.update", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the specified BackendBucket resource with the data included in the request.", "parameterOrder": [ "project", "backendBucket" ], "httpMethod": "PUT", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendBucket": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the BackendBucket resource to update." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "BackendBucket" } }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "id": "compute.backendBuckets.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/backendBuckets/{resource}/testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/global/backendBuckets/{resource}/testIamPermissions" }, "delete": { "id": "compute.backendBuckets.delete", "description": "Deletes the specified BackendBucket resource.", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendBucket": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name of the BackendBucket resource to delete.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/backendBuckets/{backendBucket}", "parameterOrder": [ "project", "backendBucket" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "path": "projects/{project}/global/backendBuckets/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ], "id": "compute.backendBuckets.setIamPolicy", "flatPath": "projects/{project}/global/backendBuckets/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "GlobalSetPolicyRequest" }, "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true } } }, "setEdgeSecurityPolicy": { "parameterOrder": [ "project", "backendBucket" ], "response": { "$ref": "Operation" }, "description": "Sets the edge security policy for the specified backend bucket.", "path": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicyReference" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "backendBucket": { "location": "path", "type": "string", "required": true, "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "POST", "id": "compute.backendBuckets.setEdgeSecurityPolicy" }, "addSignedUrlKey": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendBucket" ], "description": "Adds a key for validating requests with signed URLs for this backend bucket.", "id": "compute.backendBuckets.addSignedUrlKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "backendBucket": { "type": "string", "required": true, "location": "path", "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035." } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "path": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "request": { "$ref": "SignedUrlKey" } }, "get": { "parameterOrder": [ "project", "backendBucket" ], "httpMethod": "GET", "description": "Returns the specified BackendBucket resource. Gets a list of available backend buckets by making a list() request.", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "BackendBucket" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendBucket": { "description": "Name of the BackendBucket resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "id": "compute.backendBuckets.get" }, "deleteSignedUrlKey": { "path": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendBucket": { "required": true, "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "location": "path", "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "keyName": { "required": true, "description": "The name of the Signed URL Key to delete.", "location": "query", "type": "string" } }, "httpMethod": "POST", "description": "Deletes a key for validating requests with signed URLs for this backend bucket.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendBucket", "keyName" ], "id": "compute.backendBuckets.deleteSignedUrlKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey" }, "insert": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "path": "projects/{project}/global/backendBuckets", "flatPath": "projects/{project}/global/backendBuckets", "description": "Creates a BackendBucket resource in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "BackendBucket" }, "httpMethod": "POST", "id": "compute.backendBuckets.insert" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "description": "Requested IAM Policy version.", "format": "int32" } }, "flatPath": "projects/{project}/global/backendBuckets/{resource}/getIamPolicy", "id": "compute.backendBuckets.getIamPolicy", "path": "projects/{project}/global/backendBuckets/{resource}/getIamPolicy", "httpMethod": "GET" } } }, "networks": { "methods": { "addPeering": { "path": "projects/{project}/global/networks/{network}/addPeering", "response": { "$ref": "Operation" }, "parameters": { "network": { "description": "Name of the network resource to add peering to.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Adds a peering to the specified network.", "parameterOrder": [ "project", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networks.addPeering", "request": { "$ref": "NetworksAddPeeringRequest" }, "flatPath": "projects/{project}/global/networks/{network}/addPeering", "httpMethod": "POST" }, "getEffectiveFirewalls": { "httpMethod": "GET", "parameters": { "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "network": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the network for this request." } }, "response": { "$ref": "NetworksGetEffectiveFirewallsResponse" }, "id": "compute.networks.getEffectiveFirewalls", "flatPath": "projects/{project}/global/networks/{network}/getEffectiveFirewalls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "network" ], "description": "Returns the effective firewalls on a given network.", "path": "projects/{project}/global/networks/{network}/getEffectiveFirewalls" }, "list": { "path": "projects/{project}/global/networks", "description": "Retrieves the list of networks available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/networks", "parameterOrder": [ "project" ], "response": { "$ref": "NetworkList" }, "id": "compute.networks.list", "parameters": { "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "default": "500", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "httpMethod": "GET" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "resource": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." } }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/networks/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/networks/{resource}/testIamPermissions", "id": "compute.networks.testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "updatePeering": { "id": "compute.networks.updatePeering", "parameters": { "network": { "type": "string", "location": "path", "description": "Name of the network resource which the updated peering is belonging to.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/global/networks/{network}/updatePeering", "parameterOrder": [ "project", "network" ], "response": { "$ref": "Operation" }, "request": { "$ref": "NetworksUpdatePeeringRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the specified network peering with the data included in the request. You can only modify the NetworkPeering.export_custom_routes field and the NetworkPeering.import_custom_routes field.", "flatPath": "projects/{project}/global/networks/{network}/updatePeering", "httpMethod": "PATCH" }, "delete": { "response": { "$ref": "Operation" }, "description": "Deletes the specified network.", "id": "compute.networks.delete", "parameterOrder": [ "project", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/networks/{network}", "parameters": { "network": { "type": "string", "description": "Name of the network to delete.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "DELETE", "flatPath": "projects/{project}/global/networks/{network}" }, "patch": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/networks/{network}", "httpMethod": "PATCH", "flatPath": "projects/{project}/global/networks/{network}", "request": { "$ref": "Network" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networks.patch", "parameters": { "network": { "description": "Name of the network to update.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "description": "Patches the specified network with the data included in the request. Only the following fields can be modified: routingConfig.routingMode.", "parameterOrder": [ "project", "network" ] }, "removePeering": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "network": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the network resource to remove peering from." } }, "httpMethod": "POST", "path": "projects/{project}/global/networks/{network}/removePeering", "flatPath": "projects/{project}/global/networks/{network}/removePeering", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "network" ], "request": { "$ref": "NetworksRemovePeeringRequest" }, "id": "compute.networks.removePeering", "description": "Removes a peering from the specified network.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "listPeeringRoutes": { "parameterOrder": [ "project", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Lists the peering routes exchanged over peering connection.", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "peeringName": { "location": "query", "type": "string", "description": "The response will show routes exchanged over the given peering connection." }, "direction": { "enum": [ "INCOMING", "OUTGOING" ], "location": "query", "enumDescriptions": [ "For routes exported from peer network.", "For routes exported from local network." ], "type": "string", "description": "The direction of the exchanged routes." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "location": "query", "default": "500" }, "region": { "type": "string", "description": "The region of the request. The response will include all subnet routes, static routes and dynamic routes in the region.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "network": { "description": "Name of the network for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "response": { "$ref": "ExchangedPeeringRoutesList" }, "flatPath": "projects/{project}/global/networks/{network}/listPeeringRoutes", "path": "projects/{project}/global/networks/{network}/listPeeringRoutes", "id": "compute.networks.listPeeringRoutes" }, "get": { "parameterOrder": [ "project", "network" ], "path": "projects/{project}/global/networks/{network}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "Network" }, "flatPath": "projects/{project}/global/networks/{network}", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "network": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the network to return." } }, "description": "Returns the specified network. Gets a list of available networks by making a list() request.", "id": "compute.networks.get" }, "insert": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a network in the specified project using the data included in the request.", "request": { "$ref": "Network" }, "path": "projects/{project}/global/networks", "httpMethod": "POST", "flatPath": "projects/{project}/global/networks", "id": "compute.networks.insert", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ] }, "switchToCustomMode": { "description": "Switches the network mode from auto subnet mode to custom subnet mode.", "parameters": { "network": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the network to be updated." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/networks/{network}/switchToCustomMode", "httpMethod": "POST", "parameterOrder": [ "project", "network" ], "flatPath": "projects/{project}/global/networks/{network}/switchToCustomMode", "response": { "$ref": "Operation" }, "id": "compute.networks.switchToCustomMode" } } }, "diskTypes": { "methods": { "list": { "path": "projects/{project}/zones/{zone}/diskTypes", "parameterOrder": [ "project", "zone" ], "response": { "$ref": "DiskTypeList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of disk types available to the specified project.", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "minimum": "0", "location": "query", "format": "uint32", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "id": "compute.diskTypes.list", "flatPath": "projects/{project}/zones/{zone}/diskTypes" }, "aggregatedList": { "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." } }, "parameterOrder": [ "project" ], "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/diskTypes", "id": "compute.diskTypes.aggregatedList", "path": "projects/{project}/aggregated/diskTypes", "description": "Retrieves an aggregated list of disk types.", "response": { "$ref": "DiskTypeAggregatedList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "httpMethod": "GET", "id": "compute.diskTypes.get", "parameters": { "diskType": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the disk type to return." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "zone": { "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/diskTypes/{diskType}", "description": "Returns the specified disk type. Gets a list of available disk types by making a list() request.", "parameterOrder": [ "project", "zone", "diskType" ], "response": { "$ref": "DiskType" }, "flatPath": "projects/{project}/zones/{zone}/diskTypes/{diskType}" } } }, "targetVpnGateways": { "methods": { "delete": { "httpMethod": "DELETE", "description": "Deletes the specified target VPN gateway.", "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "parameterOrder": [ "project", "region", "targetVpnGateway" ], "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "targetVpnGateway": { "description": "Name of the target VPN gateway to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "id": "compute.targetVpnGateways.delete", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}" }, "aggregatedList": { "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/targetVpnGateways", "parameterOrder": [ "project" ], "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "minimum": "0", "format": "uint32" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetVpnGatewayAggregatedList" }, "path": "projects/{project}/aggregated/targetVpnGateways", "description": "Retrieves an aggregated list of target VPN gateways.", "id": "compute.targetVpnGateways.aggregatedList" }, "get": { "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "id": "compute.targetVpnGateways.get", "parameterOrder": [ "project", "region", "targetVpnGateway" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "response": { "$ref": "TargetVpnGateway" }, "description": "Returns the specified target VPN gateway. Gets a list of available target VPN gateways by making a list() request.", "httpMethod": "GET", "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region for this request." }, "targetVpnGateway": { "description": "Name of the target VPN gateway to return.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetVpnGateways.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/testIamPermissions", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "region": { "description": "The name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true } }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" } }, "setLabels": { "request": { "$ref": "RegionSetLabelsRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetVpnGateways.setLabels", "description": "Sets the labels on a TargetVpnGateway. To learn more about labels, read the Labeling Resources documentation.", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "region": { "description": "The region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/setLabels", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{resource}/setLabels" }, "list": { "description": "Retrieves a list of target VPN gateways available to the specified project and region.", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "response": { "$ref": "TargetVpnGatewayList" }, "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "location": "path", "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "maxResults": { "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "minimum": "0" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetVpnGateways", "id": "compute.targetVpnGateways.list", "parameterOrder": [ "project", "region" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.targetVpnGateways.insert", "description": "Creates a target VPN gateway in the specified project and region using the data included in the request.", "parameterOrder": [ "project", "region" ], "parameters": { "region": { "type": "string", "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "path": "projects/{project}/regions/{region}/targetVpnGateways", "request": { "$ref": "TargetVpnGateway" } } } }, "addresses": { "methods": { "insert": { "flatPath": "projects/{project}/regions/{region}/addresses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an address resource in the specified project by using the data included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "Address" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "parameterOrder": [ "project", "region" ], "id": "compute.addresses.insert", "path": "projects/{project}/regions/{region}/addresses" }, "get": { "parameterOrder": [ "project", "region", "address" ], "id": "compute.addresses.get", "parameters": { "region": { "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "address": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to return.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Address" }, "description": "Returns the specified address resource.", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/addresses/{address}", "path": "projects/{project}/regions/{region}/addresses/{address}" }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "region": { "location": "path", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.addresses.testIamPermissions", "path": "projects/{project}/regions/{region}/addresses/{resource}/testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/addresses/{resource}/testIamPermissions" }, "setLabels": { "flatPath": "projects/{project}/regions/{region}/addresses/{resource}/setLabels", "request": { "$ref": "RegionSetLabelsRequest" }, "response": { "$ref": "Operation" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The region for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "resource" ], "id": "compute.addresses.setLabels", "path": "projects/{project}/regions/{region}/addresses/{resource}/setLabels", "description": "Sets the labels on an Address. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST" }, "aggregatedList": { "path": "projects/{project}/aggregated/addresses", "response": { "$ref": "AddressAggregatedList" }, "parameterOrder": [ "project" ], "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "minimum": "0", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "description": "Retrieves an aggregated list of addresses.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.addresses.aggregatedList", "flatPath": "projects/{project}/aggregated/addresses", "httpMethod": "GET" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "address": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to delete.", "required": true, "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "address" ], "httpMethod": "DELETE", "id": "compute.addresses.delete", "description": "Deletes the specified address resource.", "flatPath": "projects/{project}/regions/{region}/addresses/{address}", "path": "projects/{project}/regions/{region}/addresses/{address}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/addresses", "id": "compute.addresses.list", "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/addresses", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request." } }, "response": { "$ref": "AddressList" }, "description": "Retrieves a list of addresses contained within the specified region." } } }, "regionHealthCheckServices": { "methods": { "testIamPermissions": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "region": { "description": "The name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "path": "projects/{project}/regions/{region}/healthCheckServices/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionHealthCheckServices.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "request": { "$ref": "HealthCheckService" }, "id": "compute.regionHealthCheckServices.patch", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true }, "healthCheckService": { "required": true, "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Updates the specified regional HealthCheckService resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "parameterOrder": [ "project", "region", "healthCheckService" ], "httpMethod": "PATCH" }, "list": { "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "id": "compute.regionHealthCheckServices.list", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "location": "query", "default": "500", "format": "uint32" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "HealthCheckServicesList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all the HealthCheckService resources that have been configured for the specified project in the given region.", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/healthCheckServices", "httpMethod": "GET" }, "insert": { "id": "compute.regionHealthCheckServices.insert", "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "request": { "$ref": "HealthCheckService" }, "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Creates a regional HealthCheckService resource in the specified project and region using the data included in the request.", "path": "projects/{project}/regions/{region}/healthCheckServices", "parameterOrder": [ "project", "region" ] }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "healthCheckService" ], "response": { "$ref": "Operation" }, "id": "compute.regionHealthCheckServices.delete", "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified regional HealthCheckService.", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "healthCheckService": { "description": "Name of the HealthCheckService to delete. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "required": true, "location": "path" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}" }, "get": { "id": "compute.regionHealthCheckServices.get", "response": { "$ref": "HealthCheckService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "parameterOrder": [ "project", "region", "healthCheckService" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "description": "Returns the specified regional HealthCheckService resource.", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "healthCheckService": { "location": "path", "type": "string", "required": true, "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035." } } } } }, "resourcePolicies": { "methods": { "getIamPolicy": { "parameterOrder": [ "project", "region", "resource" ], "id": "compute.resourcePolicies.getIamPolicy", "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the region for this request." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "location": "query", "type": "integer" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "region": { "description": "The name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "required": true, "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true } }, "id": "compute.resourcePolicies.setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" } }, "get": { "parameters": { "resourcePolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the resource policy to retrieve.", "location": "path", "required": true }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "parameterOrder": [ "project", "region", "resourcePolicy" ], "id": "compute.resourcePolicies.get", "response": { "$ref": "ResourcePolicy" }, "httpMethod": "GET", "description": "Retrieves all information of the specified resource policy.", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}" }, "insert": { "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "request": { "$ref": "ResourcePolicy" }, "id": "compute.resourcePolicies.insert", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "region": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." } }, "path": "projects/{project}/regions/{region}/resourcePolicies", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a new resource policy.", "parameterOrder": [ "project", "region" ] }, "delete": { "id": "compute.resourcePolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resourcePolicy": { "location": "path", "description": "Name of the resource policy to delete.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Deletes the specified resource policy.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "resourcePolicy" ] }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.resourcePolicies.testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "required": true, "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "region", "resource" ] }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.resourcePolicies.aggregatedList", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "maxResults": { "minimum": "0", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer" } }, "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/resourcePolicies", "path": "projects/{project}/aggregated/resourcePolicies", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of resource policies.", "response": { "$ref": "ResourcePolicyAggregatedList" } }, "list": { "id": "compute.resourcePolicies.list", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/resourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "response": { "$ref": "ResourcePolicyList" }, "parameterOrder": [ "project", "region" ], "description": "A list all the resource policies that have been configured for the specified project in specified region.", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "region": { "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "format": "uint32" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } } } } }, "machineTypes": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified machine type. Gets a list of available machine types by making a list() request.", "parameters": { "machineType": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the machine type to return.", "location": "path", "type": "string" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/zones/{zone}/machineTypes/{machineType}", "parameterOrder": [ "project", "zone", "machineType" ], "id": "compute.machineTypes.get", "httpMethod": "GET", "response": { "$ref": "MachineType" }, "path": "projects/{project}/zones/{zone}/machineTypes/{machineType}" }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.machineTypes.aggregatedList", "flatPath": "projects/{project}/aggregated/machineTypes", "response": { "$ref": "MachineTypeAggregatedList" }, "path": "projects/{project}/aggregated/machineTypes", "description": "Retrieves an aggregated list of machine types.", "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0", "type": "integer" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } } }, "list": { "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "MachineTypeList" }, "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "id": "compute.machineTypes.list", "flatPath": "projects/{project}/zones/{zone}/machineTypes", "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/machineTypes", "description": "Retrieves a list of machine types available to the specified project." } } }, "regions": { "methods": { "get": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}", "response": { "$ref": "Region" }, "description": "Returns the specified Region resource. Gets a list of available regions by making a list() request. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "id": "compute.regions.get", "parameters": { "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the region resource to return." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions", "id": "compute.regions.list", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "format": "uint32", "default": "500" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions", "parameterOrder": [ "project" ], "response": { "$ref": "RegionList" }, "description": "Retrieves the list of region resources available to the specified project. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `items.quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request." } } }, "regionDiskTypes": { "methods": { "get": { "parameterOrder": [ "project", "region", "diskType" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the specified regional disk type. Gets a list of available disk types by making a list() request.", "id": "compute.regionDiskTypes.get", "response": { "$ref": "DiskType" }, "flatPath": "projects/{project}/regions/{region}/diskTypes/{diskType}", "path": "projects/{project}/regions/{region}/diskTypes/{diskType}", "parameters": { "diskType": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the disk type to return." }, "region": { "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "list": { "path": "projects/{project}/regions/{region}/diskTypes", "description": "Retrieves a list of regional disk types available to the specified project.", "response": { "$ref": "RegionDiskTypeList" }, "httpMethod": "GET", "id": "compute.regionDiskTypes.list", "flatPath": "projects/{project}/regions/{region}/diskTypes", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query", "minimum": "0", "format": "uint32" }, "region": { "description": "The name of the region for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionTargetHttpsProxies": { "methods": { "delete": { "description": "Deletes the specified TargetHttpsProxy resource.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "targetHttpsProxy": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to delete." }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "id": "compute.regionTargetHttpsProxies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "DELETE" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "id": "compute.regionTargetHttpsProxies.get", "httpMethod": "GET", "response": { "$ref": "TargetHttpsProxy" }, "parameters": { "region": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "targetHttpsProxy": { "description": "Name of the TargetHttpsProxy resource to return.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "description": "Returns the specified TargetHttpsProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request." }, "insert": { "parameters": { "region": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpsProxy" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Creates a TargetHttpsProxy resource in the specified project and region using the data included in the request.", "path": "projects/{project}/regions/{region}/targetHttpsProxies", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies", "id": "compute.regionTargetHttpsProxies.insert" }, "setSslCertificates": { "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "id": "compute.regionTargetHttpsProxies.setSslCertificates", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "httpMethod": "POST", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "targetHttpsProxy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Replaces SslCertificates for TargetHttpsProxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "request": { "$ref": "RegionTargetHttpsProxiesSetSslCertificatesRequest" } }, "list": { "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project in the specified region.", "response": { "$ref": "TargetHttpsProxyList" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies", "path": "projects/{project}/regions/{region}/targetHttpsProxies", "id": "compute.regionTargetHttpsProxies.list", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "httpMethod": "GET" }, "testIamPermissions": { "parameters": { "resource": { "type": "string", "required": true, "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "region": { "type": "string", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionTargetHttpsProxies.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST" }, "patch": { "request": { "$ref": "TargetHttpsProxy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "response": { "$ref": "Operation" }, "id": "compute.regionTargetHttpsProxies.patch", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "PATCH", "parameters": { "targetHttpsProxy": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to patch.", "location": "path" }, "region": { "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Patches the specified regional TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules." }, "setUrlMap": { "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "targetHttpsProxy": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy to set a URL map for." } }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpsProxy.", "response": { "$ref": "Operation" }, "id": "compute.regionTargetHttpsProxies.setUrlMap", "request": { "$ref": "UrlMapReference" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "targetHttpsProxy" ] } } }, "reservations": { "methods": { "insert": { "response": { "$ref": "Operation" }, "id": "compute.reservations.insert", "flatPath": "projects/{project}/zones/{zone}/reservations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "request": { "$ref": "Reservation" }, "parameters": { "zone": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/zones/{zone}/reservations", "description": "Creates a new reservation. For more information, read Reserving zonal resources.", "httpMethod": "POST" }, "list": { "response": { "$ref": "ReservationList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/reservations", "description": "A list of all the reservations that have been configured for the specified project in specified zone.", "path": "projects/{project}/zones/{zone}/reservations", "id": "compute.reservations.list", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "zone": { "type": "string", "required": true, "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "maxResults": { "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "format": "uint32" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "parameterOrder": [ "project", "zone" ] }, "update": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "request": { "$ref": "Reservation" }, "id": "compute.reservations.update", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "updateMask": { "description": "Update_mask indicates fields to be updated as part of this request.", "location": "query", "type": "string", "format": "google-fieldmask" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request.", "type": "string", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "paths": { "repeated": true, "type": "string", "location": "query" }, "reservation": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the reservation to update.", "location": "path" } }, "description": "Update share settings of the reservation.", "parameterOrder": [ "project", "zone", "reservation" ], "httpMethod": "PATCH", "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "required": true, "location": "path" } }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "id": "compute.reservations.getIamPolicy" }, "aggregatedList": { "response": { "$ref": "ReservationAggregatedList" }, "httpMethod": "GET", "description": "Retrieves an aggregated list of reservations.", "parameterOrder": [ "project" ], "id": "compute.reservations.aggregatedList", "path": "projects/{project}/aggregated/reservations", "flatPath": "projects/{project}/aggregated/reservations", "parameters": { "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32", "default": "500" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "description": "Deletes the specified reservation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "parameterOrder": [ "project", "zone", "reservation" ], "parameters": { "zone": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the zone for this request." }, "reservation": { "required": true, "type": "string", "description": "Name of the reservation to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "id": "compute.reservations.delete" }, "resize": { "parameters": { "zone": { "location": "path", "type": "string", "description": "Name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "reservation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "Name of the reservation to update." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "request": { "$ref": "ReservationsResizeRequest" }, "description": "Resizes the reservation (applicable to standalone reservations only). For more information, read Modifying reservations.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "reservation" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "id": "compute.reservations.resize" }, "get": { "parameterOrder": [ "project", "zone", "reservation" ], "id": "compute.reservations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the zone for this request.", "type": "string", "required": true }, "reservation": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the reservation to retrieve.", "required": true } }, "description": "Retrieves information about the specified reservation.", "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "response": { "$ref": "Reservation" } }, "setIamPolicy": { "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.reservations.setIamPolicy", "request": { "$ref": "ZoneSetPolicyRequest" }, "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "httpMethod": "POST", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." } } }, "testIamPermissions": { "parameterOrder": [ "project", "zone", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions", "httpMethod": "POST", "id": "compute.reservations.testIamPermissions", "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "targetGrpcProxies": { "methods": { "list": { "id": "compute.targetGrpcProxies.list", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32", "default": "500" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "path": "projects/{project}/global/targetGrpcProxies", "description": "Lists the TargetGrpcProxies for a project in the given scope.", "response": { "$ref": "TargetGrpcProxyList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/targetGrpcProxies", "httpMethod": "GET", "parameterOrder": [ "project" ] }, "insert": { "httpMethod": "POST", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/targetGrpcProxies", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "request": { "$ref": "TargetGrpcProxy" }, "response": { "$ref": "Operation" }, "id": "compute.targetGrpcProxies.insert", "path": "projects/{project}/global/targetGrpcProxies", "description": "Creates a TargetGrpcProxy in the specified project in the given scope using the parameters that are included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "id": "compute.targetGrpcProxies.testIamPermissions", "flatPath": "projects/{project}/global/targetGrpcProxies/{resource}/testIamPermissions", "path": "projects/{project}/global/targetGrpcProxies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST" }, "patch": { "parameterOrder": [ "project", "targetGrpcProxy" ], "httpMethod": "PATCH", "request": { "$ref": "TargetGrpcProxy" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "description": "Patches the specified TargetGrpcProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "targetGrpcProxy": { "location": "path", "type": "string", "description": "Name of the TargetGrpcProxy resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } }, "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetGrpcProxies.patch" }, "get": { "httpMethod": "GET", "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameterOrder": [ "project", "targetGrpcProxy" ], "response": { "$ref": "TargetGrpcProxy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "targetGrpcProxy": { "location": "path", "type": "string", "required": true, "description": "Name of the TargetGrpcProxy resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.targetGrpcProxies.get", "description": "Returns the specified TargetGrpcProxy resource in the given scope." }, "delete": { "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "targetGrpcProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetGrpcProxy resource to delete.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameterOrder": [ "project", "targetGrpcProxy" ], "id": "compute.targetGrpcProxies.delete", "description": "Deletes the specified TargetGrpcProxy in the given scope", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "networkFirewallPolicies": { "methods": { "patch": { "id": "compute.networkFirewallPolicies.patch", "httpMethod": "PATCH", "request": { "$ref": "FirewallPolicy" }, "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "firewallPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the firewall policy to update.", "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Patches the specified policy with the data included in the request.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all the policies that have been configured for the specified project.", "response": { "$ref": "FirewallPolicyList" }, "id": "compute.networkFirewallPolicies.list", "parameterOrder": [ "project" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/firewallPolicies", "path": "projects/{project}/global/firewallPolicies", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "format": "uint32", "location": "query", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } } }, "insert": { "request": { "$ref": "FirewallPolicy" }, "httpMethod": "POST", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.insert", "description": "Creates a new policy in the specified project using the data included in the request.", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies", "path": "projects/{project}/global/firewallPolicies" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" } }, "flatPath": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "GlobalSetPolicyRequest" }, "id": "compute.networkFirewallPolicies.setIamPolicy" }, "getRule": { "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "httpMethod": "GET", "response": { "$ref": "FirewallPolicyRule" }, "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.getRule", "parameters": { "firewallPolicy": { "required": true, "description": "Name of the firewall policy to which the queried rule belongs.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "priority": { "format": "int32", "location": "query", "type": "integer", "description": "The priority of the rule to get from the firewall policy." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets a rule of the specified priority." }, "removeAssociation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "name": { "location": "query", "description": "Name for the attachment that will be removed.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Removes an association for the specified firewall policy.", "id": "compute.networkFirewallPolicies.removeAssociation", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation" }, "addRule": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "request": { "$ref": "FirewallPolicyRule" }, "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.addRule", "httpMethod": "POST", "parameters": { "maxPriority": { "location": "query", "type": "integer", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "format": "int32" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "minPriority": { "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "type": "integer", "location": "query", "format": "int32" }, "firewallPolicy": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to update." } }, "description": "Inserts a rule into a firewall policy." }, "getIamPolicy": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "location": "query", "type": "integer" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.networkFirewallPolicies.getIamPolicy", "flatPath": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" } }, "patchRule": { "description": "Patches a rule of the specified priority.", "request": { "$ref": "FirewallPolicyRule" }, "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "priority": { "format": "int32", "type": "integer", "location": "query", "description": "The priority of the rule to patch." } }, "id": "compute.networkFirewallPolicies.patchRule", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule" }, "get": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "id": "compute.networkFirewallPolicies.get", "httpMethod": "GET", "parameterOrder": [ "project", "firewallPolicy" ], "parameters": { "firewallPolicy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to get.", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "description": "Returns the specified network firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicy" }, "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}" }, "delete": { "httpMethod": "DELETE", "id": "compute.networkFirewallPolicies.delete", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to delete.", "required": true, "location": "path" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "description": "Deletes the specified policy.", "response": { "$ref": "Operation" } }, "getAssociation": { "description": "Gets an association with the specified name.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyAssociation" }, "id": "compute.networkFirewallPolicies.getAssociation", "parameters": { "name": { "description": "The name of the association to get from the firewall policy.", "location": "query", "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "firewallPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to which the queried association belongs.", "location": "path", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation" }, "removeRule": { "response": { "$ref": "Operation" }, "description": "Deletes a rule of the specified priority.", "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "priority": { "location": "query", "format": "int32", "type": "integer", "description": "The priority of the rule to remove from the firewall policy." }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update.", "type": "string", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule", "id": "compute.networkFirewallPolicies.removeRule", "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule" }, "cloneRules": { "description": "Copies rules to the specified firewall policy.", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "sourceFirewallPolicy": { "description": "The firewall policy from which to copy rules.", "type": "string", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "firewallPolicy" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.networkFirewallPolicies.cloneRules", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules" }, "addAssociation": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation", "description": "Inserts an association for the specified firewall policy.", "parameterOrder": [ "project", "firewallPolicy" ], "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.addAssociation", "httpMethod": "POST", "request": { "$ref": "FirewallPolicyAssociation" }, "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "firewallPolicy": { "required": true, "description": "Name of the firewall policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "replaceExistingAssociation": { "location": "query", "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "type": "boolean" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation" }, "testIamPermissions": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "id": "compute.networkFirewallPolicies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." } } }, "zones": { "methods": { "list": { "flatPath": "projects/{project}/zones", "description": "Retrieves the list of Zone resources available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.zones.list", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "parameterOrder": [ "project" ], "response": { "$ref": "ZoneList" }, "path": "projects/{project}/zones" }, "get": { "parameterOrder": [ "project", "zone" ], "description": "Returns the specified Zone resource. Gets a list of available zones by making a list() request.", "id": "compute.zones.get", "response": { "$ref": "Zone" }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}", "path": "projects/{project}/zones/{zone}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the zone resource to return." } } } } }, "nodeTemplates": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.nodeTemplates.getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "region": { "location": "path", "type": "string", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Requested IAM Policy version." }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "delete": { "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified NodeTemplate resource.", "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "parameterOrder": [ "project", "region", "nodeTemplate" ], "id": "compute.nodeTemplates.delete", "httpMethod": "DELETE", "parameters": { "nodeTemplate": { "location": "path", "description": "Name of the NodeTemplate resource to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" } }, "insert": { "path": "projects/{project}/regions/{region}/nodeTemplates", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" } }, "id": "compute.nodeTemplates.insert", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a NodeTemplate resource in the specified project using the data included in the request.", "request": { "$ref": "NodeTemplate" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/nodeTemplates" }, "setIamPolicy": { "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "id": "compute.nodeTemplates.setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "location": "path", "description": "The name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "type": "string", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true } }, "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "parameterOrder": [ "project", "region", "resource" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "description": "Returns the specified node template. Gets a list of available node templates by making a list() request.", "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "parameters": { "nodeTemplate": { "description": "Name of the node template to return.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "id": "compute.nodeTemplates.get", "httpMethod": "GET", "response": { "$ref": "NodeTemplate" }, "parameterOrder": [ "project", "region", "nodeTemplate" ] }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/nodeTemplates", "parameterOrder": [ "project" ], "response": { "$ref": "NodeTemplateAggregatedList" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "description": "Retrieves an aggregated list of node templates.", "id": "compute.nodeTemplates.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/nodeTemplates" }, "testIamPermissions": { "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "id": "compute.nodeTemplates.testIamPermissions", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" } }, "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST" }, "list": { "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request.", "required": true }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "default": "500", "location": "query" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/nodeTemplates", "flatPath": "projects/{project}/regions/{region}/nodeTemplates", "description": "Retrieves a list of node templates available to the specified project.", "id": "compute.nodeTemplates.list", "parameterOrder": [ "project", "region" ], "response": { "$ref": "NodeTemplateList" } } } }, "regionSslCertificates": { "methods": { "insert": { "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "path": "projects/{project}/regions/{region}/sslCertificates", "id": "compute.regionSslCertificates.insert", "response": { "$ref": "Operation" }, "request": { "$ref": "SslCertificate" }, "flatPath": "projects/{project}/regions/{region}/sslCertificates", "description": "Creates a SslCertificate resource in the specified project and region using the data included in the request" }, "get": { "parameterOrder": [ "project", "region", "sslCertificate" ], "httpMethod": "GET", "parameters": { "sslCertificate": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the SslCertificate resource to return." }, "region": { "required": true, "description": "Name of the region scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "response": { "$ref": "SslCertificate" }, "description": "Returns the specified SslCertificate resource in the specified region. Get a list of available SSL certificates by making a list() request.", "id": "compute.regionSslCertificates.get", "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource and region.", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/sslCertificates/{resource}/testIamPermissions", "id": "compute.regionSslCertificates.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "region": { "description": "The name of the region for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "path": "projects/{project}/regions/{region}/sslCertificates/{resource}/testIamPermissions" }, "list": { "response": { "$ref": "SslCertificateList" }, "path": "projects/{project}/regions/{region}/sslCertificates", "flatPath": "projects/{project}/regions/{region}/sslCertificates", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." }, "maxResults": { "minimum": "0", "format": "uint32", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "description": "Retrieves the list of SslCertificate resources available to the specified project in the specified region.", "httpMethod": "GET", "id": "compute.regionSslCertificates.list" }, "delete": { "parameters": { "region": { "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "sslCertificate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the SslCertificate resource to delete.", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "parameterOrder": [ "project", "region", "sslCertificate" ], "response": { "$ref": "Operation" }, "id": "compute.regionSslCertificates.delete", "description": "Deletes the specified SslCertificate resource in the region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "regionInstances": { "methods": { "bulkInsert": { "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionInstances.bulkInsert", "flatPath": "projects/{project}/regions/{region}/instances/bulkInsert", "path": "projects/{project}/regions/{region}/instances/bulkInsert", "httpMethod": "POST", "description": "Creates multiple instances in a given region. Count specifies the number of instances to create.", "request": { "$ref": "BulkInsertInstanceResource" }, "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "type": "string", "required": true, "location": "path", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } } } }, "targetHttpsProxies": { "methods": { "patch": { "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetHttpsProxy resource to patch.", "required": true, "location": "path" } }, "id": "compute.targetHttpsProxies.patch", "request": { "$ref": "TargetHttpsProxy" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH" }, "list": { "parameterOrder": [ "project" ], "id": "compute.targetHttpsProxies.list", "httpMethod": "GET", "flatPath": "projects/{project}/global/targetHttpsProxies", "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "minimum": "0", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "response": { "$ref": "TargetHttpsProxyList" }, "path": "projects/{project}/global/targetHttpsProxies" }, "get": { "response": { "$ref": "TargetHttpsProxy" }, "description": "Returns the specified TargetHttpsProxy resource. Gets a list of available target HTTPS proxies by making a list() request.", "parameterOrder": [ "project", "targetHttpsProxy" ], "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "id": "compute.targetHttpsProxies.get", "httpMethod": "GET", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "parameters": { "targetHttpsProxy": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to return.", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetHttpsProxies.aggregatedList", "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "location": "query" } }, "path": "projects/{project}/aggregated/targetHttpsProxies", "description": "Retrieves the list of all TargetHttpsProxy resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/targetHttpsProxies", "response": { "$ref": "TargetHttpsProxyAggregatedList" } }, "setSslCertificates": { "parameterOrder": [ "project", "targetHttpsProxy" ], "httpMethod": "POST", "description": "Replaces SslCertificates for TargetHttpsProxy.", "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "parameters": { "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "id": "compute.targetHttpsProxies.setSslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpsProxiesSetSslCertificatesRequest" } }, "insert": { "flatPath": "projects/{project}/global/targetHttpsProxies", "parameterOrder": [ "project" ], "httpMethod": "POST", "request": { "$ref": "TargetHttpsProxy" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "id": "compute.targetHttpsProxies.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetHttpsProxies", "description": "Creates a TargetHttpsProxy resource in the specified project using the data included in the request." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified TargetHttpsProxy resource.", "id": "compute.targetHttpsProxies.delete", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "targetHttpsProxy": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to delete." } }, "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE" }, "setUrlMap": { "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpsProxy.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.targetHttpsProxies.setUrlMap", "parameters": { "targetHttpsProxy": { "location": "path", "required": true, "type": "string", "description": "Name of the TargetHttpsProxy resource whose URL map is to be set.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "request": { "$ref": "UrlMapReference" }, "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "parameterOrder": [ "project", "targetHttpsProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setCertificateMap": { "parameterOrder": [ "project", "targetHttpsProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "description": "Changes the Certificate Map for TargetHttpsProxy.", "request": { "$ref": "TargetHttpsProxiesSetCertificateMapRequest" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetHttpsProxy": { "type": "string", "required": true, "description": "Name of the TargetHttpsProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path" } }, "response": { "$ref": "Operation" }, "id": "compute.targetHttpsProxies.setCertificateMap", "httpMethod": "POST" }, "setQuicOverride": { "httpMethod": "POST", "parameterOrder": [ "project", "targetHttpsProxy" ], "request": { "$ref": "TargetHttpsProxiesSetQuicOverrideRequest" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "targetHttpsProxy": { "location": "path", "type": "string", "required": true, "description": "Name of the TargetHttpsProxy resource to set the QUIC override policy for. The name should conform to RFC1035." } }, "response": { "$ref": "Operation" }, "id": "compute.targetHttpsProxies.setQuicOverride", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the QUIC override policy for TargetHttpsProxy." }, "setSslPolicy": { "parameterOrder": [ "project", "targetHttpsProxy" ], "description": "Sets the SSL policy for TargetHttpsProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the HTTPS proxy load balancer. They do not affect the connection between the load balancer and the backends.", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpsProxies.setSslPolicy", "request": { "$ref": "SslPolicyReference" }, "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "targetHttpsProxy": { "type": "string", "required": true, "location": "path", "description": "Name of the TargetHttpsProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035." } }, "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "testIamPermissions": { "flatPath": "projects/{project}/global/targetHttpsProxies/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/targetHttpsProxies/{resource}/testIamPermissions", "id": "compute.targetHttpsProxies.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" } } } }, "packetMirrorings": { "methods": { "insert": { "response": { "$ref": "Operation" }, "description": "Creates a PacketMirroring resource in the specified project and region using the data included in the request.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "request": { "$ref": "PacketMirroring" }, "path": "projects/{project}/regions/{region}/packetMirrorings", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.packetMirrorings.insert", "parameters": { "region": { "type": "string", "description": "Name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "PacketMirroringList" }, "id": "compute.packetMirrorings.list", "description": "Retrieves a list of PacketMirroring resources available to the specified project and region.", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region for this request.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "path": "projects/{project}/regions/{region}/packetMirrorings", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "parameterOrder": [ "project", "region" ] }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "id": "compute.packetMirrorings.testIamPermissions", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource." }, "patch": { "request": { "$ref": "PacketMirroring" }, "id": "compute.packetMirrorings.patch", "description": "Patches the specified PacketMirroring resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "packetMirroring": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the PacketMirroring resource to patch." }, "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "parameterOrder": [ "project", "region", "packetMirroring" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "description": "Returns the specified PacketMirroring resource.", "response": { "$ref": "PacketMirroring" }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "packetMirroring": { "type": "string", "description": "Name of the PacketMirroring resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "parameterOrder": [ "project", "region", "packetMirroring" ], "id": "compute.packetMirrorings.get" }, "delete": { "parameters": { "region": { "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "packetMirroring": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the PacketMirroring resource to delete." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "httpMethod": "DELETE", "description": "Deletes the specified PacketMirroring resource.", "id": "compute.packetMirrorings.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "packetMirroring" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}" }, "aggregatedList": { "response": { "$ref": "PacketMirroringAggregatedList" }, "flatPath": "projects/{project}/aggregated/packetMirrorings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.packetMirrorings.aggregatedList", "httpMethod": "GET", "description": "Retrieves an aggregated list of packetMirrorings.", "parameterOrder": [ "project" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "format": "uint32", "minimum": "0", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "path": "projects/{project}/aggregated/packetMirrorings" } } }, "targetPools": { "methods": { "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetPools/{resource}/testIamPermissions", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The name of the region for this request.", "required": true }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "id": "compute.targetPools.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/targetPools/{resource}/testIamPermissions" }, "get": { "response": { "$ref": "TargetPool" }, "parameterOrder": [ "project", "region", "targetPool" ], "description": "Returns the specified target pool. Gets a list of available target pools by making a list() request.", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}", "id": "compute.targetPools.get", "httpMethod": "GET", "parameters": { "targetPool": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to return.", "location": "path" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of target pools available to the specified project and region.", "path": "projects/{project}/regions/{region}/targetPools", "response": { "$ref": "TargetPoolList" }, "id": "compute.targetPools.list", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "default": "500" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/targetPools", "parameterOrder": [ "project", "region" ] }, "getHealth": { "request": { "$ref": "InstanceReference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetPoolInstanceHealth" }, "description": "Gets the most recent health check results for each IP for the instance that is referenced by the given target pool.", "parameterOrder": [ "project", "region", "targetPool" ], "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "targetPool": { "required": true, "description": "Name of the TargetPool resource to which the queried instance belongs.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "type": "string" } }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth", "id": "compute.targetPools.getHealth", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth" }, "addHealthCheck": { "parameterOrder": [ "project", "region", "targetPool" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "targetPool": { "description": "Name of the target pool to add a health check to.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true } }, "httpMethod": "POST", "id": "compute.targetPools.addHealthCheck", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "request": { "$ref": "TargetPoolsAddHealthCheckRequest" }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "description": "Adds health check URLs to a target pool." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetPool": { "type": "string", "description": "Name of the TargetPool resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "description": "Deletes the specified target pool.", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "targetPool" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "id": "compute.targetPools.delete" }, "aggregatedList": { "response": { "$ref": "TargetPoolAggregatedList" }, "httpMethod": "GET", "path": "projects/{project}/aggregated/targetPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "id": "compute.targetPools.aggregatedList", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of target pools.", "flatPath": "projects/{project}/aggregated/targetPools" }, "insert": { "flatPath": "projects/{project}/regions/{region}/targetPools", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "id": "compute.targetPools.insert", "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "path": "projects/{project}/regions/{region}/targetPools", "request": { "$ref": "TargetPool" }, "description": "Creates a target pool in the specified project and region using the data included in the request." }, "removeInstance": { "request": { "$ref": "TargetPoolsRemoveInstanceRequest" }, "id": "compute.targetPools.removeInstance", "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Removes instance URL from a target pool.", "parameterOrder": [ "project", "region", "targetPool" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "targetPool": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the TargetPool resource to remove instances from." } }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setBackup": { "httpMethod": "POST", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup", "description": "Changes a backup target pool's configurations.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetReference" }, "parameters": { "targetPool": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to set a backup pool for.", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "failoverRatio": { "location": "query", "description": "New failoverRatio value for the target pool.", "type": "number", "format": "float" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true } }, "id": "compute.targetPools.setBackup", "parameterOrder": [ "project", "region", "targetPool" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup" }, "addInstance": { "id": "compute.targetPools.addInstance", "description": "Adds an instance to a target pool.", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetPool": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to add instances to.", "location": "path" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance", "request": { "$ref": "TargetPoolsAddInstanceRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "targetPool" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance" }, "removeHealthCheck": { "parameters": { "targetPool": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the target pool to remove health checks from." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." } }, "description": "Removes health check URL from a target pool.", "request": { "$ref": "TargetPoolsRemoveHealthCheckRequest" }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck", "parameterOrder": [ "project", "region", "targetPool" ], "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.targetPools.removeHealthCheck" } } }, "publicDelegatedPrefixes": { "methods": { "delete": { "id": "compute.publicDelegatedPrefixes.delete", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "description": "Deletes the specified PublicDelegatedPrefix in the given region.", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "publicDelegatedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicDelegatedPrefix resource to delete.", "location": "path", "type": "string", "required": true }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "required": true, "location": "path" } }, "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE" }, "list": { "httpMethod": "GET", "id": "compute.publicDelegatedPrefixes.list", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "description": "Lists the PublicDelegatedPrefixes for a project in the given region.", "response": { "$ref": "PublicDelegatedPrefixList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "description": "Name of the region of this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "maxResults": { "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" } }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes" }, "aggregatedList": { "description": "Lists all PublicDelegatedPrefix resources owned by the specific project across all scopes.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request.", "required": true }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "location": "query", "default": "500", "format": "uint32" } }, "path": "projects/{project}/aggregated/publicDelegatedPrefixes", "response": { "$ref": "PublicDelegatedPrefixAggregatedList" }, "httpMethod": "GET", "id": "compute.publicDelegatedPrefixes.aggregatedList", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/publicDelegatedPrefixes" }, "get": { "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "id": "compute.publicDelegatedPrefixes.get", "response": { "$ref": "PublicDelegatedPrefix" }, "description": "Returns the specified PublicDelegatedPrefix resource in the given region.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameters": { "publicDelegatedPrefix": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the PublicDelegatedPrefix resource to return.", "type": "string" }, "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true } } }, "patch": { "request": { "$ref": "PublicDelegatedPrefix" }, "id": "compute.publicDelegatedPrefixes.patch", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "parameters": { "region": { "type": "string", "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "publicDelegatedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the PublicDelegatedPrefix resource to patch.", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules." }, "insert": { "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "description": "Creates a PublicDelegatedPrefix in the specified project in the given region using the parameters that are included in the request.", "parameters": { "region": { "description": "Name of the region of this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "project", "region" ], "id": "compute.publicDelegatedPrefixes.insert", "response": { "$ref": "Operation" }, "request": { "$ref": "PublicDelegatedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes" } } }, "machineImages": { "methods": { "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/machineImages/{resource}/testIamPermissions", "flatPath": "projects/{project}/global/machineImages/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "required": true } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.machineImages.testIamPermissions" }, "get": { "flatPath": "projects/{project}/global/machineImages/{machineImage}", "description": "Returns the specified machine image. Gets a list of available machine images by making a list() request.", "parameterOrder": [ "project", "machineImage" ], "response": { "$ref": "MachineImage" }, "path": "projects/{project}/global/machineImages/{machineImage}", "httpMethod": "GET", "parameters": { "machineImage": { "type": "string", "description": "The name of the machine image.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.machineImages.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "httpMethod": "GET", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "flatPath": "projects/{project}/global/machineImages", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "description": "Retrieves a list of machine images that are contained within the specified project.", "response": { "$ref": "MachineImageList" }, "id": "compute.machineImages.list", "path": "projects/{project}/global/machineImages" }, "setIamPolicy": { "path": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "GlobalSetPolicyRequest" }, "id": "compute.machineImages.setIamPolicy", "parameterOrder": [ "project", "resource" ], "httpMethod": "POST", "flatPath": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Policy" } }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.machineImages.getIamPolicy", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Requested IAM Policy version." }, "resource": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." } }, "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/machineImages/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "path": "projects/{project}/global/machineImages/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "insert": { "id": "compute.machineImages.insert", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sourceInstance": { "description": "Required. Source instance that is used to create the machine image from.", "type": "string", "location": "query" } }, "path": "projects/{project}/global/machineImages", "httpMethod": "POST", "flatPath": "projects/{project}/global/machineImages", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "request": { "$ref": "MachineImage" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a machine image in the specified project using the data that is included in the request. If you are creating a new machine image to update an existing instance, your new machine image should use the same network or, if applicable, the same subnetwork as the original instance." }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "project", "machineImage" ], "description": "Deletes the specified machine image. Deleting a machine image is permanent and cannot be undone.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/machineImages/{machineImage}", "id": "compute.machineImages.delete", "path": "projects/{project}/global/machineImages/{machineImage}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "machineImage": { "location": "path", "description": "The name of the machine image to delete.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } } } } }, "regionBackendServices": { "methods": { "setIamPolicy": { "path": "projects/{project}/regions/{region}/backendServices/{resource}/setIamPolicy", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "type": "string", "required": true, "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "RegionSetPolicyRequest" }, "id": "compute.regionBackendServices.setIamPolicy", "httpMethod": "POST" }, "getHealth": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionBackendServices.getHealth", "response": { "$ref": "BackendServiceGroupHealth" }, "description": "Gets the most recent health check results for this regional BackendService.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "backendService": { "location": "path", "required": true, "type": "string", "description": "Name of the BackendService resource for which to get health.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth", "request": { "$ref": "ResourceGroupReference" }, "parameterOrder": [ "project", "region", "backendService" ], "path": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth" }, "list": { "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "response": { "$ref": "BackendServiceList" }, "path": "projects/{project}/regions/{region}/backendServices", "flatPath": "projects/{project}/regions/{region}/backendServices", "id": "compute.regionBackendServices.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "location": "query", "default": "500", "type": "integer" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of regional BackendService resources available to the specified project in the given region." }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified regional BackendService resource.", "response": { "$ref": "BackendService" }, "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "id": "compute.regionBackendServices.get", "parameterOrder": [ "project", "region", "backendService" ], "parameters": { "backendService": { "type": "string", "location": "path", "required": true, "description": "Name of the BackendService resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "getIamPolicy": { "path": "projects/{project}/regions/{region}/backendServices/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "location": "query", "type": "integer" }, "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "The name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/getIamPolicy", "id": "compute.regionBackendServices.getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "id": "compute.regionBackendServices.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified regional BackendService resource.", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "backendService" ], "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "backendService": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the BackendService resource to delete." } } }, "patch": { "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the BackendService resource to patch.", "location": "path" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" } }, "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Understanding backend services This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "BackendService" }, "httpMethod": "PATCH", "parameterOrder": [ "project", "region", "backendService" ], "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionBackendServices.patch" }, "update": { "parameterOrder": [ "project", "region", "backendService" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the BackendService resource to update.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Backend services overview .", "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "request": { "$ref": "BackendService" }, "id": "compute.regionBackendServices.update" }, "testIamPermissions": { "id": "compute.regionBackendServices.testIamPermissions", "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the region for this request.", "type": "string" } }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/backendServices/{resource}/testIamPermissions", "path": "projects/{project}/regions/{region}/backendServices/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "flatPath": "projects/{project}/regions/{region}/backendServices", "httpMethod": "POST", "request": { "$ref": "BackendService" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." } }, "id": "compute.regionBackendServices.insert", "path": "projects/{project}/regions/{region}/backendServices", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a regional BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview.", "response": { "$ref": "Operation" } } } }, "regionAutoscalers": { "methods": { "update": { "description": "Updates an autoscaler in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Autoscaler" }, "httpMethod": "PUT", "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "type": "string" }, "autoscaler": { "location": "query", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to update.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/autoscalers", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/autoscalers", "id": "compute.regionAutoscalers.update" }, "patch": { "parameterOrder": [ "project", "region" ], "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "flatPath": "projects/{project}/regions/{region}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/autoscalers", "request": { "$ref": "Autoscaler" }, "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "type": "string" }, "autoscaler": { "description": "Name of the autoscaler to patch.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." } }, "id": "compute.regionAutoscalers.patch", "httpMethod": "PATCH" }, "list": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/autoscalers", "path": "projects/{project}/regions/{region}/autoscalers", "response": { "$ref": "RegionAutoscalerList" }, "description": "Retrieves a list of autoscalers contained within the specified region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionAutoscalers.list", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "parameterOrder": [ "project", "region" ] }, "get": { "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "autoscaler": { "required": true, "location": "path", "type": "string", "description": "Name of the autoscaler to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.regionAutoscalers.get", "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "description": "Returns the specified autoscaler.", "response": { "$ref": "Autoscaler" }, "httpMethod": "GET", "parameterOrder": [ "project", "region", "autoscaler" ], "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionAutoscalers.testIamPermissions", "path": "projects/{project}/regions/{region}/autoscalers/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "The name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "resource": { "required": true, "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/autoscalers/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST" }, "insert": { "httpMethod": "POST", "id": "compute.regionAutoscalers.insert", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/autoscalers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/autoscalers", "request": { "$ref": "Autoscaler" }, "description": "Creates an autoscaler in the specified project using the data included in the request.", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" } } }, "delete": { "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "autoscaler" ], "httpMethod": "DELETE", "id": "compute.regionAutoscalers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified autoscaler.", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to delete.", "location": "path", "type": "string", "required": true }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}" } } }, "sslCertificates": { "methods": { "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.sslCertificates.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/sslCertificates/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/sslCertificates/{resource}/testIamPermissions" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.sslCertificates.delete", "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sslCertificate": { "description": "Name of the SslCertificate resource to delete.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Deletes the specified SslCertificate resource.", "parameterOrder": [ "project", "sslCertificate" ], "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}", "httpMethod": "DELETE" }, "get": { "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}", "description": "Returns the specified SslCertificate resource. Gets a list of available SSL certificates by making a list() request.", "response": { "$ref": "SslCertificate" }, "httpMethod": "GET", "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "parameters": { "sslCertificate": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the SslCertificate resource to return.", "type": "string" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "id": "compute.sslCertificates.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "sslCertificate" ] }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "description": "Retrieves the list of SslCertificate resources available to the specified project.", "response": { "$ref": "SslCertificateList" }, "flatPath": "projects/{project}/global/sslCertificates", "id": "compute.sslCertificates.list", "path": "projects/{project}/global/sslCertificates", "parameters": { "maxResults": { "format": "uint32", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } } }, "aggregatedList": { "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "minimum": "0", "format": "uint32", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "location": "path", "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of all SslCertificate resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/sslCertificates", "httpMethod": "GET", "id": "compute.sslCertificates.aggregatedList", "response": { "$ref": "SslCertificateAggregatedList" }, "path": "projects/{project}/aggregated/sslCertificates", "parameterOrder": [ "project" ] }, "insert": { "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.sslCertificates.insert", "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/sslCertificates", "description": "Creates a SslCertificate resource in the specified project using the data included in the request.", "request": { "$ref": "SslCertificate" }, "path": "projects/{project}/global/sslCertificates" } } }, "firewallPolicies": { "methods": { "removeRule": { "description": "Deletes a rule of the specified priority.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "parameters": { "priority": { "type": "integer", "format": "int32", "description": "The priority of the rule to remove from the firewall policy.", "location": "query" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "type": "string" } }, "id": "compute.firewallPolicies.removeRule", "parameterOrder": [ "firewallPolicy" ] }, "patchRule": { "path": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "httpMethod": "POST", "parameterOrder": [ "firewallPolicy" ], "description": "Patches a rule of the specified priority.", "parameters": { "priority": { "type": "integer", "location": "query", "description": "The priority of the rule to patch.", "format": "int32" }, "firewallPolicy": { "type": "string", "location": "path", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.firewallPolicies.patchRule", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "request": { "$ref": "FirewallPolicyRule" } }, "move": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/move", "id": "compute.firewallPolicies.move", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/move", "description": "Moves the specified firewall policy.", "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "parentId": { "location": "query", "type": "string", "description": "The new parent of the firewall policy." }, "firewallPolicy": { "location": "path", "type": "string", "description": "Name of the firewall policy to update.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true } } }, "delete": { "id": "compute.firewallPolicies.delete", "path": "locations/global/firewallPolicies/{firewallPolicy}", "description": "Deletes the specified policy.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "type": "string", "required": true, "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to delete." } }, "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameterOrder": [ "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}" }, "removeAssociation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "id": "compute.firewallPolicies.removeAssociation", "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" }, "description": "Removes an association for the specified firewall policy.", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "httpMethod": "POST", "parameters": { "name": { "description": "Name for the attachment that will be removed.", "location": "query", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "required": true, "type": "string", "location": "path" } } }, "addRule": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addRule", "description": "Inserts a rule into a firewall policy.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.firewallPolicies.addRule", "parameters": { "firewallPolicy": { "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "description": "Name of the firewall policy to update.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "parameterOrder": [ "firewallPolicy" ], "request": { "$ref": "FirewallPolicyRule" }, "path": "locations/global/firewallPolicies/{firewallPolicy}/addRule" }, "patch": { "path": "locations/global/firewallPolicies/{firewallPolicy}", "description": "Patches the specified policy with the data included in the request.", "request": { "$ref": "FirewallPolicy" }, "id": "compute.firewallPolicies.patch", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "type": "string", "description": "Name of the firewall policy to update.", "location": "path" } }, "parameterOrder": [ "firewallPolicy" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "httpMethod": "PATCH" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "description": "Name or id of the resource for this request.", "location": "path" } }, "path": "locations/global/firewallPolicies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "locations/global/firewallPolicies/{resource}/testIamPermissions", "id": "compute.firewallPolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "parameterOrder": [ "resource" ] }, "listAssociations": { "httpMethod": "GET", "path": "locations/global/firewallPolicies/listAssociations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.firewallPolicies.listAssociations", "flatPath": "locations/global/firewallPolicies/listAssociations", "response": { "$ref": "FirewallPoliciesListAssociationsResponse" }, "description": "Lists associations of a specified target, i.e., organization or folder.", "parameters": { "targetResource": { "description": "The target resource to list associations. It is an organization, or a folder.", "location": "query", "type": "string" } } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "request": { "$ref": "GlobalOrganizationSetPolicyRequest" }, "path": "locations/global/firewallPolicies/{resource}/setIamPolicy", "id": "compute.firewallPolicies.setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "flatPath": "locations/global/firewallPolicies/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "description": "Returns the specified firewall policy.", "path": "locations/global/firewallPolicies/{firewallPolicy}", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to get.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "parameterOrder": [ "firewallPolicy" ], "id": "compute.firewallPolicies.get", "httpMethod": "GET" }, "list": { "description": "Lists all the policies that have been configured for the specified folder or organization.", "httpMethod": "GET", "id": "compute.firewallPolicies.list", "flatPath": "locations/global/firewallPolicies", "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "format": "uint32", "default": "500" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "parentId": { "description": "Parent ID for this request.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyList" }, "path": "locations/global/firewallPolicies" }, "getAssociation": { "response": { "$ref": "FirewallPolicyAssociation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to which the queried rule belongs.", "location": "path", "type": "string", "required": true }, "name": { "location": "query", "description": "The name of the association to get from the firewall policy.", "type": "string" } }, "description": "Gets an association with the specified name.", "httpMethod": "GET", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "parameterOrder": [ "firewallPolicy" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "id": "compute.firewallPolicies.getAssociation" }, "getIamPolicy": { "parameters": { "resource": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path" }, "optionsRequestedPolicyVersion": { "location": "query", "format": "int32", "description": "Requested IAM Policy version.", "type": "integer" } }, "parameterOrder": [ "resource" ], "httpMethod": "GET", "path": "locations/global/firewallPolicies/{resource}/getIamPolicy", "flatPath": "locations/global/firewallPolicies/{resource}/getIamPolicy", "id": "compute.firewallPolicies.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "insert": { "request": { "$ref": "FirewallPolicy" }, "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies", "id": "compute.firewallPolicies.insert", "parameters": { "parentId": { "type": "string", "description": "Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.", "location": "query" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "locations/global/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Creates a new policy in the specified project using the data included in the request." }, "cloneRules": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameterOrder": [ "firewallPolicy" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "parameters": { "sourceFirewallPolicy": { "description": "The firewall policy from which to copy rules.", "location": "query", "type": "string" }, "firewallPolicy": { "location": "path", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.firewallPolicies.cloneRules", "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Copies rules to the specified firewall policy." }, "getRule": { "response": { "$ref": "FirewallPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.firewallPolicies.getRule", "parameters": { "priority": { "location": "query", "format": "int32", "type": "integer", "description": "The priority of the rule to get from the firewall policy." }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "description": "Name of the firewall policy to which the queried rule belongs.", "required": true } }, "parameterOrder": [ "firewallPolicy" ], "httpMethod": "GET", "description": "Gets a rule of the specified priority.", "path": "locations/global/firewallPolicies/{firewallPolicy}/getRule", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getRule" }, "addAssociation": { "response": { "$ref": "Operation" }, "description": "Inserts an association for the specified firewall policy.", "parameterOrder": [ "firewallPolicy" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "request": { "$ref": "FirewallPolicyAssociation" }, "id": "compute.firewallPolicies.addAssociation", "parameters": { "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name of the firewall policy to update.", "type": "string", "location": "path", "required": true }, "replaceExistingAssociation": { "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "location": "query", "type": "boolean" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "httpMethod": "POST", "path": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "nodeGroups": { "methods": { "addNodes": { "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "id": "compute.nodeGroups.addNodes", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "nodeGroup": { "description": "Name of the NodeGroup resource.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "nodeGroup" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NodeGroupsAddNodesRequest" }, "description": "Adds specified number of nodes to the node group." }, "aggregatedList": { "path": "projects/{project}/aggregated/nodeGroups", "description": "Retrieves an aggregated list of node groups. Note: use nodeGroups.listNodes for more details about each group.", "flatPath": "projects/{project}/aggregated/nodeGroups", "httpMethod": "GET", "parameterOrder": [ "project" ], "id": "compute.nodeGroups.aggregatedList", "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "type": "integer", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NodeGroupAggregatedList" } }, "insert": { "description": "Creates a NodeGroup resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "initialNodeCount": { "location": "query", "type": "integer", "description": "Initial count of nodes in the node group.", "required": true, "format": "int32" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "id": "compute.nodeGroups.insert", "path": "projects/{project}/zones/{zone}/nodeGroups", "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "parameterOrder": [ "project", "zone", "initialNodeCount" ], "request": { "$ref": "NodeGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getIamPolicy": { "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.nodeGroups.getIamPolicy", "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "format": "int32", "location": "query" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" } }, "delete": { "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "description": "Deletes the specified NodeGroup resource.", "response": { "$ref": "Operation" }, "parameters": { "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "nodeGroup": { "description": "Name of the NodeGroup resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "id": "compute.nodeGroups.delete", "parameterOrder": [ "project", "zone", "nodeGroup" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}" }, "setNodeTemplate": { "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "request": { "$ref": "NodeGroupsSetNodeTemplateRequest" }, "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string" }, "nodeGroup": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the NodeGroup resource to update." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "zone", "nodeGroup" ], "description": "Updates the node template of the node group.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "response": { "$ref": "Operation" }, "id": "compute.nodeGroups.setNodeTemplate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "patch": { "response": { "$ref": "Operation" }, "request": { "$ref": "NodeGroup" }, "id": "compute.nodeGroups.patch", "parameters": { "nodeGroup": { "description": "Name of the NodeGroup resource to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "description": "Updates the specified node group.", "parameterOrder": [ "project", "zone", "nodeGroup" ], "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "deleteNodes": { "parameterOrder": [ "project", "zone", "nodeGroup" ], "httpMethod": "POST", "request": { "$ref": "NodeGroupsDeleteNodesRequest" }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes", "description": "Deletes specified nodes from the node group.", "id": "compute.nodeGroups.deleteNodes", "parameters": { "nodeGroup": { "description": "Name of the NodeGroup resource whose nodes will be deleted.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } } }, "setIamPolicy": { "httpMethod": "POST", "response": { "$ref": "Policy" }, "id": "compute.nodeGroups.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." } }, "request": { "$ref": "ZoneSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "listNodes": { "httpMethod": "POST", "response": { "$ref": "NodeGroupsListNodes" }, "description": "Lists nodes in the node group.", "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "location": "query", "default": "500", "type": "integer" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "nodeGroup": { "description": "Name of the NodeGroup resource whose nodes you want to list.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "zone": { "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.nodeGroups.listNodes", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes", "parameterOrder": [ "project", "zone", "nodeGroup" ] }, "get": { "parameterOrder": [ "project", "zone", "nodeGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "type": "string", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "nodeGroup": { "type": "string", "description": "Name of the node group to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" } }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "response": { "$ref": "NodeGroup" }, "id": "compute.nodeGroups.get", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "httpMethod": "GET", "description": "Returns the specified NodeGroup. Get a list of available NodeGroups by making a list() request. Note: the \"nodes\" field should not be used. Use nodeGroups.listNodes instead." }, "list": { "id": "compute.nodeGroups.list", "response": { "$ref": "NodeGroupList" }, "path": "projects/{project}/zones/{zone}/nodeGroups", "description": "Retrieves a list of node groups available to the specified project. Note: use nodeGroups.listNodes for more details about each group.", "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "The name of the zone for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "location": "query", "format": "uint32" } }, "httpMethod": "GET" }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions", "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions", "httpMethod": "POST", "id": "compute.nodeGroups.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name or id of the resource for this request." }, "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "parameterOrder": [ "project", "zone", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "interconnectLocations": { "methods": { "list": { "path": "projects/{project}/global/interconnectLocations", "response": { "$ref": "InterconnectLocationList" }, "flatPath": "projects/{project}/global/interconnectLocations", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "default": "500", "type": "integer", "format": "uint32" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "description": "Retrieves the list of interconnect locations available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.interconnectLocations.list", "parameterOrder": [ "project" ] }, "get": { "id": "compute.interconnectLocations.get", "response": { "$ref": "InterconnectLocation" }, "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "interconnectLocation": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the interconnect location to return.", "location": "path" } }, "httpMethod": "GET", "description": "Returns the details for the specified interconnect location. Gets a list of available interconnect locations by making a list() request.", "path": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "flatPath": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "parameterOrder": [ "project", "interconnectLocation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "instances": { "methods": { "setMinCpuPlatform": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstancesSetMinCpuPlatformRequest" }, "id": "compute.instances.setMinCpuPlatform", "parameterOrder": [ "project", "zone", "instance" ], "description": "Changes the minimum CPU platform that this instance should use. This method can only be called on a stopped instance. For more information, read Specifying a Minimum CPU Platform.", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform", "parameters": { "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "instance": { "required": true, "type": "string", "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "startWithEncryptionKey": { "request": { "$ref": "InstancesStartWithEncryptionKeyRequest" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.", "id": "compute.instances.startWithEncryptionKey", "path": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "instance": { "description": "Name of the instance resource to start.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "zone", "instance" ] }, "getShieldedInstanceIdentity": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "response": { "$ref": "ShieldedInstanceIdentity" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "instance": { "location": "path", "required": true, "description": "Name or id of the instance scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the Shielded Instance Identity of an instance", "id": "compute.instances.getShieldedInstanceIdentity", "httpMethod": "GET" }, "aggregatedList": { "response": { "$ref": "InstanceAggregatedList" }, "path": "projects/{project}/aggregated/instances", "description": "Retrieves an aggregated list of all of the instances in your project across all regions and zones. The performance of this method degrades when a filter is specified on a project that has a very large number of instances.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" } }, "flatPath": "projects/{project}/aggregated/instances", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instances.aggregatedList", "httpMethod": "GET" }, "setMachineResources": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.setMachineResources", "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "description": "Changes the number and/or type of accelerator for a stopped instance to the values specified in the request.", "request": { "$ref": "InstancesSetMachineResourcesRequest" }, "parameters": { "instance": { "type": "string", "location": "path", "required": true, "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "simulateMaintenanceEvent": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "id": "compute.instances.simulateMaintenanceEvent", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "The name of the zone for this request.", "required": true }, "instance": { "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true } }, "description": "Simulates a host maintenance event on a VM. For more information, see Simulate a host maintenance event.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "httpMethod": "POST" }, "update": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "parameterOrder": [ "project", "zone", "instance" ], "httpMethod": "PUT", "request": { "$ref": "Instance" }, "response": { "$ref": "Operation" }, "description": "Updates an instance only if the necessary resources are available. This method can update only a specific set of instance properties. See Updating a running instance for a list of updatable instance properties.", "id": "compute.instances.update", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "mostDisruptiveAllowedAction": { "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ], "type": "string", "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "location": "query", "description": "Specifies the most disruptive action that can be taken on the instance as part of the update. Compute Engine returns an error if the instance properties require a more disruptive action as part of the instance update. Valid options from lowest to highest are NO_EFFECT, REFRESH, and RESTART." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "minimalAction": { "location": "query", "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "description": "Specifies the action to take when updating an instance even if the updated properties do not require it. If not specified, then Compute Engine acts based on the minimum action that the updated properties require.", "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ], "type": "string" }, "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the instance resource to update.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}" }, "setTags": { "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Tags" }, "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "zone": { "location": "path", "description": "The name of the zone for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setTags", "id": "compute.instances.setTags", "description": "Sets network tags for the specified instance to the data included in the request.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setTags" }, "getScreenshot": { "description": "Returns the screenshot from the specified instance.", "path": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "response": { "$ref": "Screenshot" }, "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instances.getScreenshot", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the instance scoping this request.", "type": "string" } } }, "reset": { "id": "compute.instances.reset", "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/reset", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the instance scoping this request." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Performs a reset on the instance. This is a hard reset. The VM does not do a graceful shutdown. For more information, see Resetting an instance.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/reset" }, "getShieldedVmIdentity": { "response": { "$ref": "ShieldedVmIdentity" }, "description": "Returns the Shielded VM Identity of an instance", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true }, "instance": { "location": "path", "description": "Name of the instance scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.instances.getShieldedVmIdentity", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedVmIdentity", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedVmIdentity", "httpMethod": "GET" }, "testIamPermissions": { "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instances.testIamPermissions", "path": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "resource": { "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "setName": { "id": "compute.instances.setName", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The instance name for this request.", "required": true }, "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Sets name of an instance.", "request": { "$ref": "InstancesSetNameRequest" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setName", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setName", "parameterOrder": [ "project", "zone", "instance" ] }, "setShieldedInstanceIntegrityPolicy": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "location": "path", "required": true }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "required": true, "description": "Name or id of the instance scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "PATCH", "request": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "response": { "$ref": "Operation" }, "description": "Sets the Shielded Instance integrity policy for an instance. You can only use this method on a running instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.instances.setShieldedInstanceIntegrityPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "httpMethod": "GET", "parameters": { "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "description": "Name of the instance resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "path": "projects/{project}/zones/{zone}/instances/{instance}", "description": "Returns the specified Instance resource. Gets a list of available instances by making a list() request.", "id": "compute.instances.get", "response": { "$ref": "Instance" }, "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "suspend": { "parameters": { "discardLocalSsd": { "description": "If true, discard the contents of any attached localSSD partitions. Default value is false (== preserve localSSD data).", "type": "boolean", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "instance": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to suspend." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "id": "compute.instances.suspend", "parameterOrder": [ "project", "zone", "instance" ], "description": "This method suspends a running instance, saving its state to persistent storage, and allows you to resume the instance at a later time. Suspended instances have no compute costs (cores or RAM), and incur only storage charges for the saved VM memory and localSSD data. Any charged resources the virtual machine was using, such as persistent disks and static IP addresses, will continue to be charged while the instance is suspended. For more information, see Suspending and resuming an instance.", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "response": { "$ref": "Operation" } }, "addResourcePolicies": { "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "zone": { "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instance": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request." } }, "id": "compute.instances.addResourcePolicies", "path": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "InstancesAddResourcePoliciesRequest" }, "description": "Adds existing resource policies to an instance. You can only add one policy right now which will be applied to this instance for scheduling live migrations.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "setDiskAutoDelete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.setDiskAutoDelete", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request." }, "deviceName": { "description": "The device name of the disk to modify. Make a get() request on the instance to view currently attached disks and device names.", "location": "query", "type": "string", "pattern": "\\w[\\w.-]{0,254}", "required": true }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "The instance name for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "autoDelete": { "description": "Whether to auto-delete the disk when the instance is deleted.", "required": true, "type": "boolean", "location": "query" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instance", "autoDelete", "deviceName" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "description": "Sets the auto-delete flag for a disk attached to an instance.", "response": { "$ref": "Operation" } }, "setMachineType": { "httpMethod": "POST", "description": "Changes the machine type for a stopped instance to the machine type specified in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.instances.setMachineType", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "required": true, "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "request": { "$ref": "InstancesSetMachineTypeRequest" } }, "updateDisplayDevice": { "httpMethod": "PATCH", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "response": { "$ref": "Operation" }, "parameters": { "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the instance scoping this request.", "type": "string", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "id": "compute.instances.updateDisplayDevice", "request": { "$ref": "DisplayDevice" }, "description": "Updates the Display config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules." }, "insert": { "description": "Creates an instance resource in the specified project using the data included in the request.", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "The name of the zone for this request." }, "sourceMachineImage": { "description": "Specifies the machine image to use to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to a machine image: - https://www.googleapis.com/compute/v1/projects/project/global/global /machineImages/machineImage - projects/project/global/global/machineImages/machineImage - global/machineImages/machineImage ", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "sourceInstanceTemplate": { "type": "string", "location": "query", "description": "Specifies instance template to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate " } }, "request": { "$ref": "Instance" }, "id": "compute.instances.insert", "path": "projects/{project}/zones/{zone}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances", "parameterOrder": [ "project", "zone" ], "httpMethod": "POST" }, "stop": { "id": "compute.instances.stop", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/stop", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/stop", "response": { "$ref": "Operation" }, "description": "Stops a running instance, shutting it down cleanly, and allows you to restart the instance at a later time. Stopped instances do not incur VM usage charges while they are stopped. However, resources that the VM is using, such as persistent disks and static IP addresses, will continue to be charged until they are deleted. For more information, see Stopping an instance.", "parameters": { "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the instance resource to stop.", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string", "location": "path" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "zone", "instance" ] }, "addAccessConfig": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "description": "Adds an access config to an instance's network interface.", "parameters": { "networkInterface": { "description": "The name of the network interface to add to this instance.", "location": "query", "type": "string", "required": true }, "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "request": { "$ref": "AccessConfig" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig", "id": "compute.instances.addAccessConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "setServiceAccount": { "id": "compute.instances.setServiceAccount", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstancesSetServiceAccountRequest" }, "httpMethod": "POST", "description": "Sets the service account on the instance. For more information, read Changing the service account and access scopes for an instance.", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the instance resource to start.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "removeResourcePolicies": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "InstancesRemoveResourcePoliciesRequest" }, "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies", "id": "compute.instances.removeResourcePolicies", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "instance": { "description": "The instance name for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" } }, "description": "Removes resource policies from an instance.", "httpMethod": "POST" }, "setMetadata": { "httpMethod": "POST", "description": "Sets metadata for the specified instance to the data included in the request.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "The name of the zone for this request." }, "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "location": "path", "required": true } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata", "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "Metadata" }, "id": "compute.instances.setMetadata" }, "getSerialPortOutput": { "description": "Returns the last 1 MB of serial port output from the specified instance.", "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "port": { "description": "Specifies which COM or serial port to retrieve data from.", "minimum": "1", "location": "query", "format": "int32", "maximum": "4", "default": "1", "type": "integer" }, "instance": { "description": "Name of the instance for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "zone": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "start": { "description": "Specifies the starting byte position of the output to return. To start with the first byte of output to the specified port, omit this field or set it to `0`. If the output for that byte position is available, this field matches the `start` parameter sent with the request. If the amount of serial console output exceeds the size of the buffer (1 MB), the oldest output is discarded and is no longer available. If the requested start position refers to discarded output, the start position is adjusted to the oldest output still available, and the adjusted start position is returned as the `start` property value. You can also provide a negative start position, which translates to the most recent number of bytes written to the serial port. For example, -3 is interpreted as the most recent 3 bytes written to the serial console.", "format": "int64", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "zone", "instance" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SerialPortOutput" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/serialPort", "id": "compute.instances.getSerialPortOutput", "path": "projects/{project}/zones/{zone}/instances/{instance}/serialPort" }, "deleteAccessConfig": { "description": "Deletes an access config from an instance's network interface.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig", "parameterOrder": [ "project", "zone", "instance", "accessConfig", "networkInterface" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "accessConfig": { "required": true, "type": "string", "location": "query", "description": "The name of the access config to delete." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request.", "location": "path", "type": "string", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "networkInterface": { "description": "The name of the network interface.", "required": true, "location": "query", "type": "string" } }, "id": "compute.instances.deleteAccessConfig" }, "setShieldedVmIntegrityPolicy": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedVmIntegrityPolicy", "description": "Sets the Shielded VM integrity policy for a VM instance. You can only use this method on a running VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.setShieldedVmIntegrityPolicy", "response": { "$ref": "Operation" }, "request": { "$ref": "ShieldedVmIntegrityPolicy" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "instance": { "type": "string", "required": true, "location": "path", "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "PATCH", "path": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedVmIntegrityPolicy", "parameterOrder": [ "project", "zone", "instance" ] }, "sendDiagnosticInterrupt": { "id": "compute.instances.sendDiagnosticInterrupt", "description": "Sends diagnostic interrupt to the instance.", "path": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "instance": { "description": "Name of the instance scoping this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "zone": { "description": "The name of the zone for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "parameterOrder": [ "project", "zone", "instance" ], "httpMethod": "POST" }, "listReferrers": { "httpMethod": "GET", "id": "compute.instances.listReferrers", "description": "Retrieves a list of resources that refer to the VM instance specified in the request. For example, if the VM instance is part of a managed or unmanaged instance group, the referrers list includes the instance group. For more information, read Viewing referrers to VM instances.", "path": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "parameters": { "zone": { "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "required": true, "description": "Name of the target instance scoping this request, or '-' if the request should span over all instances in the container.", "pattern": "-|[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "response": { "$ref": "InstanceListReferrers" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "updateNetworkInterface": { "path": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface", "description": "Updates an instance's network interface. This method can only update an interface's alias IP range and attached network. See Modifying alias IP ranges for an existing instance for instructions on changing alias IP ranges. See Migrating a VM between networks for instructions on migrating an interface. This method follows PATCH semantics.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "parameters": { "networkInterface": { "type": "string", "description": "The name of the network interface to update.", "required": true, "location": "query" }, "instance": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NetworkInterface" }, "id": "compute.instances.updateNetworkInterface" }, "setIamPolicy": { "httpMethod": "POST", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "request": { "$ref": "ZoneSetPolicyRequest" }, "id": "compute.instances.setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string" } } }, "updateShieldedVmConfig": { "description": "Updates the Shielded VM config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedVmConfig", "request": { "$ref": "ShieldedVmConfig" }, "parameters": { "instance": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance scoping this request.", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "httpMethod": "PATCH", "id": "compute.instances.updateShieldedVmConfig", "path": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedVmConfig", "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" } }, "updateShieldedInstanceConfig": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "request": { "$ref": "ShieldedInstanceConfig" }, "description": "Updates the Shielded Instance config for an instance. You can only use this method on a stopped instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "path": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "id": "compute.instances.updateShieldedInstanceConfig", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "instance": { "description": "Name or id of the instance scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } } }, "list": { "httpMethod": "GET", "id": "compute.instances.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/instances", "path": "projects/{project}/zones/{zone}/instances", "description": "Retrieves the list of instances contained within the specified zone.", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "format": "uint32", "minimum": "0", "type": "integer" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "zone": { "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." } }, "response": { "$ref": "InstanceList" } }, "detachDisk": { "path": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "parameterOrder": [ "project", "zone", "instance", "deviceName" ], "description": "Detaches a disk from an instance.", "id": "compute.instances.detachDisk", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "instance": { "type": "string", "description": "Instance name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "location": "path", "required": true }, "deviceName": { "description": "The device name of the disk to detach. Make a get() request on the instance to view currently attached disks and device names.", "location": "query", "type": "string", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "attachDisk": { "path": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "forceAttach": { "description": "Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error.", "type": "boolean", "location": "query" }, "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Attaches an existing Disk resource to an instance. You must first create the disk before you can attach it. It is not possible to create and attach a disk at the same time. For more information, read Adding a persistent disk to your instance.", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.attachDisk", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "request": { "$ref": "AttachedDisk" }, "httpMethod": "POST" }, "getGuestAttributes": { "description": "Returns the specified guest attributes entry.", "id": "compute.instances.getGuestAttributes", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes", "response": { "$ref": "GuestAttributes" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes", "parameters": { "variableKey": { "location": "query", "description": "Specifies the key for the guest attributes entry.", "type": "string" }, "instance": { "location": "path", "description": "Name of the instance scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "queryPath": { "location": "query", "type": "string", "description": "Specifies the guest attributes path to be queried." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "httpMethod": "GET", "parameterOrder": [ "project", "zone", "instance" ] }, "getIamPolicy": { "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "id": "compute.instances.getIamPolicy", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "optionsRequestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Requested IAM Policy version." }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "parameterOrder": [ "project", "zone", "resource" ] }, "bulkInsert": { "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/instances/bulkInsert", "request": { "$ref": "BulkInsertInstanceResource" }, "path": "projects/{project}/zones/{zone}/instances/bulkInsert", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.instances.bulkInsert", "description": "Creates multiple instances. Count specifies the number of instances to create.", "parameters": { "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "resume": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstancesResumeRequest" }, "id": "compute.instances.resume", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "description": "Resumes an instance that was suspended using the instances().suspend method.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/resume", "parameters": { "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "instance": { "description": "Name of the instance resource to resume.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/resume" }, "setLabels": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "instance": { "type": "string", "location": "path", "required": true, "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path" } }, "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstancesSetLabelsRequest" }, "response": { "$ref": "Operation" }, "id": "compute.instances.setLabels", "description": "Sets labels on an instance. To learn more about labels, read the Labeling Resources documentation." }, "start": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/start", "httpMethod": "POST", "id": "compute.instances.start", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/start", "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.", "response": { "$ref": "Operation" }, "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the instance resource to start." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } } }, "setDeletionProtection": { "description": "Sets deletion protection on the instance.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "id": "compute.instances.setDeletionProtection", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "resource": { "type": "string", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "deletionProtection": { "type": "boolean", "default": "true", "description": "Whether the resource should be protected against deletion.", "location": "query" } } }, "setScheduling": { "id": "compute.instances.setScheduling", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling", "request": { "$ref": "Scheduling" }, "response": { "$ref": "Operation" }, "description": "Sets an instance's scheduling options. You can only call this method on a stopped instance, that is, a VM instance that is in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states. For more information about setting scheduling options for a VM, see Set VM host maintenance policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Instance name for this request.", "type": "string", "location": "path", "required": true }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling", "parameterOrder": [ "project", "zone", "instance" ] }, "delete": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "description": "Deletes the specified Instance resource. For more information, see Deleting an instance.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "required": true, "location": "path", "type": "string", "description": "Name of the instance resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "id": "compute.instances.delete", "path": "projects/{project}/zones/{zone}/instances/{instance}", "httpMethod": "DELETE" }, "getEffectiveFirewalls": { "httpMethod": "GET", "id": "compute.instances.getEffectiveFirewalls", "response": { "$ref": "InstancesGetEffectiveFirewallsResponse" }, "parameters": { "instance": { "required": true, "type": "string", "description": "Name of the instance scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "networkInterface": { "description": "The name of the network interface to get the effective firewalls.", "type": "string", "required": true, "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls", "description": "Returns effective firewalls applied to an interface of the instance.", "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls" }, "updateAccessConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig", "description": "Updates the specified access config from an instance's network interface with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "networkInterface": { "description": "The name of the network interface where the access config is attached.", "location": "query", "required": true, "type": "string" }, "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instance": { "type": "string", "description": "The instance name for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "request": { "$ref": "AccessConfig" }, "httpMethod": "POST", "id": "compute.instances.updateAccessConfig", "path": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig", "response": { "$ref": "Operation" } } } }, "projects": { "methods": { "enableXpnResource": { "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "id": "compute.projects.enableXpnResource", "flatPath": "projects/{project}/enableXpnResource", "request": { "$ref": "ProjectsEnableXpnResourceRequest" }, "description": "Enable service resource (a.k.a service project) for a host project, so that subnets in the host project can be used by instances in the service project.", "path": "projects/{project}/enableXpnResource", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" } }, "httpMethod": "POST" }, "setDefaultNetworkTier": { "description": "Sets the default network tier of the project. The default network tier is used when an address/forwardingRule/instance is created without specifying the network tier field.", "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project" ], "request": { "$ref": "ProjectsSetDefaultNetworkTierRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/setDefaultNetworkTier", "flatPath": "projects/{project}/setDefaultNetworkTier", "id": "compute.projects.setDefaultNetworkTier" }, "listXpnHosts": { "request": { "$ref": "ProjectsListXpnHostsRequest" }, "path": "projects/{project}/listXpnHosts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "maxResults": { "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "default": "500" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "id": "compute.projects.listXpnHosts", "parameterOrder": [ "project" ], "response": { "$ref": "XpnHostList" }, "httpMethod": "POST", "description": "Lists all shared VPC host projects visible to the user in an organization.", "flatPath": "projects/{project}/listXpnHosts" }, "get": { "response": { "$ref": "Project" }, "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "flatPath": "projects/{project}", "id": "compute.projects.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}", "httpMethod": "GET", "parameterOrder": [ "project" ], "description": "Returns the specified Project resource. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request." }, "enableXpnHost": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/enableXpnHost", "id": "compute.projects.enableXpnHost", "description": "Enable this project as a shared VPC host project.", "httpMethod": "POST", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/enableXpnHost", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "moveInstance": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/moveInstance", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "flatPath": "projects/{project}/moveInstance", "description": "Moves an instance and its attached persistent disks from one zone to another. *Note*: Moving VMs or disks by using this method might cause unexpected behavior. For more information, see the [known issue](/compute/docs/troubleshooting/known-issues#moving_vms_or_disks_using_the_moveinstance_api_or_the_causes_unexpected_behavior).", "request": { "$ref": "InstanceMoveRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "id": "compute.projects.moveInstance" }, "setCommonInstanceMetadata": { "request": { "$ref": "Metadata" }, "description": "Sets metadata common to all instances within the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/setCommonInstanceMetadata", "id": "compute.projects.setCommonInstanceMetadata", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/setCommonInstanceMetadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "disableXpnHost": { "httpMethod": "POST", "path": "projects/{project}/disableXpnHost", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/disableXpnHost", "description": "Disable this project as a shared VPC host project.", "response": { "$ref": "Operation" }, "id": "compute.projects.disableXpnHost", "parameterOrder": [ "project" ] }, "setUsageExportBucket": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." } }, "httpMethod": "POST", "flatPath": "projects/{project}/setUsageExportBucket", "response": { "$ref": "Operation" }, "path": "projects/{project}/setUsageExportBucket", "description": "Enables the usage export feature and sets the usage export bucket where reports are stored. If you provide an empty request body using this method, the usage export feature will be disabled.", "id": "compute.projects.setUsageExportBucket", "request": { "$ref": "UsageExportLocation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "parameterOrder": [ "project" ] }, "getXpnHost": { "id": "compute.projects.getXpnHost", "description": "Gets the shared VPC host project that this project links to. May be empty if no link exists.", "response": { "$ref": "Project" }, "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/getXpnHost", "path": "projects/{project}/getXpnHost", "parameterOrder": [ "project" ] }, "getXpnResources": { "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.projects.getXpnResources", "httpMethod": "GET", "description": "Gets service resources (a.k.a service project) associated with this host project.", "parameters": { "maxResults": { "type": "integer", "minimum": "0", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "path": "projects/{project}/getXpnResources", "flatPath": "projects/{project}/getXpnResources", "response": { "$ref": "ProjectsGetXpnResources" } }, "moveDisk": { "id": "compute.projects.moveDisk", "flatPath": "projects/{project}/moveDisk", "path": "projects/{project}/moveDisk", "httpMethod": "POST", "description": "Moves a persistent disk from one zone to another.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "DiskMoveRequest" }, "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } } }, "disableXpnResource": { "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "request": { "$ref": "ProjectsDisableXpnResourceRequest" }, "parameterOrder": [ "project" ], "path": "projects/{project}/disableXpnResource", "flatPath": "projects/{project}/disableXpnResource", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.projects.disableXpnResource", "description": "Disable a service resource (also known as service project) associated with this host project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "globalForwardingRules": { "methods": { "get": { "response": { "$ref": "ForwardingRule" }, "httpMethod": "GET", "id": "compute.globalForwardingRules.get", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "parameterOrder": [ "project", "forwardingRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the ForwardingRule resource to return.", "required": true, "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true } }, "description": "Returns the specified GlobalForwardingRule resource. Gets a list of available forwarding rules by making a list() request." }, "insert": { "httpMethod": "POST", "path": "projects/{project}/global/forwardingRules", "flatPath": "projects/{project}/global/forwardingRules", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "id": "compute.globalForwardingRules.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ForwardingRule" }, "description": "Creates a GlobalForwardingRule resource in the specified project using the data included in the request." }, "setTarget": { "httpMethod": "POST", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget", "id": "compute.globalForwardingRules.setTarget", "parameterOrder": [ "project", "forwardingRule" ], "request": { "$ref": "TargetReference" }, "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the ForwardingRule resource in which target is to be set.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Changes target URL for the GlobalForwardingRule resource. The new target should be of the same type as the old target.", "path": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget" }, "delete": { "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "parameterOrder": [ "project", "forwardingRule" ], "parameters": { "forwardingRule": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the ForwardingRule resource to delete.", "location": "path", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.globalForwardingRules.delete", "description": "Deletes the specified GlobalForwardingRule resource.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "httpMethod": "DELETE" }, "patch": { "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "httpMethod": "PATCH", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "request": { "$ref": "ForwardingRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "forwardingRule": { "description": "Name of the ForwardingRule resource to patch.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "forwardingRule" ], "id": "compute.globalForwardingRules.patch" }, "list": { "response": { "$ref": "ForwardingRuleList" }, "path": "projects/{project}/global/forwardingRules", "description": "Retrieves a list of GlobalForwardingRule resources available to the specified project.", "httpMethod": "GET", "id": "compute.globalForwardingRules.list", "flatPath": "projects/{project}/global/forwardingRules", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ] }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/forwardingRules/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.globalForwardingRules.testIamPermissions", "flatPath": "projects/{project}/global/forwardingRules/{resource}/testIamPermissions", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST" }, "setLabels": { "path": "projects/{project}/global/forwardingRules/{resource}/setLabels", "flatPath": "projects/{project}/global/forwardingRules/{resource}/setLabels", "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling resources documentation.", "request": { "$ref": "GlobalSetLabelsRequest" }, "response": { "$ref": "Operation" }, "id": "compute.globalForwardingRules.setLabels", "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" } } }, "externalVpnGateways": { "methods": { "insert": { "id": "compute.externalVpnGateways.insert", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/externalVpnGateways", "description": "Creates a ExternalVpnGateway in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ExternalVpnGateway" }, "path": "projects/{project}/global/externalVpnGateways", "parameterOrder": [ "project" ] }, "setLabels": { "id": "compute.externalVpnGateways.setLabels", "path": "projects/{project}/global/externalVpnGateways/{resource}/setLabels", "description": "Sets the labels on an ExternalVpnGateway. To learn more about labels, read the Labeling Resources documentation.", "parameters": { "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "GlobalSetLabelsRequest" }, "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/setLabels" }, "delete": { "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "parameterOrder": [ "project", "externalVpnGateway" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "description": "Deletes the specified externalVpnGateway.", "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "externalVpnGateway": { "type": "string", "description": "Name of the externalVpnGateways to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.externalVpnGateways.delete" }, "list": { "flatPath": "projects/{project}/global/externalVpnGateways", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.externalVpnGateways.list", "parameters": { "maxResults": { "format": "uint32", "location": "query", "default": "500", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "httpMethod": "GET", "path": "projects/{project}/global/externalVpnGateways", "response": { "$ref": "ExternalVpnGatewayList" }, "description": "Retrieves the list of ExternalVpnGateway available to the specified project." }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.externalVpnGateways.testIamPermissions", "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions", "path": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "parameterOrder": [ "project", "externalVpnGateway" ], "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "response": { "$ref": "ExternalVpnGateway" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified externalVpnGateway. Get a list of available externalVpnGateways by making a list() request.", "httpMethod": "GET", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "externalVpnGateway": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the externalVpnGateway to return." } }, "id": "compute.externalVpnGateways.get" } } }, "instanceGroupManagers": { "methods": { "aggregatedList": { "description": "Retrieves the list of managed instance groups and groups them by zone.", "flatPath": "projects/{project}/aggregated/instanceGroupManagers", "id": "compute.instanceGroupManagers.aggregatedList", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/instanceGroupManagers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "InstanceGroupManagerAggregatedList" }, "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "location": "query", "format": "uint32" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } } }, "listErrors": { "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string", "location": "path", "required": true }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}." }, "maxResults": { "location": "query", "minimum": "0", "default": "500", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "InstanceGroupManagersListErrorsResponse" }, "description": "Lists all errors thrown by actions on instances for a given managed instance group. The filter and orderBy query parameters are not supported.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "id": "compute.instanceGroupManagers.listErrors" }, "deletePerInstanceConfigs": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "description": "Deletes selected per-instance configurations for the managed instance group.", "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.deletePerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersDeletePerInstanceConfigsReq" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." } } }, "updatePerInstanceConfigs": { "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "id": "compute.instanceGroupManagers.updatePerInstanceConfigs", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "httpMethod": "POST", "request": { "$ref": "InstanceGroupManagersUpdatePerInstanceConfigsReq" } }, "setAutoHealingPolicies": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersSetAutoHealingRequest" }, "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.setAutoHealingPolicies", "description": "Motifies the autohealing policy for the instances in this managed instance group. [Deprecated] This method is deprecated. Use instanceGroupManagers.patch instead.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the instance group manager." } } }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "description": "Deletes the specified managed instance group and all of the instances in that group. Note that the instance group must not belong to a backend service. Read Deleting an instance group for more information.", "id": "compute.instanceGroupManagers.delete", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path" }, "instanceGroupManager": { "required": true, "description": "The name of the managed instance group to delete.", "location": "path", "type": "string" } }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "resize": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroupManager", "size" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "zone": { "type": "string", "description": "The name of the zone where the managed instance group is located.", "required": true, "location": "path" }, "size": { "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.", "location": "query", "type": "integer", "format": "int32", "required": true }, "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Resizes the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. When resizing down, the instance group arbitrarily chooses the order in which VMs are deleted. The group takes into account some VM attributes when making the selection including: + The status of the VM instance. + The health of the VM instance. + The instance template version the VM is based on. + For regional managed instance groups, the location of the VM instance. This list is subject to change. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.resize" }, "listManagedInstances": { "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "response": { "$ref": "InstanceGroupManagersListManagedInstancesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroupManagers.listManagedInstances", "description": "Lists all of the instances in the managed instance group. Each instance in the list has a currentAction, which indicates the action that the managed instance group is performing on the instance. For example, if the group is still creating an instance, the currentAction is CREATING. If a previous action failed, the list displays the errors for that failed action. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the managed instance group is located." }, "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group.", "location": "path" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "minimum": "0" } } }, "patch": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "request": { "$ref": "InstanceGroupManager" }, "httpMethod": "PATCH", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listManagedInstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "parameters": { "instanceGroupManager": { "type": "string", "location": "path", "required": true, "description": "The name of the instance group manager." }, "zone": { "location": "path", "type": "string", "description": "The name of the zone where you want to create the managed instance group.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" } }, "id": "compute.instanceGroupManagers.patch", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}" }, "listPerInstanceConfigs": { "id": "compute.instanceGroupManagers.listPerInstanceConfigs", "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.", "httpMethod": "POST", "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "required": true, "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "type": "integer" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "response": { "$ref": "InstanceGroupManagersListPerInstanceConfigsResp" } }, "deleteInstances": { "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located.", "location": "path" }, "instanceGroupManager": { "type": "string", "location": "path", "description": "The name of the managed instance group.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.deleteInstances", "description": "Flags the specified instances in the managed instance group for immediate deletion. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "request": { "$ref": "InstanceGroupManagersDeleteInstancesRequest" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "httpMethod": "POST" }, "testIamPermissions": { "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroupManagers.testIamPermissions", "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" } }, "applyUpdatesToInstances": { "response": { "$ref": "Operation" }, "parameters": { "zone": { "location": "path", "description": "The name of the zone where the managed instance group is located. Should conform to RFC1035.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instanceGroupManager": { "description": "The name of the managed instance group, should conform to RFC1035.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "request": { "$ref": "InstanceGroupManagersApplyUpdatesRequest" }, "id": "compute.instanceGroupManagers.applyUpdatesToInstances", "description": "Applies changes to selected instances on the managed instance group. This method can be used to apply new overrides and/or new versions.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "update": { "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listManagedInstances method. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManager" }, "id": "compute.instanceGroupManagers.update", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "httpMethod": "PUT", "parameters": { "zone": { "required": true, "description": "The name of the zone where you want to create the managed instance group.", "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "instanceGroupManager": { "location": "path", "description": "The name of the instance group manager.", "type": "string", "required": true } } }, "setInstanceTemplate": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.instanceGroupManagers.setInstanceTemplate", "parameters": { "instanceGroupManager": { "required": true, "description": "The name of the managed instance group.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "request": { "$ref": "InstanceGroupManagersSetInstanceTemplateRequest" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "description": "Specifies the instance template to use when creating new instances in this group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "location": "path", "required": true, "description": "The name of the zone where you want to create the managed instance group.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.insert", "request": { "$ref": "InstanceGroupManager" }, "parameterOrder": [ "project", "zone" ], "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A managed instance group can have up to 1000 VM instances per group. Please contact Cloud Support if you need an increase in this limit.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers" }, "list": { "id": "compute.instanceGroupManagers.list", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "parameters": { "zone": { "type": "string", "description": "The name of the zone where the managed instance group is located.", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "maxResults": { "location": "query", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers", "description": "Retrieves a list of managed instance groups that are contained within the specified project and zone.", "response": { "$ref": "InstanceGroupManagerList" } }, "createInstances": { "httpMethod": "POST", "id": "compute.instanceGroupManagers.createInstances", "request": { "$ref": "InstanceGroupManagersCreateInstancesRequest" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "description": "Creates instances with per-instance configurations in this managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "parameters": { "instanceGroupManager": { "type": "string", "location": "path", "required": true, "description": "The name of the managed instance group. It should conform to RFC1035." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "response": { "$ref": "Operation" } }, "get": { "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "The name of the managed instance group." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true } }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.get", "response": { "$ref": "InstanceGroupManager" }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "description": "Returns all of the details about the specified managed instance group. Gets a list of available managed instance groups by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patchPerInstanceConfigs": { "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "id": "compute.instanceGroupManagers.patchPerInstanceConfigs", "request": { "$ref": "InstanceGroupManagersPatchPerInstanceConfigsReq" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "recreateInstances": { "parameters": { "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "instanceGroupManager": { "type": "string", "required": true, "description": "The name of the managed instance group.", "location": "path" }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone where the managed instance group is located." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "request": { "$ref": "InstanceGroupManagersRecreateInstancesRequest" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "httpMethod": "POST", "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.recreateInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" } }, "abandonInstances": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "request": { "$ref": "InstanceGroupManagersAbandonInstancesRequest" }, "description": "Flags the specified instances to be removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "httpMethod": "POST", "parameters": { "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "type": "string", "location": "path" }, "instanceGroupManager": { "description": "The name of the managed instance group.", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.instanceGroupManagers.abandonInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "resizeAdvanced": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string" }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Resizes the managed instance group with advanced configuration options like disabling creation retries. This is an extended version of the resize method. If you increase the size of the instance group, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating, creatingWithoutRetries, or deleting actions with the get or listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersResizeAdvancedRequest" }, "id": "compute.instanceGroupManagers.resizeAdvanced", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced" }, "setTargetPools": { "response": { "$ref": "Operation" }, "request": { "$ref": "InstanceGroupManagersSetTargetPoolsRequest" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where the managed instance group is located." } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "id": "compute.instanceGroupManagers.setTargetPools", "description": "Modifies the target pools to which all instances in this managed instance group are assigned. The target pools automatically apply to all of the instances in the managed instance group. This operation is marked DONE when you make the request even if the instances have not yet been added to their target pools. The change might take some time to apply to all of the instances in the group depending on the size of the group.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instanceGroupManager" ] } } }, "regionNetworkFirewallPolicies": { "methods": { "get": { "parameters": { "firewallPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to get.", "required": true, "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "response": { "$ref": "FirewallPolicy" }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "description": "Returns the specified network firewall policy.", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionNetworkFirewallPolicies.get" }, "removeAssociation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "name": { "location": "query", "description": "Name for the association that will be removed.", "type": "string" }, "firewallPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the firewall policy to update." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string" } }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "response": { "$ref": "Operation" }, "id": "compute.regionNetworkFirewallPolicies.removeAssociation", "parameterOrder": [ "project", "region", "firewallPolicy" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "description": "Removes an association for the specified network firewall policy." }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "request": { "$ref": "FirewallPolicy" }, "description": "Creates a new network firewall policy in the specified project and region.", "parameterOrder": [ "project", "region" ], "id": "compute.regionNetworkFirewallPolicies.insert", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/firewallPolicies", "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "region": { "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST" }, "getIamPolicy": { "httpMethod": "GET", "id": "compute.regionNetworkFirewallPolicies.getIamPolicy", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "required": true, "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "location": "query", "type": "integer", "format": "int32" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the region for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "patchRule": { "description": "Patches a rule of the specified priority.", "request": { "$ref": "FirewallPolicyRule" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.regionNetworkFirewallPolicies.patchRule", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "priority": { "format": "int32", "location": "query", "description": "The priority of the rule to patch.", "type": "integer" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "firewallPolicy" ] }, "cloneRules": { "description": "Copies rules to the specified network firewall policy.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "id": "compute.regionNetworkFirewallPolicies.cloneRules", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "sourceFirewallPolicy": { "location": "query", "type": "string", "description": "The firewall policy from which to copy rules." }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "firewallPolicy": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update.", "required": true } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "parameterOrder": [ "project", "region", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "patch": { "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.patch", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "request": { "$ref": "FirewallPolicy" }, "description": "Patches the specified network firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "addRule": { "id": "compute.regionNetworkFirewallPolicies.addRule", "description": "Inserts a rule into a network firewall policy.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "parameters": { "minPriority": { "type": "integer", "format": "int32", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "location": "query" }, "firewallPolicy": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the firewall policy to update." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request." }, "maxPriority": { "format": "int32", "location": "query", "type": "integer", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority." } }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "request": { "$ref": "FirewallPolicyRule" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "httpMethod": "POST" }, "getAssociation": { "parameterOrder": [ "project", "region", "firewallPolicy" ], "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the firewall policy to which the queried association belongs." }, "name": { "description": "The name of the association to get from the firewall policy.", "type": "string", "location": "query" } }, "id": "compute.regionNetworkFirewallPolicies.getAssociation", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyAssociation" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "description": "Gets an association with the specified name." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyList" }, "httpMethod": "GET", "description": "Lists all the network firewall policies that have been configured for the specified project in the given region.", "path": "projects/{project}/regions/{region}/firewallPolicies", "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "parameterOrder": [ "project", "region" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "location": "query", "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "id": "compute.regionNetworkFirewallPolicies.list" }, "getEffectiveFirewalls": { "httpMethod": "GET", "response": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "network": { "type": "string", "description": "Network reference", "location": "query", "required": true } }, "id": "compute.regionNetworkFirewallPolicies.getEffectiveFirewalls", "description": "Returns the effective firewalls on a given network.", "parameterOrder": [ "project", "region", "network" ], "path": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "removeRule": { "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule", "httpMethod": "POST", "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.removeRule", "response": { "$ref": "Operation" }, "description": "Deletes a rule of the specified priority.", "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "firewallPolicy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to update.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "priority": { "format": "int32", "description": "The priority of the rule to remove from the firewall policy.", "type": "integer", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule" }, "addAssociation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation", "parameterOrder": [ "project", "region", "firewallPolicy" ], "description": "Inserts an association for the specified network firewall policy.", "httpMethod": "POST", "request": { "$ref": "FirewallPolicyAssociation" }, "id": "compute.regionNetworkFirewallPolicies.addAssociation", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the firewall policy to update." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "replaceExistingAssociation": { "location": "query", "description": "Indicates whether or not to replace it if an association already exists. This is false by default, in which case an error will be returned if an association already exists.", "type": "boolean" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation" }, "delete": { "description": "Deletes the specified network firewall policy.", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "response": { "$ref": "Operation" }, "id": "compute.regionNetworkFirewallPolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameters": { "firewallPolicy": { "type": "string", "location": "path", "required": true, "description": "Name of the firewall policy to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}" }, "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "location": "path" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.regionNetworkFirewallPolicies.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "request": { "$ref": "RegionSetPolicyRequest" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy", "id": "compute.regionNetworkFirewallPolicies.setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "location": "path", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getRule": { "description": "Gets a rule of the specified priority.", "parameters": { "priority": { "location": "query", "type": "integer", "description": "The priority of the rule to get from the firewall policy.", "format": "int32" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the firewall policy to which the queried rule belongs." }, "region": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "parameterOrder": [ "project", "region", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionNetworkFirewallPolicies.getRule", "response": { "$ref": "FirewallPolicyRule" } } } }, "regionInstanceGroups": { "methods": { "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "region": { "required": true, "type": "string", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "id": "compute.regionInstanceGroups.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "flatPath": "projects/{project}/regions/{region}/instanceGroups/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/instanceGroups/{resource}/testIamPermissions" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceGroups.get", "response": { "$ref": "InstanceGroup" }, "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}", "parameters": { "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instanceGroup": { "location": "path", "type": "string", "required": true, "description": "Name of the instance group resource to return." } }, "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}", "description": "Returns the specified instance group resource.", "parameterOrder": [ "project", "region", "instanceGroup" ], "httpMethod": "GET" }, "list": { "description": "Retrieves the list of instance group resources contained within the specified region.", "response": { "$ref": "RegionInstanceGroupList" }, "parameters": { "maxResults": { "type": "integer", "minimum": "0", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "region": { "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/instanceGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceGroups.list", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/instanceGroups" }, "setNamedPorts": { "parameterOrder": [ "project", "region", "instanceGroup" ], "request": { "$ref": "RegionInstanceGroupsSetNamedPortsRequest" }, "id": "compute.regionInstanceGroups.setNamedPorts", "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "instanceGroup": { "location": "path", "description": "The name of the regional instance group where the named ports are updated.", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "description": "Sets the named ports for the specified regional instance group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts", "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts" }, "listInstances": { "description": "Lists the instances in the specified instance group and displays information about the named ports. Depending on the specified options, this method can list all instances or only the instances that are running. The orderBy query parameter is not supported.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "id": "compute.regionInstanceGroups.listInstances", "parameterOrder": [ "project", "region", "instanceGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "default": "500", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "instanceGroup": { "type": "string", "description": "Name of the regional instance group for which we want to list the instances.", "required": true, "location": "path" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "response": { "$ref": "RegionInstanceGroupsListInstances" }, "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "request": { "$ref": "RegionInstanceGroupsListInstancesRequest" } } } }, "images": { "methods": { "list": { "path": "projects/{project}/global/images", "parameterOrder": [ "project" ], "httpMethod": "GET", "id": "compute.images.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of custom images available to the specified project. Custom images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.", "response": { "$ref": "ImageList" }, "flatPath": "projects/{project}/global/images", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500" } } }, "patch": { "parameterOrder": [ "project", "image" ], "parameters": { "image": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the image resource to patch." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/images/{image}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Image" }, "flatPath": "projects/{project}/global/images/{image}", "description": "Patches the specified image with the data included in the request. Only the following fields can be modified: family, description, deprecation status.", "httpMethod": "PATCH", "id": "compute.images.patch" }, "setIamPolicy": { "path": "projects/{project}/global/images/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "id": "compute.images.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/images/{resource}/setIamPolicy", "response": { "$ref": "Policy" } }, "insert": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "path": "projects/{project}/global/images", "flatPath": "projects/{project}/global/images", "parameterOrder": [ "project" ], "httpMethod": "POST", "id": "compute.images.insert", "description": "Creates an image in the specified project using the data included in the request.", "request": { "$ref": "Image" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "forceCreate": { "location": "query", "type": "boolean", "description": "Force image creation if true." } } }, "deprecate": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/images/{image}/deprecate", "id": "compute.images.deprecate", "request": { "$ref": "DeprecationStatus" }, "httpMethod": "POST", "parameterOrder": [ "project", "image" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "image": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Image name.", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Sets the deprecation status of an image. If an empty request body is given, clears the deprecation status instead.", "path": "projects/{project}/global/images/{image}/deprecate" }, "setLabels": { "flatPath": "projects/{project}/global/images/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/images/{resource}/setLabels", "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "description": "Sets the labels on an image. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "GlobalSetLabelsRequest" }, "id": "compute.images.setLabels" }, "getFromFamily": { "id": "compute.images.getFromFamily", "flatPath": "projects/{project}/global/images/family/{family}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the latest image that is part of an image family and is not deprecated.", "path": "projects/{project}/global/images/family/{family}", "httpMethod": "GET", "parameterOrder": [ "project", "family" ], "response": { "$ref": "Image" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "family": { "required": true, "location": "path", "description": "Name of the image family to search for.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } } }, "delete": { "parameters": { "image": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the image resource to delete.", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "flatPath": "projects/{project}/global/images/{image}", "id": "compute.images.delete", "path": "projects/{project}/global/images/{image}", "description": "Deletes the specified image.", "parameterOrder": [ "project", "image" ] }, "testIamPermissions": { "flatPath": "projects/{project}/global/images/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/images/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "id": "compute.images.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified image. Gets a list of available images by making a list() request.", "path": "projects/{project}/global/images/{image}", "id": "compute.images.get", "parameters": { "image": { "type": "string", "location": "path", "required": true, "description": "Name of the image resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true } }, "httpMethod": "GET", "response": { "$ref": "Image" }, "parameterOrder": [ "project", "image" ], "flatPath": "projects/{project}/global/images/{image}" }, "getIamPolicy": { "parameterOrder": [ "project", "resource" ], "id": "compute.images.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/images/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "location": "query", "description": "Requested IAM Policy version.", "type": "integer", "format": "int32" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/images/{resource}/getIamPolicy" } } }, "httpHealthChecks": { "methods": { "insert": { "httpMethod": "POST", "id": "compute.httpHealthChecks.insert", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/httpHealthChecks", "path": "projects/{project}/global/httpHealthChecks", "description": "Creates a HttpHealthCheck resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "HttpHealthCheck" } }, "get": { "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "response": { "$ref": "HttpHealthCheck" }, "parameterOrder": [ "project", "httpHealthCheck" ], "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "id": "compute.httpHealthChecks.get", "description": "Returns the specified HttpHealthCheck resource. Gets a list of available HTTP health checks by making a list() request.", "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "httpHealthCheck": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HttpHealthCheck resource to return.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "update": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "httpHealthCheck": { "required": true, "description": "Name of the HttpHealthCheck resource to update.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true } }, "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "response": { "$ref": "Operation" }, "httpMethod": "PUT", "request": { "$ref": "HttpHealthCheck" }, "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "httpHealthCheck" ], "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request.", "id": "compute.httpHealthChecks.update" }, "testIamPermissions": { "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/httpHealthChecks/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.httpHealthChecks.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name or id of the resource for this request.", "location": "path" } }, "path": "projects/{project}/global/httpHealthChecks/{resource}/testIamPermissions" }, "list": { "path": "projects/{project}/global/httpHealthChecks", "response": { "$ref": "HttpHealthCheckList" }, "id": "compute.httpHealthChecks.list", "description": "Retrieves the list of HttpHealthCheck resources available to the specified project.", "parameters": { "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/httpHealthChecks", "httpMethod": "GET", "parameterOrder": [ "project" ] }, "patch": { "response": { "$ref": "Operation" }, "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "HttpHealthCheck" }, "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "httpHealthCheck" ], "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "httpHealthCheck": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the HttpHealthCheck resource to patch." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true } }, "id": "compute.httpHealthChecks.patch" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "project", "httpHealthCheck" ], "description": "Deletes the specified HttpHealthCheck resource.", "id": "compute.httpHealthChecks.delete", "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "httpHealthCheck": { "type": "string", "location": "path", "required": true, "description": "Name of the HttpHealthCheck resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}" } } }, "backendServices": { "methods": { "deleteSignedUrlKey": { "id": "compute.backendServices.deleteSignedUrlKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Deletes a key for validating requests with signed URLs for this backend service.", "parameterOrder": [ "project", "backendService", "keyName" ], "path": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey", "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendService": { "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "type": "string", "required": true, "location": "path" }, "keyName": { "required": true, "location": "query", "type": "string", "description": "The name of the Signed URL Key to delete." } }, "flatPath": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey" }, "setIamPolicy": { "id": "compute.backendServices.setIamPolicy", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "flatPath": "projects/{project}/global/backendServices/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/backendServices/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "resource" ] }, "get": { "parameters": { "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "backendService": { "location": "path", "required": true, "type": "string", "description": "Name of the BackendService resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/backendServices/{backendService}", "httpMethod": "GET", "parameterOrder": [ "project", "backendService" ], "flatPath": "projects/{project}/global/backendServices/{backendService}", "response": { "$ref": "BackendService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified BackendService resource. Gets a list of available backend services.", "id": "compute.backendServices.get" }, "testIamPermissions": { "path": "projects/{project}/global/backendServices/{resource}/testIamPermissions", "flatPath": "projects/{project}/global/backendServices/{resource}/testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.backendServices.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "update": { "description": "Updates the specified BackendService resource with the data included in the request. For more information, see Backend services overview.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the BackendService resource to update.", "location": "path" } }, "response": { "$ref": "Operation" }, "httpMethod": "PUT", "path": "projects/{project}/global/backendServices/{backendService}", "flatPath": "projects/{project}/global/backendServices/{backendService}", "id": "compute.backendServices.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "BackendService" }, "parameterOrder": [ "project", "backendService" ] }, "delete": { "response": { "$ref": "Operation" }, "id": "compute.backendServices.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the BackendService resource to delete.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/global/backendServices/{backendService}", "flatPath": "projects/{project}/global/backendServices/{backendService}", "description": "Deletes the specified BackendService resource.", "parameterOrder": [ "project", "backendService" ], "httpMethod": "DELETE" }, "addSignedUrlKey": { "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendService": { "type": "string", "required": true, "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "backendService" ], "description": "Adds a key for validating requests with signed URLs for this backend service.", "path": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "SignedUrlKey" }, "id": "compute.backendServices.addSignedUrlKey", "flatPath": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey" }, "getHealth": { "request": { "$ref": "ResourceGroupReference" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "backendService": { "type": "string", "location": "path", "required": true, "description": "Name of the BackendService resource to which the queried instance belongs.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "description": "Gets the most recent health check results for this BackendService. Example request body: { \"group\": \"/zones/us-east1-b/instanceGroups/lb-backend-example\" }", "id": "compute.backendServices.getHealth", "path": "projects/{project}/global/backendServices/{backendService}/getHealth", "parameterOrder": [ "project", "backendService" ], "flatPath": "projects/{project}/global/backendServices/{backendService}/getHealth", "response": { "$ref": "BackendServiceGroupHealth" } }, "getIamPolicy": { "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "type": "integer", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "resource": { "location": "path", "required": true, "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/backendServices/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "resource" ], "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.backendServices.getIamPolicy", "path": "projects/{project}/global/backendServices/{resource}/getIamPolicy" }, "list": { "flatPath": "projects/{project}/global/backendServices", "id": "compute.backendServices.list", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of BackendService resources available to the specified project.", "response": { "$ref": "BackendServiceList" }, "parameterOrder": [ "project" ], "httpMethod": "GET", "path": "projects/{project}/global/backendServices" }, "insert": { "httpMethod": "POST", "request": { "$ref": "BackendService" }, "path": "projects/{project}/global/backendServices", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/global/backendServices", "id": "compute.backendServices.insert", "description": "Creates a BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview .", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "response": { "$ref": "Operation" } }, "setEdgeSecurityPolicy": { "httpMethod": "POST", "flatPath": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "description": "Sets the edge security policy for the specified backend service.", "parameters": { "backendService": { "required": true, "description": "Name of the BackendService resource to which the edge security policy should be set. The name should conform to RFC1035.", "type": "string", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.backendServices.setEdgeSecurityPolicy", "request": { "$ref": "SecurityPolicyReference" }, "path": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "parameterOrder": [ "project", "backendService" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendService": { "location": "path", "description": "Name of the BackendService resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "request": { "$ref": "BackendService" }, "id": "compute.backendServices.patch", "parameterOrder": [ "project", "backendService" ], "path": "projects/{project}/global/backendServices/{backendService}", "httpMethod": "PATCH", "description": "Patches the specified BackendService resource with the data included in the request. For more information, see Backend services overview. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendServices/{backendService}" }, "aggregatedList": { "httpMethod": "GET", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "location": "query", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "path": "projects/{project}/aggregated/backendServices", "flatPath": "projects/{project}/aggregated/backendServices", "parameterOrder": [ "project" ], "description": "Retrieves the list of all BackendService resources, regional and global, available to the specified project.", "response": { "$ref": "BackendServiceAggregatedList" }, "id": "compute.backendServices.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setSecurityPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "request": { "$ref": "SecurityPolicyReference" }, "response": { "$ref": "Operation" }, "id": "compute.backendServices.setSecurityPolicy", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "backendService": { "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "project", "backendService" ], "path": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "description": "Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview" } } }, "securityPolicies": { "methods": { "addRule": { "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "request": { "$ref": "SecurityPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Inserts a rule into a security policy.", "parameterOrder": [ "project", "securityPolicy" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "parameters": { "validateOnly": { "type": "boolean", "description": "If true, the request will not be committed.", "location": "query" }, "securityPolicy": { "description": "Name of the security policy to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "httpMethod": "POST", "id": "compute.securityPolicies.addRule", "response": { "$ref": "Operation" } }, "aggregatedList": { "description": "Retrieves the list of all SecurityPolicy resources, regional and global, available to the specified project.", "id": "compute.securityPolicies.aggregatedList", "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Name of the project scoping this request.", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "location": "query", "default": "500", "type": "integer" } }, "path": "projects/{project}/aggregated/securityPolicies", "response": { "$ref": "SecurityPoliciesAggregatedList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/securityPolicies" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path" } }, "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/global/securityPolicies/{resource}/testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/global/securityPolicies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.securityPolicies.testIamPermissions" }, "insert": { "id": "compute.securityPolicies.insert", "description": "Creates a new policy in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicy" }, "parameterOrder": [ "project" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "validateOnly": { "location": "query", "description": "If true, the request will not be committed.", "type": "boolean" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/securityPolicies", "path": "projects/{project}/global/securityPolicies" }, "patchRule": { "description": "Patches a rule at the specified priority.", "parameterOrder": [ "project", "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "SecurityPolicyRule" }, "id": "compute.securityPolicies.patchRule", "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "If true, the request will not be committed." }, "priority": { "description": "The priority of the rule to patch.", "format": "int32", "type": "integer", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "securityPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the security policy to update.", "required": true } }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule" }, "getRule": { "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "securityPolicy": { "required": true, "type": "string", "location": "path", "description": "Name of the security policy to which the queried rule belongs.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "priority": { "description": "The priority of the rule to get from the security policy.", "format": "int32", "location": "query", "type": "integer" } }, "id": "compute.securityPolicies.getRule", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "response": { "$ref": "SecurityPolicyRule" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "description": "Gets a rule at the specified priority.", "parameterOrder": [ "project", "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "patch": { "description": "Patches the specified policy with the data included in the request. This cannot be used to be update the rules in the policy. Please use the per rule methods like addRule, patchRule, and removeRule instead.", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "request": { "$ref": "SecurityPolicy" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "securityPolicy" ], "id": "compute.securityPolicies.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the security policy to update.", "location": "path", "type": "string" } }, "httpMethod": "PATCH" }, "listPreconfiguredExpressionSets": { "response": { "$ref": "SecurityPoliciesListPreconfiguredExpressionSetsResponse" }, "flatPath": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "id": "compute.securityPolicies.listPreconfiguredExpressionSets", "description": "Gets the current list of preconfigured Web Application Firewall (WAF) expressions.", "path": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "minimum": "0", "format": "uint32", "type": "integer", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "project" ] }, "list": { "path": "projects/{project}/global/securityPolicies", "parameterOrder": [ "project" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "default": "500", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "List all the policies that have been configured for the specified project.", "response": { "$ref": "SecurityPolicyList" }, "httpMethod": "GET", "flatPath": "projects/{project}/global/securityPolicies", "id": "compute.securityPolicies.list" }, "setLabels": { "path": "projects/{project}/global/securityPolicies/{resource}/setLabels", "response": { "$ref": "Operation" }, "description": "Sets the labels on a security policy. To learn more about labels, read the Labeling Resources documentation.", "httpMethod": "POST", "id": "compute.securityPolicies.setLabels", "flatPath": "projects/{project}/global/securityPolicies/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "parameters": { "securityPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the security policy to get.", "type": "string", "required": true }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "id": "compute.securityPolicies.get", "description": "List all of the ordered rules present in a single specified policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "securityPolicy" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "response": { "$ref": "SecurityPolicy" }, "httpMethod": "GET" }, "delete": { "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "id": "compute.securityPolicies.delete", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "parameterOrder": [ "project", "securityPolicy" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "securityPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the security policy to delete." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "description": "Deletes the specified policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "removeRule": { "id": "compute.securityPolicies.removeRule", "description": "Deletes a rule at the specified priority.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "securityPolicy": { "required": true, "location": "path", "description": "Name of the security policy to update.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "priority": { "type": "integer", "location": "query", "format": "int32", "description": "The priority of the rule to remove from the security policy." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "path": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "parameterOrder": [ "project", "securityPolicy" ], "httpMethod": "POST", "response": { "$ref": "Operation" } } } }, "organizationSecurityPolicies": { "methods": { "list": { "description": "List all the policies that have been configured for the specified project.", "id": "compute.organizationSecurityPolicies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "locations/global/securityPolicies", "parameters": { "maxResults": { "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "type": "integer" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "parentId": { "description": "Parent ID for this request.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "flatPath": "locations/global/securityPolicies", "httpMethod": "GET", "response": { "$ref": "SecurityPolicyList" } }, "delete": { "response": { "$ref": "Operation" }, "description": "Deletes the specified policy.", "flatPath": "locations/global/securityPolicies/{securityPolicy}", "httpMethod": "DELETE", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "securityPolicy": { "type": "string", "location": "path", "description": "Name of the security policy to delete.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "required": true } }, "parameterOrder": [ "securityPolicy" ], "id": "compute.organizationSecurityPolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/securityPolicies/{securityPolicy}" }, "listAssociations": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "OrganizationSecurityPoliciesListAssociationsResponse" }, "path": "locations/global/securityPolicies/listAssociations", "id": "compute.organizationSecurityPolicies.listAssociations", "description": "Lists associations of a specified target, i.e., organization or folder.", "httpMethod": "GET", "parameters": { "targetResource": { "type": "string", "location": "query", "description": "The target resource to list associations. It is an organization, or a folder." } }, "flatPath": "locations/global/securityPolicies/listAssociations" }, "getRule": { "response": { "$ref": "SecurityPolicyRule" }, "httpMethod": "GET", "parameters": { "securityPolicy": { "location": "path", "type": "string", "pattern": "(securityPolicies/)?[0-9]{0,20}", "description": "Name of the security policy to which the queried rule belongs.", "required": true }, "priority": { "type": "integer", "description": "The priority of the rule to get from the security policy.", "location": "query", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/getRule", "description": "Gets a rule at the specified priority.", "path": "locations/global/securityPolicies/{securityPolicy}/getRule", "parameterOrder": [ "securityPolicy" ], "id": "compute.organizationSecurityPolicies.getRule" }, "move": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/move", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "parentId": { "type": "string", "description": "The new parent of the security policy.", "location": "query" }, "securityPolicy": { "required": true, "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "location": "path" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "securityPolicy" ], "path": "locations/global/securityPolicies/{securityPolicy}/move", "id": "compute.organizationSecurityPolicies.move", "description": "Moves the specified security policy." }, "addAssociation": { "id": "compute.organizationSecurityPolicies.addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/addAssociation", "parameters": { "securityPolicy": { "type": "string", "pattern": "(securityPolicies/)?[0-9]{0,20}", "description": "Name of the security policy to update.", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "replaceExistingAssociation": { "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "location": "query", "type": "boolean" } }, "path": "locations/global/securityPolicies/{securityPolicy}/addAssociation", "description": "Inserts an association for the specified security policy.", "response": { "$ref": "Operation" }, "parameterOrder": [ "securityPolicy" ], "httpMethod": "POST", "request": { "$ref": "SecurityPolicyAssociation" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameterOrder": [ "securityPolicy" ], "id": "compute.organizationSecurityPolicies.patch", "request": { "$ref": "SecurityPolicy" }, "parameters": { "securityPolicy": { "pattern": "(securityPolicies/)?[0-9]{0,20}", "location": "path", "description": "Name of the security policy to update.", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "flatPath": "locations/global/securityPolicies/{securityPolicy}", "description": "Patches the specified policy with the data included in the request.", "path": "locations/global/securityPolicies/{securityPolicy}" }, "removeAssociation": { "httpMethod": "POST", "flatPath": "locations/global/securityPolicies/{securityPolicy}/removeAssociation", "path": "locations/global/securityPolicies/{securityPolicy}/removeAssociation", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "securityPolicy": { "required": true, "description": "Name of the security policy to update.", "type": "string", "pattern": "(securityPolicies/)?[0-9]{0,20}", "location": "path" }, "name": { "description": "Name for the attachment that will be removed.", "location": "query", "type": "string" } }, "id": "compute.organizationSecurityPolicies.removeAssociation", "parameterOrder": [ "securityPolicy" ], "description": "Removes an association for the specified security policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "flatPath": "locations/global/securityPolicies", "id": "compute.organizationSecurityPolicies.insert", "httpMethod": "POST", "path": "locations/global/securityPolicies", "parameters": { "parentId": { "type": "string", "description": "Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a new policy in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "request": { "$ref": "SecurityPolicy" } }, "removeRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "securityPolicy": { "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "required": true, "description": "Name of the security policy to update." }, "priority": { "format": "int32", "description": "The priority of the rule to remove from the security policy.", "type": "integer", "location": "query" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "locations/global/securityPolicies/{securityPolicy}/removeRule", "response": { "$ref": "Operation" }, "description": "Deletes a rule at the specified priority.", "id": "compute.organizationSecurityPolicies.removeRule", "flatPath": "locations/global/securityPolicies/{securityPolicy}/removeRule", "httpMethod": "POST", "parameterOrder": [ "securityPolicy" ] }, "addRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "locations/global/securityPolicies/{securityPolicy}/addRule", "parameterOrder": [ "securityPolicy" ], "parameters": { "securityPolicy": { "required": true, "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "description": "Name of the security policy to update." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "locations/global/securityPolicies/{securityPolicy}/addRule", "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "SecurityPolicyRule" }, "id": "compute.organizationSecurityPolicies.addRule", "description": "Inserts a rule into a security policy." }, "getAssociation": { "httpMethod": "GET", "flatPath": "locations/global/securityPolicies/{securityPolicy}/getAssociation", "id": "compute.organizationSecurityPolicies.getAssociation", "response": { "$ref": "SecurityPolicyAssociation" }, "parameters": { "name": { "type": "string", "description": "The name of the association to get from the security policy.", "location": "query" }, "securityPolicy": { "location": "path", "description": "Name of the security policy to which the queried rule belongs.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets an association with the specified name.", "path": "locations/global/securityPolicies/{securityPolicy}/getAssociation", "parameterOrder": [ "securityPolicy" ] }, "get": { "httpMethod": "GET", "parameterOrder": [ "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SecurityPolicy" }, "description": "List all of the ordered rules present in a single specified policy.", "id": "compute.organizationSecurityPolicies.get", "flatPath": "locations/global/securityPolicies/{securityPolicy}", "parameters": { "securityPolicy": { "location": "path", "type": "string", "required": true, "pattern": "(securityPolicies/)?[0-9]{0,20}", "description": "Name of the security policy to get." } }, "path": "locations/global/securityPolicies/{securityPolicy}" }, "patchRule": { "httpMethod": "POST", "description": "Patches a rule at the specified priority.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicyRule" }, "id": "compute.organizationSecurityPolicies.patchRule", "flatPath": "locations/global/securityPolicies/{securityPolicy}/patchRule", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "priority": { "location": "query", "format": "int32", "type": "integer", "description": "The priority of the rule to patch." }, "securityPolicy": { "pattern": "(securityPolicies/)?[0-9]{0,20}", "type": "string", "description": "Name of the security policy to update.", "required": true, "location": "path" } }, "path": "locations/global/securityPolicies/{securityPolicy}/patchRule", "parameterOrder": [ "securityPolicy" ] }, "copyRules": { "parameterOrder": [ "securityPolicy" ], "path": "locations/global/securityPolicies/{securityPolicy}/copyRules", "httpMethod": "POST", "id": "compute.organizationSecurityPolicies.copyRules", "flatPath": "locations/global/securityPolicies/{securityPolicy}/copyRules", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Copies rules to the specified security policy.", "parameters": { "securityPolicy": { "location": "path", "type": "string", "description": "Name of the security policy to update.", "pattern": "(securityPolicies/)?[0-9]{0,20}", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "sourceSecurityPolicy": { "location": "query", "type": "string", "description": "The security policy from which to copy rules." } } } } }, "serviceAttachments": { "methods": { "insert": { "id": "compute.serviceAttachments.insert", "description": "Creates a ServiceAttachment in the specified project in the given scope using the parameters that are included in the request.", "path": "projects/{project}/regions/{region}/serviceAttachments", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "region": { "location": "path", "description": "Name of the region of this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "request": { "$ref": "ServiceAttachment" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/serviceAttachments", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ] }, "patch": { "id": "compute.serviceAttachments.patch", "description": "Patches the specified ServiceAttachment resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "request": { "$ref": "ServiceAttachment" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "required": true, "type": "string", "location": "path", "description": "The region scoping this request and should conform to RFC1035." }, "serviceAttachment": { "type": "string", "required": true, "description": "The resource id of the ServiceAttachment to patch. It should conform to RFC1035 resource name or be a string form on an unsigned long number.", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "parameterOrder": [ "project", "region", "serviceAttachment" ], "httpMethod": "PATCH" }, "getIamPolicy": { "parameters": { "region": { "location": "path", "type": "string", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "optionsRequestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Requested IAM Policy version." }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "required": true }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "id": "compute.serviceAttachments.getIamPolicy" }, "setIamPolicy": { "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request." }, "resource": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionSetPolicyRequest" }, "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy", "id": "compute.serviceAttachments.setIamPolicy", "response": { "$ref": "Policy" } }, "get": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "serviceAttachment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the ServiceAttachment resource to return.", "required": true, "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "description": "Returns the specified ServiceAttachment resource in the given scope.", "httpMethod": "GET", "parameterOrder": [ "project", "region", "serviceAttachment" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ServiceAttachment" }, "id": "compute.serviceAttachments.get" }, "delete": { "httpMethod": "DELETE", "id": "compute.serviceAttachments.delete", "description": "Deletes the specified ServiceAttachment in the given scope", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "serviceAttachment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the ServiceAttachment resource to delete.", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region of this request.", "type": "string", "required": true, "location": "path" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "parameterOrder": [ "project", "region", "serviceAttachment" ], "response": { "$ref": "Operation" } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.serviceAttachments.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" } }, "aggregatedList": { "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "description": "Name of the project scoping this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "maxResults": { "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "type": "integer" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "id": "compute.serviceAttachments.aggregatedList", "response": { "$ref": "ServiceAttachmentAggregatedList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/serviceAttachments", "description": "Retrieves the list of all ServiceAttachment resources, regional and global, available to the specified project.", "path": "projects/{project}/aggregated/serviceAttachments" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ServiceAttachmentList" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments", "path": "projects/{project}/regions/{region}/serviceAttachments", "id": "compute.serviceAttachments.list", "httpMethod": "GET", "description": "Lists the ServiceAttachments for a project in the given scope.", "parameterOrder": [ "project", "region" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "type": "string", "description": "Name of the region of this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "default": "500" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } } } } }, "regionNotificationEndpoints": { "methods": { "get": { "description": "Returns the specified NotificationEndpoint resource in the given region.", "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.regionNotificationEndpoints.get", "parameterOrder": [ "project", "region", "notificationEndpoint" ], "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "notificationEndpoint": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the NotificationEndpoint resource to return.", "type": "string" } }, "response": { "$ref": "NotificationEndpoint" }, "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}" }, "insert": { "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "request": { "$ref": "NotificationEndpoint" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/notificationEndpoints", "description": "Create a NotificationEndpoint in the specified project in the given region using the parameters that are included in the request.", "id": "compute.regionNotificationEndpoints.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "description": "Lists the NotificationEndpoints for a project in the given region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/notificationEndpoints", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "maxResults": { "location": "query", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "NotificationEndpointList" }, "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "id": "compute.regionNotificationEndpoints.list", "httpMethod": "GET" }, "delete": { "parameterOrder": [ "project", "region", "notificationEndpoint" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "id": "compute.regionNotificationEndpoints.delete", "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" }, "notificationEndpoint": { "required": true, "description": "Name of the NotificationEndpoint resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } }, "description": "Deletes the specified NotificationEndpoint in the given region", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "id": "compute.regionNotificationEndpoints.testIamPermissions", "path": "projects/{project}/regions/{region}/notificationEndpoints/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "region": { "type": "string", "description": "The name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name or id of the resource for this request." } }, "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{resource}/testIamPermissions" } } }, "routes": { "methods": { "list": { "httpMethod": "GET", "id": "compute.routes.list", "response": { "$ref": "RouteList" }, "parameterOrder": [ "project" ], "parameters": { "maxResults": { "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/routes", "description": "Retrieves the list of Route resources available to the specified project.", "path": "projects/{project}/global/routes" }, "insert": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project" ], "id": "compute.routes.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/routes", "request": { "$ref": "Route" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/routes", "httpMethod": "POST", "description": "Creates a Route resource in the specified project using the data included in the request." }, "get": { "httpMethod": "GET", "flatPath": "projects/{project}/global/routes/{route}", "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "route": { "location": "path", "type": "string", "description": "Name of the Route resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "path": "projects/{project}/global/routes/{route}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Route" }, "id": "compute.routes.get", "description": "Returns the specified Route resource. Gets a list of available routes by making a list() request.", "parameterOrder": [ "project", "route" ] }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.routes.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "path": "projects/{project}/global/routes/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/routes/{resource}/testIamPermissions", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "required": true } } }, "delete": { "description": "Deletes the specified Route resource.", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "route": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the Route resource to delete.", "type": "string" } }, "path": "projects/{project}/global/routes/{route}", "httpMethod": "DELETE", "id": "compute.routes.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "route" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/routes/{route}" } } }, "instanceTemplates": { "methods": { "list": { "flatPath": "projects/{project}/global/instanceTemplates", "description": "Retrieves a list of instance templates that are contained within the specified project.", "id": "compute.instanceTemplates.list", "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "format": "uint32" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "response": { "$ref": "InstanceTemplateList" }, "path": "projects/{project}/global/instanceTemplates" }, "delete": { "description": "Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone. It is not possible to delete templates that are already in use by a managed instance group.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instanceTemplate": { "description": "The name of the instance template to delete.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "id": "compute.instanceTemplates.delete", "httpMethod": "DELETE", "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "parameterOrder": [ "project", "instanceTemplate" ] }, "testIamPermissions": { "path": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceTemplates.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceTemplates.setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "resource" ], "httpMethod": "POST", "path": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "flatPath": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true } } }, "insert": { "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Creates an instance template in the specified project using the data that is included in the request. If you are creating a new template to update an existing instance group, your new instance template must use the same network or, if applicable, the same subnetwork as the original template.", "response": { "$ref": "Operation" }, "id": "compute.instanceTemplates.insert", "httpMethod": "POST", "path": "projects/{project}/global/instanceTemplates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "request": { "$ref": "InstanceTemplate" }, "flatPath": "projects/{project}/global/instanceTemplates" }, "getIamPolicy": { "id": "compute.instanceTemplates.getIamPolicy", "parameterOrder": [ "project", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request." }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "type": "integer", "location": "query" } }, "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "path": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "httpMethod": "GET" }, "get": { "description": "Returns the specified instance template. Gets a list of available instance templates by making a list() request.", "id": "compute.instanceTemplates.get", "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "instanceTemplate" ], "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "instanceTemplate": { "type": "string", "description": "The name of the instance template.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "response": { "$ref": "InstanceTemplate" } } } }, "networkEndpointGroups": { "methods": { "attachNetworkEndpoints": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Attach a list of network endpoints to the specified network endpoint group.", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "networkEndpointGroup": { "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.", "location": "path", "required": true, "type": "string" }, "zone": { "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "id": "compute.networkEndpointGroups.attachNetworkEndpoints", "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "response": { "$ref": "Operation" }, "request": { "$ref": "NetworkEndpointGroupsAttachEndpointsRequest" } }, "get": { "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "id": "compute.networkEndpointGroups.get", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "zone": { "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "type": "string", "required": true }, "networkEndpointGroup": { "required": true, "description": "The name of the network endpoint group. It should comply with RFC1035.", "type": "string", "location": "path" } }, "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "response": { "$ref": "NetworkEndpointGroup" } }, "list": { "parameterOrder": [ "project", "zone" ], "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer", "default": "500", "minimum": "0" }, "zone": { "location": "path", "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "required": true }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "id": "compute.networkEndpointGroups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of network endpoint groups that are located in the specified project and zone." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "networkEndpointGroup": { "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "location": "path", "required": true, "type": "string" }, "zone": { "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "location": "path", "required": true } }, "description": "Deletes the specified network endpoint group. The network endpoints in the NEG and the VM instances they belong to are not terminated when the NEG is deleted. Note that the NEG cannot be deleted if there are backend services referencing it.", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "DELETE", "id": "compute.networkEndpointGroups.delete", "response": { "$ref": "Operation" } }, "detachNetworkEndpoints": { "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "description": "Detach a list of network endpoints from the specified network endpoint group.", "request": { "$ref": "NetworkEndpointGroupsDetachEndpointsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "zone": { "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "networkEndpointGroup": { "type": "string", "required": true, "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.", "location": "path" } }, "id": "compute.networkEndpointGroups.detachNetworkEndpoints", "response": { "$ref": "Operation" } }, "listNetworkEndpoints": { "description": "Lists the network endpoints in the specified network endpoint group.", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "parameters": { "networkEndpointGroup": { "location": "path", "required": true, "type": "string", "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035." }, "zone": { "location": "path", "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "required": true }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" } }, "request": { "$ref": "NetworkEndpointGroupsListEndpointsRequest" }, "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "id": "compute.networkEndpointGroups.listNetworkEndpoints", "httpMethod": "POST" }, "aggregatedList": { "response": { "$ref": "NetworkEndpointGroupAggregatedList" }, "flatPath": "projects/{project}/aggregated/networkEndpointGroups", "description": "Retrieves the list of network endpoint groups and sorts them by zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.networkEndpointGroups.aggregatedList", "path": "projects/{project}/aggregated/networkEndpointGroups", "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "type": "integer", "format": "uint32", "default": "500" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } } }, "testIamPermissions": { "id": "compute.networkEndpointGroups.testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions", "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "zone": { "description": "The name of the zone where you want to create the network endpoint group. It should comply with RFC1035.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "httpMethod": "POST", "id": "compute.networkEndpointGroups.insert", "request": { "$ref": "NetworkEndpointGroup" } } } }, "interconnects": { "methods": { "insert": { "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/interconnects", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "id": "compute.interconnects.insert", "description": "Creates a Interconnect in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "path": "projects/{project}/global/interconnects", "request": { "$ref": "Interconnect" } }, "get": { "response": { "$ref": "Interconnect" }, "path": "projects/{project}/global/interconnects/{interconnect}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified interconnect. Get a list of available interconnects by making a list() request.", "parameters": { "interconnect": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the interconnect to return." }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/interconnects/{interconnect}", "id": "compute.interconnects.get", "httpMethod": "GET", "parameterOrder": [ "project", "interconnect" ] }, "getDiagnostics": { "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "interconnect": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect resource to query." } }, "description": "Returns the interconnectDiagnostics for the specified interconnect.", "id": "compute.interconnects.getDiagnostics", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics", "parameterOrder": [ "project", "interconnect" ], "flatPath": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics", "response": { "$ref": "InterconnectsGetDiagnosticsResponse" } }, "testIamPermissions": { "path": "projects/{project}/global/interconnects/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "parameterOrder": [ "project", "resource" ], "id": "compute.interconnects.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/interconnects/{resource}/testIamPermissions" }, "setLabels": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/interconnects/{resource}/setLabels", "parameterOrder": [ "project", "resource" ], "description": "Sets the labels on an Interconnect. To learn more about labels, read the Labeling Resources documentation.", "id": "compute.interconnects.setLabels", "httpMethod": "POST", "path": "projects/{project}/global/interconnects/{resource}/setLabels", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "request": { "$ref": "GlobalSetLabelsRequest" } }, "patch": { "id": "compute.interconnects.patch", "parameterOrder": [ "project", "interconnect" ], "httpMethod": "PATCH", "path": "projects/{project}/global/interconnects/{interconnect}", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "interconnect": { "description": "Name of the interconnect to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/interconnects/{interconnect}", "description": "Updates the specified interconnect with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "Interconnect" } }, "list": { "parameterOrder": [ "project" ], "response": { "$ref": "InterconnectList" }, "flatPath": "projects/{project}/global/interconnects", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/interconnects", "httpMethod": "GET", "id": "compute.interconnects.list", "description": "Retrieves the list of interconnect available to the specified project." }, "delete": { "id": "compute.interconnects.delete", "description": "Deletes the specified interconnect.", "parameterOrder": [ "project", "interconnect" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/interconnects/{interconnect}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "interconnect": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect to delete.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "flatPath": "projects/{project}/global/interconnects/{interconnect}", "httpMethod": "DELETE" } } }, "regionNetworkEndpointGroups": { "methods": { "insert": { "id": "compute.regionNetworkEndpointGroups.insert", "request": { "$ref": "NetworkEndpointGroup" }, "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "parameterOrder": [ "project", "region" ], "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "location": "path", "type": "string", "description": "The name of the region where you want to create the network endpoint group. It should comply with RFC1035.", "required": true } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/networkEndpointGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "list": { "description": "Retrieves the list of regional network endpoint groups available to the specified project in the given region.", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "required": true, "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "parameterOrder": [ "project", "region" ], "response": { "$ref": "NetworkEndpointGroupList" }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/networkEndpointGroups", "id": "compute.regionNetworkEndpointGroups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "description": "Deletes the specified network endpoint group. Note that the NEG cannot be deleted if it is configured as a backend of a backend service.", "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "id": "compute.regionNetworkEndpointGroups.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "required": true, "type": "string" }, "networkEndpointGroup": { "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "type": "string", "location": "path", "required": true } } }, "get": { "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "parameters": { "networkEndpointGroup": { "type": "string", "required": true, "location": "path", "description": "The name of the network endpoint group. It should comply with RFC1035." }, "region": { "required": true, "location": "path", "type": "string", "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "response": { "$ref": "NetworkEndpointGroup" }, "id": "compute.regionNetworkEndpointGroups.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}" } } }, "subnetworks": { "methods": { "insert": { "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/subnetworks", "response": { "$ref": "Operation" }, "id": "compute.subnetworks.insert", "request": { "$ref": "Subnetwork" }, "path": "projects/{project}/regions/{region}/subnetworks", "description": "Creates a subnetwork in the specified project using the data included in the request.", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setIamPolicy": { "id": "compute.subnetworks.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "region": { "description": "The name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "response": { "$ref": "Policy" }, "request": { "$ref": "RegionSetPolicyRequest" }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "getIamPolicy": { "parameters": { "region": { "type": "string", "required": true, "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "location": "query", "type": "integer" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path" } }, "path": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "id": "compute.subnetworks.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "httpMethod": "GET", "response": { "$ref": "Policy" } }, "get": { "id": "compute.subnetworks.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "subnetwork": { "required": true, "location": "path", "description": "Name of the Subnetwork resource to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "location": "path", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "subnetwork" ], "response": { "$ref": "Subnetwork" }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "description": "Returns the specified subnetwork. Gets a list of available subnetworks list() request.", "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}" }, "list": { "description": "Retrieves a list of subnetworks available to the specified project.", "flatPath": "projects/{project}/regions/{region}/subnetworks", "httpMethod": "GET", "response": { "$ref": "SubnetworkList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.subnetworks.list", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/subnetworks", "parameters": { "maxResults": { "location": "query", "minimum": "0", "type": "integer", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "response": { "$ref": "Operation" }, "request": { "$ref": "Subnetwork" }, "id": "compute.subnetworks.patch", "parameterOrder": [ "project", "region", "subnetwork" ], "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "parameters": { "drainTimeoutSeconds": { "description": "The drain timeout specifies the upper bound in seconds on the amount of time allowed to drain connections from the current ACTIVE subnetwork to the current BACKUP subnetwork. The drain timeout is only applicable when the following conditions are true: - the subnetwork being patched has purpose = INTERNAL_HTTPS_LOAD_BALANCER - the subnetwork being patched has role = BACKUP - the patch request is setting the role to ACTIVE. Note that after this patch operation the roles of the ACTIVE and BACKUP subnetworks will be swapped.", "type": "integer", "location": "query", "format": "int32" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "subnetwork": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the Subnetwork resource to patch.", "type": "string" } }, "description": "Patches the specified subnetwork with the data included in the request. Only certain fields can be updated with a patch request as indicated in the field descriptions. You must specify the current fingerprint of the subnetwork resource being patched.", "httpMethod": "PATCH" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "path": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true } }, "id": "compute.subnetworks.testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST" }, "expandIpCidrRange": { "description": "Expands the IP CIDR range of the subnetwork to a specified value.", "request": { "$ref": "SubnetworksExpandIpCidrRangeRequest" }, "id": "compute.subnetworks.expandIpCidrRange", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange", "parameters": { "region": { "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "subnetwork": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Subnetwork resource to update.", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "region", "subnetwork" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "aggregatedList": { "id": "compute.subnetworks.aggregatedList", "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/subnetworks", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "SubnetworkAggregatedList" }, "description": "Retrieves an aggregated list of subnetworks.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/subnetworks", "httpMethod": "GET" }, "setPrivateIpGoogleAccess": { "parameterOrder": [ "project", "region", "subnetwork" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess", "description": "Set whether VMs in this subnet can access Google services without assigning external IP addresses through Private Google Access.", "id": "compute.subnetworks.setPrivateIpGoogleAccess", "parameters": { "subnetwork": { "required": true, "type": "string", "description": "Name of the Subnetwork resource.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "SubnetworksSetPrivateIpGoogleAccessRequest" } }, "delete": { "id": "compute.subnetworks.delete", "description": "Deletes the specified subnetwork.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "subnetwork": { "type": "string", "location": "path", "description": "Name of the Subnetwork resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "parameterOrder": [ "project", "region", "subnetwork" ] }, "listUsable": { "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/subnetworks/listUsable", "description": "Retrieves an aggregated list of all usable subnetworks in the project.", "response": { "$ref": "UsableSubnetworksAggregatedList" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "serviceProject": { "location": "query", "type": "string", "description": "The project id or project number in which the subnetwork is intended to be used. Only applied for Shared VPC. See [Shared VPC documentation](https://cloud.google.com/vpc/docs/shared-vpc/)" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" } }, "id": "compute.subnetworks.listUsable", "path": "projects/{project}/aggregated/subnetworks/listUsable" } } }, "acceleratorTypes": { "methods": { "aggregatedList": { "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer", "default": "500", "format": "uint32" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/acceleratorTypes", "response": { "$ref": "AcceleratorTypeAggregatedList" }, "id": "compute.acceleratorTypes.aggregatedList", "path": "projects/{project}/aggregated/acceleratorTypes", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of accelerator types." }, "list": { "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes", "description": "Retrieves a list of accelerator types that are available to the specified project.", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "zone": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query" } }, "response": { "$ref": "AcceleratorTypeList" }, "httpMethod": "GET", "parameterOrder": [ "project", "zone" ], "id": "compute.acceleratorTypes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/acceleratorTypes" }, "get": { "id": "compute.acceleratorTypes.get", "parameters": { "acceleratorType": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the accelerator type to return.", "required": true, "location": "path", "type": "string" }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "description": "Returns the specified accelerator type.", "parameterOrder": [ "project", "zone", "acceleratorType" ], "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "httpMethod": "GET", "response": { "$ref": "AcceleratorType" } } } }, "snapshots": { "methods": { "delete": { "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "snapshot": { "type": "string", "description": "Name of the Snapshot resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "id": "compute.snapshots.delete", "path": "projects/{project}/global/snapshots/{snapshot}", "response": { "$ref": "Operation" }, "description": "Deletes the specified Snapshot resource. Keep in mind that deleting a single snapshot might not necessarily delete all the data on that snapshot. If any data on the snapshot that is marked for deletion is needed for subsequent snapshots, the data will be moved to the next corresponding snapshot. For more information, see Deleting snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/snapshots/{snapshot}", "httpMethod": "DELETE", "parameterOrder": [ "project", "snapshot" ] }, "setLabels": { "response": { "$ref": "Operation" }, "request": { "$ref": "GlobalSetLabelsRequest" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/snapshots/{resource}/setLabels", "id": "compute.snapshots.setLabels", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } }, "path": "projects/{project}/global/snapshots/{resource}/setLabels", "description": "Sets the labels on a snapshot. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "resource" ] }, "list": { "httpMethod": "GET", "description": "Retrieves the list of Snapshot resources contained within the specified project.", "flatPath": "projects/{project}/global/snapshots", "response": { "$ref": "SnapshotList" }, "path": "projects/{project}/global/snapshots", "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "format": "uint32", "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.snapshots.list", "parameterOrder": [ "project" ] }, "insert": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Creates a snapshot in the specified project using the data included in the request. For regular snapshot creation, consider using this method instead of disks.createSnapshot, as this method supports more features, such as creating snapshots in a project different from the source disk project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/snapshots", "request": { "$ref": "Snapshot" }, "parameterOrder": [ "project" ], "id": "compute.snapshots.insert", "path": "projects/{project}/global/snapshots" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request." }, "optionsRequestedPolicyVersion": { "type": "integer", "description": "Requested IAM Policy version.", "location": "query", "format": "int32" } }, "id": "compute.snapshots.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "flatPath": "projects/{project}/global/snapshots/{resource}/getIamPolicy", "path": "projects/{project}/global/snapshots/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "Policy" }, "httpMethod": "GET" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "id": "compute.snapshots.setIamPolicy", "parameters": { "resource": { "location": "path", "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "response": { "$ref": "Policy" }, "path": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "flatPath": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "get": { "description": "Returns the specified Snapshot resource. Gets a list of available snapshots by making a list() request.", "parameters": { "snapshot": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the Snapshot resource to return.", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/snapshots/{snapshot}", "httpMethod": "GET", "response": { "$ref": "Snapshot" }, "parameterOrder": [ "project", "snapshot" ], "id": "compute.snapshots.get", "path": "projects/{project}/global/snapshots/{snapshot}" }, "testIamPermissions": { "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "type": "string" } }, "path": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "id": "compute.snapshots.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST" } } }, "regionCommitments": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "commitment" ], "description": "Updates the specified commitment with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: auto_renew.", "parameters": { "updateMask": { "description": "update_mask indicates fields to be updated as part of this request.", "location": "query", "format": "google-fieldmask", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "paths": { "location": "query", "repeated": true, "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "commitment": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the commitment for which auto renew is being updated.", "location": "path" } }, "path": "projects/{project}/regions/{region}/commitments/{commitment}", "httpMethod": "PATCH", "id": "compute.regionCommitments.update", "request": { "$ref": "Commitment" }, "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}" }, "testIamPermissions": { "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "region": { "required": true, "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "flatPath": "projects/{project}/regions/{region}/commitments/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionCommitments.testIamPermissions", "path": "projects/{project}/regions/{region}/commitments/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ] }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/commitments", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/commitments", "id": "compute.regionCommitments.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "CommitmentAggregatedList" }, "description": "Retrieves an aggregated list of commitments by region." }, "get": { "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "location": "path" }, "commitment": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the commitment to return." } }, "path": "projects/{project}/regions/{region}/commitments/{commitment}", "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}", "response": { "$ref": "Commitment" }, "parameterOrder": [ "project", "region", "commitment" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified commitment resource. Gets a list of available commitments by making a list() request.", "id": "compute.regionCommitments.get" }, "updateReservations": { "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "commitment": { "description": "Name of the commitment for which the reservation is being updated.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "region": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." } }, "id": "compute.regionCommitments.updateReservations", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/commitments/{commitment}/updateReservations", "request": { "$ref": "RegionCommitmentsUpdateReservationsRequest" }, "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}/updateReservations", "parameterOrder": [ "project", "region", "commitment" ], "response": { "$ref": "Operation" }, "description": "Transfers GPUs or local SSDs between reservations within commitments.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionCommitments.list", "path": "projects/{project}/regions/{region}/commitments", "description": "Retrieves a list of commitments contained within the specified region.", "response": { "$ref": "CommitmentList" }, "flatPath": "projects/{project}/regions/{region}/commitments", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "format": "uint32" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "required": true } } }, "insert": { "id": "compute.regionCommitments.insert", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/commitments", "description": "Creates a commitment in the specified project using the data included in the request.", "path": "projects/{project}/regions/{region}/commitments", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "Commitment" } } } }, "globalOrganizationOperations": { "methods": { "get": { "id": "compute.globalOrganizationOperations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the Operations resource to return." }, "parentId": { "type": "string", "description": "Parent ID for this request.", "location": "query" } }, "description": "Retrieves the specified Operations resource. Gets a list of operations by making a `list()` request.", "httpMethod": "GET", "parameterOrder": [ "operation" ], "path": "locations/global/operations/{operation}", "flatPath": "locations/global/operations/{operation}", "response": { "$ref": "Operation" } }, "list": { "id": "compute.globalOrganizationOperations.list", "httpMethod": "GET", "flatPath": "locations/global/operations", "path": "locations/global/operations", "description": "Retrieves a list of Operation resources contained within the specified organization.", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "parentId": { "type": "string", "location": "query", "description": "Parent ID for this request." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "minimum": "0", "default": "500", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "OperationList" } }, "delete": { "path": "locations/global/operations/{operation}", "httpMethod": "DELETE", "id": "compute.globalOrganizationOperations.delete", "parameters": { "operation": { "required": true, "description": "Name of the Operations resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "parentId": { "description": "Parent ID for this request.", "location": "query", "type": "string" } }, "parameterOrder": [ "operation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified Operations resource.", "flatPath": "locations/global/operations/{operation}" } } }, "regionInstanceGroupManagers": { "methods": { "updatePerInstanceConfigs": { "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request, should conform to RFC1035." }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "instanceGroupManager": { "location": "path", "type": "string", "required": true, "description": "The name of the managed instance group. It should conform to RFC1035." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "RegionInstanceGroupManagerUpdateInstanceConfigReq" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "id": "compute.regionInstanceGroupManagers.updatePerInstanceConfigs", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "response": { "$ref": "Operation" } }, "list": { "description": "Retrieves the list of managed instance groups that are contained within the specified region.", "response": { "$ref": "RegionInstanceGroupManagerList" }, "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "maxResults": { "default": "500", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true } }, "id": "compute.regionInstanceGroupManagers.list", "path": "projects/{project}/regions/{region}/instanceGroupManagers", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ] }, "resize": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "size": { "location": "query", "minimum": "0", "type": "integer", "required": true, "format": "int32", "description": "Number of instances that should exist in this instance group manager." }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "Name of the managed instance group." } }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "id": "compute.regionInstanceGroupManagers.resize", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Changes the intended size of the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "parameterOrder": [ "project", "region", "instanceGroupManager", "size" ] }, "deleteInstances": { "request": { "$ref": "RegionInstanceGroupManagersDeleteInstancesRequest" }, "description": "Flags the specified instances in the managed instance group to be immediately deleted. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. The deleteInstances operation is marked DONE if the deleteInstances request is successful. The underlying actions take additional time. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "id": "compute.regionInstanceGroupManagers.deleteInstances", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instanceGroupManager": { "required": true, "description": "Name of the managed instance group.", "location": "path", "type": "string" }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "deletePerInstanceConfigs": { "description": "Deletes selected per-instance configurations for the managed instance group.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.regionInstanceGroupManagers.deletePerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionInstanceGroupManagerDeleteInstanceConfigReq" }, "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request, should conform to RFC1035.", "type": "string" } } }, "patch": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "httpMethod": "PATCH", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManager" }, "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroupManagers.patch", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listmanagedinstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "instanceGroupManager": { "type": "string", "description": "The name of the instance group manager.", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path" } } }, "insert": { "request": { "$ref": "InstanceGroupManager" }, "id": "compute.regionInstanceGroupManagers.insert", "httpMethod": "POST", "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers", "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A regional managed instance group can contain up to 2000 instances.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers" }, "update": { "request": { "$ref": "InstanceGroupManager" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the instance group manager." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listmanagedinstances method. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "id": "compute.regionInstanceGroupManagers.update", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "PUT" }, "patchPerInstanceConfigs": { "httpMethod": "POST", "request": { "$ref": "RegionInstanceGroupManagerPatchInstanceConfigReq" }, "id": "compute.regionInstanceGroupManagers.patchPerInstanceConfigs", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request, should conform to RFC1035." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "instanceGroupManager": { "location": "path", "required": true, "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "createInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "request": { "$ref": "RegionInstanceGroupManagersCreateInstancesRequest" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "description": "The name of the region where the managed instance group is located. It should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "required": true, "location": "path", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "POST", "id": "compute.regionInstanceGroupManagers.createInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "description": "Creates instances with per-instance configurations in this regional managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "delete": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "instanceGroupManager": { "description": "Name of the managed instance group to delete.", "required": true, "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Deletes the specified managed instance group and all of the instances in that group.", "id": "compute.regionInstanceGroupManagers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "recreateInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "instanceGroupManager": { "type": "string", "location": "path", "description": "Name of the managed instance group.", "required": true }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "id": "compute.regionInstanceGroupManagers.recreateInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "httpMethod": "POST", "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "request": { "$ref": "RegionInstanceGroupManagersRecreateRequest" }, "response": { "$ref": "Operation" } }, "applyUpdatesToInstances": { "request": { "$ref": "RegionInstanceGroupManagersApplyUpdatesRequest" }, "httpMethod": "POST", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "id": "compute.regionInstanceGroupManagers.applyUpdatesToInstances", "response": { "$ref": "Operation" }, "parameters": { "region": { "required": true, "description": "Name of the region scoping this request, should conform to RFC1035.", "location": "path", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "instanceGroupManager": { "description": "The name of the managed instance group, should conform to RFC1035.", "location": "path", "required": true, "type": "string" } }, "description": "Apply updates to selected instances the managed instance group.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "abandonInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "request": { "$ref": "RegionInstanceGroupManagersAbandonInstancesRequest" }, "description": "Flags the specified instances to be immediately removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "id": "compute.regionInstanceGroupManagers.abandonInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "instanceGroupManager": { "description": "Name of the managed instance group.", "location": "path", "type": "string", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "listManagedInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "id": "compute.regionInstanceGroupManagers.listManagedInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "httpMethod": "POST", "response": { "$ref": "RegionInstanceGroupManagersListInstancesResponse" }, "description": "Lists the instances in the managed instance group and instances that are scheduled to be created. The list includes any current actions that the group has scheduled for its instances. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.", "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "instanceGroupManager": { "location": "path", "type": "string", "description": "The name of the managed instance group.", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "listPerInstanceConfigs": { "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "default": "500" }, "instanceGroupManager": { "type": "string", "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035." }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request, should conform to RFC1035.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "response": { "$ref": "RegionInstanceGroupManagersListInstanceConfigsResp" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "id": "compute.regionInstanceGroupManagers.listPerInstanceConfigs", "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported." }, "listErrors": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "description": "Lists all errors thrown by actions on instances for a given regional managed instance group. The filter and orderBy query parameters are not supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "httpMethod": "GET", "response": { "$ref": "RegionInstanceGroupManagersListErrorsResponse" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "region": { "location": "path", "required": true, "description": "Name of the region scoping this request. This should conform to RFC1035.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "instanceGroupManager": { "location": "path", "required": true, "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.", "type": "string" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500", "type": "integer" } }, "id": "compute.regionInstanceGroupManagers.listErrors" }, "resizeAdvanced": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced", "httpMethod": "POST", "request": { "$ref": "RegionInstanceGroupManagersResizeAdvancedRequest" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.resizeAdvanced", "response": { "$ref": "Operation" }, "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035.", "type": "string", "required": true, "location": "path" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request. It must be a string that meets the requirements in RFC1035." } }, "description": "Resizes the regional managed instance group with advanced configuration options like disabling creation retries. This is an extended version of the resize method. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the get or listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced" }, "setTargetPools": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionInstanceGroupManagersSetTargetPoolsRequest" }, "httpMethod": "POST", "description": "Modifies the target pools to which all new instances in this group are assigned. Existing instances in the group are not affected.", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "instanceGroupManager": { "type": "string", "required": true, "location": "path", "description": "Name of the managed instance group." } }, "id": "compute.regionInstanceGroupManagers.setTargetPools", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools" }, "setInstanceTemplate": { "description": "Sets the instance template to use when creating new instances or recreating instances in this group. Existing instances are not affected.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "response": { "$ref": "Operation" }, "request": { "$ref": "RegionInstanceGroupManagersSetTemplateRequest" }, "id": "compute.regionInstanceGroupManagers.setInstanceTemplate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "instanceGroupManager": { "required": true, "description": "The name of the managed instance group.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "get": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "id": "compute.regionInstanceGroupManagers.get", "description": "Returns all of the details about the specified managed instance group.", "parameters": { "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "instanceGroupManager": { "location": "path", "description": "Name of the managed instance group to return.", "required": true, "type": "string" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "response": { "$ref": "InstanceGroupManager" } }, "setAutoHealingPolicies": { "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.setAutoHealingPolicies", "httpMethod": "POST", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "instanceGroupManager": { "type": "string", "required": true, "description": "Name of the managed instance group.", "location": "path" } }, "request": { "$ref": "RegionInstanceGroupManagersSetAutoHealingRequest" }, "description": "Modifies the autohealing policy for the instances in this managed instance group. [Deprecated] This method is deprecated. Use regionInstanceGroupManagers.patch instead." }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "parameters": { "region": { "description": "The name of the region for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionInstanceGroupManagers.testIamPermissions", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionOperations": { "methods": { "wait": { "parameterOrder": [ "project", "region", "operation" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "operation": { "description": "Name of the Operations resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/operations/{operation}/wait", "path": "projects/{project}/regions/{region}/operations/{operation}/wait", "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "id": "compute.regionOperations.wait" }, "get": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "description": "Retrieves the specified region-specific Operations resource.", "path": "projects/{project}/regions/{region}/operations/{operation}", "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name of the Operations resource to return." }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "required": true } }, "parameterOrder": [ "project", "region", "operation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionOperations.get" }, "list": { "flatPath": "projects/{project}/regions/{region}/operations", "response": { "$ref": "OperationList" }, "httpMethod": "GET", "description": "Retrieves a list of Operation resources contained within the specified region.", "parameterOrder": [ "project", "region" ], "parameters": { "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "path": "projects/{project}/regions/{region}/operations", "id": "compute.regionOperations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "description": "Deletes the specified region-specific Operations resource.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "operation" ], "path": "projects/{project}/regions/{region}/operations/{operation}", "parameters": { "operation": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to delete.", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request." } }, "id": "compute.regionOperations.delete" } } }, "regionUrlMaps": { "methods": { "get": { "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "parameters": { "urlMap": { "description": "Name of the UrlMap resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "id": "compute.regionUrlMaps.get", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "urlMap" ], "httpMethod": "GET", "response": { "$ref": "UrlMap" } }, "validate": { "response": { "$ref": "UrlMapsValidateResponse" }, "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.", "request": { "$ref": "RegionUrlMapsValidateRequest" }, "id": "compute.regionUrlMaps.validate", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the UrlMap resource to be validated as.", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "parameterOrder": [ "project", "region", "urlMap" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate" }, "invalidateCache": { "description": "Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content).", "parameterOrder": [ "project", "region", "urlMap" ], "request": { "$ref": "CacheInvalidationRule" }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}/invalidateCache", "parameters": { "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "urlMap": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the UrlMap scoping this request.", "location": "path", "type": "string" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string" } }, "id": "compute.regionUrlMaps.invalidateCache", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}/invalidateCache", "response": { "$ref": "Operation" } }, "update": { "response": { "$ref": "Operation" }, "description": "Updates the specified UrlMap resource with the data included in the request.", "id": "compute.regionUrlMaps.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "parameters": { "urlMap": { "required": true, "type": "string", "location": "path", "description": "Name of the UrlMap resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" } }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "request": { "$ref": "UrlMap" }, "httpMethod": "PUT", "parameterOrder": [ "project", "region", "urlMap" ] }, "delete": { "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "urlMap": { "description": "Name of the UrlMap resource to delete.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "location": "query" } }, "parameterOrder": [ "project", "region", "urlMap" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "id": "compute.regionUrlMaps.delete", "description": "Deletes the specified UrlMap resource." }, "patch": { "response": { "$ref": "Operation" }, "id": "compute.regionUrlMaps.patch", "request": { "$ref": "UrlMap" }, "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "urlMap": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the UrlMap resource to patch.", "location": "path" } }, "parameterOrder": [ "project", "region", "urlMap" ] }, "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/urlMaps/{resource}/testIamPermissions", "parameters": { "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the region for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "resource": { "type": "string", "required": true, "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/urlMaps/{resource}/testIamPermissions", "id": "compute.regionUrlMaps.testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "insert": { "request": { "$ref": "UrlMap" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/urlMaps", "id": "compute.regionUrlMaps.insert", "path": "projects/{project}/regions/{region}/urlMaps", "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "description": "Creates a UrlMap resource in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "required": true, "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string", "location": "query" } } }, "list": { "flatPath": "projects/{project}/regions/{region}/urlMaps", "httpMethod": "GET", "response": { "$ref": "UrlMapList" }, "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "type": "integer", "default": "500" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "path": "projects/{project}/regions/{region}/urlMaps", "description": "Retrieves the list of UrlMap resources available to the specified project in the specified region.", "parameterOrder": [ "project", "region" ], "id": "compute.regionUrlMaps.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionSslPolicies": { "methods": { "patch": { "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "id": "compute.regionSslPolicies.patch", "description": "Patches the specified SSL policy with the data included in the request.", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sslPolicy": { "required": true, "type": "string", "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path" } }, "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "SslPolicy" }, "parameterOrder": [ "project", "region", "sslPolicy" ] }, "delete": { "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "sslPolicy": { "required": true, "location": "path", "type": "string", "description": "Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "sslPolicy" ], "id": "compute.regionSslPolicies.delete", "httpMethod": "DELETE", "description": "Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "description": "Lists all of the ordered rules present in a single specified policy.", "id": "compute.regionSslPolicies.get", "parameterOrder": [ "project", "region", "sslPolicy" ], "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "sslPolicy": { "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "location": "path", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "response": { "$ref": "SslPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/sslPolicies/{sslPolicy}", "httpMethod": "GET" }, "testIamPermissions": { "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/sslPolicies/{resource}/testIamPermissions", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "location": "path", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request.", "required": true } }, "flatPath": "projects/{project}/regions/{region}/sslPolicies/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.regionSslPolicies.testIamPermissions" }, "insert": { "request": { "$ref": "SslPolicy" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "description": "Creates a new policy in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/sslPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "id": "compute.regionSslPolicies.insert", "path": "projects/{project}/regions/{region}/sslPolicies" }, "listAvailableFeatures": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionSslPolicies.listAvailableFeatures", "path": "projects/{project}/regions/{region}/sslPolicies/listAvailableFeatures", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "location": "query", "type": "integer", "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "httpMethod": "GET", "description": "Lists all features that can be specified in the SSL policy when using custom profile.", "flatPath": "projects/{project}/regions/{region}/sslPolicies/listAvailableFeatures", "parameterOrder": [ "project", "region" ], "response": { "$ref": "SslPoliciesListAvailableFeaturesResponse" } }, "list": { "response": { "$ref": "SslPoliciesList" }, "description": "Lists all the SSL policies that have been configured for the specified project and region.", "parameterOrder": [ "project", "region" ], "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "format": "uint32", "default": "500", "type": "integer" } }, "path": "projects/{project}/regions/{region}/sslPolicies", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/sslPolicies", "id": "compute.regionSslPolicies.list" } } }, "targetHttpProxies": { "methods": { "setUrlMap": { "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "targetHttpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetHttpProxy to set a URL map for.", "type": "string", "required": true } }, "path": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "UrlMapReference" }, "flatPath": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpProxy.", "httpMethod": "POST", "parameterOrder": [ "project", "targetHttpProxy" ], "id": "compute.targetHttpProxies.setUrlMap" }, "insert": { "flatPath": "projects/{project}/global/targetHttpProxies", "description": "Creates a TargetHttpProxy resource in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." } }, "path": "projects/{project}/global/targetHttpProxies", "id": "compute.targetHttpProxies.insert", "httpMethod": "POST", "request": { "$ref": "TargetHttpProxy" }, "response": { "$ref": "Operation" } }, "aggregatedList": { "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0" }, "project": { "type": "string", "description": "Name of the project scoping this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "id": "compute.targetHttpProxies.aggregatedList", "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/targetHttpProxies", "path": "projects/{project}/aggregated/targetHttpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "response": { "$ref": "TargetHttpProxyAggregatedList" }, "description": "Retrieves the list of all TargetHttpProxy resources, regional and global, available to the specified project." }, "get": { "parameterOrder": [ "project", "targetHttpProxy" ], "response": { "$ref": "TargetHttpProxy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "targetHttpProxy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the TargetHttpProxy resource to return." } }, "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified TargetHttpProxy resource. Gets a list of available target HTTP proxies by making a list() request.", "id": "compute.targetHttpProxies.get", "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "httpMethod": "GET" }, "delete": { "parameterOrder": [ "project", "targetHttpProxy" ], "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "targetHttpProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to delete.", "type": "string", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Deletes the specified TargetHttpProxy resource.", "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "id": "compute.targetHttpProxies.delete" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/targetHttpProxies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "path": "projects/{project}/global/targetHttpProxies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "id": "compute.targetHttpProxies.testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestPermissionsResponse" } }, "patch": { "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "targetHttpProxy": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpProxy resource to patch." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Patches the specified TargetHttpProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "request": { "$ref": "TargetHttpProxy" }, "id": "compute.targetHttpProxies.patch", "parameterOrder": [ "project", "targetHttpProxy" ], "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH" }, "list": { "path": "projects/{project}/global/targetHttpProxies", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "maxResults": { "location": "query", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "response": { "$ref": "TargetHttpProxyList" }, "description": "Retrieves the list of TargetHttpProxy resources available to the specified project.", "id": "compute.targetHttpProxies.list", "httpMethod": "GET", "flatPath": "projects/{project}/global/targetHttpProxies" } } }, "forwardingRules": { "methods": { "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "The name of the region for this request." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/forwardingRules/{resource}/testIamPermissions", "id": "compute.forwardingRules.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" } }, "setLabels": { "parameters": { "region": { "location": "path", "description": "The region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation.", "request": { "$ref": "RegionSetLabelsRequest" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels", "id": "compute.forwardingRules.setLabels", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels" }, "aggregatedList": { "id": "compute.forwardingRules.aggregatedList", "description": "Retrieves an aggregated list of forwarding rules.", "flatPath": "projects/{project}/aggregated/forwardingRules", "parameterOrder": [ "project" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "location": "query", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "httpMethod": "GET", "path": "projects/{project}/aggregated/forwardingRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ForwardingRuleAggregatedList" } }, "patch": { "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string" }, "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the ForwardingRule resource to patch.", "required": true, "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "id": "compute.forwardingRules.patch", "request": { "$ref": "ForwardingRule" }, "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "forwardingRule" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "minimum": "0", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "path": "projects/{project}/regions/{region}/forwardingRules", "id": "compute.forwardingRules.list", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/forwardingRules", "description": "Retrieves a list of ForwardingRule resources available to the specified project and region.", "httpMethod": "GET", "response": { "$ref": "ForwardingRuleList" } }, "insert": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "id": "compute.forwardingRules.insert", "description": "Creates a ForwardingRule resource in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/forwardingRules", "path": "projects/{project}/regions/{region}/forwardingRules", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ForwardingRule" }, "parameters": { "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "id": "compute.forwardingRules.get", "description": "Returns the specified ForwardingRule resource.", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "forwardingRule": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name of the ForwardingRule resource to return." } }, "parameterOrder": [ "project", "region", "forwardingRule" ], "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "httpMethod": "GET", "response": { "$ref": "ForwardingRule" } }, "delete": { "description": "Deletes the specified ForwardingRule resource.", "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "forwardingRule" ], "httpMethod": "DELETE", "id": "compute.forwardingRules.delete", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "forwardingRule": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the ForwardingRule resource to delete.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}" }, "setTarget": { "parameterOrder": [ "project", "region", "forwardingRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetReference" }, "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "id": "compute.forwardingRules.setTarget", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "response": { "$ref": "Operation" }, "parameters": { "forwardingRule": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the ForwardingRule resource in which target is to be set." }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Changes target URL for forwarding rule. The new target should be of the same type as the old target.", "httpMethod": "POST" } } }, "healthChecks": { "methods": { "delete": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "healthCheck": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the HealthCheck resource to delete." } }, "description": "Deletes the specified HealthCheck resource.", "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "response": { "$ref": "Operation" }, "id": "compute.healthChecks.delete", "path": "projects/{project}/global/healthChecks/{healthCheck}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "healthCheck" ] }, "aggregatedList": { "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of all HealthCheck resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/healthChecks", "httpMethod": "GET", "response": { "$ref": "HealthChecksAggregatedList" }, "path": "projects/{project}/aggregated/healthChecks", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Name of the project scoping this request.", "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "type": "integer", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "id": "compute.healthChecks.aggregatedList" }, "list": { "response": { "$ref": "HealthCheckList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of HealthCheck resources available to the specified project.", "path": "projects/{project}/global/healthChecks", "parameterOrder": [ "project" ], "id": "compute.healthChecks.list", "flatPath": "projects/{project}/global/healthChecks", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "location": "query", "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } } }, "insert": { "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "project" ], "id": "compute.healthChecks.insert", "path": "projects/{project}/global/healthChecks", "description": "Creates a HealthCheck resource in the specified project using the data included in the request.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "HealthCheck" }, "flatPath": "projects/{project}/global/healthChecks" }, "get": { "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "parameters": { "healthCheck": { "description": "Name of the HealthCheck resource to return.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true } }, "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "response": { "$ref": "HealthCheck" }, "id": "compute.healthChecks.get", "httpMethod": "GET", "parameterOrder": [ "project", "healthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/healthChecks/{healthCheck}" }, "update": { "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "healthCheck": { "location": "path", "description": "Name of the HealthCheck resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true } }, "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "description": "Updates a HealthCheck resource in the specified project using the data included in the request.", "parameterOrder": [ "project", "healthCheck" ], "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/healthChecks/{healthCheck}", "request": { "$ref": "HealthCheck" }, "id": "compute.healthChecks.update" }, "patch": { "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.healthChecks.patch", "parameterOrder": [ "project", "healthCheck" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "healthCheck": { "description": "Name of the HealthCheck resource to patch.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "request": { "$ref": "HealthCheck" }, "httpMethod": "PATCH", "path": "projects/{project}/global/healthChecks/{healthCheck}" }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "POST", "id": "compute.healthChecks.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/global/healthChecks/{resource}/testIamPermissions", "path": "projects/{project}/global/healthChecks/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" } } } }, "firewalls": { "methods": { "list": { "id": "compute.firewalls.list", "description": "Retrieves the list of firewall rules available to the specified project.", "path": "projects/{project}/global/firewalls", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "maxResults": { "location": "query", "default": "500", "format": "uint32", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/global/firewalls", "parameterOrder": [ "project" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallList" } }, "delete": { "id": "compute.firewalls.delete", "path": "projects/{project}/global/firewalls/{firewall}", "parameterOrder": [ "project", "firewall" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "firewall": { "type": "string", "required": true, "description": "Name of the firewall rule to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified firewall.", "flatPath": "projects/{project}/global/firewalls/{firewall}" }, "patch": { "response": { "$ref": "Operation" }, "id": "compute.firewalls.patch", "flatPath": "projects/{project}/global/firewalls/{firewall}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewall": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the firewall rule to patch.", "required": true }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/firewalls/{firewall}", "request": { "$ref": "Firewall" }, "description": "Updates the specified firewall rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "firewall" ] }, "update": { "httpMethod": "PUT", "description": "Updates the specified firewall rule with the data included in the request. Note that all fields will be updated if using PUT, even fields that are not specified. To update individual fields, please use PATCH instead.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewall": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall rule to update.", "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "id": "compute.firewalls.update", "parameterOrder": [ "project", "firewall" ], "path": "projects/{project}/global/firewalls/{firewall}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewalls/{firewall}", "request": { "$ref": "Firewall" } }, "get": { "response": { "$ref": "Firewall" }, "id": "compute.firewalls.get", "description": "Returns the specified firewall.", "flatPath": "projects/{project}/global/firewalls/{firewall}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "firewall" ], "path": "projects/{project}/global/firewalls/{firewall}", "parameters": { "firewall": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall rule to return.", "required": true, "location": "path", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "httpMethod": "GET" }, "insert": { "request": { "$ref": "Firewall" }, "id": "compute.firewalls.insert", "flatPath": "projects/{project}/global/firewalls", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/firewalls", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a firewall rule in the specified project using the data included in the request.", "response": { "$ref": "Operation" } }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.firewalls.testIamPermissions", "flatPath": "projects/{project}/global/firewalls/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "resource" ], "httpMethod": "POST", "path": "projects/{project}/global/firewalls/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource." } } } }, "basePath": "/compute/beta/", "kind": "discovery#restDescription", "ownerDomain": "google.com", "parameters": { "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "userIp": { "location": "query", "description": "Legacy name for parameter that has been superseded by `quotaUser`.", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "alt": { "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query", "default": "true" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" } }, "protocol": "rest", "name": "compute", "version": "beta", "discoveryVersion": "v1", "mtlsRootUrl": "https://compute.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/devstorage.full_control": { "description": "Manage your data and permissions in Cloud Storage and see the email address for your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" }, "https://www.googleapis.com/auth/devstorage.read_write": { "description": "Manage your data in Cloud Storage and see the email address of your Google Account" }, "https://www.googleapis.com/auth/devstorage.read_only": { "description": "View your data in Google Cloud Storage" }, "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" } } } }, "rootUrl": "https://compute.googleapis.com/", "schemas": { "BackendBucketCdnPolicy": { "description": "Message containing Cloud CDN configuration for a backend bucket.", "properties": { "bypassCacheOnRequestHeaders": { "items": { "$ref": "BackendBucketCdnPolicyBypassCacheOnRequestHeader" }, "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings.", "type": "array" }, "cacheMode": { "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ], "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ] }, "serveWhileStale": { "type": "integer", "format": "int32", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale." }, "negativeCachingPolicy": { "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.", "type": "array", "items": { "$ref": "BackendBucketCdnPolicyNegativeCachingPolicy" } }, "defaultTtl": { "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32", "type": "integer" }, "signedUrlKeyNames": { "items": { "type": "string" }, "description": "[Output Only] Names of the keys for signing request URLs.", "type": "array" }, "negativeCaching": { "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.", "type": "boolean" }, "maxTtl": { "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "type": "integer", "format": "int32" }, "clientTtl": { "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).", "type": "integer", "format": "int32" }, "cacheKeyPolicy": { "description": "The CacheKeyPolicy for this CdnPolicy.", "$ref": "BackendBucketCdnPolicyCacheKeyPolicy" }, "requestCoalescing": { "type": "boolean", "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin." }, "signedUrlCacheMaxAgeSec": { "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered.", "format": "int64", "type": "string" } }, "id": "BackendBucketCdnPolicy", "type": "object" }, "ResourcePolicyWeeklyCycle": { "id": "ResourcePolicyWeeklyCycle", "type": "object", "properties": { "dayOfWeeks": { "items": { "$ref": "ResourcePolicyWeeklyCycleDayOfWeek" }, "type": "array", "description": "Up to 7 intervals/windows, one for each day of the week." } }, "description": "Time window specified for weekly operations." }, "ScalingScheduleStatus": { "properties": { "state": { "enum": [ "ACTIVE", "DISABLED", "OBSOLETE", "READY" ], "description": "[Output Only] The current state of a scaling schedule.", "type": "string", "enumDescriptions": [ "The current autoscaling recommendation is influenced by this scaling schedule.", "This scaling schedule has been disabled by the user.", "This scaling schedule will never become active again.", "The current autoscaling recommendation is not influenced by this scaling schedule." ] }, "nextStartTime": { "type": "string", "description": "[Output Only] The next time the scaling schedule is to become active. Note: this is a timestamp when a schedule is planned to run, but the actual time might be slightly different. The timestamp is in RFC3339 text format." }, "lastStartTime": { "description": "[Output Only] The last time the scaling schedule became active. Note: this is a timestamp when a schedule actually became active, not when it was planned to do so. The timestamp is in RFC3339 text format.", "type": "string" } }, "id": "ScalingScheduleStatus", "type": "object" }, "SecurityPoliciesWafConfig": { "id": "SecurityPoliciesWafConfig", "type": "object", "properties": { "wafRules": { "$ref": "PreconfiguredWafSet" } } }, "GlobalSetLabelsRequest": { "id": "GlobalSetLabelsRequest", "properties": { "labels": { "description": "A list of labels to apply for this resource. Each label must comply with the requirements for labels. For example, \"webserver-frontend\": \"images\". A label value can also be empty (e.g. \"my-label\": \"\").", "type": "object", "additionalProperties": { "type": "string" } }, "labelFingerprint": { "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels, otherwise the request will fail with error 412 conditionNotMet. Make a get() request to the resource to get the latest fingerprint.", "format": "byte", "type": "string" } }, "type": "object" }, "UsableSubnetworksAggregatedList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. In special cases listUsable may return 0 subnetworks and nextPageToken which still should be used to get the next page of results." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "items": { "description": "[Output] A list of usable subnetwork URLs.", "items": { "$ref": "UsableSubnetwork" }, "type": "array" }, "kind": { "type": "string", "default": "compute#usableSubnetworksAggregatedList", "description": "[Output Only] Type of resource. Always compute#usableSubnetworksAggregatedList for aggregated lists of usable subnetworks." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object", "id": "UsableSubnetworksAggregatedList" }, "AutoscalingPolicyCustomMetricUtilization": { "id": "AutoscalingPolicyCustomMetricUtilization", "type": "object", "description": "Custom utilization metric policy.", "properties": { "singleInstanceAssignment": { "description": "If scaling is based on a per-group metric value that represents the total amount of work to be done or resource usage, set this value to an amount assigned for a single instance of the scaled group. Autoscaler keeps the number of instances proportional to the value of this metric. The metric itself does not change value due to group resizing. A good metric to use with the target is for example pubsub.googleapis.com/subscription/num_undelivered_messages or a custom metric exporting the total number of requests coming to your instances. A bad example would be a metric exporting an average or median latency, since this value can't include a chunk assignable to a single instance, it could be better used with utilization_target instead.", "format": "double", "type": "number" }, "filter": { "description": "A filter string, compatible with a Stackdriver Monitoring filter string for TimeSeries.list API call. This filter is used to select a specific TimeSeries for the purpose of autoscaling and to determine whether the metric is exporting per-instance or per-group data. For the filter to be valid for autoscaling purposes, the following rules apply: - You can only use the AND operator for joining selectors. - You can only use direct equality comparison operator (=) without any functions for each selector. - You can specify the metric in both the filter string and in the metric field. However, if specified in both places, the metric must be identical. - The monitored resource type determines what kind of values are expected for the metric. If it is a gce_instance, the autoscaler expects the metric to include a separate TimeSeries for each instance in a group. In such a case, you cannot filter on resource labels. If the resource type is any other value, the autoscaler expects this metric to contain values that apply to the entire autoscaled instance group and resource label filtering can be performed to point autoscaler at the correct TimeSeries to scale upon. This is called a *per-group metric* for the purpose of autoscaling. If not specified, the type defaults to gce_instance. Try to provide a filter that is selective enough to pick just one TimeSeries for the autoscaled group or for each of the instances (if you are using gce_instance resource type). If multiple TimeSeries are returned upon the query execution, the autoscaler will sum their respective values to obtain its scaling value.", "type": "string" }, "utilizationTargetType": { "enum": [ "DELTA_PER_MINUTE", "DELTA_PER_SECOND", "GAUGE" ], "description": "Defines how target utilization value is expressed for a Stackdriver Monitoring metric. Either GAUGE, DELTA_PER_SECOND, or DELTA_PER_MINUTE.", "type": "string", "enumDescriptions": [ "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per minute.", "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per second.", "Sets the utilization target value for a gauge metric. The autoscaler will collect the average utilization of the virtual machines from the last couple of minutes, and compare the value to the utilization target value to perform autoscaling." ] }, "metric": { "type": "string", "description": "The identifier (type) of the Stackdriver Monitoring metric. The metric cannot have negative values. The metric must have a value type of INT64 or DOUBLE." }, "utilizationTarget": { "description": "The target value of the metric that autoscaler maintains. This must be a positive value. A utilization metric scales number of virtual machines handling requests to increase or decrease proportionally to the metric. For example, a good metric to use as a utilization_target is https://www.googleapis.com/compute/v1/instance/network/received_bytes_count. The autoscaler works to keep this value constant for each of the instances.", "format": "double", "type": "number" } } }, "XpnResourceId": { "type": "object", "properties": { "type": { "type": "string", "description": "The type of the service resource.", "enum": [ "PROJECT", "XPN_RESOURCE_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "", "" ] }, "id": { "type": "string", "description": "The ID of the service resource. In the case of projects, this field supports project id (e.g., my-project-123) and project number (e.g. 12345678)." } }, "id": "XpnResourceId", "description": "Service resource (a.k.a service project) ID." }, "ResourcePoliciesScopedList": { "type": "object", "id": "ResourcePoliciesScopedList", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of resourcePolicies when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "resourcePolicies": { "items": { "$ref": "ResourcePolicy" }, "type": "array", "description": "A list of resourcePolicies contained in this scope." } } }, "NodeGroupsDeleteNodesRequest": { "type": "object", "id": "NodeGroupsDeleteNodesRequest", "properties": { "nodes": { "type": "array", "description": "Names of the nodes to delete.", "items": { "type": "string" } } } }, "BackendServiceCdnPolicyNegativeCachingPolicy": { "type": "object", "description": "Specify CDN TTLs for response error codes.", "id": "BackendServiceCdnPolicyNegativeCachingPolicy", "properties": { "code": { "type": "integer", "format": "int32", "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once." }, "ttl": { "format": "int32", "type": "integer", "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." } } }, "AcceleratorTypeAggregatedList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "description": "[Output Only] Type of resource. Always compute#acceleratorTypeAggregatedList for aggregated lists of accelerator types.", "default": "compute#acceleratorTypeAggregatedList", "type": "string" }, "items": { "additionalProperties": { "$ref": "AcceleratorTypesScopedList", "description": "[Output Only] Name of the scope containing this set of accelerator types." }, "description": "A list of AcceleratorTypesScopedList resources.", "type": "object" }, "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object", "id": "AcceleratorTypeAggregatedList" }, "ResourcePolicySnapshotSchedulePolicySnapshotProperties": { "description": "Specified snapshot properties for scheduled snapshots created by this policy.", "type": "object", "properties": { "chainName": { "type": "string", "description": "Chain name that the snapshot is created in." }, "storageLocations": { "items": { "type": "string" }, "description": "Cloud Storage bucket storage location of the auto snapshot (regional or multi-regional).", "type": "array" }, "guestFlush": { "type": "boolean", "description": "Indication to perform a 'guest aware' snapshot." }, "labels": { "description": "Labels to apply to scheduled snapshots. These can be later modified by the setLabels method. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "ResourcePolicySnapshotSchedulePolicySnapshotProperties" }, "NodeTemplateNodeTypeFlexibility": { "properties": { "localSsd": { "type": "string" }, "cpus": { "type": "string" }, "memory": { "type": "string" } }, "type": "object", "id": "NodeTemplateNodeTypeFlexibility" }, "NetworksRemovePeeringRequest": { "id": "NetworksRemovePeeringRequest", "properties": { "name": { "type": "string", "description": "Name of the peering, which should conform to RFC1035." } }, "type": "object" }, "AddressAggregatedList": { "properties": { "items": { "additionalProperties": { "$ref": "AddressesScopedList", "description": "[Output Only] Name of the scope containing this set of addresses." }, "type": "object", "description": "A list of AddressesScopedList resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } } } }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#addressAggregatedList for aggregated lists of addresses.", "default": "compute#addressAggregatedList" } }, "id": "AddressAggregatedList", "type": "object" }, "GRPCHealthCheck": { "properties": { "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence. The port_name should conform to RFC1035.", "type": "string" }, "portSpecification": { "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, gRPC health check follows behavior specified in port and portName fields.", "type": "string", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "port": { "description": "The port number for the health check request. Must be specified if port_name and port_specification are not set or if port_specification is USE_FIXED_PORT. Valid values are 1 through 65535.", "format": "int32", "type": "integer" }, "grpcServiceName": { "description": "The gRPC service name for the health check. This field is optional. The value of grpc_service_name has the following meanings by convention: - Empty service_name means the overall status of all services at the backend. - Non-empty service_name means the health of that gRPC service, as defined by the owner of the service. The grpc_service_name can only be ASCII.", "type": "string" } }, "id": "GRPCHealthCheck", "type": "object" }, "Router": { "id": "Router", "description": "Represents a Cloud Router resource. For more information about Cloud Router, read the Cloud Router overview.", "properties": { "network": { "annotations": { "required": [ "compute.routers.insert", "compute.routers.update" ] }, "description": "URI of the network to which this router belongs.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "encryptedInterconnectRouter": { "description": "Indicates if a router is dedicated for use with encrypted VLAN attachments (interconnectAttachments). Not currently available publicly. ", "type": "boolean" }, "region": { "type": "string", "description": "[Output Only] URI of the region where the router resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "kind": { "default": "compute#router", "description": "[Output Only] Type of resource. Always compute#router for routers.", "type": "string" }, "nats": { "type": "array", "description": "A list of NAT services created in this router.", "items": { "$ref": "RouterNat" } }, "bgpPeers": { "items": { "$ref": "RouterBgpPeer" }, "description": "BGP information that must be configured into the routing stack to establish BGP peering. This information must specify the peer ASN and either the interface name, IP address, or peer IP address. Please refer to RFC4273.", "type": "array" }, "interfaces": { "type": "array", "description": "Router interfaces. Each interface requires either one linked resource, (for example, linkedVpnTunnel), or IP address and IP address range (for example, ipRange), or both.", "items": { "$ref": "RouterInterface" } }, "bgp": { "$ref": "RouterBgp", "description": "BGP information specific to this router." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.routers.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "md5AuthenticationKeys": { "type": "array", "description": "Keys used for MD5 authentication.", "items": { "$ref": "RouterMd5AuthenticationKey" } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "type": "object" }, "Scheduling": { "id": "Scheduling", "description": "Sets the scheduling options for an Instance. NextID: 21", "properties": { "instanceTerminationAction": { "enumDescriptions": [ "Delete the VM.", "Default value. This value is unused.", "Stop the VM without storing in-memory content. default action." ], "type": "string", "enum": [ "DELETE", "INSTANCE_TERMINATION_ACTION_UNSPECIFIED", "STOP" ], "description": "Specifies the termination action for the instance." }, "provisioningModel": { "enum": [ "SPOT", "STANDARD" ], "description": "Specifies the provisioning model of the instance.", "type": "string", "enumDescriptions": [ "Heavily discounted, no guaranteed runtime.", "Standard provisioning with user controlled runtime, no discounts." ] }, "preemptible": { "description": "Defines whether the instance is preemptible. This can only be set during instance creation or while the instance is stopped and therefore, in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states.", "type": "boolean" }, "automaticRestart": { "description": "Specifies whether the instance should be automatically restarted if it is terminated by Compute Engine (not terminated by a user). You can only set the automatic restart option for standard instances. Preemptible instances cannot be automatically restarted. By default, this is set to true so an instance is automatically restarted if it is terminated by Compute Engine.", "type": "boolean" }, "maintenanceFreezeDurationHours": { "format": "int32", "description": "Specifies the number of hours after VM instance creation where the VM won't be scheduled for maintenance.", "type": "integer" }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the instance close to other resources. This field is for use by internal tools that use the public API." }, "onHostMaintenance": { "type": "string", "enum": [ "MIGRATE", "TERMINATE" ], "description": "Defines the maintenance behavior for this instance. For standard instances, the default behavior is MIGRATE. For preemptible instances, the default and only possible behavior is TERMINATE. For more information, see Set VM host maintenance policy.", "enumDescriptions": [ "*[Default]* Allows Compute Engine to automatically migrate instances out of the way of maintenance events.", "Tells Compute Engine to terminate and (optionally) restart the instance away from the maintenance activity. If you would like your instance to be restarted, set the automaticRestart flag to true. Your instance may be restarted more than once, and it may be restarted outside the window of maintenance events." ] }, "maintenanceInterval": { "enum": [ "PERIODIC" ], "type": "string", "description": "For more information about maintenance intervals, see Setting maintenance intervals.", "enumDescriptions": [ "VMs receive infrastructure and hypervisor updates on a periodic basis, minimizing the number of maintenance operations (live migrations or terminations) on an individual VM. This may mean a VM will take longer to receive an update than if it was configured for AS_NEEDED. Security updates will still be applied as soon as they are available." ] }, "hostErrorTimeoutSeconds": { "description": "Specify the time in seconds for host error detection, the value must be within the range of [90, 330] with the increment of 30, if unset, the default behavior of host error recovery will be used.", "format": "int32", "type": "integer" }, "minNodeCpus": { "description": "The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node.", "format": "int32", "type": "integer" }, "nodeAffinities": { "type": "array", "items": { "$ref": "SchedulingNodeAffinity" }, "description": "A set of node affinity and anti-affinity configurations. Refer to Configuring node affinity for more information. Overrides reservationAffinity." } }, "type": "object" }, "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings": { "description": "Contains information of NAT Mappings provided by a NAT Rule.", "properties": { "numTotalDrainNatPorts": { "format": "int32", "description": "Total number of drain ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field drain_nat_ip_port_ranges.", "type": "integer" }, "numTotalNatPorts": { "type": "integer", "description": "Total number of ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field nat_ip_port_ranges.", "format": "int32" }, "drainNatIpPortRanges": { "description": "List of all drain IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "items": { "type": "string" }, "type": "array" }, "natIpPortRanges": { "items": { "type": "string" }, "description": "A list of all IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "type": "array" }, "ruleNumber": { "format": "int32", "type": "integer", "description": "Rule number of the NAT Rule." } }, "type": "object", "id": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings" }, "TargetSslProxiesSetBackendServiceRequest": { "id": "TargetSslProxiesSetBackendServiceRequest", "type": "object", "properties": { "service": { "description": "The URL of the new BackendService resource for the targetSslProxy.", "type": "string" } } }, "TargetPoolsAddInstanceRequest": { "type": "object", "id": "TargetPoolsAddInstanceRequest", "properties": { "instances": { "description": "A full or partial URL to an instance to add to this target pool. This can be a full or partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/v1/projects/project-id/zones/zone /instances/instance-name - projects/project-id/zones/zone/instances/instance-name - zones/zone/instances/instance-name ", "type": "array", "items": { "$ref": "InstanceReference" } } } }, "TargetHttpsProxyList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "A list of TargetHttpsProxy resources.", "items": { "$ref": "TargetHttpsProxy" } }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#targetHttpsProxyList", "type": "string", "description": "Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "description": "Contains a list of TargetHttpsProxy resources.", "id": "TargetHttpsProxyList", "type": "object" }, "RegionInstanceGroupManagersSetTemplateRequest": { "properties": { "instanceTemplate": { "type": "string", "description": "URL of the InstanceTemplate resource from which all new instances will be created." } }, "type": "object", "id": "RegionInstanceGroupManagersSetTemplateRequest" }, "RegionInstanceGroupManagersListInstanceConfigsResp": { "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "description": "[Output Only] The list of PerInstanceConfig.", "type": "array", "items": { "$ref": "PerInstanceConfig" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "RegionInstanceGroupManagersListInstanceConfigsResp" }, "TargetPoolsRemoveHealthCheckRequest": { "id": "TargetPoolsRemoveHealthCheckRequest", "properties": { "healthChecks": { "items": { "$ref": "HealthCheckReference" }, "description": "Health check URL to be removed. This can be a full or valid partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project /global/httpHealthChecks/health-check - projects/project/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "type": "array" } }, "type": "object" }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "properties": { "rules": { "items": { "$ref": "FirewallPolicyRule" }, "description": "The rules that apply to the network.", "type": "array" }, "type": { "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ], "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "displayName": { "type": "string", "description": "[Output Only] The display name of the firewall policy." }, "name": { "description": "[Output Only] The name of the firewall policy.", "type": "string" } }, "type": "object" }, "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy": { "properties": { "rules": { "type": "array", "description": "The rules that apply to the network.", "items": { "$ref": "SecurityPolicyRule" } }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the security policy. This identifier is defined by the server." } }, "id": "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy", "description": "A pruned SecurityPolicy containing ID and any applicable firewall rules.", "type": "object" }, "ServiceAttachmentsScopedList": { "id": "ServiceAttachmentsScopedList", "type": "object", "properties": { "serviceAttachments": { "description": "A list of ServiceAttachments contained in this scope.", "items": { "$ref": "ServiceAttachment" }, "type": "array" }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "Informational warning which replaces the list of service attachments when the list is empty.", "type": "object" } } }, "InterconnectDiagnosticsLinkOpticalPower": { "properties": { "value": { "type": "number", "description": "Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links.", "format": "float" }, "state": { "enumDescriptions": [ "The value has crossed above the high alarm threshold.", "The value of the current optical power has crossed above the high warning threshold.", "The value of the current optical power has crossed below the low alarm threshold.", "The value of the current optical power has crossed below the low warning threshold.", "The value of the current optical power has not crossed a warning threshold." ], "description": "The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - OK: The value has not crossed a warning threshold. - LOW_WARNING: The value has crossed below the low warning threshold. - HIGH_WARNING: The value has crossed above the high warning threshold. - LOW_ALARM: The value has crossed below the low alarm threshold. - HIGH_ALARM: The value has crossed above the high alarm threshold. ", "type": "string", "enum": [ "HIGH_ALARM", "HIGH_WARNING", "LOW_ALARM", "LOW_WARNING", "OK" ] } }, "id": "InterconnectDiagnosticsLinkOpticalPower", "type": "object" }, "SslCertificateAggregatedList": { "type": "object", "id": "SslCertificateAggregatedList", "properties": { "kind": { "default": "compute#sslCertificateAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#sslCertificateAggregatedList for lists of SSL Certificates." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of SslCertificates.", "$ref": "SslCertificatesScopedList" }, "description": "A list of SslCertificatesScopedList resources." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "ForwardingRule": { "description": "Represents a Forwarding Rule resource. Forwarding rule resources in Google Cloud can be either regional or global in scope: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/beta/globalForwardingRules) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/beta/forwardingRules) A forwarding rule and its corresponding IP address represent the frontend configuration of a Google Cloud Platform load balancer. Forwarding rules can also reference target instances and Cloud VPN Classic gateways (targetVpnGateway). For more information, read Forwarding rule concepts and Using protocol forwarding.", "properties": { "metadataFilters": { "type": "array", "description": "Opaque filter criteria used by load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to load balancer, xDS clients present node metadata. When there is a match, the relevant configuration is made available to those proxies. Otherwise, all the resources (e.g. TargetHttpProxy, UrlMap) referenced by the ForwardingRule are not visible to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadataFilters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here will be applifed before those specified in the UrlMap that this ForwardingRule references. metadataFilters only applies to Loadbalancers that have their loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "items": { "$ref": "MetadataFilter" } }, "serviceName": { "type": "string", "description": "[Output Only] The internal fully qualified service name for this Forwarding Rule. This field is only used for internal load balancing." }, "loadBalancingScheme": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Specifies the forwarding rule type. For more information about forwarding rules, refer to Forwarding rule concepts.", "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID" ] }, "pscConnectionId": { "format": "uint64", "description": "[Output Only] The PSC connection id of the PSC Forwarding Rule.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#forwardingRule for Forwarding Rule resources.", "default": "compute#forwardingRule" }, "subnetwork": { "description": "This field identifies the subnetwork that the load balanced IP should belong to for this Forwarding Rule, used in internal load balancing and network load balancing with IPv6. If the network specified is in auto subnet mode, this field is optional. However, a subnetwork must be specified if the network is in custom subnet mode or when creating external forwarding rule with IPv6.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "isMirroringCollector": { "description": "Indicates whether or not this load balancer can be used as a collector for packet mirroring. To prevent mirroring loops, instances behind this load balancer will not have their traffic mirrored even if a PacketMirroring rule applies to them. This can only be set to true for load balancers that have their loadBalancingScheme set to INTERNAL.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "fingerprint": { "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ForwardingRule. Include the fingerprint in patch request to ensure that you do not overwrite changes that were applied from another concurrent request. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.", "type": "string" }, "ipVersion": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ], "description": "The IP Version that will be used by this forwarding rule. Valid options are IPV4 or IPV6." }, "allPorts": { "description": "This field is used along with the backend_service field for Internal TCP/UDP Load Balancing or Network Load Balancing, or with the target field for internal and external TargetInstance. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. For TCP, UDP and SCTP traffic, packets addressed to any ports will be forwarded to the target or backendService.", "type": "boolean" }, "allowGlobalAccess": { "type": "boolean", "description": "This field is used along with the backend_service field for internal load balancing or with the target field for internal TargetInstance. If the field is set to TRUE, clients can access ILB from all regions. Otherwise only allows access from clients in the same region as the internal load balancer." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object" }, "pscConnectionStatus": { "type": "string", "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer and will not serve traffic going forward.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The connection has been rejected by the producer.", "" ] }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. For Private Service Connect forwarding rules that forward traffic to Google APIs, the forwarding rule name must be a 1-20 characters string with lowercase letters and numbers and must start with a letter.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "backendService": { "description": "Identifies the backend service to which the forwarding rule sends traffic. Required for Internal TCP/UDP Load Balancing and Network Load Balancing; must be omitted for all other load balancer types.", "type": "string" }, "IPProtocol": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "" ], "enum": [ "AH", "ESP", "ICMP", "L3_DEFAULT", "SCTP", "TCP", "UDP" ], "description": "The IP protocol to which this rule applies. For protocol forwarding, valid options are TCP, UDP, ESP, AH, SCTP, ICMP and L3_DEFAULT. The valid IP protocols are different for different load balancing products as described in [Load balancing features](https://cloud.google.com/load-balancing/docs/features#protocols_from_the_load_balancer_to_the_backends)." }, "target": { "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "ports": { "description": "The ports field is only supported when the forwarding rule references a backend_service directly. Only packets addressed to the [specified list of ports]((https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications)) are forwarded to backends. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. You can specify a list of up to five ports, which can be non-contiguous. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. @pattern: \\\\d+(?:-\\\\d+)?", "items": { "type": "string" }, "type": "array" }, "portRange": { "type": "string", "description": "This field can be used only if: - Load balancing scheme is one of EXTERNAL, INTERNAL_SELF_MANAGED or INTERNAL_MANAGED - IPProtocol is one of TCP, UDP, or SCTP. Packets addressed to ports in the specified range will be forwarded to target or backend_service. You can only use one of ports, port_range, or allPorts. The three are mutually exclusive. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. Some types of forwarding target have constraints on the acceptable ports. For more information, see [Port specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications). @pattern: \\\\d+(?:-\\\\d+)?" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "noAutomateDnsZone": { "type": "boolean", "description": "This is used in PSC consumer ForwardingRule to control whether it should try to auto-generate a DNS zone or not. Non-PSC forwarding rules do not use this field." }, "sourceIpRanges": { "description": "If not empty, this Forwarding Rule will only forward the traffic when the source IP address matches one of the IP addresses or CIDR ranges set here. Note that a Forwarding Rule can only have up to 64 source IP ranges, and this field can only be used with a regional Forwarding Rule whose scheme is EXTERNAL. Each source_ip_range entry should be either an IP address (for example, 1.2.3.4) or a CIDR range (for example, 1.2.3.0/24).", "items": { "type": "string" }, "type": "array" }, "serviceLabel": { "description": "An optional prefix to the service name for this Forwarding Rule. If specified, the prefix is the first label of the fully qualified service name. The label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. This field is only used for internal load balancing.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "labelFingerprint": { "type": "string", "description": "A fingerprint for the labels being applied to this resource, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.", "format": "byte" }, "IPAddress": { "type": "string", "description": "IP address for which this forwarding rule accepts traffic. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the referenced target or backendService. While creating a forwarding rule, specifying an IPAddress is required under the following circumstances: - When the target is set to targetGrpcProxy and validateForProxyless is set to true, the IPAddress should be set to 0.0.0.0. - When the target is a Private Service Connect Google APIs bundle, you must specify an IPAddress. Otherwise, you can optionally specify an IP address that references an existing static (reserved) IP address resource. When omitted, Google Cloud assigns an ephemeral IP address. Use one of the following formats to specify an IP address while creating a forwarding rule: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh IP address number, as in `100.1.2.3` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full resource URL, as in https://www.googleapis.com/compute/v1/projects/project_id/regions/region /addresses/address-name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Partial URL or by name, as in: - projects/project_id/regions/region/addresses/address-name - regions/region/addresses/address-name - global/addresses/address-name - address-name The forwarding rule's target or backendService, and in most cases, also the loadBalancingScheme, determine the type of IP address that you can use. For detailed information, see [IP address specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#ip_address_specifications). When reading an IPAddress, the API always returns the IP address number." }, "networkTier": { "description": "This signifies the networking tier used for configuring this load balancer and can only take the following values: PREMIUM, STANDARD. For regional ForwardingRule, the valid values are PREMIUM and STANDARD. For GlobalForwardingRule, the valid value is PREMIUM. If this field is not specified, it is assumed to be PREMIUM. If IPAddress is specified, this value must be equal to the networkTier of the Address.", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "network": { "type": "string", "description": "This field is not used for external load balancing. For Internal TCP/UDP Load Balancing, this field identifies the network that the load balanced IP should belong to for this Forwarding Rule. If this field is not specified, the default network will be used. For Private Service Connect forwarding rules that forward traffic to Google APIs, a network must be provided." }, "serviceDirectoryRegistrations": { "description": "Service Directory resources to register this forwarding rule with. Currently, only supports a single Service Directory resource.", "items": { "$ref": "ForwardingRuleServiceDirectoryRegistration" }, "type": "array" } }, "type": "object", "id": "ForwardingRule" }, "InterconnectAttachment": { "description": "Represents an Interconnect Attachment (VLAN) resource. You can use Interconnect attachments (VLANS) to connect your Virtual Private Cloud networks to your on-premises networks through an Interconnect. For more information, read Creating VLAN Attachments.", "id": "InterconnectAttachment", "properties": { "customerRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on the customer router subinterface for this interconnect attachment." }, "operationalStatus": { "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ], "type": "string", "description": "[Output Only] The current status of whether or not this interconnect attachment is functional, which can take one of the following values: - OS_ACTIVE: The attachment has been turned up and is ready to use. - OS_UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. ", "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "Indicates that attachment is not ready to use yet, because turnup is not complete." ] }, "partnerAsn": { "type": "string", "description": "Optional BGP ASN for the router supplied by a Layer 3 Partner if they configured BGP on behalf of the customer. Output only for PARTNER type, input only for PARTNER_PROVIDER, not available for DEDICATED.", "format": "int64" }, "cloudRouterIpv6InterfaceId": { "type": "string", "description": "This field is not available." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "interconnect": { "description": "URL of the underlying Interconnect object that this attachment's traffic will traverse through.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "mtu": { "description": "Maximum Transmission Unit (MTU), in bytes, of packets passing through this interconnect attachment. Only 1440 and 1500 are allowed. If not specified, the value will default to 1440.", "format": "int32", "type": "integer" }, "pairingKey": { "type": "string", "description": "[Output only for type PARTNER. Input only for PARTNER_PROVIDER. Not present for DEDICATED]. The opaque identifier of an PARTNER attachment used to initiate provisioning with a selected partner. Of the form \"XXXXX/region/domain\"" }, "bandwidth": { "enum": [ "BPS_100M", "BPS_10G", "BPS_1G", "BPS_200M", "BPS_20G", "BPS_2G", "BPS_300M", "BPS_400M", "BPS_500M", "BPS_50G", "BPS_50M", "BPS_5G" ], "description": "Provisioned bandwidth capacity for the interconnect attachment. For attachments of type DEDICATED, the user can set the bandwidth. For attachments of type PARTNER, the Google Partner that is operating the interconnect must set the bandwidth. Output only for PARTNER type, mutable for PARTNER_PROVIDER and DEDICATED, and can take one of the following values: - BPS_50M: 50 Mbit/s - BPS_100M: 100 Mbit/s - BPS_200M: 200 Mbit/s - BPS_300M: 300 Mbit/s - BPS_400M: 400 Mbit/s - BPS_500M: 500 Mbit/s - BPS_1G: 1 Gbit/s - BPS_2G: 2 Gbit/s - BPS_5G: 5 Gbit/s - BPS_10G: 10 Gbit/s - BPS_20G: 20 Gbit/s - BPS_50G: 50 Gbit/s ", "type": "string", "enumDescriptions": [ "100 Mbit/s", "10 Gbit/s", "1 Gbit/s", "200 Mbit/s", "20 Gbit/s", "2 Gbit/s", "300 Mbit/s", "400 Mbit/s", "500 Mbit/s", "50 Gbit/s", "50 Mbit/s", "5 Gbit/s" ] }, "cloudRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment." }, "dataplaneVersion": { "type": "integer", "format": "int32", "description": "[Output Only] Dataplane version for this InterconnectAttachment. This field is only present for Dataplane version 2 and higher. Absence of this field in the API output indicates that the Dataplane is version 1." }, "region": { "description": "[Output Only] URL of the region where the regional interconnect attachment resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this InterconnectAttachment, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InterconnectAttachment.", "format": "byte", "type": "string" }, "customerRouterIpv6InterfaceId": { "description": "This field is not available.", "type": "string" }, "router": { "description": "URL of the Cloud Router to be used for dynamic routing. This router must be in the same region as this InterconnectAttachment. The InterconnectAttachment will automatically connect the Interconnect to the network & region within which the Cloud Router is configured.", "type": "string" }, "googleReferenceId": { "description": "[Output Only] Google reference ID, to be used when raising support tickets with Google or otherwise to debug backend connectivity issues. [Deprecated] This field is not used.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource." }, "stackType": { "type": "string", "enumDescriptions": [ "The interconnect attachment can have both IPv4 and IPv6 addresses.", "The interconnect attachment will only be assigned IPv4 addresses." ], "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "description": "The stack type for this interconnect attachment to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at interconnect attachments creation and update interconnect attachment operations." }, "adminEnabled": { "description": "Determines whether this Attachment will carry packets. Not present for PARTNER_PROVIDER.", "type": "boolean" }, "privateInterconnectInfo": { "description": "[Output Only] Information specific to an InterconnectAttachment. This property is populated if the interconnect that this is attached to is of type DEDICATED.", "$ref": "InterconnectAttachmentPrivateInfo" }, "customerRouterIpv6Address": { "description": "[Output Only] IPv6 address + prefix length to be configured on the customer router subinterface for this interconnect attachment.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#interconnectAttachment for interconnect attachments.", "type": "string", "default": "compute#interconnectAttachment" }, "cloudRouterIpv6Address": { "description": "[Output Only] IPv6 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "encryption": { "type": "string", "description": "Indicates the user-supplied encryption option of this VLAN attachment (interconnectAttachment). Can only be specified at attachment creation for PARTNER or DEDICATED attachments. Possible values are: - NONE - This is the default value, which means that the VLAN attachment carries unencrypted traffic. VMs are able to send traffic to, or receive traffic from, such a VLAN attachment. - IPSEC - The VLAN attachment carries only encrypted traffic that is encrypted by an IPsec device, such as an HA VPN gateway or third-party IPsec VPN. VMs cannot directly send traffic to, or receive traffic from, such a VLAN attachment. To use *IPsec-encrypted Cloud Interconnect*, the VLAN attachment must be created with this option. Not currently available publicly. ", "enumDescriptions": [ "The interconnect attachment will carry only encrypted traffic that is encrypted by an IPsec device such as HA VPN gateway; VMs cannot directly send traffic to or receive traffic from such an interconnect attachment. To use IPsec-encrypted Cloud Interconnect, the interconnect attachment must be created with this option.", "This is the default value, which means the Interconnect Attachment will carry unencrypted traffic. VMs will be able to send traffic to or receive traffic from such interconnect attachment." ], "enum": [ "IPSEC", "NONE" ] }, "state": { "type": "string", "enum": [ "ACTIVE", "DEFUNCT", "PARTNER_REQUEST_RECEIVED", "PENDING_CUSTOMER", "PENDING_PARTNER", "STATE_UNSPECIFIED", "UNPROVISIONED" ], "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was wiped out, or because the other side of a Partner attachment was deleted.", "A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it.", "PARTNER or PARTNER_PROVIDER attachment that is waiting for the customer to activate.", "A newly created PARTNER attachment that has not yet been configured on the Partner side.", "", "Indicates that attachment is not ready to use yet, because turnup is not complete." ], "description": "[Output Only] The current state of this attachment's functionality. Enum values ACTIVE and UNPROVISIONED are shared by DEDICATED/PRIVATE, PARTNER, and PARTNER_PROVIDER interconnect attachments, while enum values PENDING_PARTNER, PARTNER_REQUEST_RECEIVED, and PENDING_CUSTOMER are used for only PARTNER and PARTNER_PROVIDER interconnect attachments. This state can take one of the following values: - ACTIVE: The attachment has been turned up and is ready to use. - UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. - PENDING_PARTNER: A newly-created PARTNER attachment that has not yet been configured on the Partner side. - PARTNER_REQUEST_RECEIVED: A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it. - PENDING_CUSTOMER: A PARTNER or PARTNER_PROVIDER attachment that is waiting for a customer to activate it. - DEFUNCT: The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was removed, or because the other side of a Partner attachment was deleted. " }, "type": { "type": "string", "enumDescriptions": [ "Attachment to a dedicated interconnect.", "Attachment to a partner interconnect, created by the customer.", "Attachment to a partner interconnect, created by the partner." ], "enum": [ "DEDICATED", "PARTNER", "PARTNER_PROVIDER" ], "description": "The type of interconnect attachment this is, which can take one of the following values: - DEDICATED: an attachment to a Dedicated Interconnect. - PARTNER: an attachment to a Partner Interconnect, created by the customer. - PARTNER_PROVIDER: an attachment to a Partner Interconnect, created by the partner. " }, "candidateSubnets": { "description": "Up to 16 candidate prefixes that can be used to restrict the allocation of cloudRouterIpAddress and customerRouterIpAddress for this attachment. All prefixes must be within link-local address space (169.254.0.0/16) and must be /29 or shorter (/28, /27, etc). Google will attempt to select an unused /29 from the supplied candidate prefix(es). The request will fail if all possible /29s are in use on Google's edge. If not supplied, Google will randomly select an unused /29 from all of link-local space.", "items": { "type": "string" }, "type": "array" }, "candidateIpv6Subnets": { "description": "This field is not available.", "items": { "type": "string" }, "type": "array" }, "edgeAvailabilityDomain": { "description": "Desired availability domain for the attachment. Only available for type PARTNER, at creation time, and can take one of the following values: - AVAILABILITY_DOMAIN_ANY - AVAILABILITY_DOMAIN_1 - AVAILABILITY_DOMAIN_2 For improved reliability, customers should configure a pair of attachments, one per availability domain. The selected availability domain will be provided to the Partner via the pairing key, so that the provisioned circuit will lie in the specified domain. If not specified, the value will default to AVAILABILITY_DOMAIN_ANY.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "AVAILABILITY_DOMAIN_1", "AVAILABILITY_DOMAIN_2", "AVAILABILITY_DOMAIN_ANY" ] }, "ipsecInternalAddresses": { "description": "A list of URLs of addresses that have been reserved for the VLAN attachment. Used only for the VLAN attachment that has the encryption option as IPSEC. The addresses must be regional internal IP address ranges. When creating an HA VPN gateway over the VLAN attachment, if the attachment is configured to use a regional internal IP address, then the VPN gateway's IP address is allocated from the IP address range specified here. For example, if the HA VPN gateway's interface 0 is paired to this VLAN attachment, then a regional internal IP address for the VPN gateway interface 0 will be allocated from the IP address specified for this VLAN attachment. If this field is not specified when creating the VLAN attachment, then later on when creating an HA VPN gateway on this VLAN attachment, the HA VPN gateway's IP address is allocated from the regional external IP address pool. Not currently available publicly. ", "type": "array", "items": { "type": "string" } }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object", "additionalProperties": { "type": "string" } }, "partnerMetadata": { "description": "Informational metadata about Partner attachments from Partners to display to customers. Output only for for PARTNER type, mutable for PARTNER_PROVIDER, not available for DEDICATED.", "$ref": "InterconnectAttachmentPartnerMetadata" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present." }, "vlanTag8021q": { "description": "The IEEE 802.1Q VLAN tag for this attachment, in the range 2-4094. Only specified at creation time.", "format": "int32", "type": "integer" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "type": "object" }, "RouterInterface": { "type": "object", "properties": { "subnetwork": { "description": "The URI of the subnetwork resource that this interface belongs to, which must be in the same region as the Cloud Router. When you establish a BGP session to a VM instance using this interface, the VM instance must belong to the same subnetwork as the subnetwork specified here.", "type": "string" }, "ipRange": { "description": "IP address and range of the interface. The IP range must be in the RFC3927 link-local IP address space. The value must be a CIDR-formatted string, for example: 169.254.0.1/30. NOTE: Do not truncate the address as it represents the IP address of the interface.", "type": "string" }, "linkedInterconnectAttachment": { "type": "string", "description": "URI of the linked Interconnect attachment. It must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance." }, "name": { "annotations": { "required": [ "compute.routers.insert" ] }, "description": "Name of this interface entry. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "privateIpAddress": { "description": "The regional private internal IP address that is used to establish BGP sessions to a VM instance acting as a third-party Router Appliance, such as a Next Gen Firewall, a Virtual Router, or an SD-WAN VM.", "type": "string" }, "linkedVpnTunnel": { "description": "URI of the linked VPN tunnel, which must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance.", "type": "string" }, "redundantInterface": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the interface that will be redundant with the current interface you are creating. The redundantInterface must belong to the same Cloud Router as the interface here. To establish the BGP session to a Router Appliance VM, you must create two BGP peers. The two BGP peers must be attached to two separate interfaces that are redundant with each other. The redundant_interface must be 1-63 characters long, and comply with RFC1035. Specifically, the redundant_interface must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "managementType": { "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ], "description": "[Output Only] The resource that configures and manages this interface. - MANAGED_BY_USER is the default value and can be managed directly by users. - MANAGED_BY_ATTACHMENT is an interface that is configured and managed by Cloud Interconnect, specifically, by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of interface when the PARTNER InterconnectAttachment is created, updated, or deleted. ", "enumDescriptions": [ "The interface is automatically created for PARTNER type InterconnectAttachment, Google will automatically create/update/delete this interface when the PARTNER InterconnectAttachment is created/provisioned/deleted. This type of interface cannot be manually managed by user.", "Default value, the interface is manually created and managed by user." ], "type": "string" } }, "id": "RouterInterface" }, "License": { "id": "License", "properties": { "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.images.insert" ] }, "description": "Name of the resource. The name must be 1-63 characters long and comply with RFC1035.", "type": "string" }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "transferable": { "type": "boolean", "description": "If false, licenses will not be copied from the source resource when creating an image from a disk, disk from snapshot, or snapshot from disk." }, "licenseCode": { "format": "uint64", "type": "string", "description": "[Output Only] The unique code used to attach this license to images, snapshots, and disks." }, "kind": { "description": "[Output Only] Type of resource. Always compute#license for licenses.", "type": "string", "default": "compute#license" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "resourceRequirements": { "$ref": "LicenseResourceRequirements" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "chargesUseFee": { "description": "[Output Only] Deprecated. This field no longer reflects whether a license charges a usage fee.", "type": "boolean" } }, "type": "object", "description": "Represents a License resource. A License represents billing and aggregate usage data for public and marketplace images. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. " }, "TargetVpnGatewayList": { "type": "object", "id": "TargetVpnGatewayList", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#targetVpnGatewayList", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways." }, "items": { "description": "A list of TargetVpnGateway resources.", "type": "array", "items": { "$ref": "TargetVpnGateway" } } }, "description": "Contains a list of TargetVpnGateway resources." }, "LogConfigCounterOptions": { "properties": { "customFields": { "items": { "$ref": "LogConfigCounterOptionsCustomField" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "field": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "metric": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" } }, "id": "LogConfigCounterOptions", "description": "This is deprecated and has no effect. Do not use.", "type": "object" }, "InstanceList": { "type": "object", "description": "Contains a list of instances.", "id": "InstanceList", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#instanceList", "description": "[Output Only] Type of resource. Always compute#instanceList for lists of Instance resources.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "description": "A list of Instance resources.", "items": { "$ref": "Instance" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "Interconnect": { "properties": { "kind": { "type": "string", "default": "compute#interconnect", "description": "[Output Only] Type of the resource. Always compute#interconnect for interconnects." }, "googleReferenceId": { "description": "[Output Only] Google reference ID to be used when raising support tickets with Google or otherwise to debug backend connectivity issues.", "type": "string" }, "interconnectAttachments": { "description": "[Output Only] A list of the URLs of all InterconnectAttachments configured to use this Interconnect.", "items": { "type": "string" }, "type": "array" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "requestedLinkCount": { "type": "integer", "description": "Target number of physical links in the link bundle, as requested by the customer.", "format": "int32" }, "labels": { "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" } }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this Interconnect, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Interconnect." }, "operationalStatus": { "description": "[Output Only] The current status of this Interconnect's functionality, which can take one of the following values: - OS_ACTIVE: A valid Interconnect, which is turned up and is ready to use. Attachments may be provisioned on this Interconnect. - OS_UNPROVISIONED: An Interconnect that has not completed turnup. No attachments may be provisioned on this Interconnect. - OS_UNDER_MAINTENANCE: An Interconnect that is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. ", "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ], "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ], "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.interconnects.insert" ] } }, "location": { "description": "URL of the InterconnectLocation object that represents where this connection is to be provisioned.", "type": "string" }, "expectedOutages": { "items": { "$ref": "InterconnectOutageNotification" }, "description": "[Output Only] A list of outages expected for this Interconnect.", "type": "array" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "adminEnabled": { "description": "Administrative status of the interconnect. When this is set to true, the Interconnect is functional and can carry traffic. When set to false, no packets can be carried over the interconnect and no BGP routes are exchanged over it. By default, the status is set to true.", "type": "boolean" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "customerName": { "description": "Customer name, to put in the Letter of Authorization as the party authorized to request a crossconnect.", "type": "string" }, "circuitInfos": { "type": "array", "description": "[Output Only] A list of CircuitInfo objects, that describe the individual circuits in this LAG.", "items": { "$ref": "InterconnectCircuitInfo" } }, "interconnectType": { "enum": [ "DEDICATED", "IT_PRIVATE", "PARTNER" ], "enumDescriptions": [ "A dedicated physical interconnection with the customer.", "[Deprecated] A private, physical interconnection with the customer.", "A partner-managed interconnection shared between customers via partner." ], "type": "string", "description": "Type of interconnect, which can take one of the following values: - PARTNER: A partner-managed interconnection shared between customers though a partner. - DEDICATED: A dedicated physical interconnection with the customer. Note that a value IT_PRIVATE has been deprecated in favor of DEDICATED." }, "peerIpAddress": { "description": "[Output Only] IP address configured on the customer side of the Interconnect link. The customer should configure this IP address during turnup when prompted by Google NOC. This can be used only for ping tests.", "type": "string" }, "state": { "enum": [ "ACTIVE", "UNPROVISIONED" ], "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ], "description": "[Output Only] The current state of Interconnect functionality, which can take one of the following values: - ACTIVE: The Interconnect is valid, turned up and ready to use. Attachments may be provisioned on this Interconnect. - UNPROVISIONED: The Interconnect has not completed turnup. No attachments may be provisioned on this Interconnect. - UNDER_MAINTENANCE: The Interconnect is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. ", "type": "string" }, "googleIpAddress": { "type": "string", "description": "[Output Only] IP address configured on the Google side of the Interconnect link. This can be used only for ping tests." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "nocContactEmail": { "type": "string", "description": "Email address to contact the customer NOC for operations and maintenance notifications regarding this Interconnect. If specified, this will be used for notifications in addition to all other forms described, such as Stackdriver logs alerting and Cloud Notifications." }, "linkType": { "enum": [ "LINK_TYPE_ETHERNET_100G_LR", "LINK_TYPE_ETHERNET_10G_LR" ], "type": "string", "enumDescriptions": [ "100G Ethernet, LR Optics.", "10G Ethernet, LR Optics. [(rate_bps) = 10000000000];" ], "description": "Type of link requested, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR: A 10G Ethernet with LR optics - LINK_TYPE_ETHERNET_100G_LR: A 100G Ethernet with LR optics. Note that this field indicates the speed of each of the links in the bundle, not the speed of the entire bundle." }, "satisfiesPzs": { "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present.", "type": "boolean" }, "provisionedLinkCount": { "type": "integer", "description": "[Output Only] Number of links actually provisioned in this interconnect.", "format": "int32" } }, "type": "object", "id": "Interconnect", "description": "Represents an Interconnect resource. An Interconnect resource is a dedicated connection between the GCP network and your on-premises network. For more information, read the Dedicated Interconnect Overview." }, "SecurityPolicyRuleHttpHeaderAction": { "id": "SecurityPolicyRuleHttpHeaderAction", "properties": { "requestHeadersToAdds": { "description": "The list of request headers to add or overwrite if they're already present.", "type": "array", "items": { "$ref": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption" } } }, "type": "object" }, "BulkInsertInstanceResourcePerInstanceProperties": { "description": "Per-instance properties to be set on individual instances. To be extended in the future.", "properties": { "name": { "type": "string", "description": "This field is only temporary. It will be removed. Do not use it." } }, "type": "object", "id": "BulkInsertInstanceResourcePerInstanceProperties" }, "InstanceGroupManagerAllInstancesConfig": { "properties": { "properties": { "description": "Properties to set on all instances in the group. You can add or modify properties using the instanceGroupManagers.patch or regionInstanceGroupManagers.patch. After setting allInstancesConfig on the group, you must update the group's instances to apply the configuration. To apply the configuration, set the group's updatePolicy.type field to use proactive updates or use the applyUpdatesToInstances method.", "$ref": "InstancePropertiesPatch" } }, "id": "InstanceGroupManagerAllInstancesConfig", "type": "object" }, "UrlMapsValidateRequest": { "id": "UrlMapsValidateRequest", "type": "object", "properties": { "loadBalancingSchemes": { "items": { "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "LOAD_BALANCING_SCHEME_UNSPECIFIED" ], "type": "string", "enumDescriptions": [ "Signifies that this will be used for Classic L7 External Load Balancing.", "Signifies that this will be used for Envoy-based L7 External Load Balancing.", "If unspecified, the validation will try to infer the scheme from the backend service resources this Url map references. If the inferrence is not possible, EXTERNAL will be used as the default type." ] }, "type": "array", "description": "Specifies the load balancer type(s) this validation request is for. Use EXTERNAL_MANAGED for HTTP/HTTPS External Global Load Balancer with Advanced Traffic Management. Use EXTERNAL for Classic HTTP/HTTPS External Global Load Balancer. Other load balancer types are not supported. For more information, refer to Choosing a load balancer. If unspecified, the load balancing scheme will be inferred from the backend service resources this URL map references. If that can not be inferred (for example, this URL map only references backend buckets, or this Url map is for rewrites and redirects only and doesn't reference any backends), EXTERNAL will be used as the default type. If specified, the scheme(s) must not conflict with the load balancing scheme of the backend service resources this Url map references." }, "resource": { "$ref": "UrlMap", "description": "Content of the UrlMap to be validated." } } }, "SchedulingNodeAffinity": { "type": "object", "id": "SchedulingNodeAffinity", "description": "Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled.", "properties": { "operator": { "enum": [ "IN", "NOT_IN", "OPERATOR_UNSPECIFIED" ], "enumDescriptions": [ "Requires Compute Engine to seek for matched nodes.", "Requires Compute Engine to avoid certain nodes.", "" ], "type": "string", "description": "Defines the operation of node selection. Valid operators are IN for affinity and NOT_IN for anti-affinity." }, "values": { "items": { "type": "string" }, "description": "Corresponds to the label values of Node resource.", "type": "array" }, "key": { "description": "Corresponds to the label key of Node resource.", "type": "string" } } }, "InstanceGroupManagersScopedList": { "type": "object", "id": "InstanceGroupManagersScopedList", "properties": { "instanceGroupManagers": { "description": "[Output Only] The list of managed instance groups that are contained in the specified project and zone.", "type": "array", "items": { "$ref": "InstanceGroupManager" } }, "warning": { "description": "[Output Only] The warning that replaces the list of managed instance groups when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object" } } }, "LogConfigDataAccessOptions": { "id": "LogConfigDataAccessOptions", "type": "object", "description": "This is deprecated and has no effect. Do not use.", "properties": { "logMode": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "type": "string", "description": "This is deprecated and has no effect. Do not use.", "enum": [ "LOG_FAIL_CLOSED", "LOG_MODE_UNSPECIFIED" ] } } }, "PacketIntervals": { "type": "object", "id": "PacketIntervals", "properties": { "numIntervals": { "type": "string", "format": "int64", "description": "Number of inter-packet intervals from which these statistics were derived." }, "maxMs": { "type": "string", "format": "int64", "description": "Maximum observed inter-packet interval in milliseconds." }, "minMs": { "format": "int64", "type": "string", "description": "Minimum observed inter-packet interval in milliseconds." }, "avgMs": { "type": "string", "description": "Average observed inter-packet interval in milliseconds.", "format": "int64" }, "duration": { "type": "string", "description": "From how long ago in the past these intervals were observed.", "enumDescriptions": [ "", "", "From BfdSession object creation time.", "" ], "enum": [ "DURATION_UNSPECIFIED", "HOUR", "MAX", "MINUTE" ] }, "type": { "enumDescriptions": [ "Only applies to Echo packets. This shows the intervals between sending and receiving the same packet.", "Intervals between received packets.", "Intervals between transmitted packets.", "" ], "enum": [ "LOOPBACK", "RECEIVE", "TRANSMIT", "TYPE_UNSPECIFIED" ], "description": "The type of packets for which inter-packet intervals were computed.", "type": "string" } }, "description": "Next free: 7" }, "InstancesSetMachineTypeRequest": { "properties": { "machineType": { "type": "string", "description": "Full or partial URL of the machine type resource. See Machine Types for a full list of machine types. For example: zones/us-central1-f/machineTypes/n1-standard-1" } }, "type": "object", "id": "InstancesSetMachineTypeRequest" }, "RegionSetPolicyRequest": { "properties": { "bindings": { "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "items": { "$ref": "Binding" }, "type": "array" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." }, "etag": { "type": "string", "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." } }, "id": "RegionSetPolicyRequest", "type": "object" }, "NodeGroup": { "properties": { "autoscalingPolicy": { "description": "Specifies how autoscaling should behave.", "$ref": "NodeGroupAutoscalingPolicy" }, "shareSettings": { "$ref": "ShareSettings", "description": "Share-settings for the node group" }, "maintenancePolicy": { "enumDescriptions": [ "Allow the node and corresponding instances to retain default maintenance behavior.", "", "When maintenance must be done on a node, the instances on that node will be moved to other nodes in the group. Instances with onHostMaintenance = MIGRATE will live migrate to their destinations while instances with onHostMaintenance = TERMINATE will terminate and then restart on their destination nodes if automaticRestart = true.", "Instances in this group will restart on the same node when maintenance has completed. Instances must have onHostMaintenance = TERMINATE, and they will only restart if automaticRestart = true." ], "enum": [ "DEFAULT", "MAINTENANCE_POLICY_UNSPECIFIED", "MIGRATE_WITHIN_NODE_GROUP", "RESTART_IN_PLACE" ], "description": "Specifies how to handle instances when a node in the group undergoes maintenance. Set to one of: DEFAULT, RESTART_IN_PLACE, or MIGRATE_WITHIN_NODE_GROUP. The default value is DEFAULT. For more information, see Maintenance policies.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The type of the resource. Always compute#nodeGroup for node group.", "default": "compute#nodeGroup" }, "nodeTemplate": { "type": "string", "description": "URL of the node template to create the node group from." }, "size": { "type": "integer", "description": "[Output Only] The total number of nodes in the node group.", "format": "int32" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "locationHint": { "description": "An opaque location hint used to place the Node close to other resources. This field is for use by internal tools that use the public API. The location hint here on the NodeGroup overrides any location_hint present in the NodeTemplate.", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the node group resides, such as us-central1-a." }, "maintenanceWindow": { "$ref": "NodeGroupMaintenanceWindow" }, "name": { "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "fingerprint": { "format": "byte", "type": "string" }, "status": { "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "id": "NodeGroup", "description": "Represents a sole-tenant Node Group resource. A sole-tenant node is a physical server that is dedicated to hosting VM instances only for your specific project. Use sole-tenant nodes to keep your instances physically separated from instances in other projects, or to group your instances together on the same host hardware. For more information, read Sole-tenant nodes.", "type": "object" }, "ErrorInfo": { "description": "Describes the cause of the error with structured details. Example of an error when contacting the \"pubsub.googleapis.com\" API when it is not enabled: { \"reason\": \"API_DISABLED\" \"domain\": \"googleapis.com\" \"metadata\": { \"resource\": \"projects/123\", \"service\": \"pubsub.googleapis.com\" } } This response indicates that the pubsub.googleapis.com API is not enabled. Example of an error that is returned when attempting to create a Spanner instance in a region that is out of stock: { \"reason\": \"STOCKOUT\" \"domain\": \"spanner.googleapis.com\", \"metadata\": { \"availableRegions\": \"us-central1,us-east2\" } }", "properties": { "metadatas": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Additional structured details about this error. Keys should match /[a-zA-Z0-9-_]/ and be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {\"instanceLimit\": \"100/request\"}, should be returned as, {\"instanceLimitPerRequest\": \"100\"}, if the client exceeds the number of instances that can be created in a single (batch) request." }, "domain": { "type": "string", "description": "The logical grouping to which the \"reason\" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: \"pubsub.googleapis.com\". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is \"googleapis.com\"." }, "reason": { "description": "The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match /[A-Z0-9_]+/.", "type": "string" } }, "id": "ErrorInfo", "type": "object" }, "OperationAggregatedList": { "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "items": { "description": "[Output Only] A map of scoped operation lists.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of operations.", "$ref": "OperationsScopedList" }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results." }, "kind": { "default": "compute#operationAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always `compute#operationAggregatedList` for aggregated lists of operations." } }, "id": "OperationAggregatedList", "type": "object" }, "NamedPort": { "properties": { "name": { "description": "The name for this named port. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "port": { "description": "The port number, which can be a value between 1 and 65535.", "type": "integer", "format": "int32" } }, "id": "NamedPort", "type": "object", "description": "The named port. For example: \u003c\"http\", 80\u003e." }, "BackendServicesScopedList": { "id": "BackendServicesScopedList", "properties": { "backendServices": { "type": "array", "items": { "$ref": "BackendService" }, "description": "A list of BackendServices contained in this scope." }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } }, "description": "Informational warning which replaces the list of backend services when the list is empty." } }, "type": "object" }, "AutoscalingPolicyScalingSchedule": { "type": "object", "properties": { "description": { "description": "A description of a scaling schedule.", "type": "string" }, "schedule": { "description": "The start timestamps of time intervals when this scaling schedule is to provide a scaling signal. This field uses the extended cron format (with an optional year field). The expression can describe a single timestamp if the optional year is set, in which case the scaling schedule runs once. The schedule is interpreted with respect to time_zone. This field is required. Note: These timestamps only describe when autoscaler starts providing the scaling signal. The VMs need additional time to become serving.", "type": "string" }, "timeZone": { "description": "The time zone to use when interpreting the schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database. This field is assigned a default value of “UTC” if left empty.", "type": "string" }, "minRequiredReplicas": { "description": "The minimum number of VM instances that the autoscaler will recommend in time intervals starting according to schedule. This field is required.", "format": "int32", "type": "integer" }, "disabled": { "type": "boolean", "description": "A boolean value that specifies whether a scaling schedule can influence autoscaler recommendations. If set to true, then a scaling schedule has no effect. This field is optional, and its value is false by default." }, "durationSec": { "type": "integer", "description": "The duration of time intervals, in seconds, for which this scaling schedule is to run. The minimum allowed value is 300. This field is required.", "format": "int32" } }, "description": "Scaling based on user-defined schedule. The message describes a single scaling schedule. A scaling schedule changes the minimum number of VM instances an autoscaler can recommend, which can trigger scaling out.", "id": "AutoscalingPolicyScalingSchedule" }, "SubnetworkLogConfig": { "description": "The available logging options for this subnetwork.", "id": "SubnetworkLogConfig", "type": "object", "properties": { "flowSampling": { "format": "float", "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. The value of the field must be in [0, 1]. Set the sampling rate of VPC flow logs within the subnetwork where 1.0 means all collected logs are reported and 0.0 means no logs are reported. Default is 0.5 unless otherwise specified by the org policy, which means half of all collected logs are reported.", "type": "number" }, "aggregationInterval": { "type": "string", "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. Toggles the aggregation interval for collecting flow logs. Increasing the interval time will reduce the amount of generated flow logs for long lasting connections. Default is an interval of 5 seconds per connection.", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "INTERVAL_10_MIN", "INTERVAL_15_MIN", "INTERVAL_1_MIN", "INTERVAL_30_SEC", "INTERVAL_5_MIN", "INTERVAL_5_SEC" ] }, "filterExpr": { "type": "string", "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. The filter expression is used to define which VPC flow logs should be exported to Cloud Logging." }, "metadata": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. Configures whether all, none or a subset of metadata fields should be added to the reported VPC flow logs. Default is EXCLUDE_ALL_METADATA.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "CUSTOM_METADATA", "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ] }, "enable": { "type": "boolean", "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled." }, "metadataFields": { "type": "array", "description": "Can only be specified if VPC flow logs for this subnetwork is enabled and \"metadata\" was set to CUSTOM_METADATA.", "items": { "type": "string" } } } }, "PublicDelegatedPrefixAggregatedList": { "id": "PublicDelegatedPrefixAggregatedList", "type": "object", "properties": { "kind": { "type": "string", "default": "compute#publicDelegatedPrefixAggregatedList", "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixAggregatedList for aggregated lists of public delegated prefixes." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of PublicDelegatedPrefixes.", "$ref": "PublicDelegatedPrefixesScopedList" }, "description": "A list of PublicDelegatedPrefixesScopedList resources." } } }, "InstanceGroupManagerStatus": { "id": "InstanceGroupManagerStatus", "properties": { "allInstancesConfig": { "description": "[Output only] Status of all-instances configuration on the group.", "$ref": "InstanceGroupManagerStatusAllInstancesConfig" }, "versionTarget": { "$ref": "InstanceGroupManagerStatusVersionTarget", "description": "[Output Only] A status of consistency of Instances' versions with their target version specified by version field on Instance Group Manager." }, "isStable": { "description": "[Output Only] A bit indicating whether the managed instance group is in a stable state. A stable state means that: none of the instances in the managed instance group is currently undergoing any type of change (for example, creation, restart, or deletion); no future changes are scheduled for instances in the managed instance group; and the managed instance group itself is not being modified.", "type": "boolean" }, "autoscaler": { "type": "string", "description": "[Output Only] The URL of the Autoscaler that targets this instance group manager." }, "stateful": { "$ref": "InstanceGroupManagerStatusStateful", "description": "[Output Only] Stateful status of the given Instance Group Manager." } }, "type": "object" }, "TargetTcpProxyList": { "type": "object", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "TargetTcpProxy" }, "type": "array", "description": "A list of TargetTcpProxy resources." }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#targetTcpProxyList" } }, "id": "TargetTcpProxyList", "description": "Contains a list of TargetTcpProxy resources." }, "RegionDiskTypeList": { "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#regionDiskTypeList", "description": "[Output Only] Type of resource. Always compute#regionDiskTypeList for region disk types.", "type": "string" }, "items": { "description": "A list of DiskType resources.", "items": { "$ref": "DiskType" }, "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "RegionDiskTypeList", "type": "object" }, "GuestAttributesEntry": { "properties": { "key": { "type": "string", "description": "Key for the guest attribute entry." }, "namespace": { "type": "string", "description": "Namespace for the guest attribute entry." }, "value": { "type": "string", "description": "Value for the guest attribute entry." } }, "description": "A guest attributes namespace/key/value entry.", "id": "GuestAttributesEntry", "type": "object" }, "InterconnectLocation": { "id": "InterconnectLocation", "type": "object", "description": "Represents an Interconnect Attachment (VLAN) Location resource. You can use this resource to find location details about an Interconnect attachment (VLAN). For more information about interconnect attachments, read Creating VLAN Attachments.", "properties": { "description": { "type": "string", "description": "[Output Only] An optional description of the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "facilityProvider": { "type": "string", "description": "[Output Only] The name of the provider for this facility (e.g., EQUINIX)." }, "peeringdbFacilityId": { "description": "[Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb).", "type": "string" }, "availabilityZone": { "description": "[Output Only] Availability zone for this InterconnectLocation. Within a metropolitan area (metro), maintenance will not be simultaneously scheduled in more than one availability zone. Example: \"zone1\" or \"zone2\".", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#interconnectLocation for interconnect locations.", "default": "compute#interconnectLocation", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "regionInfos": { "description": "[Output Only] A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions.", "type": "array", "items": { "$ref": "InterconnectLocationRegionInfo" } }, "status": { "type": "string", "enum": [ "AVAILABLE", "CLOSED" ], "enumDescriptions": [ "The InterconnectLocation is available for provisioning new Interconnects.", "The InterconnectLocation is closed for provisioning new Interconnects." ], "description": "[Output Only] The status of this InterconnectLocation, which can take one of the following values: - CLOSED: The InterconnectLocation is closed and is unavailable for provisioning new Interconnects. - AVAILABLE: The InterconnectLocation is available for provisioning new Interconnects. " }, "continent": { "description": "[Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA ", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "enum": [ "AFRICA", "ASIA_PAC", "C_AFRICA", "C_ASIA_PAC", "C_EUROPE", "C_NORTH_AMERICA", "C_SOUTH_AMERICA", "EUROPE", "NORTH_AMERICA", "SOUTH_AMERICA" ] }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "address": { "type": "string", "description": "[Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character." }, "facilityProviderFacilityId": { "type": "string", "description": "[Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1)." }, "supportsPzs": { "description": "[Output Only] Set to true for locations that support physical zone separation. Defaults to false if the field is not present.", "type": "boolean" }, "city": { "description": "[Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\".", "type": "string" } } }, "HealthCheckReference": { "id": "HealthCheckReference", "description": "A full or valid partial URL to a health check. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/global/httpHealthChecks/health-check - projects/project-id/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "type": "object", "properties": { "healthCheck": { "type": "string" } } }, "ManagedInstanceVersion": { "type": "object", "id": "ManagedInstanceVersion", "properties": { "instanceTemplate": { "description": "[Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }.", "type": "string" }, "name": { "description": "[Output Only] Name of the version.", "type": "string" } } }, "NetworkEndpointGroupList": { "id": "NetworkEndpointGroupList", "properties": { "kind": { "type": "string", "default": "compute#networkEndpointGroupList", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupList for network endpoint group lists." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "NetworkEndpointGroup" }, "type": "array", "description": "A list of NetworkEndpointGroup resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object" }, "UrlMapReference": { "type": "object", "properties": { "urlMap": { "type": "string" } }, "id": "UrlMapReference" }, "RegionCommitmentsUpdateReservationsRequest": { "type": "object", "id": "RegionCommitmentsUpdateReservationsRequest", "properties": { "reservations": { "description": "A list of two reservations to transfer GPUs and local SSD between.", "items": { "$ref": "Reservation" }, "type": "array" } } }, "UsableSubnetwork": { "properties": { "internalIpv6Prefix": { "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.", "type": "string", "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ] }, "purpose": { "type": "string", "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "enumDescriptions": [ "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ], "enum": [ "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ] }, "ipv6AccessType": { "enum": [ "EXTERNAL", "INTERNAL" ], "type": "string", "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.", "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ] }, "subnetwork": { "type": "string", "description": "Subnetwork URL." }, "role": { "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ], "type": "string", "enum": [ "ACTIVE", "BACKUP" ], "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request." }, "secondaryIpRanges": { "type": "array", "items": { "$ref": "UsableSubnetworkSecondaryRange" }, "description": "Secondary IP ranges." }, "network": { "type": "string", "description": "Network URL." }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "ipCidrRange": { "type": "string", "description": "The range of internal addresses that are owned by this subnetwork." } }, "id": "UsableSubnetwork", "type": "object", "description": "Subnetwork which the current user has compute.subnetworks.use permission on." }, "TargetHttpProxyList": { "description": "A list of TargetHttpProxy resources.", "properties": { "kind": { "type": "string", "description": "Type of resource. Always compute#targetHttpProxyList for lists of target HTTP proxies.", "default": "compute#targetHttpProxyList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object" }, "items": { "type": "array", "items": { "$ref": "TargetHttpProxy" }, "description": "A list of TargetHttpProxy resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "TargetHttpProxyList", "type": "object" }, "RegionInstanceGroupsSetNamedPortsRequest": { "type": "object", "id": "RegionInstanceGroupsSetNamedPortsRequest", "properties": { "namedPorts": { "description": "The list of named ports to set for this instance group.", "type": "array", "items": { "$ref": "NamedPort" } }, "fingerprint": { "format": "byte", "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.", "type": "string" } } }, "Quota": { "properties": { "limit": { "format": "double", "type": "number", "description": "[Output Only] Quota limit for this metric." }, "owner": { "type": "string", "description": "[Output Only] Owning resource. This is the resource on which this quota is applied." }, "usage": { "format": "double", "description": "[Output Only] Current usage of this metric.", "type": "number" }, "metric": { "type": "string", "description": "[Output Only] Name of the quota metric.", "enum": [ "A2_CPUS", "AFFINITY_GROUPS", "AUTOSCALERS", "BACKEND_BUCKETS", "BACKEND_SERVICES", "C2D_CPUS", "C2_CPUS", "C3_CPUS", "COMMITMENTS", "COMMITTED_A2_CPUS", "COMMITTED_C2D_CPUS", "COMMITTED_C2_CPUS", "COMMITTED_C3_CPUS", "COMMITTED_CPUS", "COMMITTED_E2_CPUS", "COMMITTED_LICENSES", "COMMITTED_LOCAL_SSD_TOTAL_GB", "COMMITTED_M3_CPUS", "COMMITTED_MEMORY_OPTIMIZED_CPUS", "COMMITTED_N2A_CPUS", "COMMITTED_N2D_CPUS", "COMMITTED_N2_CPUS", "COMMITTED_NVIDIA_A100_80GB_GPUS", "COMMITTED_NVIDIA_A100_GPUS", "COMMITTED_NVIDIA_K80_GPUS", "COMMITTED_NVIDIA_P100_GPUS", "COMMITTED_NVIDIA_P4_GPUS", "COMMITTED_NVIDIA_T4_GPUS", "COMMITTED_NVIDIA_V100_GPUS", "COMMITTED_T2A_CPUS", "COMMITTED_T2D_CPUS", "CPUS", "CPUS_ALL_REGIONS", "DISKS_TOTAL_GB", "E2_CPUS", "EXTERNAL_MANAGED_FORWARDING_RULES", "EXTERNAL_NETWORK_LB_FORWARDING_RULES", "EXTERNAL_PROTOCOL_FORWARDING_RULES", "EXTERNAL_VPN_GATEWAYS", "FIREWALLS", "FORWARDING_RULES", "GLOBAL_EXTERNAL_MANAGED_FORWARDING_RULES", "GLOBAL_INTERNAL_ADDRESSES", "GPUS_ALL_REGIONS", "HEALTH_CHECKS", "IMAGES", "INSTANCES", "INSTANCE_GROUPS", "INSTANCE_GROUP_MANAGERS", "INSTANCE_TEMPLATES", "INTERCONNECTS", "INTERCONNECT_ATTACHMENTS_PER_REGION", "INTERCONNECT_ATTACHMENTS_TOTAL_MBPS", "INTERCONNECT_TOTAL_GBPS", "INTERNAL_ADDRESSES", "INTERNAL_TRAFFIC_DIRECTOR_FORWARDING_RULES", "IN_PLACE_SNAPSHOTS", "IN_USE_ADDRESSES", "IN_USE_BACKUP_SCHEDULES", "IN_USE_SNAPSHOT_SCHEDULES", "LOCAL_SSD_TOTAL_GB", "M1_CPUS", "M2_CPUS", "M3_CPUS", "MACHINE_IMAGES", "N2A_CPUS", "N2D_CPUS", "N2_CPUS", "NETWORKS", "NETWORK_ENDPOINT_GROUPS", "NETWORK_FIREWALL_POLICIES", "NODE_GROUPS", "NODE_TEMPLATES", "NVIDIA_A100_80GB_GPUS", "NVIDIA_A100_GPUS", "NVIDIA_K80_GPUS", "NVIDIA_P100_GPUS", "NVIDIA_P100_VWS_GPUS", "NVIDIA_P4_GPUS", "NVIDIA_P4_VWS_GPUS", "NVIDIA_T4_GPUS", "NVIDIA_T4_VWS_GPUS", "NVIDIA_V100_GPUS", "PACKET_MIRRORINGS", "PD_EXTREME_TOTAL_PROVISIONED_IOPS", "PREEMPTIBLE_CPUS", "PREEMPTIBLE_LOCAL_SSD_GB", "PREEMPTIBLE_NVIDIA_A100_80GB_GPUS", "PREEMPTIBLE_NVIDIA_A100_GPUS", "PREEMPTIBLE_NVIDIA_K80_GPUS", "PREEMPTIBLE_NVIDIA_P100_GPUS", "PREEMPTIBLE_NVIDIA_P100_VWS_GPUS", "PREEMPTIBLE_NVIDIA_P4_GPUS", "PREEMPTIBLE_NVIDIA_P4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_T4_GPUS", "PREEMPTIBLE_NVIDIA_T4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_V100_GPUS", "PRIVATE_V6_ACCESS_SUBNETWORKS", "PSC_ILB_CONSUMER_FORWARDING_RULES_PER_PRODUCER_NETWORK", "PSC_INTERNAL_LB_FORWARDING_RULES", "PUBLIC_ADVERTISED_PREFIXES", "PUBLIC_DELEGATED_PREFIXES", "REGIONAL_AUTOSCALERS", "REGIONAL_INSTANCE_GROUP_MANAGERS", "RESERVATIONS", "RESOURCE_POLICIES", "ROUTERS", "ROUTES", "SECURITY_POLICIES", "SECURITY_POLICIES_PER_REGION", "SECURITY_POLICY_CEVAL_RULES", "SECURITY_POLICY_RULES", "SECURITY_POLICY_RULES_PER_REGION", "SERVICE_ATTACHMENTS", "SNAPSHOTS", "SSD_TOTAL_GB", "SSL_CERTIFICATES", "STATIC_ADDRESSES", "STATIC_BYOIP_ADDRESSES", "SUBNETWORKS", "T2A_CPUS", "T2D_CPUS", "TARGET_HTTPS_PROXIES", "TARGET_HTTP_PROXIES", "TARGET_INSTANCES", "TARGET_POOLS", "TARGET_SSL_PROXIES", "TARGET_TCP_PROXIES", "TARGET_VPN_GATEWAYS", "URL_MAPS", "VPN_GATEWAYS", "VPN_TUNNELS", "XPN_SERVICE_PROJECTS" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "Guest CPUs", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "The total number of snapshots allowed for a single project.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] } }, "type": "object", "description": "A quotas entry.", "id": "Quota" }, "PerInstanceConfig": { "type": "object", "id": "PerInstanceConfig", "properties": { "fingerprint": { "format": "byte", "description": "Fingerprint of this per-instance config. This field can be used in optimistic locking. It is ignored when inserting a per-instance config. An up-to-date fingerprint must be provided in order to update an existing per-instance configuration or the field needs to be unset.", "type": "string" }, "preservedState": { "description": "The intended preserved state for the given instance. Does not contain preserved state generated from a stateful policy.", "$ref": "PreservedState" }, "status": { "enumDescriptions": [ "The per-instance configuration is being applied to the instance, but is not yet effective, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration deletion is being applied on the instance, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration is effective on the instance, meaning that all disks, ips and metadata specified in this configuration are attached or set on the instance.", "*[Default]* The default status, when no per-instance configuration exists.", "The per-instance configuration is set on an instance but not been applied yet.", "The per-instance configuration has been deleted, but the deletion is not yet applied." ], "enum": [ "APPLYING", "DELETING", "EFFECTIVE", "NONE", "UNAPPLIED", "UNAPPLIED_DELETION" ], "type": "string", "description": "The status of applying this per-instance configuration on the corresponding managed instance." }, "name": { "description": "The name of a per-instance configuration and its corresponding instance. Serves as a merge key during UpdatePerInstanceConfigs operations, that is, if a per-instance configuration with the same name exists then it will be updated, otherwise a new one will be created for the VM instance with the same name. An attempt to create a per-instance configconfiguration for a VM instance that either doesn't exist or is not part of the group will result in an error.", "type": "string" } } }, "HttpRouteRule": { "properties": { "routeAction": { "description": "In response to a matching matchRule, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of urlRedirect, service or routeAction.weightedBackendService must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a route rule's routeAction.", "$ref": "HttpRouteAction" }, "httpFilterMetadata": { "description": "Outbound route specific metadata supplied to networkservices.HttpFilter resources enabled by Traffic Director. httpFilterMetadata only applies for load balancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details. The only configTypeUrl supported is type.googleapis.com/google.protobuf.Struct Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "type": "array", "items": { "$ref": "HttpFilterConfig" } }, "priority": { "description": "For routeRules within a given pathMatcher, priority determines the order in which a load balancer interprets routeRules. RouteRules are evaluated in order of priority, from the lowest to highest number. The priority of a rule decreases as its number increases (1, 2, 3, N+1). The first rule that matches the request is applied. You cannot configure two or more routeRules with the same priority. Priority for each rule must be set to a number from 0 to 2147483647 inclusive. Priority numbers can have gaps, which enable you to add or remove rules in the future without affecting the rest of the rules. For example, 1, 2, 3, 4, 5, 9, 12, 16 is a valid series of priority numbers to which you could add rules numbered from 6 to 8, 10 to 11, and 13 to 15 in the future without any impact on existing rules.", "format": "int32", "type": "integer" }, "description": { "type": "string", "description": "The short description conveying the intent of this routeRule. The description can have a maximum length of 1024 characters." }, "matchRules": { "items": { "$ref": "HttpRouteRuleMatch" }, "type": "array", "description": "The list of criteria for matching attributes of a request to this routeRule. This list has OR semantics: the request matches this routeRule when any of the matchRules are satisfied. However predicates within a given matchRule have AND semantics. All predicates within a matchRule must match for the request to match the rule." }, "urlRedirect": { "$ref": "HttpRedirectAction", "description": "When this rule is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." }, "service": { "type": "string", "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set." }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction value specified here is applied before the matching pathMatchers[].headerAction and after pathMatchers[].routeRules[].routeAction.weightedBackendService.backendServiceWeightAction[].headerAction HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "httpFilterConfigs": { "description": "Outbound route specific configuration for networkservices.HttpFilter resources enabled by Traffic Director. httpFilterConfigs only applies for load balancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "type": "array", "items": { "$ref": "HttpFilterConfig" } } }, "type": "object", "description": "The HttpRouteRule setting specifies how to match an HTTP request and the corresponding routing action that load balancing proxies perform.", "id": "HttpRouteRule" }, "RegionInstanceGroupManagerDeleteInstanceConfigReq": { "type": "object", "description": "RegionInstanceGroupManagers.deletePerInstanceConfigs", "id": "RegionInstanceGroupManagerDeleteInstanceConfigReq", "properties": { "names": { "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group.", "type": "array", "items": { "type": "string" } } } }, "PacketMirroringMirroredResourceInfoInstanceInfo": { "type": "object", "id": "PacketMirroringMirroredResourceInfoInstanceInfo", "properties": { "canonicalUrl": { "description": "[Output Only] Unique identifier for the instance; defined by the server.", "type": "string" }, "url": { "type": "string", "description": "Resource URL to the virtual machine instance which is being mirrored." } } }, "ConfidentialInstanceConfig": { "id": "ConfidentialInstanceConfig", "description": "A set of Confidential Instance options.", "properties": { "enableConfidentialCompute": { "description": "Defines whether the instance should have confidential compute enabled.", "type": "boolean" } }, "type": "object" }, "HttpRetryPolicy": { "description": "The retry policy associates with HttpRouteRule", "type": "object", "properties": { "retryConditions": { "items": { "type": "string" }, "type": "array", "description": "Specifies one or more conditions when this retry policy applies. Valid values are: - 5xx: retry is attempted if the instance or endpoint responds with any 5xx response code, or if the instance or endpoint does not respond at all. For example, disconnects, reset, read timeout, connection failure, and refused streams. - gateway-error: Similar to 5xx, but only applies to response codes 502, 503 or 504. - connect-failure: a retry is attempted on failures connecting to the instance or endpoint. For example, connection timeouts. - retriable-4xx: a retry is attempted if the instance or endpoint responds with a 4xx response code. The only error that you can retry is error code 409. - refused-stream: a retry is attempted if the instance or endpoint resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry. - cancelled: a retry is attempted if the gRPC status code in the response header is set to cancelled. - deadline-exceeded: a retry is attempted if the gRPC status code in the response header is set to deadline-exceeded. - internal: a retry is attempted if the gRPC status code in the response header is set to internal. - resource-exhausted: a retry is attempted if the gRPC status code in the response header is set to resource-exhausted. - unavailable: a retry is attempted if the gRPC status code in the response header is set to unavailable. Only the following codes are supported when the URL map is bound to target gRPC proxy that has validateForProxyless field set to true. - cancelled - deadline-exceeded - internal - resource-exhausted - unavailable " }, "perTryTimeout": { "description": "Specifies a non-zero timeout per retry attempt. If not specified, will use the timeout set in the HttpRouteAction field. If timeout in the HttpRouteAction field is not set, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "Duration" }, "numRetries": { "format": "uint32", "description": "Specifies the allowed number retries. This number must be \u003e 0. If not specified, defaults to 1.", "type": "integer" } }, "id": "HttpRetryPolicy" }, "PathMatcher": { "properties": { "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "defaultService": { "type": "string", "description": "The full or partial URL to the BackendService resource. This URL is used if none of the pathRules or routeRules defined by this PathMatcher are matched. For example, the following are all valid URLs to a BackendService resource: - https://www.googleapis.com/compute/v1/projects/project /global/backendServices/backendService - compute/v1/projects/project/global/backendServices/backendService - global/backendServices/backendService If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if defaultRouteAction specifies any weightedBackendServices, defaultService must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. Authorization requires one or more of the following Google IAM permissions on the specified resource default_service: - compute.backendBuckets.use - compute.backendServices.use " }, "headerAction": { "description": "Specifies changes to request and response headers that need to take effect for the selected backend service. HeaderAction specified here are applied after the matching HttpRouteRule HeaderAction and before the HeaderAction in the UrlMap HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "HttpHeaderAction" }, "defaultRouteAction": { "description": "defaultRouteAction takes effect when none of the pathRules or routeRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a path matcher's defaultRouteAction.", "$ref": "HttpRouteAction" }, "defaultUrlRedirect": { "$ref": "HttpRedirectAction", "description": "When none of the specified pathRules or routeRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." }, "name": { "description": "The name to which this PathMatcher is referred by the HostRule.", "type": "string" }, "pathRules": { "type": "array", "items": { "$ref": "PathRule" }, "description": "The list of path rules. Use this list instead of routeRules when routing based on simple path matching is all that's required. The order by which path rules are specified does not matter. Matches are always done on the longest-path-first basis. For example: a pathRule with a path /a/b/c/* will match before /a/b/* irrespective of the order in which those paths appear in this list. Within a given pathMatcher, only one of pathRules or routeRules must be set." }, "routeRules": { "items": { "$ref": "HttpRouteRule" }, "description": "The list of HTTP route rules. Use this list instead of pathRules when advanced route matching and routing actions are desired. routeRules are evaluated in order of priority, from the lowest to highest number. Within a given pathMatcher, you can set only one of pathRules or routeRules.", "type": "array" } }, "description": "A matcher for the path portion of the URL. The BackendService from the longest-matched rule will serve the URL. If no rule was matched, the default service is used.", "type": "object", "id": "PathMatcher" }, "ForwardingRuleAggregatedList": { "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of ForwardingRulesScopedList resources.", "additionalProperties": { "$ref": "ForwardingRulesScopedList", "description": "Name of the scope containing this set of addresses." }, "type": "object" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#forwardingRuleAggregatedList for lists of forwarding rules.", "default": "compute#forwardingRuleAggregatedList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message.", "type": "object" } }, "id": "ForwardingRuleAggregatedList", "type": "object" }, "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig": { "type": "object", "description": "Configuration options for L7 DDoS detection.", "properties": { "ruleVisibility": { "type": "string", "enumDescriptions": [ "", "" ], "description": "Rule visibility can be one of the following: STANDARD - opaque rules. (default) PREMIUM - transparent rules.", "enum": [ "PREMIUM", "STANDARD" ] }, "enable": { "description": "If set to true, enables CAAP for L7 DDoS detection.", "type": "boolean" } }, "id": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig" }, "InstanceGroupManager": { "id": "InstanceGroupManager", "properties": { "currentActions": { "description": "[Output Only] The list of instance actions and the number of instances in this managed instance group that are scheduled for each of those actions.", "$ref": "InstanceGroupManagerActionsSummary" }, "autoHealingPolicies": { "description": "The autohealing policy for this managed instance group. You can specify only one value.", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" }, "type": "array" }, "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "type": "string" }, "baseInstanceName": { "pattern": "[a-z][-a-z0-9]{0,57}", "description": "The base instance name to use for instances in this group. The value must be 1-58 characters long. Instances are named by appending a hyphen and a random four-character string to the base instance name. The base instance name must comply with RFC1035.", "annotations": { "required": [ "compute.instanceGroupManagers.insert" ] }, "type": "string" }, "statefulPolicy": { "description": "Stateful configuration for this Instanced Group Manager", "$ref": "StatefulPolicy" }, "namedPorts": { "description": "Named ports configured for the Instance Groups complementary to this Instance Group Manager.", "items": { "$ref": "NamedPort" }, "type": "array" }, "status": { "description": "[Output Only] The status of this managed instance group.", "$ref": "InstanceGroupManagerStatus" }, "distributionPolicy": { "$ref": "DistributionPolicy", "description": "Policy specifying the intended distribution of managed instances across zones in a regional managed instance group." }, "updatePolicy": { "description": "The update policy for this managed instance group.", "$ref": "InstanceGroupManagerUpdatePolicy" }, "failoverAction": { "enumDescriptions": [ "", "" ], "type": "string", "description": "The action to perform in case of zone failure. Only one value is supported, NO_FAILOVER. The default is NO_FAILOVER.", "enum": [ "NO_FAILOVER", "UNKNOWN" ] }, "serviceAccount": { "type": "string", "description": "The service account to be used as credentials for all operations performed by the managed instance group on instances. The service accounts needs all permissions required to create and delete instances. By default, the service account {projectNumber}@cloudservices.gserviceaccount.com is used." }, "listManagedInstancesResults": { "enumDescriptions": [ "(Default) Pagination is disabled for the group's listManagedInstances API method. maxResults and pageToken query parameters are ignored and all instances are returned in a single response.", "Pagination is enabled for the group's listManagedInstances API method. maxResults and pageToken query parameters are respected." ], "enum": [ "PAGELESS", "PAGINATED" ], "description": "Pagination behavior of the listManagedInstances API method for this managed instance group.", "type": "string" }, "versions": { "type": "array", "description": "Specifies the instance templates used by this managed instance group to create instances. Each version is defined by an instanceTemplate and a name. Every version can appear at most once per instance group. This field overrides the top-level instanceTemplate field. Read more about the relationships between these fields. Exactly one version must leave the targetSize field unset. That version will be applied to all remaining instances. For more information, read about canary updates.", "items": { "$ref": "InstanceGroupManagerVersion" } }, "zone": { "type": "string", "description": "[Output Only] The URL of a zone where the managed instance group is located (for zonal resources)." }, "name": { "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the managed instance group. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier." }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the managed instance group resides (for regional resources)." }, "allInstancesConfig": { "$ref": "InstanceGroupManagerAllInstancesConfig", "description": "Specifies configuration that overrides the instance template configuration for the group." }, "description": { "description": "An optional description of this resource.", "type": "string" }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupManager for managed instance groups.", "type": "string", "default": "compute#instanceGroupManager" }, "targetPools": { "type": "array", "description": "The URLs for all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.", "items": { "type": "string" } }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. This field may be used in optimistic locking. It will be ignored when inserting an InstanceGroupManager. An up-to-date fingerprint must be provided in order to update the InstanceGroupManager, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InstanceGroupManager." }, "selfLink": { "description": "[Output Only] The URL for this managed instance group. The server defines this URL.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this managed instance group in RFC3339 text format.", "type": "string" }, "targetSize": { "description": "The target number of running instances for this managed instance group. You can reduce this number by using the instanceGroupManager deleteInstances or abandonInstances methods. Resizing the group also changes this number.", "format": "int32", "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "type": "integer" }, "instanceGroup": { "type": "string", "description": "[Output Only] The URL of the Instance Group resource." } }, "description": "Represents a Managed Instance Group resource. An instance group is a collection of VM instances that you can manage as a single entity. For more information, read Instance groups. For zonal Managed Instance Group, use the instanceGroupManagers resource. For regional Managed Instance Group, use the regionInstanceGroupManagers resource.", "type": "object" }, "DiskList": { "description": "A list of Disk resources.", "id": "DiskList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#diskList for lists of disks.", "type": "string", "default": "compute#diskList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "items": { "items": { "$ref": "Disk" }, "type": "array", "description": "A list of Disk resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object" }, "FirewallPolicyRuleSecureTag": { "id": "FirewallPolicyRuleSecureTag", "properties": { "name": { "type": "string", "description": "Name of the secure tag, created with TagManager's TagValue API.", "pattern": "tagValues/[0-9]+" }, "state": { "enumDescriptions": [ "", "" ], "description": "[Output Only] State of the secure tag, either `EFFECTIVE` or `INEFFECTIVE`. A secure tag is `INEFFECTIVE` when it is deleted or its network is deleted.", "enum": [ "EFFECTIVE", "INEFFECTIVE" ], "type": "string" } }, "type": "object" }, "RouterStatusResponse": { "id": "RouterStatusResponse", "properties": { "result": { "$ref": "RouterStatus" }, "kind": { "type": "string", "default": "compute#routerStatusResponse", "description": "Type of resource." } }, "type": "object" }, "InstancesSetMinCpuPlatformRequest": { "id": "InstancesSetMinCpuPlatformRequest", "type": "object", "properties": { "minCpuPlatform": { "description": "Minimum cpu/platform this instance should be started at.", "type": "string" } } }, "NetworkEndpoint": { "id": "NetworkEndpoint", "description": "The network endpoint.", "type": "object", "properties": { "fqdn": { "type": "string", "description": "Optional fully qualified domain name of network endpoint. This can only be specified when NetworkEndpointGroup.network_endpoint_type is NON_GCP_FQDN_PORT." }, "instance": { "description": "The name for a specific VM instance that the IP address belongs to. This is required for network endpoints of type GCE_VM_IP_PORT. The instance must be in the same zone of network endpoint group. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Metadata defined as annotations on the network endpoint." }, "ipAddress": { "type": "string", "description": "Optional IPv4 address of network endpoint. The IP address must belong to a VM in Compute Engine (either the primary IP or as part of an aliased IP range). If the IP address is not specified, then the primary IP address for the VM instance in the network that the network endpoint group belongs to will be used." }, "port": { "type": "integer", "format": "int32", "description": "Optional port number of network endpoint. If not specified, the defaultPort for the network endpoint group will be used." } } }, "InstanceGroupManagerStatusAllInstancesConfig": { "properties": { "effective": { "description": "[Output Only] A bit indicating whether this configuration has been applied to all managed instances in the group.", "type": "boolean" }, "currentRevision": { "description": "[Output Only] Current all-instances configuration revision. This value is in RFC3339 text format.", "type": "string" } }, "type": "object", "id": "InstanceGroupManagerStatusAllInstancesConfig" }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "exemptedMembers": { "description": "This is deprecated and has no effect. Do not use.", "type": "array", "items": { "type": "string" } } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "type": "object" }, "VpnTunnel": { "type": "object", "properties": { "peerExternalGatewayInterface": { "format": "int32", "description": "The interface ID of the external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created.", "type": "integer" }, "ikeVersion": { "type": "integer", "description": "IKE protocol version to use when establishing the VPN tunnel with the peer VPN gateway. Acceptable IKE versions are 1 or 2. The default version is 2.", "format": "int32" }, "peerExternalGateway": { "type": "string", "description": "URL of the peer side external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field is exclusive with the field peerGcpGateway." }, "region": { "description": "[Output Only] URL of the region where the VPN tunnel resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "sharedSecret": { "type": "string", "description": "Shared secret used to set the secure session between the Cloud VPN gateway and the peer VPN gateway." }, "peerGcpGateway": { "description": "URL of the peer side HA GCP VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field can be used when creating highly available VPN from VPC network to VPC network, the field is exclusive with the field peerExternalGateway. If provided, the VPN tunnel will automatically use the same vpnGatewayInterface ID in the peer GCP VPN gateway.", "type": "string" }, "vpnGatewayInterface": { "description": "The interface ID of the VPN gateway with which this VPN tunnel is associated.", "format": "int32", "type": "integer" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "labels": { "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" } }, "status": { "enumDescriptions": [ "Cloud VPN is in the process of allocating all required resources (specifically, a borg task).", "Auth error (e.g. bad shared secret).", "Resources is being deallocated for the VPN tunnel.", "Secure session is successfully established with peer VPN.", "Tunnel creation has failed and the tunnel is not ready to be used.", "Successful first handshake with peer VPN.", "Handshake failed.", "Deprecated, replaced by NO_INCOMING_PACKETS", "No incoming packets from peer", "Resource is being allocated for the VPN tunnel.", "Tunnel configuration was rejected, can be result of being denylisted.", "Tunnel is stopped due to its Forwarding Rules being deleted.", "Waiting to receive all VPN-related configs from user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule and Route resources are needed to setup VPN tunnel." ], "type": "string", "enum": [ "ALLOCATING_RESOURCES", "AUTHORIZATION_ERROR", "DEPROVISIONING", "ESTABLISHED", "FAILED", "FIRST_HANDSHAKE", "NEGOTIATION_FAILURE", "NETWORK_ERROR", "NO_INCOMING_PACKETS", "PROVISIONING", "REJECTED", "STOPPED", "WAITING_FOR_FULL_CONFIG" ], "description": "[Output Only] The status of the VPN tunnel, which can be one of the following: - PROVISIONING: Resource is being allocated for the VPN tunnel. - WAITING_FOR_FULL_CONFIG: Waiting to receive all VPN-related configs from the user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule, and Route resources are needed to setup the VPN tunnel. - FIRST_HANDSHAKE: Successful first handshake with the peer VPN. - ESTABLISHED: Secure session is successfully established with the peer VPN. - NETWORK_ERROR: Deprecated, replaced by NO_INCOMING_PACKETS - AUTHORIZATION_ERROR: Auth error (for example, bad shared secret). - NEGOTIATION_FAILURE: Handshake failed. - DEPROVISIONING: Resources are being deallocated for the VPN tunnel. - FAILED: Tunnel creation has failed and the tunnel is not ready to be used. - NO_INCOMING_PACKETS: No incoming packets from peer. - REJECTED: Tunnel configuration was rejected, can be result of being denied access. - ALLOCATING_RESOURCES: Cloud VPN is in the process of allocating all required resources. - STOPPED: Tunnel is stopped due to its Forwarding Rules being deleted for Classic VPN tunnels or the project is in frozen state. - PEER_IDENTITY_MISMATCH: Peer identity does not match peer IP, probably behind NAT. - TS_NARROWING_NOT_ALLOWED: Traffic selector narrowing not allowed for an HA-VPN tunnel. " }, "detailedStatus": { "type": "string", "description": "[Output Only] Detailed status message for the VPN tunnel." }, "targetVpnGateway": { "type": "string", "description": "URL of the Target VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created." }, "peerIp": { "description": "IP address of the peer VPN gateway. Only IPv4 is supported.", "type": "string" }, "router": { "description": "URL of the router resource to be used for dynamic routing.", "type": "string" }, "remoteTrafficSelector": { "items": { "type": "string" }, "description": "Remote traffic selectors to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported.", "type": "array" }, "sharedSecretHash": { "type": "string", "description": "Hash of the shared secret." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "localTrafficSelector": { "type": "array", "description": "Local traffic selector to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges must be disjoint. Only IPv4 is supported.", "items": { "type": "string" } }, "kind": { "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.", "type": "string", "default": "compute#vpnTunnel" }, "labelFingerprint": { "type": "string", "description": "A fingerprint for the labels being applied to this VpnTunnel, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a VpnTunnel.", "format": "byte" }, "vpnGateway": { "type": "string", "description": "URL of the VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created. This must be used (instead of target_vpn_gateway) if a High Availability VPN gateway resource is created." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.vpnTunnels.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "id": "VpnTunnel", "description": "Represents a Cloud VPN Tunnel resource. For more information about VPN, read the the Cloud VPN Overview." }, "ShieldedVmConfig": { "properties": { "enableIntegrityMonitoring": { "description": "Defines whether the instance has integrity monitoring enabled.", "type": "boolean" }, "enableVtpm": { "type": "boolean", "description": "Defines whether the instance has the vTPM enabled." }, "enableSecureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled." } }, "type": "object", "description": "A set of Shielded VM options.", "id": "ShieldedVmConfig" }, "TargetVpnGatewayAggregatedList": { "properties": { "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of target VPN gateways.", "$ref": "TargetVpnGatewaysScopedList" }, "type": "object", "description": "A list of TargetVpnGateway resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.", "default": "compute#targetVpnGatewayAggregatedList", "type": "string" } }, "type": "object", "id": "TargetVpnGatewayAggregatedList" }, "InterconnectList": { "description": "Response to the list request, and contains a list of interconnects.", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#interconnectList", "description": "[Output Only] Type of resource. Always compute#interconnectList for lists of interconnects.", "type": "string" }, "items": { "type": "array", "description": "A list of Interconnect resources.", "items": { "$ref": "Interconnect" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "type": "object", "id": "InterconnectList" }, "Subnetwork": { "type": "object", "description": "Represents a Subnetwork resource. A subnetwork (also known as a subnet) is a logical partition of a Virtual Private Cloud network with one primary IP range and zero or more secondary IP ranges. For more information, read Virtual Private Cloud (VPC) Network.", "properties": { "ipv6CidrRange": { "type": "string", "description": "[Output Only] This field is for internal use." }, "logConfig": { "$ref": "SubnetworkLogConfig", "description": "This field denotes the VPC flow logging options for this subnetwork. If logging is enabled, logs are exported to Cloud Logging." }, "allowSubnetCidrRoutesOverlap": { "description": "Whether this subnetwork's ranges can conflict with existing static routes. Setting this to true allows this subnetwork's primary and secondary ranges to overlap with (and contain) static routes that have already been configured on the corresponding network. For example if a static route has range 10.1.0.0/16, a subnet range 10.0.0.0/8 could only be created if allow_conflicting_routes=true. Overlapping is only allowed on subnetwork operations; routes whose ranges conflict with this subnetwork's ranges won't be allowed unless route.allow_conflicting_subnetworks is set to true. Typically packets destined to IPs within the subnetwork (which may contain private/sensitive data) are prevented from leaving the virtual network. Setting this field to true will disable this feature. The default value is false and applies to all existing subnetworks and automatically created subnetworks. This field cannot be set to true at resource creation time.", "type": "boolean" }, "privateIpv6GoogleAccess": { "type": "string", "enum": [ "DISABLE_GOOGLE_ACCESS", "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE" ], "enumDescriptions": [ "Disable private IPv6 access to/from Google services.", "Bidirectional private IPv6 access to/from Google services.", "Outbound private IPv6 access from VMs in this subnet to Google services." ], "description": "This field is for internal use. This field can be both set at resource creation time and updated using patch." }, "region": { "description": "URL of the region where the Subnetwork resides. This field can be set only at resource creation time.", "type": "string" }, "stackType": { "type": "string", "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ], "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch." }, "ipv6AccessType": { "type": "string", "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ], "enum": [ "EXTERNAL", "INTERNAL" ], "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack." }, "state": { "enumDescriptions": [ "Subnetwork is being drained.", "Subnetwork is ready for use." ], "description": "[Output Only] The state of the subnetwork, which can be one of the following values: READY: Subnetwork is created and ready to use DRAINING: only applicable to subnetworks that have the purpose set to INTERNAL_HTTPS_LOAD_BALANCER and indicates that connections to the load balancer are being drained. A subnetwork that is draining cannot be used or modified until it reaches a status of READY", "type": "string", "enum": [ "DRAINING", "READY" ] }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "role": { "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request.", "type": "string", "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ], "enum": [ "ACTIVE", "BACKUP" ] }, "privateIpGoogleAccess": { "type": "boolean", "description": "Whether the VMs in this subnet can access Google services without assigned external IP addresses. This field can be both set at resource creation time and updated using setPrivateIpGoogleAccess." }, "enableFlowLogs": { "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled. This field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "type": "boolean" }, "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time." }, "internalIpv6Prefix": { "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "gatewayAddress": { "type": "string", "description": "[Output Only] The gateway address for default routes to reach destination addresses outside this subnetwork." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "kind": { "default": "compute#subnetwork", "description": "[Output Only] Type of the resource. Always compute#subnetwork for Subnetwork resources.", "type": "string" }, "ipCidrRange": { "type": "string", "description": "The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 100.64.0.0/10. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported. This field is set at resource creation time. The range can be any range listed in the Valid ranges list. The range can be expanded after creation using expandIpCidrRange." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a Subnetwork. An up-to-date fingerprint must be provided in order to update the Subnetwork, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a Subnetwork.", "format": "byte", "type": "string" }, "secondaryIpRanges": { "type": "array", "items": { "$ref": "SubnetworkSecondaryRange" }, "description": "An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges. This field can be updated with a patch request." }, "network": { "type": "string", "description": "The URL of the network to which this subnetwork belongs, provided by the client when initially creating the subnetwork. This field can be set only at resource creation time." }, "purpose": { "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "enumDescriptions": [ "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ], "type": "string", "enum": [ "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ] } }, "id": "Subnetwork" }, "TargetGrpcProxy": { "id": "TargetGrpcProxy", "properties": { "selfLinkWithId": { "description": "[Output Only] Server-defined URL with id for the resource.", "type": "string" }, "urlMap": { "type": "string", "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService. The protocol field in the BackendService must be set to GRPC." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "fingerprint": { "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetGrpcProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetGrpcProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetGrpcProxy.", "format": "byte" }, "validateForProxyless": { "description": "If true, indicates that the BackendServices referenced by the urlMap may be accessed by gRPC applications without using a sidecar proxy. This will enable configuration checks on urlMap and its referenced BackendServices to not allow unsupported features. A gRPC application must use \"xds:///\" scheme in the target URI of the service it is connecting to. If false, indicates that the BackendServices referenced by the urlMap will be accessed by gRPC applications via a sidecar proxy. In this case, a gRPC application must not use \"xds:///\" scheme in the target URI of the service it is connecting to", "type": "boolean" }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string", "format": "uint64" }, "kind": { "default": "compute#targetGrpcProxy", "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.targetGrpcProxies.insert" ] } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "description": "Represents a Target gRPC Proxy resource. A target gRPC proxy is a component of load balancers intended for load balancing gRPC traffic. Only global forwarding rules with load balancing scheme INTERNAL_SELF_MANAGED can reference a target gRPC proxy. The target gRPC Proxy references a URL map that specifies how traffic is routed to gRPC backend services.", "type": "object" }, "ResourcePolicyHourlyCycle": { "description": "Time window specified for hourly operations.", "id": "ResourcePolicyHourlyCycle", "properties": { "startTime": { "type": "string", "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT." }, "duration": { "type": "string", "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario." }, "hoursInCycle": { "type": "integer", "format": "int32", "description": "Defines a schedule with units measured in hours. The value determines how many hours pass between the start of each cycle." } }, "type": "object" }, "ExternalVpnGatewayInterface": { "id": "ExternalVpnGatewayInterface", "properties": { "ipAddress": { "description": "IP address of the interface in the external VPN gateway. Only IPv4 is supported. This IP address can be either from your on-premise gateway or another Cloud provider's VPN gateway, it cannot be an IP address from Google Compute Engine.", "type": "string" }, "id": { "description": "The numeric ID of this interface. The allowed input values for this id for different redundancy types of external VPN gateway: - SINGLE_IP_INTERNALLY_REDUNDANT - 0 - TWO_IPS_REDUNDANCY - 0, 1 - FOUR_IPS_REDUNDANCY - 0, 1, 2, 3 ", "format": "uint32", "type": "integer" } }, "description": "The interface for the external VPN gateway.", "type": "object" }, "RegionInstanceGroupManagersSetTargetPoolsRequest": { "id": "RegionInstanceGroupManagersSetTargetPoolsRequest", "properties": { "targetPools": { "type": "array", "description": "The URL of all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.", "items": { "type": "string" } }, "fingerprint": { "description": "Fingerprint of the target pools information, which is a hash of the contents. This field is used for optimistic locking when you update the target pool entries. This field is optional.", "format": "byte", "type": "string" } }, "type": "object" }, "RegionInstanceGroupManagersDeleteInstancesRequest": { "id": "RegionInstanceGroupManagersDeleteInstancesRequest", "properties": { "skipInstancesOnValidationError": { "type": "boolean", "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region." }, "instances": { "type": "array", "items": { "type": "string" }, "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "type": "object" }, "VpnTunnelList": { "type": "object", "properties": { "items": { "items": { "$ref": "VpnTunnel" }, "type": "array", "description": "A list of VpnTunnel resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#vpnTunnelList", "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "VpnTunnelList", "description": "Contains a list of VpnTunnel resources." }, "ResourceCommitment": { "id": "ResourceCommitment", "properties": { "acceleratorType": { "type": "string", "description": "Name of the accelerator type resource. Applicable only when the type is ACCELERATOR." }, "amount": { "description": "The amount of the resource purchased (in a type-dependent unit, such as bytes). For vCPUs, this can just be an integer. For memory, this must be provided in MB. Memory must be a multiple of 256 MB, with up to 6.5GB of memory per every vCPU.", "format": "int64", "type": "string" }, "type": { "enum": [ "ACCELERATOR", "LOCAL_SSD", "MEMORY", "UNSPECIFIED", "VCPU" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "description": "Type of resource for which this commitment applies. Possible values are VCPU and MEMORY" } }, "type": "object", "description": "Commitment for a particular resource (a Commitment is composed of one or more of these)." }, "VmEndpointNatMappings": { "properties": { "interfaceNatMappings": { "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappings" }, "type": "array" }, "instanceName": { "type": "string", "description": "Name of the VM instance which the endpoint belongs to" } }, "type": "object", "description": "Contain information of Nat mapping for a VM endpoint (i.e., NIC).", "id": "VmEndpointNatMappings" }, "HealthCheckServiceReference": { "properties": { "healthCheckService": { "type": "string" } }, "id": "HealthCheckServiceReference", "description": "A full or valid partial URL to a health check service. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/regions/us-west1/healthCheckServices/health-check-service - projects/project-id/regions/us-west1/healthCheckServices/health-check-service - regions/us-west1/healthCheckServices/health-check-service ", "type": "object" }, "Metadata": { "type": "object", "description": "A metadata key/value entry.", "properties": { "fingerprint": { "format": "byte", "description": "Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the resource.", "type": "string" }, "items": { "type": "array", "description": "Array of key/value pairs. The total size of all keys and values must be less than 512 KB.", "items": { "description": "Metadata", "type": "object", "properties": { "key": { "description": "Key for the metadata entry. Keys must conform to the following regexp: [a-zA-Z0-9-_]+, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project.", "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "type": "string", "pattern": "[a-zA-Z0-9-_]{1,128}" }, "value": { "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "description": "Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB).", "type": "string" } } } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#metadata for metadata.", "default": "compute#metadata", "type": "string" } }, "id": "Metadata" }, "PacketMirroringFilter": { "properties": { "direction": { "enum": [ "BOTH", "EGRESS", "INGRESS" ], "enumDescriptions": [ "Default, both directions are mirrored.", "Only egress traffic is mirrored.", "Only ingress traffic is mirrored." ], "type": "string", "description": "Direction of traffic to mirror, either INGRESS, EGRESS, or BOTH. The default is BOTH." }, "IPProtocols": { "description": "Protocols that apply as filter on mirrored traffic. If no protocols are specified, all traffic that matches the specified CIDR ranges is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored.", "type": "array", "items": { "type": "string" } }, "cidrRanges": { "description": "IP CIDR ranges that apply as filter on the source (ingress) or destination (egress) IP in the IP header. Only IPv4 is supported. If no ranges are specified, all traffic that matches the specified IPProtocols is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored.", "items": { "type": "string" }, "type": "array" } }, "id": "PacketMirroringFilter", "type": "object" }, "Network": { "properties": { "kind": { "type": "string", "default": "compute#network", "description": "[Output Only] Type of the resource. Always compute#network for networks." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "gatewayIPv4": { "type": "string", "description": "[Output Only] The gateway address for default routing out of the network, selected by GCP.", "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}" }, "enableUlaInternalIpv6": { "type": "boolean", "description": "Enable ULA internal ipv6 on this network. Enabling this feature will assign a /48 from google defined ULA prefix fd20::/20. ." }, "subnetworks": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Server-defined fully-qualified URLs for all subnetworks in this VPC network." }, "peerings": { "description": "[Output Only] A list of network peerings for the resource.", "items": { "$ref": "NetworkPeering" }, "type": "array" }, "internalIpv6Range": { "type": "string", "description": "When enabling ula internal ipv6, caller optionally can specify the /48 range they want from the google defined ULA prefix fd20::/20. The input must be a valid /48 ULA IPv6 address and must be within the fd20::/20. Operation will fail if the speficied /48 is already in used by another resource. If the field is not speficied, then a /48 range will be randomly allocated from fd20::/20 and returned via this field. ." }, "name": { "annotations": { "required": [ "compute.networks.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "IPv4Range": { "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}/[0-9]{1,2}", "description": "Deprecated in favor of subnet mode networks. The range of internal addresses that are legal on this network. This range is a CIDR specification, for example: 192.168.0.0/16. Provided by the client when the network is created.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "networkFirewallPolicyEnforcementOrder": { "enum": [ "AFTER_CLASSIC_FIREWALL", "BEFORE_CLASSIC_FIREWALL" ], "description": "The network firewall policy enforcement order. Can be either AFTER_CLASSIC_FIREWALL or BEFORE_CLASSIC_FIREWALL. Defaults to AFTER_CLASSIC_FIREWALL if the field is not specified.", "enumDescriptions": [ "", "" ], "type": "string" }, "autoCreateSubnetworks": { "description": "Must be set to create a VPC network. If not set, a legacy network is created. When set to true, the VPC network is created in auto mode. When set to false, the VPC network is created in custom mode. An auto mode VPC network starts with one subnet per region. Each subnet has a predetermined range as described in Auto mode VPC network IP ranges. For custom mode VPC networks, you can add subnets using the subnetworks insert method.", "type": "boolean" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "routingConfig": { "$ref": "NetworkRoutingConfig", "description": "The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce." }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "mtu": { "type": "integer", "format": "int32", "description": "Maximum Transmission Unit in bytes. The minimum value for this field is 1460 and the maximum value is 1500 bytes. If unspecified, defaults to 1460." } }, "description": "Represents a VPC Network resource. Networks connect resources to each other and to the internet. For more information, read Virtual Private Cloud (VPC) Network.", "type": "object", "id": "Network" }, "VpnGatewayList": { "id": "VpnGatewayList", "properties": { "items": { "description": "A list of VpnGateway resources.", "type": "array", "items": { "$ref": "VpnGateway" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "kind": { "default": "compute#vpnGatewayList", "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object", "description": "Contains a list of VpnGateway resources." }, "OperationsScopedList": { "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "[Output Only] A list of operations contained in this scope." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning which replaces the list of operations when the list is empty.", "type": "object" } }, "type": "object", "id": "OperationsScopedList" }, "HTTPHealthCheck": { "id": "HTTPHealthCheck", "type": "object", "properties": { "port": { "type": "integer", "format": "int32", "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535." }, "requestPath": { "description": "The request path of the HTTP health check request. The default value is /.", "type": "string" }, "host": { "description": "The value of the host header in the HTTP health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used.", "type": "string" }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "enum": [ "NONE", "PROXY_V1" ], "type": "string", "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ] }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string" } } }, "HttpQueryParameterMatch": { "type": "object", "properties": { "exactMatch": { "description": "The queryParameterMatch matches if the value of the parameter exactly matches the contents of exactMatch. Only one of presentMatch, exactMatch, or regexMatch must be set. ", "type": "string" }, "name": { "description": "The name of the query parameter to match. The query parameter must exist in the request, in the absence of which the request match fails.", "type": "string" }, "presentMatch": { "description": "Specifies that the queryParameterMatch matches if the request contains the query parameter, irrespective of whether the parameter has a value or not. Only one of presentMatch, exactMatch, or regexMatch must be set. ", "type": "boolean" }, "regexMatch": { "description": "The queryParameterMatch matches if the value of the parameter matches the regular expression specified by regexMatch. For more information about regular expression syntax, see Syntax. Only one of presentMatch, exactMatch, or regexMatch must be set. regexMatch only applies when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED. ", "type": "string" } }, "id": "HttpQueryParameterMatch", "description": "HttpRouteRuleMatch criteria for a request's query parameter." }, "MachineImage": { "properties": { "id": { "description": "[Output Only] A unique identifier for this machine image. The server defines this identifier.", "format": "uint64", "type": "string" }, "totalStorageBytes": { "format": "int64", "type": "string", "description": "[Output Only] Total size of the storage used by the machine image." }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this machine image in RFC3339 text format.", "type": "string" }, "instanceProperties": { "$ref": "InstanceProperties", "description": "[Output Only] Properties of source instance" }, "selfLink": { "description": "[Output Only] The URL for this machine image. The server defines this URL.", "type": "string" }, "guestFlush": { "type": "boolean", "description": "[Input Only] Whether to attempt an application consistent machine image by informing the OS to prepare for the snapshot process." }, "sourceDiskEncryptionKeys": { "type": "array", "description": "[Input Only] The customer-supplied encryption key of the disks attached to the source instance. Required if the source disk is protected by a customer-supplied encryption key.", "items": { "$ref": "SourceDiskEncryptionKey" } }, "savedDisks": { "items": { "$ref": "SavedDisk" }, "type": "array", "description": "An array of Machine Image specific properties for disks attached to the source instance" }, "sourceInstance": { "description": "The source instance used to create the machine image. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance ", "type": "string" }, "kind": { "description": "[Output Only] The resource type, which is always compute#machineImage for machine image.", "default": "compute#machineImage", "type": "string" }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.machineImages.insert" ] }, "type": "string" }, "storageLocations": { "description": "The regional or multi-regional Cloud Storage bucket location where the machine image is stored.", "type": "array", "items": { "type": "string" } }, "status": { "type": "string", "description": "[Output Only] The status of the machine image. One of the following values: INVALID, CREATING, READY, DELETING, and UPLOADING.", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPLOADING" ] }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "machineImageEncryptionKey": { "description": "Encrypts the machine image using a customer-supplied encryption key. After you encrypt a machine image using a customer-supplied key, you must provide the same key if you use the machine image later. For example, you must provide the encryption key when you create an instance from the encrypted machine image in a future request. Customer-supplied encryption keys do not protect access to metadata of the machine image. If you do not provide an encryption key when creating the machine image, then the machine image will be encrypted using an automatically generated key and you do not need to provide a key to use the machine image later.", "$ref": "CustomerEncryptionKey" }, "sourceInstanceProperties": { "description": "[Output Only] DEPRECATED: Please use instance_properties instead for source instance related properties. New properties will not be added to this field.", "$ref": "SourceInstanceProperties" } }, "description": "Represents a machine image resource. A machine image is a Compute Engine resource that stores all the configuration, metadata, permissions, and data from one or more disks required to create a Virtual machine (VM) instance. For more information, see Machine images.", "type": "object", "id": "MachineImage" }, "ConsistentHashLoadBalancerSettings": { "properties": { "minimumRingSize": { "format": "int64", "type": "string", "description": "The minimum number of virtual nodes to use for the hash ring. Defaults to 1024. Larger ring sizes result in more granular load distributions. If the number of hosts in the load balancing pool is larger than the ring size, each host will be assigned a single virtual node." }, "httpCookie": { "description": "Hash is based on HTTP Cookie. This field describes a HTTP cookie that will be used as the hash key for the consistent hash load balancer. If the cookie is not present, it will be generated. This field is applicable if the sessionAffinity is set to HTTP_COOKIE. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "$ref": "ConsistentHashLoadBalancerSettingsHttpCookie" }, "httpHeaderName": { "description": "The hash based on the value of the specified header field. This field is applicable if the sessionAffinity is set to HEADER_FIELD.", "type": "string" } }, "id": "ConsistentHashLoadBalancerSettings", "type": "object", "description": "This message defines settings for a consistent hash style load balancer." }, "DisksAddResourcePoliciesRequest": { "properties": { "resourcePolicies": { "description": "Full or relative path to the resource policy to be added to this disk. You can only specify one resource policy.", "items": { "type": "string" }, "type": "array" } }, "id": "DisksAddResourcePoliciesRequest", "type": "object" }, "TargetHttpProxiesScopedList": { "type": "object", "id": "TargetHttpProxiesScopedList", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "description": "Informational warning which replaces the list of backend services when the list is empty." }, "targetHttpProxies": { "items": { "$ref": "TargetHttpProxy" }, "description": "A list of TargetHttpProxies contained in this scope.", "type": "array" } } }, "SecurityPolicyAdaptiveProtectionConfig": { "type": "object", "description": "Configuration options for Cloud Armor Adaptive Protection (CAAP).", "id": "SecurityPolicyAdaptiveProtectionConfig", "properties": { "layer7DdosDefenseConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig", "description": "If set to true, enables Cloud Armor Machine Learning." }, "autoDeployConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig" } } }, "ExternalVpnGateway": { "description": "Represents an external VPN gateway. External VPN gateway is the on-premises VPN gateway(s) or another cloud provider's VPN gateway that connects to your Google Cloud VPN gateway. To create a highly available VPN from Google Cloud Platform to your VPN gateway or another cloud provider's VPN gateway, you must create a external VPN gateway resource with information about the other gateway. For more information about using external VPN gateways, see Creating an HA VPN gateway and tunnel pair to a peer VPN.", "id": "ExternalVpnGateway", "properties": { "interfaces": { "description": "A list of interfaces for this external VPN gateway. If your peer-side gateway is an on-premises gateway and non-AWS cloud providers' gateway, at most two interfaces can be provided for an external VPN gateway. If your peer side is an AWS virtual private gateway, four interfaces should be provided for an external VPN gateway.", "items": { "$ref": "ExternalVpnGatewayInterface" }, "type": "array" }, "labels": { "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" } }, "redundancyType": { "enum": [ "FOUR_IPS_REDUNDANCY", "SINGLE_IP_INTERNALLY_REDUNDANT", "TWO_IPS_REDUNDANCY" ], "enumDescriptions": [ "The external VPN gateway has four public IP addresses; at the time of writing this API, the AWS virtual private gateway is an example which has four public IP addresses for high availability connections; there should be two VPN connections in the AWS virtual private gateway , each AWS VPN connection has two public IP addresses; please make sure to put two public IP addresses from one AWS VPN connection into interfaces 0 and 1 of this external VPN gateway, and put the other two public IP addresses from another AWS VPN connection into interfaces 2 and 3 of this external VPN gateway. When displaying highly available configuration status for the VPN tunnels connected to FOUR_IPS_REDUNDANCY external VPN gateway, Google will always detect whether interfaces 0 and 1 are connected on one interface of HA Cloud VPN gateway, and detect whether interfaces 2 and 3 are connected to another interface of the HA Cloud VPN gateway.", "The external VPN gateway has only one public IP address which internally provide redundancy or failover.", "The external VPN gateway has two public IP addresses which are redundant with each other, the following two types of setup on your on-premises side would have this type of redundancy: (1) Two separate on-premises gateways, each with one public IP address, the two on-premises gateways are redundant with each other. (2) A single on-premise gateway with two public IP addresses that are redundant with eatch other." ], "description": "Indicates the user-supplied redundancy type of this external VPN gateway.", "type": "string" }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this ExternalVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an ExternalVpnGateway." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "annotations": { "required": [ "compute.externalVpnGateways.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "kind": { "default": "compute#externalVpnGateway", "description": "[Output Only] Type of the resource. Always compute#externalVpnGateway for externalVpnGateways.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "type": "object" }, "RouteAsPath": { "type": "object", "properties": { "asLists": { "description": "[Output Only] The AS numbers of the AS Path.", "items": { "format": "uint32", "type": "integer" }, "type": "array" }, "pathSegmentType": { "description": "[Output Only] The type of the AS Path, which can be one of the following values: - 'AS_SET': unordered set of autonomous systems that the route in has traversed - 'AS_SEQUENCE': ordered set of autonomous systems that the route has traversed - 'AS_CONFED_SEQUENCE': ordered set of Member Autonomous Systems in the local confederation that the route has traversed - 'AS_CONFED_SET': unordered set of Member Autonomous Systems in the local confederation that the route has traversed ", "enum": [ "AS_CONFED_SEQUENCE", "AS_CONFED_SET", "AS_SEQUENCE", "AS_SET" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" } }, "id": "RouteAsPath" }, "SecurityPolicyRuleMatcherConfig": { "type": "object", "properties": { "srcIpRanges": { "description": "CIDR IP address range. Maximum number of src_ip_ranges allowed is 10.", "items": { "type": "string" }, "type": "array" }, "layer4Configs": { "items": { "$ref": "SecurityPolicyRuleMatcherConfigLayer4Config" }, "type": "array", "description": "Pairs of IP protocols and ports that the rule should match. This field may only be specified when versioned_expr is set to FIREWALL." }, "destIpRanges": { "description": "CIDR IP address range. This field may only be specified when versioned_expr is set to FIREWALL.", "items": { "type": "string" }, "type": "array" } }, "id": "SecurityPolicyRuleMatcherConfig" }, "BackendBucketCdnPolicyCacheKeyPolicy": { "description": "Message containing what to include in the cache key for a request for Cloud CDN.", "type": "object", "properties": { "includeHttpHeaders": { "items": { "type": "string" }, "type": "array", "description": "Allows HTTP request headers (by name) to be used in the cache key." }, "queryStringWhitelist": { "type": "array", "description": "Names of query string parameters to include in cache keys. Default parameters are always included. '&' and '=' will be percent encoded and not treated as delimiters.", "items": { "type": "string" } } }, "id": "BackendBucketCdnPolicyCacheKeyPolicy" }, "CommitmentAggregatedList": { "properties": { "items": { "type": "object", "additionalProperties": { "$ref": "CommitmentsScopedList", "description": "[Output Only] Name of the scope containing this set of commitments." }, "description": "A list of CommitmentsScopedList resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#commitmentAggregatedList", "description": "[Output Only] Type of resource. Always compute#commitmentAggregatedList for aggregated lists of commitments.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } } }, "id": "CommitmentAggregatedList", "type": "object" }, "NodeTemplate": { "properties": { "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "accelerators": { "items": { "$ref": "AcceleratorConfig" }, "type": "array" }, "nodeTypeFlexibility": { "description": "The flexible properties of the desired node type. Node groups that use this node template will create nodes of a type that matches these properties. This field is mutually exclusive with the node_type property; you can only define one or the other, but not both.", "$ref": "NodeTemplateNodeTypeFlexibility" }, "nodeAffinityLabels": { "type": "object", "description": "Labels to use for node affinity, which will be used in instance scheduling.", "additionalProperties": { "type": "string" } }, "disks": { "type": "array", "items": { "$ref": "LocalDisk" } }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "name": { "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "cpuOvercommitType": { "type": "string", "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "description": "CPU overcommit.", "enumDescriptions": [ "", "", "" ] }, "status": { "type": "string", "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "description": "[Output Only] The status of the node template. One of the following values: CREATING, READY, and DELETING.", "enumDescriptions": [ "Resources are being allocated.", "The node template is currently being deleted.", "Invalid status.", "The node template is ready." ] }, "region": { "description": "[Output Only] The name of the region where the node template resides, such as us-central1.", "type": "string" }, "nodeType": { "description": "The node type to use for nodes group that are created from this template.", "type": "string" }, "serverBinding": { "$ref": "ServerBinding", "description": "Sets the binding properties for the physical server. Valid values include: - Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec upload.sh RESTART_NODE_ON_ANY_SERVER: Restarts VMs on any available physical server - RESTART_NODE_ON_MINIMAL_SERVER: Restarts VMs on the same physical server whenever possible See Sole-tenant node options for more information." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "type": "string", "default": "compute#nodeTemplate", "description": "[Output Only] The type of the resource. Always compute#nodeTemplate for node templates." }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "description": "Represent a sole-tenant Node Template resource. You can use a template to define properties for nodes in a node group. For more information, read Creating node groups and instances.", "id": "NodeTemplate", "type": "object" }, "AuthorizationLoggingOptions": { "id": "AuthorizationLoggingOptions", "description": "This is deprecated and has no effect. Do not use.", "properties": { "permissionType": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "description": "This is deprecated and has no effect. Do not use.", "type": "string", "enum": [ "ADMIN_READ", "ADMIN_WRITE", "DATA_READ", "DATA_WRITE", "PERMISSION_TYPE_UNSPECIFIED" ] } }, "type": "object" }, "BackendBucketCdnPolicyBypassCacheOnRequestHeader": { "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.", "properties": { "headerName": { "type": "string", "description": "The header field name to match on when bypassing cache. Values are case-insensitive." } }, "id": "BackendBucketCdnPolicyBypassCacheOnRequestHeader", "type": "object" }, "AdvancedMachineFeatures": { "properties": { "enableUefiNetworking": { "type": "boolean", "description": "Whether to enable UEFI networking for instance creation." }, "enableNestedVirtualization": { "type": "boolean", "description": "Whether to enable nested virtualization or not (default is false)." }, "threadsPerCore": { "type": "integer", "format": "int32", "description": "The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed." }, "visibleCoreCount": { "description": "The number of physical cores to expose to an instance. Multiply by the number of threads per core to compute the total number of virtual CPUs to expose to the instance. If unset, the number of cores is inferred from the instance's nominal CPU count and the underlying platform's SMT width.", "type": "integer", "format": "int32" } }, "id": "AdvancedMachineFeatures", "description": "Specifies options for controlling advanced machine features. Options that would traditionally be configured in a BIOS belong here. Features that require operating system support may have corresponding entries in the GuestOsFeatures of an Image (e.g., whether or not the OS in the Image supports nested virtualization being enabled or disabled).", "type": "object" }, "SecurityPolicyRule": { "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "id": "SecurityPolicyRule", "properties": { "kind": { "description": "[Output only] Type of the resource. Always compute#securityPolicyRule for security policy rules", "type": "string", "default": "compute#securityPolicyRule" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "preview": { "type": "boolean", "description": "If set to true, the specified action is not enforced." }, "ruleTupleCount": { "description": "[Output Only] Calculation of the complexity of a single firewall security policy rule.", "format": "int32", "type": "integer" }, "enableLogging": { "description": "Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules. This field may only be specified when the versioned_expr is set to FIREWALL.", "type": "boolean" }, "match": { "$ref": "SecurityPolicyRuleMatcher", "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced." }, "headerAction": { "$ref": "SecurityPolicyRuleHttpHeaderAction", "description": "Optional, additional actions that are performed on headers." }, "redirectOptions": { "description": "Parameters defining the redirect action. Cannot be specified for any other actions.", "$ref": "SecurityPolicyRuleRedirectOptions" }, "targetServiceAccounts": { "items": { "type": "string" }, "description": "A list of service accounts indicating the sets of instances that are applied with this rule.", "type": "array" }, "action": { "type": "string", "description": "The Action to perform when the rule is matched. The following are the valid actions: - allow: allow access to target. - deny(): deny access to target, returns the HTTP response code specified (valid values are 403, 404, and 502). - rate_based_ban: limit client traffic to the configured threshold and ban the client if the traffic exceeds the threshold. Configure parameters for this action in RateLimitOptions. Requires rate_limit_options to be set. - redirect: redirect to a different target. This can either be an internal reCAPTCHA redirect, or an external URL-based redirect via a 302 response. Parameters for this action can be configured via redirectOptions. - throttle: limit client traffic to the configured threshold. Configure parameters for this action in rateLimitOptions. Requires rate_limit_options to be set for this. " }, "rateLimitOptions": { "description": "Must be specified if the action is \"rate_based_ban\" or \"throttle\". Cannot be specified for any other actions.", "$ref": "SecurityPolicyRuleRateLimitOptions" }, "targetResources": { "description": "A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule. This field may only be specified when versioned_expr is set to FIREWALL.", "type": "array", "items": { "type": "string" } }, "ruleNumber": { "type": "string", "format": "int64", "description": "Identifier for the rule. This is only unique within the given security policy. This can only be set during rule creation, if rule number is not specified it will be generated by the server." }, "direction": { "enumDescriptions": [ "", "" ], "enum": [ "EGRESS", "INGRESS" ], "type": "string", "description": "The direction in which this rule applies. This field may only be specified when versioned_expr is set to FIREWALL." }, "priority": { "type": "integer", "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest priority.", "format": "int32" } }, "type": "object" }, "RouterNatLogConfig": { "description": "Configuration of logging on a NAT.", "id": "RouterNatLogConfig", "type": "object", "properties": { "enable": { "description": "Indicates whether or not to export logs. This is false by default.", "type": "boolean" }, "filter": { "type": "string", "description": "Specify the desired filtering of logs on this NAT. If unspecified, logs are exported for all connections handled by this NAT. This option can take one of the following values: - ERRORS_ONLY: Export logs only for connection failures. - TRANSLATIONS_ONLY: Export logs only for successful connections. - ALL: Export logs for all connections, successful and unsuccessful. ", "enumDescriptions": [ "Export logs for all (successful and unsuccessful) connections.", "Export logs for connection failures only.", "Export logs for successful connections only." ], "enum": [ "ALL", "ERRORS_ONLY", "TRANSLATIONS_ONLY" ] } } }, "Backend": { "id": "Backend", "properties": { "capacityScaler": { "description": "A multiplier applied to the backend's target capacity of its balancing mode. The default value is 1, which means the group serves up to 100% of its configured capacity (depending on balancingMode). A setting of 0 means the group is completely drained, offering 0% of its available capacity. The valid ranges are 0.0 and [0.1,1.0]. You cannot configure a setting larger than 0 and smaller than 0.1. You cannot configure a setting of 0 when there is only one backend attached to the backend service.", "type": "number", "format": "float" }, "maxConnections": { "format": "int32", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.", "type": "integer" }, "maxRatePerInstance": { "format": "float", "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.", "type": "number" }, "group": { "description": "The fully-qualified URL of an instance group or network endpoint group (NEG) resource. To determine what types of backends a load balancer supports, see the [Backend services overview](https://cloud.google.com/load-balancing/docs/backend-service#backends). You must use the *fully-qualified* URL (starting with https://www.googleapis.com/) to specify the instance group or NEG. Partial URLs are not supported.", "type": "string" }, "maxConnectionsPerEndpoint": { "format": "int32", "type": "integer", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE." }, "maxRatePerEndpoint": { "type": "number", "format": "float", "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION." }, "balancingMode": { "enumDescriptions": [ "Balance based on the number of simultaneous connections.", "Balance based on requests per second (RPS).", "Balance based on the backend utilization." ], "description": "Specifies how to determine whether the backend of a load balancer can handle additional traffic or is fully loaded. For usage guidelines, see Connection balancing mode. Backends must use compatible balancing modes. For more information, see Supported balancing modes and target capacity settings and Restrictions and guidance for instance groups. Note: Currently, if you use the API to configure incompatible balancing modes, the configuration might be accepted even though it has no impact and is ignored. Specifically, Backend.maxUtilization is ignored when Backend.balancingMode is RATE. In the future, this incompatible combination will be rejected.", "enum": [ "CONNECTION", "RATE", "UTILIZATION" ], "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "failover": { "type": "boolean", "description": "This field designates whether this is a failover backend. More than one failover backend can be configured for a given BackendService." }, "maxConnectionsPerInstance": { "format": "int32", "type": "integer", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE." }, "maxRate": { "format": "int32", "type": "integer", "description": "Defines a maximum number of HTTP requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION." }, "maxUtilization": { "format": "float", "type": "number", "description": "Optional parameter to define a target capacity for the UTILIZATIONbalancing mode. The valid range is [0.0, 1.0]. For usage guidelines, see Utilization balancing mode." } }, "description": "Message containing information of one individual backend.", "type": "object" }, "InstanceGroupsAddInstancesRequest": { "id": "InstanceGroupsAddInstancesRequest", "type": "object", "properties": { "instances": { "description": "The list of instances to add to the instance group.", "type": "array", "items": { "$ref": "InstanceReference" } } } }, "InstanceGroup": { "description": "Represents an Instance Group resource. Instance Groups can be used to configure a target for load balancing. Instance groups can either be managed or unmanaged. To create managed instance groups, use the instanceGroupManager or regionInstanceGroupManager resource instead. Use zonal unmanaged instance groups if you need to apply load balancing to groups of heterogeneous instances or if you need to manage the instances yourself. You cannot create regional unmanaged instance groups. For more information, read Instance groups.", "id": "InstanceGroup", "type": "object", "properties": { "creationTimestamp": { "description": "[Output Only] The creation timestamp for this instance group in RFC3339 text format.", "type": "string" }, "size": { "type": "integer", "description": "[Output Only] The total number of instances in the instance group.", "format": "int32" }, "selfLink": { "type": "string", "description": "[Output Only] The URL for this instance group. The server generates this URL." }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the instance group is located (for regional resources)." }, "fingerprint": { "type": "string", "description": "[Output Only] The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently.", "format": "byte" }, "subnetwork": { "description": "[Output Only] The URL of the subnetwork to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] A unique identifier for this instance group, generated by the server." }, "kind": { "default": "compute#instanceGroup", "description": "[Output Only] The resource type, which is always compute#instanceGroup for instance groups.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "namedPorts": { "type": "array", "items": { "$ref": "NamedPort" }, "description": " Assigns a name to a port number. For example: {name: \"http\", port: 80} This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: \"app1\", port: 8080}, {name: \"app1\", port: 8081}, {name: \"app2\", port: 8082}] Named ports apply to all instances in this instance group. " }, "network": { "description": "[Output Only] The URL of the network to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.", "annotations": { "required": [ "compute.instanceGroups.insert" ] } }, "zone": { "description": "[Output Only] The URL of the zone where the instance group is located (for zonal resources).", "type": "string" } } }, "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter": { "type": "object", "id": "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter", "properties": { "networkEndpoint": { "$ref": "NetworkEndpoint" } } }, "NetworkEndpointGroupsScopedList": { "id": "NetworkEndpointGroupsScopedList", "type": "object", "properties": { "warning": { "type": "object", "description": "[Output Only] An informational warning that replaces the list of network endpoint groups when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "networkEndpointGroups": { "items": { "$ref": "NetworkEndpointGroup" }, "type": "array", "description": "[Output Only] The list of network endpoint groups that are contained in this scope." } } }, "ConsistentHashLoadBalancerSettingsHttpCookie": { "type": "object", "properties": { "path": { "description": "Path to set for the cookie.", "type": "string" }, "name": { "type": "string", "description": "Name of the cookie." }, "ttl": { "$ref": "Duration", "description": "Lifetime of the cookie." } }, "id": "ConsistentHashLoadBalancerSettingsHttpCookie", "description": "The information about the HTTP Cookie on which the hash function is based for load balancing policies that use a consistent hash." }, "NetworkEndpointGroupAppEngine": { "properties": { "version": { "type": "string", "description": "Optional serving version. The version name is case-sensitive and must be 1-100 characters long. Example value: \"v1\", \"v2\"." }, "urlMask": { "description": "A template to parse service and version fields from a request URL. URL mask allows for routing to multiple App Engine services without having to create multiple Network Endpoint Groups and backend services. For example, the request URLs \"foo1-dot-appname.appspot.com/v1\" and \"foo1-dot-appname.appspot.com/v2\" can be backed by the same Serverless NEG with URL mask \"-dot-appname.appspot.com/\". The URL mask will parse them to { service = \"foo1\", version = \"v1\" } and { service = \"foo1\", version = \"v2\" } respectively.", "type": "string" }, "service": { "type": "string", "description": "Optional serving service. The service name is case-sensitive and must be 1-63 characters long. Example value: \"default\", \"my-service\"." } }, "type": "object", "id": "NetworkEndpointGroupAppEngine", "description": "Configuration for an App Engine network endpoint group (NEG). The service is optional, may be provided explicitly or in the URL mask. The version is optional and can only be provided explicitly or in the URL mask when service is present. Note: App Engine service must be in the same project and located in the same region as the Serverless NEG." }, "InstanceWithNamedPorts": { "id": "InstanceWithNamedPorts", "type": "object", "properties": { "instance": { "type": "string", "description": "[Output Only] The URL of the instance." }, "namedPorts": { "items": { "$ref": "NamedPort" }, "description": "[Output Only] The named ports that belong to this instance group.", "type": "array" }, "status": { "type": "string", "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "description": "[Output Only] The status of the instance.", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ] } } }, "AutoscalingPolicyLoadBalancingUtilization": { "type": "object", "properties": { "utilizationTarget": { "format": "double", "type": "number", "description": "Fraction of backend capacity utilization (set in HTTP(S) load balancing configuration) that the autoscaler maintains. Must be a positive float value. If not defined, the default is 0.8." } }, "id": "AutoscalingPolicyLoadBalancingUtilization", "description": "Configuration parameters of autoscaling based on load balancing." }, "Policy": { "id": "Policy", "properties": { "rules": { "items": { "$ref": "Rule" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "RegionList": { "properties": { "items": { "type": "array", "description": "A list of Region resources.", "items": { "$ref": "Region" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#regionList", "description": "[Output Only] Type of resource. Always compute#regionList for lists of regions.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." } }, "type": "object", "id": "RegionList", "description": "Contains a list of region resources." }, "InterconnectDiagnostics": { "description": "Diagnostics information about interconnect, contains detailed and current technical information about Google's side of the connection.", "id": "InterconnectDiagnostics", "properties": { "links": { "description": "A list of InterconnectDiagnostics.LinkStatus objects, describing the status for each link on the Interconnect.", "type": "array", "items": { "$ref": "InterconnectDiagnosticsLinkStatus" } }, "arpCaches": { "items": { "$ref": "InterconnectDiagnosticsARPEntry" }, "type": "array", "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing individual neighbors currently seen by the Google router in the ARP cache for the Interconnect. This will be empty when the Interconnect is not bundled." }, "macAddress": { "type": "string", "description": "The MAC address of the Interconnect's bundle interface." } }, "type": "object" }, "TargetTcpProxiesSetProxyHeaderRequest": { "properties": { "proxyHeader": { "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.", "type": "string", "enum": [ "NONE", "PROXY_V1" ], "enumDescriptions": [ "", "" ] } }, "type": "object", "id": "TargetTcpProxiesSetProxyHeaderRequest" }, "TargetHttpsProxiesScopedList": { "id": "TargetHttpsProxiesScopedList", "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object" }, "targetHttpsProxies": { "description": "A list of TargetHttpsProxies contained in this scope.", "type": "array", "items": { "$ref": "TargetHttpsProxy" } } }, "type": "object" }, "TargetGrpcProxyList": { "id": "TargetGrpcProxyList", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.", "default": "compute#targetGrpcProxyList" }, "items": { "type": "array", "items": { "$ref": "TargetGrpcProxy" }, "description": "A list of TargetGrpcProxy resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." } } }, "RegionInstanceGroupManagersApplyUpdatesRequest": { "description": "RegionInstanceGroupManagers.applyUpdatesToInstances", "type": "object", "id": "RegionInstanceGroupManagersApplyUpdatesRequest", "properties": { "instances": { "type": "array", "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } }, "allInstances": { "type": "boolean", "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request." }, "minimalAction": { "type": "string", "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ] }, "mostDisruptiveAllowedAction": { "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "type": "string" } } }, "InstanceManagedByIgmError": { "properties": { "error": { "$ref": "InstanceManagedByIgmErrorManagedInstanceError", "description": "[Output Only] Contents of the error." }, "instanceActionDetails": { "description": "[Output Only] Details of the instance action that triggered this error. May be null, if the error was not caused by an action on an instance. This field is optional.", "$ref": "InstanceManagedByIgmErrorInstanceActionDetails" }, "timestamp": { "type": "string", "description": "[Output Only] The time that this error occurred. This value is in RFC3339 text format." } }, "id": "InstanceManagedByIgmError", "type": "object" }, "SecurityPolicyRuleMatcher": { "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified.", "type": "object", "id": "SecurityPolicyRuleMatcher", "properties": { "expr": { "description": "User defined CEVAL expression. A CEVAL expression is used to specify match criteria such as origin.ip, source.region_code and contents in the request header.", "$ref": "Expr" }, "versionedExpr": { "enum": [ "FIREWALL", "SRC_IPS_V1" ], "description": "Preconfigured versioned expression. If this field is specified, config must also be specified. Available preconfigured expressions along with their requirements are: SRC_IPS_V1 - must specify the corresponding src_ip_range field in config.", "type": "string", "enumDescriptions": [ "", "Matches the source IP address of a request to the IP ranges supplied in config." ] }, "config": { "description": "The configuration options available when specifying versioned_expr. This field must be specified if versioned_expr is specified and cannot be specified if versioned_expr is not specified.", "$ref": "SecurityPolicyRuleMatcherConfig" } } }, "ProjectsGetXpnResources": { "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#projectsGetXpnResources for lists of service resources (a.k.a service projects)", "type": "string", "default": "compute#projectsGetXpnResources" }, "resources": { "items": { "$ref": "XpnResourceId" }, "description": "Service resources (a.k.a service projects) attached to this project as their shared VPC host.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "id": "ProjectsGetXpnResources" }, "InstanceGroupManagersDeletePerInstanceConfigsReq": { "properties": { "names": { "items": { "type": "string" }, "type": "array", "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group." } }, "description": "InstanceGroupManagers.deletePerInstanceConfigs", "id": "InstanceGroupManagersDeletePerInstanceConfigsReq", "type": "object" }, "BackendServiceLocalityLoadBalancingPolicyConfigPolicy": { "description": "The configuration for a built-in load balancing policy.", "properties": { "name": { "description": "The name of a locality load balancer policy to be used. The value should be one of the predefined ones as supported by localityLbPolicy, although at the moment only ROUND_ROBIN is supported. This field should only be populated when the customPolicy field is not used. Note that specifying the same policy more than once for a backend is not a valid configuration and will be rejected.", "type": "string", "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN", "WEIGHTED_MAGLEV" ], "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default.", "Per-instance weighted Load Balancing via health check reported weights. If set, the Backend Service must configure a non legacy HTTP-based Health Check, and health check replies are expected to contain non-standard HTTP response header field X-Load-Balancing-Endpoint-Weight to specify the per-instance weights. If set, Load Balancing is weighted based on the per-instance weights reported in the last processed health check replies, as long as every instance either reported a valid weight or had UNAVAILABLE_WEIGHT. Otherwise, Load Balancing remains equal-weight. This option is only supported in Network Load Balancing." ] } }, "type": "object", "id": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy" }, "Region": { "properties": { "supportsPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "status": { "type": "string", "description": "[Output Only] Status of the region, either UP or DOWN.", "enumDescriptions": [ "", "" ], "enum": [ "DOWN", "UP" ] }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "quotas": { "description": "[Output Only] Quotas assigned to this region.", "items": { "$ref": "Quota" }, "type": "array" }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this region." }, "zones": { "type": "array", "description": "[Output Only] A list of zones available in this region, in the form of resource URLs.", "items": { "type": "string" } }, "description": { "description": "[Output Only] Textual description of the resource.", "type": "string" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#region for regions.", "default": "compute#region" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "description": "Represents a Region resource. A region is a geographical area where a resource is located. For more information, read Regions and Zones.", "id": "Region", "type": "object" }, "VpnGatewayStatusTunnel": { "type": "object", "description": "Contains some information about a VPN tunnel.", "properties": { "localGatewayInterface": { "description": "The VPN gateway interface this VPN tunnel is associated with.", "type": "integer", "format": "uint32" }, "tunnelUrl": { "description": "URL reference to the VPN tunnel.", "type": "string" }, "peerGatewayInterface": { "format": "uint32", "type": "integer", "description": "The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or GCP VPN gateway." } }, "id": "VpnGatewayStatusTunnel" }, "LogConfig": { "id": "LogConfig", "description": "This is deprecated and has no effect. Do not use.", "type": "object", "properties": { "counter": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigCounterOptions" }, "dataAccess": { "$ref": "LogConfigDataAccessOptions", "description": "This is deprecated and has no effect. Do not use." }, "cloudAudit": { "$ref": "LogConfigCloudAuditOptions", "description": "This is deprecated and has no effect. Do not use." } } }, "InstanceGroupManagersResizeAdvancedRequest": { "properties": { "targetSize": { "type": "integer", "format": "int32", "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter." }, "noCreationRetries": { "description": "If this flag is true, the managed instance group attempts to create all instances initiated by this resize request only once. If there is an error during creation, the managed instance group does not retry create this instance, and we will decrease the targetSize of the request instead. If the flag is false, the group attempts to recreate each instance continuously until it succeeds. This flag matters only in the first attempt of creation of an instance. After an instance is successfully created while this flag is enabled, the instance behaves the same way as all the other instances created with a regular resize request. In particular, if a running instance dies unexpectedly at a later time and needs to be recreated, this mode does not affect the recreation behavior in that scenario. This flag is applicable only to the current resize request. It does not influence other resize requests in any way. You can see which instances is being creating in which mode by calling the get or listManagedInstances API.", "type": "boolean" } }, "type": "object", "id": "InstanceGroupManagersResizeAdvancedRequest" }, "RouterStatusNatStatusNatRuleStatus": { "properties": { "numVmEndpointsWithNatMappings": { "description": "Number of VM endpoints (i.e., NICs) that have NAT Mappings from this NAT Rule.", "format": "int32", "type": "integer" }, "minExtraIpsNeeded": { "description": "The number of extra IPs to allocate. This will be greater than 0 only if the existing IPs in this NAT Rule are NOT enough to allow all configured VMs to use NAT.", "format": "int32", "type": "integer" }, "ruleNumber": { "format": "int32", "description": "Rule number of the rule.", "type": "integer" }, "activeNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of active IPs for NAT. Example: [\"1.1.1.1\", \"179.12.26.133\"]." }, "drainNatIps": { "description": "A list of IPs for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].", "items": { "type": "string" }, "type": "array" } }, "id": "RouterStatusNatStatusNatRuleStatus", "type": "object", "description": "Status of a NAT Rule contained in this NAT." }, "PacketMirroring": { "id": "PacketMirroring", "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "network": { "annotations": { "required": [ "compute.packetMirrorings.insert" ] }, "description": "Specifies the mirrored VPC network. Only packets in this network will be mirrored. All mirrored VMs should have a NIC in the given network. All mirrored subnetworks should belong to the given network.", "$ref": "PacketMirroringNetworkInfo" }, "collectorIlb": { "description": "The Forwarding Rule resource of type loadBalancingScheme=INTERNAL that will be used as collector for mirrored traffic. The specified forwarding rule must have isMirroringCollector set to true.", "$ref": "PacketMirroringForwardingRuleInfo" }, "enable": { "enum": [ "FALSE", "TRUE" ], "enumDescriptions": [ "", "" ], "description": "Indicates whether or not this packet mirroring takes effect. If set to FALSE, this packet mirroring policy will not be enforced on the network. The default is TRUE.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "priority": { "format": "uint32", "type": "integer", "description": "The priority of applying this configuration. Priority is used to break ties in cases where there is more than one matching rule. In the case of two rules that apply for a given Instance, the one with the lowest-numbered priority value wins. Default value is 1000. Valid range is 0 through 65535." }, "mirroredResources": { "description": "PacketMirroring mirroredResourceInfos. MirroredResourceInfo specifies a set of mirrored VM instances, subnetworks and/or tags for which traffic from/to all VM instances will be mirrored.", "$ref": "PacketMirroringMirroredResourceInfo" }, "region": { "description": "[Output Only] URI of the region where the packetMirroring resides.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "filter": { "description": "Filter for mirrored traffic. If unspecified, all traffic is mirrored.", "$ref": "PacketMirroringFilter" }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.packetMirrorings.insert" ] } }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#packetMirroring for packet mirrorings.", "default": "compute#packetMirroring" } }, "description": "Represents a Packet Mirroring resource. Packet Mirroring clones the traffic of specified instances in your Virtual Private Cloud (VPC) network and forwards it to a collector destination, such as an instance group of an internal TCP/UDP load balancer, for analysis or examination. For more information about setting up Packet Mirroring, see Using Packet Mirroring.", "type": "object" }, "InstanceGroupsListInstancesRequest": { "type": "object", "properties": { "instanceState": { "type": "string", "enumDescriptions": [ "Includes all instances in the generated list regardless of their state.", "Includes instances in the generated list only if they have a RUNNING state." ], "enum": [ "ALL", "RUNNING" ], "description": "A filter for the state of the instances in the instance group. Valid options are ALL or RUNNING. If you do not specify this parameter the list includes all instances regardless of their state." } }, "id": "InstanceGroupsListInstancesRequest" }, "NodeTemplateList": { "description": "Contains a list of node templates.", "id": "NodeTemplateList", "properties": { "items": { "description": "A list of NodeTemplate resources.", "items": { "$ref": "NodeTemplate" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeTemplateList for lists of node templates.", "type": "string", "default": "compute#nodeTemplateList" } }, "type": "object" }, "OutlierDetection": { "properties": { "successRateRequestVolume": { "description": "The minimum number of total requests that must be collected in one interval (as defined by the interval duration above) to include this host in success rate based outlier detection. If the volume is lower than this setting, outlier detection via success rate statistics is not performed for that host. Defaults to 100.", "format": "int32", "type": "integer" }, "consecutiveGatewayFailure": { "format": "int32", "type": "integer", "description": "The number of consecutive gateway failures (502, 503, 504 status or connection errors that are mapped to one of those status codes) before a consecutive gateway failure ejection occurs. Defaults to 3." }, "maxEjectionPercent": { "format": "int32", "type": "integer", "description": "Maximum percentage of hosts in the load balancing pool for the backend service that can be ejected. Defaults to 50%." }, "enforcingConsecutiveGatewayFailure": { "type": "integer", "format": "int32", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive gateway failures. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100." }, "successRateMinimumHosts": { "type": "integer", "format": "int32", "description": "The number of hosts in a cluster that must have enough request volume to detect success rate outliers. If the number of hosts is less than this setting, outlier detection via success rate statistics is not performed for any host in the cluster. Defaults to 5." }, "baseEjectionTime": { "description": "The base time that a host is ejected for. The real ejection time is equal to the base ejection time multiplied by the number of times the host has been ejected. Defaults to 30000ms or 30s.", "$ref": "Duration" }, "enforcingSuccessRate": { "type": "integer", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through success rate statistics. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100.", "format": "int32" }, "successRateStdevFactor": { "description": "This factor is used to determine the ejection threshold for success rate outlier ejection. The ejection threshold is the difference between the mean success rate, and the product of this factor and the standard deviation of the mean success rate: mean - (stdev LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh success_rate_stdev_factor). This factor is divided by a thousand to get a double. That is, if the desired factor is 1.9, the runtime value should be 1900. Defaults to 1900.", "format": "int32", "type": "integer" }, "consecutiveErrors": { "description": "Number of errors before a host is ejected from the connection pool. When the backend host is accessed over HTTP, a 5xx return code qualifies as an error. Defaults to 5.", "format": "int32", "type": "integer" }, "enforcingConsecutiveErrors": { "type": "integer", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive 5xx. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 0.", "format": "int32" }, "interval": { "description": "Time interval between ejection analysis sweeps. This can result in both new ejections as well as hosts being returned to service. Defaults to 1 second.", "$ref": "Duration" } }, "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service.", "type": "object", "id": "OutlierDetection" }, "UrlMapsScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of backend services when the list is empty.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "urlMaps": { "description": "A list of UrlMaps contained in this scope.", "type": "array", "items": { "$ref": "UrlMap" } } }, "id": "UrlMapsScopedList" }, "FirewallPolicyRuleMatcher": { "id": "FirewallPolicyRuleMatcher", "type": "object", "properties": { "srcAddressGroups": { "description": "Address groups which should be matched against the traffic source. Maximum number of source address groups is 10.", "items": { "type": "string" }, "type": "array" }, "srcIpRanges": { "items": { "type": "string" }, "type": "array", "description": "CIDR IP address range. Maximum number of source CIDR IP ranges allowed is 5000." }, "srcSecureTags": { "type": "array", "items": { "$ref": "FirewallPolicyRuleSecureTag" }, "description": "List of secure tag values, which should be matched at the source of the traffic. For INGRESS rule, if all the srcSecureTag are INEFFECTIVE, and there is no srcIpRange, this rule will be ignored. Maximum number of source tag values allowed is 256." }, "destThreatIntelligences": { "items": { "type": "string" }, "description": "Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic destination.", "type": "array" }, "layer4Configs": { "description": "Pairs of IP protocols and ports that the rule should match.", "items": { "$ref": "FirewallPolicyRuleMatcherLayer4Config" }, "type": "array" }, "destIpRanges": { "type": "array", "description": "CIDR IP address range. Maximum number of destination CIDR IP ranges allowed is 5000.", "items": { "type": "string" } }, "srcThreatIntelligences": { "items": { "type": "string" }, "type": "array", "description": "Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic source." }, "srcRegionCodes": { "description": "Region codes whose IP addresses will be used to match for source of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of source region codes allowed is 5000.", "type": "array", "items": { "type": "string" } }, "destAddressGroups": { "type": "array", "description": "Address groups which should be matched against the traffic destination. Maximum number of destination address groups is 10.", "items": { "type": "string" } }, "destRegionCodes": { "items": { "type": "string" }, "type": "array", "description": "Region codes whose IP addresses will be used to match for destination of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of dest region codes allowed is 5000." } }, "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified." }, "HttpHeaderMatch": { "description": "matchRule criteria for request header matches.", "properties": { "headerName": { "description": "The name of the HTTP header to match. For matching against the HTTP request's authority, use a headerMatch with the header name \":authority\". For matching a request's method, use the headerName \":method\". When the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true, only non-binary user-specified custom metadata and the `content-type` header are supported. The following transport-level headers cannot be used in header matching rules: `:authority`, `:method`, `:path`, `:scheme`, `user-agent`, `accept-encoding`, `content-encoding`, `grpc-accept-encoding`, `grpc-encoding`, `grpc-previous-rpc-attempts`, `grpc-tags-bin`, `grpc-timeout` and `grpc-trace-bin`.", "type": "string" }, "presentMatch": { "description": "A header with the contents of headerName must exist. The match takes place whether or not the request's header has a value. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "boolean" }, "regexMatch": { "description": "The value of the header must match the regular expression specified in regexMatch. For more information about regular expression syntax, see Syntax. For matching against a port specified in the HTTP request, use a headerMatch with headerName set to PORT and a regular expression that satisfies the RFC2616 Host header's port specifier. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "string" }, "prefixMatch": { "description": "The value of the header must start with the contents of prefixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" }, "suffixMatch": { "type": "string", "description": "The value of the header must end with the contents of suffixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set." }, "exactMatch": { "description": "The value should exactly match contents of exactMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" }, "invertMatch": { "description": "If set to false, the headerMatch is considered a match if the preceding match criteria are met. If set to true, the headerMatch is considered a match if the preceding match criteria are NOT met. The default setting is false. ", "type": "boolean" }, "rangeMatch": { "description": "The header value must be an integer and its value must be in the range specified in rangeMatch. If the header does not contain an integer, number or is empty, the match fails. For example for a range [-5, 0] - -3 will match. - 0 will not match. - 0.25 will not match. - -3someString will not match. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. rangeMatch is not supported for load balancers that have loadBalancingScheme set to EXTERNAL.", "$ref": "Int64RangeMatch" } }, "id": "HttpHeaderMatch", "type": "object" }, "Address": { "id": "Address", "properties": { "address": { "description": "The static IP address represented by this resource.", "type": "string" }, "addressType": { "type": "string", "enum": [ "EXTERNAL", "INTERNAL", "UNSPECIFIED_TYPE" ], "description": "The type of address to reserve, either INTERNAL or EXTERNAL. If unspecified, defaults to EXTERNAL.", "enumDescriptions": [ "A publicly visible external IP address.", "A private network IP address, for use with an Instance or Internal Load Balancer forwarding rule.", "" ] }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "networkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string", "description": "This signifies the networking tier used for configuring this address and can only take the following values: PREMIUM or STANDARD. Internal IP addresses are always Premium Tier; global external IP addresses are always Premium Tier; regional external IP addresses can be either Standard or Premium Tier. If this field is not specified, it is assumed to be PREMIUM.", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ] }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "prefixLength": { "format": "int32", "type": "integer", "description": "The prefix length if the resource represents an IP range." }, "status": { "enum": [ "IN_USE", "RESERVED", "RESERVING" ], "enumDescriptions": [ "Address is being used by another resource and is not available.", "Address is reserved and available to use.", "Address is being reserved." ], "description": "[Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "ipVersion": { "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ], "enumDescriptions": [ "", "", "" ], "description": "The IP version that will be used by this address. Valid options are IPV4 or IPV6. This can only be specified for a global address.", "type": "string" }, "users": { "description": "[Output Only] The URLs of the resources that are using this address.", "type": "array", "items": { "type": "string" } }, "subnetwork": { "type": "string", "description": "The URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range. This field can only be used with INTERNAL type with a GCE_ENDPOINT or DNS_RESOLVER purpose." }, "region": { "description": "[Output Only] The URL of the region where a regional address resides. For regional addresses, you must specify the region as a path parameter in the HTTP request URL. *This field is not applicable to global addresses.*", "type": "string" }, "purpose": { "description": "The purpose of this resource, which can be one of the following values: - GCE_ENDPOINT for addresses that are used by VM instances, alias IP ranges, load balancers, and similar resources. - DNS_RESOLVER for a DNS resolver address in a subnetwork for a Cloud DNS inbound forwarder IP addresses (regional internal IP address in a subnet of a VPC network) - VPC_PEERING for global internal IP addresses used for private services access allocated ranges. - NAT_AUTO for the regional external IP addresses used by Cloud NAT when allocating addresses using automatic NAT IP address allocation. - IPSEC_INTERCONNECT for addresses created from a private IP range that are reserved for a VLAN attachment in an *IPsec-encrypted Cloud Interconnect* configuration. These addresses are regional resources. Not currently available publicly. - `SHARED_LOADBALANCER_VIP` for an internal IP address that is assigned to multiple internal forwarding rules. - `PRIVATE_SERVICE_CONNECT` for a private network address that is used to configure Private Service Connect. Only global internal addresses can use this purpose. ", "enumDescriptions": [ "DNS resolver address in the subnetwork.", "VM internal/alias IP, Internal LB service IP, etc.", "A regional internal IP address range reserved for the VLAN attachment that is used in IPsec-encrypted Cloud Interconnect. This regional internal IP address range must not overlap with any IP address range of subnet/route in the VPC network and its peering networks. After the VLAN attachment is created with the reserved IP address range, when creating a new VPN gateway, its interface IP address is allocated from the associated VLAN attachment’s IP address range.", "External IP automatically reserved for Cloud NAT.", "A private network IP address that can be used to configure Private Service Connect. This purpose can be specified only for GLOBAL addresses of Type INTERNAL", "A regional internal IP address range reserved for Serverless.", "A private network IP address that can be shared by multiple Internal Load Balancer forwarding rules.", "IP range for peer networks." ], "type": "string", "enum": [ "DNS_RESOLVER", "GCE_ENDPOINT", "IPSEC_INTERCONNECT", "NAT_AUTO", "PRIVATE_SERVICE_CONNECT", "SERVERLESS", "SHARED_LOADBALANCER_VIP", "VPC_PEERING" ] }, "network": { "description": "The URL of the network in which to reserve the address. This field can only be used with INTERNAL type with the VPC_PEERING purpose.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.addresses.insert" ] } }, "kind": { "default": "compute#address", "description": "[Output Only] Type of the resource. Always compute#address for addresses.", "type": "string" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this Address, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Address.", "type": "string", "format": "byte" } }, "description": "Represents an IP Address resource. Google Compute Engine has two IP Address resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global (external and internal)](https://cloud.google.com/compute/docs/reference/rest/beta/globalAddresses) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional (external and internal)](https://cloud.google.com/compute/docs/reference/rest/beta/addresses) For more information, see Reserving a static external IP address.", "type": "object" }, "ResourcePolicySnapshotSchedulePolicy": { "properties": { "schedule": { "$ref": "ResourcePolicySnapshotSchedulePolicySchedule", "description": "A Vm Maintenance Policy specifies what kind of infrastructure maintenance we are allowed to perform on this VM and when. Schedule that is applied to disks covered by this policy." }, "retentionPolicy": { "description": "Retention policy applied to snapshots created by this resource policy.", "$ref": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy" }, "snapshotProperties": { "$ref": "ResourcePolicySnapshotSchedulePolicySnapshotProperties", "description": "Properties with which snapshots are created such as labels, encryption keys." } }, "description": "A snapshot schedule policy specifies when and how frequently snapshots are to be created for the target disk. Also specifies how many and how long these scheduled snapshots should be retained.", "type": "object", "id": "ResourcePolicySnapshotSchedulePolicy" }, "Help": { "type": "object", "properties": { "links": { "items": { "$ref": "HelpLink" }, "description": "URL(s) pointing to additional information on handling the current error.", "type": "array" } }, "description": "Provides links to documentation or for performing an out of band action. For example, if a quota check failed with an error indicating the calling project hasn't enabled the accessed service, this can contain a URL pointing directly to the right place in the developer console to flip the bit.", "id": "Help" }, "PacketMirroringAggregatedList": { "description": "Contains a list of packetMirrorings.", "id": "PacketMirroringAggregatedList", "type": "object", "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "additionalProperties": { "$ref": "PacketMirroringsScopedList", "description": "Name of the scope containing this set of packetMirrorings." }, "type": "object", "description": "A list of PacketMirroring resources." }, "kind": { "description": "Type of resource.", "default": "compute#packetMirroringAggregatedList", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object" } } }, "DisksScopedList": { "properties": { "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning which replaces the list of disks when the list is empty." }, "disks": { "description": "[Output Only] A list of disks contained in this scope.", "items": { "$ref": "Disk" }, "type": "array" } }, "type": "object", "id": "DisksScopedList" }, "HealthStatusForNetworkEndpoint": { "type": "object", "id": "HealthStatusForNetworkEndpoint", "properties": { "healthState": { "description": "Health state of the network endpoint determined based on the health checks configured.", "type": "string", "enum": [ "DRAINING", "HEALTHY", "UNHEALTHY", "UNKNOWN" ], "enumDescriptions": [ "", "", "", "" ] }, "healthCheckService": { "description": "URL of the health check service associated with the health state of the network endpoint.", "$ref": "HealthCheckServiceReference" }, "forwardingRule": { "$ref": "ForwardingRuleReference", "description": "URL of the forwarding rule associated with the health state of the network endpoint." }, "healthCheck": { "description": "URL of the health check associated with the health state of the network endpoint.", "$ref": "HealthCheckReference" }, "backendService": { "$ref": "BackendServiceReference", "description": "URL of the backend service associated with the health state of the network endpoint." } } }, "Autoscaler": { "type": "object", "description": "Represents an Autoscaler resource. Google Compute Engine has two Autoscaler resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/beta/autoscalers) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionAutoscalers) Use autoscalers to automatically add or delete instances from a managed instance group according to your defined autoscaling policy. For more information, read Autoscaling Groups of Instances. For zonal managed instance groups resource, use the autoscaler resource. For regional managed instance groups, use the regionAutoscalers resource.", "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "region": { "description": "[Output Only] URL of the region where the instance group resides (for autoscalers living in regional scope).", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#autoscaler for autoscalers.", "default": "compute#autoscaler", "type": "string" }, "status": { "type": "string", "description": "[Output Only] The status of the autoscaler configuration. Current set of possible values: - PENDING: Autoscaler backend hasn't read new/updated configuration. - DELETING: Configuration is being deleted. - ACTIVE: Configuration is acknowledged to be effective. Some warnings might be present in the statusDetails field. - ERROR: Configuration has errors. Actionable for users. Details are present in the statusDetails field. New values might be added in the future.", "enumDescriptions": [ "Configuration is acknowledged to be effective", "Configuration is being deleted", "Configuration has errors. Actionable for users.", "Autoscaler backend hasn't read new/updated configuration" ], "enum": [ "ACTIVE", "DELETING", "ERROR", "PENDING" ] }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "recommendedSize": { "description": "[Output Only] Target recommended MIG size (number of instances) computed by autoscaler. Autoscaler calculates the recommended MIG size even when the autoscaling policy mode is different from ON. This field is empty when autoscaler is not connected to an existing managed instance group or autoscaler did not generate its prediction.", "format": "int32", "type": "integer" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "target": { "description": "URL of the managed instance group that this autoscaler will scale. This field is required when creating an autoscaler.", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the instance group resides (for autoscalers living in zonal scope)." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "statusDetails": { "type": "array", "description": "[Output Only] Human-readable details about the current state of the autoscaler. Read the documentation for Commonly returned status messages for examples of status messages you might encounter.", "items": { "$ref": "AutoscalerStatusDetails" } }, "autoscalingPolicy": { "description": "The configuration parameters for the autoscaling algorithm. You can define one or more signals for an autoscaler: cpuUtilization, customMetricUtilizations, and loadBalancingUtilization. If none of these are specified, the default will be to autoscale based on cpuUtilization to 0.6 or 60%.", "$ref": "AutoscalingPolicy" }, "scalingScheduleStatus": { "type": "object", "description": "[Output Only] Status information of existing scaling schedules.", "additionalProperties": { "$ref": "ScalingScheduleStatus" } }, "name": { "annotations": { "required": [ "compute.autoscalers.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "Autoscaler" }, "NodeTypeList": { "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeTypeList for lists of node types.", "type": "string", "default": "compute#nodeTypeList" }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of NodeType resources.", "type": "array", "items": { "$ref": "NodeType" } } }, "description": "Contains a list of node types.", "type": "object", "id": "NodeTypeList" }, "NodeGroupNode": { "id": "NodeGroupNode", "type": "object", "properties": { "serverId": { "description": "Server ID associated with this node.", "type": "string" }, "totalResources": { "description": "Total amount of available resources on the node.", "$ref": "InstanceConsumptionInfo" }, "instanceConsumptionData": { "description": "Instance data that shows consumed resources on the node.", "type": "array", "items": { "$ref": "InstanceConsumptionData" } }, "disks": { "type": "array", "items": { "$ref": "LocalDisk" }, "description": "Local disk configurations." }, "nodeType": { "description": "The type of this node.", "type": "string" }, "accelerators": { "items": { "$ref": "AcceleratorConfig" }, "description": "Accelerators for this node.", "type": "array" }, "name": { "type": "string", "description": "The name of the node." }, "serverBinding": { "$ref": "ServerBinding", "description": "Binding properties for the physical server." }, "status": { "type": "string", "enum": [ "CREATING", "DELETING", "INVALID", "READY", "REPAIRING" ], "enumDescriptions": [ "", "", "", "", "" ] }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "cpuOvercommitType": { "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "type": "string", "description": "CPU overcommit.", "enumDescriptions": [ "", "", "" ] }, "instances": { "type": "array", "description": "Instances scheduled on this node.", "items": { "type": "string" } }, "consumedResources": { "$ref": "InstanceConsumptionInfo", "description": "Node resources that are reserved by all instances." } } }, "AutoscalingPolicyScaleInControl": { "type": "object", "description": "Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below.", "properties": { "timeWindowSec": { "format": "int32", "description": "How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above.", "type": "integer" }, "maxScaledInReplicas": { "description": "Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step.", "$ref": "FixedOrPercent" } }, "id": "AutoscalingPolicyScaleInControl" }, "BackendServiceIAP": { "properties": { "oauth2ClientId": { "type": "string", "description": "OAuth2 client ID to use for the authentication flow." }, "oauth2ClientSecretSha256": { "description": "[Output Only] SHA256 hash value for the field oauth2_client_secret above.", "type": "string" }, "oauth2ClientSecret": { "type": "string", "description": "OAuth2 client secret to use for the authentication flow. For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2ClientSecretSha256 field. @InputOnly" }, "enabled": { "description": "Whether the serving infrastructure will authenticate and authorize all incoming requests. If true, the oauth2ClientId and oauth2ClientSecret fields must be non-empty.", "type": "boolean" } }, "description": "Identity-Aware Proxy", "id": "BackendServiceIAP", "type": "object" }, "DisplayDevice": { "description": "A set of Display Device options", "properties": { "enableDisplay": { "type": "boolean", "description": "Defines whether the instance has Display enabled." } }, "id": "DisplayDevice", "type": "object" }, "RouterBgpPeer": { "type": "object", "properties": { "peerIpAddress": { "type": "string", "description": "IP address of the BGP interface outside Google Cloud Platform. Only IPv4 is supported." }, "managementType": { "description": "[Output Only] The resource that configures and manages this BGP peer. - MANAGED_BY_USER is the default value and can be managed by you or other users - MANAGED_BY_ATTACHMENT is a BGP peer that is configured and managed by Cloud Interconnect, specifically by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of BGP peer when the PARTNER InterconnectAttachment is created, updated, or deleted. ", "type": "string", "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ], "enumDescriptions": [ "The BGP peer is automatically created for PARTNER type InterconnectAttachment; Google will automatically create/delete this BGP peer when the PARTNER InterconnectAttachment is created/deleted, and Google will update the ipAddress and peerIpAddress when the PARTNER InterconnectAttachment is provisioned. This type of BGP peer cannot be created or deleted, but can be modified for all fields except for name, ipAddress and peerIpAddress.", "Default value, the BGP peer is manually created and managed by user." ] }, "ipAddress": { "description": "IP address of the interface inside Google Cloud Platform. Only IPv4 is supported.", "type": "string" }, "advertisedIpRanges": { "items": { "$ref": "RouterAdvertisedIpRange" }, "type": "array", "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These IP ranges are advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges." }, "routerApplianceInstance": { "type": "string", "description": "URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance must be located in zones contained in the same region as this Cloud Router. The VM instance is the peer side of the BGP session." }, "interfaceName": { "type": "string", "description": "Name of the interface the BGP peer is associated with." }, "advertisedRoutePriority": { "format": "uint32", "type": "integer", "description": "The priority of routes advertised to this BGP peer. Where there is more than one matching route of maximum length, the routes with the lowest priority value win." }, "peerAsn": { "description": "Peer BGP Autonomous System Number (ASN). Each BGP interface may use a different value.", "annotations": { "required": [ "compute.routers.insert" ] }, "format": "uint32", "type": "integer" }, "md5AuthenticationKeyName": { "type": "string", "description": "Present if MD5 authentication is enabled for the peering. Must be the name of one of the entries in the Router.md5_authentication_keys. The field must comply with RFC1035." }, "advertiseMode": { "enumDescriptions": [ "", "" ], "description": "User-specified flag to indicate which mode to use for advertisement.", "type": "string", "enum": [ "CUSTOM", "DEFAULT" ] }, "advertisedGroups": { "items": { "type": "string", "enum": [ "ALL_SUBNETS" ], "enumDescriptions": [ "Advertise all available subnets (including peer VPC subnets)." ] }, "description": "User-specified list of prefix groups to advertise in custom mode, which can take one of the following options: - ALL_SUBNETS: Advertises all available subnets, including peer VPC subnets. - ALL_VPC_SUBNETS: Advertises the router's own VPC subnets. Note that this field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These groups are advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.", "type": "array" }, "enableIpv6": { "type": "boolean", "description": "Enable IPv6 traffic over BGP Peer. If not specified, it is disabled by default." }, "bfd": { "description": "BFD configuration for the BGP peering.", "$ref": "RouterBgpPeerBfd" }, "ipv6NexthopAddress": { "type": "string", "description": "IPv6 address of the interface inside Google Cloud Platform." }, "enable": { "enumDescriptions": [ "", "" ], "type": "string", "description": "The status of the BGP peer connection. If set to FALSE, any active session with the peer is terminated and all associated routing information is removed. If set to TRUE, the peer connection can be established with routing information. The default is TRUE.", "enum": [ "FALSE", "TRUE" ] }, "peerIpv6NexthopAddress": { "description": "IPv6 address of the BGP interface outside Google Cloud Platform.", "type": "string" }, "name": { "description": "Name of this BGP peer. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.routers.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "RouterBgpPeer" }, "HostRule": { "id": "HostRule", "type": "object", "description": "UrlMaps A host-matching rule for a URL. If matched, will use the named PathMatcher to select the BackendService.", "properties": { "pathMatcher": { "description": "The name of the PathMatcher to use to match the path portion of the URL if the hostRule matches the URL's host portion.", "type": "string" }, "hosts": { "description": "The list of host patterns to match. They must be valid hostnames with optional port numbers in the format host:port. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh matches any string of ([a-z0-9-.]*). In that case, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh must be the first character, and if followed by anything, the immediate following character must be either - or .. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh based matching is not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "items": { "type": "string" }, "type": "array" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" } } }, "PreservedStatePreservedNetworkIp": { "type": "object", "properties": { "ipAddress": { "$ref": "PreservedStatePreservedNetworkIpIpAddress", "description": "Ip address representation" }, "autoDelete": { "description": "These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ] } }, "id": "PreservedStatePreservedNetworkIp" }, "ProjectsEnableXpnResourceRequest": { "type": "object", "id": "ProjectsEnableXpnResourceRequest", "properties": { "xpnResource": { "$ref": "XpnResourceId", "description": "Service resource (a.k.a service project) ID." } } }, "InstancesGetEffectiveFirewallsResponse": { "id": "InstancesGetEffectiveFirewallsResponse", "type": "object", "properties": { "organizationFirewalls": { "type": "array", "description": "Effective firewalls from organization policies.", "items": { "$ref": "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy" } }, "firewallPolicys": { "description": "Effective firewalls from firewall policies.", "type": "array", "items": { "$ref": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" } }, "firewalls": { "description": "Effective firewalls on the instance.", "type": "array", "items": { "$ref": "Firewall" } } } }, "WeightedBackendService": { "id": "WeightedBackendService", "description": "In contrast to a single BackendService in HttpRouteAction to which all matching traffic is directed to, WeightedBackendService allows traffic to be split across multiple backend services. The volume of traffic for each backend service is proportional to the weight specified in each WeightedBackendService", "type": "object", "properties": { "backendService": { "description": "The full or partial URL to the default BackendService resource. Before forwarding the request to backendService, the load balancer applies any relevant headerActions specified as part of this backendServiceWeight.", "type": "string" }, "weight": { "format": "uint32", "type": "integer", "description": "Specifies the fraction of traffic sent to a backend service, computed as weight / (sum of all weightedBackendService weights in routeAction) . The selection of a backend service is determined only for new traffic. Once a user's request has been directed to a backend service, subsequent requests are sent to the same backend service as determined by the backend service's session affinity policy. The value must be from 0 to 1000." }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. headerAction specified here take effect before headerAction in the enclosing HttpRouteRule, PathMatcher and UrlMap. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." } } }, "TargetHttpsProxy": { "type": "object", "id": "TargetHttpsProxy", "properties": { "quicOverride": { "type": "string", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ], "description": "Specifies the QUIC override policy for this TargetHttpsProxy resource. This setting determines whether the load balancer attempts to negotiate QUIC with clients. You can specify NONE, ENABLE, or DISABLE. - When quic-override is set to NONE, Google manages whether QUIC is used. - When quic-override is set to ENABLE, the load balancer uses QUIC when possible. - When quic-override is set to DISABLE, the load balancer doesn't use QUIC. - If the quic-override flag is not specified, NONE is implied. ", "enum": [ "DISABLE", "ENABLE", "NONE" ] }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetHttpsProxy for target HTTPS proxies.", "type": "string", "default": "compute#targetHttpsProxy" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpsProxy. An up-to-date fingerprint must be provided in order to patch the TargetHttpsProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpsProxy.", "type": "string", "format": "byte" }, "authorizationPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.AuthorizationPolicy resource that describes how the proxy should authorize inbound traffic. If left blank, access will not be restricted by an authorization policy. Refer to the AuthorizationPolicy resource for additional details. authorizationPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. Note: This field currently has no impact." }, "serverTlsPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.ServerTlsPolicy resource that describes how the proxy should authenticate inbound traffic. serverTlsPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional TargetHttpsProxy resides. This field is not applicable to global TargetHttpsProxies." }, "authorization": { "description": "[Deprecated] Use authorizationPolicy instead.", "type": "string" }, "sslPolicy": { "description": "URL of SslPolicy resource that will be associated with the TargetHttpsProxy resource. If not set, the TargetHttpsProxy resource has no SSL policy configured.", "type": "string" }, "certificateMap": { "type": "string", "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored." }, "urlMap": { "type": "string", "description": "A fully-qualified or valid partial URL to the UrlMap resource that defines the mapping from URL to the BackendService. For example, the following are all valid URLs for specifying a URL map: - https://www.googleapis.compute/v1/projects/project/global/urlMaps/ url-map - projects/project/global/urlMaps/url-map - global/urlMaps/url-map " }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "proxyBind": { "type": "boolean", "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false." }, "httpFilters": { "type": "array", "description": "URLs to networkservices.HttpFilter resources enabled for xDS clients using this configuration. For example, https://networkservices.googleapis.com/beta/projects/project/locations/ locationhttpFilters/httpFilter Only filters that handle outbound connection and stream events may be specified. These filters work in conjunction with a default set of HTTP filters that may already be configured by Traffic Director. Traffic Director will determine the final location of these filters within xDS configuration based on the name of the HTTP filter. If Traffic Director positions multiple filters at the same location, those filters will be in the same order as specified in this list. httpFilters only applies for loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details.", "items": { "type": "string" } }, "authentication": { "description": "[Deprecated] Use serverTlsPolicy instead.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "sslCertificates": { "type": "array", "description": "URLs to SslCertificate resources that are used to authenticate connections between users and the load balancer. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED.", "items": { "type": "string" } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" } }, "description": "Represents a Target HTTPS Proxy resource. Google Compute Engine has two Target HTTPS Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/targetHttpsProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionTargetHttpsProxies) A target HTTPS proxy is a component of GCP HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpsProxies are used by external HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpsProxies are used by internal HTTPS load balancers. Forwarding rules reference a target HTTPS proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts." }, "RegionDisksResizeRequest": { "id": "RegionDisksResizeRequest", "type": "object", "properties": { "sizeGb": { "description": "The new size of the regional persistent disk, which is specified in GB.", "type": "string", "format": "int64" } } }, "PacketMirroringMirroredResourceInfo": { "id": "PacketMirroringMirroredResourceInfo", "properties": { "subnetworks": { "description": "A set of subnetworks for which traffic from/to all VM instances will be mirrored. They must live in the same region as this packetMirroring. You may specify a maximum of 5 subnetworks.", "type": "array", "items": { "$ref": "PacketMirroringMirroredResourceInfoSubnetInfo" } }, "instances": { "type": "array", "items": { "$ref": "PacketMirroringMirroredResourceInfoInstanceInfo" }, "description": "A set of virtual machine instances that are being mirrored. They must live in zones contained in the same region as this packetMirroring. Note that this config will apply only to those network interfaces of the Instances that belong to the network specified in this packetMirroring. You may specify a maximum of 50 Instances." }, "tags": { "type": "array", "items": { "type": "string" }, "description": "A set of mirrored tags. Traffic from/to all VM instances that have one or more of these tags will be mirrored." } }, "type": "object" }, "ShieldedInstanceConfig": { "id": "ShieldedInstanceConfig", "description": "A set of Shielded Instance options.", "properties": { "enableSecureBoot": { "description": "Defines whether the instance has Secure Boot enabled. Disabled by default.", "type": "boolean" }, "enableVtpm": { "type": "boolean", "description": "Defines whether the instance has the vTPM enabled. Enabled by default." }, "enableIntegrityMonitoring": { "description": "Defines whether the instance has integrity monitoring enabled. Enabled by default.", "type": "boolean" } }, "type": "object" }, "MachineTypeList": { "type": "object", "id": "MachineTypeList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.", "type": "string", "default": "compute#machineTypeList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "items": { "$ref": "MachineType" }, "description": "A list of MachineType resources.", "type": "array" } }, "description": "Contains a list of machine types." }, "WafExpressionSet": { "properties": { "aliases": { "description": "A list of alternate IDs. The format should be: - E.g. XSS-stable Generic suffix like \"stable\" is particularly useful if a policy likes to avail newer set of expressions without having to change the policy. A given alias name can't be used for more than one entity set.", "type": "array", "items": { "type": "string" } }, "id": { "type": "string", "description": "Google specified expression set ID. The format should be: - E.g. XSS-20170329 required" }, "expressions": { "type": "array", "items": { "$ref": "WafExpressionSetExpression" }, "description": "List of available expressions." } }, "type": "object", "id": "WafExpressionSet" }, "SecurityPoliciesListPreconfiguredExpressionSetsResponse": { "id": "SecurityPoliciesListPreconfiguredExpressionSetsResponse", "properties": { "preconfiguredExpressionSets": { "$ref": "SecurityPoliciesWafConfig" } }, "type": "object" }, "NetworkEndpointGroupsDetachEndpointsRequest": { "type": "object", "properties": { "networkEndpoints": { "type": "array", "items": { "$ref": "NetworkEndpoint" }, "description": "The list of network endpoints to be detached." } }, "id": "NetworkEndpointGroupsDetachEndpointsRequest" }, "RegionInstanceGroupsListInstancesRequest": { "properties": { "instanceState": { "enum": [ "ALL", "RUNNING" ], "description": "Instances in which state should be returned. Valid options are: 'ALL', 'RUNNING'. By default, it lists all instances.", "enumDescriptions": [ "Matches any status of the instances, running, non-running and others.", "Instance is in RUNNING state if it is running." ], "type": "string" }, "portName": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of port user is interested in. It is optional. If it is set, only information about this ports will be returned. If it is not set, all the named ports will be returned. Always lists all instances." } }, "id": "RegionInstanceGroupsListInstancesRequest", "type": "object" }, "RoutersPreviewResponse": { "id": "RoutersPreviewResponse", "type": "object", "properties": { "resource": { "$ref": "Router", "description": "Preview of given router." } } }, "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy": { "description": "The configuration for a custom policy implemented by the user and deployed with the client.", "type": "object", "id": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy", "properties": { "name": { "description": "Identifies the custom policy. The value should match the type the custom implementation is registered with on the gRPC clients. It should follow protocol buffer message naming conventions and include the full path (e.g. myorg.CustomLbPolicy). The maximum length is 256 characters. Note that specifying the same custom policy more than once for a backend is not a valid configuration and will be rejected.", "type": "string" }, "data": { "type": "string", "description": "An optional, arbitrary JSON object with configuration data, understood by a locally installed custom policy implementation." } } }, "LicenseCodeLicenseAlias": { "properties": { "description": { "type": "string", "description": "[Output Only] Description of this License Code." }, "selfLink": { "type": "string", "description": "[Output Only] URL of license corresponding to this License Code." } }, "id": "LicenseCodeLicenseAlias", "type": "object" }, "SecurityPolicyRuleRedirectOptions": { "properties": { "type": { "type": "string", "enum": [ "EXTERNAL_302", "GOOGLE_RECAPTCHA" ], "enumDescriptions": [ "", "" ], "description": "Type of the redirect action." }, "target": { "description": "Target for the redirect action. This is required if the type is EXTERNAL_302 and cannot be specified for GOOGLE_RECAPTCHA.", "type": "string" } }, "type": "object", "id": "SecurityPolicyRuleRedirectOptions" }, "SslPoliciesAggregatedList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of SslPoliciesScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of SSL policies.", "$ref": "SslPoliciesScopedList" }, "type": "object" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#sslPoliciesAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#sslPolicyAggregatedList for lists of SSL Policies." }, "etag": { "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "SslPoliciesAggregatedList" }, "Project": { "description": "Represents a Project resource. A project is used to organize resources in a Google Cloud Platform environment. For more information, read about the Resource Hierarchy.", "type": "object", "id": "Project", "properties": { "commonInstanceMetadata": { "$ref": "Metadata", "description": "Metadata key/value pairs available to all instances contained in this project. See Custom metadata for more information." }, "description": { "description": "An optional textual description of the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "xpnProjectStatus": { "description": "[Output Only] The role this project has in a shared VPC configuration. Currently, only projects with the host role, which is specified by the value HOST, are differentiated.", "type": "string", "enum": [ "HOST", "UNSPECIFIED_XPN_PROJECT_STATUS" ], "enumDescriptions": [ "", "" ] }, "quotas": { "type": "array", "description": "[Output Only] Quotas assigned to this project.", "items": { "$ref": "Quota" } }, "enabledFeatures": { "description": "Restricted features enabled for use on this project.", "type": "array", "items": { "type": "string" } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#project for projects.", "default": "compute#project", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server. This is *not* the project ID, and is just a unique ID used by Compute Engine to identify resources.", "format": "uint64", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "defaultNetworkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "description": "This signifies the default network tier used for configuring resources of the project and can only take the following values: PREMIUM, STANDARD. Initially the default network tier is PREMIUM.", "type": "string" }, "defaultServiceAccount": { "description": "[Output Only] Default service account used by VMs running in this project.", "type": "string" }, "name": { "description": "The project ID. For example: my-example-project. Use the project ID to make requests to Compute Engine.", "type": "string" }, "usageExportLocation": { "description": "The naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored.", "$ref": "UsageExportLocation" } } }, "ServiceAttachment": { "description": "Represents a ServiceAttachment resource. A service attachment represents a service that a producer has exposed. It encapsulates the load balancer which fronts the service runs and a list of NAT IP ranges that the producers uses to represent the consumers connecting to the service. next tag = 20", "id": "ServiceAttachment", "type": "object", "properties": { "domainNames": { "description": "If specified, the domain name will be used during the integration between the PSC connected endpoints and the Cloud DNS. For example, this is a valid domain name: \"p.mycompany.com.\". Current max number of domain names supported is 1.", "type": "array", "items": { "type": "string" } }, "producerForwardingRule": { "description": "The URL of a forwarding rule with loadBalancingScheme INTERNAL* that is serving the endpoint identified by this service attachment.", "type": "string" }, "consumerRejectLists": { "type": "array", "description": "Projects that are not allowed to connect to this service attachment. The project can be specified using its id or number.", "items": { "type": "string" } }, "connectionPreference": { "enumDescriptions": [ "", "", "" ], "enum": [ "ACCEPT_AUTOMATIC", "ACCEPT_MANUAL", "CONNECTION_PREFERENCE_UNSPECIFIED" ], "type": "string", "description": "The connection preference of service attachment. The value can be set to ACCEPT_AUTOMATIC. An ACCEPT_AUTOMATIC service attachment is one that always accepts the connection from consumer forwarding rules." }, "consumerAcceptLists": { "description": "Projects that are allowed to connect to this service attachment.", "type": "array", "items": { "$ref": "ServiceAttachmentConsumerProjectLimit" } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "enableProxyProtocol": { "type": "boolean", "description": "If true, enable the proxy protocol which is for supplying client TCP/IP address data in TCP connections that traverse proxies on their way to destination servers." }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ServiceAttachment. An up-to-date fingerprint must be provided in order to patch/update the ServiceAttachment; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the ServiceAttachment." }, "natSubnets": { "items": { "type": "string" }, "description": "An array of URLs where each entry is the URL of a subnet provided by the service producer to use for NAT in this service attachment.", "type": "array" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string" }, "targetService": { "description": "The URL of a service serving the endpoint identified by this service attachment.", "type": "string" }, "pscServiceAttachmentId": { "description": "[Output Only] An 128-bit global unique ID of the PSC service attachment.", "$ref": "Uint128" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "type": "string", "default": "compute#serviceAttachment", "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "annotations": { "required": [ "compute.serviceAttachments.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "connectedEndpoints": { "items": { "$ref": "ServiceAttachmentConnectedEndpoint" }, "description": "[Output Only] An array of connections for all the consumers connected to this service attachment.", "type": "array" }, "region": { "description": "[Output Only] URL of the region where the service attachment resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" } } }, "FixedOrPercent": { "id": "FixedOrPercent", "type": "object", "description": "Encapsulates numeric value that can be either absolute or relative.", "properties": { "calculated": { "description": "[Output Only] Absolute value of VM instances calculated based on the specific mode. - If the value is fixed, then the calculated value is equal to the fixed value. - If the value is a percent, then the calculated value is percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetSize. For example, the calculated value of a 80% of a managed instance group with 150 instances would be (80/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 150) = 120 VM instances. If there is a remainder, the number is rounded. ", "type": "integer", "format": "int32" }, "fixed": { "description": "Specifies a fixed number of VM instances. This must be a positive integer.", "type": "integer", "format": "int32" }, "percent": { "format": "int32", "type": "integer", "description": "Specifies a percentage of instances between 0 to 100%, inclusive. For example, specify 80 for 80%." } } }, "GuestAttributesValue": { "type": "object", "properties": { "items": { "items": { "$ref": "GuestAttributesEntry" }, "type": "array" } }, "description": "Array of guest attribute namespace/key/value tuples.", "id": "GuestAttributesValue" }, "HttpFaultDelay": { "id": "HttpFaultDelay", "type": "object", "properties": { "fixedDelay": { "description": "Specifies the value of the fixed delay interval.", "$ref": "Duration" }, "percentage": { "description": "The percentage of traffic for connections, operations, or requests for which a delay is introduced as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "type": "number", "format": "double" } }, "description": "Specifies the delay introduced by the load balancer before forwarding the request to the backend service as part of fault injection." }, "DisksResizeRequest": { "type": "object", "properties": { "sizeGb": { "format": "int64", "description": "The new size of the persistent disk, which is specified in GB.", "type": "string" } }, "id": "DisksResizeRequest" }, "CircuitBreakers": { "description": "Settings controlling the volume of requests, connections and retries to this backend service.", "properties": { "maxRequestsPerConnection": { "description": "Maximum requests for a single connection to the backend service. This parameter is respected by both the HTTP/1.1 and HTTP/2 implementations. If not specified, there is no limit. Setting this parameter to 1 will effectively disable keep alive. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "integer", "format": "int32" }, "maxPendingRequests": { "type": "integer", "description": "The maximum number of pending requests allowed to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32" }, "connectTimeout": { "description": "The timeout for new network connections to hosts.", "$ref": "Duration" }, "maxConnections": { "format": "int32", "description": "The maximum number of connections to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "integer" }, "maxRetries": { "type": "integer", "description": "The maximum number of parallel retries allowed to the backend cluster. If not specified, the default is 1. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32" }, "maxRequests": { "format": "int32", "description": "The maximum number of parallel requests that allowed to the backend service. If not specified, there is no limit.", "type": "integer" } }, "type": "object", "id": "CircuitBreakers" }, "HttpHeaderOption": { "type": "object", "properties": { "replace": { "description": "If false, headerValue is appended to any values that already exist for the header. If true, headerValue is set for the header, discarding any values that were set for that header. The default value is false. ", "type": "boolean" }, "headerValue": { "description": "The value of the header to add.", "type": "string" }, "headerName": { "type": "string", "description": "The name of the header." } }, "description": "Specification determining how headers are added to requests or responses.", "id": "HttpHeaderOption" }, "DistributionPolicyZoneConfiguration": { "id": "DistributionPolicyZoneConfiguration", "type": "object", "properties": { "zone": { "type": "string", "annotations": { "required": [ "compute.regionInstanceGroupManagers.insert", "compute.regionInstanceGroupManagers.update" ] }, "description": "The URL of the zone. The zone must exist in the region where the managed instance group is located." } } }, "ShareSettings": { "properties": { "shareType": { "enum": [ "LOCAL", "ORGANIZATION", "SHARE_TYPE_UNSPECIFIED", "SPECIFIC_PROJECTS" ], "description": "Type of sharing for this shared-reservation", "type": "string", "enumDescriptions": [ "Default value.", "Shared-reservation is open to entire Organization", "Default value. This value is unused.", "Shared-reservation is open to specific projects" ] }, "projectMap": { "type": "object", "additionalProperties": { "$ref": "ShareSettingsProjectConfig" }, "description": "A map of project id and project config. This is only valid when share_type's value is SPECIFIC_PROJECTS." }, "projects": { "items": { "type": "string" }, "type": "array", "description": "A List of Project names to specify consumer projects for this shared-reservation. This is only valid when share_type's value is SPECIFIC_PROJECTS." } }, "type": "object", "id": "ShareSettings", "description": "The share setting for reservations and sole tenancy node groups." }, "InterconnectCircuitInfo": { "properties": { "googleCircuitId": { "description": "Google-assigned unique ID for this circuit. Assigned at circuit turn-up.", "type": "string" }, "customerDemarcId": { "type": "string", "description": "Customer-side demarc ID for this circuit." }, "googleDemarcId": { "type": "string", "description": "Google-side demarc ID for this circuit. Assigned at circuit turn-up and provided by Google to the customer in the LOA." } }, "description": "Describes a single physical circuit between the Customer and Google. CircuitInfo objects are created by Google, so all fields are output only.", "id": "InterconnectCircuitInfo", "type": "object" }, "ShareSettingsProjectConfig": { "id": "ShareSettingsProjectConfig", "type": "object", "properties": { "projectId": { "type": "string", "description": "The project ID, should be same as the key of this project config in the parent map." } }, "description": "Config for each project in the share settings." }, "InstanceGroupAggregatedList": { "properties": { "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupAggregatedList for aggregated lists of instance groups.", "default": "compute#instanceGroupAggregatedList", "type": "string" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "warning": { "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "object", "description": "A list of InstanceGroupsScopedList resources.", "additionalProperties": { "description": "The name of the scope that contains this set of instance groups.", "$ref": "InstanceGroupsScopedList" } } }, "id": "InstanceGroupAggregatedList", "type": "object" }, "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk": { "id": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk", "type": "object", "properties": { "diskSizeGb": { "format": "int64", "type": "string", "description": "Specifies the size of the disk in base-2 GB." }, "interface": { "enum": [ "NVME", "SCSI" ], "type": "string", "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance.", "enumDescriptions": [ "", "" ] } } }, "TargetTcpProxiesSetBackendServiceRequest": { "id": "TargetTcpProxiesSetBackendServiceRequest", "properties": { "service": { "description": "The URL of the new BackendService resource for the targetTcpProxy.", "type": "string" } }, "type": "object" }, "LocationPolicy": { "description": "Configuration for location policy among multiple possible locations (e.g. preferences for zone selection among zones in a single region).", "type": "object", "id": "LocationPolicy", "properties": { "locations": { "additionalProperties": { "$ref": "LocationPolicyLocation" }, "type": "object", "description": "Location configurations mapped by location name. Currently only zone names are supported and must be represented as valid internal URLs, such as zones/us-central1-a." }, "targetShape": { "enumDescriptions": [ "GCE picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "GCE always selects a single zone for all the VMs, optimizing for resource quotas, available reservations and general capacity. Recommended for batch workloads that cannot tollerate distribution over multiple zones. This the default shape in Bulk Insert and Capacity Advisor APIs.", "GCE prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across allowed zones to minimize the impact of zonal failure. Recommended for highly available serving workloads." ], "type": "string", "description": "Strategy for distributing VMs across zones in a region.", "enum": [ "ANY", "ANY_SINGLE_ZONE", "BALANCED" ] } } }, "ResourcePolicy": { "description": "Represents a Resource Policy resource. You can use resource policies to schedule actions for some Compute Engine resources. For example, you can use them to schedule persistent disk snapshots.", "properties": { "name": { "type": "string", "annotations": { "required": [ "compute.instances.insert" ] }, "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "status": { "enumDescriptions": [ "Resource policy is being created.", "Resource policy is being deleted.", "Resource policy is expired and will not run again.", "", "Resource policy is ready to be used." ], "description": "[Output Only] The status of resource policy creation.", "enum": [ "CREATING", "DELETING", "EXPIRED", "INVALID", "READY" ], "type": "string" }, "kind": { "default": "compute#resourcePolicy", "description": "[Output Only] Type of the resource. Always compute#resource_policies for resource policies.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "instanceSchedulePolicy": { "$ref": "ResourcePolicyInstanceSchedulePolicy", "description": "Resource policy for scheduling instance operations." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "region": { "type": "string" }, "description": { "type": "string" }, "snapshotSchedulePolicy": { "description": "Resource policy for persistent disks for creating snapshots.", "$ref": "ResourcePolicySnapshotSchedulePolicy" }, "groupPlacementPolicy": { "$ref": "ResourcePolicyGroupPlacementPolicy", "description": "Resource policy for instances for placement configuration." }, "resourceStatus": { "description": "[Output Only] The system status of the resource policy.", "$ref": "ResourcePolicyResourceStatus" } }, "id": "ResourcePolicy", "type": "object" }, "DiskInstantiationConfig": { "properties": { "deviceName": { "description": "Specifies the device name of the disk to which the configurations apply to.", "type": "string" }, "customImage": { "type": "string", "description": "The custom source image to be used to restore this disk when instantiating this instance template." }, "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "instantiateFrom": { "description": "Specifies whether to include the disk and what image to use. Possible values are: - source-image: to use the same image that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - source-image-family: to use the same image family that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - custom-image: to use a user-provided image url for disk creation. Applicable to the boot disk and additional read-write disks. - attach-read-only: to attach a read-only disk. Applicable to read-only disks. - do-not-include: to exclude a disk from the template. Applicable to additional read-write disks, local SSDs, and read-only disks. ", "enum": [ "ATTACH_READ_ONLY", "BLANK", "CUSTOM_IMAGE", "DEFAULT", "DO_NOT_INCLUDE", "SOURCE_IMAGE", "SOURCE_IMAGE_FAMILY" ], "enumDescriptions": [ "Attach the existing disk in read-only mode. The request will fail if the disk was attached in read-write mode on the source instance. Applicable to: read-only disks.", "Create a blank disk. The disk will be created unformatted. Applicable to: additional read-write disks, local SSDs.", "Use the custom image specified in the custom_image field. Applicable to: boot disk, additional read-write disks.", "Use the default instantiation option for the corresponding type of disk. For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.", "Do not include the disk in the instance template. Applicable to: additional read-write disks, local SSDs, read-only disks.", "Use the same source image used for creation of the source instance's corresponding disk. The request will fail if the source VM's disk was created from a snapshot. Applicable to: boot disk, additional read-write disks.", "Use the same source image family used for creation of the source instance's corresponding disk. The request will fail if the source image of the source disk does not belong to any image family. Applicable to: boot disk, additional read-write disks." ], "type": "string" } }, "id": "DiskInstantiationConfig", "description": "A specification of the desired way to instantiate a disk in the instance template when its created from a source instance.", "type": "object" }, "HealthChecksAggregatedList": { "type": "object", "id": "HealthChecksAggregatedList", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#healthChecksAggregatedList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "additionalProperties": { "$ref": "HealthChecksScopedList", "description": "Name of the scope containing this set of HealthChecks." }, "description": "A list of HealthChecksScopedList resources.", "type": "object" } } }, "BackendServiceFailoverPolicy": { "id": "BackendServiceFailoverPolicy", "properties": { "dropTrafficIfUnhealthy": { "description": "If set to true, connections to the load balancer are dropped when all primary and all backup backend VMs are unhealthy.If set to false, connections are distributed among all primary VMs when all primary and all backup backend VMs are unhealthy. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). The default is false.", "type": "boolean" }, "disableConnectionDrainOnFailover": { "type": "boolean", "description": "This can be set to true only if the protocol is TCP. The default is false." }, "failoverRatio": { "type": "number", "description": "The value of the field must be in the range [0, 1]. If the value is 0, the load balancer performs a failover when the number of healthy primary VMs equals zero. For all other values, the load balancer performs a failover when the total number of healthy primary VMs is less than this ratio. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).", "format": "float" } }, "type": "object", "description": "For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). On failover or failback, this field indicates whether connection draining will be honored. Google Cloud has a fixed connection draining timeout of 10 minutes. A setting of true terminates existing TCP connections to the active pool during failover and failback, immediately draining traffic. A setting of false allows existing TCP connections to persist, even on VMs no longer in the active pool, for up to the duration of the connection draining timeout (10 minutes)." }, "PublicAdvertisedPrefixList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of PublicAdvertisedPrefix resources.", "type": "array", "items": { "$ref": "PublicAdvertisedPrefix" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "default": "compute#publicAdvertisedPrefixList", "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "PublicAdvertisedPrefixList" }, "SecurityPoliciesAggregatedList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of security policies.", "$ref": "SecurityPoliciesScopedList" }, "description": "A list of SecurityPoliciesScopedList resources." }, "etag": { "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#securityPolicyAggregatedList for lists of Security Policies.", "default": "compute#securityPoliciesAggregatedList" } }, "id": "SecurityPoliciesAggregatedList", "type": "object" }, "PacketMirroringMirroredResourceInfoSubnetInfo": { "type": "object", "id": "PacketMirroringMirroredResourceInfoSubnetInfo", "properties": { "canonicalUrl": { "description": "[Output Only] Unique identifier for the subnetwork; defined by the server.", "type": "string" }, "url": { "description": "Resource URL to the subnetwork for which traffic from/to all VM instances will be mirrored.", "type": "string" } } }, "PathRule": { "description": "A path-matching rule for a URL. If matched, will use the specified BackendService to handle the traffic arriving at this URL.", "properties": { "routeAction": { "description": "In response to a matching path, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of routeAction or urlRedirect must be set. URL maps for external HTTP(S) load balancers support only the urlRewrite action within a path rule's routeAction.", "$ref": "HttpRouteAction" }, "service": { "type": "string", "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set." }, "paths": { "items": { "type": "string" }, "type": "array", "description": "The list of path patterns to match. Each must start with / and the only place a LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh is allowed is at the end following a /. The string fed to the path matcher does not include any text after the first ? or #, and those chars are not allowed here." }, "urlRedirect": { "description": "When a path pattern is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" } }, "id": "PathRule", "type": "object" }, "FirewallPolicyList": { "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#firewallPolicyList for listsof FirewallPolicies", "type": "string", "default": "compute#firewallPolicyList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "type": "array", "description": "A list of FirewallPolicy resources.", "items": { "$ref": "FirewallPolicy" } } }, "type": "object", "id": "FirewallPolicyList" }, "InstanceGroupManagersPatchPerInstanceConfigsReq": { "id": "InstanceGroupManagersPatchPerInstanceConfigsReq", "description": "InstanceGroupManagers.patchPerInstanceConfigs", "type": "object", "properties": { "perInstanceConfigs": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "The list of per-instance configurations to insert or patch on this managed instance group." } } }, "ServiceAttachmentConsumerProjectLimit": { "type": "object", "id": "ServiceAttachmentConsumerProjectLimit", "properties": { "projectIdOrNum": { "description": "The project id or number for the project to set the limit for.", "type": "string" }, "connectionLimit": { "format": "uint32", "type": "integer", "description": "The value of the limit to set." } } }, "BackendServiceCdnPolicyBypassCacheOnRequestHeader": { "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.", "id": "BackendServiceCdnPolicyBypassCacheOnRequestHeader", "type": "object", "properties": { "headerName": { "description": "The header field name to match on when bypassing cache. Values are case-insensitive.", "type": "string" } } }, "InstanceTemplate": { "properties": { "creationTimestamp": { "description": "[Output Only] The creation timestamp for this instance template in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] A unique identifier for this instance template. The server defines this identifier.", "type": "string", "format": "uint64" }, "kind": { "default": "compute#instanceTemplate", "description": "[Output Only] The resource type, which is always compute#instanceTemplate for instance templates.", "type": "string" }, "selfLink": { "description": "[Output Only] The URL for this instance template. The server defines this URL.", "type": "string" }, "properties": { "$ref": "InstanceProperties", "description": "The instance properties for this instance template." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.instanceTemplates.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "sourceInstanceParams": { "description": "The source instance params to use to create this instance template.", "$ref": "SourceInstanceParams" }, "sourceInstance": { "description": "The source instance used to create the template. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance ", "type": "string" } }, "type": "object", "id": "InstanceTemplate", "description": "Represents an Instance Template resource. You can use instance templates to create VM instances and managed instance groups. For more information, read Instance Templates." }, "NetworkPeering": { "type": "object", "properties": { "exchangeSubnetRoutes": { "type": "boolean", "description": "Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE." }, "exportSubnetRoutesWithPublicIp": { "description": "Whether subnet routes with public IP range are exported. The default value is true, all subnet routes are exported. IPv4 special-use ranges are always exported to peers and are not controlled by this field.", "type": "boolean" }, "stateDetails": { "description": "[Output Only] Details about the current state of the peering.", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "Matching configuration exists on the peer.", "There is no matching configuration on the peer, including the case when peer does not exist." ], "enum": [ "ACTIVE", "INACTIVE" ], "description": "[Output Only] State for the peering, either `ACTIVE` or `INACTIVE`. The peering is `ACTIVE` when there's a matching configuration in the peer network." }, "name": { "type": "string", "description": "Name of this peering. Provided by the client when the peering is created. The name must comply with RFC1035. Specifically, the name must be 1-63 characters long and match regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all the following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "importCustomRoutes": { "type": "boolean", "description": "Whether to import the custom routes from peer network. The default value is false." }, "network": { "description": "The URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network.", "type": "string" }, "exportCustomRoutes": { "type": "boolean", "description": "Whether to export the custom routes to peer network. The default value is false." }, "peerMtu": { "type": "integer", "format": "int32", "description": "Maximum Transmission Unit in bytes." }, "importSubnetRoutesWithPublicIp": { "type": "boolean", "description": "Whether subnet routes with public IP range are imported. The default value is false. IPv4 special-use ranges are always imported from peers and are not controlled by this field." }, "autoCreateRoutes": { "description": "This field will be deprecated soon. Use the exchange_subnet_routes field instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "stackType": { "enumDescriptions": [ "This Peering will allow IPv4 traffic and routes to be exchanged. Additionally if the matching peering is IPV4_IPV6, IPv6 traffic and routes will be exchanged as well.", "This Peering will only allow IPv4 traffic and routes to be exchanged, even if the matching peering is IPV4_IPV6." ], "type": "string", "description": "Which IP version(s) of traffic and routes are allowed to be imported or exported between peer networks. The default value is IPV4_ONLY.", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] } }, "description": "A network peering attached to a network resource. The message includes the peering name, peer network, peering state, and a flag indicating whether Google Compute Engine should automatically create routes for the peering.", "id": "NetworkPeering" }, "TargetHttpProxyAggregatedList": { "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "items": { "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of TargetHttpProxies.", "$ref": "TargetHttpProxiesScopedList" }, "description": "A list of TargetHttpProxiesScopedList resources." }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetHttpProxyAggregatedList for lists of Target HTTP Proxies.", "type": "string", "default": "compute#targetHttpProxyAggregatedList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" } }, "id": "TargetHttpProxyAggregatedList", "type": "object" }, "ZoneSetPolicyRequest": { "properties": { "etag": { "type": "string", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "format": "byte" }, "bindings": { "type": "array", "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "items": { "$ref": "Binding" } }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." } }, "type": "object", "id": "ZoneSetPolicyRequest" }, "DiskTypesScopedList": { "id": "DiskTypesScopedList", "properties": { "diskTypes": { "type": "array", "description": "[Output Only] A list of disk types contained in this scope.", "items": { "$ref": "DiskType" } }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning which replaces the list of disk types when the list is empty." } }, "type": "object" }, "FirewallPolicyRule": { "id": "FirewallPolicyRule", "type": "object", "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "properties": { "targetSecureTags": { "type": "array", "description": "A list of secure tags that controls which instances the firewall rule applies to. If targetSecureTag are specified, then the firewall rule applies only to instances in the VPC network that have one of those EFFECTIVE secure tags, if all the target_secure_tag are in INEFFECTIVE state, then this rule will be ignored. targetSecureTag may not be set at the same time as targetServiceAccounts. If neither targetServiceAccounts nor targetSecureTag are specified, the firewall rule applies to all instances on the specified network. Maximum number of target label tags allowed is 256.", "items": { "$ref": "FirewallPolicyRuleSecureTag" } }, "ruleTupleCount": { "format": "int32", "type": "integer", "description": "[Output Only] Calculation of the complexity of a single firewall policy rule." }, "description": { "type": "string", "description": "An optional description for this resource." }, "enableLogging": { "type": "boolean", "description": "Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules." }, "kind": { "type": "string", "default": "compute#firewallPolicyRule", "description": "[Output only] Type of the resource. Always compute#firewallPolicyRule for firewall policy rules" }, "ruleName": { "description": "An optional name for the rule. This field is not a unique identifier and can be updated.", "type": "string" }, "targetServiceAccounts": { "type": "array", "items": { "type": "string" }, "description": "A list of service accounts indicating the sets of instances that are applied with this rule." }, "targetResources": { "description": "A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule.", "items": { "type": "string" }, "type": "array" }, "priority": { "format": "int32", "type": "integer", "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest prority." }, "disabled": { "description": "Denotes whether the firewall policy rule is disabled. When set to true, the firewall policy rule is not enforced and traffic behaves as if it did not exist. If this is unspecified, the firewall policy rule will be enabled.", "type": "boolean" }, "action": { "type": "string", "description": "The Action to perform when the client connection triggers the rule. Can currently be either \"allow\" or \"deny()\" where valid values for status are 403, 404, and 502." }, "match": { "$ref": "FirewallPolicyRuleMatcher", "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced." }, "direction": { "description": "The direction in which this rule applies.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "EGRESS", "INGRESS" ] } } }, "ReservationsScopedList": { "properties": { "warning": { "description": "Informational warning which replaces the list of reservations when the list is empty.", "type": "object", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "reservations": { "description": "A list of reservations contained in this scope.", "type": "array", "items": { "$ref": "Reservation" } } }, "type": "object", "id": "ReservationsScopedList" }, "AutoscalerAggregatedList": { "id": "AutoscalerAggregatedList", "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of resource. Always compute#autoscalerAggregatedList for aggregated lists of autoscalers.", "type": "string", "default": "compute#autoscalerAggregatedList" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of AutoscalersScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of autoscalers.", "$ref": "AutoscalersScopedList" } } } }, "SnapshotList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "default": "compute#snapshotList", "description": "Type of resource." }, "items": { "items": { "$ref": "Snapshot" }, "description": "A list of Snapshot resources.", "type": "array" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "description": "Contains a list of Snapshot resources.", "id": "SnapshotList" }, "Subsetting": { "id": "Subsetting", "properties": { "subsetSize": { "description": "The number of backends per backend group assigned to each proxy instance or each service mesh client. An input parameter to the `CONSISTENT_HASH_SUBSETTING` algorithm. Can only be set if `policy` is set to `CONSISTENT_HASH_SUBSETTING`. Can only be set if load balancing scheme is `INTERNAL_MANAGED` or `INTERNAL_SELF_MANAGED`. `subset_size` is optional for Internal HTTP(S) load balancing and required for Traffic Director. If you do not provide this value, Cloud Load Balancing will calculate it dynamically to optimize the number of proxies/clients visible to each backend and vice versa. Must be greater than 0. If `subset_size` is larger than the number of backends/endpoints, then subsetting is disabled.", "type": "integer", "format": "int32" }, "policy": { "enum": [ "CONSISTENT_HASH_SUBSETTING", "NONE" ], "enumDescriptions": [ "Subsetting based on consistent hashing. For Traffic Director, the number of backends per backend group (the subset size) is based on the `subset_size` parameter. For Internal HTTP(S) load balancing, the number of backends per backend group (the subset size) is dynamically adjusted in two cases: - As the number of proxy instances participating in Internal HTTP(S) load balancing increases, the subset size decreases. - When the total number of backends in a network exceeds the capacity of a single proxy instance, subset sizes are reduced automatically for each service that has backend subsetting enabled.", "No Subsetting. Clients may open connections and send traffic to all backends of this backend service. This can lead to performance issues if there is substantial imbalance in the count of clients and backends." ], "type": "string" } }, "description": "Subsetting configuration for this BackendService. Currently this is applicable only for Internal TCP/UDP load balancing, Internal HTTP(S) load balancing and Traffic Director.", "type": "object" }, "LicenseCode": { "type": "object", "description": "Represents a License Code resource. A License Code is a unique identifier used to represent a license resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "LicenseCode", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#licenseCode for licenses.", "type": "string", "default": "compute#licenseCode" }, "description": { "type": "string", "description": "[Output Only] Description of this License Code." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "transferable": { "type": "boolean", "description": "[Output Only] If true, the license will remain attached when creating images or snapshots from disks. Otherwise, the license is not transferred." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "state": { "type": "string", "description": "[Output Only] Current state of this License Code.", "enum": [ "DISABLED", "ENABLED", "RESTRICTED", "STATE_UNSPECIFIED", "TERMINATED" ], "enumDescriptions": [ "Machines are not allowed to attach boot disks with this License Code. Requests to create new resources with this license will be rejected.", "Use is allowed for anyone with USE_READ_ONLY access to this License Code.", "Use of this license is limited to a project whitelist.", "", "Reserved state." ] }, "name": { "annotations": { "required": [ "compute.licenses.insert" ] }, "pattern": "[0-9]{0,20}?", "description": "[Output Only] Name of the resource. The name is 1-20 characters long and must be a valid 64 bit integer.", "type": "string" }, "licenseAlias": { "items": { "$ref": "LicenseCodeLicenseAlias" }, "type": "array", "description": "[Output Only] URL and description aliases of Licenses with the same License Code." } } }, "HttpHeaderAction": { "id": "HttpHeaderAction", "type": "object", "properties": { "responseHeadersToRemove": { "items": { "type": "string" }, "type": "array", "description": "A list of header names for headers that need to be removed from the response before sending the response back to the client." }, "requestHeadersToAdd": { "description": "Headers to add to a matching request before forwarding the request to the backendService.", "items": { "$ref": "HttpHeaderOption" }, "type": "array" }, "requestHeadersToRemove": { "description": "A list of header names for headers that need to be removed from the request before forwarding the request to the backendService.", "type": "array", "items": { "type": "string" } }, "responseHeadersToAdd": { "description": "Headers to add the response before sending the response back to the client.", "type": "array", "items": { "$ref": "HttpHeaderOption" } } }, "description": "The request and response header transformations that take effect before the request is passed along to the selected backendService." }, "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "type": "object", "properties": { "displayName": { "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy.", "type": "string" }, "shortName": { "description": "[Output Only] The short name of the firewall policy.", "type": "string" }, "name": { "description": "[Output Only] The name of the firewall policy.", "type": "string" }, "rules": { "type": "array", "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" } }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL.", "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ] } }, "id": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "XpnHostList": { "type": "object", "id": "XpnHostList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts.", "type": "string", "default": "compute#xpnHostList" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "Project" }, "description": "[Output Only] A list of shared VPC host project URLs.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "InstanceGroupManagersDeleteInstancesRequest": { "id": "InstanceGroupManagersDeleteInstancesRequest", "properties": { "instances": { "items": { "type": "string" }, "type": "array", "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." }, "skipInstancesOnValidationError": { "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region.", "type": "boolean" } }, "type": "object" }, "HealthChecksScopedList": { "type": "object", "id": "HealthChecksScopedList", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of backend services when the list is empty.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "healthChecks": { "type": "array", "description": "A list of HealthChecks contained in this scope.", "items": { "$ref": "HealthCheck" } } } }, "SslPoliciesListAvailableFeaturesResponse": { "id": "SslPoliciesListAvailableFeaturesResponse", "properties": { "features": { "type": "array", "items": { "type": "string" } } }, "type": "object" }, "CustomerEncryptionKey": { "id": "CustomerEncryptionKey", "properties": { "sha256": { "type": "string", "description": "[Output only] The RFC 4648 base64 encoded SHA-256 hash of the customer-supplied encryption key that protects this resource." }, "rsaEncryptedKey": { "type": "string", "description": "Specifies an RFC 4648 base64 encoded, RSA-wrapped 2048-bit customer-supplied encryption key to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rsaEncryptedKey\": \"ieCx/NcW06PcT7Ep1X6LUTc/hLvUDYyzSZPPVCVPTVEohpeHASqC8uw5TzyO9U+Fka9JFH z0mBibXUInrC/jEk014kCK/NPjYgEMOyssZ4ZINPKxlUh2zn1bV+MCaTICrdmuSBTWlUUiFoD D6PYznLwh8ZNdaheCeZ8ewEXgFQ8V+sDroLaN3Xs3MDTXQEMMoNUXMCZEIpg9Vtp9x2oe==\" The key must meet the following requirements before you can provide it to Compute Engine: 1. The key is wrapped using a RSA public key certificate provided by Google. 2. After being wrapped, the key must be encoded in RFC 4648 base64 encoding. Gets the RSA public key certificate provided by Google at: https://cloud-certs.storage.googleapis.com/google-cloud-csek-ingress.pem " }, "kmsKeyName": { "type": "string", "description": "The name of the encryption key that is stored in Google Cloud KMS. For example: \"kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key " }, "rawKey": { "type": "string", "description": "Specifies a 256-bit customer-supplied encryption key, encoded in RFC 4648 base64 to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rawKey\": \"SGVsbG8gZnJvbSBHb29nbGUgQ2xvdWQgUGxhdGZvcm0=\" " }, "kmsKeyServiceAccount": { "type": "string", "description": "The service account being used for the encryption request for the given KMS key. If absent, the Compute Engine default service account is used. For example: \"kmsKeyServiceAccount\": \"name@project_id.iam.gserviceaccount.com/ " } }, "type": "object" }, "NetworksAddPeeringRequest": { "type": "object", "id": "NetworksAddPeeringRequest", "properties": { "networkPeering": { "$ref": "NetworkPeering", "description": "Network peering parameters. In order to specify route policies for peering using import and export custom routes, you must specify all peering related parameters (name, peer network, exchange_subnet_routes) in the network_peering field. The corresponding fields in NetworksAddPeeringRequest will be deprecated soon." }, "autoCreateRoutes": { "description": "This field will be deprecated soon. Use exchange_subnet_routes in network_peering instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "name": { "type": "string", "annotations": { "required": [ "compute.networks.addPeering" ] }, "description": "Name of the peering, which should conform to RFC1035." }, "peerNetwork": { "description": "URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network.", "type": "string" } } }, "ForwardingRulesScopedList": { "id": "ForwardingRulesScopedList", "properties": { "forwardingRules": { "items": { "$ref": "ForwardingRule" }, "description": "A list of forwarding rules contained in this scope.", "type": "array" }, "warning": { "type": "object", "description": "Informational warning which replaces the list of forwarding rules when the list is empty.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "type": "object" }, "Int64RangeMatch": { "type": "object", "description": "HttpRouteRuleMatch criteria for field values that must stay within the specified integer range.", "id": "Int64RangeMatch", "properties": { "rangeEnd": { "format": "int64", "type": "string", "description": "The end of the range (exclusive) in signed long integer format." }, "rangeStart": { "type": "string", "format": "int64", "description": "The start of the range (inclusive) in signed long integer format." } } }, "AttachedDiskInitializeParams": { "id": "AttachedDiskInitializeParams", "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This field is persisted and returned for instanceTemplate and not returned in the context of instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "type": "object", "properties": { "guestOsFeatures": { "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options. Guest OS features are applied by merging initializeParams.guestOsFeatures and disks.guestOsFeatures", "type": "array" }, "diskType": { "description": "Specifies the disk type to use to create the instance. If not specified, the default is pd-standard, specified using the full URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/pd-standard For a full list of acceptable values, see Persistent disk types. If you define this field, you can provide either the full or partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/diskType - projects/project/zones/zone/diskTypes/diskType - zones/zone/diskTypes/diskType Note that for InstanceTemplate, this is the name of the disk type, not URL.", "type": "string" }, "diskSizeGb": { "type": "string", "description": "Specifies the size of the disk in base-2 GB. The size must be at least 10 GB. If you specify a sourceImage, which is required for boot disks, the default size is the size of the sourceImage. If you do not specify a sourceImage, the default disk size is 500 GB.", "format": "int64" }, "sourceImage": { "description": "The source image to create this disk. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family If the source image is deleted later, this field will not be set.", "type": "string" }, "description": { "type": "string", "description": "An optional description. Provide this property when creating the disk." }, "sourceSnapshot": { "description": "The source snapshot to create this disk. When creating a new instance, one of initializeParams.sourceSnapshot or initializeParams.sourceImage or disks.source is required except for local SSD. To create a disk with a snapshot that you created, specify the snapshot name in the following format: global/snapshots/my-backup If the source snapshot is deleted later, this field will not be set.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels to apply to this disk. These can be later modified by the disks.setLabels method. This field is only applicable for persistent disks.", "type": "object" }, "provisionedIops": { "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.", "format": "int64", "type": "string" }, "sourceSnapshotEncryptionKey": { "description": "The customer-supplied encryption key of the source snapshot.", "$ref": "CustomerEncryptionKey" }, "sourceImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key. Instance templates do not store customer-supplied encryption keys, so you cannot create disks for instances in a managed instance group if the source images are encrypted with your own keys." }, "licenses": { "type": "array", "items": { "type": "string" }, "description": "A list of publicly visible licenses. Reserved for Google's use." }, "diskName": { "type": "string", "description": "Specifies the disk name. If not specified, the default is to use the name of the instance. If a disk with the same name already exists in the given region, the existing disk is attached to the new instance and the new disk is not created." }, "resourcePolicies": { "description": "Resource policies applied to this disk for automatic snapshot creations. Specified using the full or partial URL. For instance template, specify only the resource policy name.", "items": { "type": "string" }, "type": "array" }, "architecture": { "type": "string", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "description": "The architecture of the attached disk. Valid values are arm64 or x86_64.", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ] }, "onUpdateAction": { "enumDescriptions": [ "Always recreate the disk.", "Recreate the disk if source (image, snapshot) of this disk is different from source of existing disk.", "Use the existing disk, this is the default behaviour." ], "type": "string", "enum": [ "RECREATE_DISK", "RECREATE_DISK_IF_SOURCE_CHANGED", "USE_EXISTING_DISK" ], "description": "Specifies which action to take on instance update with this disk. Default is to use the existing disk." }, "multiWriter": { "description": "Indicates whether or not the disk can be read/write attached to more than one instance.", "type": "boolean" } } }, "InterconnectDiagnosticsLinkLACPStatus": { "id": "InterconnectDiagnosticsLinkLACPStatus", "type": "object", "properties": { "state": { "enum": [ "ACTIVE", "DETACHED" ], "description": "The state of a LACP link, which can take one of the following values: - ACTIVE: The link is configured and active within the bundle. - DETACHED: The link is not configured within the bundle. This means that the rest of the object should be empty. ", "enumDescriptions": [ "The link is configured and active within the bundle.", "The link is not configured within the bundle, this means the rest of the object should be empty." ], "type": "string" }, "neighborSystemId": { "type": "string", "description": "System ID of the port on the neighbor's side of the LACP exchange." }, "googleSystemId": { "type": "string", "description": "System ID of the port on Google's side of the LACP exchange." } } }, "InterconnectLocationList": { "id": "InterconnectLocationList", "type": "object", "description": "Response to the list request, and contains a list of interconnect locations.", "properties": { "items": { "type": "array", "description": "A list of InterconnectLocation resources.", "items": { "$ref": "InterconnectLocation" } }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "kind": { "type": "string", "default": "compute#interconnectLocationList", "description": "[Output Only] Type of resource. Always compute#interconnectLocationList for lists of interconnect locations." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "HttpRedirectAction": { "description": "Specifies settings for an HTTP redirect.", "properties": { "redirectResponseCode": { "description": "The HTTP Status code to use for this RedirectAction. Supported values are: - MOVED_PERMANENTLY_DEFAULT, which is the default value and corresponds to 301. - FOUND, which corresponds to 302. - SEE_OTHER which corresponds to 303. - TEMPORARY_REDIRECT, which corresponds to 307. In this case, the request method is retained. - PERMANENT_REDIRECT, which corresponds to 308. In this case, the request method is retained. ", "type": "string", "enumDescriptions": [ "Http Status Code 302 - Found.", "Http Status Code 301 - Moved Permanently.", "Http Status Code 308 - Permanent Redirect maintaining HTTP method.", "Http Status Code 303 - See Other.", "Http Status Code 307 - Temporary Redirect maintaining HTTP method." ], "enum": [ "FOUND", "MOVED_PERMANENTLY_DEFAULT", "PERMANENT_REDIRECT", "SEE_OTHER", "TEMPORARY_REDIRECT" ] }, "stripQuery": { "description": "If set to true, any accompanying query portion of the original URL is removed before redirecting the request. If set to false, the query portion of the original URL is retained. The default is set to false. ", "type": "boolean" }, "pathRedirect": { "description": "The path that is used in the redirect response instead of the one that was supplied in the request. pathRedirect cannot be supplied together with prefixRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters.", "type": "string" }, "hostRedirect": { "description": "The host that is used in the redirect response instead of the one that was supplied in the request. The value must be from 1 to 255 characters.", "type": "string" }, "prefixRedirect": { "type": "string", "description": "The prefix that replaces the prefixMatch specified in the HttpRouteRuleMatch, retaining the remaining portion of the URL before redirecting the request. prefixRedirect cannot be supplied together with pathRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters." }, "httpsRedirect": { "type": "boolean", "description": "If set to true, the URL scheme in the redirected request is set to HTTPS. If set to false, the URL scheme of the redirected request remains the same as that of the request. This must only be set for URL maps used in TargetHttpProxys. Setting this true for TargetHttpsProxy is not permitted. The default is set to false." } }, "type": "object", "id": "HttpRedirectAction" }, "AllocationSpecificSKUReservation": { "id": "AllocationSpecificSKUReservation", "type": "object", "description": "This reservation type allows to pre allocate specific instance configuration. Next ID: 6", "properties": { "assuredCount": { "type": "string", "description": "[Output Only] Indicates how many instances are actually usable currently.", "format": "int64" }, "count": { "type": "string", "format": "int64", "description": "Specifies the number of resources that are allocated." }, "inUseCount": { "type": "string", "description": "[Output Only] Indicates how many instances are in use.", "format": "int64" }, "instanceProperties": { "$ref": "AllocationSpecificSKUAllocationReservedInstanceProperties", "description": "The instance properties for the reservation." } } }, "InterconnectAttachmentsScopedList": { "properties": { "interconnectAttachments": { "type": "array", "description": "A list of interconnect attachments contained in this scope.", "items": { "$ref": "InterconnectAttachment" } }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "Informational warning which replaces the list of addresses when the list is empty." } }, "id": "InterconnectAttachmentsScopedList", "type": "object" }, "ReservationsResizeRequest": { "type": "object", "properties": { "specificSkuCount": { "format": "int64", "description": "Number of allocated resources can be resized with minimum = 1 and maximum = 1000.", "type": "string" } }, "id": "ReservationsResizeRequest" }, "NodeTemplatesScopedList": { "id": "NodeTemplatesScopedList", "type": "object", "properties": { "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" } }, "description": "[Output Only] An informational warning that appears when the node templates list is empty.", "type": "object" }, "nodeTemplates": { "description": "[Output Only] A list of node templates contained in this scope.", "type": "array", "items": { "$ref": "NodeTemplate" } } } }, "AcceleratorTypesScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "[Output Only] An informational warning that appears when the accelerator types list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } } }, "acceleratorTypes": { "items": { "$ref": "AcceleratorType" }, "description": "[Output Only] A list of accelerator types contained in this scope.", "type": "array" } }, "id": "AcceleratorTypesScopedList" }, "VpnGatewayAggregatedList": { "type": "object", "id": "VpnGatewayAggregatedList", "properties": { "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of VPN gateways.", "$ref": "VpnGatewaysScopedList" }, "description": "A list of VpnGateway resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "default": "compute#vpnGatewayAggregatedList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "GlobalNetworkEndpointGroupsAttachEndpointsRequest": { "id": "GlobalNetworkEndpointGroupsAttachEndpointsRequest", "type": "object", "properties": { "networkEndpoints": { "items": { "$ref": "NetworkEndpoint" }, "type": "array", "description": "The list of network endpoints to be attached." } } }, "InstanceGroupManagerList": { "id": "InstanceGroupManagerList", "type": "object", "properties": { "items": { "type": "array", "description": "A list of InstanceGroupManager resources.", "items": { "$ref": "InstanceGroupManager" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.", "default": "compute#instanceGroupManagerList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "description": "[Output Only] A list of managed instance groups." }, "Commitment": { "description": "Represents a regional Commitment resource. Creating a commitment resource means that you are purchasing a committed use contract with an explicit start and end time. You can create commitments based on vCPUs and memory usage and receive discounted rates. For full details, read Signing Up for Committed Use Discounts.", "id": "Commitment", "properties": { "region": { "type": "string", "description": "[Output Only] URL of the region where this commitment may be used." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "autoRenew": { "description": "Specifies whether to enable automatic renewal for the commitment. The default value is false if not specified. The field can be updated until the day of the commitment expiration at 12:00am PST. If the field is set to true, the commitment will be automatically renewed for either one or three years according to the terms of the existing commitment.", "type": "boolean" }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "description": "The type of commitment, which affects the discount rate and the eligible resources. Type MEMORY_OPTIMIZED specifies a commitment that will only apply to memory optimized machines. Type ACCELERATOR_OPTIMIZED specifies a commitment that will only apply to accelerator optimized machines.", "enum": [ "ACCELERATOR_OPTIMIZED", "COMPUTE_OPTIMIZED", "COMPUTE_OPTIMIZED_C2D", "GENERAL_PURPOSE", "GENERAL_PURPOSE_E2", "GENERAL_PURPOSE_N2", "GENERAL_PURPOSE_N2D", "GENERAL_PURPOSE_T2D", "MEMORY_OPTIMIZED", "MEMORY_OPTIMIZED_M3", "TYPE_UNSPECIFIED" ] }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "resources": { "type": "array", "items": { "$ref": "ResourceCommitment" }, "description": "A list of commitment amounts for particular resources. Note that VCPU and MEMORY resource commitments must occur together." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "status": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "ACTIVE", "CANCELLED", "CREATING", "EXPIRED", "NOT_YET_ACTIVE" ], "description": "[Output Only] Status of the commitment with regards to eventual expiration (each commitment has an end date defined). One of the following values: NOT_YET_ACTIVE, ACTIVE, EXPIRED.", "type": "string" }, "kind": { "default": "compute#commitment", "description": "[Output Only] Type of the resource. Always compute#commitment for commitments.", "type": "string" }, "statusMessage": { "description": "[Output Only] An optional, human-readable explanation of the status.", "type": "string" }, "category": { "description": "The category of the commitment. Category MACHINE specifies commitments composed of machine resources such as VCPU or MEMORY, listed in resources. Category LICENSE specifies commitments composed of software licenses, listed in licenseResources. Note that only MACHINE commitments should have a Type specified.", "type": "string", "enum": [ "CATEGORY_UNSPECIFIED", "LICENSE", "MACHINE" ], "enumDescriptions": [ "", "", "" ] }, "plan": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "INVALID", "THIRTY_SIX_MONTH", "TWELVE_MONTH" ], "description": "The plan for this commitment, which determines duration and discount rate. The currently supported plans are TWELVE_MONTH (1 year), and THIRTY_SIX_MONTH (3 years)." }, "reservations": { "items": { "$ref": "Reservation" }, "description": "List of reservations in this commitment.", "type": "array" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "licenseResource": { "description": "The license specification required as part of a license commitment.", "$ref": "LicenseResourceCommitment" }, "startTimestamp": { "type": "string", "description": "[Output Only] Commitment start time in RFC3339 text format." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "endTimestamp": { "description": "[Output Only] Commitment end time in RFC3339 text format.", "type": "string" } }, "type": "object" }, "HTTP2HealthCheck": { "id": "HTTP2HealthCheck", "type": "object", "properties": { "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP2 health check follows behavior specified in port and portName fields.", "type": "string", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "requestPath": { "description": "The request path of the HTTP/2 health check request. The default value is /.", "type": "string" }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "proxyHeader": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "host": { "description": "The value of the host header in the HTTP/2 health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used.", "type": "string" }, "port": { "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "format": "int32", "type": "integer" }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" } } }, "RegionDisksRemoveResourcePoliciesRequest": { "properties": { "resourcePolicies": { "description": "Resource policies to be removed from this disk.", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "RegionDisksRemoveResourcePoliciesRequest" }, "NetworkEndpointGroupServerlessDeployment": { "description": "Configuration for a serverless network endpoint group (NEG). The platform must be provided. Note: The target backend service must be in the same project and located in the same region as the Serverless NEG.", "type": "object", "properties": { "resource": { "type": "string", "description": "The user-defined name of the workload/instance. This value must be provided explicitly or in the urlMask. The resource identified by this value is platform-specific and is as follows: 1. API Gateway: The gateway ID 2. App Engine: The service name 3. Cloud Functions: The function name 4. Cloud Run: The service name " }, "platform": { "type": "string", "description": "The platform of the backend target(s) of this NEG. The only supported value is API Gateway: apigateway.googleapis.com." }, "version": { "description": "The optional resource version. The version identified by this value is platform-specific and is follows: 1. API Gateway: Unused 2. App Engine: The service version 3. Cloud Functions: Unused 4. Cloud Run: The service tag ", "type": "string" }, "urlMask": { "description": "A template to parse platform-specific fields from a request URL. URL mask allows for routing to multiple resources on the same serverless platform without having to create multiple Network Endpoint Groups and backend resources. The fields parsed by this template are platform-specific and are as follows: 1. API Gateway: The gateway ID 2. App Engine: The service and version 3. Cloud Functions: The function name 4. Cloud Run: The service and tag ", "type": "string" } }, "id": "NetworkEndpointGroupServerlessDeployment" }, "SslCertificate": { "properties": { "privateKey": { "description": "A value read into memory from a write-only private key file. The private key file must be in PEM format. For security, only insert requests include this field.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "certificate": { "type": "string", "description": "A value read into memory from a certificate file. The certificate file must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert." }, "selfManaged": { "description": "Configuration and status of a self-managed SSL certificate.", "$ref": "SslCertificateSelfManagedSslCertificate" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "region": { "description": "[Output Only] URL of the region where the regional SSL Certificate resides. This field is not applicable to global SSL Certificate.", "type": "string" }, "subjectAlternativeNames": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Domains associated with the certificate via Subject Alternative Name." }, "type": { "type": "string", "description": "(Optional) Specifies the type of SSL certificate, either \"SELF_MANAGED\" or \"MANAGED\". If not specified, the certificate is self-managed and the fields certificate and private_key are used.", "enumDescriptions": [ "Google-managed SSLCertificate.", "Certificate uploaded by user.", "" ], "enum": [ "MANAGED", "SELF_MANAGED", "TYPE_UNSPECIFIED" ] }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "expireTime": { "description": "[Output Only] Expire time of the certificate. RFC3339", "type": "string" }, "selfLink": { "type": "string", "description": "[Output only] Server-defined URL for the resource." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "managed": { "description": "Configuration and status of a managed SSL certificate.", "$ref": "SslCertificateManagedSslCertificate" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#sslCertificate for SSL certificates.", "type": "string", "default": "compute#sslCertificate" } }, "description": "Represents an SSL Certificate resource. Google Compute Engine has two SSL Certificate resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/sslCertificates) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionSslCertificates) The sslCertificates are used by: - external HTTPS load balancers - SSL proxy load balancers The regionSslCertificates are used by internal HTTPS load balancers. Optionally, certificate file contents that you upload can contain a set of up to five PEM-encoded certificates. The API call creates an object (sslCertificate) that holds this data. You can use SSL keys and certificates to secure connections to a load balancer. For more information, read Creating and using SSL certificates, SSL certificates quotas and limits, and Troubleshooting SSL certificates.", "id": "SslCertificate", "type": "object" }, "InstancesResumeRequest": { "id": "InstancesResumeRequest", "type": "object", "properties": { "instanceEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Decrypts data associated with an instance that is protected with a customer-supplied encryption key. If the instance you are starting is protected with a customer-supplied encryption key, the correct key must be provided otherwise the instance resume will not succeed." }, "disks": { "type": "array", "description": "Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to resume the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.", "items": { "$ref": "CustomerEncryptionKeyProtectedDisk" } } } }, "LocationPolicyLocation": { "type": "object", "id": "LocationPolicyLocation", "properties": { "preference": { "enumDescriptions": [ "Location is allowed for use.", "Location is prohibited.", "Default value, unused." ], "type": "string", "description": "Preference for a given location.", "enum": [ "ALLOW", "DENY", "PREFERENCE_UNSPECIFIED" ] }, "constraints": { "description": "Constraints that the caller requires on the result distribution in this zone.", "$ref": "LocationPolicyLocationConstraints" } } }, "UsageExportLocation": { "description": "The location in Cloud Storage and naming method of the daily usage report. Contains bucket_name and report_name prefix.", "id": "UsageExportLocation", "properties": { "reportNamePrefix": { "type": "string", "description": "An optional prefix for the name of the usage report object stored in bucketName. If not supplied, defaults to usage_gce. The report is stored as a CSV file named report_name_prefix_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage object naming conventions." }, "bucketName": { "type": "string", "description": "The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as example-bucket, or the bucket name with gs:// or https://storage.googleapis.com/ in front of it, such as gs://example-bucket." } }, "type": "object" }, "UsableSubnetworkSecondaryRange": { "type": "object", "description": "Secondary IP range of a usable subnetwork.", "id": "UsableSubnetworkSecondaryRange", "properties": { "rangeName": { "type": "string", "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork." }, "ipCidrRange": { "type": "string", "description": "The range of IP addresses belonging to this subnetwork secondary range." } } }, "TargetPoolsScopedList": { "type": "object", "id": "TargetPoolsScopedList", "properties": { "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } } }, "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object" }, "targetPools": { "description": "A list of target pools contained in this scope.", "items": { "$ref": "TargetPool" }, "type": "array" } } }, "DiskAggregatedList": { "id": "DiskAggregatedList", "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "items": { "type": "object", "description": "A list of DisksScopedList resources.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of disks.", "$ref": "DisksScopedList" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#diskAggregatedList for aggregated lists of persistent disks.", "type": "string", "default": "compute#diskAggregatedList" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "TargetSslProxyList": { "properties": { "items": { "type": "array", "items": { "$ref": "TargetSslProxy" }, "description": "A list of TargetSslProxy resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "kind": { "description": "Type of resource.", "default": "compute#targetSslProxyList", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object", "description": "Contains a list of TargetSslProxy resources.", "id": "TargetSslProxyList" }, "InstancesSetServiceAccountRequest": { "id": "InstancesSetServiceAccountRequest", "type": "object", "properties": { "scopes": { "description": "The list of scopes to be made available for this service account.", "items": { "type": "string" }, "type": "array" }, "email": { "description": "Email address of the service account.", "type": "string" } } }, "OrganizationSecurityPoliciesListAssociationsResponse": { "type": "object", "id": "OrganizationSecurityPoliciesListAssociationsResponse", "properties": { "associations": { "items": { "$ref": "SecurityPolicyAssociation" }, "type": "array", "description": "A list of associations." }, "kind": { "description": "[Output Only] Type of securityPolicy associations. Always compute#organizationSecurityPoliciesListAssociations for lists of securityPolicy associations.", "type": "string", "default": "compute#organizationSecurityPoliciesListAssociationsResponse" } } }, "PublicDelegatedPrefixPublicDelegatedSubPrefix": { "type": "object", "properties": { "delegateeProject": { "description": "Name of the project scoping this PublicDelegatedSubPrefix.", "type": "string" }, "ipCidrRange": { "type": "string", "description": "The IPv4 address range, in CIDR format, represented by this sub public delegated prefix." }, "name": { "type": "string", "description": "The name of the sub public delegated prefix." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "isAddress": { "type": "boolean", "description": "Whether the sub prefix is delegated to create Address resources in the delegatee project." }, "region": { "type": "string", "description": "[Output Only] The region of the sub public delegated prefix if it is regional. If absent, the sub prefix is global." }, "status": { "description": "[Output Only] The status of the sub public delegated prefix.", "enumDescriptions": [ "", "" ], "enum": [ "ACTIVE", "INACTIVE" ], "type": "string" } }, "description": "Represents a sub PublicDelegatedPrefix.", "id": "PublicDelegatedPrefixPublicDelegatedSubPrefix" }, "InterconnectAttachmentPartnerMetadata": { "properties": { "partnerName": { "type": "string", "description": "Plain text name of the Partner providing this attachment. This value may be validated to match approved Partner values." }, "interconnectName": { "type": "string", "description": "Plain text name of the Interconnect this attachment is connected to, as displayed in the Partner's portal. For instance \"Chicago 1\". This value may be validated to match approved Partner values." }, "portalUrl": { "description": "URL of the Partner's portal for this Attachment. Partners may customise this to be a deep link to the specific resource on the Partner portal. This value may be validated to match approved Partner values.", "type": "string" } }, "description": "Informational metadata about Partner attachments from Partners to display to customers. These fields are propagated from PARTNER_PROVIDER attachments to their corresponding PARTNER attachments.", "type": "object", "id": "InterconnectAttachmentPartnerMetadata" }, "InstanceGroupManagersSetAutoHealingRequest": { "type": "object", "id": "InstanceGroupManagersSetAutoHealingRequest", "properties": { "autoHealingPolicies": { "type": "array", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" } } } }, "PreservedState": { "description": "Preserved state for a given instance.", "id": "PreservedState", "type": "object", "properties": { "internalIPs": { "description": "Preserved internal IPs defined for this instance. This map is keyed with the name of the network interface.", "type": "object", "additionalProperties": { "$ref": "PreservedStatePreservedNetworkIp" } }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Preserved metadata defined for this instance." }, "externalIPs": { "additionalProperties": { "$ref": "PreservedStatePreservedNetworkIp" }, "description": "Preserved external IPs defined for this instance. This map is keyed with the name of the network interface.", "type": "object" }, "disks": { "type": "object", "description": "Preserved disks defined for this instance. This map is keyed with the device names of the disks.", "additionalProperties": { "$ref": "PreservedStatePreservedDisk" } } } }, "Reservation": { "id": "Reservation", "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "commitment": { "description": "[Output Only] Full or partial URL to a parent commitment. This field displays for reservations that are tied to a commitment.", "type": "string" }, "status": { "description": "[Output Only] The status of the reservation.", "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPDATING" ], "enumDescriptions": [ "Resources are being allocated for the reservation.", "Reservation is currently being deleted.", "", "Reservation has allocated all its resources.", "Reservation is currently being resized." ], "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "specificReservation": { "description": "Reservation for instances with specific machine shapes.", "$ref": "AllocationSpecificSKUReservation" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#reservations for reservations.", "type": "string", "default": "compute#reservation" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "zone": { "type": "string", "description": "Zone in which the reservation resides. A zone must be provided if the reservation is created within a commitment." }, "shareSettings": { "description": "Share-settings for shared-reservation", "$ref": "ShareSettings" }, "specificReservationRequired": { "description": "Indicates whether the reservation can be consumed by VMs with affinity for \"any\" reservation. If the field is set, then only VMs that target the reservation by name can consume from this reservation.", "type": "boolean" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.instances.insert" ] } }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" } }, "type": "object", "description": "Represents a reservation resource. A reservation ensures that capacity is held in a specific zone even if the reserved VMs are not running. For more information, read Reserving zonal resources." }, "SourceInstanceProperties": { "id": "SourceInstanceProperties", "type": "object", "properties": { "postKeyRevocationActionType": { "description": "PostKeyRevocationActionType of the instance.", "type": "string", "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ], "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ] }, "deletionProtection": { "type": "boolean", "description": "Whether the instance created from this machine image should be protected against deletion." }, "description": { "description": "An optional text description for the instances that are created from this machine image.", "type": "string" }, "serviceAccounts": { "type": "array", "items": { "$ref": "ServiceAccount" }, "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from this machine image. Use metadata queries to obtain the access tokens for these instances." }, "labels": { "description": "Labels to apply to instances that are created from this machine image.", "type": "object", "additionalProperties": { "type": "string" } }, "keyRevocationActionType": { "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "type": "string", "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified." }, "guestAccelerators": { "type": "array", "description": "A list of guest accelerator cards' type and count to use for instances created from this machine image.", "items": { "$ref": "AcceleratorConfig" } }, "machineType": { "description": "The machine type to use for instances that are created from this machine image.", "type": "string" }, "networkInterfaces": { "type": "array", "description": "An array of network access configurations for this interface.", "items": { "$ref": "NetworkInterface" } }, "disks": { "items": { "$ref": "SavedAttachedDisk" }, "type": "array", "description": "An array of disks that are associated with the instances that are created from this machine image." }, "scheduling": { "description": "Specifies the scheduling options for the instances that are created from this machine image.", "$ref": "Scheduling" }, "tags": { "description": "A list of tags to apply to the instances that are created from this machine image. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035.", "$ref": "Tags" }, "metadata": { "description": "The metadata key/value pairs to assign to instances that are created from this machine image. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.", "$ref": "Metadata" }, "minCpuPlatform": { "description": "Minimum cpu/platform to be used by instances created from this machine image. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.", "type": "string" }, "canIpForward": { "type": "boolean", "description": "Enables instances created based on this machine image to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information." } }, "description": "DEPRECATED: Please use compute#instanceProperties instead. New properties will not be added to this field." }, "AcceleratorType": { "type": "object", "description": "Represents an Accelerator Type resource. Google Cloud Platform provides graphics processing units (accelerators) that you can add to VM instances to improve or accelerate performance when working with intensive workloads. For more information, read GPUs on Compute Engine.", "id": "AcceleratorType", "properties": { "name": { "type": "string", "description": "[Output Only] Name of the resource.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined, fully qualified URL for this resource." }, "maximumCardsPerInstance": { "format": "int32", "type": "integer", "description": "[Output Only] Maximum number of accelerator cards allowed per instance." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "zone": { "description": "[Output Only] The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "deprecated": { "description": "[Output Only] The deprecation status associated with this accelerator type.", "$ref": "DeprecationStatus" }, "kind": { "default": "compute#acceleratorType", "type": "string", "description": "[Output Only] The type of the resource. Always compute#acceleratorType for accelerator types." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" } } }, "RegionInstanceGroupManagersListErrorsResponse": { "properties": { "items": { "description": "[Output Only] The list of errors of the managed instance group.", "type": "array", "items": { "$ref": "InstanceManagedByIgmError" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "id": "RegionInstanceGroupManagersListErrorsResponse" }, "RouterBgp": { "type": "object", "id": "RouterBgp", "properties": { "advertisedIpRanges": { "type": "array", "items": { "$ref": "RouterAdvertisedIpRange" }, "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These IP ranges will be advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges." }, "asn": { "format": "uint32", "description": "Local BGP Autonomous System Number (ASN). Must be an RFC6996 private ASN, either 16-bit or 32-bit. The value will be fixed for this router resource. All VPN tunnels that link to this router will have the same local ASN.", "type": "integer" }, "advertiseMode": { "enum": [ "CUSTOM", "DEFAULT" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "User-specified flag to indicate which mode to use for advertisement. The options are DEFAULT or CUSTOM." }, "advertisedGroups": { "description": "User-specified list of prefix groups to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These groups will be advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.", "type": "array", "items": { "enum": [ "ALL_SUBNETS" ], "enumDescriptions": [ "Advertise all available subnets (including peer VPC subnets)." ], "type": "string" } }, "keepaliveInterval": { "type": "integer", "format": "uint32", "description": "The interval in seconds between BGP keepalive messages that are sent to the peer. Hold time is three times the interval at which keepalive messages are sent, and the hold time is the maximum number of seconds allowed to elapse between successive keepalive messages that BGP receives from a peer. BGP will use the smaller of either the local hold time value or the peer's hold time value as the hold time for the BGP connection between the two peers. If set, this value must be between 20 and 60. The default is 20." } } }, "GlobalNetworkEndpointGroupsDetachEndpointsRequest": { "type": "object", "properties": { "networkEndpoints": { "items": { "$ref": "NetworkEndpoint" }, "description": "The list of network endpoints to be detached.", "type": "array" } }, "id": "GlobalNetworkEndpointGroupsDetachEndpointsRequest" }, "HealthCheckLogConfig": { "type": "object", "description": "Configuration of logging on a health check. If logging is enabled, logs will be exported to Stackdriver.", "properties": { "enable": { "type": "boolean", "description": "Indicates whether or not to export logs. This is false by default, which means no health check logging will be done." } }, "id": "HealthCheckLogConfig" }, "InstanceGroupManagersApplyUpdatesRequest": { "description": "InstanceGroupManagers.applyUpdatesToInstances", "type": "object", "properties": { "minimalAction": { "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "type": "string", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ] }, "mostDisruptiveAllowedAction": { "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "type": "string", "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail." }, "allInstances": { "type": "boolean", "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request." }, "instances": { "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" }, "type": "array" } }, "id": "InstanceGroupManagersApplyUpdatesRequest" }, "PacketMirroringForwardingRuleInfo": { "id": "PacketMirroringForwardingRuleInfo", "type": "object", "properties": { "canonicalUrl": { "description": "[Output Only] Unique identifier for the forwarding rule; defined by the server.", "type": "string" }, "url": { "description": "Resource URL to the forwarding rule representing the ILB configured as destination of the mirrored traffic.", "type": "string" } } }, "LicenseResourceRequirements": { "id": "LicenseResourceRequirements", "properties": { "minMemoryMb": { "description": "Minimum memory required to use the Instance. Enforced at Instance creation and Instance start.", "format": "int32", "type": "integer" }, "minGuestCpuCount": { "format": "int32", "type": "integer", "description": "Minimum number of guest cpus required to use the Instance. Enforced at Instance creation and Instance start." } }, "type": "object" }, "AcceleratorConfig": { "properties": { "acceleratorCount": { "type": "integer", "format": "int32", "description": "The number of the guest accelerator cards exposed to this instance." }, "acceleratorType": { "type": "string", "description": "Full or partial URL of the accelerator type resource to attach to this instance. For example: projects/my-project/zones/us-central1-c/acceleratorTypes/nvidia-tesla-p100 If you are creating an instance template, specify only the accelerator name. See GPUs on Compute Engine for a full list of accelerator types." } }, "description": "A specification of the type and number of accelerator cards attached to the instance.", "type": "object", "id": "AcceleratorConfig" }, "GlobalOrganizationSetPolicyRequest": { "type": "object", "id": "GlobalOrganizationSetPolicyRequest", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." }, "etag": { "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings." } } }, "RegionInstanceGroupManagerUpdateInstanceConfigReq": { "description": "RegionInstanceGroupManagers.updatePerInstanceConfigs", "id": "RegionInstanceGroupManagerUpdateInstanceConfigReq", "type": "object", "properties": { "perInstanceConfigs": { "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "type": "array" } } }, "HttpHealthCheck": { "properties": { "host": { "description": "The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.", "type": "string" }, "checkIntervalSec": { "type": "integer", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "format": "int32" }, "healthyThreshold": { "format": "int32", "type": "integer", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2." }, "unhealthyThreshold": { "type": "integer", "format": "int32", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#httpHealthCheck for HTTP health checks.", "default": "compute#httpHealthCheck", "type": "string" }, "port": { "type": "integer", "description": "The TCP port number for the HTTP health check request. The default value is 80.", "format": "int32" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "requestPath": { "type": "string", "description": "The request path of the HTTP health check request. The default value is /. This field does not support query parameters." }, "timeoutSec": { "format": "int32", "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.", "type": "integer" } }, "type": "object", "id": "HttpHealthCheck", "description": "Represents a legacy HTTP Health Check resource. Legacy HTTP health checks are now only required by target pool-based network load balancers. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview ." }, "InstanceParams": { "id": "InstanceParams", "description": "Additional instance params.", "type": "object", "properties": { "resourceManagerTags": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty." } } }, "UrlRewrite": { "description": "The spec for modifying the path before sending the request to the matched backend service.", "properties": { "pathPrefixRewrite": { "description": "Before forwarding the request to the selected backend service, the matching portion of the request's path is replaced by pathPrefixRewrite. The value must be from 1 to 1024 characters.", "type": "string" }, "hostRewrite": { "type": "string", "description": "Before forwarding the request to the selected service, the request's host header is replaced with contents of hostRewrite. The value must be from 1 to 255 characters." } }, "type": "object", "id": "UrlRewrite" }, "LocalizedMessage": { "description": "Provides a localized error message that is safe to return to the user which can be attached to an RPC error.", "id": "LocalizedMessage", "properties": { "message": { "description": "The localized error message in the above locale.", "type": "string" }, "locale": { "type": "string", "description": "The locale used following the specification defined at http://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"" } }, "type": "object" }, "HealthStatus": { "id": "HealthStatus", "type": "object", "properties": { "forwardingRule": { "description": "URL of the forwarding rule associated with the health status of the instance.", "type": "string" }, "port": { "type": "integer", "description": "The named port of the instance group, not necessarily the port that is health-checked.", "format": "int32" }, "instance": { "description": "URL of the instance resource.", "type": "string" }, "annotations": { "description": "Metadata defined as annotations for network endpoint.", "additionalProperties": { "type": "string" }, "type": "object" }, "weightError": { "enum": [ "INVALID_WEIGHT", "MISSING_WEIGHT", "UNAVAILABLE_WEIGHT", "WEIGHT_NONE" ], "type": "string", "enumDescriptions": [ "The response to a Health Check probe had the HTTP response header field X-Load-Balancing-Endpoint-Weight, but its content was invalid (i.e., not a non-negative single-precision floating-point number in decimal string representation).", "The response to a Health Check probe did not have the HTTP response header field X-Load-Balancing-Endpoint-Weight.", "This is the value when the accompanied health status is either TIMEOUT (i.e.,the Health Check probe was not able to get a response in time) or UNKNOWN. For the latter, it should be typically because there has not been sufficient time to parse and report the weight for a new backend (which is with 0.0.0.0 ip address). However, it can be also due to an outage case for which the health status is explicitly reset to UNKNOWN.", "This is the default value when WeightReportMode is DISABLE, and is also the initial value when WeightReportMode has just updated to ENABLE or DRY_RUN and there has not been sufficient time to parse and report the backend weight." ] }, "forwardingRuleIp": { "type": "string", "description": "A forwarding rule IP address assigned to this instance." }, "weight": { "type": "string" }, "healthState": { "enum": [ "HEALTHY", "UNHEALTHY" ], "type": "string", "description": "Health state of the instance.", "enumDescriptions": [ "", "" ] }, "ipAddress": { "description": "For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip.", "type": "string" } } }, "BackendServiceCdnPolicy": { "description": "Message containing Cloud CDN configuration for a backend service.", "properties": { "serveWhileStale": { "format": "int32", "type": "integer", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale." }, "negativeCachingPolicy": { "type": "array", "items": { "$ref": "BackendServiceCdnPolicyNegativeCachingPolicy" }, "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists." }, "cacheMode": { "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ], "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ], "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached." }, "negativeCaching": { "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.", "type": "boolean" }, "defaultTtl": { "format": "int32", "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "type": "integer" }, "bypassCacheOnRequestHeaders": { "items": { "$ref": "BackendServiceCdnPolicyBypassCacheOnRequestHeader" }, "type": "array", "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings." }, "maxTtl": { "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "type": "integer", "format": "int32" }, "requestCoalescing": { "type": "boolean", "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin." }, "clientTtl": { "type": "integer", "format": "int32", "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year)." }, "signedUrlCacheMaxAgeSec": { "type": "string", "format": "int64", "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered." }, "signedUrlKeyNames": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Names of the keys for signing request URLs." }, "cacheKeyPolicy": { "$ref": "CacheKeyPolicy", "description": "The CacheKeyPolicy for this CdnPolicy." } }, "type": "object", "id": "BackendServiceCdnPolicy" }, "LogConfigCloudAuditOptions": { "id": "LogConfigCloudAuditOptions", "description": "This is deprecated and has no effect. Do not use.", "properties": { "logName": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "ADMIN_ACTIVITY", "DATA_ACCESS", "UNSPECIFIED_LOG_NAME" ], "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "authorizationLoggingOptions": { "$ref": "AuthorizationLoggingOptions", "description": "This is deprecated and has no effect. Do not use." } }, "type": "object" }, "InstancesSetMachineResourcesRequest": { "id": "InstancesSetMachineResourcesRequest", "type": "object", "properties": { "guestAccelerators": { "type": "array", "items": { "$ref": "AcceleratorConfig" }, "description": "A list of the type and count of accelerator cards attached to the instance." } } }, "RouterAdvertisedIpRange": { "properties": { "range": { "type": "string", "description": "The IP range to advertise. The value must be a CIDR-formatted string." }, "description": { "description": "User-specified description for the IP range.", "type": "string" } }, "id": "RouterAdvertisedIpRange", "type": "object", "description": "Description-tagged IP ranges for the router to advertise." }, "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig": { "type": "object", "id": "SecurityPolicyAdaptiveProtectionConfigAutoDeployConfig", "description": "Configuration options for Adaptive Protection auto-deploy feature.", "properties": { "impactedBaselineThreshold": { "type": "number", "format": "float" }, "expirationSec": { "type": "integer", "format": "int32" }, "confidenceThreshold": { "format": "float", "type": "number" }, "loadThreshold": { "type": "number", "format": "float" } } }, "InstanceGroupsRemoveInstancesRequest": { "properties": { "instances": { "description": "The list of instances to remove from the instance group.", "items": { "$ref": "InstanceReference" }, "type": "array" } }, "type": "object", "id": "InstanceGroupsRemoveInstancesRequest" }, "NodeTemplateAggregatedList": { "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "kind": { "default": "compute#nodeTemplateAggregatedList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeTemplateAggregatedList for aggregated lists of node templates." }, "items": { "description": "A list of NodeTemplatesScopedList resources.", "additionalProperties": { "$ref": "NodeTemplatesScopedList", "description": "[Output Only] Name of the scope containing this set of node templates." }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "id": "NodeTemplateAggregatedList" }, "CustomerEncryptionKeyProtectedDisk": { "properties": { "source": { "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. This field is only applicable for persistent disks. For example: \"source\": \"/compute/v1/projects/project_id/zones/zone/disks/ disk_name ", "type": "string" }, "diskEncryptionKey": { "description": "Decrypts data associated with the disk with a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" } }, "id": "CustomerEncryptionKeyProtectedDisk", "type": "object" }, "GlobalSetPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." }, "etag": { "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string" }, "bindings": { "items": { "$ref": "Binding" }, "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "type": "array" } }, "id": "GlobalSetPolicyRequest", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "ignoreChildExemptions": { "description": "This is deprecated and has no effect. Do not use.", "type": "boolean" }, "logType": { "enumDescriptions": [ "Admin reads. Example: CloudIAM getIamPolicy", "Data reads. Example: CloudSQL Users list", "Data writes. Example: CloudSQL Users create", "Default case. Should never be this." ], "description": "The log type that this config enables.", "type": "string", "enum": [ "ADMIN_READ", "DATA_READ", "DATA_WRITE", "LOG_TYPE_UNSPECIFIED" ] } } }, "TargetSslProxiesSetProxyHeaderRequest": { "id": "TargetSslProxiesSetProxyHeaderRequest", "properties": { "proxyHeader": { "enumDescriptions": [ "", "" ], "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.", "type": "string", "enum": [ "NONE", "PROXY_V1" ] } }, "type": "object" }, "InstanceGroupsScopedList": { "id": "InstanceGroupsScopedList", "type": "object", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] An informational warning that replaces the list of instance groups when the list is empty." }, "instanceGroups": { "items": { "$ref": "InstanceGroup" }, "type": "array", "description": "[Output Only] The list of instance groups that are contained in this scope." } } }, "SecurityPolicyRecaptchaOptionsConfig": { "properties": { "redirectSiteKey": { "description": "An optional field to supply a reCAPTCHA site key to be used for all the rules using the redirect action with the type of GOOGLE_RECAPTCHA under the security policy. The specified site key needs to be created from the reCAPTCHA API. The user is responsible for the validity of the specified site key. If not specified, a Google-managed site key is used.", "type": "string" } }, "type": "object", "id": "SecurityPolicyRecaptchaOptionsConfig" }, "VmEndpointNatMappingsInterfaceNatMappings": { "id": "VmEndpointNatMappingsInterfaceNatMappings", "properties": { "drainNatIpPortRanges": { "type": "array", "description": "List of all drain IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "items": { "type": "string" } }, "numTotalNatPorts": { "format": "int32", "description": "Total number of ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field nat_ip_port_ranges.", "type": "integer" }, "sourceVirtualIp": { "description": "Primary IP of the VM for this NIC.", "type": "string" }, "natIpPortRanges": { "items": { "type": "string" }, "type": "array", "description": "A list of all IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"]." }, "numTotalDrainNatPorts": { "format": "int32", "type": "integer", "description": "Total number of drain ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field drain_nat_ip_port_ranges." }, "sourceAliasIpRange": { "type": "string", "description": "Alias IP range for this interface endpoint. It will be a private (RFC 1918) IP range. Examples: \"10.33.4.55/32\", or \"192.168.5.0/24\"." }, "ruleMappings": { "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings" }, "description": "Information about mappings provided by rules in this NAT.", "type": "array" } }, "type": "object", "description": "Contain information of Nat mapping for an interface of this endpoint." }, "SSLHealthCheck": { "type": "object", "id": "SSLHealthCheck", "properties": { "response": { "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "type": "string", "enum": [ "NONE", "PROXY_V1" ], "enumDescriptions": [ "", "" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "request": { "type": "string", "description": "The application data to send once the SSL connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII." }, "portSpecification": { "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, SSL health check follows behavior specified in port and portName fields.", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ] }, "port": { "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "type": "integer", "format": "int32" } } }, "AttachedDisk": { "description": "An instance-attached disk resource.", "id": "AttachedDisk", "properties": { "kind": { "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks.", "default": "compute#attachedDisk", "type": "string" }, "interface": { "enum": [ "NVME", "SCSI" ], "enumDescriptions": [ "", "" ], "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance.", "type": "string" }, "deviceName": { "description": "Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks.", "type": "string" }, "shieldedInstanceInitialState": { "$ref": "InitialStateConfig", "description": "[Output Only] shielded vm initial state stored on disk" }, "licenses": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Any valid publicly visible licenses." }, "locked": { "description": "[Output Only] Whether to indicate the attached disk is locked. The locked disk is not allowed to be detached from the instance, or to be used as the source of the snapshot creation, and the image creation. The instance with at least one locked attached disk is not allow to be used as source of machine image creation, instant snapshot creation, and not allowed to be deleted with --keep-disk parameter set to true for locked disks.", "type": "boolean" }, "source": { "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. If desired, you can also attach existing non-root persistent disks using this property. This field is only applicable for persistent disks. Note that for InstanceTemplate, specify the disk name for zonal disk, and the URL for regional disk.", "type": "string" }, "index": { "description": "[Output Only] A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.", "type": "integer", "format": "int32" }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "description": "[Output Only] The architecture of the attached disk. Valid values are ARM64 or X86_64.", "type": "string" }, "diskSizeGb": { "description": "The size of the disk in GB.", "type": "string", "format": "int64" }, "type": { "description": "Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT.", "enum": [ "PERSISTENT", "SCRATCH" ], "enumDescriptions": [ "", "" ], "type": "string" }, "guestOsFeatures": { "type": "array", "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." }, "initializeParams": { "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "$ref": "AttachedDiskInitializeParams" }, "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "diskEncryptionKey": { "description": "Encrypts or decrypts a disk using a customer-supplied encryption key. If you are creating a new disk, this field encrypts the new disk using an encryption key that you provide. If you are attaching an existing disk that is already encrypted, this field decrypts the disk using the customer-supplied encryption key. If you encrypt a disk using a customer-supplied key, you must provide the same key again when you attempt to use this resource at a later time. For example, you must provide the key when you create a snapshot or an image from the disk or when you attach the disk to a virtual machine instance. If you do not provide an encryption key, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later. Instance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt disks in a managed instance group.", "$ref": "CustomerEncryptionKey" }, "userLicenses": { "description": "[Output Only] A list of user provided licenses. It represents a list of URLs to the license resource. Unlike regular licenses, user provided licenses can be modified after the disk is created.", "items": { "type": "string" }, "type": "array" }, "boot": { "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem.", "type": "boolean" }, "mode": { "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.", "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "enum": [ "READ_ONLY", "READ_WRITE" ], "type": "string" } }, "type": "object" }, "InstanceGroupManagerVersion": { "type": "object", "id": "InstanceGroupManagerVersion", "properties": { "instanceTemplate": { "type": "string", "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create new instances in the managed instance group until the `targetSize` for this version is reached. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE; in those cases, existing instances are updated until the `targetSize` for this version is reached." }, "name": { "description": "Name of the version. Unique among all versions in the scope of this managed instance group.", "type": "string" }, "targetSize": { "description": "Specifies the intended number of instances to be created from the instanceTemplate. The final number of instances created from the template will be equal to: - If expressed as a fixed number, the minimum of either targetSize.fixed or instanceGroupManager.targetSize is used. - if expressed as a percent, the targetSize would be (targetSize.percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InstanceGroupManager.targetSize) If there is a remainder, the number is rounded. If unset, this version will update any remaining instances not updated by another version. Read Starting a canary update for more information.", "$ref": "FixedOrPercent" } } }, "HttpFaultInjection": { "id": "HttpFaultInjection", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by the load balancer on a percentage of requests before sending those request to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests.", "type": "object", "properties": { "delay": { "description": "The specification for how client requests are delayed as part of fault injection, before being sent to a backend service.", "$ref": "HttpFaultDelay" }, "abort": { "description": "The specification for how client requests are aborted as part of fault injection.", "$ref": "HttpFaultAbort" } } }, "InstanceGroupManagerAggregatedList": { "id": "InstanceGroupManagerAggregatedList", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of InstanceGroupManagersScopedList resources.", "type": "object", "additionalProperties": { "$ref": "InstanceGroupManagersScopedList", "description": "[Output Only] The name of the scope that contains this set of managed instance groups." } }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#instanceGroupManagerAggregatedList", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups." } }, "type": "object" }, "UrlMapTestHeader": { "type": "object", "description": "HTTP headers used in UrlMapTests.", "id": "UrlMapTestHeader", "properties": { "name": { "type": "string", "description": "Header name." }, "value": { "description": "Header value.", "type": "string" } } }, "PreconfiguredWafSet": { "properties": { "expressionSets": { "items": { "$ref": "WafExpressionSet" }, "type": "array", "description": "List of entities that are currently supported for WAF rules." } }, "type": "object", "id": "PreconfiguredWafSet" }, "InstanceTemplateList": { "description": "A list of instance templates.", "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of InstanceTemplate resources.", "items": { "$ref": "InstanceTemplate" }, "type": "array" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceTemplatesListResponse for instance template lists.", "default": "compute#instanceTemplateList" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "id": "InstanceTemplateList" }, "InstanceGroupManagerStatusVersionTarget": { "properties": { "isReached": { "type": "boolean", "description": "[Output Only] A bit indicating whether version target has been reached in this managed instance group, i.e. all instances are in their target version. Instances' target version are specified by version field on Instance Group Manager." } }, "id": "InstanceGroupManagerStatusVersionTarget", "type": "object" }, "NodeGroupMaintenanceWindow": { "id": "NodeGroupMaintenanceWindow", "type": "object", "description": "Time window specified for daily maintenance operations. GCE's internal maintenance will be performed within this window.", "properties": { "maintenanceDuration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "$ref": "Duration" }, "startTime": { "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.", "type": "string" } } }, "BackendServiceAggregatedList": { "type": "object", "id": "BackendServiceAggregatedList", "description": "Contains a list of BackendServicesScopedList.", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "object", "additionalProperties": { "$ref": "BackendServicesScopedList", "description": "Name of the scope containing this set of BackendServices." }, "description": "A list of BackendServicesScopedList resources." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "kind": { "description": "Type of resource.", "default": "compute#backendServiceAggregatedList", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } } } }, "BackendBucketCdnPolicyNegativeCachingPolicy": { "type": "object", "id": "BackendBucketCdnPolicyNegativeCachingPolicy", "properties": { "ttl": { "format": "int32", "type": "integer", "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." }, "code": { "type": "integer", "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.", "format": "int32" } }, "description": "Specify CDN TTLs for response error codes." }, "StatefulPolicyPreservedStateDiskDevice": { "type": "object", "properties": { "autoDelete": { "description": "These stateful disks will never be deleted during autohealing, update or VM instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ] } }, "id": "StatefulPolicyPreservedStateDiskDevice" }, "FirewallPoliciesListAssociationsResponse": { "type": "object", "id": "FirewallPoliciesListAssociationsResponse", "properties": { "associations": { "type": "array", "items": { "$ref": "FirewallPolicyAssociation" }, "description": "A list of associations." }, "kind": { "default": "compute#firewallPoliciesListAssociationsResponse", "description": "[Output Only] Type of firewallPolicy associations. Always compute#FirewallPoliciesListAssociations for lists of firewallPolicy associations.", "type": "string" } } }, "TargetPoolsRemoveInstanceRequest": { "properties": { "instances": { "description": "URLs of the instances to be removed from target pool.", "type": "array", "items": { "$ref": "InstanceReference" } } }, "type": "object", "id": "TargetPoolsRemoveInstanceRequest" }, "ForwardingRuleReference": { "properties": { "forwardingRule": { "type": "string" } }, "id": "ForwardingRuleReference", "type": "object" }, "InterconnectAttachmentAggregatedList": { "id": "InterconnectAttachmentAggregatedList", "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#interconnectAttachmentAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentAggregatedList for aggregated lists of interconnect attachments." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of interconnect attachments.", "$ref": "InterconnectAttachmentsScopedList" }, "type": "object", "description": "A list of InterconnectAttachmentsScopedList resources." } } }, "ImageFamilyView": { "properties": { "image": { "description": "The latest image that is part of the specified image family in the requested location, and that is not deprecated.", "$ref": "Image" } }, "type": "object", "id": "ImageFamilyView" }, "CacheKeyPolicy": { "id": "CacheKeyPolicy", "properties": { "includeHttpHeaders": { "type": "array", "items": { "type": "string" }, "description": "Allows HTTP request headers (by name) to be used in the cache key." }, "includeNamedCookies": { "description": "Allows HTTP cookies (by name) to be used in the cache key. The name=value pair will be used in the cache key Cloud CDN generates.", "type": "array", "items": { "type": "string" } }, "includeQueryString": { "description": "If true, include query string parameters in the cache key according to query_string_whitelist and query_string_blacklist. If neither is set, the entire query string will be included. If false, the query string will be excluded from the cache key entirely.", "type": "boolean" }, "queryStringBlacklist": { "description": "Names of query string parameters to exclude in cache keys. All other parameters will be included. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.", "type": "array", "items": { "type": "string" } }, "includeProtocol": { "type": "boolean", "description": "If true, http and https requests will be cached separately." }, "queryStringWhitelist": { "description": "Names of query string parameters to include in cache keys. All other parameters will be excluded. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.", "items": { "type": "string" }, "type": "array" }, "includeHost": { "description": "If true, requests to different hosts will be cached separately.", "type": "boolean" } }, "description": "Message containing what to include in the cache key for a request for Cloud CDN.", "type": "object" }, "NetworkPerformanceConfig": { "id": "NetworkPerformanceConfig", "type": "object", "properties": { "totalEgressBandwidthTier": { "enum": [ "DEFAULT", "TIER_1" ], "type": "string", "enumDescriptions": [ "", "" ] } } }, "NodeType": { "properties": { "kind": { "description": "[Output Only] The type of the resource. Always compute#nodeType for node types.", "default": "compute#nodeType", "type": "string" }, "description": { "type": "string", "description": "[Output Only] An optional textual description of the resource." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "cpuPlatform": { "type": "string", "description": "[Output Only] The CPU platform used by this node type." }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the node type resides, such as us-central1-a." }, "localSsdGb": { "description": "[Output Only] Local SSD available to the node type, defined in GB.", "format": "int32", "type": "integer" }, "guestCpus": { "description": "[Output Only] The number of virtual CPUs that are available to the node type.", "type": "integer", "format": "int32" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "deprecated": { "description": "[Output Only] The deprecation status associated with this node type.", "$ref": "DeprecationStatus" }, "memoryMb": { "format": "int32", "description": "[Output Only] The amount of physical memory available to the node type, defined in MB.", "type": "integer" } }, "id": "NodeType", "description": "Represent a sole-tenant Node Type resource. Each node within a node group must have a node type. A node type specifies the total amount of cores and memory for that node. Currently, the only available node type is n1-node-96-624 node type that has 96 vCPUs and 624 GB of memory, available in multiple zones. For more information read Node types.", "type": "object" }, "BackendServiceGroupHealth": { "type": "object", "properties": { "healthStatus": { "type": "array", "description": "Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks.", "items": { "$ref": "HealthStatus" } }, "annotations": { "description": "Metadata defined as annotations on the network endpoint group.", "additionalProperties": { "type": "string" }, "type": "object" }, "kind": { "type": "string", "default": "compute#backendServiceGroupHealth", "description": "[Output Only] Type of resource. Always compute#backendServiceGroupHealth for the health of backend services." } }, "id": "BackendServiceGroupHealth" }, "ResourcePolicyAggregatedList": { "type": "object", "description": "Contains a list of resourcePolicies.", "id": "ResourcePolicyAggregatedList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#resourcePolicyAggregatedList" }, "warning": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of resourcePolicies.", "$ref": "ResourcePoliciesScopedList" }, "description": "A list of ResourcePolicy resources.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "etag": { "type": "string" } } }, "RegionInstanceGroupManagerPatchInstanceConfigReq": { "type": "object", "id": "RegionInstanceGroupManagerPatchInstanceConfigReq", "properties": { "perInstanceConfigs": { "type": "array", "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group." } }, "description": "RegionInstanceGroupManagers.patchPerInstanceConfigs" }, "RouterStatus": { "properties": { "bestRoutes": { "items": { "$ref": "Route" }, "description": "Best routes for this router's network.", "type": "array" }, "natStatus": { "items": { "$ref": "RouterStatusNatStatus" }, "type": "array" }, "bgpPeerStatus": { "type": "array", "items": { "$ref": "RouterStatusBgpPeerStatus" } }, "network": { "type": "string", "description": "URI of the network to which this router belongs." }, "bestRoutesForRouter": { "items": { "$ref": "Route" }, "description": "Best routes learned by this router.", "type": "array" } }, "id": "RouterStatus", "type": "object" }, "Zone": { "id": "Zone", "description": "Represents a Zone resource. A zone is a deployment area. These deployment areas are subsets of a region. For example the zone us-east1-a is located in the us-east1 region. For more information, read Regions and Zones.", "properties": { "name": { "description": "[Output Only] Name of the resource.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] Full URL reference to the region which hosts the zone." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "availableCpuPlatforms": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Available cpu/platform selections for the zone." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "[Output Only] Textual description of the resource." }, "deprecated": { "description": "[Output Only] The deprecation status associated with this zone.", "$ref": "DeprecationStatus" }, "status": { "enum": [ "DOWN", "UP" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "[Output Only] Status of the zone, either UP or DOWN." }, "supportsPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "kind": { "type": "string", "default": "compute#zone", "description": "[Output Only] Type of the resource. Always compute#zone for zones." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" } }, "type": "object" }, "FirewallLogConfig": { "id": "FirewallLogConfig", "properties": { "metadata": { "description": "This field can only be specified for a particular firewall rule if logging is enabled for that rule. This field denotes whether to include or exclude metadata for firewall logs.", "enum": [ "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ], "enumDescriptions": [ "", "" ], "type": "string" }, "enable": { "description": "This field denotes whether to enable logging for a particular firewall rule.", "type": "boolean" } }, "description": "The available logging options for a firewall rule.", "type": "object" }, "TargetHttpsProxiesSetCertificateMapRequest": { "properties": { "certificateMap": { "description": "URL of the Certificate Map to associate with this TargetHttpsProxy.", "type": "string" } }, "type": "object", "id": "TargetHttpsProxiesSetCertificateMapRequest" }, "Image": { "type": "object", "properties": { "rawDisk": { "properties": { "sha1Checksum": { "description": "[Deprecated] This field is deprecated. An optional SHA1 checksum of the disk image before unpackaging provided by the client when the disk image is created.", "pattern": "[a-f0-9]{40}", "type": "string" }, "containerType": { "enum": [ "TAR" ], "enumDescriptions": [ "" ], "type": "string", "description": "The format used to encode and transmit the block device, which should be TAR. This is just a container and transmission format and not a runtime format. Provided by the client when the disk image is created." }, "source": { "description": "The full Google Cloud Storage URL where the raw disk image archive is stored. The following are valid formats for the URL: - https://storage.googleapis.com/bucket_name/image_archive_name - https://storage.googleapis.com/bucket_name/folder_name/ image_archive_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" } }, "type": "object", "description": "The parameters of the raw disk image." }, "deprecated": { "$ref": "DeprecationStatus", "description": "The deprecation status associated with this image." }, "sourceImageId": { "type": "string", "description": "[Output Only] The ID value of the image used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given image name." }, "sourceImageEncryptionKey": { "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "licenseCodes": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "Integer license codes indicating which licenses are attached to this image." }, "sourceSnapshotEncryptionKey": { "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "name": { "annotations": { "required": [ "compute.images.insert" ] }, "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "kind": { "default": "compute#image", "type": "string", "description": "[Output Only] Type of the resource. Always compute#image for images." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "status": { "enumDescriptions": [ "Image is deleting.", "Image creation failed due to an error.", "Image hasn't been created as yet.", "Image has been successfully created." ], "type": "string", "enum": [ "DELETING", "FAILED", "PENDING", "READY" ], "description": "[Output Only] The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the status is set to READY. Possible values are FAILED, PENDING, or READY." }, "architecture": { "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "description": "The architecture of the image. Valid values are ARM64 or X86_64.", "type": "string" }, "sourceDiskId": { "description": "[Output Only] The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name.", "type": "string" }, "locked": { "type": "boolean", "description": "A flag for marketplace VM disk created from the image, which is designed for marketplace VM disk to prevent the proprietary data on the disk from being accessed unwantedly. The flag will be inherited by the disk created from the image. The disk with locked flag set to true will be prohibited from performing the operations below: - R/W or R/O disk attach - Disk detach, if disk is created via create-on-create - Create images - Create snapshots - Create disk clone (create disk from the current disk) The image with the locked field set to true will be prohibited from performing the operations below: - Create images from the current image - Update the locked field for the current image The instance with at least one disk with locked flag set to true will be prohibited from performing the operations below: - Secondary disk attach - Create instant snapshot - Create machine images - Create instance template - Delete the instance with --keep-disk parameter set to true " }, "sourceType": { "enumDescriptions": [ "" ], "enum": [ "RAW" ], "type": "string", "description": "The type of the image used to create this disk. The default and only valid value is RAW.", "default": "RAW" }, "diskSizeGb": { "type": "string", "format": "int64", "description": "Size of the image when restored onto a persistent disk (in GB)." }, "sourceSnapshot": { "description": "URL of the source snapshot used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ snapshots/snapshot_name - projects/project_id/global/snapshots/snapshot_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" }, "imageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the image using a customer-supplied encryption key. After you encrypt an image with a customer-supplied key, you must provide the same key if you use the image later (e.g. to create a disk from the image). Customer-supplied encryption keys do not protect access to metadata of the disk. If you do not provide an encryption key when creating the image, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the image later." }, "userLicenses": { "type": "array", "description": "A list of publicly visible user-licenses. Unlike regular licenses, user provided licenses can be modified after the disk is created. This includes a list of URLs to the license resource. For example, to provide a debian license: https://www.googleapis.com/compute/v1/projects/debian-cloud/global/licenses/debian-9-stretch ", "items": { "type": "string" } }, "family": { "type": "string", "description": "The name of the image family to which this image belongs. You can create disks by specifying an image family instead of a specific image name. The image family always returns its latest image that is not deprecated. The name of the image family must comply with RFC1035." }, "rolloutOverride": { "description": "A rollout policy to apply to this image. When specified, the rollout policy overrides per-zone references to the image via the associated image family. The rollout policy restricts the zones where this image is accessible when using a zonal image family reference. When the rollout policy does not include the user specified zone, or if the zone is rolled out, this image is accessible. The rollout policy for this image is read-only, except for allowlisted users. This field might not be configured. To view the latest non-deprecated image in a specific zone, use the imageFamilyViews.get method.", "$ref": "RolloutPolicy" }, "sourceDiskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key." }, "guestOsFeatures": { "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. To see a list of available options, see the guestOSfeatures[].type parameter.", "type": "array" }, "shieldedInstanceInitialState": { "description": "Set the secure boot keys of shielded instance.", "$ref": "InitialStateConfig" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "licenses": { "items": { "type": "string" }, "type": "array", "description": "Any applicable license URI." }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The ID value of the snapshot used to create this image. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given snapshot name." }, "archiveSizeBytes": { "type": "string", "format": "int64", "description": "Size of the image tar.gz archive stored in Google Cloud Storage (in bytes)." }, "storageLocations": { "items": { "type": "string" }, "description": "Cloud Storage bucket storage location of the image (regional or multi-regional).", "type": "array" }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this image, which is essentially a hash of the labels used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an image.", "format": "byte", "type": "string" }, "labels": { "type": "object", "description": "Labels to apply to this image. These can be later modified by the setLabels method.", "additionalProperties": { "type": "string" } }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "sourceImage": { "description": "URL of the source image used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ images/image_name - projects/project_id/global/images/image_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" }, "sourceDisk": { "type": "string", "description": "URL of the source disk used to create this image. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " } }, "description": "Represents an Image resource. You can use images to create boot disks for your VM instances. For more information, read Images.", "id": "Image" }, "NetworkEdgeSecurityServicesScopedList": { "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of security policies when the list is empty.", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "networkEdgeSecurityServices": { "description": "A list of NetworkEdgeSecurityServices contained in this scope.", "items": { "$ref": "NetworkEdgeSecurityService" }, "type": "array" } }, "type": "object", "id": "NetworkEdgeSecurityServicesScopedList" }, "SubnetworksSetPrivateIpGoogleAccessRequest": { "id": "SubnetworksSetPrivateIpGoogleAccessRequest", "type": "object", "properties": { "privateIpGoogleAccess": { "type": "boolean" } } }, "AutoscalingPolicyScaleDownControl": { "properties": { "timeWindowSec": { "format": "int32", "description": "How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above.", "type": "integer" }, "maxScaledDownReplicas": { "description": "Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step.", "$ref": "FixedOrPercent" } }, "id": "AutoscalingPolicyScaleDownControl", "type": "object", "description": "Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below." }, "RouterBgpPeerBfd": { "type": "object", "id": "RouterBgpPeerBfd", "properties": { "multiplier": { "type": "integer", "description": "The number of consecutive BFD packets that must be missed before BFD declares that a peer is unavailable. If set, the value must be a value between 5 and 16. The default is 5.", "format": "uint32" }, "minTransmitInterval": { "type": "integer", "format": "uint32", "description": "The minimum interval, in milliseconds, between BFD control packets transmitted to the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the corresponding receive interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000." }, "sessionInitializationMode": { "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer. The default is DISABLED.", "type": "string", "enumDescriptions": [ "", "", "" ] }, "minReceiveInterval": { "type": "integer", "description": "The minimum interval, in milliseconds, between BFD control packets received from the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the transmit interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000.", "format": "uint32" } } }, "RequestMirrorPolicy": { "id": "RequestMirrorPolicy", "properties": { "backendService": { "description": "The full or partial URL to the BackendService resource being mirrored to.", "type": "string" } }, "description": "A policy that specifies how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer doesn't wait for responses from the shadow service. Before sending traffic to the shadow service, the host or authority header is suffixed with -shadow.", "type": "object" }, "VpnTunnelAggregatedList": { "properties": { "items": { "description": "A list of VpnTunnelsScopedList resources.", "additionalProperties": { "$ref": "VpnTunnelsScopedList", "description": "Name of the scope containing this set of VPN tunnels." }, "type": "object" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "kind": { "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.", "type": "string", "default": "compute#vpnTunnelAggregatedList" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "VpnTunnelAggregatedList", "type": "object" }, "BfdPacket": { "properties": { "authenticationPresent": { "description": "The Authentication Present bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "poll": { "description": "The Poll bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "final": { "description": "The Final bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "myDiscriminator": { "description": "The My Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer", "format": "uint32" }, "yourDiscriminator": { "type": "integer", "format": "uint32", "description": "The Your Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880" }, "length": { "type": "integer", "format": "uint32", "description": "The length of the BFD Control packet in bytes. This is specified in section 4.1 of RFC5880" }, "controlPlaneIndependent": { "description": "The Control Plane Independent bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "multipoint": { "type": "boolean", "description": "The multipoint bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "diagnostic": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ], "type": "string", "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880" }, "state": { "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880", "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ] }, "version": { "description": "The version number of the BFD protocol, as specified in section 4.1 of RFC5880.", "format": "uint32", "type": "integer" }, "demand": { "description": "The demand bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "minRxIntervalMs": { "type": "integer", "format": "uint32", "description": "The Required Min RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880" }, "multiplier": { "type": "integer", "description": "The detection time multiplier of the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32" }, "minTxIntervalMs": { "description": "The Desired Min TX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32", "type": "integer" }, "minEchoRxIntervalMs": { "format": "uint32", "type": "integer", "description": "The Required Min Echo RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880" } }, "type": "object", "id": "BfdPacket" }, "RouterNat": { "type": "object", "description": "Represents a Nat resource. It enables the VMs within the specified subnetworks to access Internet without external IP addresses. It specifies a list of subnetworks (and the ranges within) that want to use NAT. Customers can also provide the external IPs that would be used for NAT. GCP would auto-allocate ephemeral IPs if no external IPs are provided.", "properties": { "rules": { "type": "array", "items": { "$ref": "RouterNatRule" }, "description": "A list of rules associated with this NAT." }, "natIpAllocateOption": { "enum": [ "AUTO_ONLY", "MANUAL_ONLY" ], "description": "Specify the NatIpAllocateOption, which can take one of the following values: - MANUAL_ONLY: Uses only Nat IP addresses provided by customers. When there are not enough specified Nat IPs, the Nat service fails for new VMs. - AUTO_ONLY: Nat IPs are allocated by Google Cloud Platform; customers can't specify any Nat IPs. When choosing AUTO_ONLY, then nat_ip should be empty. ", "type": "string", "enumDescriptions": [ "Nat IPs are allocated by GCP; customers can not specify any Nat IPs.", "Only use Nat IPs provided by customers. When specified Nat IPs are not enough then the Nat service fails for new VMs." ] }, "drainNatIps": { "type": "array", "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT only.", "items": { "type": "string" } }, "tcpEstablishedIdleTimeoutSec": { "format": "int32", "type": "integer", "description": "Timeout (in seconds) for TCP established connections. Defaults to 1200s if not set." }, "tcpTransitoryIdleTimeoutSec": { "description": "Timeout (in seconds) for TCP transitory connections. Defaults to 30s if not set.", "type": "integer", "format": "int32" }, "endpointTypes": { "items": { "type": "string", "enumDescriptions": [ "This is used for Secure Web Gateway endpoints.", "This is the default." ], "enum": [ "ENDPOINT_TYPE_SWG", "ENDPOINT_TYPE_VM" ] }, "type": "array", "description": "List of NAT-ted endpoint types supported by the Nat Gateway. If the list is empty, then it will be equivalent to include ENDPOINT_TYPE_VM" }, "natIps": { "type": "array", "description": "A list of URLs of the IP resources used for this Nat service. These IP addresses must be valid static external IP addresses assigned to the project.", "items": { "type": "string" } }, "enableDynamicPortAllocation": { "description": "Enable Dynamic Port Allocation. If not specified, it is disabled by default. If set to true, - Dynamic Port Allocation will be enabled on this NAT config. - enableEndpointIndependentMapping cannot be set to true. - If minPorts is set, minPortsPerVm must be set to a power of two greater than or equal to 32. If minPortsPerVm is not set, a minimum of 32 ports will be allocated to a VM from this NAT config. ", "type": "boolean" }, "enableEndpointIndependentMapping": { "type": "boolean" }, "udpIdleTimeoutSec": { "format": "int32", "type": "integer", "description": "Timeout (in seconds) for UDP connections. Defaults to 30s if not set." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Unique name of this Nat service. The name must be 1-63 characters long and comply with RFC1035.", "type": "string" }, "icmpIdleTimeoutSec": { "type": "integer", "description": "Timeout (in seconds) for ICMP connections. Defaults to 30s if not set.", "format": "int32" }, "minPortsPerVm": { "description": "Minimum number of ports allocated to a VM from this NAT config. If not set, a default number of ports is allocated to a VM. This is rounded up to the nearest power of 2. For example, if the value of this field is 50, at least 64 ports are allocated to a VM.", "type": "integer", "format": "int32" }, "maxPortsPerVm": { "type": "integer", "format": "int32", "description": "Maximum number of ports allocated to a VM from this NAT config when Dynamic Port Allocation is enabled. If Dynamic Port Allocation is not enabled, this field has no effect. If Dynamic Port Allocation is enabled, and this field is set, it must be set to a power of two greater than minPortsPerVm, or 64 if minPortsPerVm is not set. If Dynamic Port Allocation is enabled and this field is not set, a maximum of 65536 ports will be allocated to a VM from this NAT config." }, "tcpTimeWaitTimeoutSec": { "description": "Timeout (in seconds) for TCP connections that are in TIME_WAIT state. Defaults to 120s if not set.", "type": "integer", "format": "int32" }, "subnetworks": { "type": "array", "items": { "$ref": "RouterNatSubnetworkToNat" }, "description": "A list of Subnetwork resources whose traffic should be translated by NAT Gateway. It is used only when LIST_OF_SUBNETWORKS is selected for the SubnetworkIpRangeToNatOption above." }, "sourceSubnetworkIpRangesToNat": { "enumDescriptions": [ "All the IP ranges in every Subnetwork are allowed to Nat.", "All the primary IP ranges in every Subnetwork are allowed to Nat.", "A list of Subnetworks are allowed to Nat (specified in the field subnetwork below)" ], "enum": [ "ALL_SUBNETWORKS_ALL_IP_RANGES", "ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES", "LIST_OF_SUBNETWORKS" ], "type": "string", "description": "Specify the Nat option, which can take one of the following values: - ALL_SUBNETWORKS_ALL_IP_RANGES: All of the IP ranges in every Subnetwork are allowed to Nat. - ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES: All of the primary IP ranges in every Subnetwork are allowed to Nat. - LIST_OF_SUBNETWORKS: A list of Subnetworks are allowed to Nat (specified in the field subnetwork below) The default is SUBNETWORK_IP_RANGE_TO_NAT_OPTION_UNSPECIFIED. Note that if this field contains ALL_SUBNETWORKS_ALL_IP_RANGES or ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES, then there should not be any other Router.Nat section in any Router for this network in this region." }, "logConfig": { "description": "Configure logging on this NAT.", "$ref": "RouterNatLogConfig" } }, "id": "RouterNat" }, "SecurityPolicyRuleRateLimitOptionsThreshold": { "id": "SecurityPolicyRuleRateLimitOptionsThreshold", "properties": { "intervalSec": { "description": "Interval over which the threshold is computed.", "format": "int32", "type": "integer" }, "count": { "type": "integer", "format": "int32", "description": "Number of HTTP(S) requests for calculating the threshold." } }, "type": "object" }, "AddressList": { "id": "AddressList", "type": "object", "description": "Contains a list of addresses.", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "Address" }, "type": "array", "description": "A list of Address resources." }, "kind": { "description": "[Output Only] Type of resource. Always compute#addressList for lists of addresses.", "type": "string", "default": "compute#addressList" } } }, "RouterStatusNatStatus": { "type": "object", "properties": { "userAllocatedNatIps": { "items": { "type": "string" }, "description": "A list of IPs user-allocated for NAT. They will be raw IP strings like \"179.12.26.133\".", "type": "array" }, "name": { "description": "Unique name of this NAT.", "type": "string" }, "numVmEndpointsWithNatMappings": { "description": "Number of VM endpoints (i.e., Nics) that can use NAT.", "format": "int32", "type": "integer" }, "ruleStatus": { "description": "Status of rules in this NAT.", "type": "array", "items": { "$ref": "RouterStatusNatStatusNatRuleStatus" } }, "userAllocatedNatIpResources": { "description": "A list of fully qualified URLs of reserved IP address resources.", "type": "array", "items": { "type": "string" } }, "drainAutoAllocatedNatIps": { "items": { "type": "string" }, "description": "A list of IPs auto-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].", "type": "array" }, "minExtraNatIpsNeeded": { "description": "The number of extra IPs to allocate. This will be greater than 0 only if user-specified IPs are NOT enough to allow all configured VMs to use NAT. This value is meaningful only when auto-allocation of NAT IPs is *not* used.", "format": "int32", "type": "integer" }, "drainUserAllocatedNatIps": { "description": "A list of IPs user-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].", "type": "array", "items": { "type": "string" } }, "autoAllocatedNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of IPs auto-allocated for NAT. Example: [\"1.1.1.1\", \"129.2.16.89\"]" } }, "id": "RouterStatusNatStatus", "description": "Status of a NAT contained in this router." }, "RegionInstanceGroupManagersCreateInstancesRequest": { "id": "RegionInstanceGroupManagersCreateInstancesRequest", "type": "object", "description": "RegionInstanceGroupManagers.createInstances", "properties": { "instances": { "description": "[Required] List of specifications of per-instance configs.", "type": "array", "items": { "$ref": "PerInstanceConfig" } } } }, "NetworkEndpointGroupsListNetworkEndpoints": { "properties": { "items": { "items": { "$ref": "NetworkEndpointWithHealthStatus" }, "description": "A list of NetworkEndpointWithHealthStatus resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.", "default": "compute#networkEndpointGroupsListNetworkEndpoints" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "NetworkEndpointGroupsListNetworkEndpoints" }, "TargetInstanceAggregatedList": { "properties": { "items": { "type": "object", "description": "A list of TargetInstance resources.", "additionalProperties": { "$ref": "TargetInstancesScopedList", "description": "Name of the scope containing this set of target instances." } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "kind": { "description": "Type of resource.", "default": "compute#targetInstanceAggregatedList", "type": "string" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "TargetInstanceAggregatedList", "type": "object" }, "RouterStatusBgpPeerStatus": { "properties": { "bfdStatus": { "$ref": "BfdStatus" }, "linkedVpnTunnel": { "description": "URL of the VPN tunnel that this BGP peer controls.", "type": "string" }, "uptime": { "type": "string", "description": "Time this session has been up. Format: 14 years, 51 weeks, 6 days, 23 hours, 59 minutes, 59 seconds" }, "advertisedRoutes": { "type": "array", "description": "Routes that were advertised to the remote BGP peer", "items": { "$ref": "Route" } }, "name": { "description": "Name of this BGP peer. Unique within the Routers resource.", "type": "string" }, "md5AuthEnabled": { "type": "boolean", "description": "Informs whether MD5 authentication is enabled on this BGP peer." }, "status": { "enum": [ "DOWN", "UNKNOWN", "UP" ], "enumDescriptions": [ "", "", "" ], "description": "Status of the BGP peer: {UP, DOWN}", "type": "string" }, "routerApplianceInstance": { "type": "string", "description": "[Output only] URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance is the peer side of the BGP session." }, "ipAddress": { "type": "string", "description": "IP address of the local BGP interface." }, "peerIpAddress": { "type": "string", "description": "IP address of the remote BGP interface." }, "numLearnedRoutes": { "type": "integer", "format": "uint32", "description": "Number of routes learned from the remote BGP Peer." }, "uptimeSeconds": { "type": "string", "description": "Time this session has been up, in seconds. Format: 145" }, "statusReason": { "enum": [ "MD5_AUTH_INTERNAL_PROBLEM", "STATUS_REASON_UNSPECIFIED" ], "description": "Indicates why particular status was returned.", "enumDescriptions": [ "Indicates internal problems with configuration of MD5 authentication. This particular reason can only be returned when md5AuthEnabled is true and status is DOWN.", "" ], "type": "string" }, "state": { "description": "The state of the BGP session. For a list of possible values for this field, see BGP session states.", "type": "string" } }, "id": "RouterStatusBgpPeerStatus", "type": "object" }, "RouterList": { "properties": { "kind": { "type": "string", "default": "compute#routerList", "description": "[Output Only] Type of resource. Always compute#router for routers." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of Router resources.", "type": "array", "items": { "$ref": "Router" } } }, "id": "RouterList", "type": "object", "description": "Contains a list of Router resources." }, "SslCertificatesScopedList": { "id": "SslCertificatesScopedList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "Informational warning which replaces the list of backend services when the list is empty." }, "sslCertificates": { "description": "List of SslCertificates contained in this scope.", "items": { "$ref": "SslCertificate" }, "type": "array" } } }, "InstancePropertiesPatch": { "properties": { "labels": { "description": "The label key-value pairs that you want to patch onto the instance.", "type": "object", "additionalProperties": { "type": "string" } }, "metadata": { "type": "object", "description": "The metadata key-value pairs that you want to patch onto the instance. For more information, see Project and instance metadata.", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "InstancePropertiesPatch", "description": "Represents the change that you want to make to the instance properties." }, "RoutersScopedList": { "id": "RoutersScopedList", "properties": { "routers": { "type": "array", "description": "A list of routers contained in this scope.", "items": { "$ref": "Router" } }, "warning": { "type": "object", "description": "Informational warning which replaces the list of routers when the list is empty.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } } }, "type": "object" }, "InstanceGroupManagerActionsSummary": { "type": "object", "properties": { "resuming": { "type": "integer", "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be resumed or are currently being resumed." }, "creatingWithoutRetries": { "description": "[Output Only] The number of instances that the managed instance group will attempt to create. The group attempts to create each instance only once. If the group fails to create any of these instances, it decreases the group's targetSize value accordingly.", "format": "int32", "type": "integer" }, "restarting": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be restarted or are currently being restarted.", "type": "integer" }, "stopping": { "type": "integer", "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be stopped or are currently being stopped." }, "starting": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be started or are currently being started.", "type": "integer" }, "recreating": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be recreated or are currently being being recreated. Recreating an instance deletes the existing root persistent disk and creates a new disk from the image that is defined in the instance template.", "type": "integer" }, "creating": { "type": "integer", "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be created or are currently being created. If the group fails to create any of these instances, it tries again until it creates the instance successfully. If you have disabled creation retries, this field will not be populated; instead, the creatingWithoutRetries field will be populated." }, "none": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are running and have no scheduled actions." }, "refreshing": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are being reconfigured with properties that do not require a restart or a recreate action. For example, setting or removing target pools for the instance.", "type": "integer" }, "deleting": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be deleted or are currently being deleted.", "type": "integer" }, "abandoning": { "type": "integer", "format": "int32", "description": "[Output Only] The total number of instances in the managed instance group that are scheduled to be abandoned. Abandoning an instance removes it from the managed instance group without deleting it." }, "verifying": { "type": "integer", "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are being verified. See the managedInstances[].currentAction property in the listManagedInstances method documentation." }, "suspending": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be suspended or are currently being suspended." } }, "id": "InstanceGroupManagerActionsSummary" }, "Rule": { "description": "This is deprecated and has no effect. Do not use.", "properties": { "description": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "notIns": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" } }, "conditions": { "description": "This is deprecated and has no effect. Do not use.", "type": "array", "items": { "$ref": "Condition" } }, "action": { "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "ALLOW", "ALLOW_WITH_LOG", "DENY", "DENY_WITH_LOG", "LOG", "NO_ACTION" ], "description": "This is deprecated and has no effect. Do not use." }, "permissions": { "items": { "type": "string" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "logConfigs": { "items": { "$ref": "LogConfig" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "ins": { "description": "This is deprecated and has no effect. Do not use.", "type": "array", "items": { "type": "string" } } }, "id": "Rule", "type": "object" }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse": { "type": "object", "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse", "properties": { "firewallPolicys": { "description": "Effective firewalls from firewall policy.", "items": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "type": "array" }, "firewalls": { "type": "array", "items": { "$ref": "Firewall" }, "description": "Effective firewalls on the network." } } }, "InstanceGroupsSetNamedPortsRequest": { "type": "object", "properties": { "namedPorts": { "type": "array", "description": "The list of named ports to set for this instance group.", "items": { "$ref": "NamedPort" } }, "fingerprint": { "format": "byte", "type": "string", "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request. A request with an incorrect fingerprint will fail with error 412 conditionNotMet." } }, "id": "InstanceGroupsSetNamedPortsRequest" }, "SubnetworksExpandIpCidrRangeRequest": { "type": "object", "properties": { "ipCidrRange": { "description": "The IP (in CIDR format or netmask) of internal addresses that are legal on this Subnetwork. This range should be disjoint from other subnetworks within this network. This range can only be larger than (i.e. a superset of) the range previously defined before the update.", "type": "string" } }, "id": "SubnetworksExpandIpCidrRangeRequest" }, "CacheInvalidationRule": { "id": "CacheInvalidationRule", "properties": { "path": { "type": "string" }, "host": { "description": "If set, this invalidation rule will only apply to requests with a Host header matching host.", "type": "string" } }, "type": "object" }, "BackendServiceReference": { "type": "object", "id": "BackendServiceReference", "properties": { "backendService": { "type": "string" } } }, "NetworksGetEffectiveFirewallsResponse": { "properties": { "firewalls": { "items": { "$ref": "Firewall" }, "description": "Effective firewalls on the network.", "type": "array" }, "organizationFirewalls": { "type": "array", "description": "Effective firewalls from organization policies.", "items": { "$ref": "NetworksGetEffectiveFirewallsResponseOrganizationFirewallPolicy" } }, "firewallPolicys": { "description": "Effective firewalls from firewall policy.", "items": { "$ref": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "type": "array" } }, "id": "NetworksGetEffectiveFirewallsResponse", "type": "object" }, "NetworkEndpointGroupsListEndpointsRequest": { "id": "NetworkEndpointGroupsListEndpointsRequest", "properties": { "endpointFilters": { "type": "array", "items": { "$ref": "NetworkEndpointGroupsListEndpointsRequestNetworkEndpointFilter" }, "description": "Optional list of endpoints to query. This is a more efficient but also limited version of filter parameter. Endpoints in the filter must have ip_address and port fields populated, other fields are not supported." }, "healthStatus": { "description": "Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided.", "type": "string", "enum": [ "SHOW", "SKIP" ], "enumDescriptions": [ "Show the health status for each network endpoint. Impacts latency of the call.", "Health status for network endpoints will not be provided." ] } }, "type": "object" }, "ProjectsSetDefaultNetworkTierRequest": { "properties": { "networkTier": { "description": "Default network tier to be set.", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string" } }, "type": "object", "id": "ProjectsSetDefaultNetworkTierRequest" }, "SslCertificateManagedSslCertificate": { "id": "SslCertificateManagedSslCertificate", "description": "Configuration and status of a managed SSL certificate.", "properties": { "domains": { "type": "array", "description": "The domains for which a managed SSL certificate will be generated. Each Google-managed SSL certificate supports up to the [maximum number of domains per Google-managed SSL certificate](/load-balancing/docs/quotas#ssl_certificates).", "items": { "type": "string" } }, "domainStatus": { "type": "object", "description": "[Output only] Detailed statuses of the domains specified for managed certificate resource.", "additionalProperties": { "enumDescriptions": [ "A managed certificate can be provisioned, no issues for this domain.", "", "Failed to check CAA records for the domain.", "Certificate issuance forbidden by an explicit CAA record for the domain.", "There seems to be problem with the user's DNS or load balancer configuration for this domain.", "Reached rate-limit for certificates per top-level private domain.", "Certificate provisioning for this domain is under way. GCP will attempt to provision the first certificate." ], "enum": [ "ACTIVE", "DOMAIN_STATUS_UNSPECIFIED", "FAILED_CAA_CHECKING", "FAILED_CAA_FORBIDDEN", "FAILED_NOT_VISIBLE", "FAILED_RATE_LIMITED", "PROVISIONING" ], "type": "string" } }, "status": { "type": "string", "description": "[Output only] Status of the managed certificate resource.", "enumDescriptions": [ "The certificate management is working, and a certificate has been provisioned.", "", "The certificate management is working. GCP will attempt to provision the first certificate.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. For details of which domain failed, consult domain_status field.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. It won't be retried. To try again delete and create a new managed SslCertificate resource. For details of which domain failed, consult domain_status field.", "Renewal of the certificate has failed due to an issue with the DNS or load balancing configuration. The existing cert is still serving; however, it will expire shortly. To provision a renewed certificate, delete and create a new managed SslCertificate resource. For details on which domain failed, consult domain_status field." ], "enum": [ "ACTIVE", "MANAGED_CERTIFICATE_STATUS_UNSPECIFIED", "PROVISIONING", "PROVISIONING_FAILED", "PROVISIONING_FAILED_PERMANENTLY", "RENEWAL_FAILED" ] } }, "type": "object" }, "ResourcePolicyDailyCycle": { "type": "object", "properties": { "daysInCycle": { "description": "Defines a schedule with units measured in days. The value determines how many days pass between the start of each cycle.", "type": "integer", "format": "int32" }, "startTime": { "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.", "type": "string" }, "duration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "type": "string" } }, "description": "Time window specified for daily operations.", "id": "ResourcePolicyDailyCycle" }, "CommitmentList": { "properties": { "kind": { "default": "compute#commitmentList", "description": "[Output Only] Type of resource. Always compute#commitmentList for lists of commitments.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "description": "A list of Commitment resources.", "items": { "$ref": "Commitment" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "CommitmentList", "type": "object", "description": "Contains a list of Commitment resources." }, "NetworkEndpointGroupAggregatedList": { "id": "NetworkEndpointGroupAggregatedList", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "items": { "type": "object", "description": "A list of NetworkEndpointGroupsScopedList resources.", "additionalProperties": { "$ref": "NetworkEndpointGroupsScopedList", "description": "The name of the scope that contains this set of network endpoint groups." } }, "kind": { "type": "string", "default": "compute#networkEndpointGroupAggregatedList", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupAggregatedList for aggregated lists of network endpoint groups." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "Disk": { "id": "Disk", "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "type": { "type": "string", "description": "URL of the disk type resource describing which disk type to use to create the disk. Provide this when creating the disk. For example: projects/project /zones/zone/diskTypes/pd-ssd . See Persistent disk types." }, "lastDetachTimestamp": { "type": "string", "description": "[Output Only] Last detach timestamp in RFC3339 text format." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "status": { "description": "[Output Only] The status of disk creation. - CREATING: Disk is provisioning. - RESTORING: Source data is being copied into the disk. - FAILED: Disk creation failed. - READY: Disk is ready for use. - DELETING: Disk is deleting. ", "enumDescriptions": [ "Disk is provisioning", "Disk is deleting.", "Disk creation failed.", "Disk is ready for use.", "Source data is being copied into the disk." ], "enum": [ "CREATING", "DELETING", "FAILED", "READY", "RESTORING" ], "type": "string" }, "replicaZones": { "description": "URLs of the zones where the disk should be replicated to. Only applicable for regional resources.", "items": { "type": "string" }, "type": "array" }, "guestOsFeatures": { "type": "array", "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "items": { "$ref": "GuestOsFeature" } }, "sourceImageId": { "description": "[Output Only] The ID value of the image used to create this disk. This value identifies the exact image that was used to create this persistent disk. For example, if you created the persistent disk from an image that was later deleted and recreated under the same name, the source image ID would identify the exact version of the image that was used.", "type": "string" }, "licenseCodes": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "Integer license codes indicating which licenses are attached to this disk." }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "type": "string", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "description": "The architecture of the disk. Valid values are ARM64 or X86_64." }, "licenses": { "description": "A list of publicly visible licenses. Reserved for Google's use.", "type": "array", "items": { "type": "string" } }, "resourcePolicies": { "items": { "type": "string" }, "description": "Resource policies applied to this disk for automatic snapshot creations.", "type": "array" }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The unique ID of the snapshot used to create this disk. This value identifies the exact snapshot that was used to create this persistent disk. For example, if you created the persistent disk from a snapshot that was later deleted and recreated under the same name, the source snapshot ID would identify the exact version of the snapshot that was used." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.disks.insert" ] } }, "users": { "description": "[Output Only] Links to the users of the disk (attached instances) in form: projects/project/zones/zone/instances/instance", "type": "array", "items": { "type": "string" } }, "provisionedIops": { "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.", "type": "string", "format": "int64" }, "locationHint": { "description": "An opaque location hint used to place the disk close to other resources. This field is for use by internal tools that use the public API.", "type": "string" }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "sourceStorageObject": { "description": "The full Google Cloud Storage URI where the disk image is stored. This file must be a gzip-compressed tarball whose name ends in .tar.gz or virtual machine disk whose name ends in vmdk. Valid URIs may start with gs:// or https://storage.googleapis.com/. This flag is not optimized for creating multiple disks from a source storage object. To create many disks from a source storage object, use gcloud compute images import instead.", "type": "string" }, "sizeGb": { "type": "string", "description": "Size, in GB, of the persistent disk. You can specify this field when creating a persistent disk using the sourceImage, sourceSnapshot, or sourceDisk parameter, or specify it alone to create an empty persistent disk. If you specify this field along with a source, the value of sizeGb must not be less than the size of the source. Acceptable values are 1 to 65536, inclusive.", "format": "int64" }, "lastAttachTimestamp": { "type": "string", "description": "[Output Only] Last attach timestamp in RFC3339 text format." }, "diskEncryptionKey": { "description": "Encrypts the disk using a customer-supplied encryption key or a customer-managed encryption key. Encryption keys do not protect access to metadata of the disk. After you encrypt a disk with a customer-supplied key, you must provide the same key if you use the disk later. For example, to create a disk snapshot, to create a disk image, to create a machine image, or to attach the disk to a virtual machine. After you encrypt a disk with a customer-managed key, the diskEncryptionKey.kmsKeyName is set to a key *version* name once the disk is created. The disk is encrypted with this version of the key. In the response, diskEncryptionKey.kmsKeyName appears in the following format: \"diskEncryptionKey.kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key /cryptoKeysVersions/version If you do not provide an encryption key when creating the disk, then the disk is encrypted using an automatically generated key and you don't need to provide a key to use the disk later.", "$ref": "CustomerEncryptionKey" }, "physicalBlockSizeBytes": { "description": "Physical block size of the persistent disk, in bytes. If not present in a request, a default value is used. The currently supported size is 4096, other sizes may be added in the future. If an unsupported value is requested, the error message will list the supported values for the caller's project.", "format": "int64", "type": "string" }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this disk, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a disk." }, "sourceSnapshot": { "description": "The source snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project /global/snapshots/snapshot - projects/project/global/snapshots/snapshot - global/snapshots/snapshot ", "type": "string" }, "labels": { "description": "Labels to apply to this disk. These can be later modified by the setLabels method.", "additionalProperties": { "type": "string" }, "type": "object" }, "kind": { "default": "compute#disk", "description": "[Output Only] Type of the resource. Always compute#disk for disks.", "type": "string" }, "sourceSnapshotEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key." }, "sourceDiskId": { "type": "string", "description": "[Output Only] The unique ID of the disk used to create this disk. This value identifies the exact disk that was used to create this persistent disk. For example, if you created the persistent disk from a disk that was later deleted and recreated under the same name, the source disk ID would identify the exact version of the disk that was used." }, "sourceImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key." }, "interface": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "[Deprecated] Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI.", "enum": [ "NVME", "SCSI", "UNSPECIFIED" ] }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the disk resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "sourceImage": { "description": "The source image used to create this disk. If the source image is deleted, this field will not be set. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family ", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "sourceDisk": { "type": "string", "description": "The source disk used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk " }, "region": { "description": "[Output Only] URL of the region where the disk resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "userLicenses": { "items": { "type": "string" }, "type": "array", "description": "A list of publicly visible user-licenses. Unlike regular licenses, user provided licenses can be modified after the disk is created. This includes a list of URLs to the license resource. For example, to provide a debian license: https://www.googleapis.com/compute/v1/projects/debian-cloud/global/licenses/debian-9-stretch " }, "eraseWindowsVssSignature": { "description": "Specifies whether the disk restored from a source snapshot should erase Windows specific VSS signature.", "type": "boolean" }, "options": { "type": "string", "description": "Internal use only." }, "locked": { "type": "boolean", "description": "[Output Only] The field indicates if the disk is created from a locked source image. Attachment of a disk created from a locked source image will cause the following operations to become irreversibly prohibited: - R/W or R/O disk attachment to any other instance - Disk detachment. And the disk can only be deleted when the instance is deleted - Creation of images or snapshots - Disk cloning Furthermore, the instance with at least one disk with locked flag set to true will be prohibited from performing the operations below: - Further attachment of secondary disks. - Detachment of any disks - Create machine images - Create instance template - Delete the instance with --keep-disk parameter set to true for locked disks - Attach a locked disk with --auto-delete parameter set to false " }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "multiWriter": { "type": "boolean", "description": "Indicates whether or not the disk can be read/write attached to more than one instance." }, "storageType": { "enum": [ "HDD", "SSD" ], "enumDescriptions": [ "", "" ], "description": "[Deprecated] Storage type of the persistent disk.", "type": "string" } }, "description": "Represents a Persistent Disk resource. Google Compute Engine has two Disk resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/beta/disks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionDisks) Persistent disks are required for running your VM instances. Create both boot and non-boot (data) persistent disks. For more information, read Persistent Disks. For more storage options, read Storage options. The disks resource represents a zonal persistent disk. For more information, read Zonal persistent disks. The regionDisks resource represents a regional persistent disk. For more information, read Regional resources.", "type": "object" }, "RegionInstanceGroupManagerList": { "type": "object", "description": "Contains a list of managed instance groups.", "properties": { "items": { "description": "A list of InstanceGroupManager resources.", "type": "array", "items": { "$ref": "InstanceGroupManager" } }, "kind": { "default": "compute#regionInstanceGroupManagerList", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups that exist in th regional scope.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "RegionInstanceGroupManagerList" }, "SourceDiskEncryptionKey": { "properties": { "diskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key." }, "sourceDisk": { "type": "string", "description": "URL of the disk attached to the source instance. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk " } }, "type": "object", "id": "SourceDiskEncryptionKey" }, "AutoscalingPolicyCpuUtilization": { "id": "AutoscalingPolicyCpuUtilization", "description": "CPU utilization policy.", "type": "object", "properties": { "predictiveMethod": { "description": "Indicates whether predictive autoscaling based on CPU metric is enabled. Valid values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NONE (default). No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh OPTIMIZE_AVAILABILITY. Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand.", "enum": [ "NONE", "OPTIMIZE_AVAILABILITY", "PREDICTIVE_METHOD_UNSPECIFIED" ], "enumDescriptions": [ "No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics", "Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand.", "" ], "type": "string" }, "utilizationTarget": { "format": "double", "description": "The target CPU utilization that the autoscaler maintains. Must be a float value in the range (0, 1]. If not specified, the default is 0.6. If the CPU level is below the target utilization, the autoscaler scales in the number of instances until it reaches the minimum number of instances you specified or until the average CPU of your instances reaches the target utilization. If the average CPU is above the target utilization, the autoscaler scales out until it reaches the maximum number of instances you specified or until the average utilization reaches the target utilization.", "type": "number" } } }, "InstanceManagedByIgmErrorManagedInstanceError": { "id": "InstanceManagedByIgmErrorManagedInstanceError", "properties": { "code": { "type": "string", "description": "[Output Only] Error code." }, "message": { "description": "[Output Only] Error message.", "type": "string" } }, "type": "object" }, "PublicDelegatedPrefixesScopedList": { "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" } }, "description": "[Output Only] Informational warning which replaces the list of public delegated prefixes when the list is empty.", "type": "object" }, "publicDelegatedPrefixes": { "description": "[Output Only] A list of PublicDelegatedPrefixes contained in this scope.", "items": { "$ref": "PublicDelegatedPrefix" }, "type": "array" } }, "type": "object", "id": "PublicDelegatedPrefixesScopedList" }, "ZoneList": { "description": "Contains a list of zone resources.", "id": "ZoneList", "type": "object", "properties": { "warning": { "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "Zone" }, "type": "array", "description": "A list of Zone resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "default": "compute#zoneList", "description": "Type of resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "SecurityPolicyReference": { "type": "object", "id": "SecurityPolicyReference", "properties": { "securityPolicy": { "type": "string" } } }, "TestPermissionsRequest": { "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.", "items": { "type": "string" } } }, "id": "TestPermissionsRequest", "type": "object" }, "TargetVpnGateway": { "type": "object", "description": "Represents a Target VPN Gateway resource. The target VPN gateway resource represents a Classic Cloud VPN gateway. For more information, read the the Cloud VPN Overview.", "id": "TargetVpnGateway", "properties": { "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.targetVpnGateways.insert" ] } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "status": { "enum": [ "CREATING", "DELETING", "FAILED", "READY" ], "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "[Output Only] The status of the VPN gateway, which can be one of the following: CREATING, READY, FAILED, or DELETING." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "network": { "annotations": { "required": [ "compute.targetVpnGateways.insert" ] }, "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "type": "string" }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this TargetVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a TargetVpnGateway." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "labels": { "type": "object", "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" } }, "region": { "description": "[Output Only] URL of the region where the target VPN gateway resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "forwardingRules": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] A list of URLs to the ForwardingRule resources. ForwardingRules are created using compute.forwardingRules.insert and associated with a VPN gateway." }, "kind": { "type": "string", "default": "compute#targetVpnGateway", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "tunnels": { "type": "array", "description": "[Output Only] A list of URLs to VpnTunnel resources. VpnTunnels are created using the compute.vpntunnels.insert method and associated with a VPN gateway.", "items": { "type": "string" } } } }, "InstanceManagedByIgmErrorInstanceActionDetails": { "type": "object", "id": "InstanceManagedByIgmErrorInstanceActionDetails", "properties": { "version": { "description": "[Output Only] Version this instance was created from, or was being created from, but the creation failed. Corresponds to one of the versions that were set on the Instance Group Manager resource at the time this instance was being created.", "$ref": "ManagedInstanceVersion" }, "action": { "description": "[Output Only] Action that managed instance group was executing on the instance when the error occurred. Possible values:", "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ], "type": "string" }, "instance": { "description": "[Output Only] The URL of the instance. The URL can be set even if the instance has not yet been created.", "type": "string" } } }, "Screenshot": { "description": "An instance's screenshot.", "id": "Screenshot", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#screenshot for the screenshots.", "default": "compute#screenshot" }, "contents": { "type": "string", "description": "[Output Only] The Base64-encoded screenshot data." } }, "type": "object" }, "ServerBinding": { "type": "object", "id": "ServerBinding", "properties": { "type": { "type": "string", "enumDescriptions": [ "Node may associate with any physical server over its lifetime.", "Node may associate with minimal physical servers over its lifetime.", "" ], "enum": [ "RESTART_NODE_ON_ANY_SERVER", "RESTART_NODE_ON_MINIMAL_SERVERS", "SERVER_BINDING_TYPE_UNSPECIFIED" ] } } }, "TargetSslProxiesSetSslCertificatesRequest": { "id": "TargetSslProxiesSetSslCertificatesRequest", "type": "object", "properties": { "sslCertificates": { "items": { "type": "string" }, "description": "New set of URLs to SslCertificate resources to associate with this TargetSslProxy. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates.", "type": "array" } } }, "BfdStatusPacketCounts": { "type": "object", "id": "BfdStatusPacketCounts", "properties": { "numRx": { "description": "Number of packets received since the beginning of the current BFD session.", "type": "integer", "format": "uint32" }, "numRxRejected": { "description": "Number of packets received that were rejected because of errors since the beginning of the current BFD session.", "format": "uint32", "type": "integer" }, "numRxSuccessful": { "type": "integer", "format": "uint32", "description": "Number of packets received that were successfully processed since the beginning of the current BFD session." }, "numTx": { "description": "Number of packets transmitted since the beginning of the current BFD session.", "type": "integer", "format": "uint32" } } }, "BackendServiceList": { "id": "BackendServiceList", "description": "Contains a list of BackendService resources.", "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#backendServiceList for lists of backend services.", "default": "compute#backendServiceList", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "description": "A list of BackendService resources.", "items": { "$ref": "BackendService" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } } } } }, "PublicDelegatedPrefix": { "type": "object", "id": "PublicDelegatedPrefix", "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "isLiveMigration": { "type": "boolean", "description": "If true, the prefix will be live migrated." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefix for public delegated prefixes.", "default": "compute#publicDelegatedPrefix" }, "region": { "description": "[Output Only] URL of the region where the public delegated prefix resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicDelegatedPrefix. An up-to-date fingerprint must be provided in order to update the PublicDelegatedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicDelegatedPrefix." }, "ipCidrRange": { "type": "string", "description": "The IPv4 address range, in CIDR format, represented by this public delegated prefix." }, "status": { "type": "string", "enumDescriptions": [ "The public delegated prefix is active.", "The public delegated prefix is being deprovsioned.", "The public delegated prefix is being initialized and addresses cannot be created yet.", "The public delegated prefix is currently withdrawn but ready to be announced." ], "enum": [ "ANNOUNCED", "DELETING", "INITIALIZING", "READY_TO_ANNOUNCE" ], "description": "[Output Only] The status of the public delegated prefix, which can be one of following values: - `INITIALIZING` The public delegated prefix is being initialized and addresses cannot be created yet. - `READY_TO_ANNOUNCE` The public delegated prefix is a live migration prefix and is active. - `ANNOUNCED` The public delegated prefix is active. - `DELETING` The public delegated prefix is being deprovsioned. " }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "publicDelegatedSubPrefixs": { "items": { "$ref": "PublicDelegatedPrefixPublicDelegatedSubPrefix" }, "description": "The list of sub public delegated prefixes that exist for this public delegated prefix.", "type": "array" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.publicDelegatedPrefixes.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "parentPrefix": { "description": "The URL of parent prefix. Either PublicAdvertisedPrefix or PublicDelegatedPrefix.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "description": "A PublicDelegatedPrefix resource represents an IP block within a PublicAdvertisedPrefix that is configured within a single cloud scope (global or region). IPs in the block can be allocated to resources within that scope. Public delegated prefixes may be further broken up into smaller IP blocks in the same scope as the parent block." }, "CommitmentsScopedList": { "type": "object", "id": "CommitmentsScopedList", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning which replaces the list of commitments when the list is empty." }, "commitments": { "items": { "$ref": "Commitment" }, "description": "[Output Only] A list of commitments contained in this scope.", "type": "array" } } }, "HelpLink": { "description": "Describes a URL link.", "properties": { "description": { "type": "string", "description": "Describes what the link offers." }, "url": { "description": "The URL of the link.", "type": "string" } }, "id": "HelpLink", "type": "object" }, "AddressesScopedList": { "properties": { "addresses": { "items": { "$ref": "Address" }, "type": "array", "description": "[Output Only] A list of addresses contained in this scope." }, "warning": { "type": "object", "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "id": "AddressesScopedList", "type": "object" }, "TargetHttpsProxiesSetSslCertificatesRequest": { "id": "TargetHttpsProxiesSetSslCertificatesRequest", "type": "object", "properties": { "sslCertificates": { "items": { "type": "string" }, "type": "array", "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates." } } }, "InstanceConsumptionInfo": { "id": "InstanceConsumptionInfo", "type": "object", "properties": { "localSsdGb": { "type": "integer", "format": "int32", "description": "The amount of local SSD storage available to the instance, defined in GiB." }, "guestCpus": { "format": "int32", "description": "The number of virtual CPUs that are available to the instance.", "type": "integer" }, "minNodeCpus": { "format": "int32", "description": "The minimal guaranteed number of virtual CPUs that are reserved.", "type": "integer" }, "memoryMb": { "description": "The amount of physical memory available to the instance, defined in MiB.", "type": "integer", "format": "int32" } } }, "Snapshot": { "id": "Snapshot", "type": "object", "properties": { "sourceSnapshotSchedulePolicy": { "description": "[Output Only] URL of the resource policy which created this scheduled snapshot.", "type": "string" }, "sourceSnapshotSchedulePolicyId": { "description": "[Output Only] ID of the resource policy which created this scheduled snapshot.", "type": "string" }, "diskSizeGb": { "description": "[Output Only] Size of the source disk, specified in GB.", "format": "int64", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels to apply to this snapshot. These can be later modified by the setLabels method. Label values may be empty." }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this snapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a snapshot.", "format": "byte", "type": "string" }, "sourceDisk": { "description": "The source disk used to create this snapshot.", "type": "string" }, "sourceDiskEncryptionKey": { "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "chainName": { "description": "Creates the new snapshot in the snapshot chain labeled with the specified name. The chain name must be 1-63 characters long and comply with RFC1035. This is an uncommon option only for advanced service owners who needs to create separate snapshot chains, for example, for chargeback tracking. When you describe your snapshot resource, this field is visible only if it has a non-empty value.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#snapshot for Snapshot resources.", "default": "compute#snapshot", "type": "string" }, "storageBytesStatus": { "enum": [ "UPDATING", "UP_TO_DATE" ], "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "type": "string", "enumDescriptions": [ "", "" ] }, "licenses": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] A list of public visible licenses that apply to this snapshot. This can be because the original image had licenses attached (such as a Windows image)." }, "architecture": { "type": "string", "description": "[Output Only] The architecture of the snapshot. Valid values are ARM64 or X86_64.", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] }, "storageLocations": { "description": "Cloud Storage bucket storage location of the snapshot (regional or multi-regional).", "items": { "type": "string" }, "type": "array" }, "guestFlush": { "description": "[Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process.", "type": "boolean" }, "storageBytes": { "format": "int64", "type": "string", "description": "[Output Only] A size of the storage used by the snapshot. As snapshots share storage, this number is expected to change with snapshot creation/deletion." }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the snapshot close to other resources. This field is for use by internal tools that use the public API." }, "licenseCodes": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "[Output Only] Integer license codes indicating which licenses are attached to this snapshot." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "downloadBytes": { "type": "string", "description": "[Output Only] Number of bytes downloaded to restore a snapshot to a disk.", "format": "int64" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "sourceDiskId": { "description": "[Output Only] The ID value of the disk used to create this snapshot. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given disk name.", "type": "string" }, "autoCreated": { "description": "[Output Only] Set to true if snapshots are automatically created by applying resource policy on the target disk.", "type": "boolean" }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "snapshotEncryptionKey": { "description": "Encrypts the snapshot using a customer-supplied encryption key. After you encrypt a snapshot using a customer-supplied key, you must provide the same key if you use the snapshot later. For example, you must provide the encryption key when you create a disk from the encrypted snapshot in a future request. Customer-supplied encryption keys do not protect access to metadata of the snapshot. If you do not provide an encryption key when creating the snapshot, then the snapshot will be encrypted using an automatically generated key and you do not need to provide a key to use the snapshot later.", "$ref": "CustomerEncryptionKey" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.snapshots.insert" ] } }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "status": { "type": "string", "enumDescriptions": [ "Snapshot creation is in progress.", "Snapshot is currently being deleted.", "Snapshot creation failed.", "Snapshot has been created successfully.", "Snapshot is being uploaded." ], "description": "[Output Only] The status of the snapshot. This can be CREATING, DELETING, FAILED, READY, or UPLOADING.", "enum": [ "CREATING", "DELETING", "FAILED", "READY", "UPLOADING" ] }, "userLicenses": { "description": "[Output Only] A list of user provided licenses represented by a list of URLs to the license resource.", "type": "array", "items": { "type": "string" } } }, "description": "Represents a Persistent Disk Snapshot resource. You can use snapshots to back up data on a regular interval. For more information, read Creating persistent disk snapshots." }, "SecuritySettings": { "id": "SecuritySettings", "description": "The authentication and authorization settings for a BackendService.", "type": "object", "properties": { "subjectAltNames": { "items": { "type": "string" }, "type": "array", "description": "Optional. A list of Subject Alternative Names (SANs) that the client verifies during a mutual TLS handshake with an server/endpoint for this BackendService. When the server presents its X.509 certificate to the client, the client inspects the certificate's subjectAltName field. If the field contains one of the specified values, the communication continues. Otherwise, it fails. This additional check enables the client to verify that the server is authorized to run the requested service. Note that the contents of the server certificate's subjectAltName field are configured by the Public Key Infrastructure which provisions server identities. Only applies to a global BackendService with loadBalancingScheme set to INTERNAL_SELF_MANAGED. Only applies when BackendService has an attached clientTlsPolicy with clientCertificate (mTLS mode). Note: This field currently has no impact." }, "clientTlsPolicy": { "description": "Optional. A URL referring to a networksecurity.ClientTlsPolicy resource that describes how clients should authenticate with this service's backends. clientTlsPolicy only applies to a global BackendService with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact.", "type": "string" }, "authentication": { "description": "[Deprecated] Use clientTlsPolicy instead.", "type": "string" } } }, "DisksRemoveResourcePoliciesRequest": { "type": "object", "id": "DisksRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies to be removed from this disk." } } }, "RegionInstanceGroupManagersListInstancesResponse": { "type": "object", "id": "RegionInstanceGroupManagersListInstancesResponse", "properties": { "managedInstances": { "type": "array", "items": { "$ref": "ManagedInstance" }, "description": "A list of managed instances." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "HttpRouteAction": { "type": "object", "properties": { "maxStreamDuration": { "description": "Specifies the maximum duration (timeout) for streams on the selected route. Unlike the timeout field where the timeout duration starts from the time the request has been fully processed (known as *end-of-stream*), the duration in this field is computed from the beginning of the stream until the response has been processed, including all retries. A stream that does not complete in this duration is closed. If not specified, this field uses the maximum maxStreamDuration value among all backend services associated with the route. This field is only allowed if the Url map is used with backend services with loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "$ref": "Duration" }, "requestMirrorPolicy": { "description": "Specifies the policy on how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer does not wait for responses from the shadow service. Before sending traffic to the shadow service, the host / authority header is suffixed with -shadow. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "RequestMirrorPolicy" }, "corsPolicy": { "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "CorsPolicy" }, "weightedBackendServices": { "items": { "$ref": "WeightedBackendService" }, "type": "array", "description": "A list of weighted backend services to send traffic to when a route match occurs. The weights determine the fraction of traffic that flows to their corresponding backend service. If all traffic needs to go to a single backend service, there must be one weightedBackendService with weight set to a non-zero number. After a backend service is identified and before forwarding the request to the backend service, advanced routing actions such as URL rewrites and header transformations are applied depending on additional settings specified in this HttpRouteAction." }, "retryPolicy": { "description": "Specifies the retry policy associated with this route.", "$ref": "HttpRetryPolicy" }, "urlRewrite": { "description": "The spec to modify the URL of the request, before forwarding the request to the matched service. urlRewrite is the only action supported in UrlMaps for external HTTP(S) load balancers. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "UrlRewrite" }, "faultInjectionPolicy": { "$ref": "HttpFaultInjection", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by a load balancer on a percentage of requests before sending those requests to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests. timeout and retry_policy is ignored by clients that are configured with a fault_injection_policy if: 1. The traffic is generated by fault injection AND 2. The fault injection is not a delay fault injection. Fault injection is not supported with the global external HTTP(S) load balancer (classic). To see which load balancers support fault injection, see Load balancing: Routing and traffic management features." }, "timeout": { "description": "Specifies the timeout for the selected route. Timeout is computed from the time the request has been fully processed (known as *end-of-stream*) up until the response has been processed. Timeout includes all retries. If not specified, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "Duration" } }, "id": "HttpRouteAction" }, "HttpsHealthCheck": { "description": "Represents a legacy HTTPS Health Check resource. Legacy HTTPS health checks have been deprecated. If you are using a target pool-based network load balancer, you must use a legacy HTTP (not HTTPS) health check. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .", "id": "HttpsHealthCheck", "type": "object", "properties": { "host": { "type": "string", "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used." }, "unhealthyThreshold": { "type": "integer", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "format": "int32" }, "requestPath": { "description": "The request path of the HTTPS health check request. The default value is \"/\".", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "timeoutSec": { "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have a greater value than checkIntervalSec.", "format": "int32", "type": "integer" }, "port": { "format": "int32", "description": "The TCP port number for the HTTPS health check request. The default value is 443.", "type": "integer" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "healthyThreshold": { "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.", "type": "integer", "format": "int32" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "checkIntervalSec": { "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "type": "integer", "format": "int32" }, "kind": { "type": "string", "default": "compute#httpsHealthCheck", "description": "Type of the resource." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" } } }, "CorsPolicy": { "type": "object", "id": "CorsPolicy", "properties": { "disabled": { "type": "boolean", "description": "If true, the setting specifies the CORS policy is disabled. The default value of false, which indicates that the CORS policy is in effect." }, "maxAge": { "type": "integer", "description": "Specifies how long results of a preflight request can be cached in seconds. This field translates to the Access-Control-Max-Age header.", "format": "int32" }, "allowCredentials": { "type": "boolean", "description": "In response to a preflight request, setting this to true indicates that the actual request can include user credentials. This field translates to the Access-Control-Allow-Credentials header. Default is false." }, "allowMethods": { "type": "array", "items": { "type": "string" }, "description": "Specifies the content for the Access-Control-Allow-Methods header." }, "exposeHeaders": { "items": { "type": "string" }, "type": "array", "description": "Specifies the content for the Access-Control-Expose-Headers header." }, "allowHeaders": { "items": { "type": "string" }, "description": "Specifies the content for the Access-Control-Allow-Headers header.", "type": "array" }, "allowOriginRegexes": { "description": "Specifies a regular expression that matches allowed origins. For more information about the regular expression syntax, see Syntax. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.", "items": { "type": "string" }, "type": "array" }, "allowOrigins": { "items": { "type": "string" }, "type": "array", "description": "Specifies the list of origins that is allowed to do CORS requests. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes." } }, "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard." }, "TargetPoolsAddHealthCheckRequest": { "id": "TargetPoolsAddHealthCheckRequest", "type": "object", "properties": { "healthChecks": { "type": "array", "description": "The HttpHealthCheck to add to the target pool.", "items": { "$ref": "HealthCheckReference" } } } }, "UrlMapsAggregatedList": { "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "description": "A list of UrlMapsScopedList resources.", "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of UrlMaps.", "$ref": "UrlMapsScopedList" } }, "kind": { "type": "string", "default": "compute#urlMapsAggregatedList", "description": "Type of resource." } }, "type": "object", "id": "UrlMapsAggregatedList" }, "ExternalVpnGatewayList": { "id": "ExternalVpnGatewayList", "description": "Response to the list request, and contains a list of externalVpnGateways.", "type": "object", "properties": { "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "etag": { "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of ExternalVpnGateway resources.", "items": { "$ref": "ExternalVpnGateway" }, "type": "array" }, "kind": { "default": "compute#externalVpnGatewayList", "description": "[Output Only] Type of resource. Always compute#externalVpnGatewayList for lists of externalVpnGateways.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "LogConfigCounterOptionsCustomField": { "description": "This is deprecated and has no effect. Do not use.", "properties": { "value": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "name": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" } }, "id": "LogConfigCounterOptionsCustomField", "type": "object" }, "NetworkEndpointGroupCloudRun": { "description": "Configuration for a Cloud Run network endpoint group (NEG). The service must be provided explicitly or in the URL mask. The tag is optional, may be provided explicitly or in the URL mask. Note: Cloud Run service must be in the same project and located in the same region as the Serverless NEG.", "id": "NetworkEndpointGroupCloudRun", "type": "object", "properties": { "service": { "description": "Cloud Run service is the main resource of Cloud Run. The service must be 1-63 characters long, and comply with RFC1035. Example value: \"run-service\".", "type": "string" }, "urlMask": { "type": "string", "description": "A template to parse \u003cservice\u003e and \u003ctag\u003e fields from a request URL. URL mask allows for routing to multiple Run services without having to create multiple network endpoint groups and backend services. For example, request URLs \"foo1.domain.com/bar1\" and \"foo1.domain.com/bar2\" can be backed by the same Serverless Network Endpoint Group (NEG) with URL mask \"\u003ctag\u003e.domain.com/\u003cservice\u003e\". The URL mask will parse them to { service=\"bar1\", tag=\"foo1\" } and { service=\"bar2\", tag=\"foo2\" } respectively." }, "tag": { "description": "Optional Cloud Run tag represents the \"named-revision\" to provide additional fine-grained traffic routing information. The tag must be 1-63 characters long, and comply with RFC1035. Example value: \"revision-0010\".", "type": "string" } } }, "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption": { "id": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption", "type": "object", "properties": { "headerValue": { "type": "string", "description": "The value to set the named header to." }, "headerName": { "description": "The name of the header to set.", "type": "string" } } }, "ResourcePolicyGroupPlacementPolicy": { "description": "A GroupPlacementPolicy specifies resource placement configuration. It specifies the failure bucket separation as well as network locality", "type": "object", "properties": { "vmCount": { "description": "Number of VMs in this placement group. Google does not recommend that you use this field unless you use a compact policy and you want your policy to work only if it contains this exact number of VMs.", "format": "int32", "type": "integer" }, "collocation": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Specifies network collocation", "enum": [ "COLLOCATED", "UNSPECIFIED_COLLOCATION" ] }, "availabilityDomainCount": { "format": "int32", "type": "integer", "description": "The number of availability domains to spread instances across. If two instances are in different availability domain, they are not in the same low latency network." } }, "id": "ResourcePolicyGroupPlacementPolicy" }, "RegionSetLabelsRequest": { "type": "object", "properties": { "labelFingerprint": { "format": "byte", "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The labels to set for this resource." } }, "id": "RegionSetLabelsRequest" }, "SerialPortOutput": { "properties": { "next": { "format": "int64", "description": "[Output Only] The position of the next byte of content, regardless of whether the content exists, following the output returned in the `contents` property. Use this value in the next request as the start parameter.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#serialPortOutput for serial port output.", "default": "compute#serialPortOutput" }, "start": { "type": "string", "description": "The starting byte position of the output that was returned. This should match the start parameter sent with the request. If the serial console output exceeds the size of the buffer (1 MB), older output is overwritten by newer content. The output start value will indicate the byte position of the output that was returned, which might be different than the `start` value that was specified in the request.", "format": "int64" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "contents": { "type": "string", "description": "[Output Only] The contents of the console output." } }, "id": "SerialPortOutput", "type": "object", "description": "An instance serial console output." }, "ManagedInstanceAllInstancesConfig": { "properties": { "revision": { "description": "[Output Only] Current all-instances configuration revision. This value is in RFC3339 text format.", "type": "string" } }, "id": "ManagedInstanceAllInstancesConfig", "type": "object" }, "InstanceConsumptionData": { "id": "InstanceConsumptionData", "type": "object", "properties": { "consumptionInfo": { "description": "Resources consumed by the instance.", "$ref": "InstanceConsumptionInfo" }, "instance": { "type": "string", "description": "Server-defined URL for the instance." } } }, "RegionInstanceGroupManagersRecreateRequest": { "type": "object", "properties": { "instances": { "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array", "items": { "type": "string" } } }, "id": "RegionInstanceGroupManagersRecreateRequest" }, "NetworkEdgeSecurityService": { "id": "NetworkEdgeSecurityService", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a NetworkEdgeSecurityService. An up-to-date fingerprint must be provided in order to update the NetworkEdgeSecurityService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a NetworkEdgeSecurityService." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "securityPolicy": { "type": "string", "description": "The resource URL for the network edge security service associated with this network edge security service." }, "kind": { "description": "[Output only] Type of the resource. Always compute#networkEdgeSecurityService for NetworkEdgeSecurityServices", "default": "compute#networkEdgeSecurityService", "type": "string" }, "selfLinkWithId": { "description": "[Output Only] Server-defined URL for this resource with the resource id.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" } }, "type": "object", "description": "Represents a Google Cloud Armor network edge security service resource." }, "InstanceGroupList": { "description": "A list of InstanceGroup resources.", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "kind": { "default": "compute#instanceGroupList", "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupList for instance group lists." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "description": "A list of InstanceGroup resources.", "items": { "$ref": "InstanceGroup" } } }, "id": "InstanceGroupList", "type": "object" }, "InterconnectAttachmentPrivateInfo": { "description": "Information for an interconnect attachment when this belongs to an interconnect of type DEDICATED.", "type": "object", "properties": { "tag8021q": { "format": "uint32", "description": "[Output Only] 802.1q encapsulation tag to be used for traffic between Google and the customer, going to and from this network and region.", "type": "integer" } }, "id": "InterconnectAttachmentPrivateInfo" }, "RegionDisksAddResourcePoliciesRequest": { "properties": { "resourcePolicies": { "description": "Resource policies to be added to this disk.", "type": "array", "items": { "type": "string" } } }, "id": "RegionDisksAddResourcePoliciesRequest", "type": "object" }, "TargetSslProxiesSetCertificateMapRequest": { "properties": { "certificateMap": { "type": "string", "description": "URL of the Certificate Map to associate with this TargetSslProxy." } }, "id": "TargetSslProxiesSetCertificateMapRequest", "type": "object" }, "TargetInstancesScopedList": { "id": "TargetInstancesScopedList", "properties": { "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "targetInstances": { "description": "A list of target instances contained in this scope.", "items": { "$ref": "TargetInstance" }, "type": "array" } }, "type": "object" }, "VpnGatewayVpnGatewayInterface": { "properties": { "id": { "description": "[Output Only] Numeric identifier for this VPN interface associated with the VPN gateway.", "format": "uint32", "type": "integer" }, "ipAddress": { "description": "[Output Only] IP address for this VPN interface associated with the VPN gateway. The IP address could be either a regional external IP address or a regional internal IP address. The two IP addresses for a VPN gateway must be all regional external or regional internal IP addresses. There cannot be a mix of regional external IP addresses and regional internal IP addresses. For IPsec-encrypted Cloud Interconnect, the IP addresses for both interfaces could either be regional internal IP addresses or regional external IP addresses. For regular (non IPsec-encrypted Cloud Interconnect) HA VPN tunnels, the IP address must be a regional external IP address.", "type": "string" }, "interconnectAttachment": { "description": "URL of the VLAN attachment (interconnectAttachment) resource for this VPN gateway interface. When the value of this field is present, the VPN gateway is used for IPsec-encrypted Cloud Interconnect; all egress or ingress traffic for this VPN gateway interface goes through the specified VLAN attachment resource. Not currently available publicly. ", "type": "string" } }, "id": "VpnGatewayVpnGatewayInterface", "description": "A VPN gateway interface.", "type": "object" }, "StatefulPolicy": { "type": "object", "id": "StatefulPolicy", "properties": { "preservedState": { "$ref": "StatefulPolicyPreservedState" } } }, "TCPHealthCheck": { "type": "object", "properties": { "proxyHeader": { "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ] }, "response": { "type": "string", "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII." }, "portSpecification": { "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, TCP health check follows behavior specified in port and portName fields.", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "type": "string" }, "port": { "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.", "type": "integer", "format": "int32" }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "request": { "type": "string", "description": "The application data to send once the TCP connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII." } }, "id": "TCPHealthCheck" }, "InstanceGroupManagerStatusStatefulPerInstanceConfigs": { "id": "InstanceGroupManagerStatusStatefulPerInstanceConfigs", "type": "object", "properties": { "allEffective": { "description": "A bit indicating if all of the group's per-instance configurations (listed in the output of a listPerInstanceConfigs API call) have status EFFECTIVE or there are no per-instance-configs.", "type": "boolean" } } }, "VpnGatewayStatus": { "properties": { "vpnConnections": { "type": "array", "items": { "$ref": "VpnGatewayStatusVpnConnection" }, "description": "List of VPN connection for this VpnGateway." } }, "id": "VpnGatewayStatus", "type": "object" }, "InstanceAggregatedList": { "id": "InstanceAggregatedList", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "An object that contains a list of instances scoped by zone.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of instances.", "$ref": "InstancesScopedList" } }, "kind": { "default": "compute#instanceAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#instanceAggregatedList for aggregated lists of Instance resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "InstanceMoveRequest": { "type": "object", "properties": { "destinationZone": { "description": "The URL of the destination zone to move the instance. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone ", "type": "string" }, "targetInstance": { "description": "The URL of the target instance to move. This can be a full or partial URL. For example, the following are all valid URLs to an instance: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance ", "type": "string" } }, "id": "InstanceMoveRequest" }, "MachineImageList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } } }, "kind": { "default": "compute#machineImageList", "type": "string", "description": "[Output Only] The resource type, which is always compute#machineImagesListResponse for machine image lists." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "MachineImage" }, "description": "A list of MachineImage resources.", "type": "array" } }, "id": "MachineImageList", "type": "object", "description": "A list of machine images." }, "NetworkEndpointGroup": { "description": "Represents a collection of network endpoints. A network endpoint group (NEG) defines how a set of endpoints should be reached, whether they are reachable, and where they are located. For more information about using NEGs, see Setting up external HTTP(S) Load Balancing with internet NEGs, Setting up zonal NEGs, or Setting up external HTTP(S) Load Balancing with serverless NEGs.", "properties": { "cloudRun": { "$ref": "NetworkEndpointGroupCloudRun", "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set." }, "loadBalancer": { "description": "This field is only valid when the network endpoint group is used for load balancing. [Deprecated] This field is deprecated.", "$ref": "NetworkEndpointGroupLbNetworkEndpointGroup" }, "kind": { "default": "compute#networkEndpointGroup", "type": "string", "description": "[Output Only] Type of the resource. Always compute#networkEndpointGroup for network endpoint group." }, "zone": { "description": "[Output Only] The URL of the zone where the network endpoint group is located.", "type": "string" }, "subnetwork": { "description": "Optional URL of the subnetwork to which all network endpoints in the NEG belong.", "type": "string" }, "serverlessDeployment": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine, cloudFunction or serverlessDeployment may be set.", "$ref": "NetworkEndpointGroupServerlessDeployment" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "cloudFunction": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupCloudFunction" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Metadata defined as annotations on the network endpoint group." }, "defaultPort": { "type": "integer", "description": "The default port used if the port number is not specified in the network endpoint.", "format": "int32" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "pscTargetService": { "description": "The target service url used to set up private service connection to a Google API or a PSC Producer Service Attachment. An example value is: \"asia-northeast3-cloudkms.googleapis.com\"", "type": "string" }, "network": { "type": "string", "description": "The URL of the network to which all network endpoints in the NEG belong. Uses \"default\" project network if unspecified." }, "appEngine": { "$ref": "NetworkEndpointGroupAppEngine", "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set." }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the network endpoint group is located." }, "size": { "type": "integer", "format": "int32", "description": "[Output only] Number of network endpoints in the network endpoint group." }, "networkEndpointType": { "description": "Type of network endpoints in this network endpoint group. Can be one of GCE_VM_IP, GCE_VM_IP_PORT, NON_GCP_PRIVATE_IP_PORT, INTERNET_FQDN_PORT, INTERNET_IP_PORT, SERVERLESS, PRIVATE_SERVICE_CONNECT.", "type": "string", "enum": [ "GCE_VM_IP", "GCE_VM_IP_PORT", "INTERNET_FQDN_PORT", "INTERNET_IP_PORT", "NON_GCP_PRIVATE_IP_PORT", "PRIVATE_SERVICE_CONNECT", "SERVERLESS" ], "enumDescriptions": [ "The network endpoint is represented by an IP address.", "The network endpoint is represented by IP address and port pair.", "The network endpoint is represented by fully qualified domain name and port.", "The network endpoint is represented by an internet IP address and port.", "The network endpoint is represented by an IP address and port. The endpoint belongs to a VM or pod running in a customer's on-premises.", "The network endpoint is either public Google APIs or services exposed by other GCP Project with a Service Attachment. The connection is set up by private service connect", "The network endpoint is handled by specified serverless infrastructure." ] } }, "id": "NetworkEndpointGroup", "type": "object" }, "SslCertificateSelfManagedSslCertificate": { "id": "SslCertificateSelfManagedSslCertificate", "properties": { "privateKey": { "type": "string", "description": "A write-only private key in PEM format. Only insert requests will include this field." }, "certificate": { "description": "A local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.", "type": "string" } }, "description": "Configuration and status of a self-managed SSL certificate.", "type": "object" }, "RegionInstanceGroupsListInstances": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "kind": { "description": "The resource type.", "default": "compute#regionInstanceGroupsListInstances", "type": "string" }, "items": { "type": "array", "items": { "$ref": "InstanceWithNamedPorts" }, "description": "A list of InstanceWithNamedPorts resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "RegionInstanceGroupsListInstances", "type": "object" }, "SubnetworkAggregatedList": { "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.", "type": "string", "default": "compute#subnetworkAggregatedList" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "object", "description": "A list of SubnetworksScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of Subnetworks.", "$ref": "SubnetworksScopedList" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "SubnetworkAggregatedList" }, "FirewallPolicyAssociation": { "id": "FirewallPolicyAssociation", "properties": { "name": { "description": "The name for an association.", "type": "string" }, "shortName": { "description": "[Output Only] The short name of the firewall policy of the association.", "type": "string" }, "attachmentTarget": { "type": "string", "description": "The target that the firewall policy is attached to." }, "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy of the association." }, "firewallPolicyId": { "description": "[Output Only] The firewall policy ID of the association.", "type": "string" } }, "type": "object" }, "TargetTcpProxy": { "description": "Represents a Target TCP Proxy resource. A target TCP proxy is a component of a TCP Proxy load balancer. Global forwarding rules reference target TCP proxy, and the target proxy then references an external backend service. For more information, read TCP Proxy Load Balancing overview.", "id": "TargetTcpProxy", "type": "object", "properties": { "proxyHeader": { "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enum": [ "NONE", "PROXY_V1" ], "type": "string", "enumDescriptions": [ "", "" ] }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetTcpProxy for target TCP proxies.", "default": "compute#targetTcpProxy", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "description": "[Output Only] URL of the region where the regional TCP proxy resides. This field is not applicable to global TCP proxy.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" }, "service": { "description": "URL to the BackendService resource.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } } }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "properties": { "bindingId": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "type": "object", "id": "Binding" }, "ImageList": { "type": "object", "id": "ImageList", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#imageList" }, "items": { "items": { "$ref": "Image" }, "description": "A list of Image resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "description": "Contains a list of images." }, "SignedUrlKey": { "properties": { "keyValue": { "type": "string", "description": "128-bit key value used for signing the URL. The key value must be a valid RFC 4648 Section 5 base64url encoded string." }, "keyName": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." } }, "id": "SignedUrlKey", "description": "Represents a customer-supplied Signing Key used by Cloud CDN Signed URLs", "type": "object" }, "InstanceGroupManagersCreateInstancesRequest": { "description": "InstanceGroupManagers.createInstances", "properties": { "instances": { "type": "array", "items": { "$ref": "PerInstanceConfig" }, "description": "[Required] List of specifications of per-instance configs." } }, "id": "InstanceGroupManagersCreateInstancesRequest", "type": "object" }, "HealthCheckServicesList": { "type": "object", "id": "HealthCheckServicesList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#healthCheckServicesList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#healthCheckServicesList for lists of HealthCheckServices." }, "items": { "items": { "$ref": "HealthCheckService" }, "description": "A list of HealthCheckService resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } } } } }, "TargetInstanceList": { "description": "Contains a list of TargetInstance resources.", "type": "object", "properties": { "items": { "description": "A list of TargetInstance resources.", "items": { "$ref": "TargetInstance" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#targetInstanceList", "description": "Type of resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." } }, "id": "TargetInstanceList" }, "PacketMirroringNetworkInfo": { "type": "object", "properties": { "url": { "type": "string", "description": "URL of the network resource." }, "canonicalUrl": { "type": "string", "description": "[Output Only] Unique identifier for the network; defined by the server." } }, "id": "PacketMirroringNetworkInfo" }, "InterconnectDiagnosticsARPEntry": { "id": "InterconnectDiagnosticsARPEntry", "type": "object", "description": "Describing the ARP neighbor entries seen on this link", "properties": { "macAddress": { "description": "The MAC address of this ARP neighbor.", "type": "string" }, "ipAddress": { "description": "The IP address of this ARP neighbor.", "type": "string" } } }, "HealthCheck": { "description": "Represents a Health Check resource. Google Compute Engine has two Health Check resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/healthChecks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionHealthChecks) Internal HTTP(S) load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Traffic Director must use global health checks (`compute.v1.HealthChecks`). Internal TCP/UDP load balancers can use either regional or global health checks (`compute.v1.regionHealthChecks` or `compute.v1.HealthChecks`). External HTTP(S), TCP proxy, and SSL proxy load balancers as well as managed instance group auto-healing must use global health checks (`compute.v1.HealthChecks`). Backend service-based network load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Target pool-based network load balancers must use legacy HTTP health checks (`compute.v1.httpHealthChecks`). For more information, see Health checks overview.", "properties": { "tcpHealthCheck": { "$ref": "TCPHealthCheck" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "logConfig": { "$ref": "HealthCheckLogConfig", "description": "Configure logging on this health check." }, "http2HealthCheck": { "$ref": "HTTP2HealthCheck" }, "grpcHealthCheck": { "$ref": "GRPCHealthCheck" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. For example, a name that is 1-63 characters long, matches the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`, and otherwise complies with RFC1035. This regular expression describes a name where the first character is a lowercase letter, and all following characters are a dash, lowercase letter, or digit, except the last character, which isn't a dash.", "type": "string" }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "description": "Specifies the type of the healthCheck, either TCP, SSL, HTTP, HTTPS, HTTP2 or GRPC. Exactly one of the protocol-specific health check fields must be specified, which must match type field.", "type": "string", "enum": [ "GRPC", "HTTP", "HTTP2", "HTTPS", "INVALID", "SSL", "TCP" ] }, "timeoutSec": { "type": "integer", "format": "int32", "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec." }, "httpHealthCheck": { "$ref": "HTTPHealthCheck" }, "httpsHealthCheck": { "$ref": "HTTPSHealthCheck" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "sslHealthCheck": { "$ref": "SSLHealthCheck" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in 3339 text format.", "type": "string" }, "checkIntervalSec": { "format": "int32", "type": "integer", "description": "How often (in seconds) to send a health check. The default value is 5 seconds." }, "unhealthyThreshold": { "type": "integer", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "format": "int32" }, "healthyThreshold": { "type": "integer", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.", "format": "int32" }, "region": { "type": "string", "description": "[Output Only] Region where the health check resides. Not applicable to global health checks." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "kind": { "default": "compute#healthCheck", "description": "Type of the resource.", "type": "string" } }, "id": "HealthCheck", "type": "object" }, "VpnGatewaysScopedList": { "properties": { "vpnGateways": { "type": "array", "description": "[Output Only] A list of VPN gateways contained in this scope.", "items": { "$ref": "VpnGateway" } }, "warning": { "type": "object", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } }, "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty." } }, "type": "object", "id": "VpnGatewaysScopedList" }, "SavedDisk": { "properties": { "architecture": { "type": "string", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "description": "[Output Only] The architecture of the attached disk.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] }, "storageBytesStatus": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "UPDATING", "UP_TO_DATE" ], "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date." }, "sourceDisk": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#savedDisk for attached disks.", "default": "compute#savedDisk" }, "storageBytes": { "description": "[Output Only] Size of the individual disk snapshot used by this machine image.", "format": "int64", "type": "string" } }, "description": "An instance-attached disk resource.", "id": "SavedDisk", "type": "object" }, "RouterMd5AuthenticationKey": { "properties": { "key": { "annotations": { "required": [ "compute.routers.insert" ] }, "description": "[Input only] Value of the key. For patch and update calls, it can be skipped to copy the value from the previous configuration. This is allowed if the key with the same name existed before the operation. Maximum length is 80 characters. Can only contain printable ASCII characters.", "type": "string" }, "name": { "description": "Name used to identify the key. Must be unique within a router. Must be referenced by at least one bgpPeer. Must comply with RFC1035.", "type": "string", "annotations": { "required": [ "compute.routers.insert", "compute.routers.update" ] } } }, "type": "object", "id": "RouterMd5AuthenticationKey" }, "Operation": { "id": "Operation", "type": "object", "properties": { "operationGroupId": { "description": "[Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request.", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations." }, "progress": { "type": "integer", "description": "[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.", "format": "int32" }, "status": { "enum": [ "DONE", "PENDING", "RUNNING" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "[Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`." }, "targetLink": { "type": "string", "description": "[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from." }, "httpErrorMessage": { "type": "string", "description": "[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`." }, "operationType": { "description": "[Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on.", "type": "string" }, "targetId": { "description": "[Output Only] The unique target ID, which identifies a specific incarnation of the target resource.", "format": "uint64", "type": "string" }, "description": { "type": "string", "description": "[Output Only] A textual description of the operation, which is set when the operation is created." }, "kind": { "description": "[Output Only] Type of the resource. Always `compute#operation` for Operation resources.", "type": "string", "default": "compute#operation" }, "creationTimestamp": { "type": "string", "description": "[Deprecated] This field is deprecated." }, "startTime": { "description": "[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format.", "type": "string" }, "httpErrorStatusCode": { "type": "integer", "format": "int32", "description": "[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found." }, "statusMessage": { "type": "string", "description": "[Output Only] An optional textual description of the current status of the operation." }, "user": { "type": "string", "description": "[Output Only] User who requested the operation, for example: `user@example.com`." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "insertTime": { "description": "[Output Only] The time that this operation was requested. This value is in RFC3339 text format.", "type": "string" }, "region": { "description": "[Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] Name of the operation." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the operation. This identifier is defined by the server.", "type": "string" }, "endTime": { "type": "string", "description": "[Output Only] The time that this operation was completed. This value is in RFC3339 text format." }, "warnings": { "items": { "properties": { "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "description": "[Output Only] If warning messages are generated during processing of the operation, this field will be populated.", "type": "array" }, "error": { "description": "[Output Only] If errors are generated during processing of the operation, this field will be populated.", "properties": { "errors": { "type": "array", "description": "[Output Only] The array of errors encountered while processing this operation.", "items": { "properties": { "errorDetails": { "type": "array", "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.", "items": { "properties": { "help": { "$ref": "Help" }, "localizedMessage": { "$ref": "LocalizedMessage" }, "errorInfo": { "$ref": "ErrorInfo" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] An optional, human-readable error message." }, "code": { "type": "string", "description": "[Output Only] The error type identifier for this error." }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" } }, "type": "object" } } }, "type": "object" }, "clientOperationId": { "description": "[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise.", "type": "string" } }, "description": "Represents an Operation resource. Google Compute Engine has three Operation resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/globalOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/beta/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zonalOperations` resource. For more information, read Global, Regional, and Zonal Resources." }, "DiskType": { "type": "object", "description": "Represents a Disk Type resource. Google Compute Engine has two Disk Type resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionDiskTypes) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/beta/diskTypes) You can choose from a variety of disk types based on your needs. For more information, read Storage options. The diskTypes resource represents disk types for a zonal persistent disk. For more information, read Zonal persistent disks. The regionDiskTypes resource represents disk types for a regional persistent disk. For more information, read Regional persistent disks.", "id": "DiskType", "properties": { "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this disk type." }, "defaultDiskSizeGb": { "type": "string", "description": "[Output Only] Server-defined default disk size in GB.", "format": "int64" }, "validDiskSize": { "type": "string", "description": "[Output Only] An optional textual description of the valid disk size, such as \"10GB-10TB\"." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the disk type resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "type": "string", "description": "[Output Only] An optional description of this resource." }, "name": { "description": "[Output Only] Name of the resource.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the disk type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#diskType for disk types.", "type": "string", "default": "compute#diskType" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } } }, "Duration": { "id": "Duration", "description": "A Duration represents a fixed-length span of time represented as a count of seconds and fractions of seconds at nanosecond resolution. It is independent of any calendar and concepts like \"day\" or \"month\". Range is approximately 10,000 years.", "type": "object", "properties": { "nanos": { "type": "integer", "description": "Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive.", "format": "int32" }, "seconds": { "type": "string", "description": "Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 60 min/hr LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 24 hr/day LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 365.25 days/year LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 10000 years", "format": "int64" } } }, "ShieldedInstanceIdentity": { "id": "ShieldedInstanceIdentity", "type": "object", "description": "A Shielded Instance Identity.", "properties": { "signingKey": { "$ref": "ShieldedInstanceIdentityEntry", "description": "An Attestation Key (AK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#shieldedInstanceIdentity for shielded Instance identity entry.", "type": "string", "default": "compute#shieldedInstanceIdentity" }, "encryptionKey": { "$ref": "ShieldedInstanceIdentityEntry", "description": "An Endorsement Key (EK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM." } } }, "HealthCheckService": { "type": "object", "properties": { "notificationEndpoints": { "type": "array", "description": "A list of URLs to the NotificationEndpoint resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional HealthCheckService, NotificationEndpoint must be regional and in the same region. For global HealthCheckService, NotificationEndpoint must be global.", "items": { "type": "string" } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "healthStatusAggregationStrategy": { "description": "This field is deprecated. Use health_status_aggregation_policy instead. Policy for how the results from multiple health checks for the same endpoint are aggregated. - NO_AGGREGATION. An EndpointHealth message is returned for each backend in the health check service. - AND. If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY. .", "enum": [ "AND", "NO_AGGREGATION" ], "enumDescriptions": [ "This is deprecated. Use health_status_aggregation_policy instead. If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY.", "This is deprecated. Use health_status_aggregation_policy instead. An EndpointHealth message is returned for each backend in the health check service." ], "type": "string" }, "name": { "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "networkEndpointGroups": { "items": { "type": "string" }, "type": "array", "description": "A list of URLs to the NetworkEndpointGroup resources. Must not have more than 100. For regional HealthCheckService, NEGs must be in zones in the region of the HealthCheckService." }, "kind": { "description": "[Output only] Type of the resource. Always compute#healthCheckServicefor health check services.", "type": "string", "default": "compute#healthCheckService" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "region": { "description": "[Output Only] URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "healthChecks": { "items": { "type": "string" }, "type": "array", "description": "A list of URLs to the HealthCheck resources. Must have at least one HealthCheck, and not more than 10. HealthCheck resources must have portSpecification=USE_SERVING_PORT or portSpecification=USE_FIXED_PORT. For regional HealthCheckService, the HealthCheck must be regional and in the same region. For global HealthCheckService, HealthCheck must be global. Mix of regional and global HealthChecks is not supported. Multiple regional HealthChecks must belong to the same region. Regional HealthChecks must belong to the same region as zones of NEGs." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthCheckService. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthCheckService.", "type": "string", "format": "byte" }, "healthStatusAggregationPolicy": { "enum": [ "AND", "NO_AGGREGATION" ], "description": "Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - NO_AGGREGATION. An EndpointHealth message is returned for each pair in the health check service. - AND. If any health check of an endpoint reports UNHEALTHY, then UNHEALTHY is the HealthState of the endpoint. If all health checks report HEALTHY, the HealthState of the endpoint is HEALTHY. .", "type": "string", "enumDescriptions": [ "If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY.", "An EndpointHealth message is returned for each backend in the health check service." ] } }, "description": "Represents a Health-Check as a Service resource.", "id": "HealthCheckService" }, "InstancesSetLabelsRequest": { "type": "object", "id": "InstancesSetLabelsRequest", "properties": { "labelFingerprint": { "format": "byte", "description": "Fingerprint of the previous set of labels for this resource, used to prevent conflicts. Provide the latest fingerprint value when making a request to add or change labels.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" } } } }, "HttpFaultAbort": { "properties": { "httpStatus": { "format": "uint32", "description": "The HTTP status code used to abort the request. The value must be from 200 to 599 inclusive. For gRPC protocol, the gRPC status code is mapped to HTTP status code according to this mapping table. HTTP status 200 is mapped to gRPC status UNKNOWN. Injecting an OK status is currently not supported by Traffic Director.", "type": "integer" }, "percentage": { "format": "double", "description": "The percentage of traffic for connections, operations, or requests that is aborted as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "type": "number" } }, "type": "object", "id": "HttpFaultAbort", "description": "Specification for how requests are aborted as part of fault injection." }, "OperationList": { "type": "object", "properties": { "items": { "description": "[Output Only] A list of Operation resources.", "items": { "$ref": "Operation" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always `compute#operations` for Operations resource.", "type": "string", "default": "compute#operationList" } }, "id": "OperationList", "description": "Contains a list of Operation resources." }, "TargetPoolList": { "type": "object", "id": "TargetPoolList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#targetPoolList", "description": "[Output Only] Type of resource. Always compute#targetPoolList for lists of target pools." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "TargetPool" }, "description": "A list of TargetPool resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of TargetPool resources." }, "UrlMapValidationResult": { "description": "Message representing the validation result for a UrlMap.", "type": "object", "id": "UrlMapValidationResult", "properties": { "testPassed": { "type": "boolean", "description": "If successfully loaded, this field indicates whether the test passed. If false, 'testFailures's indicate the reason of failure." }, "testFailures": { "type": "array", "items": { "$ref": "TestFailure" } }, "loadSucceeded": { "description": "Whether the given UrlMap can be successfully loaded. If false, 'loadErrors' indicates the reasons.", "type": "boolean" }, "loadErrors": { "items": { "type": "string" }, "type": "array" } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "type": "object", "id": "Expr" }, "InterconnectDiagnosticsLinkStatus": { "id": "InterconnectDiagnosticsLinkStatus", "type": "object", "properties": { "arpCaches": { "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing the ARP neighbor entries seen on this link. This will be empty if the link is bundled", "items": { "$ref": "InterconnectDiagnosticsARPEntry" }, "type": "array" }, "transmittingOpticalPower": { "$ref": "InterconnectDiagnosticsLinkOpticalPower", "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the transmitted light level." }, "receivingOpticalPower": { "$ref": "InterconnectDiagnosticsLinkOpticalPower", "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the received light level." }, "googleDemarc": { "type": "string", "description": "The Demarc address assigned by Google and provided in the LoA." }, "circuitId": { "description": "The unique ID for this link assigned during turn up by Google.", "type": "string" }, "lacpStatus": { "$ref": "InterconnectDiagnosticsLinkLACPStatus" } } }, "VpnGatewaysGetStatusResponse": { "id": "VpnGatewaysGetStatusResponse", "properties": { "result": { "$ref": "VpnGatewayStatus" } }, "type": "object" }, "InstancesSetNameRequest": { "type": "object", "id": "InstancesSetNameRequest", "properties": { "currentName": { "description": "The current name of this resource, used to prevent conflicts. Provide the latest name when making a request to change name.", "type": "string" }, "name": { "type": "string", "description": "The name to be applied to the instance. Needs to be RFC 1035 compliant." } } }, "NetworkInterface": { "type": "object", "description": "A network interface resource attached to an instance.", "properties": { "aliasIpRanges": { "description": "An array of alias IP ranges for this network interface. You can only specify this field for network interfaces in VPC networks.", "items": { "$ref": "AliasIpRange" }, "type": "array" }, "ipv6AccessType": { "enum": [ "EXTERNAL", "INTERNAL" ], "description": "[Output Only] One of EXTERNAL, INTERNAL to indicate whether the IP can be accessed from the Internet. This field is always inherited from its subnetwork. Valid only if stackType is IPV4_IPV6.", "type": "string", "enumDescriptions": [ "This network interface can have external IPv6.", "This network interface can have internal IPv6." ] }, "ipv6Address": { "description": "An IPv6 internal network address for this network interface.", "type": "string" }, "internalIpv6PrefixLength": { "format": "int32", "type": "integer", "description": "The prefix length of the primary internal IPv6 range." }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint hash of contents stored in this network interface. This field will be ignored when inserting an Instance or adding a NetworkInterface. An up-to-date fingerprint must be provided in order to update the NetworkInterface. The request will fail with error 400 Bad Request if the fingerprint is not provided, or 412 Precondition Failed if the fingerprint is out of date." }, "subnetwork": { "description": "The URL of the Subnetwork resource for this instance. If the network resource is in legacy mode, do not specify this field. If the network is in auto subnet mode, specifying the subnetwork is optional. If the network is in custom subnet mode, specifying the subnetwork is required. If you specify this field, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /subnetworks/subnetwork - regions/region/subnetworks/subnetwork ", "type": "string" }, "queueCount": { "description": "The networking queue count that's specified by users for the network interface. Both Rx and Tx queues will be set to this number. It'll be empty if not specified by the users.", "type": "integer", "format": "int32" }, "ipv6AccessConfigs": { "type": "array", "items": { "$ref": "AccessConfig" }, "description": "An array of IPv6 access configurations for this interface. Currently, only one IPv6 access config, DIRECT_IPV6, is supported. If there is no ipv6AccessConfig specified, then this instance will have no external IPv6 Internet access." }, "kind": { "type": "string", "default": "compute#networkInterface", "description": "[Output Only] Type of the resource. Always compute#networkInterface for network interfaces." }, "name": { "description": "[Output Only] The name of the network interface, which is generated by the server. For a VM, the network interface uses the nicN naming format. Where N is a value between 0 and 7. The default interface value is nic0.", "type": "string" }, "accessConfigs": { "items": { "$ref": "AccessConfig" }, "description": "An array of configurations for this interface. Currently, only one access config, ONE_TO_ONE_NAT, is supported. If there are no accessConfigs specified, then this instance will have no external internet access.", "type": "array" }, "nicType": { "description": "The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet.", "enum": [ "GVNIC", "UNSPECIFIED_NIC_TYPE", "VIRTIO_NET" ], "enumDescriptions": [ "GVNIC", "No type specified.", "VIRTIO" ], "type": "string" }, "network": { "type": "string", "description": "URL of the VPC network resource for this instance. When creating an instance, if neither the network nor the subnetwork is specified, the default network global/networks/default is used. If the selected project doesn't have the default network, you must specify a network or subnet. If the network is not specified but the subnetwork is specified, the network is inferred. If you specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/global/networks/ network - projects/project/global/networks/network - global/networks/default " }, "networkIP": { "type": "string", "description": "An IPv4 internal IP address to assign to the instance for this network interface. If not specified by the user, an unused internal IP is assigned by the system." }, "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "The network interface can have both IPv4 and IPv6 addresses.", "The network interface will be assigned IPv4 address." ], "type": "string", "description": "The stack type for this network interface to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at instance creation and update network interface operations." } }, "id": "NetworkInterface" }, "AllocationSpecificSKUAllocationReservedInstanceProperties": { "description": "Properties of the SKU instances being reserved. Next ID: 9", "type": "object", "id": "AllocationSpecificSKUAllocationReservedInstanceProperties", "properties": { "localSsds": { "description": "Specifies amount of local ssd to reserve with each instance. The type of disk is local-ssd.", "type": "array", "items": { "$ref": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk" } }, "maintenanceFreezeDurationHours": { "format": "int32", "type": "integer", "description": "Specifies the number of hours after reservation creation where instances using the reservation won't be scheduled for maintenance." }, "maintenanceInterval": { "enumDescriptions": [ "VMs receive infrastructure and hypervisor updates on a periodic basis, minimizing the number of maintenance operations (live migrations or terminations) on an individual VM. This may mean a VM will take longer to receive an update than if it was configured for AS_NEEDED. Security updates will still be applied as soon as they are available." ], "type": "string", "enum": [ "PERIODIC" ], "description": "For more information about maintenance intervals, see Setting maintenance intervals." }, "machineType": { "description": "Specifies type of machine (name only) which has fixed number of vCPUs and fixed amount of memory. This also includes specifying custom machine type following custom-NUMBER_OF_CPUS-AMOUNT_OF_MEMORY pattern.", "type": "string" }, "minCpuPlatform": { "type": "string", "description": "Minimum cpu platform the reservation." }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the allocation close to other resources. This field is for use by internal tools that use the public API." }, "guestAccelerators": { "description": "Specifies accelerator type and count.", "type": "array", "items": { "$ref": "AcceleratorConfig" } } } }, "BackendBucketList": { "description": "Contains a list of BackendBucket resources.", "type": "object", "id": "BackendBucketList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "default": "compute#backendBucketList", "description": "Type of resource." }, "items": { "type": "array", "description": "A list of BackendBucket resources.", "items": { "$ref": "BackendBucket" } }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object" } } }, "AutoscalersScopedList": { "properties": { "warning": { "properties": { "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning which replaces the list of autoscalers when the list is empty.", "type": "object" }, "autoscalers": { "items": { "$ref": "Autoscaler" }, "type": "array", "description": "[Output Only] A list of autoscalers contained in this scope." } }, "type": "object", "id": "AutoscalersScopedList" }, "InstancesRemoveResourcePoliciesRequest": { "type": "object", "properties": { "resourcePolicies": { "description": "Resource policies to be removed from this instance.", "type": "array", "items": { "type": "string" } } }, "id": "InstancesRemoveResourcePoliciesRequest" }, "Reference": { "id": "Reference", "description": "Represents a reference to a resource.", "properties": { "referrer": { "description": "URL of the resource which refers to the target.", "type": "string" }, "target": { "description": "URL of the resource to which this reference points.", "type": "string" }, "referenceType": { "type": "string", "description": "A description of the reference type with no implied semantics. Possible values include: 1. MEMBER_OF " }, "kind": { "description": "[Output Only] Type of the resource. Always compute#reference for references.", "default": "compute#reference", "type": "string" } }, "type": "object" }, "VpnGatewayStatusVpnConnection": { "properties": { "state": { "$ref": "VpnGatewayStatusHighAvailabilityRequirementState", "description": "HighAvailabilityRequirementState for the VPN connection." }, "peerGcpGateway": { "description": "URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway.", "type": "string" }, "tunnels": { "type": "array", "description": "List of VPN tunnels that are in this VPN connection.", "items": { "$ref": "VpnGatewayStatusTunnel" } }, "peerExternalGateway": { "description": "URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway.", "type": "string" } }, "id": "VpnGatewayStatusVpnConnection", "type": "object", "description": "A VPN connection contains all VPN tunnels connected from this VpnGateway to the same peer gateway. The peer gateway could either be a external VPN gateway or GCP VPN gateway." }, "NodeGroupList": { "properties": { "items": { "description": "A list of NodeGroup resources.", "items": { "$ref": "NodeGroup" }, "type": "array" }, "kind": { "default": "compute#nodeGroupList", "description": "[Output Only] Type of resource.Always compute#nodeGroupList for lists of node groups.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "type": "object", "id": "NodeGroupList", "description": "Contains a list of nodeGroups." }, "DiskTypeList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#diskTypeList for disk types.", "default": "compute#diskTypeList" }, "items": { "description": "A list of DiskType resources.", "type": "array", "items": { "$ref": "DiskType" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "description": "Contains a list of disk types.", "id": "DiskTypeList", "type": "object" }, "ShieldedVmIdentityEntry": { "type": "object", "id": "ShieldedVmIdentityEntry", "description": "A Shielded Instance Identity Entry.", "properties": { "ekPub": { "description": "A PEM-encoded public key.", "type": "string" }, "ekCert": { "description": "A PEM-encoded X.509 certificate. This field can be empty.", "type": "string" } } }, "ReservationAggregatedList": { "id": "ReservationAggregatedList", "type": "object", "description": "Contains a list of reservations.", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#reservationAggregatedList", "description": "Type of resource.", "type": "string" }, "items": { "additionalProperties": { "$ref": "ReservationsScopedList", "description": "Name of the scope containing this set of reservations." }, "description": "A list of Allocation resources.", "type": "object" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." } } }, "InstanceGroupManagersSetTargetPoolsRequest": { "properties": { "targetPools": { "items": { "type": "string" }, "type": "array", "description": "The list of target pool URLs that instances in this managed instance group belong to. The managed instance group applies these target pools to all of the instances in the group. Existing instances and new instances in the group all receive these target pool settings." }, "fingerprint": { "description": "The fingerprint of the target pools information. Use this optional property to prevent conflicts when multiple users change the target pools settings concurrently. Obtain the fingerprint with the instanceGroupManagers.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.", "type": "string", "format": "byte" } }, "id": "InstanceGroupManagersSetTargetPoolsRequest", "type": "object" }, "TargetSslProxy": { "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "certificateMap": { "type": "string", "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored." }, "sslCertificates": { "description": "URLs to SslCertificate resources that are used to authenticate connections to Backends. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED.", "items": { "type": "string" }, "type": "array" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "service": { "description": "URL to the BackendService resource.", "type": "string" }, "sslPolicy": { "description": "URL of SslPolicy resource that will be associated with the TargetSslProxy resource. If not set, the TargetSslProxy resource will not have any SSL policy configured.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "proxyHeader": { "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetSslProxy for target SSL proxies.", "type": "string", "default": "compute#targetSslProxy" } }, "id": "TargetSslProxy", "type": "object", "description": "Represents a Target SSL Proxy resource. A target SSL proxy is a component of a SSL Proxy load balancer. Global forwarding rules reference a target SSL proxy, and the target proxy then references an external backend service. For more information, read Using Target Proxies." }, "ShieldedInstanceIdentityEntry": { "id": "ShieldedInstanceIdentityEntry", "type": "object", "properties": { "ekCert": { "type": "string", "description": "A PEM-encoded X.509 certificate. This field can be empty." }, "ekPub": { "description": "A PEM-encoded public key.", "type": "string" } }, "description": "A Shielded Instance Identity Entry." }, "UrlMapsValidateResponse": { "id": "UrlMapsValidateResponse", "properties": { "result": { "$ref": "UrlMapValidationResult" } }, "type": "object" }, "LicenseResourceCommitment": { "description": "Commitment for a particular license resource.", "id": "LicenseResourceCommitment", "properties": { "amount": { "format": "int64", "description": "The number of licenses purchased.", "type": "string" }, "coresPerLicense": { "type": "string", "description": "Specifies the core range of the instance for which this license applies." }, "license": { "description": "Any applicable license URI.", "type": "string" } }, "type": "object" }, "ForwardingRuleList": { "properties": { "items": { "type": "array", "description": "A list of ForwardingRule resources.", "items": { "$ref": "ForwardingRule" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#forwardingRuleList", "type": "string", "description": "Type of resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "ForwardingRuleList", "description": "Contains a list of ForwardingRule resources." }, "LocationPolicyLocationConstraints": { "id": "LocationPolicyLocationConstraints", "type": "object", "properties": { "maxCount": { "type": "integer", "format": "int32", "description": "Maximum number of items that are allowed to be placed in this zone. The value must be non-negative." } }, "description": "Per-zone constraints on location policy for this zone." }, "DeprecationStatus": { "id": "DeprecationStatus", "description": "Deprecation status for a public resource.", "type": "object", "properties": { "stateOverride": { "$ref": "RolloutPolicy", "description": "The rollout policy for this deprecation. This policy is only enforced by image family views. The rollout policy restricts the zones where the associated resource is considered in a deprecated state. When the rollout policy does not include the user specified zone, or if the zone is rolled out, the associated resource is considered in a deprecated state. The rollout policy for this deprecation is read-only, except for allowlisted users. This field might not be configured. To view the latest non-deprecated image in a specific zone, use the imageFamilyViews.get method." }, "replacement": { "description": "The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource.", "type": "string" }, "state": { "type": "string", "enum": [ "ACTIVE", "DELETED", "DEPRECATED", "OBSOLETE" ], "description": "The deprecation state of this resource. This can be ACTIVE, DEPRECATED, OBSOLETE, or DELETED. Operations which communicate the end of life date for an image, can use ACTIVE. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.", "enumDescriptions": [ "", "", "", "" ] }, "obsolete": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it." }, "deleted": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it." }, "deprecated": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it." } } }, "ManagedInstanceLastAttempt": { "type": "object", "id": "ManagedInstanceLastAttempt", "properties": { "errors": { "type": "object", "properties": { "errors": { "description": "[Output Only] The array of errors encountered while processing this operation.", "type": "array", "items": { "type": "object", "properties": { "location": { "type": "string", "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional." }, "errorDetails": { "type": "array", "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.", "items": { "properties": { "errorInfo": { "$ref": "ErrorInfo" }, "localizedMessage": { "$ref": "LocalizedMessage" }, "help": { "$ref": "Help" } }, "type": "object" } }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] The error type identifier for this error." } } } } }, "description": "[Output Only] Encountered errors during the last attempt to create or delete the instance." } } }, "SavedAttachedDisk": { "properties": { "interface": { "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NVME", "SCSI" ] }, "type": { "type": "string", "description": "Specifies the type of the attached disk, either SCRATCH or PERSISTENT.", "enum": [ "PERSISTENT", "SCRATCH" ], "enumDescriptions": [ "", "" ] }, "diskEncryptionKey": { "description": "The encryption key for the disk.", "$ref": "CustomerEncryptionKey" }, "storageBytes": { "description": "[Output Only] A size of the storage used by the disk's snapshot by this machine image.", "format": "int64", "type": "string" }, "deviceName": { "type": "string", "description": "Specifies the name of the disk attached to the source instance." }, "boot": { "type": "boolean", "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "guestOsFeatures": { "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "type": "array" }, "storageBytesStatus": { "type": "string", "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enum": [ "UPDATING", "UP_TO_DATE" ], "enumDescriptions": [ "", "" ] }, "diskType": { "type": "string", "description": "[Output Only] URL of the disk type resource. For example: projects/project /zones/zone/diskTypes/pd-standard or pd-ssd" }, "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "diskSizeGb": { "format": "int64", "type": "string", "description": "The size of the disk in base-2 GB." }, "source": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "mode": { "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "type": "string", "description": "The mode in which this disk is attached to the source instance, either READ_WRITE or READ_ONLY.", "enum": [ "READ_ONLY", "READ_WRITE" ] }, "kind": { "default": "compute#savedAttachedDisk", "type": "string", "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks." }, "licenses": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Any valid publicly visible licenses." }, "index": { "type": "integer", "format": "int32", "description": "Specifies zero-based index of the disk that is attached to the source instance." } }, "id": "SavedAttachedDisk", "type": "object", "description": "DEPRECATED: Please use compute#savedDisk instead. An instance-attached disk resource." }, "SubnetworksScopedList": { "id": "SubnetworksScopedList", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "type": "object", "description": "An informational warning that appears when the list of addresses is empty." }, "subnetworks": { "description": "A list of subnetworks contained in this scope.", "items": { "$ref": "Subnetwork" }, "type": "array" } }, "type": "object" }, "Tags": { "properties": { "items": { "items": { "type": "string" }, "type": "array", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035." }, "fingerprint": { "format": "byte", "description": "Specifies a fingerprint for this request, which is essentially a hash of the tags' contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update tags. You must always provide an up-to-date fingerprint hash in order to update or change tags. To see the latest fingerprint, make get() request to the instance.", "type": "string" } }, "description": "A set of instance tags.", "id": "Tags", "type": "object" }, "PublicDelegatedPrefixList": { "type": "object", "id": "PublicDelegatedPrefixList", "properties": { "kind": { "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixList for public delegated prefixes.", "default": "compute#publicDelegatedPrefixList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } } }, "items": { "type": "array", "items": { "$ref": "PublicDelegatedPrefix" }, "description": "A list of PublicDelegatedPrefix resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "Condition": { "description": "This is deprecated and has no effect. Do not use.", "type": "object", "properties": { "op": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "DISCHARGED", "EQUALS", "IN", "NOT_EQUALS", "NOT_IN", "NO_OP" ], "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "svc": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "sys": { "description": "This is deprecated and has no effect. Do not use.", "enum": [ "IP", "NAME", "NO_ATTR", "REGION", "SERVICE" ], "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] }, "iam": { "type": "string", "description": "This is deprecated and has no effect. Do not use.", "enum": [ "APPROVER", "ATTRIBUTION", "AUTHORITY", "CREDENTIALS_TYPE", "CREDS_ASSERTION", "JUSTIFICATION_TYPE", "NO_ATTR", "SECURITY_REALM" ], "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] }, "values": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" } } }, "id": "Condition" }, "PreservedStatePreservedDisk": { "properties": { "autoDelete": { "enumDescriptions": [ "", "" ], "type": "string", "description": "These stateful disks will never be deleted during autohealing, update, instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole MIG is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ] }, "source": { "description": "The URL of the disk resource that is stateful and should be attached to the VM instance.", "type": "string" }, "mode": { "enum": [ "READ_ONLY", "READ_WRITE" ], "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.", "type": "string", "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple VM instances can use a disk in READ_ONLY mode at a time.", "*[Default]* Attaches this disk in READ_WRITE mode. Only one VM instance at a time can be attached to a disk in READ_WRITE mode." ] } }, "id": "PreservedStatePreservedDisk", "type": "object" }, "BfdStatus": { "description": "Next free: 15", "type": "object", "id": "BfdStatus", "properties": { "localDiagnostic": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ], "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880", "type": "string" }, "uptimeMs": { "format": "int64", "description": "Session uptime in milliseconds. Value will be 0 if session is not up.", "type": "string" }, "controlPacketIntervals": { "description": "Inter-packet time interval statistics for control packets.", "type": "array", "items": { "$ref": "PacketIntervals" } }, "negotiatedLocalControlTxIntervalMs": { "type": "integer", "description": "Negotiated transmit interval for control packets.", "format": "uint32" }, "localState": { "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ], "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880", "enumDescriptions": [ "", "", "", "", "" ], "type": "string" }, "controlPacketCounts": { "description": "Control packet counts for the current BFD session.", "$ref": "BfdStatusPacketCounts" }, "rxPacket": { "$ref": "BfdPacket", "description": "The most recent Rx control packet for this BFD session." }, "configUpdateTimestampMicros": { "type": "string", "description": "Unix timestamp of the most recent config update.", "format": "int64" }, "txPacket": { "description": "The most recent Tx control packet for this BFD session.", "$ref": "BfdPacket" }, "bfdSessionInitializationMode": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer." } } }, "SecurityPolicyRuleMatcherConfigLayer4Config": { "type": "object", "id": "SecurityPolicyRuleMatcherConfigLayer4Config", "properties": { "ports": { "type": "array", "items": { "type": "string" }, "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]. This field may only be specified when versioned_expr is set to FIREWALL." }, "ipProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number." } } }, "ResourcePolicySnapshotSchedulePolicyRetentionPolicy": { "type": "object", "id": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy", "description": "Policy for retention of scheduled snapshots.", "properties": { "onSourceDiskDelete": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "APPLY_RETENTION_POLICY", "KEEP_AUTO_SNAPSHOTS", "UNSPECIFIED_ON_SOURCE_DISK_DELETE" ], "description": "Specifies the behavior to apply to scheduled snapshots when the source disk is deleted." }, "maxRetentionDays": { "format": "int32", "type": "integer", "description": "Maximum age of the snapshot that is allowed to be kept." } } }, "RegionTargetHttpsProxiesSetSslCertificatesRequest": { "id": "RegionTargetHttpsProxiesSetSslCertificatesRequest", "type": "object", "properties": { "sslCertificates": { "type": "array", "items": { "type": "string" }, "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. Currently exactly one SslCertificate resource must be specified." } } }, "NetworkEndpointGroupLbNetworkEndpointGroup": { "id": "NetworkEndpointGroupLbNetworkEndpointGroup", "type": "object", "properties": { "network": { "description": "The URL of the network to which all network endpoints in the NEG belong. Uses \"default\" project network if unspecified. [Deprecated] This field is deprecated.", "type": "string" }, "subnetwork": { "description": "Optional URL of the subnetwork to which all network endpoints in the NEG belong. [Deprecated] This field is deprecated.", "type": "string" }, "zone": { "description": "[Output Only] The URL of the zone where the network endpoint group is located. [Deprecated] This field is deprecated.", "type": "string" }, "defaultPort": { "format": "int32", "type": "integer", "description": "The default port used if the port number is not specified in the network endpoint. [Deprecated] This field is deprecated." } }, "description": "Load balancing specific fields for network endpoint group." }, "ServiceAccount": { "id": "ServiceAccount", "description": "A service account.", "type": "object", "properties": { "email": { "description": "Email address of the service account.", "type": "string" }, "scopes": { "items": { "type": "string" }, "type": "array", "description": "The list of scopes to be made available for this service account." } } }, "RegionUrlMapsValidateRequest": { "properties": { "resource": { "$ref": "UrlMap", "description": "Content of the UrlMap to be validated." } }, "type": "object", "id": "RegionUrlMapsValidateRequest" }, "ResourcePolicyWeeklyCycleDayOfWeek": { "id": "ResourcePolicyWeeklyCycleDayOfWeek", "type": "object", "properties": { "startTime": { "type": "string", "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT." }, "duration": { "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario.", "type": "string" }, "day": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "FRIDAY", "INVALID", "MONDAY", "SATURDAY", "SUNDAY", "THURSDAY", "TUESDAY", "WEDNESDAY" ], "description": "Defines a schedule that runs on specific days of the week. Specify one or more days. The following options are available: MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.", "type": "string" } } }, "InstanceGroupManagersListManagedInstancesResponse": { "type": "object", "properties": { "managedInstances": { "type": "array", "items": { "$ref": "ManagedInstance" }, "description": "[Output Only] The list of instances in the managed instance group." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "InstanceGroupManagersListManagedInstancesResponse" }, "BackendBucket": { "description": "Represents a Cloud Storage Bucket resource. This Cloud Storage bucket resource is referenced by a URL map of a load balancer. For more information, read Backend Buckets.", "properties": { "kind": { "default": "compute#backendBucket", "type": "string", "description": "Type of the resource." }, "edgeSecurityPolicy": { "type": "string", "description": "[Output Only] The resource URL for the edge security policy associated with this backend bucket." }, "description": { "description": "An optional textual description of the resource; provided by the client when the resource is created.", "type": "string" }, "bucketName": { "description": "Cloud Storage bucket name.", "type": "string" }, "cdnPolicy": { "description": "Cloud CDN configuration for this BackendBucket.", "$ref": "BackendBucketCdnPolicy" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "enableCdn": { "type": "boolean", "description": "If true, enable Cloud CDN for this BackendBucket." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "compressionMode": { "enum": [ "AUTOMATIC", "DISABLED" ], "type": "string", "enumDescriptions": [ "Automatically uses the best compression based on the Accept-Encoding header sent by the client.", "Disables compression. Existing compressed responses cached by Cloud CDN will not be served to clients." ], "description": "Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header." }, "customResponseHeaders": { "type": "array", "items": { "type": "string" }, "description": "Headers that the HTTP/S load balancer should add to proxied responses." } }, "type": "object", "id": "BackendBucket" }, "SecurityPolicyList": { "properties": { "items": { "type": "array", "items": { "$ref": "SecurityPolicy" }, "description": "A list of SecurityPolicy resources." }, "kind": { "type": "string", "default": "compute#securityPolicyList", "description": "[Output Only] Type of resource. Always compute#securityPolicyList for listsof securityPolicies" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." } }, "type": "object", "id": "SecurityPolicyList" }, "ConnectionDraining": { "properties": { "drainingTimeoutSec": { "description": "Configures a duration timeout for existing requests on a removed backend instance. For supported load balancers and protocols, as described in Enabling connection draining.", "type": "integer", "format": "int32" } }, "description": "Message containing connection draining configuration.", "type": "object", "id": "ConnectionDraining" }, "ResourcePolicyResourceStatus": { "description": "Contains output only fields. Use this sub-message for all output fields set on ResourcePolicy. The internal structure of this \"status\" field should mimic the structure of ResourcePolicy proto specification.", "properties": { "instanceSchedulePolicy": { "$ref": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus", "description": "[Output Only] Specifies a set of output values reffering to the instance_schedule_policy system status. This field should have the same name as corresponding policy field." } }, "type": "object", "id": "ResourcePolicyResourceStatus" }, "HttpRouteRuleMatch": { "type": "object", "properties": { "ignoreCase": { "description": "Specifies that prefixMatch and fullPathMatch matches are case sensitive. The default value is false. ignoreCase must not be used with regexMatch. Not supported when the URL map is bound to a target gRPC proxy.", "type": "boolean" }, "regexMatch": { "description": "For satisfying the matchRule condition, the path of the request must satisfy the regular expression specified in regexMatch after removing any query parameters and anchor supplied with the original URL. For more information about regular expression syntax, see Syntax. Only one of prefixMatch, fullPathMatch or regexMatch must be specified. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "string" }, "fullPathMatch": { "type": "string", "description": "For satisfying the matchRule condition, the path of the request must exactly match the value specified in fullPathMatch after removing any query parameters and anchor that may be part of the original URL. fullPathMatch must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified." }, "metadataFilters": { "type": "array", "items": { "$ref": "MetadataFilter" }, "description": "Opaque filter criteria used by the load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to the load balancer, xDS clients present node metadata. When there is a match, the relevant routing configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadata filters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here is applied after those specified in ForwardingRule that refers to the UrlMap this HttpRouteRuleMatch belongs to. metadataFilters only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "prefixMatch": { "type": "string", "description": "For satisfying the matchRule condition, the request's path must begin with the specified prefixMatch. prefixMatch must begin with a /. The value must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified." }, "headerMatches": { "items": { "$ref": "HttpHeaderMatch" }, "type": "array", "description": "Specifies a list of header match criteria, all of which must match corresponding headers in the request." }, "queryParameterMatches": { "description": "Specifies a list of query parameter match criteria, all of which must match corresponding query parameters in the request. Not supported when the URL map is bound to a target gRPC proxy.", "items": { "$ref": "HttpQueryParameterMatch" }, "type": "array" } }, "id": "HttpRouteRuleMatch", "description": "HttpRouteRuleMatch specifies a set of criteria for matching requests to an HttpRouteRule. All specified criteria must be satisfied for a match to occur." }, "InstanceListReferrers": { "description": "Contains a list of instance referrers.", "type": "object", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#instanceListReferrers for lists of Instance referrers.", "type": "string", "default": "compute#instanceListReferrers" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "items": { "description": "A list of Reference resources.", "items": { "$ref": "Reference" }, "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "InstanceListReferrers" }, "NetworkList": { "id": "NetworkList", "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "items": { "items": { "$ref": "Network" }, "type": "array", "description": "A list of Network resources." }, "kind": { "default": "compute#networkList", "type": "string", "description": "[Output Only] Type of resource. Always compute#networkList for lists of networks." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of networks." }, "NetworkEndpointWithHealthStatus": { "id": "NetworkEndpointWithHealthStatus", "properties": { "healths": { "items": { "$ref": "HealthStatusForNetworkEndpoint" }, "description": "[Output only] The health status of network endpoint;", "type": "array" }, "networkEndpoint": { "$ref": "NetworkEndpoint", "description": "[Output only] The network endpoint;" } }, "type": "object" }, "SslPoliciesScopedList": { "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } } }, "description": "Informational warning which replaces the list of SSL policies when the list is empty." }, "sslPolicies": { "description": "A list of SslPolicies contained in this scope.", "items": { "$ref": "SslPolicy" }, "type": "array" } }, "id": "SslPoliciesScopedList", "type": "object" }, "SubnetworkSecondaryRange": { "description": "Represents a secondary IP range of a subnetwork.", "id": "SubnetworkSecondaryRange", "properties": { "rangeName": { "type": "string", "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork." }, "ipCidrRange": { "type": "string", "description": "The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported. The range can be any range listed in the Valid ranges list." } }, "type": "object" }, "RouterNatSubnetworkToNat": { "properties": { "sourceIpRangesToNat": { "items": { "type": "string", "enumDescriptions": [ "The primary and all the secondary ranges are allowed to Nat.", "A list of secondary ranges are allowed to Nat.", "The primary range is allowed to Nat." ], "enum": [ "ALL_IP_RANGES", "LIST_OF_SECONDARY_IP_RANGES", "PRIMARY_IP_RANGE" ] }, "type": "array", "description": "Specify the options for NAT ranges in the Subnetwork. All options of a single value are valid except NAT_IP_RANGE_OPTION_UNSPECIFIED. The only valid option with multiple values is: [\"PRIMARY_IP_RANGE\", \"LIST_OF_SECONDARY_IP_RANGES\"] Default: [ALL_IP_RANGES]" }, "name": { "type": "string", "description": "URL for the subnetwork resource that will use NAT." }, "secondaryIpRangeNames": { "type": "array", "items": { "type": "string" }, "description": "A list of the secondary ranges of the Subnetwork that are allowed to use NAT. This can be populated only if \"LIST_OF_SECONDARY_IP_RANGES\" is one of the values in source_ip_ranges_to_nat." } }, "id": "RouterNatSubnetworkToNat", "description": "Defines the IP ranges that want to use NAT for a subnetwork.", "type": "object" }, "NodeGroupsListNodes": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" }, "kind": { "default": "compute#nodeGroupsListNodes", "type": "string", "description": "[Output Only] The resource type, which is always compute.nodeGroupsListNodes for the list of nodes in the specified node group." }, "items": { "items": { "$ref": "NodeGroupNode" }, "type": "array", "description": "A list of Node resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "NodeGroupsListNodes", "type": "object" }, "DiskTypeAggregatedList": { "properties": { "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of disk types.", "$ref": "DiskTypesScopedList" }, "type": "object", "description": "A list of DiskTypesScopedList resources." }, "kind": { "default": "compute#diskTypeAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#diskTypeAggregatedList." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" } }, "type": "object", "id": "DiskTypeAggregatedList" }, "MetadataFilterLabelMatch": { "properties": { "name": { "type": "string", "description": "Name of metadata label. The name can have a maximum length of 1024 characters and must be at least 1 character long." }, "value": { "description": "The value of the label must match the specified value. value can have a maximum length of 1024 characters.", "type": "string" } }, "description": "MetadataFilter label name value pairs that are expected to match corresponding labels presented as metadata to the load balancer.", "type": "object", "id": "MetadataFilterLabelMatch" }, "ResourcePolicyList": { "id": "ResourcePolicyList", "properties": { "kind": { "type": "string", "default": "compute#resourcePolicyList", "description": "[Output Only] Type of resource.Always compute#resourcePoliciesList for listsof resourcePolicies" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "etag": { "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "[Output Only] A list of ResourcePolicy resources.", "items": { "$ref": "ResourcePolicy" }, "type": "array" } }, "type": "object" }, "RegionInstanceGroupManagersAbandonInstancesRequest": { "id": "RegionInstanceGroupManagersAbandonInstancesRequest", "properties": { "instances": { "type": "array", "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } } }, "type": "object" }, "SecurityPolicyRuleRateLimitOptions": { "type": "object", "properties": { "rateLimitThreshold": { "description": "Threshold at which to begin ratelimiting.", "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold" }, "enforceOnKey": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Determines the key to enforce the rate_limit_threshold on. Possible values are: - ALL: A single rate limit threshold is applied to all the requests matching this rule. This is the default value if this field 'enforce_on_key' is not configured. - IP: The source IP address of the request is the key. Each IP has this limit enforced separately. - HTTP_HEADER: The value of the HTTP header whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the header value. If no such header is present in the request, the key type defaults to ALL. - XFF_IP: The first IP address (i.e. the originating client IP address) specified in the list of IPs under X-Forwarded-For HTTP header. If no such header is present or the value is not a valid IP, the key defaults to the source IP address of the request i.e. key type IP. - HTTP_COOKIE: The value of the HTTP cookie whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the cookie value. If no such cookie is present in the request, the key type defaults to ALL. ", "enum": [ "ALL", "ALL_IPS", "HTTP_COOKIE", "HTTP_HEADER", "IP", "XFF_IP" ] }, "banDurationSec": { "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, determines the time (in seconds) the traffic will continue to be banned by the rate limit after the rate falls below the threshold.", "type": "integer", "format": "int32" }, "exceedAction": { "type": "string", "description": "Action to take for requests that are above the configured rate limit threshold, to either deny with a specified HTTP response code, or redirect to a different endpoint. Valid options are \"deny(status)\", where valid values for status are 403, 404, 429, and 502, and \"redirect\" where the redirect parameters come from exceedRedirectOptions below." }, "conformAction": { "type": "string", "description": "Action to take for requests that are under the configured rate limit threshold. Valid option is \"allow\" only." }, "banThreshold": { "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, the key will be banned for the configured 'ban_duration_sec' when the number of requests that exceed the 'rate_limit_threshold' also exceed this 'ban_threshold'.", "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold" }, "exceedRedirectOptions": { "description": "Parameters defining the redirect action that is used as the exceed action. Cannot be specified if the exceed action is not redirect.", "$ref": "SecurityPolicyRuleRedirectOptions" }, "enforceOnKeyName": { "description": "Rate limit key name applicable only for the following key types: HTTP_HEADER -- Name of the HTTP header whose value is taken as the key value. HTTP_COOKIE -- Name of the HTTP cookie whose value is taken as the key value.", "type": "string" } }, "id": "SecurityPolicyRuleRateLimitOptions" }, "ResourcePolicyInstanceSchedulePolicySchedule": { "description": "Schedule for an instance operation.", "id": "ResourcePolicyInstanceSchedulePolicySchedule", "type": "object", "properties": { "schedule": { "type": "string", "description": "Specifies the frequency for the operation, using the unix-cron format." } } }, "BackendServiceLocalityLoadBalancingPolicyConfig": { "description": "Container for either a built-in LB policy supported by gRPC or Envoy or a custom one implemented by the end user.", "id": "BackendServiceLocalityLoadBalancingPolicyConfig", "type": "object", "properties": { "customPolicy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy" }, "policy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy" } } }, "NotificationEndpoint": { "type": "object", "description": "Represents a notification endpoint. A notification endpoint resource defines an endpoint to receive notifications when there are status changes detected by the associated health check service. For more information, see Health checks overview.", "id": "NotificationEndpoint", "properties": { "id": { "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier.", "format": "uint64", "type": "string" }, "grpcSettings": { "description": "Settings of the gRPC notification endpoint including the endpoint URL and the retry duration.", "$ref": "NotificationEndpointGrpcSettings" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the notification endpoint resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "kind": { "default": "compute#notificationEndpoint", "type": "string", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } } }, "InstanceGroupManagerAutoHealingPolicy": { "id": "InstanceGroupManagerAutoHealingPolicy", "properties": { "initialDelaySec": { "type": "integer", "format": "int32", "description": "The number of seconds that the managed instance group waits before it applies autohealing policies to new instances or recently recreated instances. This initial delay allows instances to initialize and run their startup scripts before the instance group determines that they are UNHEALTHY. This prevents the managed instance group from recreating its instances prematurely. This value must be from range [0, 3600]." }, "healthCheck": { "description": "The URL for the health check that signals autohealing.", "type": "string" } }, "type": "object" }, "ManagedInstance": { "id": "ManagedInstance", "properties": { "allInstancesConfig": { "description": "[Output Only] Current all-instances configuration revision applied to this instance.", "$ref": "ManagedInstanceAllInstancesConfig" }, "preservedStateFromConfig": { "$ref": "PreservedState", "description": "[Output Only] Preserved state applied from per-instance config for this instance." }, "preservedStateFromPolicy": { "description": "[Output Only] Preserved state generated based on stateful policy for this instance.", "$ref": "PreservedState" }, "currentAction": { "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ], "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "description": "[Output Only] The current action that the managed instance group has scheduled for the instance. Possible values: - NONE The instance is running, and the managed instance group does not have any scheduled actions for this instance. - CREATING The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful. - CREATING_WITHOUT_RETRIES The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased instead. - RECREATING The managed instance group is recreating this instance. - DELETING The managed instance group is permanently deleting this instance. - ABANDONING The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group. - RESTARTING The managed instance group is restarting the instance. - REFRESHING The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance. - VERIFYING The managed instance group has created the instance and it is in the process of being verified. ", "type": "string" }, "version": { "description": "[Output Only] Intended version of this instance.", "$ref": "ManagedInstanceVersion" }, "id": { "type": "string", "format": "uint64", "description": "[Output only] The unique identifier for this resource. This field is empty when instance does not exist." }, "instance": { "description": "[Output Only] The URL of the instance. The URL can exist even if the instance has not yet been created.", "type": "string" }, "lastAttempt": { "$ref": "ManagedInstanceLastAttempt", "description": "[Output Only] Information about the last attempt to create or delete the instance." }, "instanceStatus": { "description": "[Output Only] The status of the instance. This field is empty when the instance does not exist.", "type": "string", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ], "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ] }, "instanceHealth": { "items": { "$ref": "ManagedInstanceInstanceHealth" }, "description": "[Output Only] Health state of the instance per health-check.", "type": "array" } }, "type": "object", "description": "A Managed Instance resource." }, "BulkInsertInstanceResource": { "type": "object", "description": "A transient resource used in compute.instances.bulkInsert and compute.regionInstances.bulkInsert . This resource is not persisted anywhere, it is used only for processing the requests.", "properties": { "namePattern": { "type": "string", "description": "The string pattern used for the names of the VMs. Either name_pattern or per_instance_properties must be set. The pattern must contain one continuous sequence of placeholder hash characters (#) with each character corresponding to one digit of the generated instance name. Example: a name_pattern of inst-#### generates instance names such as inst-0001 and inst-0002. If existing instances in the same project and zone have names that match the name pattern then the generated instance numbers start after the biggest existing number. For example, if there exists an instance with name inst-0050, then instance names generated using the pattern inst-#### begin with inst-0051. The name pattern placeholder #...# can contain up to 18 characters." }, "instanceProperties": { "description": "The instance properties defining the VM instances to be created. Required if sourceInstanceTemplate is not provided.", "$ref": "InstanceProperties" }, "perInstanceProperties": { "type": "object", "description": "Per-instance properties to be set on individual instances. Keys of this map specify requested instance names. Can be empty if name_pattern is used.", "additionalProperties": { "$ref": "BulkInsertInstanceResourcePerInstanceProperties" } }, "locationPolicy": { "$ref": "LocationPolicy", "description": "Policy for chosing target zone." }, "sourceInstanceTemplate": { "description": "Specifies the instance template from which to create instances. You may combine sourceInstanceTemplate with instanceProperties to override specific values from an existing instance template. Bulk API follows the semantics of JSON Merge Patch described by RFC 7396. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate This field is optional.", "type": "string" }, "count": { "format": "int64", "type": "string", "description": "The maximum number of instances to create." }, "minCount": { "type": "string", "description": "The minimum number of instances to create. If no min_count is specified then count is used as the default value. If min_count instances cannot be created, then no instances will be created and instances already created will be deleted.", "format": "int64" } }, "id": "BulkInsertInstanceResource" }, "HttpFilterConfig": { "properties": { "config": { "description": "The configuration needed to enable the networkservices.HttpFilter resource. The configuration must be YAML formatted and only contain fields defined in the protobuf identified in configTypeUrl", "type": "string" }, "configTypeUrl": { "description": "The fully qualified versioned proto3 type url of the protobuf that the filter expects for its contextual settings, for example: type.googleapis.com/google.protobuf.Struct", "type": "string" }, "filterName": { "type": "string", "description": "Name of the networkservices.HttpFilter resource this configuration belongs to. This name must be known to the xDS client. Example: envoy.wasm" } }, "id": "HttpFilterConfig", "description": "HttpFilterConfiguration supplies additional contextual settings for networkservices.HttpFilter resources enabled by Traffic Director.", "type": "object" }, "InstanceGroupManagersAbandonInstancesRequest": { "type": "object", "id": "InstanceGroupManagersAbandonInstancesRequest", "properties": { "instances": { "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" }, "type": "array" } } }, "ServiceAttachmentConnectedEndpoint": { "description": "[Output Only] A connection connected to this service attachment.", "properties": { "pscConnectionId": { "format": "uint64", "description": "The PSC connection id of the connected endpoint.", "type": "string" }, "endpoint": { "description": "The url of a connected endpoint.", "type": "string" }, "status": { "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The consumer is still connected but not using the connection.", "" ], "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "type": "string", "description": "The status of a connected endpoint to this service attachment." } }, "type": "object", "id": "ServiceAttachmentConnectedEndpoint" }, "InstancesScopedList": { "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of instances when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "instances": { "type": "array", "description": "[Output Only] A list of instances contained in this scope.", "items": { "$ref": "Instance" } } }, "type": "object", "id": "InstancesScopedList" }, "MachineType": { "type": "object", "description": "Represents a Machine Type resource. You can use specific machine types for your VM instances based on performance and pricing requirements. For more information, read Machine Types.", "id": "MachineType", "properties": { "accelerators": { "items": { "type": "object", "properties": { "guestAcceleratorCount": { "format": "int32", "description": "Number of accelerator cards exposed to the guest.", "type": "integer" }, "guestAcceleratorType": { "type": "string", "description": "The accelerator type resource name, not a full URL, e.g. 'nvidia-tesla-k80'." } } }, "type": "array", "description": "[Output Only] A list of accelerator configurations assigned to this machine type." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "guestCpus": { "type": "integer", "format": "int32", "description": "[Output Only] The number of virtual CPUs that are available to the instance." }, "maximumPersistentDisks": { "type": "integer", "description": "[Output Only] Maximum persistent disks allowed.", "format": "int32" }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "deprecated": { "description": "[Output Only] The deprecation status associated with this machine type. Only applicable if the machine type is unavailable.", "$ref": "DeprecationStatus" }, "memoryMb": { "format": "int32", "description": "[Output Only] The amount of physical memory available to the instance, defined in MB.", "type": "integer" }, "maximumPersistentDisksSizeGb": { "description": "[Output Only] Maximum total persistent disks size (GB) allowed.", "format": "int64", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the machine type resides, such as us-central1-a." }, "isSharedCpu": { "type": "boolean", "description": "[Output Only] Whether this machine type has a shared CPU. See Shared-core machine types for more information." }, "kind": { "description": "[Output Only] The type of the resource. Always compute#machineType for machine types.", "type": "string", "default": "compute#machineType" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } } }, "ZoneSetLabelsRequest": { "id": "ZoneSetLabelsRequest", "type": "object", "properties": { "labelFingerprint": { "format": "byte", "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint." }, "labels": { "additionalProperties": { "type": "string" }, "description": "The labels to set for this resource.", "type": "object" } } }, "BackendServiceConnectionTrackingPolicy": { "id": "BackendServiceConnectionTrackingPolicy", "description": "Connection Tracking configuration for this BackendService.", "properties": { "trackingMode": { "enum": [ "INVALID_TRACKING_MODE", "PER_CONNECTION", "PER_SESSION" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Specifies the key used for connection tracking. There are two options: - PER_CONNECTION: This is the default mode. The Connection Tracking is performed as per the Connection Key (default Hash Method) for the specific protocol. - PER_SESSION: The Connection Tracking is performed as per the configured Session Affinity. It matches the configured Session Affinity. For more details, see [Tracking Mode for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#tracking-mode) and [Tracking Mode for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#tracking-mode)." }, "enableStrongAffinity": { "type": "boolean", "description": "Enable Strong Session Affinity for Network Load Balancing. This option is not available publicly." }, "idleTimeoutSec": { "type": "integer", "description": "Specifies how long to keep a Connection Tracking entry while there is no matching traffic (in seconds). For Internal TCP/UDP Load Balancing: - The minimum (default) is 10 minutes and the maximum is 16 hours. - It can be set only if Connection Tracking is less than 5-tuple (i.e. Session Affinity is CLIENT_IP_NO_DESTINATION, CLIENT_IP or CLIENT_IP_PROTO, and Tracking Mode is PER_SESSION). For Network Load Balancer the default is 60 seconds. This option is not available publicly.", "format": "int32" }, "connectionPersistenceOnUnhealthyBackends": { "enumDescriptions": [ "", "", "" ], "description": "Specifies connection persistence when backends are unhealthy. The default value is DEFAULT_FOR_PROTOCOL. If set to DEFAULT_FOR_PROTOCOL, the existing connections persist on unhealthy backends only for connection-oriented protocols (TCP and SCTP) and only if the Tracking Mode is PER_CONNECTION (default tracking mode) or the Session Affinity is configured for 5-tuple. They do not persist for UDP. If set to NEVER_PERSIST, after a backend becomes unhealthy, the existing connections on the unhealthy backend are never persisted on the unhealthy backend. They are always diverted to newly selected healthy backends (unless all backends are unhealthy). If set to ALWAYS_PERSIST, existing connections always persist on unhealthy backends regardless of protocol and session affinity. It is generally not recommended to use this mode overriding the default. For more details, see [Connection Persistence for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#connection-persistence) and [Connection Persistence for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#connection-persistence).", "enum": [ "ALWAYS_PERSIST", "DEFAULT_FOR_PROTOCOL", "NEVER_PERSIST" ], "type": "string" } }, "type": "object" }, "ExchangedPeeringRoute": { "properties": { "priority": { "description": "The priority of the peering route.", "type": "integer", "format": "uint32" }, "nextHopRegion": { "type": "string", "description": "The region of peering route next hop, only applies to dynamic routes." }, "destRange": { "type": "string", "description": "The destination range of the route." }, "type": { "type": "string", "enumDescriptions": [ "For routes exported from local network.", "The peering route.", "The peering route corresponding to subnetwork range." ], "description": "The type of the peering route.", "enum": [ "DYNAMIC_PEERING_ROUTE", "STATIC_PEERING_ROUTE", "SUBNET_PEERING_ROUTE" ] }, "imported": { "type": "boolean", "description": "True if the peering route has been imported from a peer. The actual import happens if the field networkPeering.importCustomRoutes is true for this network, and networkPeering.exportCustomRoutes is true for the peer network, and the import does not result in a route conflict." } }, "id": "ExchangedPeeringRoute", "type": "object" }, "RegionInstanceGroupManagersSetAutoHealingRequest": { "properties": { "autoHealingPolicies": { "type": "array", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" } } }, "type": "object", "id": "RegionInstanceGroupManagersSetAutoHealingRequest" }, "MachineTypeAggregatedList": { "properties": { "items": { "description": "A list of MachineTypesScopedList resources.", "additionalProperties": { "$ref": "MachineTypesScopedList", "description": "[Output Only] Name of the scope containing this set of machine types." }, "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#machineTypeAggregatedList for aggregated lists of machine types.", "type": "string", "default": "compute#machineTypeAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." } }, "type": "object", "id": "MachineTypeAggregatedList" }, "AccessConfig": { "id": "AccessConfig", "description": "An access configuration attached to an instance's network interface. Only one access config per instance is supported.", "type": "object", "properties": { "setPublicPtr": { "description": "Specifies whether a public DNS 'PTR' record should be created to map the external IP address of the instance to a DNS domain name. This field is not used in ipv6AccessConfig. A default PTR record will be created if the VM has external IPv6 range associated.", "type": "boolean" }, "natIP": { "description": "An external IP address associated with this instance. Specify an unused static external IP address available to the project or leave this field undefined to use an IP from a shared ephemeral IP address pool. If you specify a static external IP address, it must live in the same region as the zone of the instance.", "type": "string" }, "networkTier": { "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "type": "string", "description": "This signifies the networking tier used for configuring this access configuration and can only take the following values: PREMIUM, STANDARD. If an AccessConfig is specified without a valid external IP address, an ephemeral IP will be created with this networkTier. If an AccessConfig with a valid external IP address is specified, it must match that of the networkTier associated with the Address resource owning that IP.", "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ] }, "externalIpv6PrefixLength": { "type": "integer", "description": "The prefix length of the external IPv6 range.", "format": "int32" }, "name": { "description": "The name of this access configuration. The default and recommended name is External NAT, but you can use any arbitrary string, such as My external IP or Network Access.", "type": "string" }, "type": { "description": "The type of configuration. The default and only option is ONE_TO_ONE_NAT.", "default": "ONE_TO_ONE_NAT", "enumDescriptions": [ "", "" ], "enum": [ "DIRECT_IPV6", "ONE_TO_ONE_NAT" ], "type": "string" }, "externalIpv6": { "type": "string", "description": "The first IPv6 address of the external IPv6 range associated with this instance, prefix length is stored in externalIpv6PrefixLength in ipv6AccessConfig. The field is output only, an IPv6 address from a subnetwork associated with the instance will be allocated dynamically." }, "kind": { "default": "compute#accessConfig", "description": "[Output Only] Type of the resource. Always compute#accessConfig for access configs.", "type": "string" }, "publicPtrDomainName": { "type": "string", "description": "The DNS domain name for the public PTR record. You can set this field only if the `setPublicPtr` field is enabled in accessConfig. If this field is unspecified in ipv6AccessConfig, a default PTR record will be createc for first IP in associated external IPv6 range." } } }, "NetworkRoutingConfig": { "type": "object", "properties": { "routingMode": { "type": "string", "description": "The network-wide routing mode to use. If set to REGIONAL, this network's Cloud Routers will only advertise routes with subnets of this network in the same region as the router. If set to GLOBAL, this network's Cloud Routers will advertise routes with all subnets of this network, across regions.", "enum": [ "GLOBAL", "REGIONAL" ], "enumDescriptions": [ "", "" ] } }, "description": "A routing configuration attached to a network resource. The message includes the list of routers associated with the network, and a flag indicating the type of routing behavior to enforce network-wide.", "id": "NetworkRoutingConfig" }, "ResourcePolicySnapshotSchedulePolicySchedule": { "type": "object", "id": "ResourcePolicySnapshotSchedulePolicySchedule", "description": "A schedule for disks where the schedueled operations are performed.", "properties": { "hourlySchedule": { "$ref": "ResourcePolicyHourlyCycle" }, "dailySchedule": { "$ref": "ResourcePolicyDailyCycle" }, "weeklySchedule": { "$ref": "ResourcePolicyWeeklyCycle" } } }, "PacketMirroringList": { "type": "object", "description": "Contains a list of PacketMirroring resources.", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "description": "A list of PacketMirroring resources.", "items": { "$ref": "PacketMirroring" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#packetMirroring for packetMirrorings.", "type": "string", "default": "compute#packetMirroringList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "PacketMirroringList" }, "InstanceGroupManagersRecreateInstancesRequest": { "id": "InstanceGroupManagersRecreateInstancesRequest", "type": "object", "properties": { "instances": { "type": "array", "items": { "type": "string" }, "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } } }, "LocalDisk": { "id": "LocalDisk", "type": "object", "properties": { "diskSizeGb": { "description": "Specifies the size of the disk in base-2 GB.", "format": "int32", "type": "integer" }, "diskType": { "type": "string", "description": "Specifies the desired disk type on the node. This disk type must be a local storage type (e.g.: local-ssd). Note that for nodeTemplates, this should be the name of the disk type and not its URL." }, "diskCount": { "description": "Specifies the number of such disks.", "format": "int32", "type": "integer" } } }, "PacketMirroringsScopedList": { "id": "PacketMirroringsScopedList", "type": "object", "properties": { "packetMirrorings": { "type": "array", "items": { "$ref": "PacketMirroring" }, "description": "A list of packetMirrorings contained in this scope." }, "warning": { "description": "Informational warning which replaces the list of packetMirrorings when the list is empty.", "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } } } }, "TestFailure": { "id": "TestFailure", "type": "object", "properties": { "path": { "type": "string", "description": "Path portion including query parameters in the URL." }, "actualOutputUrl": { "type": "string", "description": "The actual output URL evaluated by a load balancer containing the scheme, host, path and query parameters." }, "headers": { "type": "array", "description": "HTTP headers of the request.", "items": { "$ref": "UrlMapTestHeader" } }, "expectedOutputUrl": { "description": "The expected output URL evaluated by a load balancer containing the scheme, host, path and query parameters.", "type": "string" }, "expectedRedirectResponseCode": { "type": "integer", "description": "Expected HTTP status code for rule with `urlRedirect` calculated by load balancer", "format": "int32" }, "host": { "type": "string", "description": "Host portion of the URL." }, "actualRedirectResponseCode": { "type": "integer", "description": "Actual HTTP status code for rule with `urlRedirect` calculated by load balancer", "format": "int32" }, "expectedService": { "type": "string", "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to." }, "actualService": { "type": "string", "description": "BackendService or BackendBucket returned by load balancer." } } }, "TargetHttpsProxyAggregatedList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of TargetHttpsProxies.", "$ref": "TargetHttpsProxiesScopedList" }, "type": "object", "description": "A list of TargetHttpsProxiesScopedList resources." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetHttpsProxyAggregatedList for lists of Target HTTP Proxies.", "default": "compute#targetHttpsProxyAggregatedList", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "id": "TargetHttpsProxyAggregatedList", "type": "object" }, "NetworkEdgeSecurityServiceAggregatedList": { "type": "object", "id": "NetworkEdgeSecurityServiceAggregatedList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "[Output Only] Type of resource. Always compute#networkEdgeSecurityServiceAggregatedList for lists of Network Edge Security Services.", "default": "compute#networkEdgeSecurityServiceAggregatedList", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "items": { "additionalProperties": { "$ref": "NetworkEdgeSecurityServicesScopedList", "description": "Name of the scope containing this set of security policies." }, "type": "object", "description": "A list of NetworkEdgeSecurityServicesScopedList resources." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "etag": { "type": "string" } } }, "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "properties": { "type": { "enumDescriptions": [ "", "", "" ], "enum": [ "HIERARCHY", "NETWORK", "UNSPECIFIED" ], "type": "string", "description": "[Output Only] The type of the firewall policy." }, "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy." }, "shortName": { "type": "string", "description": "[Output Only] The short name of the firewall policy." }, "name": { "type": "string", "description": "[Output Only] The name of the firewall policy." }, "rules": { "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" }, "type": "array" } }, "id": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "type": "object" }, "RolloutPolicy": { "properties": { "defaultRolloutTime": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the update is considered rolled out to any zone that is not explicitly stated." }, "locationRolloutPolicies": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Location based rollout policies to apply to the resource. Currently only zone names are supported and must be represented as valid URLs, like: zones/us-central1-a. The value expects an RFC3339 timestamp on or after which the update is considered rolled out to the specified location." } }, "type": "object", "description": "A rollout policy configuration.", "id": "RolloutPolicy" }, "ServiceAttachmentList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.", "type": "string", "default": "compute#serviceAttachmentList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "ServiceAttachment" }, "description": "A list of ServiceAttachment resources.", "type": "array" } }, "id": "ServiceAttachmentList" }, "TargetHttpProxy": { "type": "object", "properties": { "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "httpFilters": { "items": { "type": "string" }, "type": "array", "description": "URLs to networkservices.HttpFilter resources enabled for xDS clients using this configuration. For example, https://networkservices.googleapis.com/v1alpha1/projects/project/locations/ locationhttpFilters/httpFilter Only filters that handle outbound connection and stream events may be specified. These filters work in conjunction with a default set of HTTP filters that may already be configured by Traffic Director. Traffic Director will determine the final location of these filters within xDS configuration based on the name of the HTTP filter. If Traffic Director positions multiple filters at the same location, those filters will be in the same order as specified in this list. httpFilters only applies for loadbalancers with loadBalancingScheme set to INTERNAL_SELF_MANAGED. See ForwardingRule for more details." }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetHttpProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpProxy." }, "urlMap": { "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService.", "type": "string" }, "kind": { "type": "string", "default": "compute#targetHttpProxy", "description": "[Output Only] Type of resource. Always compute#targetHttpProxy for target HTTP proxies." }, "region": { "description": "[Output Only] URL of the region where the regional Target HTTP Proxy resides. This field is not applicable to global Target HTTP Proxies.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." } }, "description": "Represents a Target HTTP Proxy resource. Google Compute Engine has two Target HTTP Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/targetHttpProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionTargetHttpProxies) A target HTTP proxy is a component of GCP HTTP load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpProxies are used by external HTTP load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpProxies are used by internal HTTP load balancers. Forwarding rules reference a target HTTP proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts.", "id": "TargetHttpProxy" }, "RouterAggregatedList": { "description": "Contains a list of routers.", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of Router resources.", "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of routers.", "$ref": "RoutersScopedList" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#routerAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "RouterAggregatedList" }, "RegionInstanceGroupManagersResizeAdvancedRequest": { "properties": { "targetSize": { "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.", "type": "integer", "format": "int32" }, "noCreationRetries": { "description": "If this flag is true, the managed instance group attempts to create all instances initiated by this resize request only once. If there is an error during creation, the managed instance group does not retry create this instance, and we will decrease the targetSize of the request instead. If the flag is false, the group attempts to recreate each instance continuously until it succeeds. This flag matters only in the first attempt of creation of an instance. After an instance is successfully created while this flag is enabled, the instance behaves the same way as all the other instances created with a regular resize request. In particular, if a running instance dies unexpectedly at a later time and needs to be recreated, this mode does not affect the recreation behavior in that scenario. This flag is applicable only to the current resize request. It does not influence other resize requests in any way. You can see which instances ar being created in which mode by calling the get or listManagedInstances API.", "type": "boolean" } }, "id": "RegionInstanceGroupManagersResizeAdvancedRequest", "type": "object" }, "GuestOsFeature": { "properties": { "type": { "description": "The ID of a supported feature. To add multiple values, use commas to separate values. Set to one or more of the following values: - VIRTIO_SCSI_MULTIQUEUE - WINDOWS - MULTI_IP_SUBNET - UEFI_COMPATIBLE - GVNIC - SEV_CAPABLE - SUSPEND_RESUME_COMPATIBLE - SEV_SNP_CAPABLE For more information, see Enabling guest operating system features.", "enum": [ "FEATURE_TYPE_UNSPECIFIED", "GVNIC", "MULTI_IP_SUBNET", "SECURE_BOOT", "SEV_CAPABLE", "UEFI_COMPATIBLE", "VIRTIO_SCSI_MULTIQUEUE", "WINDOWS" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string" } }, "id": "GuestOsFeature", "description": "Guest OS features.", "type": "object" }, "SecurityPolicy": { "type": "object", "description": "Represents a Google Cloud Armor security policy resource. Only external backend services that use load balancers can reference a security policy. For more information, see Google Cloud Armor security policy overview.", "properties": { "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object", "additionalProperties": { "type": "string" } }, "region": { "description": "[Output Only] URL of the region where the regional security policy resides. This field is not applicable to global security policies.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "labelFingerprint": { "description": "A fingerprint for the labels being applied to this security policy, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the security policy.", "format": "byte", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "rules": { "items": { "$ref": "SecurityPolicyRule" }, "type": "array", "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a security policy, a default rule with action \"allow\" will be added." }, "displayName": { "type": "string", "description": "User-provided name of the Organization security plicy. The name should be unique in the organization in which the security policy is created. This should only be used when SecurityPolicyType is FIREWALL. The name must be 1-63 characters long, and comply with https://www.ietf.org/rfc/rfc1035.txt. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "associations": { "items": { "$ref": "SecurityPolicyAssociation" }, "description": "A list of associations that belong to this policy.", "type": "array" }, "recaptchaOptionsConfig": { "$ref": "SecurityPolicyRecaptchaOptionsConfig" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "default": "compute#securityPolicy", "type": "string", "description": "[Output only] Type of the resource. Always compute#securityPolicyfor security policies" }, "ruleTupleCount": { "format": "int32", "type": "integer", "description": "[Output Only] Total count of all security policy rule tuples. A security policy can not exceed a set number of tuples." }, "fingerprint": { "format": "byte", "type": "string", "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the security policy." }, "parent": { "type": "string", "description": "[Output Only] The parent of the security policy." }, "adaptiveProtectionConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfig" }, "advancedOptionsConfig": { "$ref": "SecurityPolicyAdvancedOptionsConfig" }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "CLOUD_ARMOR", "CLOUD_ARMOR_EDGE", "CLOUD_ARMOR_NETWORK", "FIREWALL" ], "description": "The type indicates the intended use of the security policy. - CLOUD_ARMOR: Cloud Armor backend security policies can be configured to filter incoming HTTP requests targeting backend services. They filter requests before they hit the origin servers. - CLOUD_ARMOR_EDGE: Cloud Armor edge security policies can be configured to filter incoming HTTP requests targeting backend services (including Cloud CDN-enabled) as well as backend buckets (Cloud Storage). They filter requests before the request is served from Google's cache. - CLOUD_ARMOR_INTERNAL_SERVICE: Cloud Armor internal service policies can be configured to filter HTTP requests targeting services managed by Traffic Director in a service mesh. They filter requests before the request is served from the application. This field can be set only at resource creation time." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "ddosProtectionConfig": { "$ref": "SecurityPolicyDdosProtectionConfig" } }, "id": "SecurityPolicy" }, "ForwardingRuleServiceDirectoryRegistration": { "description": "Describes the auto-registration of the Forwarding Rule to Service Directory. The region and project of the Service Directory resource generated from this registration will be the same as this Forwarding Rule.", "properties": { "serviceDirectoryRegion": { "description": "[Optional] Service Directory region to register this global forwarding rule under. Default to \"us-central1\". Only used for PSC for Google APIs. All PSC for Google APIs Forwarding Rules on the same network should use the same Service Directory region.", "type": "string" }, "service": { "description": "Service Directory service to register the forwarding rule under.", "type": "string" }, "namespace": { "description": "Service Directory namespace to register the forwarding rule under.", "type": "string" } }, "type": "object", "id": "ForwardingRuleServiceDirectoryRegistration" }, "SslPoliciesList": { "id": "SslPoliciesList", "properties": { "kind": { "default": "compute#sslPoliciesList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#sslPoliciesList for lists of sslPolicies." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of SslPolicy resources.", "type": "array", "items": { "$ref": "SslPolicy" } } }, "type": "object" }, "Route": { "properties": { "nextHopPeering": { "type": "string", "description": "[Output Only] The network peering name that should handle matching packets, which should conform to RFC1035." }, "asPaths": { "type": "array", "items": { "$ref": "RouteAsPath" }, "description": "[Output Only] AS path." }, "destRange": { "type": "string", "annotations": { "required": [ "compute.routes.insert" ] }, "description": "The destination range of outgoing packets that this route applies to. Both IPv4 and IPv6 are supported." }, "nextHopInstance": { "description": "The URL to an instance that should handle matching packets. You can specify this as a full or partial URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/", "type": "string" }, "network": { "description": "Fully-qualified URL of the network that this route applies to.", "type": "string", "annotations": { "required": [ "compute.routes.insert" ] } }, "tags": { "type": "array", "items": { "type": "string" }, "description": "A list of instance tags to which this route applies.", "annotations": { "required": [ "compute.routes.insert" ] } }, "routeType": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "[Output Only] The type of this route, which can be one of the following values: - 'TRANSIT' for a transit route that this router learned from another Cloud Router and will readvertise to one of its BGP peers - 'SUBNET' for a route from a subnet of the VPC - 'BGP' for a route learned from a BGP peer of this router - 'STATIC' for a static route", "enum": [ "BGP", "STATIC", "SUBNET", "TRANSIT" ] }, "description": { "type": "string", "description": "An optional description of this resource. Provide this field when you create the resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "nextHopInterconnectAttachment": { "type": "string", "description": "[Output Only] The URL to an InterconnectAttachment which is the next hop for the route. This field will only be populated for the dynamic routes generated by Cloud Router with a linked interconnectAttachment." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "nextHopVpnTunnel": { "type": "string", "description": "The URL to a VpnTunnel that should handle matching packets." }, "nextHopNetwork": { "description": "The URL of the local network if it should handle matching packets.", "type": "string" }, "priority": { "format": "uint32", "description": "The priority of this route. Priority is used to break ties in cases where there is more than one matching route of equal prefix length. In cases where multiple routes have equal prefix length, the one with the lowest-numbered priority value wins. The default value is `1000`. The priority value must be from `0` to `65535`, inclusive.", "annotations": { "required": [ "compute.routes.insert" ] }, "type": "integer" }, "kind": { "default": "compute#route", "description": "[Output Only] Type of this resource. Always compute#routes for Route resources.", "type": "string" }, "nextHopIp": { "type": "string", "description": "The network IP address of an instance that should handle matching packets. Only IPv4 is supported." }, "warnings": { "description": "[Output Only] If potential misconfigurations are detected for this route, this field will be populated with warning messages.", "type": "array", "items": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "routeStatus": { "description": "[Output only] The status of the route.", "enumDescriptions": [ "This route is processed and active.", "The route is dropped due to the VPC exceeding the dynamic route limit. For dynamic route limit, please refer to the Learned route example", "This route is processed but inactive due to failure from the backend. The backend may have rejected the route", "This route is being processed internally. The status will change once processed." ], "type": "string", "enum": [ "ACTIVE", "DROPPED", "INACTIVE", "PENDING" ] }, "nextHopGateway": { "type": "string", "description": "The URL to a gateway that should handle matching packets. You can only specify the internet gateway using a full or partial valid URL: projects/ project/global/gateways/default-internet-gateway" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.routes.insert" ] } }, "nextHopIlb": { "description": "The URL to a forwarding rule of type loadBalancingScheme=INTERNAL that should handle matching packets or the IP address of the forwarding Rule. For example, the following are all valid URLs: - 10.128.0.56 - https://www.googleapis.com/compute/v1/projects/project/regions/region /forwardingRules/forwardingRule - regions/region/forwardingRules/forwardingRule ", "type": "string" } }, "description": "Represents a Route resource. A route defines a path from VM instances in the VPC network to a specific destination. This destination can be inside or outside the VPC network. For more information, read the Routes overview.", "type": "object", "id": "Route" }, "ProjectsListXpnHostsRequest": { "properties": { "organization": { "description": "Optional organization ID managed by Cloud Resource Manager, for which to list shared VPC host projects. If not specified, the organization will be inferred from the project.", "type": "string" } }, "id": "ProjectsListXpnHostsRequest", "type": "object" }, "NetworkEndpointGroupsAttachEndpointsRequest": { "properties": { "networkEndpoints": { "type": "array", "description": "The list of network endpoints to be attached.", "items": { "$ref": "NetworkEndpoint" } } }, "type": "object", "id": "NetworkEndpointGroupsAttachEndpointsRequest" }, "RouterNatRuleAction": { "id": "RouterNatRuleAction", "type": "object", "properties": { "sourceNatDrainIps": { "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT rule only. This field is used for public NAT.", "type": "array", "items": { "type": "string" } }, "sourceNatActiveIps": { "items": { "type": "string" }, "description": "A list of URLs of the IP resources used for this NAT rule. These IP addresses must be valid static external IP addresses assigned to the project. This field is used for public NAT.", "type": "array" } } }, "BackendService": { "properties": { "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "securitySettings": { "$ref": "SecuritySettings", "description": "This field specifies the security settings that apply to this backend service. This field is applicable to a global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED." }, "serviceBindings": { "items": { "type": "string" }, "type": "array", "description": "URLs of networkservices.ServiceBinding resources. Can only be set if load balancing scheme is INTERNAL_SELF_MANAGED. If set, lists of backends and health checks must be both empty." }, "protocol": { "type": "string", "description": "The protocol this BackendService uses to communicate with backends. Possible values are HTTP, HTTPS, HTTP2, TCP, SSL, UDP or GRPC. depending on the chosen load balancer or Traffic Director configuration. Refer to the documentation for the load balancers or for Traffic Director for more information. Must be set to GRPC when the backend service is referenced by a URL map that is bound to target gRPC proxy.", "enum": [ "GRPC", "HTTP", "HTTP2", "HTTPS", "SSL", "TCP", "UDP", "UNSPECIFIED" ], "enumDescriptions": [ "gRPC (available for Traffic Director).", "", "HTTP/2 with SSL.", "", "TCP proxying with SSL.", "TCP proxying or TCP pass-through.", "UDP.", "If a Backend Service has UNSPECIFIED as its protocol, it can be used with any L3/L4 Forwarding Rules." ] }, "network": { "type": "string", "description": "The URL of the network to which this backend service belongs. This field can only be specified when the load balancing scheme is set to INTERNAL." }, "circuitBreakers": { "$ref": "CircuitBreakers" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "portName": { "description": "A named port on a backend instance group representing the port for communication to the backend VMs in that group. The named port must be [defined on each backend instance group](https://cloud.google.com/load-balancing/docs/backend-service#named_ports). This parameter has no meaning if the backends are NEGs. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port_name.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional backend service resides. This field is not applicable to global backend services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "securityPolicy": { "description": "[Output Only] The resource URL for the security policy associated with this backend service.", "type": "string" }, "enableCDN": { "description": "If true, enables Cloud CDN for the backend service of an external HTTP(S) load balancer.", "type": "boolean" }, "timeoutSec": { "type": "integer", "format": "int32", "description": "The backend service timeout has a different meaning depending on the type of load balancer. For more information see, Backend service settings. The default is 30 seconds. The full range of timeout values allowed goes from 1 through 2,147,483,647 seconds. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. Instead, use maxStreamDuration." }, "logConfig": { "$ref": "BackendServiceLogConfig", "description": "This field denotes the logging options for the load balancer traffic served by this backend service. If logging is enabled, logs will be exported to Stackdriver." }, "loadBalancingScheme": { "enumDescriptions": [ "Signifies that this will be used for external HTTP(S), SSL Proxy, TCP Proxy, or Network Load Balancing", "Signifies that this will be used for External Managed HTTP(S) Load Balancing.", "Signifies that this will be used for Internal TCP/UDP Load Balancing.", "Signifies that this will be used for Internal HTTP(S) Load Balancing.", "Signifies that this will be used by Traffic Director.", "" ], "type": "string", "description": "Specifies the load balancer type. A backend service created for one type of load balancer cannot be used with another. For more information, refer to Choosing a load balancer.", "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID_LOAD_BALANCING_SCHEME" ] }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "connectionTrackingPolicy": { "$ref": "BackendServiceConnectionTrackingPolicy", "description": "Connection Tracking configuration for this BackendService. Connection tracking policy settings are only available for Network Load Balancing and Internal TCP/UDP Load Balancing." }, "edgeSecurityPolicy": { "description": "[Output Only] The resource URL for the edge security policy associated with this backend service.", "type": "string" }, "failoverPolicy": { "$ref": "BackendServiceFailoverPolicy", "description": "Requires at least one backend instance group to be defined as a backup (failover) backend. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview)." }, "localityLbPolicy": { "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN", "WEIGHTED_MAGLEV" ], "type": "string", "description": "The load balancing algorithm used within the scope of the locality. The possible values are: - ROUND_ROBIN: This is a simple policy in which each healthy backend is selected in round robin order. This is the default. - LEAST_REQUEST: An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests. - RING_HASH: The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests. - RANDOM: The load balancer selects a random healthy host. - ORIGINAL_DESTINATION: Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer. - MAGLEV: used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824 This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. If sessionAffinity is not NONE, and this field is not set to MAGLEV or RING_HASH, session affinity settings will not take effect. Only ROUND_ROBIN and RING_HASH are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default.", "Per-instance weighted Load Balancing via health check reported weights. If set, the Backend Service must configure a non legacy HTTP-based Health Check, and health check replies are expected to contain non-standard HTTP response header field X-Load-Balancing-Endpoint-Weight to specify the per-instance weights. If set, Load Balancing is weighted based on the per-instance weights reported in the last processed health check replies, as long as every instance either reported a valid weight or had UNAVAILABLE_WEIGHT. Otherwise, Load Balancing remains equal-weight. This option is only supported in Network Load Balancing." ] }, "consistentHash": { "description": "Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service. This field specifies parameters that control consistent hashing. This field is only applicable when localityLbPolicy is set to MAGLEV or RING_HASH. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. ", "$ref": "ConsistentHashLoadBalancerSettings" }, "customRequestHeaders": { "description": "Headers that the load balancer adds to proxied requests. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).", "type": "array", "items": { "type": "string" } }, "affinityCookieTtlSec": { "format": "int32", "description": "Lifetime of cookies in seconds. This setting is applicable to external and internal HTTP(S) load balancers and Traffic Director and requires GENERATED_COOKIE or HTTP_COOKIE session affinity. If set to 0, the cookie is non-persistent and lasts only until the end of the browser session (or equivalent). The maximum allowed value is two weeks (1,209,600). Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "type": "integer" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "cdnPolicy": { "$ref": "BackendServiceCdnPolicy", "description": "Cloud CDN configuration for this BackendService. Only available for specified load balancer types." }, "kind": { "type": "string", "default": "compute#backendService", "description": "[Output Only] Type of resource. Always compute#backendService for backend services." }, "iap": { "description": "The configurations for Identity-Aware Proxy on this resource. Not available for Internal TCP/UDP Load Balancing and Network Load Balancing.", "$ref": "BackendServiceIAP" }, "compressionMode": { "description": "Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header.", "enumDescriptions": [ "Automatically uses the best compression based on the Accept-Encoding header sent by the client.", "Disables compression. Existing compressed responses cached by Cloud CDN will not be served to clients." ], "type": "string", "enum": [ "AUTOMATIC", "DISABLED" ] }, "port": { "format": "int32", "type": "integer", "description": "Deprecated in favor of portName. The TCP port to connect on the backend. The default value is 80. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port." }, "localityLbPolicies": { "items": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfig" }, "description": "A list of locality load balancing policies to be used in order of preference. Either the policy or the customPolicy field should be set. Overrides any value set in the localityLbPolicy field. localityLbPolicies is only supported when the BackendService is referenced by a URL Map that is referenced by a target gRPC proxy that has the validateForProxyless field set to true.", "type": "array" }, "maxStreamDuration": { "$ref": "Duration", "description": "Specifies the default maximum duration (timeout) for streams to this service. Duration is computed from the beginning of the stream until the response has been completely processed, including all retries. A stream that does not complete in this duration is closed. If not specified, there will be no timeout limit, i.e. the maximum duration is infinite. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. This field is only allowed when the loadBalancingScheme of the backend service is INTERNAL_SELF_MANAGED." }, "backends": { "items": { "$ref": "Backend" }, "type": "array", "description": "The list of backends that serve this BackendService." }, "subsetting": { "$ref": "Subsetting" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a BackendService. An up-to-date fingerprint must be provided in order to update the BackendService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a BackendService." }, "sessionAffinity": { "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ], "type": "string", "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ], "description": "Type of session affinity to use. The default is NONE. Only NONE and HEADER_FIELD are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. For more details, see: [Session Affinity](https://cloud.google.com/load-balancing/docs/backend-service#session_affinity)." }, "outlierDetection": { "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service. If not set, this feature is considered disabled. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "$ref": "OutlierDetection" }, "connectionDraining": { "$ref": "ConnectionDraining" }, "customResponseHeaders": { "items": { "type": "string" }, "type": "array", "description": "Headers that the load balancer adds to proxied responses. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers)." }, "healthChecks": { "items": { "type": "string" }, "description": "The list of URLs to the healthChecks, httpHealthChecks (legacy), or httpsHealthChecks (legacy) resource for health checking this backend service. Not all backend services support legacy health checks. See Load balancer guide. Currently, at most one health check can be specified for each backend service. Backend services with instance group or zonal NEG backends must have a health check. Backend services with internet or serverless NEG backends must not have a health check.", "type": "array" } }, "description": "Represents a Backend Service resource. A backend service defines how Google Cloud load balancers distribute traffic. The backend service configuration contains a set of values, such as the protocol used to connect to backends, various distribution and session settings, health checks, and timeouts. These settings provide fine-grained control over how your load balancer behaves. Most of the settings have default values that allow for easy configuration if you need to get started quickly. Backend services in Google Compute Engine can be either regionally or globally scoped. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/beta/backendServices) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/beta/regionBackendServices) For more information, see Backend Services.", "type": "object", "id": "BackendService" }, "FirewallPolicyRuleMatcherLayer4Config": { "id": "FirewallPolicyRuleMatcherLayer4Config", "type": "object", "properties": { "ipProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number." }, "ports": { "items": { "type": "string" }, "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "type": "array" } } }, "InterconnectOutageNotification": { "id": "InterconnectOutageNotification", "description": "Description of a planned outage on this Interconnect.", "type": "object", "properties": { "description": { "type": "string", "description": "A description about the purpose of the outage." }, "name": { "type": "string", "description": "Unique identifier for this outage notification." }, "affectedCircuits": { "description": "If issue_type is IT_PARTIAL_OUTAGE, a list of the Google-side circuit IDs that will be affected.", "type": "array", "items": { "type": "string" } }, "state": { "enumDescriptions": [ "This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "The outage associated with this notification was cancelled before the outage was due to start.", "The outage associated with this notification is complete.", "[Deprecated] This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "[Deprecated] The outage associated with this notification was canceled before the outage was due to start." ], "enum": [ "ACTIVE", "CANCELLED", "COMPLETED", "NS_ACTIVE", "NS_CANCELED" ], "type": "string", "description": "State of this notification, which can take one of the following values: - ACTIVE: This outage notification is active. The event could be in the past, present, or future. See start_time and end_time for scheduling. - CANCELLED: The outage associated with this notification was cancelled before the outage was due to start. - COMPLETED: The outage associated with this notification is complete. Note that the versions of this enum prefixed with \"NS_\" have been deprecated in favor of the unprefixed values." }, "source": { "enumDescriptions": [ "This notification was generated by Google.", "[Deprecated] This notification was generated by Google." ], "description": "The party that generated this notification, which can take the following value: - GOOGLE: this notification as generated by Google. Note that the value of NSRC_GOOGLE has been deprecated in favor of GOOGLE.", "enum": [ "GOOGLE", "NSRC_GOOGLE" ], "type": "string" }, "issueType": { "description": "Form this outage is expected to take, which can take one of the following values: - OUTAGE: The Interconnect may be completely out of service for some or all of the specified window. - PARTIAL_OUTAGE: Some circuits comprising the Interconnect as a whole should remain up, but with reduced bandwidth. Note that the versions of this enum prefixed with \"IT_\" have been deprecated in favor of the unprefixed values.", "enumDescriptions": [ "[Deprecated] The Interconnect may be completely out of service for some or all of the specified window.", "[Deprecated] Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth.", "The Interconnect may be completely out of service for some or all of the specified window.", "Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth." ], "enum": [ "IT_OUTAGE", "IT_PARTIAL_OUTAGE", "OUTAGE", "PARTIAL_OUTAGE" ], "type": "string" }, "endTime": { "description": "Scheduled end time for the outage (milliseconds since Unix epoch).", "format": "int64", "type": "string" }, "startTime": { "description": "Scheduled start time for the outage (milliseconds since Unix epoch).", "format": "int64", "type": "string" } } }, "InstanceProperties": { "properties": { "guestAccelerators": { "type": "array", "description": "A list of guest accelerator cards' type and count to use for instances created from these properties.", "items": { "$ref": "AcceleratorConfig" } }, "machineType": { "type": "string", "annotations": { "required": [ "compute.instanceTemplates.insert" ] }, "description": "The machine type to use for instances that are created from these properties." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels to apply to instances that are created from these properties." }, "shieldedInstanceConfig": { "description": "Note that for MachineImage, this is not supported yet.", "$ref": "ShieldedInstanceConfig" }, "metadata": { "description": "The metadata key/value pairs to assign to instances that are created from these properties. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.", "$ref": "Metadata" }, "reservationAffinity": { "description": "Specifies the reservations that instances can consume from. Note that for MachineImage, this is not supported yet.", "$ref": "ReservationAffinity" }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig", "description": "Note that for MachineImage, this is not supported yet." }, "privateIpv6GoogleAccess": { "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ], "type": "string", "description": "The private IPv6 google access type for VMs. If not specified, use INHERIT_FROM_SUBNETWORK as default. Note that for MachineImage, this is not supported yet.", "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ] }, "description": { "description": "An optional text description for the instances that are created from these properties.", "type": "string" }, "advancedMachineFeatures": { "description": "Controls for advanced machine-related behavior features. Note that for MachineImage, this is not supported yet.", "$ref": "AdvancedMachineFeatures" }, "minCpuPlatform": { "description": "Minimum cpu/platform to be used by instances. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.", "type": "string" }, "postKeyRevocationActionType": { "type": "string", "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ], "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ], "description": "PostKeyRevocationActionType of the instance." }, "confidentialInstanceConfig": { "description": "Specifies the Confidential Instance options. Note that for MachineImage, this is not supported yet.", "$ref": "ConfidentialInstanceConfig" }, "tags": { "description": "A list of tags to apply to the instances that are created from these properties. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035.", "$ref": "Tags" }, "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies (names, not URLs) applied to instances created from these properties. Note that for MachineImage, this is not supported yet." }, "serviceAccounts": { "items": { "$ref": "ServiceAccount" }, "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from these properties. Use metadata queries to obtain the access tokens for these instances.", "type": "array" }, "disks": { "items": { "$ref": "AttachedDisk" }, "type": "array", "description": "An array of disks that are associated with the instances that are created from these properties." }, "keyRevocationActionType": { "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "type": "string", "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ] }, "displayDevice": { "description": "Display Device properties to enable support for remote display products like: Teradici, VNC and TeamViewer Note that for MachineImage, this is not supported yet.", "$ref": "DisplayDevice" }, "shieldedVmConfig": { "description": "Specifies the Shielded VM options for the instances that are created from these properties.", "$ref": "ShieldedVmConfig" }, "networkInterfaces": { "items": { "$ref": "NetworkInterface" }, "description": "An array of network access configurations for this interface.", "type": "array" }, "resourceManagerTags": { "additionalProperties": { "type": "string" }, "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty.", "type": "object" }, "scheduling": { "description": "Specifies the scheduling options for the instances that are created from these properties.", "$ref": "Scheduling" }, "canIpForward": { "description": "Enables instances created based on these properties to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information.", "type": "boolean" } }, "type": "object", "id": "InstanceProperties" }, "RegionAutoscalerList": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "Autoscaler" }, "description": "A list of Autoscaler resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#regionAutoscalerList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } } }, "id": "RegionAutoscalerList", "description": "Contains a list of autoscalers." }, "SubnetworkList": { "properties": { "items": { "type": "array", "items": { "$ref": "Subnetwork" }, "description": "A list of Subnetwork resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#subnetworkList for lists of subnetworks.", "default": "compute#subnetworkList", "type": "string" } }, "description": "Contains a list of Subnetwork resources.", "id": "SubnetworkList", "type": "object" }, "SecurityPoliciesScopedList": { "type": "object", "id": "SecurityPoliciesScopedList", "properties": { "securityPolicies": { "items": { "$ref": "SecurityPolicy" }, "description": "A list of SecurityPolicies contained in this scope.", "type": "array" }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "description": "Informational warning which replaces the list of security policies when the list is empty.", "type": "object" } } }, "InstanceGroupManagersListErrorsResponse": { "type": "object", "id": "InstanceGroupManagersListErrorsResponse", "properties": { "items": { "description": "[Output Only] The list of errors of the managed instance group.", "items": { "$ref": "InstanceManagedByIgmError" }, "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "SecurityPolicyAssociation": { "properties": { "name": { "description": "The name for an association.", "type": "string" }, "attachmentId": { "description": "The resource that the security policy is attached to.", "type": "string" }, "securityPolicyId": { "type": "string", "description": "[Output Only] The security policy ID of the association." }, "displayName": { "type": "string", "description": "[Output Only] The display name of the security policy of the association." } }, "type": "object", "id": "SecurityPolicyAssociation" }, "InstanceGroupManagersUpdatePerInstanceConfigsReq": { "id": "InstanceGroupManagersUpdatePerInstanceConfigsReq", "properties": { "perInstanceConfigs": { "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "items": { "$ref": "PerInstanceConfig" }, "type": "array" } }, "description": "InstanceGroupManagers.updatePerInstanceConfigs", "type": "object" }, "AutoscalerStatusDetails": { "id": "AutoscalerStatusDetails", "properties": { "type": { "description": "The type of error, warning, or notice returned. Current set of possible values: - ALL_INSTANCES_UNHEALTHY (WARNING): All instances in the instance group are unhealthy (not in RUNNING state). - BACKEND_SERVICE_DOES_NOT_EXIST (ERROR): There is no backend service attached to the instance group. - CAPPED_AT_MAX_NUM_REPLICAS (WARNING): Autoscaler recommends a size greater than maxNumReplicas. - CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE (WARNING): The custom metric samples are not exported often enough to be a credible base for autoscaling. - CUSTOM_METRIC_INVALID (ERROR): The custom metric that was specified does not exist or does not have the necessary labels. - MIN_EQUALS_MAX (WARNING): The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group. - MISSING_CUSTOM_METRIC_DATA_POINTS (WARNING): The autoscaler did not receive any data from the custom metric configured for autoscaling. - MISSING_LOAD_BALANCING_DATA_POINTS (WARNING): The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer. - MODE_OFF (WARNING): Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved. - MODE_ONLY_UP (WARNING): Autoscaling is in the \"Autoscale only out\" mode. The autoscaler can add instances but not remove any. - MORE_THAN_ONE_BACKEND_SERVICE (ERROR): The instance group cannot be autoscaled because it has more than one backend service attached to it. - NOT_ENOUGH_QUOTA_AVAILABLE (ERROR): There is insufficient quota for the necessary resources, such as CPU or number of instances. - REGION_RESOURCE_STOCKOUT (ERROR): Shown only for regional autoscalers: there is a resource stockout in the chosen region. - SCALING_TARGET_DOES_NOT_EXIST (ERROR): The target to be scaled does not exist. - UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION (ERROR): Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate. - ZONE_RESOURCE_STOCKOUT (ERROR): For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout. New values might be added in the future. Some of the values might not be available in all API versions.", "enumDescriptions": [ "All instances in the instance group are unhealthy (not in RUNNING state).", "There is no backend service attached to the instance group.", "Autoscaler recommends a size greater than maxNumReplicas.", "The custom metric samples are not exported often enough to be a credible base for autoscaling.", "The custom metric that was specified does not exist or does not have the necessary labels.", "The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group.", "The autoscaler did not receive any data from the custom metric configured for autoscaling.", "The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer.", "Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved.", "Autoscaling is in the \"Autoscale only scale out\" mode. Instances in the group will be only added.", "Autoscaling is in the \"Autoscale only out\" mode. Instances in the group will be only added.", "The instance group cannot be autoscaled because it has more than one backend service attached to it.", "There is insufficient quota for the necessary resources, such as CPU or number of instances.", "Showed only for regional autoscalers: there is a resource stockout in the chosen region.", "The target to be scaled does not exist.", "For some scaling schedules minRequiredReplicas is greater than maxNumReplicas. Autoscaler always recommends at most maxNumReplicas instances.", "For some scaling schedules minRequiredReplicas is less than minNumReplicas. Autoscaler always recommends at least minNumReplicas instances.", "", "Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate.", "For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout." ], "enum": [ "ALL_INSTANCES_UNHEALTHY", "BACKEND_SERVICE_DOES_NOT_EXIST", "CAPPED_AT_MAX_NUM_REPLICAS", "CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE", "CUSTOM_METRIC_INVALID", "MIN_EQUALS_MAX", "MISSING_CUSTOM_METRIC_DATA_POINTS", "MISSING_LOAD_BALANCING_DATA_POINTS", "MODE_OFF", "MODE_ONLY_SCALE_OUT", "MODE_ONLY_UP", "MORE_THAN_ONE_BACKEND_SERVICE", "NOT_ENOUGH_QUOTA_AVAILABLE", "REGION_RESOURCE_STOCKOUT", "SCALING_TARGET_DOES_NOT_EXIST", "SCHEDULED_INSTANCES_GREATER_THAN_AUTOSCALER_MAX", "SCHEDULED_INSTANCES_LESS_THAN_AUTOSCALER_MIN", "UNKNOWN", "UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION", "ZONE_RESOURCE_STOCKOUT" ], "type": "string" }, "message": { "type": "string", "description": "The status message." } }, "type": "object" }, "TargetInstance": { "type": "object", "id": "TargetInstance", "description": "Represents a Target Instance resource. You can use a target instance to handle traffic for one or more forwarding rules, which is ideal for forwarding protocol traffic that is managed by a single source. For example, ESP, AH, TCP, or UDP. For more information, read Target instances.", "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "default": "compute#targetInstance", "description": "[Output Only] The type of the resource. Always compute#targetInstance for target instances.", "type": "string" }, "instance": { "description": "A URL to the virtual machine instance that handles traffic for this target instance. When creating a target instance, you can provide the fully-qualified URL or a valid partial URL to the desired virtual machine. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance ", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the target instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "natPolicy": { "enumDescriptions": [ "No NAT performed." ], "type": "string", "enum": [ "NO_NAT" ], "description": "NAT option controlling how IPs are NAT'ed to the instance. Currently only NO_NAT (default value) is supported." }, "network": { "description": "The URL of the network this target instance uses to forward traffic. If not specified, the traffic will be forwarded to the network that the default network interface belongs to.", "type": "string" } } }, "UrlMapList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#urlMapList" }, "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "UrlMap" }, "description": "A list of UrlMap resources.", "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "UrlMapList", "type": "object", "description": "Contains a list of UrlMap resources." }, "Firewall": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "targetTags": { "items": { "type": "string" }, "type": "array", "description": "A list of tags that controls which instances the firewall rule applies to. If targetTags are specified, then the firewall rule applies only to instances in the VPC network that have one of those tags. If no targetTags are specified, the firewall rule applies to all instances on the specified network." }, "enableLogging": { "description": "Deprecated in favor of enable in LogConfig. This field denotes whether to enable logging for a particular firewall rule. If logging is enabled, logs will be exported t Cloud Logging.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "network": { "description": "URL of the network resource for this firewall rule. If not specified when creating a firewall rule, the default network is used: global/networks/default If you choose to specify this field, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/myproject/global/networks/my-network - projects/myproject/global/networks/my-network - global/networks/default ", "type": "string" }, "allowed": { "description": "The list of ALLOW rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.", "items": { "type": "object", "properties": { "ports": { "type": "array", "items": { "type": "string" }, "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]." }, "IPProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number." } } }, "type": "array" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "kind": { "type": "string", "default": "compute#firewall", "description": "[Output Only] Type of the resource. Always compute#firewall for firewall rules." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.firewalls.insert", "compute.firewalls.patch" ] }, "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit." }, "direction": { "description": "Direction of traffic to which this firewall applies, either `INGRESS` or `EGRESS`. The default is `INGRESS`. For `INGRESS` traffic, you cannot specify the destinationRanges field, and for `EGRESS` traffic, you cannot specify the sourceRanges or sourceTags fields.", "enumDescriptions": [ "Indicates that firewall should apply to outgoing traffic.", "Indicates that firewall should apply to incoming traffic." ], "type": "string", "enum": [ "EGRESS", "INGRESS" ] }, "sourceServiceAccounts": { "description": "If source service accounts are specified, the firewall rules apply only to traffic originating from an instance with a service account in this list. Source service accounts cannot be used to control traffic to an instance's external IP address because service accounts are associated with an instance, not an IP address. sourceRanges can be set at the same time as sourceServiceAccounts. If both are set, the firewall applies to traffic that has a source IP address within the sourceRanges OR a source IP that belongs to an instance with service account listed in sourceServiceAccount. The connection does not need to match both fields for the firewall to apply. sourceServiceAccounts cannot be used at the same time as sourceTags or targetTags.", "type": "array", "items": { "type": "string" } }, "destinationRanges": { "items": { "type": "string" }, "description": "If destination ranges are specified, the firewall rule applies only to traffic that has destination IP address in these ranges. These ranges must be expressed in CIDR format. Both IPv4 and IPv6 are supported.", "type": "array" }, "priority": { "format": "int32", "type": "integer", "description": "Priority for this rule. This is an integer between `0` and `65535`, both inclusive. The default value is `1000`. Relative priorities determine which rule takes effect if multiple rules apply. Lower values indicate higher priority. For example, a rule with priority `0` has higher precedence than a rule with priority `1`. DENY rules take precedence over ALLOW rules if they have equal priority. Note that VPC networks have implied rules with a priority of `65535`. To avoid conflicts with the implied rules, use a priority number less than `65535`." }, "sourceRanges": { "description": "If source ranges are specified, the firewall rule applies only to traffic that has a source IP address in these ranges. These ranges must be expressed in CIDR format. One or both of sourceRanges and sourceTags may be set. If both fields are set, the rule applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the rule to apply. Both IPv4 and IPv6 are supported.", "items": { "type": "string" }, "type": "array" }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "sourceTags": { "description": "If source tags are specified, the firewall rule applies only to traffic with source IPs that match the primary network interfaces of VM instances that have the tag and are in the same VPC network. Source tags cannot be used to control traffic to an instance's external IP address, it only applies to traffic between instances in the same virtual network. Because tags are associated with instances, not IP addresses. One or both of sourceRanges and sourceTags may be set. If both fields are set, the firewall applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the firewall to apply.", "items": { "type": "string" }, "type": "array" }, "denied": { "type": "array", "description": "The list of DENY rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a denied connection.", "items": { "type": "object", "properties": { "ports": { "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "items": { "type": "string" }, "type": "array" }, "IPProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number." } } } }, "disabled": { "description": "Denotes whether the firewall rule is disabled. When set to true, the firewall rule is not enforced and the network behaves as if it did not exist. If this is unspecified, the firewall rule will be enabled.", "type": "boolean" }, "targetServiceAccounts": { "items": { "type": "string" }, "description": "A list of service accounts indicating sets of instances located in the network that may make network connections as specified in allowed[]. targetServiceAccounts cannot be used at the same time as targetTags or sourceTags. If neither targetServiceAccounts nor targetTags are specified, the firewall rule applies to all instances on the specified network.", "type": "array" }, "logConfig": { "$ref": "FirewallLogConfig", "description": "This field denotes the logging options for a particular firewall rule. If logging is enabled, logs will be exported to Cloud Logging." } }, "id": "Firewall", "description": "Represents a Firewall Rule resource. Firewall rules allow or deny ingress traffic to, and egress traffic from your instances. For more information, read Firewall rules.", "type": "object" }, "RouterNatRule": { "properties": { "action": { "$ref": "RouterNatRuleAction", "description": "The action to be enforced for traffic that matches this rule." }, "ruleNumber": { "description": "An integer uniquely identifying a rule in the list. The rule number must be a positive value between 0 and 65000, and must be unique among rules within a NAT.", "format": "uint32", "type": "integer" }, "match": { "type": "string", "description": "CEL expression that specifies the match condition that egress traffic from a VM is evaluated against. If it evaluates to true, the corresponding `action` is enforced. The following examples are valid match expressions for public NAT: \"inIpRange(destination.ip, '1.1.0.0/16') || inIpRange(destination.ip, '2.2.0.0/16')\" \"destination.ip == '1.1.0.1' || destination.ip == '8.8.8.8'\" The following example is a valid match expression for private NAT: \"nexthop.hub == 'https://networkconnectivity.googleapis.com/v1alpha1/projects/my-project/global/hub/hub-1'\"" }, "description": { "type": "string", "description": "An optional description of this rule." } }, "id": "RouterNatRule", "type": "object" }, "TargetPoolAggregatedList": { "id": "TargetPoolAggregatedList", "type": "object", "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetPoolAggregatedList for aggregated lists of target pools.", "type": "string", "default": "compute#targetPoolAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of target pools.", "$ref": "TargetPoolsScopedList" }, "description": "A list of TargetPool resources.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." } } }, "InstanceReference": { "properties": { "instance": { "description": "The URL for a specific instance. @required compute.instancegroups.addInstances/removeInstances", "type": "string" } }, "type": "object", "id": "InstanceReference" }, "AutoscalerList": { "description": "Contains a list of Autoscaler resources.", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "default": "compute#autoscalerList", "description": "[Output Only] Type of resource. Always compute#autoscalerList for lists of autoscalers.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of Autoscaler resources.", "items": { "$ref": "Autoscaler" }, "type": "array" } }, "id": "AutoscalerList", "type": "object" }, "ManagedInstanceInstanceHealth": { "properties": { "healthCheck": { "type": "string", "description": "[Output Only] The URL for the health check that verifies whether the instance is healthy." }, "detailedHealthState": { "description": "[Output Only] The current detailed instance health state.", "enumDescriptions": [ "The instance is being drained. The existing connections to the instance have time to complete, but the new ones are being refused.", "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is unreachable i.e. a connection to the application health checking endpoint cannot be established, or the server does not respond within the specified timeout.", "The instance is reachable, but does not conform to the requirements defined by the health check.", "The health checking system is aware of the instance but its health is not known at the moment." ], "enum": [ "DRAINING", "HEALTHY", "TIMEOUT", "UNHEALTHY", "UNKNOWN" ], "type": "string" } }, "id": "ManagedInstanceInstanceHealth", "type": "object" }, "VpnTunnelsScopedList": { "properties": { "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "vpnTunnels": { "description": "A list of VPN tunnels contained in this scope.", "items": { "$ref": "VpnTunnel" }, "type": "array" } }, "id": "VpnTunnelsScopedList", "type": "object" }, "RouteList": { "id": "RouteList", "description": "Contains a list of Route resources.", "type": "object", "properties": { "items": { "type": "array", "description": "A list of Route resources.", "items": { "$ref": "Route" } }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#routeList" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } } } }, "LicensesListResponse": { "type": "object", "id": "LicensesListResponse", "properties": { "items": { "items": { "$ref": "License" }, "description": "A list of License resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } }, "description": "[Output Only] Informational warning message." } } }, "HTTPSHealthCheck": { "id": "HTTPSHealthCheck", "properties": { "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "type": "string" }, "port": { "format": "int32", "type": "integer", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535." }, "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTPS health check follows behavior specified in port and portName fields.", "type": "string" }, "host": { "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used.", "type": "string" }, "requestPath": { "type": "string", "description": "The request path of the HTTPS health check request. The default value is /." }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." } }, "type": "object" }, "HttpsHealthCheckList": { "type": "object", "properties": { "kind": { "type": "string", "default": "compute#httpsHealthCheckList", "description": "Type of resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "HttpsHealthCheck" }, "type": "array", "description": "A list of HttpsHealthCheck resources." } }, "description": "Contains a list of HttpsHealthCheck resources.", "id": "HttpsHealthCheckList" }, "MachineTypesScopedList": { "id": "MachineTypesScopedList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] An informational warning that appears when the machine types list is empty." }, "machineTypes": { "items": { "$ref": "MachineType" }, "type": "array", "description": "[Output Only] A list of machine types contained in this scope." } } }, "NotificationEndpointGrpcSettings": { "properties": { "resendInterval": { "$ref": "Duration", "description": "Optional. This field is used to configure how often to send a full update of all non-healthy backends. If unspecified, full updates are not sent. If specified, must be in the range between 600 seconds to 3600 seconds. Nanos are disallowed." }, "endpoint": { "description": "Endpoint to which gRPC notifications are sent. This must be a valid gRPCLB DNS name.", "type": "string" }, "payloadName": { "description": "Optional. If specified, this field is used to populate the \"name\" field in gRPC requests.", "type": "string" }, "retryDurationSec": { "type": "integer", "description": "How much time (in seconds) is spent attempting notification retries until a successful response is received. Default is 30s. Limit is 20m (1200s). Must be a positive number.", "format": "uint32" }, "authority": { "description": "Optional. If specified, this field is used to set the authority header by the sender of notifications. See https://tools.ietf.org/html/rfc7540#section-8.1.2.3", "type": "string" } }, "id": "NotificationEndpointGrpcSettings", "description": "Represents a gRPC setting that describes one gRPC notification endpoint and the retry duration attempting to send notification to this endpoint.", "type": "object" }, "InterconnectAttachmentList": { "description": "Response to the list request, and contains a list of interconnect attachments.", "id": "InterconnectAttachmentList", "properties": { "kind": { "default": "compute#interconnectAttachmentList", "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentList for lists of interconnect attachments." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "array", "items": { "$ref": "InterconnectAttachment" }, "description": "A list of InterconnectAttachment resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object" }, "VpnGateway": { "id": "VpnGateway", "description": "Represents a HA VPN gateway. HA VPN is a high-availability (HA) Cloud VPN solution that lets you securely connect your on-premises network to your Google Cloud Virtual Private Cloud network through an IPsec VPN connection in a single region. For more information about Cloud HA VPN solutions, see Cloud VPN topologies .", "properties": { "vpnInterfaces": { "description": "The list of VPN interfaces associated with this VPN gateway.", "type": "array", "items": { "$ref": "VpnGatewayVpnGatewayInterface" } }, "region": { "description": "[Output Only] URL of the region where the VPN gateway resides.", "type": "string" }, "network": { "annotations": { "required": [ "compute.vpnGateways.insert" ] }, "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "stackType": { "type": "string", "description": "The stack type for this VPN gateway to identify the IP protocols that are enabled. If not specified, IPV4_ONLY will be used.", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "Enable VPN gateway with both IPv4 and IPv6 protocols.", "Enable VPN gateway with only IPv4 protocol." ] }, "kind": { "default": "compute#vpnGateway", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.vpnGateways.insert" ] } }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this VpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an VpnGateway." } }, "type": "object" }, "Uint128": { "properties": { "low": { "type": "string", "format": "uint64" }, "high": { "type": "string", "format": "uint64" } }, "type": "object", "id": "Uint128" }, "AutoscalingPolicy": { "description": "Cloud Autoscaler policy.", "id": "AutoscalingPolicy", "type": "object", "properties": { "customMetricUtilizations": { "type": "array", "items": { "$ref": "AutoscalingPolicyCustomMetricUtilization" }, "description": "Configuration parameters of autoscaling based on a custom metric." }, "mode": { "type": "string", "enum": [ "OFF", "ON", "ONLY_SCALE_OUT", "ONLY_UP" ], "enumDescriptions": [ "Do not automatically scale the MIG in or out. The recommended_size field contains the size of MIG that would be set if the actuation mode was enabled.", "Automatically scale the MIG in and out according to the policy.", "Automatically create VMs according to the policy, but do not scale the MIG in.", "Automatically create VMs according to the policy, but do not scale the MIG in." ], "description": "Defines operating mode for this policy." }, "maxNumReplicas": { "type": "integer", "description": "The maximum number of instances that the autoscaler can scale out to. This is required when creating or updating an autoscaler. The maximum number of replicas must not be lower than minimal number of replicas.", "format": "int32" }, "cpuUtilization": { "$ref": "AutoscalingPolicyCpuUtilization", "description": "Defines the CPU utilization policy that allows the autoscaler to scale based on the average CPU utilization of a managed instance group." }, "coolDownPeriodSec": { "type": "integer", "format": "int32", "description": "The number of seconds that the autoscaler waits before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. The default time autoscaler waits is 60 seconds. Virtual machine initialization times might vary because of numerous factors. We recommend that you test how long an instance may take to initialize. To do this, create an instance and time the startup process." }, "scaleInControl": { "$ref": "AutoscalingPolicyScaleInControl" }, "minNumReplicas": { "description": "The minimum number of replicas that the autoscaler can scale in to. This cannot be less than 0. If not provided, autoscaler chooses a default value depending on maximum number of instances allowed.", "format": "int32", "type": "integer" }, "loadBalancingUtilization": { "description": "Configuration parameters of autoscaling based on load balancer.", "$ref": "AutoscalingPolicyLoadBalancingUtilization" }, "scaleDownControl": { "$ref": "AutoscalingPolicyScaleDownControl" }, "scalingSchedules": { "description": "Scaling schedules defined for an autoscaler. Multiple schedules can be set on an autoscaler, and they can overlap. During overlapping periods the greatest min_required_replicas of all scaling schedules is applied. Up to 128 scaling schedules are allowed.", "additionalProperties": { "$ref": "AutoscalingPolicyScalingSchedule" }, "type": "object" } } }, "ShieldedVmIdentity": { "type": "object", "properties": { "encryptionKey": { "description": "An Endorsement Key (EK) issued to the Shielded VM's vTPM.", "$ref": "ShieldedVmIdentityEntry" }, "signingKey": { "description": "An Attestation Key (AK) issued to the Shielded VM's vTPM.", "$ref": "ShieldedVmIdentityEntry" }, "kind": { "default": "compute#shieldedVmIdentity", "type": "string", "description": "[Output Only] Type of the resource. Always compute#shieldedVmIdentity for shielded VM identity entry." } }, "id": "ShieldedVmIdentity", "description": "A Shielded VM Identity." }, "AliasIpRange": { "description": "An alias IP range attached to an instance's network interface.", "id": "AliasIpRange", "properties": { "subnetworkRangeName": { "type": "string", "description": "The name of a subnetwork secondary IP range from which to allocate an IP alias range. If not specified, the primary range of the subnetwork is used." }, "ipCidrRange": { "description": "The IP alias ranges to allocate for this interface. This IP CIDR range must belong to the specified subnetwork and cannot contain IP addresses reserved by system or used by other network interfaces. This range may be a single IP address (such as 10.2.3.4), a netmask (such as /24) or a CIDR-formatted string (such as 10.1.2.0/24).", "type": "string" } }, "type": "object" }, "ShieldedInstanceIntegrityPolicy": { "id": "ShieldedInstanceIntegrityPolicy", "properties": { "updateAutoLearnPolicy": { "description": "Updates the integrity policy baseline using the measurements from the VM instance's most recent boot.", "type": "boolean" } }, "description": "The policy describes the baseline against which Instance boot integrity is measured.", "type": "object" }, "ResourcePolicyInstanceSchedulePolicy": { "properties": { "startTime": { "description": "The start time of the schedule. The timestamp is an RFC3339 string.", "type": "string" }, "vmStartSchedule": { "$ref": "ResourcePolicyInstanceSchedulePolicySchedule", "description": "Specifies the schedule for starting instances." }, "timeZone": { "description": "Specifies the time zone to be used in interpreting Schedule.schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database.", "type": "string" }, "expirationTime": { "type": "string", "description": "The expiration time of the schedule. The timestamp is an RFC3339 string." }, "vmStopSchedule": { "$ref": "ResourcePolicyInstanceSchedulePolicySchedule", "description": "Specifies the schedule for stopping instances." } }, "description": "An InstanceSchedulePolicy specifies when and how frequent certain operations are performed on the instance.", "id": "ResourcePolicyInstanceSchedulePolicy", "type": "object" }, "PublicAdvertisedPrefix": { "type": "object", "id": "PublicAdvertisedPrefix", "properties": { "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "dnsVerificationIp": { "type": "string", "description": "The IPv4 address to be used for reverse DNS verification." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicAdvertisedPrefix. An up-to-date fingerprint must be provided in order to update the PublicAdvertisedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicAdvertisedPrefix.", "format": "byte", "type": "string" }, "sharedSecret": { "description": "[Output Only] The shared secret to be used for reverse DNS verification.", "type": "string" }, "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this public advertised prefix.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "format": "uint64", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes.", "default": "compute#publicAdvertisedPrefix", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.publicAdvertisedPrefixes.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "publicDelegatedPrefixs": { "description": "[Output Only] The list of public delegated prefixes that exist for this public advertised prefix.", "items": { "$ref": "PublicAdvertisedPrefixPublicDelegatedPrefix" }, "type": "array" }, "status": { "description": "The status of the public advertised prefix. Possible values include: - `INITIAL`: RPKI validation is complete. - `PTR_CONFIGURED`: User has configured the PTR. - `VALIDATED`: Reverse DNS lookup is successful. - `REVERSE_DNS_LOOKUP_FAILED`: Reverse DNS lookup failed. - `PREFIX_CONFIGURATION_IN_PROGRESS`: The prefix is being configured. - `PREFIX_CONFIGURATION_COMPLETE`: The prefix is fully configured. - `PREFIX_REMOVAL_IN_PROGRESS`: The prefix is being removed. ", "enum": [ "INITIAL", "PREFIX_CONFIGURATION_COMPLETE", "PREFIX_CONFIGURATION_IN_PROGRESS", "PREFIX_REMOVAL_IN_PROGRESS", "PTR_CONFIGURED", "REVERSE_DNS_LOOKUP_FAILED", "VALIDATED" ], "type": "string", "enumDescriptions": [ "RPKI validation is complete.", "The prefix is fully configured.", "The prefix is being configured.", "The prefix is being removed.", "User has configured the PTR.", "Reverse DNS lookup failed.", "Reverse DNS lookup is successful." ] } }, "description": "A public advertised prefix represents an aggregated IP prefix or netblock which customers bring to cloud. The IP prefix is a single unit of route advertisement and is announced globally to the internet." }, "InstanceGroupManagersListPerInstanceConfigsResp": { "properties": { "warning": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "[Output Only] The list of PerInstanceConfig." } }, "id": "InstanceGroupManagersListPerInstanceConfigsResp", "type": "object" }, "VmEndpointNatMappingsList": { "type": "object", "description": "Contains a list of VmEndpointNatMappings.", "id": "VmEndpointNatMappingsList", "properties": { "result": { "items": { "$ref": "VmEndpointNatMappings" }, "type": "array", "description": "[Output Only] A list of Nat mapping information of VM endpoints." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "[Output Only] Type of resource. Always compute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.", "type": "string", "default": "compute#vmEndpointNatMappingsList" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "PublicAdvertisedPrefixPublicDelegatedPrefix": { "properties": { "project": { "description": "The project number of the public delegated prefix", "type": "string" }, "region": { "type": "string", "description": "The region of the public delegated prefix if it is regional. If absent, the prefix is global." }, "ipRange": { "description": "The IP address range of the public delegated prefix", "type": "string" }, "name": { "type": "string", "description": "The name of the public delegated prefix" }, "status": { "type": "string", "description": "The status of the public delegated prefix. Possible values are: INITIALIZING: The public delegated prefix is being initialized and addresses cannot be created yet. ANNOUNCED: The public delegated prefix is active." } }, "type": "object", "description": "Represents a CIDR range which can be used to assign addresses.", "id": "PublicAdvertisedPrefixPublicDelegatedPrefix" }, "InterconnectsGetDiagnosticsResponse": { "id": "InterconnectsGetDiagnosticsResponse", "properties": { "result": { "$ref": "InterconnectDiagnostics" } }, "description": "Response for the InterconnectsGetDiagnosticsRequest.", "type": "object" }, "InstanceGroupManagersSetInstanceTemplateRequest": { "properties": { "instanceTemplate": { "type": "string", "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE." } }, "type": "object", "id": "InstanceGroupManagersSetInstanceTemplateRequest" }, "RegionInstanceGroupList": { "properties": { "warning": { "properties": { "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of InstanceGroup resources.", "items": { "$ref": "InstanceGroup" } }, "kind": { "default": "compute#regionInstanceGroupList", "description": "The resource type.", "type": "string" } }, "description": "Contains a list of InstanceGroup resources.", "type": "object", "id": "RegionInstanceGroupList" }, "NetworkEndpointGroupCloudFunction": { "type": "object", "description": "Configuration for a Cloud Function network endpoint group (NEG). The function must be provided explicitly or in the URL mask. Note: Cloud Function must be in the same project and located in the same region as the Serverless NEG.", "properties": { "urlMask": { "description": "A template to parse function field from a request URL. URL mask allows for routing to multiple Cloud Functions without having to create multiple Network Endpoint Groups and backend services. For example, request URLs \" mydomain.com/function1\" and \"mydomain.com/function2\" can be backed by the same Serverless NEG with URL mask \"/\". The URL mask will parse them to { function = \"function1\" } and { function = \"function2\" } respectively.", "type": "string" }, "function": { "description": "A user-defined name of the Cloud Function. The function name is case-sensitive and must be 1-63 characters long. Example value: \"func1\".", "type": "string" } }, "id": "NetworkEndpointGroupCloudFunction" }, "ReservationAffinity": { "properties": { "consumeReservationType": { "type": "string", "enum": [ "ANY_RESERVATION", "NO_RESERVATION", "SPECIFIC_RESERVATION", "SPECIFIC_THEN_ANY_RESERVATION", "UNSPECIFIED" ], "description": "Specifies the type of reservation from which this instance can consume resources: ANY_RESERVATION (default), SPECIFIC_RESERVATION, or NO_RESERVATION. See Consuming reserved instances for examples.", "enumDescriptions": [ "Consume any allocation available.", "Do not consume from any allocated capacity.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations.", "Prefer to consume from a specific reservation, but still consume any reservation available if the specified reservation is not available or exhausted. Must specify key value fields for specifying the reservations.", "" ] }, "key": { "type": "string", "description": "Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify googleapis.com/reservation-name as the key and specify the name of your reservation as its value." }, "values": { "description": "Corresponds to the label values of a reservation resource. This can be either a name to a reservation in the same project or \"projects/different-project/reservations/some-reservation-name\" to target a shared reservation in the same zone but in a different project.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "ReservationAffinity", "description": "Specifies the reservations that this instance can consume from." }, "TargetPool": { "id": "TargetPool", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "sessionAffinity": { "description": "Session affinity option, must be one of the following values: NONE: Connections from the same client IP may go to any instance in the pool. CLIENT_IP: Connections from the same client IP will go to the same instance in the pool while that instance remains healthy. CLIENT_IP_PROTO: Connections from the same client IP with the same IP protocol will go to the same instance in the pool while that instance remains healthy.", "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ], "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ], "type": "string" }, "failoverRatio": { "format": "float", "description": "This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool (i.e., not as a backup pool to some other target pool). The value of the field must be in [0, 1]. If set, backupPool must also be set. They together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio is not set or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.", "type": "number" }, "backupPool": { "description": "The server-defined URL for the resource. This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool, and its failoverRatio field is properly set to a value between [0, 1]. backupPool and failoverRatio together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below failoverRatio, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio and backupPool are not set, or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#targetPool for target pools.", "default": "compute#targetPool" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the target pool resides.", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "healthChecks": { "items": { "type": "string" }, "type": "array", "description": "The URL of the HttpHealthCheck resource. A member instance in this pool is considered healthy if and only if the health checks pass. Only legacy HttpHealthChecks are supported. Only one health check may be specified." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "instances": { "items": { "type": "string" }, "type": "array", "description": "A list of resource URLs to the virtual machine instances serving this pool. They must live in zones contained in the same region as this pool." } }, "description": "Represents a Target Pool resource. Target pools are used for network TCP/UDP load balancing. A target pool references member instances, an associated legacy HttpHealthCheck resource, and, optionally, a backup target pool. For more information, read Using target pools.", "type": "object" }, "UrlMapTest": { "description": "Message for the expected URL mappings.", "id": "UrlMapTest", "type": "object", "properties": { "host": { "type": "string", "description": "Host portion of the URL. If headers contains a host header, then host must also match the header value." }, "expectedOutputUrl": { "description": "The expected output URL evaluated by the load balancer containing the scheme, host, path and query parameters. For rules that forward requests to backends, the test passes only when expectedOutputUrl matches the request forwarded by the load balancer to backends. For rules with urlRewrite, the test verifies that the forwarded request matches hostRewrite and pathPrefixRewrite in the urlRewrite action. When service is specified, expectedOutputUrl`s scheme is ignored. For rules with urlRedirect, the test passes only if expectedOutputUrl matches the URL in the load balancer's redirect response. If urlRedirect specifies https_redirect, the test passes only if the scheme in expectedOutputUrl is also set to HTTPS. If urlRedirect specifies strip_query, the test passes only if expectedOutputUrl does not contain any query parameters. expectedOutputUrl is optional when service is specified.", "type": "string" }, "headers": { "items": { "$ref": "UrlMapTestHeader" }, "type": "array", "description": "HTTP headers for this request. If headers contains a host header, then host must also match the header value." }, "description": { "type": "string", "description": "Description of this test case." }, "path": { "description": "Path portion of the URL.", "type": "string" }, "expectedRedirectResponseCode": { "format": "int32", "type": "integer", "description": "For rules with urlRedirect, the test passes only if expectedRedirectResponseCode matches the HTTP status code in load balancer's redirect response. expectedRedirectResponseCode cannot be set when service is set." }, "service": { "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to. The service field cannot be set if expectedRedirectResponseCode is set.", "type": "string" } } }, "SslCertificateList": { "id": "SslCertificateList", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#sslCertificateList" }, "items": { "type": "array", "items": { "$ref": "SslCertificate" }, "description": "A list of SslCertificate resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "description": "Contains a list of SslCertificate resources.", "type": "object" }, "SecurityPolicyAdvancedOptionsConfig": { "properties": { "jsonParsing": { "enum": [ "DISABLED", "STANDARD" ], "type": "string", "enumDescriptions": [ "", "" ] }, "logLevel": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NORMAL", "VERBOSE" ] } }, "id": "SecurityPolicyAdvancedOptionsConfig", "type": "object" }, "SslPolicy": { "type": "object", "properties": { "kind": { "default": "compute#sslPolicy", "description": "[Output only] Type of the resource. Always compute#sslPolicyfor SSL policies.", "type": "string" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a SslPolicy. An up-to-date fingerprint must be provided in order to update the SslPolicy, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an SslPolicy.", "type": "string", "format": "byte" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "customFeatures": { "type": "array", "items": { "type": "string" }, "description": "A list of features enabled when the selected profile is CUSTOM. The method returns the set of features that can be specified in this list. This field must be empty if the profile is not CUSTOM." }, "minTlsVersion": { "enumDescriptions": [ "TLS 1.0", "TLS 1.1", "TLS 1.2" ], "enum": [ "TLS_1_0", "TLS_1_1", "TLS_1_2" ], "description": "The minimum version of SSL protocol that can be used by the clients to establish a connection with the load balancer. This can be one of TLS_1_0, TLS_1_1, TLS_1_2.", "type": "string" }, "enabledFeatures": { "type": "array", "description": "[Output Only] The list of features enabled in the SSL policy.", "items": { "type": "string" } }, "warnings": { "items": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "description": "[Output Only] If potential misconfigurations are detected for this SSL policy, this field will be populated with warning messages.", "type": "array" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional SSL policy resides. This field is not applicable to global SSL policies." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "profile": { "description": "Profile specifies the set of SSL features that can be used by the load balancer when negotiating SSL with clients. This can be one of COMPATIBLE, MODERN, RESTRICTED, or CUSTOM. If using CUSTOM, the set of SSL features to enable must be specified in the customFeatures field.", "enum": [ "COMPATIBLE", "CUSTOM", "MODERN", "RESTRICTED" ], "enumDescriptions": [ "Compatible profile. Allows the broadset set of clients, even those which support only out-of-date SSL features to negotiate with the load balancer.", "Custom profile. Allow only the set of allowed SSL features specified in the customFeatures field.", "Modern profile. Supports a wide set of SSL features, allowing modern clients to negotiate SSL with the load balancer.", "Restricted profile. Supports a reduced set of SSL features, intended to meet stricter compliance requirements." ], "type": "string" } }, "id": "SslPolicy", "description": "Represents an SSL Policy resource. Use SSL policies to control the SSL features, such as versions and cipher suites, offered by an HTTPS or SSL Proxy load balancer. For more information, read SSL Policy Concepts." }, "SecurityPolicyDdosProtectionConfig": { "id": "SecurityPolicyDdosProtectionConfig", "properties": { "ddosProtection": { "enum": [ "ADVANCED", "STANDARD" ], "enumDescriptions": [ "", "" ], "type": "string" } }, "type": "object" }, "InstancesAddResourcePoliciesRequest": { "type": "object", "properties": { "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies to be added to this instance." } }, "id": "InstancesAddResourcePoliciesRequest" }, "NodeGroupAggregatedList": { "type": "object", "id": "NodeGroupAggregatedList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "type": "object", "description": "A list of NodeGroupsScopedList resources.", "additionalProperties": { "$ref": "NodeGroupsScopedList", "description": "[Output Only] Name of the scope containing this set of node groups." } }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeGroupAggregatedList for aggregated lists of node groups.", "default": "compute#nodeGroupAggregatedList", "type": "string" }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "NodeGroupsScopedList": { "properties": { "nodeGroups": { "items": { "$ref": "NodeGroup" }, "type": "array", "description": "[Output Only] A list of node groups contained in this scope." }, "warning": { "description": "[Output Only] An informational warning that appears when the nodeGroup list is empty.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" } }, "type": "object", "id": "NodeGroupsScopedList" }, "ExchangedPeeringRoutesList": { "type": "object", "id": "ExchangedPeeringRoutesList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#exchangedPeeringRoutesList", "description": "[Output Only] Type of resource. Always compute#exchangedPeeringRoutesList for exchanged peering routes lists." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "ExchangedPeeringRoute" }, "type": "array", "description": "A list of ExchangedPeeringRoute resources." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "type": "object" } } }, "InstanceGroupManagerStatusStateful": { "id": "InstanceGroupManagerStatusStateful", "type": "object", "properties": { "isStateful": { "description": "[Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions. This field is deprecated in favor of has_stateful_config.", "type": "boolean" }, "perInstanceConfigs": { "description": "[Output Only] Status of per-instance configurations on the instance.", "$ref": "InstanceGroupManagerStatusStatefulPerInstanceConfigs" }, "hasStatefulConfig": { "description": "[Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions.", "type": "boolean" } } }, "NodeGroupsAddNodesRequest": { "properties": { "additionalNodeCount": { "format": "int32", "description": "Count of additional nodes to be added to the node group.", "type": "integer" } }, "type": "object", "id": "NodeGroupsAddNodesRequest" }, "AcceleratorTypeList": { "description": "Contains a list of accelerator types.", "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of AcceleratorType resources.", "type": "array", "items": { "$ref": "AcceleratorType" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#acceleratorTypeList for lists of accelerator types.", "default": "compute#acceleratorTypeList" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } } }, "id": "AcceleratorTypeList" }, "HttpHealthCheckList": { "type": "object", "id": "HttpHealthCheckList", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "Type of resource.", "default": "compute#httpHealthCheckList", "type": "string" }, "items": { "description": "A list of HttpHealthCheck resources.", "items": { "$ref": "HttpHealthCheck" }, "type": "array" } }, "description": "Contains a list of HttpHealthCheck resources." }, "DiskMoveRequest": { "type": "object", "properties": { "targetDisk": { "type": "string", "description": "The URL of the target disk to move. This can be a full or partial URL. For example, the following are all valid URLs to a disk: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk " }, "destinationZone": { "type": "string", "description": "The URL of the destination zone to move the disk. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone " } }, "id": "DiskMoveRequest" }, "ReservationList": { "id": "ReservationList", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "kind": { "default": "compute#reservationList", "description": "[Output Only] Type of resource.Always compute#reservationsList for listsof reservations", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "items": { "items": { "$ref": "Reservation" }, "description": "[Output Only] A list of Allocation resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "TestPermissionsResponse": { "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "TestPermissionsResponse", "type": "object" }, "BackendServiceLogConfig": { "description": "The available logging options for the load balancer traffic served by this backend service.", "id": "BackendServiceLogConfig", "properties": { "enable": { "description": "This field denotes whether to enable logging for the load balancer traffic served by this backend service.", "type": "boolean" }, "sampleRate": { "type": "number", "description": "This field can only be specified if logging is enabled for this backend service. The value of the field must be in [0, 1]. This configures the sampling rate of requests to the load balancer where 1.0 means all logged requests are reported and 0.0 means no logged requests are reported. The default value is 0.0.", "format": "float" } }, "type": "object" }, "ResourceGroupReference": { "id": "ResourceGroupReference", "properties": { "group": { "type": "string", "description": "A URI referencing one of the instance groups or network endpoint groups listed in the backend service." } }, "type": "object" }, "GuestAttributes": { "description": "A guest attributes entry.", "id": "GuestAttributes", "type": "object", "properties": { "queryPath": { "description": "The path to be queried. This can be the default namespace ('') or a nested namespace ('\\/') or a specified key ('\\/\\').", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "variableValue": { "type": "string", "description": "[Output Only] The value found for the requested key." }, "variableKey": { "description": "The key to search for.", "type": "string" }, "queryValue": { "$ref": "GuestAttributesValue", "description": "[Output Only] The value of the requested queried path." }, "kind": { "type": "string", "default": "compute#guestAttributes", "description": "[Output Only] Type of the resource. Always compute#guestAttributes for guest attributes entry." } } }, "FileContentBuffer": { "properties": { "fileType": { "enum": [ "BIN", "UNDEFINED", "X509" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The file type of source file." }, "content": { "format": "byte", "description": "The raw content in the secure keys file.", "type": "string" } }, "type": "object", "id": "FileContentBuffer" }, "NodeGroupsSetNodeTemplateRequest": { "properties": { "nodeTemplate": { "description": "Full or partial URL of the node template resource to be updated for this node group.", "type": "string" } }, "type": "object", "id": "NodeGroupsSetNodeTemplateRequest" }, "TargetPoolInstanceHealth": { "id": "TargetPoolInstanceHealth", "properties": { "kind": { "default": "compute#targetPoolInstanceHealth", "type": "string", "description": "[Output Only] Type of resource. Always compute#targetPoolInstanceHealth when checking the health of an instance." }, "healthStatus": { "type": "array", "items": { "$ref": "HealthStatus" } } }, "type": "object" }, "TargetReference": { "type": "object", "properties": { "target": { "type": "string" } }, "id": "TargetReference" }, "NotificationEndpointList": { "id": "NotificationEndpointList", "properties": { "kind": { "default": "compute#notificationEndpointList", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of NotificationEndpoint resources.", "type": "array", "items": { "$ref": "NotificationEndpoint" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object" }, "ServiceAttachmentAggregatedList": { "type": "object", "description": "Contains a list of ServiceAttachmentsScopedList.", "id": "ServiceAttachmentAggregatedList", "properties": { "items": { "additionalProperties": { "$ref": "ServiceAttachmentsScopedList", "description": "Name of the scope containing this set of ServiceAttachments." }, "description": "A list of ServiceAttachmentsScopedList resources.", "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#serviceAttachmentAggregatedList", "description": "Type of resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } } }, "StatefulPolicyPreservedState": { "type": "object", "id": "StatefulPolicyPreservedState", "description": "Configuration of preserved resources.", "properties": { "internalIPs": { "type": "object", "description": "Internal network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.", "additionalProperties": { "$ref": "StatefulPolicyPreservedStateNetworkIp" } }, "disks": { "additionalProperties": { "$ref": "StatefulPolicyPreservedStateDiskDevice" }, "type": "object", "description": "Disks created on the instances that will be preserved on instance delete, update, etc. This map is keyed with the device names of the disks." }, "externalIPs": { "description": "External network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.", "additionalProperties": { "$ref": "StatefulPolicyPreservedStateNetworkIp" }, "type": "object" } } }, "WafExpressionSetExpression": { "properties": { "id": { "type": "string", "description": "Expression ID should uniquely identify the origin of the expression. E.g. owasp-crs-v020901-id973337 identifies Owasp core rule set version 2.9.1 rule id 973337. The ID could be used to determine the individual attack definition that has been detected. It could also be used to exclude it from the policy in case of false positive. required" } }, "type": "object", "id": "WafExpressionSetExpression" }, "FirewallList": { "description": "Contains a list of firewalls.", "properties": { "items": { "description": "A list of Firewall resources.", "type": "array", "items": { "$ref": "Firewall" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#firewallList", "type": "string", "description": "[Output Only] Type of resource. Always compute#firewallList for lists of firewalls." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" } }, "type": "object", "id": "FirewallList" }, "StatefulPolicyPreservedStateNetworkIp": { "id": "StatefulPolicyPreservedStateNetworkIp", "type": "object", "properties": { "autoDelete": { "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "description": "These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.", "enumDescriptions": [ "", "" ], "type": "string" } } }, "SourceInstanceParams": { "description": "A specification of the parameters to use when creating the instance template from a source instance.", "id": "SourceInstanceParams", "properties": { "diskConfigs": { "type": "array", "items": { "$ref": "DiskInstantiationConfig" }, "description": "Attached disks configuration. If not provided, defaults are applied: For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes." } }, "type": "object" }, "InitialStateConfig": { "properties": { "pk": { "$ref": "FileContentBuffer", "description": "The Platform Key (PK)." }, "dbxs": { "items": { "$ref": "FileContentBuffer" }, "type": "array", "description": "The forbidden key database (dbx)." }, "keks": { "type": "array", "description": "The Key Exchange Key (KEK).", "items": { "$ref": "FileContentBuffer" } }, "dbs": { "type": "array", "description": "The Key Database (db).", "items": { "$ref": "FileContentBuffer" } } }, "type": "object", "description": "Initial State for shielded instance, these are public keys which are safe to store in public", "id": "InitialStateConfig" }, "DistributionPolicy": { "type": "object", "properties": { "targetShape": { "description": "The distribution shape to which the group converges either proactively or on resize events (depending on the value set in updatePolicy.instanceRedistributionType).", "enumDescriptions": [ "The group picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "The group prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across selected zones to minimize the impact of zonal failure. Recommended for highly available serving workloads.", "The group schedules VM instance creation and deletion to achieve and maintain an even number of managed instances across the selected zones. The distribution is even when the number of managed instances does not differ by more than 1 between any two zones. Recommended for highly available serving workloads." ], "type": "string", "enum": [ "ANY", "BALANCED", "EVEN" ] }, "zones": { "items": { "$ref": "DistributionPolicyZoneConfiguration" }, "type": "array", "description": "Zones where the regional managed instance group will create and manage its instances." } }, "id": "DistributionPolicy" }, "UrlMap": { "description": "Represents a URL Map resource. Compute Engine has two URL Map resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/beta/urlMaps) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/beta/regionUrlMaps) A URL map resource is a component of certain types of cloud load balancers and Traffic Director: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh urlMaps are used by external HTTP(S) load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionUrlMaps are used by internal HTTP(S) load balancers. For a list of supported URL map features by the load balancer type, see the Load balancing features: Routing and traffic management table. For a list of supported URL map features for Traffic Director, see the Traffic Director features: Routing and traffic management table. This resource defines mappings from hostnames and URL paths to either a backend service or a backend bucket. To use the global urlMaps resource, the backend service must have a loadBalancingScheme of either EXTERNAL or INTERNAL_SELF_MANAGED. To use the regionUrlMaps resource, the backend service must have a loadBalancingScheme of INTERNAL_MANAGED. For more information, read URL Map Concepts.", "properties": { "tests": { "description": "The list of expected URL mapping tests. Request to update the UrlMap succeeds only if all test cases pass. You can specify a maximum of 100 tests per UrlMap. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "type": "array", "items": { "$ref": "UrlMapTest" } }, "pathMatchers": { "items": { "$ref": "PathMatcher" }, "description": "The list of named PathMatchers to use against the URL.", "type": "array" }, "defaultUrlRedirect": { "$ref": "HttpRedirectAction", "description": "When none of the specified hostRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "hostRules": { "type": "array", "items": { "$ref": "HostRule" }, "description": "The list of host rules to use against the URL." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional URL map resides. This field is not applicable to global URL maps. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "defaultService": { "type": "string", "description": "The full or partial URL of the defaultService resource to which traffic is directed if none of the hostRules match. If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. defaultService has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field is ignored when inserting a UrlMap. An up-to-date fingerprint must be provided in order to update the UrlMap, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a UrlMap." }, "kind": { "type": "string", "default": "compute#urlMap", "description": "[Output Only] Type of the resource. Always compute#urlMaps for url maps." }, "headerAction": { "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction specified here take effect after headerAction specified under pathMatcher. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "HttpHeaderAction" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "defaultRouteAction": { "$ref": "HttpRouteAction", "description": "defaultRouteAction takes effect when none of the hostRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within defaultRouteAction. defaultRouteAction has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." } }, "type": "object", "id": "UrlMap" }, "NodeTypesScopedList": { "properties": { "nodeTypes": { "type": "array", "items": { "$ref": "NodeType" }, "description": "[Output Only] A list of node types contained in this scope." }, "warning": { "description": "[Output Only] An informational warning that appears when the node types list is empty.", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "type": "object" } }, "id": "NodeTypesScopedList", "type": "object" }, "Instance": { "id": "Instance", "type": "object", "properties": { "lastSuspendedTimestamp": { "description": "[Output Only] Last suspended timestamp in RFC3339 text format.", "type": "string" }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "startRestricted": { "type": "boolean", "description": "[Output Only] Whether a VM has been restricted for start because Compute Engine has detected suspicious activity." }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig" }, "eraseWindowsVssSignature": { "type": "boolean", "description": "Specifies whether the disks restored from source snapshots or source machine image should erase Windows specific VSS signature." }, "deletionProtection": { "description": "Whether the resource should be protected against deletion.", "type": "boolean" }, "advancedMachineFeatures": { "description": "Controls for advanced machine-related behavior features.", "$ref": "AdvancedMachineFeatures" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "keyRevocationActionType": { "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#instance for instances.", "default": "compute#instance", "type": "string" }, "shieldedVmConfig": { "description": "Deprecating, please use shielded_instance_config.", "$ref": "ShieldedVmConfig" }, "resourcePolicies": { "description": "Resource policies applied to this instance.", "items": { "type": "string" }, "type": "array" }, "params": { "$ref": "InstanceParams", "description": "Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "postKeyRevocationActionType": { "enumDescriptions": [ "Indicates user chose no operation.", "Default value. This value is unused.", "Indicates user chose to opt for VM shutdown on key revocation." ], "enum": [ "NOOP", "POST_KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "SHUTDOWN" ], "description": "PostKeyRevocationActionType of the instance.", "type": "string" }, "tags": { "description": "Tags to apply to this instance. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during instance creation. The tags can be later modified by the setTags method. Each tag within the list must comply with RFC1035. Multiple tags can be specified via the 'tags.items' field.", "$ref": "Tags" }, "scheduling": { "description": "Sets the scheduling options for this instance.", "$ref": "Scheduling" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig" }, "lastStartTimestamp": { "description": "[Output Only] Last start timestamp in RFC3339 text format.", "type": "string" }, "privateIpv6GoogleAccess": { "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ], "description": "The private IPv6 google access type for the VM. If not specified, use INHERIT_FROM_SUBNETWORK as default.", "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ], "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "reservationAffinity": { "description": "Specifies the reservations that this instance can consume from.", "$ref": "ReservationAffinity" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instances.insert" ] }, "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "shieldedVmIntegrityPolicy": { "description": "Deprecating, please use shielded_instance_integrity_policy.", "$ref": "ShieldedVmIntegrityPolicy" }, "cpuPlatform": { "description": "[Output Only] The CPU platform used by this instance.", "type": "string" }, "displayDevice": { "description": "Enables display device for the instance.", "$ref": "DisplayDevice" }, "labelFingerprint": { "format": "byte", "description": "A fingerprint for this request, which is essentially a hash of the label's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the instance.", "type": "string" }, "status": { "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "description": "[Output Only] The status of the instance. One of the following values: PROVISIONING, STAGING, RUNNING, STOPPING, SUSPENDING, SUSPENDED, REPAIRING, and TERMINATED. For more information about the status of the instance, see Instance life cycle.", "type": "string", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ] }, "sourceMachineImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Source machine image encryption key when creating an instance from a machine image." }, "disks": { "type": "array", "items": { "$ref": "AttachedDisk" }, "description": "Array of disks associated with this instance. Persistent disks must be created before you can assign them." }, "guestAccelerators": { "description": "A list of the type and count of accelerator cards attached to the instance.", "items": { "$ref": "AcceleratorConfig" }, "type": "array" }, "networkInterfaces": { "items": { "$ref": "NetworkInterface" }, "type": "array", "description": "An array of network configurations for this instance. These specify how interfaces are configured to interact with other network services, such as connecting to the internet. Multiple interfaces are supported per instance." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels to apply to this instance. These can be later modified by the setLabels method." }, "confidentialInstanceConfig": { "$ref": "ConfidentialInstanceConfig" }, "statusMessage": { "description": "[Output Only] An optional, human-readable explanation of the status.", "type": "string" }, "fingerprint": { "description": "Specifies a fingerprint for this resource, which is essentially a hash of the instance's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance. You must always provide an up-to-date fingerprint hash in order to update the instance. To see the latest fingerprint, make get() request to the instance.", "type": "string", "format": "byte" }, "hostname": { "description": "Specifies the hostname of the instance. The specified hostname must be RFC1035 compliant. If hostname is not specified, the default hostname is [INSTANCE_NAME].c.[PROJECT_ID].internal when using the global DNS, and [INSTANCE_NAME].[ZONE].c.[PROJECT_ID].internal when using zonal DNS.", "type": "string" }, "metadata": { "$ref": "Metadata", "description": "The metadata key/value pairs assigned to this instance. This includes custom metadata and predefined keys." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "machineType": { "type": "string", "description": "Full or partial URL of the machine type resource to use for this instance, in the format: zones/zone/machineTypes/machine-type. This is provided by the client when the instance is created. For example, the following is a valid partial url to a predefined machine type: zones/us-central1-f/machineTypes/n1-standard-1 To create a custom machine type, provide a URL to a machine type in the following format, where CPUS is 1 or an even number up to 32 (2, 4, 6, ... 24, etc), and MEMORY is the total memory for this instance. Memory must be a multiple of 256 MB and must be supplied in MB (e.g. 5 GB of memory is 5120 MB): zones/zone/machineTypes/custom-CPUS-MEMORY For example: zones/us-central1-f/machineTypes/custom-4-5120 For a full list of restrictions, read the Specifications for custom machine types.", "annotations": { "required": [ "compute.instances.insert" ] } }, "shieldedInstanceIntegrityPolicy": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "minCpuPlatform": { "description": "Specifies a minimum CPU platform for the VM instance. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\".", "type": "string" }, "canIpForward": { "type": "boolean", "description": "Allows this instance to send and receive packets with non-matching destination or source IPs. This is required if you plan to use this instance to forward routes. For more information, see Enabling IP Forwarding ." }, "lastStopTimestamp": { "type": "string", "description": "[Output Only] Last stop timestamp in RFC3339 text format." }, "sourceMachineImage": { "description": "Source machine image", "type": "string" }, "serviceAccounts": { "type": "array", "items": { "$ref": "ServiceAccount" }, "description": "A list of service accounts, with their specified scopes, authorized for this instance. Only one service account per VM instance is supported. Service accounts generate access tokens that can be accessed through the metadata server and used to authenticate applications on the instance. See Service Accounts for more information." } }, "description": "Represents an Instance resource. An instance is a virtual machine that is hosted on Google Cloud Platform. For more information, read Virtual Machine Instances." }, "FirewallPolicy": { "description": "Represents a Firewall Policy resource.", "properties": { "displayName": { "type": "string", "description": "Deprecated, please use short name instead. User-provided name of the Organization firewall policy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "parent": { "type": "string", "description": "[Output Only] The parent of the firewall policy." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "associations": { "type": "array", "items": { "$ref": "FirewallPolicyAssociation" }, "description": "A list of associations that belong to this firewall policy." }, "kind": { "type": "string", "default": "compute#firewallPolicy", "description": "[Output only] Type of the resource. Always compute#firewallPolicyfor firewall policies" }, "fingerprint": { "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the firewall policy.", "type": "string", "format": "byte" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional firewall policy resides. This field is not applicable to global firewall policies. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "shortName": { "description": "User-provided name of the Organization firewall plicy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "name": { "type": "string", "description": "[Output Only] Name of the resource. It is a numeric ID allocated by GCP which uniquely identifies the Firewall Policy." }, "ruleTupleCount": { "description": "[Output Only] Total count of all firewall policy rule tuples. A firewall policy can not exceed a set number of tuples.", "type": "integer", "format": "int32" }, "rules": { "items": { "$ref": "FirewallPolicyRule" }, "type": "array", "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a firewall policy, a default rule with action \"allow\" will be added." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" } }, "type": "object", "id": "FirewallPolicy" }, "ShieldedVmIntegrityPolicy": { "properties": { "updateAutoLearnPolicy": { "description": "Updates the integrity policy baseline using the measurements from the VM instance's most recent boot.", "type": "boolean" } }, "description": "The policy describes the baseline against which VM instance boot integrity is measured.", "id": "ShieldedVmIntegrityPolicy", "type": "object" }, "InstancesStartWithEncryptionKeyRequest": { "properties": { "disks": { "description": "Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to start the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.", "type": "array", "items": { "$ref": "CustomerEncryptionKeyProtectedDisk" } } }, "type": "object", "id": "InstancesStartWithEncryptionKeyRequest" }, "SslPolicyReference": { "properties": { "sslPolicy": { "description": "URL of the SSL policy resource. Set this to empty string to clear any existing SSL policy associated with the target proxy resource.", "type": "string" } }, "id": "SslPolicyReference", "type": "object" }, "ProjectsDisableXpnResourceRequest": { "properties": { "xpnResource": { "$ref": "XpnResourceId", "description": "Service resource (a.k.a service project) ID." } }, "type": "object", "id": "ProjectsDisableXpnResourceRequest" }, "VpnGatewayStatusHighAvailabilityRequirementState": { "id": "VpnGatewayStatusHighAvailabilityRequirementState", "properties": { "unsatisfiedReason": { "type": "string", "enumDescriptions": [ "" ], "description": "Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is INCOMPLETE_TUNNELS_COVERAGE.", "enum": [ "INCOMPLETE_TUNNELS_COVERAGE" ] }, "state": { "enumDescriptions": [ "VPN tunnels are configured with adequate redundancy from Cloud VPN gateway to the peer VPN gateway. For both GCP-to-non-GCP and GCP-to-GCP connections, the adequate redundancy is a pre-requirement for users to get 99.99% availability on GCP side; please note that for any connection, end-to-end 99.99% availability is subject to proper configuration on the peer VPN gateway.", "VPN tunnels are not configured with adequate redundancy from the Cloud VPN gateway to the peer gateway" ], "description": "Indicates the high availability requirement state for the VPN connection. Valid values are CONNECTION_REDUNDANCY_MET, CONNECTION_REDUNDANCY_NOT_MET.", "enum": [ "CONNECTION_REDUNDANCY_MET", "CONNECTION_REDUNDANCY_NOT_MET" ], "type": "string" } }, "type": "object", "description": "Describes the high availability requirement state for the VPN connection between this Cloud VPN gateway and a peer gateway." }, "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus": { "properties": { "nextRunStartTime": { "description": "[Output Only] The next time the schedule is planned to run. The actual time might be slightly different. The timestamp is an RFC3339 string.", "type": "string" }, "lastRunStartTime": { "type": "string", "description": "[Output Only] The last time the schedule successfully ran. The timestamp is an RFC3339 string." } }, "id": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus", "type": "object" }, "NodeGroupAutoscalingPolicy": { "type": "object", "properties": { "minNodes": { "format": "int32", "description": "The minimum number of nodes that the group should have.", "type": "integer" }, "mode": { "type": "string", "enum": [ "MODE_UNSPECIFIED", "OFF", "ON", "ONLY_SCALE_OUT" ], "enumDescriptions": [ "", "Autoscaling is disabled.", "Autocaling is fully enabled.", "Autoscaling will only scale out and will not remove nodes." ], "description": "The autoscaling mode. Set to one of: ON, OFF, or ONLY_SCALE_OUT. For more information, see Autoscaler modes." }, "maxNodes": { "description": "The maximum number of nodes that the group should have. Must be set if autoscaling is enabled. Maximum value allowed is 100.", "type": "integer", "format": "int32" } }, "id": "NodeGroupAutoscalingPolicy" }, "HealthCheckList": { "description": "Contains a list of HealthCheck resources.", "id": "HealthCheckList", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#healthCheckList", "type": "string", "description": "Type of resource." }, "warning": { "type": "object", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "A list of HealthCheck resources.", "items": { "$ref": "HealthCheck" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "NetworksUpdatePeeringRequest": { "id": "NetworksUpdatePeeringRequest", "properties": { "networkPeering": { "$ref": "NetworkPeering" } }, "type": "object" }, "InstanceGroupsListInstances": { "type": "object", "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "items": { "$ref": "InstanceWithNamedPorts" }, "type": "array", "description": "A list of InstanceWithNamedPorts resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupsListInstances for the list of instances in the specified instance group.", "type": "string", "default": "compute#instanceGroupsListInstances" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "InstanceGroupsListInstances" }, "MetadataFilter": { "description": "Opaque filter criteria used by load balancers to restrict routing configuration to a limited set of load balancing proxies. Proxies and sidecars involved in load balancing would typically present metadata to the load balancers that need to match criteria specified here. If a match takes place, the relevant configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. An example for using metadataFilters would be: if load balancing involves Envoys, they receive routing configuration when values in metadataFilters match values supplied in of their XDS requests to loadbalancers.", "type": "object", "id": "MetadataFilter", "properties": { "filterLabels": { "description": "The list of label value pairs that must match labels in the provided metadata based on filterMatchCriteria This list must not be empty and can have at the most 64 entries.", "items": { "$ref": "MetadataFilterLabelMatch" }, "type": "array" }, "filterMatchCriteria": { "enum": [ "MATCH_ALL", "MATCH_ANY", "NOT_SET" ], "description": "Specifies how individual filter label matches within the list of filterLabels and contributes toward the overall metadataFilter match. Supported values are: - MATCH_ANY: at least one of the filterLabels must have a matching label in the provided metadata. - MATCH_ALL: all filterLabels must have matching labels in the provided metadata. ", "enumDescriptions": [ "Specifies that all filterLabels must match for the metadataFilter to be considered a match.", "Specifies that any filterLabel must match for the metadataFilter to be considered a match.", "Indicates that the match criteria was not set. A metadataFilter must never be created with this value." ], "type": "string" } } }, "InterconnectLocationRegionInfo": { "id": "InterconnectLocationRegionInfo", "type": "object", "properties": { "region": { "type": "string", "description": "URL for the region of this location." }, "locationPresence": { "description": "Identifies the network presence of this location.", "enum": [ "GLOBAL", "LOCAL_REGION", "LP_GLOBAL", "LP_LOCAL_REGION" ], "enumDescriptions": [ "This region is not in any common network presence with this InterconnectLocation.", "This region shares the same regional network presence as this InterconnectLocation.", "[Deprecated] This region is not in any common network presence with this InterconnectLocation.", "[Deprecated] This region shares the same regional network presence as this InterconnectLocation." ], "type": "string" }, "expectedRttMs": { "format": "int64", "description": "Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region.", "type": "string" } }, "description": "Information about any potential InterconnectAttachments between an Interconnect at a specific InterconnectLocation, and a specific Cloud Region." }, "InstanceGroupManagerUpdatePolicy": { "properties": { "maxUnavailable": { "$ref": "FixedOrPercent", "description": "The maximum number of instances that can be unavailable during the update process. An instance is considered available if all of the following conditions are satisfied: - The instance's status is RUNNING. - If there is a health check on the instance group, the instance's health check status must be HEALTHY at least once. If there is no health check on the group, then the instance only needs to have a status of RUNNING to be considered available. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxUnavailable is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxUnavailable." }, "maxSurge": { "description": "The maximum number of instances that can be created above the specified targetSize during the update process. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxSurge is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxSurge.", "$ref": "FixedOrPercent" }, "replacementMethod": { "description": "What action should be used to replace instances. See minimal_action.REPLACE", "type": "string", "enumDescriptions": [ "Instances will be recreated (with the same name)", "Default option: instances will be deleted and created (with a new name)" ], "enum": [ "RECREATE", "SUBSTITUTE" ] }, "mostDisruptiveAllowedAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "Most disruptive action that is allowed to be taken on an instance. You can specify either NONE to forbid any actions, REFRESH to allow actions that do not need instance restart, RESTART to allow actions that can be applied without instance replacing or REPLACE to allow all possible actions. If the Updater determines that the minimal update action needed is more disruptive than most disruptive allowed action you specify it will not perform the update at all.", "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ] }, "minReadySec": { "description": "Minimum number of seconds to wait for after a newly created instance becomes available. This value must be from range [0, 3600].", "format": "int32", "type": "integer" }, "minimalAction": { "type": "string", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "description": "Minimal action to be taken on an instance. Use this option to minimize disruption as much as possible or to apply a more disruptive action than is necessary. - To limit disruption as much as possible, set the minimal action to REFRESH. If your update requires a more disruptive action, Compute Engine performs the necessary action to execute the update. - To apply a more disruptive action than is strictly necessary, set the minimal action to RESTART or REPLACE. For example, Compute Engine does not need to restart a VM to change its metadata. But if your application reads instance metadata only when a VM is restarted, you can set the minimal action to RESTART in order to pick up metadata changes. " }, "type": { "enum": [ "OPPORTUNISTIC", "PROACTIVE" ], "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field).", "This IGM will actively converge to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field)." ], "type": "string", "description": "The type of update process. You can specify either PROACTIVE so that the instance group manager proactively executes actions in order to bring instances to their target versions or OPPORTUNISTIC so that no action is proactively executed but the update will be performed as part of other actions (for example, resizes or recreateInstances calls)." }, "instanceRedistributionType": { "enum": [ "NONE", "PROACTIVE" ], "type": "string", "description": "The instance redistribution policy for regional managed instance groups. Valid values are: - PROACTIVE (default): The group attempts to maintain an even distribution of VM instances across zones in the region. - NONE: For non-autoscaled groups, proactive redistribution is disabled. ", "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target instance distribution.", "This IGM will actively converge to its target instance distribution." ] } }, "id": "InstanceGroupManagerUpdatePolicy", "type": "object" }, "NodeTypeAggregatedList": { "properties": { "items": { "type": "object", "description": "A list of NodeTypesScopedList resources.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of node types.", "$ref": "NodeTypesScopedList" } }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeTypeAggregatedList for aggregated lists of node types.", "type": "string", "default": "compute#nodeTypeAggregatedList" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } } }, "type": "object", "id": "NodeTypeAggregatedList" }, "TargetHttpsProxiesSetQuicOverrideRequest": { "id": "TargetHttpsProxiesSetQuicOverrideRequest", "properties": { "quicOverride": { "description": "QUIC policy for the TargetHttpsProxy resource.", "type": "string", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ], "enum": [ "DISABLE", "ENABLE", "NONE" ] } }, "type": "object" }, "PreservedStatePreservedNetworkIpIpAddress": { "properties": { "address": { "description": "The URL of the reservation for this IP address.", "type": "string" }, "literal": { "type": "string", "description": "An IPv4 internal network address to assign to the instance for this network interface." } }, "id": "PreservedStatePreservedNetworkIpIpAddress", "type": "object" }, "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy": { "type": "object", "properties": { "id": { "description": "The unique identifier for the security policy. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "rules": { "type": "array", "items": { "$ref": "SecurityPolicyRule" }, "description": "The rules that apply to the network." } }, "description": "A pruned SecurityPolicy containing ID and any applicable firewall rules.", "id": "InstancesGetEffectiveFirewallsResponseOrganizationFirewallPolicy" }, "TargetVpnGatewaysScopedList": { "properties": { "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "type": "object" }, "targetVpnGateways": { "description": "[Output Only] A list of target VPN gateways contained in this scope.", "items": { "$ref": "TargetVpnGateway" }, "type": "array" } }, "type": "object", "id": "TargetVpnGatewaysScopedList" } }, "documentationLink": "https://cloud.google.com/compute/", "icons": { "x32": "https://www.google.com/images/icons/product/compute_engine-32.png", "x16": "https://www.google.com/images/icons/product/compute_engine-16.png" }, "batchPath": "batch/compute/beta", "ownerName": "Google", "baseUrl": "https://compute.googleapis.com/compute/beta/", "revision": "20220621", "id": "compute:beta", "title": "Compute Engine API", "description": "Creates and runs virtual machines on Google Cloud Platform. ", "servicePath": "compute/beta/" }
]===]))
