local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220621", "kind": "discovery#restDescription", "protocol": "rest", "documentationLink": "https://cloud.google.com/compute/", "version": "v1", "parameters": { "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "userIp": { "location": "query", "type": "string", "description": "Legacy name for parameter that has been superseded by `quotaUser`." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "icons": { "x32": "https://www.google.com/images/icons/product/compute_engine-32.png", "x16": "https://www.google.com/images/icons/product/compute_engine-16.png" }, "discoveryVersion": "v1", "name": "compute", "ownerName": "Google", "resources": { "regionAutoscalers": { "methods": { "list": { "description": "Retrieves a list of autoscalers contained within the specified region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/autoscalers", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "maxResults": { "minimum": "0", "type": "integer", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" } }, "response": { "$ref": "RegionAutoscalerList" }, "id": "compute.regionAutoscalers.list", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/autoscalers", "httpMethod": "GET" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an autoscaler in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "id": "compute.regionAutoscalers.insert", "path": "projects/{project}/regions/{region}/autoscalers", "flatPath": "projects/{project}/regions/{region}/autoscalers", "request": { "$ref": "Autoscaler" } }, "patch": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Autoscaler" }, "id": "compute.regionAutoscalers.patch", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "query", "description": "Name of the autoscaler to patch.", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" } }, "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/autoscalers", "flatPath": "projects/{project}/regions/{region}/autoscalers", "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules." }, "delete": { "description": "Deletes the specified autoscaler.", "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "httpMethod": "DELETE", "id": "compute.regionAutoscalers.delete", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "parameterOrder": [ "project", "region", "autoscaler" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "region": { "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "autoscaler": { "type": "string", "required": true, "location": "path", "description": "Name of the autoscaler to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "description": "Returns the specified autoscaler.", "parameterOrder": [ "project", "region", "autoscaler" ], "path": "projects/{project}/regions/{region}/autoscalers/{autoscaler}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "autoscaler": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the autoscaler to return." }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "response": { "$ref": "Autoscaler" }, "id": "compute.regionAutoscalers.get", "flatPath": "projects/{project}/regions/{region}/autoscalers/{autoscaler}" }, "update": { "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the autoscaler to update.", "location": "query", "type": "string" } }, "path": "projects/{project}/regions/{region}/autoscalers", "request": { "$ref": "Autoscaler" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/autoscalers", "description": "Updates an autoscaler in the specified project using the data included in the request.", "id": "compute.regionAutoscalers.update", "parameterOrder": [ "project", "region" ] } } }, "targetVpnGateways": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "request": { "$ref": "TargetVpnGateway" }, "id": "compute.targetVpnGateways.insert", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "description": "Creates a target VPN gateway in the specified project and region using the data included in the request.", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/regions/{region}/targetVpnGateways" }, "delete": { "parameterOrder": [ "project", "region", "targetVpnGateway" ], "parameters": { "targetVpnGateway": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the target VPN gateway to delete." }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "id": "compute.targetVpnGateways.delete", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "description": "Deletes the specified target VPN gateway." }, "get": { "id": "compute.targetVpnGateways.get", "parameterOrder": [ "project", "region", "targetVpnGateway" ], "httpMethod": "GET", "description": "Returns the specified target VPN gateway. Gets a list of available target VPN gateways by making a list() request.", "flatPath": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." }, "targetVpnGateway": { "required": true, "description": "Name of the target VPN gateway to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TargetVpnGateway" }, "path": "projects/{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}" }, "list": { "httpMethod": "GET", "response": { "$ref": "TargetVpnGatewayList" }, "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path" }, "maxResults": { "format": "uint32", "default": "500", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" } }, "id": "compute.targetVpnGateways.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/targetVpnGateways", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/targetVpnGateways", "description": "Retrieves a list of target VPN gateways available to the specified project and region." }, "aggregatedList": { "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "format": "uint32", "location": "query" } }, "response": { "$ref": "TargetVpnGatewayAggregatedList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.targetVpnGateways.aggregatedList", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of target VPN gateways.", "path": "projects/{project}/aggregated/targetVpnGateways", "flatPath": "projects/{project}/aggregated/targetVpnGateways" } } }, "regionNetworkFirewallPolicies": { "methods": { "removeAssociation": { "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.removeAssociation", "httpMethod": "POST", "description": "Removes an association for the specified network firewall policy.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeAssociation", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "firewallPolicy": { "location": "path", "description": "Name of the firewall policy to update.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "name": { "type": "string", "location": "query", "description": "Name for the association that will be removed." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." } } }, "removeRule": { "parameters": { "firewallPolicy": { "location": "path", "type": "string", "description": "Name of the firewall policy to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "priority": { "description": "The priority of the rule to remove from the firewall policy.", "type": "integer", "format": "int32", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." } }, "description": "Deletes a rule of the specified priority.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.removeRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/removeRule" }, "getAssociation": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "region": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "name": { "location": "query", "type": "string", "description": "The name of the association to get from the firewall policy." }, "firewallPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the firewall policy to which the queried association belongs.", "type": "string" } }, "description": "Gets an association with the specified name.", "id": "compute.regionNetworkFirewallPolicies.getAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getAssociation", "response": { "$ref": "FirewallPolicyAssociation" }, "parameterOrder": [ "project", "region", "firewallPolicy" ] }, "delete": { "description": "Deletes the specified network firewall policy.", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "id": "compute.regionNetworkFirewallPolicies.delete", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "firewallPolicy" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewallPolicy": { "description": "Name of the firewall policy to delete.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "patchRule": { "httpMethod": "POST", "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "firewallPolicy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to update.", "required": true }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "priority": { "format": "int32", "description": "The priority of the rule to patch.", "location": "query", "type": "integer" } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "request": { "$ref": "FirewallPolicyRule" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/patchRule", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkFirewallPolicies.patchRule", "description": "Patches a rule of the specified priority." }, "get": { "response": { "$ref": "FirewallPolicy" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "firewallPolicy" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "id": "compute.regionNetworkFirewallPolicies.get", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "firewallPolicy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to get.", "location": "path", "type": "string" } }, "description": "Returns the specified network firewall policy." }, "insert": { "response": { "$ref": "Operation" }, "description": "Creates a new network firewall policy in the specified project and region.", "httpMethod": "POST", "request": { "$ref": "FirewallPolicy" }, "parameterOrder": [ "project", "region" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "projects/{project}/regions/{region}/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "id": "compute.regionNetworkFirewallPolicies.insert" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.regionNetworkFirewallPolicies.getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Requested IAM Policy version." }, "region": { "type": "string", "description": "The name of the region for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "Policy" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/getIamPolicy" }, "getRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "firewallPolicy" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/getRule", "parameters": { "priority": { "type": "integer", "format": "int32", "location": "query", "description": "The priority of the rule to get from the firewall policy." }, "firewallPolicy": { "type": "string", "description": "Name of the firewall policy to which the queried rule belongs.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request." } }, "id": "compute.regionNetworkFirewallPolicies.getRule", "description": "Gets a rule of the specified priority.", "response": { "$ref": "FirewallPolicyRule" }, "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "id": "compute.regionNetworkFirewallPolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/testIamPermissions", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path" } } }, "addAssociation": { "parameterOrder": [ "project", "region", "firewallPolicy" ], "response": { "$ref": "Operation" }, "description": "Inserts an association for the specified network firewall policy.", "id": "compute.regionNetworkFirewallPolicies.addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "FirewallPolicyAssociation" }, "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation", "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "replaceExistingAssociation": { "type": "boolean", "location": "query", "description": "Indicates whether or not to replace it if an association already exists. This is false by default, in which case an error will be returned if an association already exists." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "firewallPolicy": { "location": "path", "required": true, "type": "string", "description": "Name of the firewall policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "Name of the region scoping this request." } }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addAssociation" }, "getEffectiveFirewalls": { "description": "Returns the effective firewalls on a given network.", "id": "compute.regionNetworkFirewallPolicies.getEffectiveFirewalls", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse" }, "path": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls", "parameterOrder": [ "project", "region", "network" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/getEffectiveFirewalls", "httpMethod": "GET", "parameters": { "network": { "location": "query", "type": "string", "required": true, "description": "Network reference" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } } }, "addRule": { "request": { "$ref": "FirewallPolicyRule" }, "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/addRule", "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "minPriority": { "format": "int32", "type": "integer", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "location": "query" }, "firewallPolicy": { "location": "path", "description": "Name of the firewall policy to update.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "maxPriority": { "format": "int32", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "location": "query", "type": "integer" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkFirewallPolicies.addRule", "parameterOrder": [ "project", "region", "firewallPolicy" ], "description": "Inserts a rule into a network firewall policy." }, "cloneRules": { "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "parameters": { "sourceFirewallPolicy": { "location": "query", "description": "The firewall policy from which to copy rules.", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}/cloneRules", "parameterOrder": [ "project", "region", "firewallPolicy" ], "id": "compute.regionNetworkFirewallPolicies.cloneRules", "description": "Copies rules to the specified network firewall policy." }, "setIamPolicy": { "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "region": { "location": "path", "required": true, "type": "string", "description": "The name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkFirewallPolicies.setIamPolicy", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/firewallPolicies/{resource}/setIamPolicy" }, "list": { "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "type": "string" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "description": "Lists all the network firewall policies that have been configured for the specified project in the given region.", "path": "projects/{project}/regions/{region}/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyList" }, "id": "compute.regionNetworkFirewallPolicies.list", "flatPath": "projects/{project}/regions/{region}/firewallPolicies", "parameterOrder": [ "project", "region" ] }, "patch": { "path": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "flatPath": "projects/{project}/regions/{region}/firewallPolicies/{firewallPolicy}", "httpMethod": "PATCH", "parameterOrder": [ "project", "region", "firewallPolicy" ], "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "firewallPolicy": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update." }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "FirewallPolicy" }, "response": { "$ref": "Operation" }, "id": "compute.regionNetworkFirewallPolicies.patch", "description": "Patches the specified network firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "externalVpnGateways": { "methods": { "get": { "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "parameterOrder": [ "project", "externalVpnGateway" ], "description": "Returns the specified externalVpnGateway. Get a list of available externalVpnGateways by making a list() request.", "response": { "$ref": "ExternalVpnGateway" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "externalVpnGateway": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the externalVpnGateway to return." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" } }, "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "httpMethod": "GET", "id": "compute.externalVpnGateways.get" }, "setLabels": { "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "id": "compute.externalVpnGateways.setLabels", "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/setLabels", "response": { "$ref": "Operation" }, "description": "Sets the labels on an ExternalVpnGateway. To learn more about labels, read the Labeling Resources documentation.", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/externalVpnGateways/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" } }, "insert": { "parameterOrder": [ "project" ], "description": "Creates a ExternalVpnGateway in the specified project using the data included in the request.", "flatPath": "projects/{project}/global/externalVpnGateways", "request": { "$ref": "ExternalVpnGateway" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "POST", "id": "compute.externalVpnGateways.insert", "path": "projects/{project}/global/externalVpnGateways" }, "delete": { "description": "Deletes the specified externalVpnGateway.", "path": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "flatPath": "projects/{project}/global/externalVpnGateways/{externalVpnGateway}", "id": "compute.externalVpnGateways.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "externalVpnGateway": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the externalVpnGateways to delete.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "externalVpnGateway" ], "httpMethod": "DELETE" }, "list": { "path": "projects/{project}/global/externalVpnGateways", "response": { "$ref": "ExternalVpnGatewayList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of ExternalVpnGateway available to the specified project.", "httpMethod": "GET", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "format": "uint32", "default": "500", "minimum": "0", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "flatPath": "projects/{project}/global/externalVpnGateways", "parameterOrder": [ "project" ], "id": "compute.externalVpnGateways.list" }, "testIamPermissions": { "httpMethod": "POST", "path": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/externalVpnGateways/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "required": true, "location": "path" } }, "id": "compute.externalVpnGateways.testIamPermissions", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regions": { "methods": { "list": { "id": "compute.regions.list", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "minimum": "0", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "path": "projects/{project}/regions", "description": "Retrieves the list of region resources available to the specified project. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `items.quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "response": { "$ref": "RegionList" }, "flatPath": "projects/{project}/regions", "httpMethod": "GET", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "response": { "$ref": "Region" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}", "httpMethod": "GET", "parameters": { "region": { "description": "Name of the region resource to return.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}", "parameterOrder": [ "project", "region" ], "description": "Returns the specified Region resource. Gets a list of available regions by making a list() request. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "id": "compute.regions.get" } } }, "instanceGroups": { "methods": { "listInstances": { "id": "compute.instanceGroups.listInstances", "request": { "$ref": "InstanceGroupsListInstancesRequest" }, "description": "Lists the instances in the specified instance group. The orderBy query parameter is not supported. The filter query parameter is supported, but only for expressions that use `eq` (equal) or `ne` (not equal) operators.", "response": { "$ref": "InstanceGroupsListInstances" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "maxResults": { "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "location": "query" }, "instanceGroup": { "description": "The name of the instance group from which you want to generate a list of included instances.", "required": true, "type": "string", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "zone": { "description": "The name of the zone where the instance group is located.", "type": "string", "location": "path", "required": true }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances", "parameterOrder": [ "project", "zone", "instanceGroup" ] }, "aggregatedList": { "parameterOrder": [ "project" ], "description": "Retrieves the list of instance groups and sorts them by zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroups.aggregatedList", "flatPath": "projects/{project}/aggregated/instanceGroups", "httpMethod": "GET", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "type": "integer", "location": "query", "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "response": { "$ref": "InstanceGroupAggregatedList" }, "path": "projects/{project}/aggregated/instanceGroups" }, "removeInstances": { "parameters": { "zone": { "description": "The name of the zone where the instance group is located.", "type": "string", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroup": { "type": "string", "required": true, "description": "The name of the instance group where the specified instances will be removed.", "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "request": { "$ref": "InstanceGroupsRemoveInstancesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Removes one or more instances from the specified instance group, but does not delete those instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration before the VM instance is removed or deleted.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instanceGroup" ], "id": "compute.instanceGroups.removeInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances" }, "list": { "httpMethod": "GET", "description": "Retrieves the list of zonal instance group resources contained within the specified zone. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/instanceGroups", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "description": "The name of the zone where the instance group is located.", "type": "string", "required": true, "location": "path" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "format": "uint32", "default": "500", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "response": { "$ref": "InstanceGroupList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups", "id": "compute.instanceGroups.list" }, "insert": { "description": "Creates an instance group in the specified project using the parameters that are included in the request.", "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "id": "compute.instanceGroups.insert", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroups", "parameters": { "zone": { "required": true, "location": "path", "description": "The name of the zone where you want to create the instance group.", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups", "request": { "$ref": "InstanceGroup" } }, "setNamedPorts": { "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "zone": { "description": "The name of the zone where the instance group is located.", "type": "string", "required": true, "location": "path" }, "instanceGroup": { "required": true, "description": "The name of the instance group where the named ports are updated.", "type": "string", "location": "path" } }, "request": { "$ref": "InstanceGroupsSetNamedPortsRequest" }, "description": "Sets the named ports for the specified instance group.", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts", "parameterOrder": [ "project", "zone", "instanceGroup" ], "id": "compute.instanceGroups.setNamedPorts" }, "delete": { "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "parameterOrder": [ "project", "zone", "instanceGroup" ], "id": "compute.instanceGroups.delete", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "zone": { "type": "string", "location": "path", "description": "The name of the zone where the instance group is located.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instanceGroup": { "description": "The name of the instance group to delete.", "required": true, "location": "path", "type": "string" } }, "httpMethod": "DELETE", "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified instance group. The instances in the group are not deleted. Note that instance group must not belong to a backend service. Read Deleting an instance group for more information." }, "get": { "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "description": "Returns the specified zonal instance group. Get a list of available zonal instance groups by making a list() request. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.", "response": { "$ref": "InstanceGroup" }, "httpMethod": "GET", "parameters": { "instanceGroup": { "type": "string", "required": true, "location": "path", "description": "The name of the instance group." }, "zone": { "location": "path", "required": true, "description": "The name of the zone where the instance group is located.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "instanceGroup" ], "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}", "id": "compute.instanceGroups.get" }, "addInstances": { "parameterOrder": [ "project", "zone", "instanceGroup" ], "response": { "$ref": "Operation" }, "description": "Adds a list of instances to the specified instance group. All of the instances in the instance group must be in the same network/subnetwork. Read Adding instances for more information.", "httpMethod": "POST", "request": { "$ref": "InstanceGroupsAddInstancesRequest" }, "parameters": { "instanceGroup": { "description": "The name of the instance group where you are adding instances.", "type": "string", "required": true, "location": "path" }, "zone": { "location": "path", "description": "The name of the zone where the instance group is located.", "type": "string", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances", "id": "compute.instanceGroups.addInstances", "path": "projects/{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances" } } }, "globalNetworkEndpointGroups": { "methods": { "attachNetworkEndpoints": { "id": "compute.globalNetworkEndpointGroups.attachNetworkEndpoints", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "networkEndpointGroup" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "networkEndpointGroup": { "required": true, "location": "path", "type": "string", "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035." } }, "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "description": "Attach a network endpoint to the specified network endpoint group.", "httpMethod": "POST", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "response": { "$ref": "Operation" }, "request": { "$ref": "GlobalNetworkEndpointGroupsAttachEndpointsRequest" } }, "list": { "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "description": "Retrieves the list of network endpoint groups that are located in the specified project.", "parameterOrder": [ "project" ], "httpMethod": "GET", "id": "compute.globalNetworkEndpointGroups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/networkEndpointGroups" }, "detachNetworkEndpoints": { "description": "Detach the network endpoint from the specified network endpoint group.", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "httpMethod": "POST", "id": "compute.globalNetworkEndpointGroups.detachNetworkEndpoints", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "parameters": { "networkEndpointGroup": { "required": true, "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "request": { "$ref": "GlobalNetworkEndpointGroupsDetachEndpointsRequest" }, "parameterOrder": [ "project", "networkEndpointGroup" ] }, "listNetworkEndpoints": { "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "httpMethod": "POST", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "networkEndpointGroup": { "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.", "required": true, "location": "path", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "minimum": "0", "default": "500", "type": "integer" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "parameterOrder": [ "project", "networkEndpointGroup" ], "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "id": "compute.globalNetworkEndpointGroups.listNetworkEndpoints", "description": "Lists the network endpoints in the specified network endpoint group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" } }, "delete": { "id": "compute.globalNetworkEndpointGroups.delete", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "networkEndpointGroup": { "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "project", "networkEndpointGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "description": "Deletes the specified network endpoint group.Note that the NEG cannot be deleted if there are backend services referencing it.", "response": { "$ref": "Operation" } }, "insert": { "httpMethod": "POST", "request": { "$ref": "NetworkEndpointGroup" }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/networkEndpointGroups", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalNetworkEndpointGroups.insert", "path": "projects/{project}/global/networkEndpointGroups", "parameterOrder": [ "project" ] }, "get": { "id": "compute.globalNetworkEndpointGroups.get", "flatPath": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "parameters": { "networkEndpointGroup": { "location": "path", "type": "string", "description": "The name of the network endpoint group. It should comply with RFC1035.", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "response": { "$ref": "NetworkEndpointGroup" }, "parameterOrder": [ "project", "networkEndpointGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "GET", "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request." } } }, "nodeTypes": { "methods": { "get": { "httpMethod": "GET", "id": "compute.nodeTypes.get", "parameterOrder": [ "project", "zone", "nodeType" ], "response": { "$ref": "NodeType" }, "path": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "flatPath": "projects/{project}/zones/{zone}/nodeTypes/{nodeType}", "parameters": { "nodeType": { "location": "path", "required": true, "type": "string", "description": "Name of the node type to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true } }, "description": "Returns the specified node type. Gets a list of available node types by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "path": "projects/{project}/zones/{zone}/nodeTypes", "flatPath": "projects/{project}/zones/{zone}/nodeTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.nodeTypes.list", "httpMethod": "GET", "parameters": { "maxResults": { "minimum": "0", "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "project", "zone" ], "description": "Retrieves a list of node types available to the specified project.", "response": { "$ref": "NodeTypeList" } }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/nodeTypes", "httpMethod": "GET", "parameterOrder": [ "project" ], "parameters": { "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "type": "integer", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "default": "500" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "id": "compute.nodeTypes.aggregatedList", "response": { "$ref": "NodeTypeAggregatedList" }, "path": "projects/{project}/aggregated/nodeTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of node types." } } }, "acceleratorTypes": { "methods": { "aggregatedList": { "path": "projects/{project}/aggregated/acceleratorTypes", "response": { "$ref": "AcceleratorTypeAggregatedList" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of accelerator types.", "id": "compute.acceleratorTypes.aggregatedList", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/acceleratorTypes", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "location": "query", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } }, "get": { "id": "compute.acceleratorTypes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "acceleratorType" ], "response": { "$ref": "AcceleratorType" }, "description": "Returns the specified accelerator type.", "httpMethod": "GET", "path": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes/{acceleratorType}", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "acceleratorType": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the accelerator type to return.", "type": "string", "required": true } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of accelerator types that are available to the specified project.", "path": "projects/{project}/zones/{zone}/acceleratorTypes", "id": "compute.acceleratorTypes.list", "httpMethod": "GET", "response": { "$ref": "AcceleratorTypeList" }, "flatPath": "projects/{project}/zones/{zone}/acceleratorTypes", "parameterOrder": [ "project", "zone" ], "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "location": "query", "format": "uint32", "type": "integer", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } } } } }, "instanceTemplates": { "methods": { "setIamPolicy": { "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "parameters": { "resource": { "required": true, "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "resource" ], "id": "compute.instanceTemplates.setIamPolicy", "flatPath": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/instanceTemplates/{resource}/setIamPolicy" }, "get": { "description": "Returns the specified instance template. Gets a list of available instance templates by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "instanceTemplate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "The name of the instance template.", "location": "path", "required": true }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "parameterOrder": [ "project", "instanceTemplate" ], "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "id": "compute.instanceTemplates.get", "response": { "$ref": "InstanceTemplate" }, "httpMethod": "GET", "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}" }, "list": { "response": { "$ref": "InstanceTemplateList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of instance templates that are contained within the specified project.", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "maxResults": { "location": "query", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "id": "compute.instanceTemplates.list", "path": "projects/{project}/global/instanceTemplates", "flatPath": "projects/{project}/global/instanceTemplates", "httpMethod": "GET", "parameterOrder": [ "project" ] }, "delete": { "flatPath": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "path": "projects/{project}/global/instanceTemplates/{instanceTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.instanceTemplates.delete", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "instanceTemplate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The name of the instance template to delete.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "DELETE", "description": "Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone. It is not possible to delete templates that are already in use by a managed instance group.", "parameterOrder": [ "project", "instanceTemplate" ] }, "getIamPolicy": { "path": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/instanceTemplates/{resource}/getIamPolicy", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "optionsRequestedPolicyVersion": { "type": "integer", "location": "query", "description": "Requested IAM Policy version.", "format": "int32" } }, "response": { "$ref": "Policy" }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "id": "compute.instanceTemplates.getIamPolicy" }, "insert": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.instanceTemplates.insert", "description": "Creates an instance template in the specified project using the data that is included in the request. If you are creating a new template to update an existing instance group, your new instance template must use the same network or, if applicable, the same subnetwork as the original template.", "response": { "$ref": "Operation" }, "request": { "$ref": "InstanceTemplate" }, "flatPath": "projects/{project}/global/instanceTemplates", "parameterOrder": [ "project" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/instanceTemplates" }, "testIamPermissions": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" } }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.instanceTemplates.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "path": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions", "flatPath": "projects/{project}/global/instanceTemplates/{resource}/testIamPermissions" } } }, "machineImages": { "methods": { "insert": { "request": { "$ref": "MachineImage" }, "id": "compute.machineImages.insert", "flatPath": "projects/{project}/global/machineImages", "description": "Creates a machine image in the specified project using the data that is included in the request. If you are creating a new machine image to update an existing instance, your new machine image should use the same network or, if applicable, the same subnetwork as the original instance.", "httpMethod": "POST", "parameterOrder": [ "project" ], "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "sourceInstance": { "location": "query", "type": "string", "description": "Required. Source instance that is used to create the machine image from." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/machineImages" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/machineImages/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.machineImages.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/machineImages/{resource}/testIamPermissions" }, "delete": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "machineImage": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "The name of the machine image to delete.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" } }, "path": "projects/{project}/global/machineImages/{machineImage}", "response": { "$ref": "Operation" }, "id": "compute.machineImages.delete", "description": "Deletes the specified machine image. Deleting a machine image is permanent and cannot be undone.", "parameterOrder": [ "project", "machineImage" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/machineImages/{machineImage}", "httpMethod": "DELETE" }, "get": { "parameters": { "machineImage": { "description": "The name of the machine image.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } }, "flatPath": "projects/{project}/global/machineImages/{machineImage}", "path": "projects/{project}/global/machineImages/{machineImage}", "parameterOrder": [ "project", "machineImage" ], "response": { "$ref": "MachineImage" }, "httpMethod": "GET", "description": "Returns the specified machine image. Gets a list of available machine images by making a list() request.", "id": "compute.machineImages.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "list": { "id": "compute.machineImages.list", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "minimum": "0", "format": "uint32", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "MachineImageList" }, "path": "projects/{project}/global/machineImages", "description": "Retrieves a list of machine images that are contained within the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/machineImages", "parameterOrder": [ "project" ] }, "setIamPolicy": { "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "id": "compute.machineImages.setIamPolicy", "response": { "$ref": "Policy" }, "path": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "httpMethod": "POST", "request": { "$ref": "GlobalSetPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/machineImages/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ] }, "getIamPolicy": { "httpMethod": "GET", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "optionsRequestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Requested IAM Policy version." }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "path": "projects/{project}/global/machineImages/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/machineImages/{resource}/getIamPolicy", "id": "compute.machineImages.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ] } } }, "routers": { "methods": { "update": { "request": { "$ref": "Router" }, "flatPath": "projects/{project}/regions/{region}/routers/{router}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/routers/{router}", "id": "compute.routers.update", "parameterOrder": [ "project", "region", "router" ], "httpMethod": "PUT", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "router": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Router resource to update.", "location": "path" } }, "description": "Updates the specified Router resource with the data included in the request. This method conforms to PUT semantics, which requests that the state of the target resource be created or replaced with the state defined by the representation enclosed in the request message payload." }, "insert": { "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/routers", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/routers", "id": "compute.routers.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a Router resource in the specified project and region using the data included in the request.", "request": { "$ref": "Router" } }, "preview": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "router": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the Router resource to query.", "type": "string", "required": true } }, "parameterOrder": [ "project", "region", "router" ], "request": { "$ref": "Router" }, "description": "Preview fields auto-generated during router create and update operations. Calling this method does NOT create or update the router.", "id": "compute.routers.preview", "response": { "$ref": "RoutersPreviewResponse" }, "flatPath": "projects/{project}/regions/{region}/routers/{router}/preview", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/routers/{router}/preview" }, "delete": { "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "router": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the Router resource to delete.", "location": "path", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "path": "projects/{project}/regions/{region}/routers/{router}", "response": { "$ref": "Operation" }, "id": "compute.routers.delete", "description": "Deletes the specified Router resource.", "parameterOrder": [ "project", "region", "router" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/routers/{router}" }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "default": "500", "location": "query" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "httpMethod": "GET", "id": "compute.routers.aggregatedList", "path": "projects/{project}/aggregated/routers", "description": "Retrieves an aggregated list of routers.", "flatPath": "projects/{project}/aggregated/routers", "parameterOrder": [ "project" ], "response": { "$ref": "RouterAggregatedList" } }, "getNatMappingInfo": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo", "flatPath": "projects/{project}/regions/{region}/routers/{router}/getNatMappingInfo", "description": "Retrieves runtime Nat mapping information of VM endpoints.", "id": "compute.routers.getNatMappingInfo", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "router": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the Router resource to query for Nat Mapping information of VM endpoints." }, "maxResults": { "default": "500", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "VmEndpointNatMappingsList" }, "parameterOrder": [ "project", "region", "router" ] }, "get": { "flatPath": "projects/{project}/regions/{region}/routers/{router}", "parameters": { "router": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the Router resource to return." }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/routers/{router}", "response": { "$ref": "Router" }, "parameterOrder": [ "project", "region", "router" ], "description": "Returns the specified Router resource. Gets a list of available routers by making a list() request.", "id": "compute.routers.get" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "location": "path", "type": "string", "required": true }, "maxResults": { "format": "uint32", "type": "integer", "default": "500", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "id": "compute.routers.list", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/routers", "description": "Retrieves a list of Router resources available to the specified project.", "flatPath": "projects/{project}/regions/{region}/routers", "response": { "$ref": "RouterList" } }, "getRouterStatus": { "response": { "$ref": "RouterStatusResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "parameterOrder": [ "project", "region", "router" ], "id": "compute.routers.getRouterStatus", "path": "projects/{project}/regions/{region}/routers/{router}/getRouterStatus", "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true }, "router": { "description": "Name of the Router resource to query.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "description": "Retrieves runtime information of the specified router." }, "patch": { "flatPath": "projects/{project}/regions/{region}/routers/{router}", "request": { "$ref": "Router" }, "parameterOrder": [ "project", "region", "router" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.routers.patch", "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request.", "location": "path", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "router": { "location": "path", "type": "string", "description": "Name of the Router resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "path": "projects/{project}/regions/{region}/routers/{router}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH" } } }, "publicAdvertisedPrefixes": { "methods": { "insert": { "path": "projects/{project}/global/publicAdvertisedPrefixes", "response": { "$ref": "Operation" }, "parameterOrder": [ "project" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Creates a PublicAdvertisedPrefix in the specified project using the parameters that are included in the request.", "request": { "$ref": "PublicAdvertisedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/publicAdvertisedPrefixes", "id": "compute.publicAdvertisedPrefixes.insert", "httpMethod": "POST" }, "delete": { "id": "compute.publicAdvertisedPrefixes.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "publicAdvertisedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the PublicAdvertisedPrefix resource to delete.", "required": true, "type": "string" } }, "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "description": "Deletes the specified PublicAdvertisedPrefix" }, "patch": { "httpMethod": "PATCH", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.publicAdvertisedPrefixes.patch", "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "description": "Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "publicAdvertisedPrefix": { "description": "Name of the PublicAdvertisedPrefix resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "PublicAdvertisedPrefix" } }, "get": { "flatPath": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "httpMethod": "GET", "id": "compute.publicAdvertisedPrefixes.get", "parameterOrder": [ "project", "publicAdvertisedPrefix" ], "path": "projects/{project}/global/publicAdvertisedPrefixes/{publicAdvertisedPrefix}", "response": { "$ref": "PublicAdvertisedPrefix" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "publicAdvertisedPrefix": { "location": "path", "description": "Name of the PublicAdvertisedPrefix resource to return.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Returns the specified PublicAdvertisedPrefix resource." }, "list": { "description": "Lists the PublicAdvertisedPrefixes for a project.", "response": { "$ref": "PublicAdvertisedPrefixList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "path": "projects/{project}/global/publicAdvertisedPrefixes", "flatPath": "projects/{project}/global/publicAdvertisedPrefixes", "id": "compute.publicAdvertisedPrefixes.list", "httpMethod": "GET", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500", "location": "query" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } } } } }, "forwardingRules": { "methods": { "setLabels": { "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "region": { "description": "The region for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "RegionSetLabelsRequest" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels", "path": "projects/{project}/regions/{region}/forwardingRules/{resource}/setLabels", "id": "compute.forwardingRules.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation." }, "delete": { "id": "compute.forwardingRules.delete", "description": "Deletes the specified ForwardingRule resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "forwardingRule": { "description": "Name of the ForwardingRule resource to delete.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "parameterOrder": [ "project", "region", "forwardingRule" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Creates a ForwardingRule resource in the specified project and region using the data included in the request.", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/forwardingRules", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules", "request": { "$ref": "ForwardingRule" }, "parameterOrder": [ "project", "region" ], "id": "compute.forwardingRules.insert" }, "get": { "parameterOrder": [ "project", "region", "forwardingRule" ], "description": "Returns the specified ForwardingRule resource.", "id": "compute.forwardingRules.get", "response": { "$ref": "ForwardingRule" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "forwardingRule": { "location": "path", "required": true, "type": "string", "description": "Name of the ForwardingRule resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}" }, "setTarget": { "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "request": { "$ref": "TargetReference" }, "parameters": { "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the ForwardingRule resource in which target is to be set.", "required": true }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "forwardingRule" ], "id": "compute.forwardingRules.setTarget", "description": "Changes target URL for forwarding rule. The new target should be of the same type as the old target.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "aggregatedList": { "parameterOrder": [ "project" ], "id": "compute.forwardingRules.aggregatedList", "parameters": { "maxResults": { "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "format": "uint32" }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" } }, "description": "Retrieves an aggregated list of forwarding rules.", "httpMethod": "GET", "response": { "$ref": "ForwardingRuleAggregatedList" }, "path": "projects/{project}/aggregated/forwardingRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/forwardingRules" }, "patch": { "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "id": "compute.forwardingRules.patch", "flatPath": "projects/{project}/regions/{region}/forwardingRules/{forwardingRule}", "request": { "$ref": "ForwardingRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "forwardingRule" ], "parameters": { "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the ForwardingRule resource to patch.", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." } } }, "list": { "path": "projects/{project}/regions/{region}/forwardingRules", "description": "Retrieves a list of ForwardingRule resources available to the specified project and region.", "response": { "$ref": "ForwardingRuleList" }, "flatPath": "projects/{project}/regions/{region}/forwardingRules", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "minimum": "0", "default": "500", "location": "query" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.forwardingRules.list", "parameterOrder": [ "project", "region" ] } } }, "securityPolicies": { "methods": { "addRule": { "description": "Inserts a rule into a security policy.", "path": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "id": "compute.securityPolicies.addRule", "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "SecurityPolicyRule" }, "parameterOrder": [ "project", "securityPolicy" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "validateOnly": { "type": "boolean", "description": "If true, the request will not be committed.", "location": "query" }, "securityPolicy": { "type": "string", "required": true, "location": "path", "description": "Name of the security policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/addRule", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "flatPath": "projects/{project}/global/securityPolicies", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "validateOnly": { "location": "query", "description": "If true, the request will not be committed.", "type": "boolean" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST", "parameterOrder": [ "project" ], "id": "compute.securityPolicies.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicy" }, "path": "projects/{project}/global/securityPolicies", "description": "Creates a new policy in the specified project using the data included in the request.", "response": { "$ref": "Operation" } }, "list": { "flatPath": "projects/{project}/global/securityPolicies", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "List all the policies that have been configured for the specified project.", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "default": "500", "location": "query", "format": "uint32", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "response": { "$ref": "SecurityPolicyList" }, "id": "compute.securityPolicies.list", "parameterOrder": [ "project" ], "path": "projects/{project}/global/securityPolicies" }, "getRule": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets a rule at the specified priority.", "parameters": { "priority": { "type": "integer", "format": "int32", "location": "query", "description": "The priority of the rule to get from the security policy." }, "securityPolicy": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the security policy to which the queried rule belongs." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." } }, "id": "compute.securityPolicies.getRule", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "response": { "$ref": "SecurityPolicyRule" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/getRule", "parameterOrder": [ "project", "securityPolicy" ] }, "patch": { "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the security policy to update.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "PATCH", "id": "compute.securityPolicies.patch", "response": { "$ref": "Operation" }, "description": "Patches the specified policy with the data included in the request. This cannot be used to be update the rules in the policy. Please use the per rule methods like addRule, patchRule, and removeRule instead.", "parameterOrder": [ "project", "securityPolicy" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "request": { "$ref": "SecurityPolicy" } }, "aggregatedList": { "id": "compute.securityPolicies.aggregatedList", "path": "projects/{project}/aggregated/securityPolicies", "description": "Retrieves the list of all SecurityPolicy resources, regional and global, available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/securityPolicies", "response": { "$ref": "SecurityPoliciesAggregatedList" }, "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "location": "path", "description": "Name of the project scoping this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "httpMethod": "GET", "parameterOrder": [ "project" ] }, "patchRule": { "description": "Patches a rule at the specified priority.", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule", "path": "projects/{project}/global/securityPolicies/{securityPolicy}/patchRule", "httpMethod": "POST", "parameterOrder": [ "project", "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicyRule" }, "response": { "$ref": "Operation" }, "id": "compute.securityPolicies.patchRule", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "securityPolicy": { "description": "Name of the security policy to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path" }, "validateOnly": { "type": "boolean", "description": "If true, the request will not be committed.", "location": "query" }, "priority": { "location": "query", "description": "The priority of the rule to patch.", "format": "int32", "type": "integer" } } }, "listPreconfiguredExpressionSets": { "httpMethod": "GET", "description": "Gets the current list of preconfigured Web Application Firewall (WAF) expressions.", "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "location": "query", "type": "integer", "default": "500", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "path": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "parameterOrder": [ "project" ], "response": { "$ref": "SecurityPoliciesListPreconfiguredExpressionSetsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/securityPolicies/listPreconfiguredExpressionSets", "id": "compute.securityPolicies.listPreconfiguredExpressionSets" }, "delete": { "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}", "id": "compute.securityPolicies.delete", "parameterOrder": [ "project", "securityPolicy" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "description": "Deletes the specified policy.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "securityPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the security policy to delete.", "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE" }, "removeRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "parameterOrder": [ "project", "securityPolicy" ], "description": "Deletes a rule at the specified priority.", "parameters": { "priority": { "format": "int32", "type": "integer", "description": "The priority of the rule to remove from the security policy.", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "securityPolicy": { "description": "Name of the security policy to update.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/securityPolicies/{securityPolicy}/removeRule", "id": "compute.securityPolicies.removeRule", "httpMethod": "POST" }, "get": { "parameterOrder": [ "project", "securityPolicy" ], "response": { "$ref": "SecurityPolicy" }, "description": "List all of the ordered rules present in a single specified policy.", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "securityPolicy": { "type": "string", "description": "Name of the security policy to get.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/securityPolicies/{securityPolicy}", "id": "compute.securityPolicies.get", "httpMethod": "GET", "flatPath": "projects/{project}/global/securityPolicies/{securityPolicy}" } } }, "globalForwardingRules": { "methods": { "setLabels": { "parameterOrder": [ "project", "resource" ], "id": "compute.globalForwardingRules.setLabels", "path": "projects/{project}/global/forwardingRules/{resource}/setLabels", "request": { "$ref": "GlobalSetLabelsRequest" }, "description": "Sets the labels on the specified resource. To learn more about labels, read the Labeling resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "flatPath": "projects/{project}/global/forwardingRules/{resource}/setLabels", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "patch": { "description": "Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.", "request": { "$ref": "ForwardingRule" }, "parameterOrder": [ "project", "forwardingRule" ], "httpMethod": "PATCH", "id": "compute.globalForwardingRules.patch", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "forwardingRule": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the ForwardingRule resource to patch." } }, "response": { "$ref": "Operation" } }, "setTarget": { "path": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}/setTarget", "parameters": { "forwardingRule": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true, "description": "Name of the ForwardingRule resource in which target is to be set." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "parameterOrder": [ "project", "forwardingRule" ], "request": { "$ref": "TargetReference" }, "id": "compute.globalForwardingRules.setTarget", "description": "Changes target URL for the GlobalForwardingRule resource. The new target should be of the same type as the old target." }, "insert": { "httpMethod": "POST", "flatPath": "projects/{project}/global/forwardingRules", "request": { "$ref": "ForwardingRule" }, "description": "Creates a GlobalForwardingRule resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "id": "compute.globalForwardingRules.insert", "path": "projects/{project}/global/forwardingRules" }, "delete": { "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "forwardingRule": { "required": true, "type": "string", "description": "Name of the ForwardingRule resource to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "forwardingRule" ], "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "response": { "$ref": "Operation" }, "id": "compute.globalForwardingRules.delete", "description": "Deletes the specified GlobalForwardingRule resource." }, "get": { "parameters": { "forwardingRule": { "description": "Name of the ForwardingRule resource to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/forwardingRules/{forwardingRule}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/forwardingRules/{forwardingRule}", "parameterOrder": [ "project", "forwardingRule" ], "id": "compute.globalForwardingRules.get", "description": "Returns the specified GlobalForwardingRule resource. Gets a list of available forwarding rules by making a list() request.", "response": { "$ref": "ForwardingRule" }, "httpMethod": "GET" }, "list": { "response": { "$ref": "ForwardingRuleList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "format": "uint32", "type": "integer", "minimum": "0" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "id": "compute.globalForwardingRules.list", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/forwardingRules", "httpMethod": "GET", "description": "Retrieves a list of GlobalForwardingRule resources available to the specified project.", "path": "projects/{project}/global/forwardingRules" } } }, "regionInstances": { "methods": { "bulkInsert": { "httpMethod": "POST", "request": { "$ref": "BulkInsertInstanceResource" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/instances/bulkInsert", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "region": { "description": "The name of the region for this request.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" }, "description": "Creates multiple instances in a given region. Count specifies the number of instances to create.", "flatPath": "projects/{project}/regions/{region}/instances/bulkInsert", "id": "compute.regionInstances.bulkInsert" } } }, "targetHttpsProxies": { "methods": { "setSslCertificates": { "httpMethod": "POST", "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for." } }, "request": { "$ref": "TargetHttpsProxiesSetSslCertificatesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpsProxies.setSslCertificates", "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "description": "Replaces SslCertificates for TargetHttpsProxy." }, "get": { "parameters": { "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to return.", "location": "path", "required": true, "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "description": "Returns the specified TargetHttpsProxy resource. Gets a list of available target HTTPS proxies by making a list() request.", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "GET", "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "TargetHttpsProxy" }, "id": "compute.targetHttpsProxies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "description": "Patches the specified TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "id": "compute.targetHttpsProxies.patch", "parameterOrder": [ "project", "targetHttpsProxy" ], "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to patch.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "request": { "$ref": "TargetHttpsProxy" } }, "setCertificateMap": { "response": { "$ref": "Operation" }, "parameters": { "targetHttpsProxy": { "type": "string", "location": "path", "required": true, "description": "Name of the TargetHttpsProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035." }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "targetHttpsProxy" ], "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the Certificate Map for TargetHttpsProxy.", "id": "compute.targetHttpsProxies.setCertificateMap", "request": { "$ref": "TargetHttpsProxiesSetCertificateMapRequest" }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setCertificateMap", "httpMethod": "POST" }, "setSslPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpsProxies.setSslPolicy", "httpMethod": "POST", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setSslPolicy", "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "request": { "$ref": "SslPolicyReference" }, "description": "Sets the SSL policy for TargetHttpsProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the HTTPS proxy load balancer. They do not affect the connection between the load balancer and the backends.", "parameters": { "targetHttpsProxy": { "description": "Name of the TargetHttpsProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/targetHttpsProxies", "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project.", "id": "compute.targetHttpsProxies.list", "parameterOrder": [ "project" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/targetHttpsProxies", "response": { "$ref": "TargetHttpsProxyList" } }, "setQuicOverride": { "description": "Sets the QUIC override policy for TargetHttpsProxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpsProxiesSetQuicOverrideRequest" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetHttpsProxy" ], "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride", "id": "compute.targetHttpsProxies.setQuicOverride", "parameters": { "targetHttpsProxy": { "location": "path", "required": true, "type": "string", "description": "Name of the TargetHttpsProxy resource to set the QUIC override policy for. The name should conform to RFC1035." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}/setQuicOverride" }, "aggregatedList": { "id": "compute.targetHttpsProxies.aggregatedList", "path": "projects/{project}/aggregated/targetHttpsProxies", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "default": "500" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "project": { "description": "Name of the project scoping this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "response": { "$ref": "TargetHttpsProxyAggregatedList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/targetHttpsProxies", "httpMethod": "GET", "description": "Retrieves the list of all TargetHttpsProxy resources, regional and global, available to the specified project." }, "delete": { "description": "Deletes the specified TargetHttpsProxy resource.", "parameterOrder": [ "project", "targetHttpsProxy" ], "path": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "parameters": { "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetHttpsProxy resource to delete.", "required": true, "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpsProxies.delete", "flatPath": "projects/{project}/global/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "DELETE", "response": { "$ref": "Operation" } }, "setUrlMap": { "path": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the URL map for TargetHttpsProxy.", "parameterOrder": [ "project", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "id": "compute.targetHttpsProxies.setUrlMap", "httpMethod": "POST", "flatPath": "projects/{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "request": { "$ref": "UrlMapReference" }, "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "targetHttpsProxy": { "required": true, "type": "string", "description": "Name of the TargetHttpsProxy resource whose URL map is to be set.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "insert": { "request": { "$ref": "TargetHttpsProxy" }, "flatPath": "projects/{project}/global/targetHttpsProxies", "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "id": "compute.targetHttpsProxies.insert", "httpMethod": "POST", "path": "projects/{project}/global/targetHttpsProxies", "parameterOrder": [ "project" ], "description": "Creates a TargetHttpsProxy resource in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } } } }, "targetInstances": { "methods": { "get": { "description": "Returns the specified TargetInstance resource. Gets a list of available target instances by making a list() request.", "id": "compute.targetInstances.get", "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "parameters": { "zone": { "location": "path", "type": "string", "description": "Name of the zone scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "targetInstance": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetInstance resource to return." }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "targetInstance" ], "response": { "$ref": "TargetInstance" } }, "list": { "id": "compute.targetInstances.list", "response": { "$ref": "TargetInstanceList" }, "flatPath": "projects/{project}/zones/{zone}/targetInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/targetInstances", "httpMethod": "GET", "description": "Retrieves a list of TargetInstance resources available to the specified project and zone.", "parameterOrder": [ "project", "zone" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "zone": { "location": "path", "required": true, "description": "Name of the zone scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "default": "500", "type": "integer", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } } }, "delete": { "id": "compute.targetInstances.delete", "parameters": { "zone": { "description": "Name of the zone scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "targetInstance": { "description": "Name of the TargetInstance resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "flatPath": "projects/{project}/zones/{zone}/targetInstances/{targetInstance}", "httpMethod": "DELETE", "parameterOrder": [ "project", "zone", "targetInstance" ], "description": "Deletes the specified TargetInstance resource." }, "aggregatedList": { "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/targetInstances", "id": "compute.targetInstances.aggregatedList", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "default": "500", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "response": { "$ref": "TargetInstanceAggregatedList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/aggregated/targetInstances", "description": "Retrieves an aggregated list of target instances." }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetInstance" }, "description": "Creates a TargetInstance resource in the specified project and zone using the data included in the request.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/targetInstances", "path": "projects/{project}/zones/{zone}/targetInstances", "parameterOrder": [ "project", "zone" ], "id": "compute.targetInstances.insert", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone scoping this request." } } } } }, "globalOperations": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the specified Operations resource.", "httpMethod": "GET", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "operation": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the Operations resource to return.", "type": "string" } }, "id": "compute.globalOperations.get", "path": "projects/{project}/global/operations/{operation}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/operations/{operation}", "parameterOrder": [ "project", "operation" ] }, "list": { "flatPath": "projects/{project}/global/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "parameterOrder": [ "project" ], "path": "projects/{project}/global/operations", "httpMethod": "GET", "id": "compute.globalOperations.list", "description": "Retrieves a list of Operation resources contained within the specified project.", "response": { "$ref": "OperationList" } }, "delete": { "parameters": { "operation": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the Operations resource to delete.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true } }, "path": "projects/{project}/global/operations/{operation}", "flatPath": "projects/{project}/global/operations/{operation}", "id": "compute.globalOperations.delete", "parameterOrder": [ "project", "operation" ], "description": "Deletes the specified Operations resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE" }, "wait": { "flatPath": "projects/{project}/global/operations/{operation}/wait", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/operations/{operation}/wait", "parameters": { "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "operation": { "location": "path", "type": "string", "description": "Name of the Operations resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "parameterOrder": [ "project", "operation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. ", "httpMethod": "POST", "id": "compute.globalOperations.wait" }, "aggregatedList": { "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of all operations.", "path": "projects/{project}/aggregated/operations", "response": { "$ref": "OperationAggregatedList" }, "flatPath": "projects/{project}/aggregated/operations", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "id": "compute.globalOperations.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionSslCertificates": { "methods": { "insert": { "flatPath": "projects/{project}/regions/{region}/sslCertificates", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true } }, "httpMethod": "POST", "request": { "$ref": "SslCertificate" }, "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Creates a SslCertificate resource in the specified project and region using the data included in the request", "path": "projects/{project}/regions/{region}/sslCertificates", "id": "compute.regionSslCertificates.insert" }, "get": { "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified SslCertificate resource in the specified region. Get a list of available SSL certificates by making a list() request.", "response": { "$ref": "SslCertificate" }, "id": "compute.regionSslCertificates.get", "parameters": { "sslCertificate": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the SslCertificate resource to return." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "Name of the region scoping this request." } }, "parameterOrder": [ "project", "region", "sslCertificate" ] }, "delete": { "id": "compute.regionSslCertificates.delete", "httpMethod": "DELETE", "parameters": { "region": { "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "sslCertificate": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the SslCertificate resource to delete.", "type": "string", "location": "path" } }, "flatPath": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/sslCertificates/{sslCertificate}", "description": "Deletes the specified SslCertificate resource in the region.", "parameterOrder": [ "project", "region", "sslCertificate" ], "response": { "$ref": "Operation" } }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/sslCertificates", "flatPath": "projects/{project}/regions/{region}/sslCertificates", "response": { "$ref": "SslCertificateList" }, "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "default": "500", "minimum": "0" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "parameterOrder": [ "project", "region" ], "description": "Retrieves the list of SslCertificate resources available to the specified project in the specified region.", "id": "compute.regionSslCertificates.list" } } }, "regionHealthChecks": { "methods": { "get": { "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "id": "compute.regionHealthChecks.get", "parameters": { "healthCheck": { "description": "Name of the HealthCheck resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request." } }, "parameterOrder": [ "project", "region", "healthCheck" ], "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "httpMethod": "GET", "response": { "$ref": "HealthCheck" } }, "insert": { "description": "Creates a HealthCheck resource in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "request": { "$ref": "HealthCheck" }, "path": "projects/{project}/regions/{region}/healthChecks", "id": "compute.regionHealthChecks.insert", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/healthChecks" }, "list": { "id": "compute.regionHealthChecks.list", "flatPath": "projects/{project}/regions/{region}/healthChecks", "parameterOrder": [ "project", "region" ], "httpMethod": "GET", "parameters": { "maxResults": { "type": "integer", "minimum": "0", "default": "500", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/regions/{region}/healthChecks", "response": { "$ref": "HealthCheckList" }, "description": "Retrieves the list of HealthCheck resources available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "update": { "description": "Updates a HealthCheck resource in the specified project using the data included in the request.", "id": "compute.regionHealthChecks.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameterOrder": [ "project", "region", "healthCheck" ], "httpMethod": "PUT", "request": { "$ref": "HealthCheck" }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "healthCheck": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the HealthCheck resource to update.", "type": "string", "location": "path" }, "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "delete": { "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "httpMethod": "DELETE", "id": "compute.regionHealthChecks.delete", "parameterOrder": [ "project", "region", "healthCheck" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "healthCheck": { "description": "Name of the HealthCheck resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." } }, "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified HealthCheck resource." }, "patch": { "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "healthCheck": { "required": true, "type": "string", "location": "path", "description": "Name of the HealthCheck resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.regionHealthChecks.patch", "response": { "$ref": "Operation" }, "request": { "$ref": "HealthCheck" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "path": "projects/{project}/regions/{region}/healthChecks/{healthCheck}", "parameterOrder": [ "project", "region", "healthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "addresses": { "methods": { "list": { "id": "compute.addresses.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region for this request." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32", "default": "500", "type": "integer" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "description": "Retrieves a list of addresses contained within the specified region.", "response": { "$ref": "AddressList" }, "flatPath": "projects/{project}/regions/{region}/addresses", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/addresses" }, "insert": { "description": "Creates an address resource in the specified project by using the data included in the request.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/addresses", "request": { "$ref": "Address" }, "id": "compute.addresses.insert", "flatPath": "projects/{project}/regions/{region}/addresses", "parameterOrder": [ "project", "region" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region for this request.", "location": "path" } } }, "get": { "parameterOrder": [ "project", "region", "address" ], "httpMethod": "GET", "id": "compute.addresses.get", "flatPath": "projects/{project}/regions/{region}/addresses/{address}", "path": "projects/{project}/regions/{region}/addresses/{address}", "parameters": { "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "address": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to return.", "type": "string" } }, "response": { "$ref": "Address" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified address resource." }, "aggregatedList": { "parameterOrder": [ "project" ], "id": "compute.addresses.aggregatedList", "response": { "$ref": "AddressAggregatedList" }, "parameters": { "maxResults": { "type": "integer", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/addresses", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/addresses", "description": "Retrieves an aggregated list of addresses." }, "delete": { "path": "projects/{project}/regions/{region}/addresses/{address}", "description": "Deletes the specified address resource.", "parameterOrder": [ "project", "region", "address" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "address": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the address resource to delete." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "id": "compute.addresses.delete", "flatPath": "projects/{project}/regions/{region}/addresses/{address}" } } }, "regionSecurityPolicies": { "methods": { "get": { "response": { "$ref": "SecurityPolicy" }, "description": "List all of the ordered rules present in a single specified policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "id": "compute.regionSecurityPolicies.get", "parameters": { "securityPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the security policy to get.", "location": "path" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "project", "region", "securityPolicy" ] }, "list": { "path": "projects/{project}/regions/{region}/securityPolicies", "id": "compute.regionSecurityPolicies.list", "flatPath": "projects/{project}/regions/{region}/securityPolicies", "parameterOrder": [ "project", "region" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "format": "uint32", "type": "integer" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" } }, "response": { "$ref": "SecurityPolicyList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "List all the policies that have been configured for the specified project and region.", "httpMethod": "GET" }, "delete": { "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "response": { "$ref": "Operation" }, "id": "compute.regionSecurityPolicies.delete", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string" }, "securityPolicy": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the security policy to delete.", "required": true }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "region", "securityPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "description": "Deletes the specified policy." }, "insert": { "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/securityPolicies", "parameters": { "validateOnly": { "location": "query", "description": "If true, the request will not be committed.", "type": "boolean" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/regions/{region}/securityPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SecurityPolicy" }, "description": "Creates a new policy in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "id": "compute.regionSecurityPolicies.insert", "httpMethod": "POST" }, "patch": { "id": "compute.regionSecurityPolicies.patch", "request": { "$ref": "SecurityPolicy" }, "flatPath": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/securityPolicies/{securityPolicy}", "parameters": { "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request." }, "securityPolicy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name of the security policy to update." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Patches the specified policy with the data included in the request.", "parameterOrder": [ "project", "region", "securityPolicy" ] } } }, "disks": { "methods": { "list": { "id": "compute.disks.list", "parameterOrder": [ "project", "zone" ], "response": { "$ref": "DiskList" }, "description": "Retrieves a list of persistent disks contained within the specified zone.", "flatPath": "projects/{project}/zones/{zone}/disks", "httpMethod": "GET", "parameters": { "zone": { "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "format": "uint32", "location": "query", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "path": "projects/{project}/zones/{zone}/disks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/disks/{disk}", "parameters": { "disk": { "description": "Name of the persistent disk to delete.", "location": "path", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Deletes the specified persistent disk. Deleting a disk removes its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "parameterOrder": [ "project", "zone", "disk" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "id": "compute.disks.delete", "flatPath": "projects/{project}/zones/{zone}/disks/{disk}" }, "removeResourcePolicies": { "path": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies", "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Removes resource policies from a disk.", "request": { "$ref": "DisksRemoveResourcePoliciesRequest" }, "parameterOrder": [ "project", "zone", "disk" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "disk": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The disk name for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/removeResourcePolicies", "id": "compute.disks.removeResourcePolicies" }, "setIamPolicy": { "id": "compute.disks.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "zone": { "description": "The name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy", "request": { "$ref": "ZoneSetPolicyRequest" }, "path": "projects/{project}/zones/{zone}/disks/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "zone", "resource" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "project", "zone", "disk" ], "description": "Returns a specified persistent disk. Gets a list of available persistent disks by making a list() request.", "response": { "$ref": "Disk" }, "path": "projects/{project}/zones/{zone}/disks/{disk}", "parameters": { "disk": { "description": "Name of the persistent disk to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}", "id": "compute.disks.get" }, "testIamPermissions": { "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.disks.testIamPermissions", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string" }, "resource": { "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "project", "zone", "resource" ], "path": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" } }, "setLabels": { "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/setLabels", "request": { "$ref": "ZoneSetLabelsRequest" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.disks.setLabels", "path": "projects/{project}/zones/{zone}/disks/{resource}/setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the labels on a disk. To learn more about labels, read the Labeling Resources documentation.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "resource": { "type": "string", "required": true, "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "location": "path", "required": true, "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "parameterOrder": [ "project", "zone", "resource" ] }, "getIamPolicy": { "parameterOrder": [ "project", "zone", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.disks.getIamPolicy", "flatPath": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "parameters": { "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name or id of the resource for this request." }, "optionsRequestedPolicyVersion": { "type": "integer", "description": "Requested IAM Policy version.", "location": "query", "format": "int32" }, "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Policy" }, "path": "projects/{project}/zones/{zone}/disks/{resource}/getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists." }, "insert": { "path": "projects/{project}/zones/{zone}/disks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a persistent disk in the specified project using the data in the request. You can create a disk from a source (sourceImage, sourceSnapshot, or sourceDisk) or create an empty 500 GB data disk by omitting all properties. You can also create a disk that is larger than the default size by specifying the sizeGb property.", "parameterOrder": [ "project", "zone" ], "httpMethod": "POST", "parameters": { "sourceImage": { "type": "string", "description": "Source image to restore onto a disk. This field is optional.", "location": "query" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "required": true, "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" } }, "request": { "$ref": "Disk" }, "flatPath": "projects/{project}/zones/{zone}/disks", "response": { "$ref": "Operation" }, "id": "compute.disks.insert" }, "addResourcePolicies": { "response": { "$ref": "Operation" }, "description": "Adds existing resource policies to a disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.", "id": "compute.disks.addResourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "zone", "disk" ], "parameters": { "zone": { "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "disk": { "type": "string", "description": "The disk name for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true } }, "path": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies", "request": { "$ref": "DisksAddResourcePoliciesRequest" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/addResourcePolicies" }, "aggregatedList": { "response": { "$ref": "DiskAggregatedList" }, "flatPath": "projects/{project}/aggregated/disks", "parameters": { "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "parameterOrder": [ "project" ], "httpMethod": "GET", "id": "compute.disks.aggregatedList", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/disks", "description": "Retrieves an aggregated list of persistent disks." }, "resize": { "parameterOrder": [ "project", "zone", "disk" ], "path": "projects/{project}/zones/{zone}/disks/{disk}/resize", "response": { "$ref": "Operation" }, "description": "Resizes the specified persistent disk. You can only increase the size of the disk.", "id": "compute.disks.resize", "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "disk": { "description": "The name of the persistent disk.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/resize", "request": { "$ref": "DisksResizeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "createSnapshot": { "parameterOrder": [ "project", "zone", "disk" ], "request": { "$ref": "Snapshot" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.", "parameters": { "guestFlush": { "location": "query", "description": "[Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process.", "type": "boolean" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "The name of the zone for this request." }, "disk": { "description": "Name of the persistent disk to snapshot.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "id": "compute.disks.createSnapshot", "path": "projects/{project}/zones/{zone}/disks/{disk}/createSnapshot", "httpMethod": "POST" } } }, "httpHealthChecks": { "methods": { "update": { "id": "compute.httpHealthChecks.update", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "httpHealthCheck": { "description": "Name of the HttpHealthCheck resource to update.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request.", "request": { "$ref": "HttpHealthCheck" }, "parameterOrder": [ "project", "httpHealthCheck" ], "httpMethod": "PUT" }, "get": { "id": "compute.httpHealthChecks.get", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "httpMethod": "GET", "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "parameters": { "httpHealthCheck": { "description": "Name of the HttpHealthCheck resource to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "httpHealthCheck" ], "description": "Returns the specified HttpHealthCheck resource. Gets a list of available HTTP health checks by making a list() request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "HttpHealthCheck" } }, "delete": { "description": "Deletes the specified HttpHealthCheck resource.", "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "parameterOrder": [ "project", "httpHealthCheck" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "httpHealthCheck": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the HttpHealthCheck resource to delete.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "id": "compute.httpHealthChecks.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/httpHealthChecks", "description": "Retrieves the list of HttpHealthCheck resources available to the specified project.", "id": "compute.httpHealthChecks.list", "parameterOrder": [ "project" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "type": "integer" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "httpMethod": "GET", "response": { "$ref": "HttpHealthCheckList" }, "flatPath": "projects/{project}/global/httpHealthChecks" }, "patch": { "path": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "description": "Updates a HttpHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "httpHealthCheck" ], "id": "compute.httpHealthChecks.patch", "parameters": { "httpHealthCheck": { "description": "Name of the HttpHealthCheck resource to patch.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/httpHealthChecks/{httpHealthCheck}", "request": { "$ref": "HttpHealthCheck" } }, "insert": { "httpMethod": "POST", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "HttpHealthCheck" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates a HttpHealthCheck resource in the specified project using the data included in the request.", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/httpHealthChecks", "flatPath": "projects/{project}/global/httpHealthChecks", "id": "compute.httpHealthChecks.insert" } } }, "reservations": { "methods": { "aggregatedList": { "id": "compute.reservations.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/reservations", "flatPath": "projects/{project}/aggregated/reservations", "response": { "$ref": "ReservationAggregatedList" }, "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "default": "500", "format": "uint32", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" } }, "description": "Retrieves an aggregated list of reservations." }, "delete": { "parameters": { "reservation": { "type": "string", "required": true, "description": "Name of the reservation to delete.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "required": true, "description": "Name of the zone for this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "response": { "$ref": "Operation" }, "description": "Deletes the specified reservation.", "id": "compute.reservations.delete", "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameterOrder": [ "project", "zone", "reservation" ] }, "resize": { "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "request": { "$ref": "ReservationsResizeRequest" }, "response": { "$ref": "Operation" }, "parameters": { "zone": { "required": true, "location": "path", "description": "Name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "reservation": { "required": true, "description": "Name of the reservation to update.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Resizes the reservation (applicable to standalone reservations only). For more information, read Modifying reservations.", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}/resize", "parameterOrder": [ "project", "zone", "reservation" ], "id": "compute.reservations.resize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "testIamPermissions": { "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "id": "compute.reservations.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/testIamPermissions" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "path": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy", "id": "compute.reservations.setIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/setIamPolicy", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "resource": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ZoneSetPolicyRequest" } }, "insert": { "path": "projects/{project}/zones/{zone}/reservations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/reservations", "id": "compute.reservations.insert", "description": "Creates a new reservation. For more information, read Reserving zonal resources.", "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "zone": { "type": "string", "description": "Name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "request": { "$ref": "Reservation" } }, "getIamPolicy": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ], "id": "compute.reservations.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "flatPath": "projects/{project}/zones/{zone}/reservations/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "resource": { "type": "string", "required": true, "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true } } }, "get": { "parameterOrder": [ "project", "zone", "reservation" ], "response": { "$ref": "Reservation" }, "description": "Retrieves information about the specified reservation.", "parameters": { "zone": { "type": "string", "location": "path", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "reservation": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the reservation to retrieve." } }, "id": "compute.reservations.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}" }, "update": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "reservation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/reservations/{reservation}", "httpMethod": "PATCH", "description": "Update share settings of the reservation.", "request": { "$ref": "Reservation" }, "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Update_mask indicates fields to be updated as part of this request.", "location": "query", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "zone": { "type": "string", "location": "path", "required": true, "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "reservation": { "location": "path", "type": "string", "required": true, "description": "Name of the reservation to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "paths": { "location": "query", "type": "string", "repeated": true } }, "path": "projects/{project}/zones/{zone}/reservations/{reservation}", "id": "compute.reservations.update" }, "list": { "httpMethod": "GET", "parameters": { "maxResults": { "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32" }, "zone": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "id": "compute.reservations.list", "flatPath": "projects/{project}/zones/{zone}/reservations", "response": { "$ref": "ReservationList" }, "description": "A list of all the reservations that have been configured for the specified project in specified zone.", "path": "projects/{project}/zones/{zone}/reservations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ] } } }, "healthChecks": { "methods": { "patch": { "request": { "$ref": "HealthCheck" }, "path": "projects/{project}/global/healthChecks/{healthCheck}", "parameterOrder": [ "project", "healthCheck" ], "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "id": "compute.healthChecks.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "healthCheck": { "location": "path", "description": "Name of the HealthCheck resource to patch.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "PATCH" }, "list": { "httpMethod": "GET", "parameterOrder": [ "project" ], "id": "compute.healthChecks.list", "flatPath": "projects/{project}/global/healthChecks", "response": { "$ref": "HealthCheckList" }, "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "description": "Retrieves the list of HealthCheck resources available to the specified project.", "path": "projects/{project}/global/healthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "HealthChecksAggregatedList" }, "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "minimum": "0", "type": "integer", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "description": "Name of the project scoping this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." } }, "path": "projects/{project}/aggregated/healthChecks", "id": "compute.healthChecks.aggregatedList", "httpMethod": "GET", "description": "Retrieves the list of all HealthCheck resources, regional and global, available to the specified project.", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/healthChecks" }, "delete": { "id": "compute.healthChecks.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "healthCheck": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the HealthCheck resource to delete." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "httpMethod": "DELETE", "description": "Deletes the specified HealthCheck resource.", "path": "projects/{project}/global/healthChecks/{healthCheck}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "healthCheck" ], "flatPath": "projects/{project}/global/healthChecks/{healthCheck}" }, "insert": { "description": "Creates a HealthCheck resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "id": "compute.healthChecks.insert", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "request": { "$ref": "HealthCheck" }, "path": "projects/{project}/global/healthChecks", "flatPath": "projects/{project}/global/healthChecks" }, "update": { "parameterOrder": [ "project", "healthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "path": "projects/{project}/global/healthChecks/{healthCheck}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "healthCheck": { "required": true, "description": "Name of the HealthCheck resource to update.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "description": "Updates a HealthCheck resource in the specified project using the data included in the request.", "id": "compute.healthChecks.update", "request": { "$ref": "HealthCheck" }, "httpMethod": "PUT" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified HealthCheck resource. Gets a list of available health checks by making a list() request.", "flatPath": "projects/{project}/global/healthChecks/{healthCheck}", "httpMethod": "GET", "parameterOrder": [ "project", "healthCheck" ], "id": "compute.healthChecks.get", "response": { "$ref": "HealthCheck" }, "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "healthCheck": { "description": "Name of the HealthCheck resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" } }, "path": "projects/{project}/global/healthChecks/{healthCheck}" } } }, "vpnGateways": { "methods": { "aggregatedList": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/vpnGateways", "response": { "$ref": "VpnGatewayAggregatedList" }, "id": "compute.vpnGateways.aggregatedList", "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/vpnGateways", "description": "Retrieves an aggregated list of VPN gateways.", "parameters": { "maxResults": { "format": "uint32", "default": "500", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } } }, "setLabels": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "RegionSetLabelsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/setLabels", "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The region for this request." } }, "parameterOrder": [ "project", "region", "resource" ], "description": "Sets the labels on a VpnGateway. To learn more about labels, read the Labeling Resources documentation.", "id": "compute.vpnGateways.setLabels" }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." } }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "id": "compute.vpnGateways.testIamPermissions" }, "list": { "httpMethod": "GET", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "required": true, "type": "string", "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "description": "Retrieves a list of VPN gateways available to the specified project and region.", "flatPath": "projects/{project}/regions/{region}/vpnGateways", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/vpnGateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "VpnGatewayList" }, "id": "compute.vpnGateways.list" }, "get": { "response": { "$ref": "VpnGateway" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.vpnGateways.get", "parameterOrder": [ "project", "region", "vpnGateway" ], "parameters": { "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request." }, "vpnGateway": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the VPN gateway to return.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "httpMethod": "GET", "description": "Returns the specified VPN gateway. Gets a list of available VPN gateways by making a list() request." }, "delete": { "id": "compute.vpnGateways.delete", "description": "Deletes the specified VPN gateway.", "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "parameterOrder": [ "project", "region", "vpnGateway" ], "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "vpnGateway": { "location": "path", "description": "Name of the VPN gateway to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getStatus": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "parameterOrder": [ "project", "region", "vpnGateway" ], "id": "compute.vpnGateways.getStatus", "response": { "$ref": "VpnGatewaysGetStatusResponse" }, "parameters": { "vpnGateway": { "required": true, "location": "path", "description": "Name of the VPN gateway to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } }, "path": "projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus", "description": "Returns the status for the specified VPN gateway." }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameterOrder": [ "project", "region" ], "request": { "$ref": "VpnGateway" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/vpnGateways", "path": "projects/{project}/regions/{region}/vpnGateways", "id": "compute.vpnGateways.insert", "description": "Creates a VPN gateway in the specified project and region using the data included in the request.", "parameters": { "region": { "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } } } } }, "firewalls": { "methods": { "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "description": "Creates a firewall rule in the specified project using the data included in the request.", "id": "compute.firewalls.insert", "flatPath": "projects/{project}/global/firewalls", "path": "projects/{project}/global/firewalls", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "Firewall" } }, "list": { "description": "Retrieves the list of firewall rules available to the specified project.", "httpMethod": "GET", "response": { "$ref": "FirewallList" }, "path": "projects/{project}/global/firewalls", "flatPath": "projects/{project}/global/firewalls", "parameterOrder": [ "project" ], "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.firewalls.list" }, "get": { "flatPath": "projects/{project}/global/firewalls/{firewall}", "path": "projects/{project}/global/firewalls/{firewall}", "httpMethod": "GET", "parameterOrder": [ "project", "firewall" ], "id": "compute.firewalls.get", "description": "Returns the specified firewall.", "response": { "$ref": "Firewall" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "firewall": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall rule to return.", "location": "path" } } }, "update": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/firewalls/{firewall}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.firewalls.update", "parameterOrder": [ "project", "firewall" ], "request": { "$ref": "Firewall" }, "parameters": { "firewall": { "type": "string", "description": "Name of the firewall rule to update.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string", "description": "Project ID for this request." } }, "httpMethod": "PUT", "description": "Updates the specified firewall rule with the data included in the request. Note that all fields will be updated if using PUT, even fields that are not specified. To update individual fields, please use PATCH instead.", "flatPath": "projects/{project}/global/firewalls/{firewall}" }, "patch": { "parameterOrder": [ "project", "firewall" ], "path": "projects/{project}/global/firewalls/{firewall}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "firewall": { "location": "path", "required": true, "description": "Name of the firewall rule to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." } }, "id": "compute.firewalls.patch", "response": { "$ref": "Operation" }, "description": "Updates the specified firewall rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "request": { "$ref": "Firewall" }, "httpMethod": "PATCH", "flatPath": "projects/{project}/global/firewalls/{firewall}" }, "delete": { "parameterOrder": [ "project", "firewall" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified firewall.", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/firewalls/{firewall}", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "firewall": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the firewall rule to delete.", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "flatPath": "projects/{project}/global/firewalls/{firewall}", "id": "compute.firewalls.delete", "httpMethod": "DELETE" } } }, "snapshots": { "methods": { "list": { "description": "Retrieves the list of Snapshot resources contained within the specified project.", "flatPath": "projects/{project}/global/snapshots", "parameters": { "maxResults": { "default": "500", "format": "uint32", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "parameterOrder": [ "project" ], "response": { "$ref": "SnapshotList" }, "id": "compute.snapshots.list", "path": "projects/{project}/global/snapshots", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "flatPath": "projects/{project}/global/snapshots/{snapshot}", "path": "projects/{project}/global/snapshots/{snapshot}", "id": "compute.snapshots.get", "parameterOrder": [ "project", "snapshot" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Snapshot" }, "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "snapshot": { "required": true, "description": "Name of the Snapshot resource to return.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "description": "Returns the specified Snapshot resource. Gets a list of available snapshots by making a list() request.", "httpMethod": "GET" }, "setLabels": { "flatPath": "projects/{project}/global/snapshots/{resource}/setLabels", "httpMethod": "POST", "request": { "$ref": "GlobalSetLabelsRequest" }, "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "description": "Sets the labels on a snapshot. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.snapshots.setLabels", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/snapshots/{resource}/setLabels" }, "getIamPolicy": { "httpMethod": "GET", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.snapshots.getIamPolicy", "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/snapshots/{resource}/getIamPolicy", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "optionsRequestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Requested IAM Policy version." } }, "path": "projects/{project}/global/snapshots/{resource}/getIamPolicy" }, "setIamPolicy": { "flatPath": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.snapshots.setIamPolicy", "path": "projects/{project}/global/snapshots/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "GlobalSetPolicyRequest" }, "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "testIamPermissions": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "request": { "$ref": "TestPermissionsRequest" }, "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/snapshots/{resource}/testIamPermissions", "id": "compute.snapshots.testIamPermissions" }, "delete": { "flatPath": "projects/{project}/global/snapshots/{snapshot}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "snapshot": { "description": "Name of the Snapshot resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "parameterOrder": [ "project", "snapshot" ], "httpMethod": "DELETE", "path": "projects/{project}/global/snapshots/{snapshot}", "response": { "$ref": "Operation" }, "id": "compute.snapshots.delete", "description": "Deletes the specified Snapshot resource. Keep in mind that deleting a single snapshot might not necessarily delete all the data on that snapshot. If any data on the snapshot that is marked for deletion is needed for subsequent snapshots, the data will be moved to the next corresponding snapshot. For more information, see Deleting snapshots.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "flatPath": "projects/{project}/global/snapshots", "request": { "$ref": "Snapshot" }, "parameterOrder": [ "project" ], "description": "Creates a snapshot in the specified project using the data included in the request. For regular snapshot creation, consider using this method instead of disks.createSnapshot, as this method supports more features, such as creating snapshots in a project different from the source disk project.", "path": "projects/{project}/global/snapshots", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.snapshots.insert", "httpMethod": "POST", "response": { "$ref": "Operation" } } } }, "globalOrganizationOperations": { "methods": { "get": { "httpMethod": "GET", "description": "Retrieves the specified Operations resource. Gets a list of operations by making a `list()` request.", "parameterOrder": [ "operation" ], "parameters": { "operation": { "description": "Name of the Operations resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" }, "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" } }, "flatPath": "locations/global/operations/{operation}", "path": "locations/global/operations/{operation}", "response": { "$ref": "Operation" }, "id": "compute.globalOrganizationOperations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "flatPath": "locations/global/operations/{operation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/operations/{operation}", "parameterOrder": [ "operation" ], "httpMethod": "DELETE", "id": "compute.globalOrganizationOperations.delete", "parameters": { "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" }, "operation": { "description": "Name of the Operations resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "description": "Deletes the specified Operations resource." }, "list": { "id": "compute.globalOrganizationOperations.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves a list of Operation resources contained within the specified organization.", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "type": "integer" }, "parentId": { "location": "query", "description": "Parent ID for this request.", "type": "string" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "response": { "$ref": "OperationList" }, "flatPath": "locations/global/operations", "path": "locations/global/operations" } } }, "regionInstanceGroups": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of instance group resources contained within the specified region.", "httpMethod": "GET", "id": "compute.regionInstanceGroups.list", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "format": "uint32", "minimum": "0", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroups", "path": "projects/{project}/regions/{region}/instanceGroups", "parameterOrder": [ "project", "region" ], "response": { "$ref": "RegionInstanceGroupList" } }, "setNamedPorts": { "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts", "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts", "request": { "$ref": "RegionInstanceGroupsSetNamedPortsRequest" }, "response": { "$ref": "Operation" }, "description": "Sets the named ports for the specified regional instance group.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroups.setNamedPorts", "parameters": { "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request." }, "instanceGroup": { "description": "The name of the regional instance group where the named ports are updated.", "required": true, "location": "path", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "listInstances": { "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceGroups.listInstances", "description": "Lists the instances in the specified instance group and displays information about the named ports. Depending on the specified options, this method can list all instances or only the instances that are running. The orderBy query parameter is not supported.", "request": { "$ref": "RegionInstanceGroupsListInstancesRequest" }, "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances", "response": { "$ref": "RegionInstanceGroupsListInstances" }, "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "location": "query" }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "instanceGroup": { "required": true, "description": "Name of the regional instance group for which we want to list the instances.", "location": "path", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "parameterOrder": [ "project", "region", "instanceGroup" ], "httpMethod": "POST" }, "get": { "response": { "$ref": "InstanceGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionInstanceGroups.get", "parameterOrder": [ "project", "region", "instanceGroup" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "instanceGroup": { "type": "string", "required": true, "location": "path", "description": "Name of the instance group resource to return." }, "region": { "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" } }, "httpMethod": "GET", "description": "Returns the specified instance group resource.", "path": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}", "flatPath": "projects/{project}/regions/{region}/instanceGroups/{instanceGroup}" } } }, "sslPolicies": { "methods": { "listAvailableFeatures": { "flatPath": "projects/{project}/global/sslPolicies/listAvailableFeatures", "response": { "$ref": "SslPoliciesListAvailableFeaturesResponse" }, "id": "compute.sslPolicies.listAvailableFeatures", "httpMethod": "GET", "path": "projects/{project}/global/sslPolicies/listAvailableFeatures", "parameterOrder": [ "project" ], "description": "Lists all features that can be specified in the SSL policy when using custom profile.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "format": "uint32", "type": "integer", "default": "500" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" } } }, "insert": { "id": "compute.sslPolicies.insert", "request": { "$ref": "SslPolicy" }, "flatPath": "projects/{project}/global/sslPolicies", "path": "projects/{project}/global/sslPolicies", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "description": "Returns the specified SSL policy resource. Gets a list of available SSL policies by making a list() request.", "httpMethod": "POST", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "parameterOrder": [ "project", "sslPolicy" ], "httpMethod": "DELETE", "description": "Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "sslPolicy": { "type": "string", "required": true, "description": "Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "id": "compute.sslPolicies.delete", "path": "projects/{project}/global/sslPolicies/{sslPolicy}" }, "get": { "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "description": "Lists all of the ordered rules present in a single specified policy.", "id": "compute.sslPolicies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "sslPolicy": { "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "project", "sslPolicy" ], "httpMethod": "GET", "response": { "$ref": "SslPolicy" }, "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}" }, "patch": { "flatPath": "projects/{project}/global/sslPolicies/{sslPolicy}", "response": { "$ref": "Operation" }, "id": "compute.sslPolicies.patch", "path": "projects/{project}/global/sslPolicies/{sslPolicy}", "parameters": { "sslPolicy": { "location": "path", "required": true, "description": "Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "httpMethod": "PATCH", "request": { "$ref": "SslPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "sslPolicy" ], "description": "Patches the specified SSL policy with the data included in the request." }, "list": { "parameterOrder": [ "project" ], "httpMethod": "GET", "path": "projects/{project}/global/sslPolicies", "flatPath": "projects/{project}/global/sslPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all the SSL policies that have been configured for the specified project.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "location": "query", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "id": "compute.sslPolicies.list", "response": { "$ref": "SslPoliciesList" } } } }, "targetTcpProxies": { "methods": { "delete": { "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "parameterOrder": [ "project", "targetTcpProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "description": "Deletes the specified TargetTcpProxy resource.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetTcpProxy": { "required": true, "location": "path", "type": "string", "description": "Name of the TargetTcpProxy resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "id": "compute.targetTcpProxies.delete" }, "list": { "path": "projects/{project}/global/targetTcpProxies", "response": { "$ref": "TargetTcpProxyList" }, "flatPath": "projects/{project}/global/targetTcpProxies", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "httpMethod": "GET", "description": "Retrieves the list of TargetTcpProxy resources available to the specified project.", "parameterOrder": [ "project" ], "id": "compute.targetTcpProxies.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "setProxyHeader": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetTcpProxies.setProxyHeader", "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader", "httpMethod": "POST", "parameterOrder": [ "project", "targetTcpProxy" ], "parameters": { "targetTcpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetTcpProxy resource whose ProxyHeader is to be set.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Changes the ProxyHeaderType for TargetTcpProxy.", "request": { "$ref": "TargetTcpProxiesSetProxyHeaderRequest" }, "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader", "response": { "$ref": "Operation" } }, "insert": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "request": { "$ref": "TargetTcpProxy" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "POST", "description": "Creates a TargetTcpProxy resource in the specified project using the data included in the request.", "path": "projects/{project}/global/targetTcpProxies", "flatPath": "projects/{project}/global/targetTcpProxies", "id": "compute.targetTcpProxies.insert" }, "get": { "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}", "id": "compute.targetTcpProxies.get", "response": { "$ref": "TargetTcpProxy" }, "parameters": { "targetTcpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the TargetTcpProxy resource to return.", "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified TargetTcpProxy resource. Gets a list of available target TCP proxies by making a list() request.", "httpMethod": "GET", "parameterOrder": [ "project", "targetTcpProxy" ], "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}" }, "setBackendService": { "flatPath": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "httpMethod": "POST", "parameterOrder": [ "project", "targetTcpProxy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService", "response": { "$ref": "Operation" }, "parameters": { "targetTcpProxy": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the TargetTcpProxy resource whose BackendService resource is to be set.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." } }, "request": { "$ref": "TargetTcpProxiesSetBackendServiceRequest" }, "id": "compute.targetTcpProxies.setBackendService", "description": "Changes the BackendService for TargetTcpProxy." } } }, "regionInstanceGroupManagers": { "methods": { "updatePerInstanceConfigs": { "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string", "required": true, "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request, should conform to RFC1035.", "location": "path" }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "request": { "$ref": "RegionInstanceGroupManagerUpdateInstanceConfigReq" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.updatePerInstanceConfigs", "httpMethod": "POST" }, "abandonInstances": { "request": { "$ref": "RegionInstanceGroupManagersAbandonInstancesRequest" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "id": "compute.regionInstanceGroupManagers.abandonInstances", "response": { "$ref": "Operation" }, "parameters": { "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path" }, "instanceGroupManager": { "required": true, "description": "Name of the managed instance group.", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Flags the specified instances to be immediately removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "httpMethod": "POST" }, "list": { "parameterOrder": [ "project", "region" ], "response": { "$ref": "RegionInstanceGroupManagerList" }, "description": "Retrieves the list of managed instance groups that are contained within the specified region.", "id": "compute.regionInstanceGroupManagers.list", "path": "projects/{project}/regions/{region}/instanceGroupManagers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "minimum": "0", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers" }, "recreateInstances": { "id": "compute.regionInstanceGroupManagers.recreateInstances", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "required": true, "type": "string", "location": "path", "description": "Name of the managed instance group." }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "RegionInstanceGroupManagersRecreateRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances" }, "listErrors": { "id": "compute.regionInstanceGroupManagers.listErrors", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "response": { "$ref": "RegionInstanceGroupManagersListErrorsResponse" }, "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "region": { "description": "Name of the region scoping this request. This should conform to RFC1035.", "type": "string", "required": true, "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "instanceGroupManager": { "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.", "location": "path", "required": true, "type": "string" }, "maxResults": { "format": "uint32", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all errors thrown by actions on instances for a given regional managed instance group. The filter and orderBy query parameters are not supported.", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listErrors", "httpMethod": "GET", "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "setTargetPools": { "id": "compute.regionInstanceGroupManagers.setTargetPools", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "parameters": { "region": { "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "instanceGroupManager": { "description": "Name of the managed instance group.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "request": { "$ref": "RegionInstanceGroupManagersSetTargetPoolsRequest" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Modifies the target pools to which all new instances in this group are assigned. Existing instances in the group are not affected.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools" }, "applyUpdatesToInstances": { "id": "compute.regionInstanceGroupManagers.applyUpdatesToInstances", "parameters": { "instanceGroupManager": { "type": "string", "required": true, "location": "path", "description": "The name of the managed instance group, should conform to RFC1035." }, "region": { "type": "string", "location": "path", "required": true, "description": "Name of the region scoping this request, should conform to RFC1035." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Apply updates to selected instances the managed instance group.", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "request": { "$ref": "RegionInstanceGroupManagersApplyUpdatesRequest" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "patch": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listmanagedinstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManager" }, "response": { "$ref": "Operation" }, "id": "compute.regionInstanceGroupManagers.patch", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string" }, "instanceGroupManager": { "description": "The name of the instance group manager.", "location": "path", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "PATCH" }, "createInstances": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "type": "string", "description": "The name of the region where the managed instance group is located. It should conform to RFC1035.", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "RegionInstanceGroupManagersCreateInstancesRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/createInstances", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Creates instances with per-instance configurations in this regional managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "id": "compute.regionInstanceGroupManagers.createInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setInstanceTemplate": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "description": "Sets the instance template to use when creating new instances or recreating instances in this group. Existing instances are not affected.", "parameters": { "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" }, "instanceGroupManager": { "required": true, "description": "The name of the managed instance group.", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.regionInstanceGroupManagers.setInstanceTemplate", "request": { "$ref": "RegionInstanceGroupManagersSetTemplateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "instanceGroupManager" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "httpMethod": "POST" }, "insert": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionInstanceGroupManagers.insert", "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A regional managed instance group can contain up to 2000 instances.", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/instanceGroupManagers", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "description": "Name of the region scoping this request.", "type": "string", "required": true, "location": "path" } }, "request": { "$ref": "InstanceGroupManager" } }, "deleteInstances": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "request": { "$ref": "RegionInstanceGroupManagersDeleteInstancesRequest" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "id": "compute.regionInstanceGroupManagers.deleteInstances", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "type": "string", "location": "path", "required": true, "description": "Name of the managed instance group." }, "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "description": "Flags the specified instances in the managed instance group to be immediately deleted. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. The deleteInstances operation is marked DONE if the deleteInstances request is successful. The underlying actions take additional time. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "instanceGroupManager": { "type": "string", "required": true, "location": "path", "description": "Name of the managed instance group to delete." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "DELETE", "id": "compute.regionInstanceGroupManagers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified managed instance group and all of the instances in that group." }, "deletePerInstanceConfigs": { "id": "compute.regionInstanceGroupManagers.deletePerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "request": { "$ref": "RegionInstanceGroupManagerDeleteInstanceConfigReq" }, "response": { "$ref": "Operation" }, "parameters": { "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request, should conform to RFC1035.", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ], "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "description": "Deletes selected per-instance configurations for the managed instance group." }, "patchPerInstanceConfigs": { "parameters": { "region": { "description": "Name of the region scoping this request, should conform to RFC1035.", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "region", "instanceGroupManager" ], "httpMethod": "POST", "id": "compute.regionInstanceGroupManagers.patchPerInstanceConfigs", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "request": { "$ref": "RegionInstanceGroupManagerPatchInstanceConfigReq" }, "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "listPerInstanceConfigs": { "id": "compute.regionInstanceGroupManagers.listPerInstanceConfigs", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "parameters": { "maxResults": { "type": "integer", "minimum": "0", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request, should conform to RFC1035.", "location": "path" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "instanceGroupManager": { "required": true, "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path" } }, "response": { "$ref": "RegionInstanceGroupManagersListInstanceConfigsResp" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager" ] }, "resize": { "id": "compute.regionInstanceGroupManagers.resize", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "httpMethod": "POST", "parameterOrder": [ "project", "region", "instanceGroupManager", "size" ], "parameters": { "size": { "required": true, "type": "integer", "description": "Number of instances that should exist in this instance group manager.", "location": "query", "format": "int32", "minimum": "0" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instanceGroupManager": { "location": "path", "description": "Name of the managed instance group.", "type": "string", "required": true }, "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the intended size of the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "response": { "$ref": "Operation" } }, "listManagedInstances": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "id": "compute.regionInstanceGroupManagers.listManagedInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "type": "integer", "format": "uint32", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "instanceGroupManager": { "required": true, "description": "The name of the managed instance group.", "type": "string", "location": "path" }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string" } }, "response": { "$ref": "RegionInstanceGroupManagersListInstancesResponse" }, "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "description": "Lists the instances in the managed instance group and instances that are scheduled to be created. The list includes any current actions that the group has scheduled for its instances. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`." }, "get": { "parameterOrder": [ "project", "region", "instanceGroupManager" ], "response": { "$ref": "InstanceGroupManager" }, "id": "compute.regionInstanceGroupManagers.get", "path": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "flatPath": "projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns all of the details about the specified managed instance group.", "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "Name of the managed instance group to return." } } } } }, "licenses": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "location": "query", "type": "integer" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "flatPath": "projects/{project}/global/licenses", "id": "compute.licenses.list", "parameterOrder": [ "project" ], "path": "projects/{project}/global/licenses", "httpMethod": "GET", "response": { "$ref": "LicensesListResponse" }, "description": "Retrieves the list of licenses available in the specified project. This method does not get any licenses that belong to other projects, including licenses attached to publicly-available images, like Debian 9. If you want to get a list of publicly-available licenses, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. " }, "setIamPolicy": { "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/licenses/{resource}/setIamPolicy", "httpMethod": "POST", "request": { "$ref": "GlobalSetPolicyRequest" }, "id": "compute.licenses.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "flatPath": "projects/{project}/global/licenses/{resource}/setIamPolicy", "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } } }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/licenses/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "id": "compute.licenses.testIamPermissions", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "resource": { "required": true, "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/global/licenses/{resource}/testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "response": { "$ref": "TestPermissionsResponse" } }, "get": { "parameterOrder": [ "project", "license" ], "response": { "$ref": "License" }, "httpMethod": "GET", "path": "projects/{project}/global/licenses/{license}", "id": "compute.licenses.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "license": { "description": "Name of the License resource to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "description": "Returns the specified License resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "flatPath": "projects/{project}/global/licenses/{license}" }, "insert": { "request": { "$ref": "License" }, "response": { "$ref": "Operation" }, "description": "Create a License resource in the specified project. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "projects/{project}/global/licenses", "httpMethod": "POST", "flatPath": "projects/{project}/global/licenses", "id": "compute.licenses.insert" }, "delete": { "path": "projects/{project}/global/licenses/{license}", "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "license": { "type": "string", "location": "path", "required": true, "description": "Name of the license resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified license. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project", "license" ], "flatPath": "projects/{project}/global/licenses/{license}", "id": "compute.licenses.delete" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "parameterOrder": [ "project", "resource" ], "id": "compute.licenses.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "optionsRequestedPolicyVersion": { "location": "query", "description": "Requested IAM Policy version.", "format": "int32", "type": "integer" } }, "path": "projects/{project}/global/licenses/{resource}/getIamPolicy", "flatPath": "projects/{project}/global/licenses/{resource}/getIamPolicy" } } }, "regionTargetHttpProxies": { "methods": { "get": { "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "id": "compute.regionTargetHttpProxies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "targetHttpProxy" ], "httpMethod": "GET", "parameters": { "region": { "required": true, "location": "path", "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "targetHttpProxy": { "description": "Name of the TargetHttpProxy resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "TargetHttpProxy" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "description": "Returns the specified TargetHttpProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request." }, "delete": { "id": "compute.regionTargetHttpProxies.delete", "description": "Deletes the specified TargetHttpProxy resource.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "targetHttpProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the TargetHttpProxy resource to delete." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "targetHttpProxy" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setUrlMap": { "description": "Changes the URL map for TargetHttpProxy.", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "request": { "$ref": "UrlMapReference" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "targetHttpProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the TargetHttpProxy to set a URL map for.", "location": "path" }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "id": "compute.regionTargetHttpProxies.setUrlMap", "parameterOrder": [ "project", "region", "targetHttpProxy" ], "response": { "$ref": "Operation" } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetHttpProxies", "flatPath": "projects/{project}/regions/{region}/targetHttpProxies", "id": "compute.regionTargetHttpProxies.insert", "httpMethod": "POST", "description": "Creates a TargetHttpProxy resource in the specified project and region using the data included in the request.", "request": { "$ref": "TargetHttpProxy" }, "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } } }, "list": { "id": "compute.regionTargetHttpProxies.list", "path": "projects/{project}/regions/{region}/targetHttpProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "description": "Retrieves the list of TargetHttpProxy resources available to the specified project in the specified region.", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "region": { "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "minimum": "0", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "response": { "$ref": "TargetHttpProxyList" }, "flatPath": "projects/{project}/regions/{region}/targetHttpProxies" } } }, "imageFamilyViews": { "methods": { "get": { "id": "compute.imageFamilyViews.get", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "zone": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "family": { "description": "Name of the image family to search for.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the latest image that is part of an image family, is not deprecated and is rolled out in the specified zone.", "path": "projects/{project}/zones/{zone}/imageFamilyViews/{family}", "flatPath": "projects/{project}/zones/{zone}/imageFamilyViews/{family}", "httpMethod": "GET", "parameterOrder": [ "project", "zone", "family" ], "response": { "$ref": "ImageFamilyView" } } } }, "regionNetworkEndpointGroups": { "methods": { "insert": { "path": "projects/{project}/regions/{region}/networkEndpointGroups", "httpMethod": "POST", "id": "compute.regionNetworkEndpointGroups.insert", "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "request": { "$ref": "NetworkEndpointGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "required": true, "description": "The name of the region where you want to create the network endpoint group. It should comply with RFC1035.", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } } }, "get": { "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "response": { "$ref": "NetworkEndpointGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionNetworkEndpointGroups.get", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "networkEndpointGroup": { "location": "path", "required": true, "description": "The name of the network endpoint group. It should comply with RFC1035.", "type": "string" }, "region": { "type": "string", "required": true, "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "location": "path" } }, "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}" }, "delete": { "parameterOrder": [ "project", "region", "networkEndpointGroup" ], "description": "Deletes the specified network endpoint group. Note that the NEG cannot be deleted if it is configured as a backend of a backend service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionNetworkEndpointGroups.delete", "httpMethod": "DELETE", "parameters": { "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "location": "path" }, "region": { "required": true, "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035.", "location": "path", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}", "path": "projects/{project}/regions/{region}/networkEndpointGroups/{networkEndpointGroup}" }, "list": { "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/networkEndpointGroups", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "maxResults": { "minimum": "0", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer" }, "region": { "location": "path", "required": true, "type": "string", "description": "The name of the region where the network endpoint group is located. It should comply with RFC1035." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "description": "Retrieves the list of regional network endpoint groups available to the specified project in the given region.", "path": "projects/{project}/regions/{region}/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "id": "compute.regionNetworkEndpointGroups.list", "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "globalAddresses": { "methods": { "get": { "description": "Returns the specified address resource. Gets a list of available addresses by making a list() request.", "response": { "$ref": "Address" }, "httpMethod": "GET", "path": "projects/{project}/global/addresses/{address}", "flatPath": "projects/{project}/global/addresses/{address}", "id": "compute.globalAddresses.get", "parameterOrder": [ "project", "address" ], "parameters": { "address": { "type": "string", "description": "Name of the address resource to return.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "delete": { "flatPath": "projects/{project}/global/addresses/{address}", "description": "Deletes the specified address resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/addresses/{address}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "address" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "address": { "type": "string", "required": true, "description": "Name of the address resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "id": "compute.globalAddresses.delete", "httpMethod": "DELETE" }, "insert": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "request": { "$ref": "Address" }, "parameterOrder": [ "project" ], "httpMethod": "POST", "id": "compute.globalAddresses.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Creates an address resource in the specified project by using the data included in the request.", "flatPath": "projects/{project}/global/addresses", "path": "projects/{project}/global/addresses", "response": { "$ref": "Operation" } }, "list": { "description": "Retrieves a list of global addresses.", "response": { "$ref": "AddressList" }, "id": "compute.globalAddresses.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/addresses", "path": "projects/{project}/global/addresses", "parameterOrder": [ "project" ], "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "location": "query", "minimum": "0", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "httpMethod": "GET" } } }, "diskTypes": { "methods": { "get": { "response": { "$ref": "DiskType" }, "id": "compute.diskTypes.get", "description": "Returns the specified disk type. Gets a list of available disk types by making a list() request.", "parameters": { "zone": { "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "diskType": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the disk type to return." } }, "httpMethod": "GET", "parameterOrder": [ "project", "zone", "diskType" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/diskTypes/{diskType}", "flatPath": "projects/{project}/zones/{zone}/diskTypes/{diskType}" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "type": "integer", "format": "uint32", "default": "500", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "flatPath": "projects/{project}/zones/{zone}/diskTypes", "response": { "$ref": "DiskTypeList" }, "description": "Retrieves a list of disk types available to the specified project.", "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/diskTypes", "id": "compute.diskTypes.list" }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/diskTypes", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/diskTypes", "id": "compute.diskTypes.aggregatedList", "parameters": { "maxResults": { "default": "500", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "httpMethod": "GET", "description": "Retrieves an aggregated list of disk types.", "response": { "$ref": "DiskTypeAggregatedList" } } } }, "instances": { "methods": { "removeResourcePolicies": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "InstancesRemoveResourcePoliciesRequest" }, "id": "compute.instances.removeResourcePolicies", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "location": "path", "description": "The instance name for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/removeResourcePolicies", "description": "Removes resource policies from an instance." }, "setLabels": { "id": "compute.instances.setLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instance": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the instance scoping this request." } }, "description": "Sets labels on an instance. To learn more about labels, read the Labeling Resources documentation.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "request": { "$ref": "InstancesSetLabelsRequest" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setLabels", "httpMethod": "POST" }, "getEffectiveFirewalls": { "response": { "$ref": "InstancesGetEffectiveFirewallsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns effective firewalls applied to an interface of the instance.", "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "id": "compute.instances.getEffectiveFirewalls", "path": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getEffectiveFirewalls", "parameters": { "networkInterface": { "type": "string", "required": true, "description": "The name of the network interface to get the effective firewalls.", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the instance scoping this request.", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "GET" }, "setDeletionProtection": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "resource": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "deletionProtection": { "type": "boolean", "description": "Whether the resource should be protected against deletion.", "default": "true", "location": "query" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "path": "projects/{project}/zones/{zone}/instances/{resource}/setDeletionProtection", "id": "compute.instances.setDeletionProtection", "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "Sets deletion protection on the instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "resource" ] }, "suspend": { "parameters": { "zone": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request." }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instance": { "description": "Name of the instance resource to suspend.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "This method suspends a running instance, saving its state to persistent storage, and allows you to resume the instance at a later time. Suspended instances have no compute costs (cores or RAM), and incur only storage charges for the saved VM memory and localSSD data. Any charged resources the virtual machine was using, such as persistent disks and static IP addresses, will continue to be charged while the instance is suspended. For more information, see Suspending and resuming an instance.", "path": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/suspend", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.suspend", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "updateNetworkInterface": { "description": "Updates an instance's network interface. This method can only update an interface's alias IP range and attached network. See Modifying alias IP ranges for an existing instance for instructions on changing alias IP ranges. See Migrating a VM between networks for instructions on migrating an interface. This method follows PATCH semantics.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "id": "compute.instances.updateNetworkInterface", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface", "request": { "$ref": "NetworkInterface" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH", "parameters": { "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "The instance name for this request." }, "networkInterface": { "description": "The name of the network interface to update.", "required": true, "type": "string", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/updateNetworkInterface" }, "setScheduling": { "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Instance name for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request." } }, "description": "Sets an instance's scheduling options. You can only call this method on a stopped instance, that is, a VM instance that is in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states. For more information about setting scheduling options for a VM, see Set VM host maintenance policy.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "Scheduling" }, "response": { "$ref": "Operation" }, "id": "compute.instances.setScheduling", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling", "path": "projects/{project}/zones/{zone}/instances/{instance}/setScheduling" }, "bulkInsert": { "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "Operation" }, "id": "compute.instances.bulkInsert", "description": "Creates multiple instances. Count specifies the number of instances to create.", "flatPath": "projects/{project}/zones/{zone}/instances/bulkInsert", "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/bulkInsert", "httpMethod": "POST", "request": { "$ref": "BulkInsertInstanceResource" } }, "update": { "id": "compute.instances.update", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "mostDisruptiveAllowedAction": { "type": "string", "description": "Specifies the most disruptive action that can be taken on the instance as part of the update. Compute Engine returns an error if the instance properties require a more disruptive action as part of the instance update. Valid options from lowest to highest are NO_EFFECT, REFRESH, and RESTART.", "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "location": "query", "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ] }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "zone": { "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "minimalAction": { "location": "query", "type": "string", "description": "Specifies the action to take when updating an instance even if the updated properties do not require it. If not specified, then Compute Engine acts based on the minimum action that the updated properties require.", "enumDescriptions": [ "", "No changes can be made to the instance.", "The instance will not restart.", "The instance will restart." ], "enum": [ "INVALID", "NO_EFFECT", "REFRESH", "RESTART" ] }, "instance": { "required": true, "description": "Name of the instance resource to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "parameterOrder": [ "project", "zone", "instance" ], "description": "Updates an instance only if the necessary resources are available. This method can update only a specific set of instance properties. See Updating a running instance for a list of updatable instance properties.", "request": { "$ref": "Instance" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PUT", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of instances contained within the specified zone.", "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/instances", "id": "compute.instances.list", "response": { "$ref": "InstanceList" }, "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "zone": { "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "minimum": "0", "default": "500", "format": "uint32" } }, "path": "projects/{project}/zones/{zone}/instances" }, "setServiceAccount": { "request": { "$ref": "InstancesSetServiceAccountRequest" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "parameters": { "zone": { "required": true, "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "instance": { "description": "Name of the instance resource to start.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true } }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setServiceAccount", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.setServiceAccount", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the service account on the instance. For more information, read Changing the service account and access scopes for an instance." }, "updateDisplayDevice": { "httpMethod": "PATCH", "parameters": { "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the instance scoping this request.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true } }, "request": { "$ref": "DisplayDevice" }, "description": "Updates the Display config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.instances.updateDisplayDevice", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/updateDisplayDevice", "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of all of the instances in your project across all regions and zones. The performance of this method degrades when a filter is specified on a project that has a very large number of instances.", "response": { "$ref": "InstanceAggregatedList" }, "path": "projects/{project}/aggregated/instances", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "location": "query", "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "flatPath": "projects/{project}/aggregated/instances", "id": "compute.instances.aggregatedList", "httpMethod": "GET", "parameterOrder": [ "project" ] }, "getIamPolicy": { "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "id": "compute.instances.getIamPolicy", "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "description": "Name or id of the resource for this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string" }, "optionsRequestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Requested IAM Policy version." }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "start": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/start", "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to start.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/start", "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "id": "compute.instances.start", "httpMethod": "POST" }, "updateAccessConfig": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "httpMethod": "POST", "description": "Updates the specified access config from an instance's network interface with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "id": "compute.instances.updateAccessConfig", "request": { "$ref": "AccessConfig" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig", "parameters": { "networkInterface": { "location": "query", "required": true, "description": "The name of the network interface where the access config is attached.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "The instance name for this request.", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateAccessConfig" }, "getGuestAttributes": { "response": { "$ref": "GuestAttributes" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes", "description": "Returns the specified guest attributes entry.", "parameterOrder": [ "project", "zone", "instance" ], "id": "compute.instances.getGuestAttributes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "instance": { "required": true, "location": "path", "type": "string", "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "variableKey": { "type": "string", "description": "Specifies the key for the guest attributes entry.", "location": "query" }, "zone": { "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "queryPath": { "location": "query", "type": "string", "description": "Specifies the guest attributes path to be queried." } }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getGuestAttributes" }, "setMachineType": { "description": "Changes the machine type for a stopped instance to the machine type specified in the request.", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineType", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path" }, "instance": { "type": "string", "description": "Name of the instance scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" } }, "request": { "$ref": "InstancesSetMachineTypeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "instance" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.instances.setMachineType" }, "simulateMaintenanceEvent": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "compute.instances.simulateMaintenanceEvent", "parameterOrder": [ "project", "zone", "instance" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "description": "Simulates a host maintenance event on a VM. For more information, see Simulate a host maintenance event.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/simulateMaintenanceEvent", "parameters": { "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name of the instance scoping this request." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "type": "string" } } }, "getShieldedInstanceIdentity": { "id": "compute.instances.getShieldedInstanceIdentity", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the instance scoping this request.", "type": "string", "required": true } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/getShieldedInstanceIdentity", "response": { "$ref": "ShieldedInstanceIdentity" }, "description": "Returns the Shielded Instance Identity of an instance" }, "getSerialPortOutput": { "id": "compute.instances.getSerialPortOutput", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "zone": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true }, "start": { "format": "int64", "location": "query", "type": "string", "description": "Specifies the starting byte position of the output to return. To start with the first byte of output to the specified port, omit this field or set it to `0`. If the output for that byte position is available, this field matches the `start` parameter sent with the request. If the amount of serial console output exceeds the size of the buffer (1 MB), the oldest output is discarded and is no longer available. If the requested start position refers to discarded output, the start position is adjusted to the oldest output still available, and the adjusted start position is returned as the `start` property value. You can also provide a negative start position, which translates to the most recent number of bytes written to the serial port. For example, -3 is interpreted as the most recent 3 bytes written to the serial console." }, "port": { "default": "1", "type": "integer", "format": "int32", "location": "query", "maximum": "4", "description": "Specifies which COM or serial port to retrieve data from.", "minimum": "1" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request." }, "instance": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance for this request.", "required": true } }, "description": "Returns the last 1 MB of serial port output from the specified instance.", "path": "projects/{project}/zones/{zone}/instances/{instance}/serialPort", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SerialPortOutput" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/serialPort" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name or id of the resource for this request." }, "zone": { "description": "The name of the zone for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource.", "parameterOrder": [ "project", "zone", "resource" ], "id": "compute.instances.testIamPermissions", "path": "projects/{project}/zones/{zone}/instances/{resource}/testIamPermissions", "httpMethod": "POST" }, "updateShieldedInstanceConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "request": { "$ref": "ShieldedInstanceConfig" }, "id": "compute.instances.updateShieldedInstanceConfig", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name or id of the instance scoping this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/updateShieldedInstanceConfig", "description": "Updates the Shielded Instance config for an instance. You can only use this method on a stopped instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "httpMethod": "PATCH" }, "deleteAccessConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instances.deleteAccessConfig", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance", "accessConfig", "networkInterface" ], "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "networkInterface": { "type": "string", "description": "The name of the network interface.", "location": "query", "required": true }, "accessConfig": { "location": "query", "type": "string", "required": true, "description": "The name of the access config to delete." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "The instance name for this request." }, "zone": { "location": "path", "description": "The name of the zone for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig", "description": "Deletes an access config from an instance's network interface.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/deleteAccessConfig" }, "listReferrers": { "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "location": "query", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "instance": { "description": "Name of the target instance scoping this request, or '-' if the request should span over all instances in the container.", "type": "string", "location": "path", "pattern": "-|[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "id": "compute.instances.listReferrers", "response": { "$ref": "InstanceListReferrers" }, "description": "Retrieves a list of resources that refer to the VM instance specified in the request. For example, if the VM instance is part of a managed or unmanaged instance group, the referrers list includes the instance group. For more information, read Viewing referrers to VM instances.", "path": "projects/{project}/zones/{zone}/instances/{instance}/referrers", "httpMethod": "GET", "parameterOrder": [ "project", "zone", "instance" ] }, "setDiskAutoDelete": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the auto-delete flag for a disk attached to an instance.", "parameters": { "deviceName": { "pattern": "\\w[\\w.-]{0,254}", "location": "query", "description": "The device name of the disk to modify. Make a get() request on the instance to view currently attached disks and device names.", "required": true, "type": "string" }, "autoDelete": { "type": "boolean", "description": "Whether to auto-delete the disk when the instance is deleted.", "required": true, "location": "query" }, "zone": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string", "description": "The instance name for this request." }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete", "parameterOrder": [ "project", "zone", "instance", "autoDelete", "deviceName" ], "id": "compute.instances.setDiskAutoDelete" }, "resume": { "path": "projects/{project}/zones/{zone}/instances/{instance}/resume", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/resume", "parameters": { "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "type": "string", "description": "Name of the instance resource to resume.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true } }, "description": "Resumes an instance that was suspended using the instances().suspend method.", "id": "compute.instances.resume", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ] }, "reset": { "description": "Performs a reset on the instance. This is a hard reset. The VM does not do a graceful shutdown. For more information, see Resetting an instance.", "id": "compute.instances.reset", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/reset", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/reset", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the zone for this request.", "location": "path" }, "instance": { "type": "string", "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "attachDisk": { "parameterOrder": [ "project", "zone", "instance" ], "description": "Attaches an existing Disk resource to an instance. You must first create the disk before you can attach it. It is not possible to create and attach a disk at the same time. For more information, read Adding a persistent disk to your instance.", "parameters": { "forceAttach": { "type": "boolean", "location": "query", "description": "Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "instance": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "The instance name for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path", "type": "string" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "AttachedDisk" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "id": "compute.instances.attachDisk", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/attachDisk", "httpMethod": "POST" }, "setIamPolicy": { "id": "compute.instances.setIamPolicy", "request": { "$ref": "ZoneSetPolicyRequest" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "zone", "resource" ], "response": { "$ref": "Policy" }, "path": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "flatPath": "projects/{project}/zones/{zone}/instances/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the zone for this request.", "type": "string" }, "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" } } }, "getScreenshot": { "httpMethod": "GET", "response": { "$ref": "Screenshot" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "description": "Returns the screenshot from the specified instance.", "parameters": { "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the instance scoping this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "zone": { "description": "The name of the zone for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/screenshot", "id": "compute.instances.getScreenshot" }, "stop": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/stop", "path": "projects/{project}/zones/{zone}/instances/{instance}/stop", "httpMethod": "POST", "id": "compute.instances.stop", "description": "Stops a running instance, shutting it down cleanly, and allows you to restart the instance at a later time. Stopped instances do not incur VM usage charges while they are stopped. However, resources that the VM is using, such as persistent disks and static IP addresses, will continue to be charged until they are deleted. For more information, see Stopping an instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true, "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "instance": { "required": true, "location": "path", "description": "Name of the instance resource to stop.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } } }, "addAccessConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig", "parameterOrder": [ "project", "zone", "instance", "networkInterface" ], "response": { "$ref": "Operation" }, "request": { "$ref": "AccessConfig" }, "id": "compute.instances.addAccessConfig", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "networkInterface": { "description": "The name of the network interface to add to this instance.", "location": "query", "type": "string", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The instance name for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "description": "Adds an access config to an instance's network interface.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/addAccessConfig" }, "setTags": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setTags", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instances/{instance}/setTags", "id": "compute.instances.setTags", "request": { "$ref": "Tags" }, "description": "Sets network tags for the specified instance to the data included in the request.", "parameters": { "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "instance": { "required": true, "description": "Name of the instance scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ] }, "sendDiagnosticInterrupt": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "parameterOrder": [ "project", "zone", "instance" ], "description": "Sends diagnostic interrupt to the instance.", "path": "projects/{project}/zones/{zone}/instances/{instance}/sendDiagnosticInterrupt", "parameters": { "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instance": { "description": "Name of the instance scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "httpMethod": "POST", "id": "compute.instances.sendDiagnosticInterrupt" }, "setMachineResources": { "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "location": "path", "type": "string", "required": true }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "instance": { "location": "path", "description": "Name of the instance scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMachineResources", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstancesSetMachineResourcesRequest" }, "description": "Changes the number and/or type of accelerator for a stopped instance to the values specified in the request.", "id": "compute.instances.setMachineResources" }, "get": { "id": "compute.instances.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "Instance" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "description": "Returns the specified Instance resource. Gets a list of available instances by making a list() request.", "parameterOrder": [ "project", "zone", "instance" ], "path": "projects/{project}/zones/{zone}/instances/{instance}", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the zone for this request." }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to return.", "location": "path", "type": "string", "required": true } }, "httpMethod": "GET" }, "startWithEncryptionKey": { "path": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the zone for this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "instance": { "description": "Name of the instance resource to start.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey", "id": "compute.instances.startWithEncryptionKey", "request": { "$ref": "InstancesStartWithEncryptionKeyRequest" }, "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" } }, "setShieldedInstanceIntegrityPolicy": { "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "instance": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the instance scoping this request.", "location": "path", "type": "string", "required": true }, "zone": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/setShieldedInstanceIntegrityPolicy", "parameterOrder": [ "project", "zone", "instance" ], "request": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "id": "compute.instances.setShieldedInstanceIntegrityPolicy", "description": "Sets the Shielded Instance integrity policy for an instance. You can only use this method on a running instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules." }, "addResourcePolicies": { "id": "compute.instances.addResourcePolicies", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/addResourcePolicies", "description": "Adds existing resource policies to an instance. You can only add one policy right now which will be applied to this instance for scheduling live migrations.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request." }, "instance": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "The instance name for this request.", "type": "string" } }, "request": { "$ref": "InstancesAddResourcePoliciesRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "instance" ] }, "setMetadata": { "parameterOrder": [ "project", "zone", "instance" ], "response": { "$ref": "Operation" }, "id": "compute.instances.setMetadata", "path": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata", "request": { "$ref": "Metadata" }, "httpMethod": "POST", "parameters": { "instance": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the instance scoping this request.", "location": "path" }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Sets metadata for the specified instance to the data included in the request.", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMetadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "detachDisk": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "parameterOrder": [ "project", "zone", "instance", "deviceName" ], "httpMethod": "POST", "description": "Detaches a disk from an instance.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/detachDisk", "parameters": { "instance": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Instance name for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "zone": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request.", "required": true }, "deviceName": { "description": "The device name of the disk to detach. Make a get() request on the instance to view currently attached disks and device names.", "type": "string", "required": true, "location": "query" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.instances.detachDisk" }, "insert": { "path": "projects/{project}/zones/{zone}/instances", "description": "Creates an instance resource in the specified project using the data included in the request.", "id": "compute.instances.insert", "httpMethod": "POST", "parameterOrder": [ "project", "zone" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "required": true, "location": "path" }, "sourceMachineImage": { "type": "string", "description": "Specifies the machine image to use to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to a machine image: - https://www.googleapis.com/compute/v1/projects/project/global/global /machineImages/machineImage - projects/project/global/global/machineImages/machineImage - global/machineImages/machineImage ", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "sourceInstanceTemplate": { "type": "string", "description": "Specifies instance template to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate ", "location": "query" } }, "flatPath": "projects/{project}/zones/{zone}/instances", "request": { "$ref": "Instance" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setMinCpuPlatform": { "parameterOrder": [ "project", "zone", "instance" ], "description": "Changes the minimum CPU platform that this instance should use. This method can only be called on a stopped instance. For more information, read Specifying a Minimum CPU Platform.", "id": "compute.instances.setMinCpuPlatform", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "instance": { "description": "Name of the instance scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "InstancesSetMinCpuPlatformRequest" }, "path": "projects/{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform" }, "delete": { "description": "Deletes the specified Instance resource. For more information, see Deleting an instance.", "response": { "$ref": "Operation" }, "id": "compute.instances.delete", "flatPath": "projects/{project}/zones/{zone}/instances/{instance}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/instances/{instance}", "parameterOrder": [ "project", "zone", "instance" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request.", "type": "string" }, "instance": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the instance resource to delete.", "required": true, "type": "string" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } } } }, "backendServices": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "BackendService" }, "id": "compute.backendServices.insert", "flatPath": "projects/{project}/global/backendServices", "description": "Creates a BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview .", "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/global/backendServices" }, "addSignedUrlKey": { "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "backendService": { "location": "path", "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "type": "string", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "description": "Adds a key for validating requests with signed URLs for this backend service.", "flatPath": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey", "id": "compute.backendServices.addSignedUrlKey", "httpMethod": "POST", "request": { "$ref": "SignedUrlKey" }, "parameterOrder": [ "project", "backendService" ], "path": "projects/{project}/global/backendServices/{backendService}/addSignedUrlKey" }, "list": { "id": "compute.backendServices.list", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "default": "500", "format": "uint32", "location": "query", "minimum": "0", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "flatPath": "projects/{project}/global/backendServices", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "BackendServiceList" }, "path": "projects/{project}/global/backendServices", "description": "Retrieves the list of BackendService resources available to the specified project.", "parameterOrder": [ "project" ] }, "deleteSignedUrlKey": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "backendService": { "required": true, "type": "string", "description": "Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "location": "path" }, "keyName": { "description": "The name of the Signed URL Key to delete.", "required": true, "type": "string", "location": "query" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Deletes a key for validating requests with signed URLs for this backend service.", "path": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey", "id": "compute.backendServices.deleteSignedUrlKey", "parameterOrder": [ "project", "backendService", "keyName" ], "flatPath": "projects/{project}/global/backendServices/{backendService}/deleteSignedUrlKey" }, "setEdgeSecurityPolicy": { "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendService" ], "flatPath": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "parameters": { "backendService": { "description": "Name of the BackendService resource to which the edge security policy should be set. The name should conform to RFC1035.", "required": true, "type": "string", "location": "path" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/backendServices/{backendService}/setEdgeSecurityPolicy", "id": "compute.backendServices.setEdgeSecurityPolicy", "description": "Sets the edge security policy for the specified backend service.", "httpMethod": "POST", "request": { "$ref": "SecurityPolicyReference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" }, "backendService": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the BackendService resource to return.", "location": "path" } }, "id": "compute.backendServices.get", "description": "Returns the specified BackendService resource. Gets a list of available backend services.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/global/backendServices/{backendService}", "flatPath": "projects/{project}/global/backendServices/{backendService}", "parameterOrder": [ "project", "backendService" ], "response": { "$ref": "BackendService" } }, "update": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/backendServices/{backendService}", "parameterOrder": [ "project", "backendService" ], "flatPath": "projects/{project}/global/backendServices/{backendService}", "description": "Updates the specified BackendService resource with the data included in the request. For more information, see Backend services overview.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.backendServices.update", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the BackendService resource to update." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "httpMethod": "PUT", "request": { "$ref": "BackendService" } }, "getHealth": { "description": "Gets the most recent health check results for this BackendService. Example request body: { \"group\": \"/zones/us-east1-b/instanceGroups/lb-backend-example\" }", "parameters": { "backendService": { "type": "string", "required": true, "description": "Name of the BackendService resource to which the queried instance belongs.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "response": { "$ref": "BackendServiceGroupHealth" }, "id": "compute.backendServices.getHealth", "httpMethod": "POST", "flatPath": "projects/{project}/global/backendServices/{backendService}/getHealth", "parameterOrder": [ "project", "backendService" ], "request": { "$ref": "ResourceGroupReference" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/backendServices/{backendService}/getHealth" }, "patch": { "id": "compute.backendServices.patch", "flatPath": "projects/{project}/global/backendServices/{backendService}", "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "backendService": { "description": "Name of the BackendService resource to patch.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "PATCH", "path": "projects/{project}/global/backendServices/{backendService}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "BackendService" }, "description": "Patches the specified BackendService resource with the data included in the request. For more information, see Backend services overview. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "backendService" ] }, "setSecurityPolicy": { "flatPath": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "request": { "$ref": "SecurityPolicyReference" }, "description": "Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview", "id": "compute.backendServices.setSecurityPolicy", "parameters": { "backendService": { "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/global/backendServices/{backendService}/setSecurityPolicy", "parameterOrder": [ "project", "backendService" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "description": "Deletes the specified BackendService resource.", "response": { "$ref": "Operation" }, "id": "compute.backendServices.delete", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendService": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendService resource to delete.", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "path": "projects/{project}/global/backendServices/{backendService}", "parameterOrder": [ "project", "backendService" ], "flatPath": "projects/{project}/global/backendServices/{backendService}" }, "aggregatedList": { "httpMethod": "GET", "path": "projects/{project}/aggregated/backendServices", "flatPath": "projects/{project}/aggregated/backendServices", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "format": "uint32", "minimum": "0", "default": "500" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "description": "Name of the project scoping this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "id": "compute.backendServices.aggregatedList", "description": "Retrieves the list of all BackendService resources, regional and global, available to the specified project.", "response": { "$ref": "BackendServiceAggregatedList" } } } }, "regionNotificationEndpoints": { "methods": { "list": { "id": "compute.regionNotificationEndpoints.list", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "NotificationEndpointList" }, "parameters": { "maxResults": { "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" } }, "path": "projects/{project}/regions/{region}/notificationEndpoints", "description": "Lists the NotificationEndpoints for a project in the given region.", "parameterOrder": [ "project", "region" ] }, "delete": { "description": "Deletes the specified NotificationEndpoint in the given region", "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "response": { "$ref": "Operation" }, "id": "compute.regionNotificationEndpoints.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "notificationEndpoint": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the NotificationEndpoint resource to delete.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "region": { "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } }, "parameterOrder": [ "project", "region", "notificationEndpoint" ], "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}" }, "insert": { "path": "projects/{project}/regions/{region}/notificationEndpoints", "parameterOrder": [ "project", "region" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "request": { "$ref": "NotificationEndpoint" }, "id": "compute.regionNotificationEndpoints.insert", "description": "Create a NotificationEndpoint in the specified project in the given region using the parameters that are included in the request.", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "get": { "description": "Returns the specified NotificationEndpoint resource in the given region.", "flatPath": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}", "id": "compute.regionNotificationEndpoints.get", "parameterOrder": [ "project", "region", "notificationEndpoint" ], "httpMethod": "GET", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region scoping this request." }, "notificationEndpoint": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the NotificationEndpoint resource to return.", "type": "string", "required": true, "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "response": { "$ref": "NotificationEndpoint" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/notificationEndpoints/{notificationEndpoint}" } } }, "interconnectLocations": { "methods": { "get": { "parameterOrder": [ "project", "interconnectLocation" ], "response": { "$ref": "InterconnectLocation" }, "flatPath": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "id": "compute.interconnectLocations.get", "path": "projects/{project}/global/interconnectLocations/{interconnectLocation}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "interconnectLocation": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect location to return.", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Returns the details for the specified interconnect location. Gets a list of available interconnect locations by making a list() request." }, "list": { "path": "projects/{project}/global/interconnectLocations", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "minimum": "0", "default": "500", "format": "uint32", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "id": "compute.interconnectLocations.list", "flatPath": "projects/{project}/global/interconnectLocations", "description": "Retrieves the list of interconnect locations available to the specified project.", "httpMethod": "GET", "response": { "$ref": "InterconnectLocationList" } } } }, "regionDiskTypes": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "RegionDiskTypeList" }, "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "default": "500", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/diskTypes", "id": "compute.regionDiskTypes.list", "description": "Retrieves a list of regional disk types available to the specified project.", "path": "projects/{project}/regions/{region}/diskTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "description": "Returns the specified regional disk type. Gets a list of available disk types by making a list() request.", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/diskTypes/{diskType}", "response": { "$ref": "DiskType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/diskTypes/{diskType}", "parameters": { "diskType": { "type": "string", "location": "path", "description": "Name of the disk type to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "location": "path", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "id": "compute.regionDiskTypes.get", "parameterOrder": [ "project", "region", "diskType" ] } } }, "publicDelegatedPrefixes": { "methods": { "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "PublicDelegatedPrefixAggregatedList" }, "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/publicDelegatedPrefixes", "description": "Lists all PublicDelegatedPrefix resources owned by the specific project across all scopes.", "parameters": { "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Name of the project scoping this request." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "type": "integer", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "flatPath": "projects/{project}/aggregated/publicDelegatedPrefixes", "id": "compute.publicDelegatedPrefixes.aggregatedList" }, "delete": { "id": "compute.publicDelegatedPrefixes.delete", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "parameters": { "publicDelegatedPrefix": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the PublicDelegatedPrefix resource to delete." }, "region": { "description": "Name of the region of this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "description": "Deletes the specified PublicDelegatedPrefix in the given region.", "response": { "$ref": "Operation" } }, "list": { "parameterOrder": [ "project", "region" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "Name of the region of this request." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "response": { "$ref": "PublicDelegatedPrefixList" }, "description": "Lists the PublicDelegatedPrefixes for a project in the given region.", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "id": "compute.publicDelegatedPrefixes.list", "httpMethod": "GET" }, "get": { "httpMethod": "GET", "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "PublicDelegatedPrefix" }, "description": "Returns the specified PublicDelegatedPrefix resource in the given region.", "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameters": { "region": { "description": "Name of the region of this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "publicDelegatedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name of the PublicDelegatedPrefix resource to return." } }, "id": "compute.publicDelegatedPrefixes.get" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "request": { "$ref": "PublicDelegatedPrefix" }, "parameterOrder": [ "project", "region" ], "id": "compute.publicDelegatedPrefixes.insert", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "Name of the region of this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes", "response": { "$ref": "Operation" }, "description": "Creates a PublicDelegatedPrefix in the specified project in the given region using the parameters that are included in the request." }, "patch": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "request": { "$ref": "PublicDelegatedPrefix" }, "path": "projects/{project}/regions/{region}/publicDelegatedPrefixes/{publicDelegatedPrefix}", "httpMethod": "PATCH", "parameters": { "publicDelegatedPrefix": { "description": "Name of the PublicDelegatedPrefix resource to patch.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "type": "string", "location": "path" } }, "id": "compute.publicDelegatedPrefixes.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "publicDelegatedPrefix" ], "description": "Patches the specified PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules." } } }, "projects": { "methods": { "getXpnResources": { "httpMethod": "GET", "flatPath": "projects/{project}/getXpnResources", "parameterOrder": [ "project" ], "parameters": { "maxResults": { "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "id": "compute.projects.getXpnResources", "response": { "$ref": "ProjectsGetXpnResources" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Gets service resources (a.k.a service project) associated with this host project.", "path": "projects/{project}/getXpnResources" }, "setCommonInstanceMetadata": { "parameterOrder": [ "project" ], "id": "compute.projects.setCommonInstanceMetadata", "path": "projects/{project}/setCommonInstanceMetadata", "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "request": { "$ref": "Metadata" }, "flatPath": "projects/{project}/setCommonInstanceMetadata", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets metadata common to all instances within the specified project using the data included in the request." }, "get": { "parameterOrder": [ "project" ], "response": { "$ref": "Project" }, "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}", "httpMethod": "GET", "description": "Returns the specified Project resource. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}", "id": "compute.projects.get" }, "setUsageExportBucket": { "httpMethod": "POST", "description": "Enables the usage export feature and sets the usage export bucket where reports are stored. If you provide an empty request body using this method, the usage export feature will be disabled.", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "id": "compute.projects.setUsageExportBucket", "parameterOrder": [ "project" ], "request": { "$ref": "UsageExportLocation" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/setUsageExportBucket", "path": "projects/{project}/setUsageExportBucket", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ] }, "disableXpnResource": { "httpMethod": "POST", "path": "projects/{project}/disableXpnResource", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/disableXpnResource", "parameterOrder": [ "project" ], "id": "compute.projects.disableXpnResource", "description": "Disable a service resource (also known as service project) associated with this host project.", "request": { "$ref": "ProjectsDisableXpnResourceRequest" } }, "moveDisk": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.projects.moveDisk", "path": "projects/{project}/moveDisk", "flatPath": "projects/{project}/moveDisk", "description": "Moves a persistent disk from one zone to another.", "request": { "$ref": "DiskMoveRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "enableXpnHost": { "description": "Enable this project as a shared VPC host project.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/enableXpnHost", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/enableXpnHost", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "parameterOrder": [ "project" ], "id": "compute.projects.enableXpnHost" }, "moveInstance": { "flatPath": "projects/{project}/moveInstance", "id": "compute.projects.moveInstance", "httpMethod": "POST", "request": { "$ref": "InstanceMoveRequest" }, "description": "Moves an instance and its attached persistent disks from one zone to another. *Note*: Moving VMs or disks by using this method might cause unexpected behavior. For more information, see the [known issue](/compute/docs/troubleshooting/known-issues#moving_vms_or_disks_using_the_moveinstance_api_or_the_causes_unexpected_behavior).", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/moveInstance", "parameterOrder": [ "project" ] }, "disableXpnHost": { "response": { "$ref": "Operation" }, "id": "compute.projects.disableXpnHost", "description": "Disable this project as a shared VPC host project.", "flatPath": "projects/{project}/disableXpnHost", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/disableXpnHost", "parameterOrder": [ "project" ], "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } } }, "listXpnHosts": { "response": { "$ref": "XpnHostList" }, "flatPath": "projects/{project}/listXpnHosts", "id": "compute.projects.listXpnHosts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "httpMethod": "POST", "request": { "$ref": "ProjectsListXpnHostsRequest" }, "path": "projects/{project}/listXpnHosts", "description": "Lists all shared VPC host projects visible to the user in an organization.", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "location": "query", "type": "integer", "default": "500" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } } }, "getXpnHost": { "description": "Gets the shared VPC host project that this project links to. May be empty if no link exists.", "path": "projects/{project}/getXpnHost", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" } }, "response": { "$ref": "Project" }, "flatPath": "projects/{project}/getXpnHost", "id": "compute.projects.getXpnHost", "httpMethod": "GET" }, "enableXpnResource": { "parameterOrder": [ "project" ], "httpMethod": "POST", "flatPath": "projects/{project}/enableXpnResource", "id": "compute.projects.enableXpnResource", "path": "projects/{project}/enableXpnResource", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ProjectsEnableXpnResourceRequest" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "description": "Enable service resource (a.k.a service project) for a host project, so that subnets in the host project can be used by instances in the service project." }, "setDefaultNetworkTier": { "flatPath": "projects/{project}/setDefaultNetworkTier", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ProjectsSetDefaultNetworkTierRequest" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Sets the default network tier of the project. The default network tier is used when an address/forwardingRule/instance is created without specifying the network tier field.", "id": "compute.projects.setDefaultNetworkTier", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "project" ], "path": "projects/{project}/setDefaultNetworkTier" } } }, "resourcePolicies": { "methods": { "delete": { "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "parameters": { "region": { "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resourcePolicy": { "type": "string", "description": "Name of the resource policy to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "region", "resourcePolicy" ], "description": "Deletes the specified resource policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "id": "compute.resourcePolicies.delete", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}" }, "getIamPolicy": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" }, "region": { "description": "The name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "optionsRequestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Requested IAM Policy version.", "location": "query" }, "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET", "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "id": "compute.resourcePolicies.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "aggregatedList": { "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/resourcePolicies", "parameters": { "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "maxResults": { "type": "integer", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.resourcePolicies.aggregatedList", "httpMethod": "GET", "response": { "$ref": "ResourcePolicyAggregatedList" }, "description": "Retrieves an aggregated list of resource policies.", "path": "projects/{project}/aggregated/resourcePolicies" }, "setIamPolicy": { "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/setIamPolicy", "id": "compute.resourcePolicies.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "RegionSetPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the region for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true } }, "response": { "$ref": "Policy" } }, "list": { "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "location": "path" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "format": "uint32", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true } }, "path": "projects/{project}/regions/{region}/resourcePolicies", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "description": "A list all the resource policies that have been configured for the specified project in specified region.", "response": { "$ref": "ResourcePolicyList" }, "id": "compute.resourcePolicies.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "get": { "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}", "response": { "$ref": "ResourcePolicy" }, "parameters": { "resourcePolicy": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the resource policy to retrieve." }, "region": { "required": true, "type": "string", "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "description": "Retrieves all information of the specified resource policy.", "parameterOrder": [ "project", "region", "resourcePolicy" ], "id": "compute.resourcePolicies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/resourcePolicies/{resourcePolicy}" }, "testIamPermissions": { "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "resource": { "description": "Name or id of the resource for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "type": "string", "location": "path", "description": "The name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "POST", "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "flatPath": "projects/{project}/regions/{region}/resourcePolicies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.resourcePolicies.testIamPermissions" }, "insert": { "request": { "$ref": "ResourcePolicy" }, "id": "compute.resourcePolicies.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "flatPath": "projects/{project}/regions/{region}/resourcePolicies", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/resourcePolicies", "description": "Creates a new resource policy.", "response": { "$ref": "Operation" } } } }, "serviceAttachments": { "methods": { "patch": { "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "description": "Patches the specified ServiceAttachment resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameterOrder": [ "project", "region", "serviceAttachment" ], "request": { "$ref": "ServiceAttachment" }, "parameters": { "serviceAttachment": { "required": true, "description": "The resource id of the ServiceAttachment to patch. It should conform to RFC1035 resource name or be a string form on an unsigned long number.", "type": "string", "location": "path" }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "location": "path", "required": true, "description": "The region scoping this request and should conform to RFC1035.", "type": "string" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.serviceAttachments.patch" }, "insert": { "description": "Creates a ServiceAttachment in the specified project in the given scope using the parameters that are included in the request.", "path": "projects/{project}/regions/{region}/serviceAttachments", "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "id": "compute.serviceAttachments.insert", "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "region": { "required": true, "description": "Name of the region of this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "ServiceAttachment" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments" }, "delete": { "id": "compute.serviceAttachments.delete", "parameterOrder": [ "project", "region", "serviceAttachment" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "serviceAttachment": { "location": "path", "description": "Name of the ServiceAttachment resource to delete.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region of this request.", "location": "path", "required": true } }, "httpMethod": "DELETE", "description": "Deletes the specified ServiceAttachment in the given scope" }, "list": { "path": "projects/{project}/regions/{region}/serviceAttachments", "id": "compute.serviceAttachments.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/serviceAttachments", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "location": "query", "default": "500", "type": "integer", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "region": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region of this request." } }, "httpMethod": "GET", "description": "Lists the ServiceAttachments for a project in the given scope.", "parameterOrder": [ "project", "region" ], "response": { "$ref": "ServiceAttachmentList" } }, "aggregatedList": { "description": "Retrieves the list of all ServiceAttachment resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/serviceAttachments", "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "format": "uint32", "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "location": "path", "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "project" ], "id": "compute.serviceAttachments.aggregatedList", "path": "projects/{project}/aggregated/serviceAttachments", "response": { "$ref": "ServiceAttachmentAggregatedList" } }, "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "parameterOrder": [ "project", "region", "resource" ], "request": { "$ref": "TestPermissionsRequest" }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource.", "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "required": true, "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name or id of the resource for this request." } }, "id": "compute.serviceAttachments.testIamPermissions" }, "getIamPolicy": { "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "location": "query", "type": "integer", "format": "int32" }, "resource": { "type": "string", "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/getIamPolicy", "httpMethod": "GET", "id": "compute.serviceAttachments.getIamPolicy" }, "get": { "response": { "$ref": "ServiceAttachment" }, "parameterOrder": [ "project", "region", "serviceAttachment" ], "id": "compute.serviceAttachments.get", "description": "Returns the specified ServiceAttachment resource in the given scope.", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "region": { "description": "Name of the region of this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "serviceAttachment": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the ServiceAttachment resource to return." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}", "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{serviceAttachment}" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.serviceAttachments.setIamPolicy", "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "parameters": { "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the region for this request.", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name or id of the resource for this request." } }, "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy", "flatPath": "projects/{project}/regions/{region}/serviceAttachments/{resource}/setIamPolicy" } } }, "vpnTunnels": { "methods": { "insert": { "id": "compute.vpnTunnels.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "VpnTunnel" }, "path": "projects/{project}/regions/{region}/vpnTunnels", "description": "Creates a VpnTunnel resource in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "parameters": { "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.vpnTunnels.delete", "parameters": { "region": { "location": "path", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "vpnTunnel": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the VpnTunnel resource to delete.", "required": true }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "parameterOrder": [ "project", "region", "vpnTunnel" ], "httpMethod": "DELETE", "description": "Deletes the specified VpnTunnel resource.", "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "response": { "$ref": "Operation" } }, "aggregatedList": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "maxResults": { "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "parameterOrder": [ "project" ], "path": "projects/{project}/aggregated/vpnTunnels", "flatPath": "projects/{project}/aggregated/vpnTunnels", "response": { "$ref": "VpnTunnelAggregatedList" }, "description": "Retrieves an aggregated list of VPN tunnels.", "id": "compute.vpnTunnels.aggregatedList" }, "get": { "parameterOrder": [ "project", "region", "vpnTunnel" ], "flatPath": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "id": "compute.vpnTunnels.get", "description": "Returns the specified VpnTunnel resource. Gets a list of available VPN tunnels by making a list() request.", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "required": true, "description": "Name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "vpnTunnel": { "description": "Name of the VpnTunnel resource to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/vpnTunnels/{vpnTunnel}", "response": { "$ref": "VpnTunnel" } }, "list": { "path": "projects/{project}/regions/{region}/vpnTunnels", "parameters": { "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query", "default": "500", "minimum": "0" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "region": { "location": "path", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "description": "Retrieves a list of VpnTunnel resources contained in the specified project and region.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "VpnTunnelList" }, "id": "compute.vpnTunnels.list", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/vpnTunnels", "parameterOrder": [ "project", "region" ] } } }, "regionBackendServices": { "methods": { "getHealth": { "request": { "$ref": "ResourceGroupReference" }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth", "description": "Gets the most recent health check results for this regional BackendService.", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/backendServices/{backendService}/getHealth", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.regionBackendServices.getHealth", "parameterOrder": [ "project", "region", "backendService" ], "parameters": { "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "backendService": { "description": "Name of the BackendService resource for which to get health.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "response": { "$ref": "BackendServiceGroupHealth" } }, "list": { "description": "Retrieves the list of regional BackendService resources available to the specified project in the given region.", "httpMethod": "GET", "response": { "$ref": "BackendServiceList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/backendServices", "parameterOrder": [ "project", "region" ], "id": "compute.regionBackendServices.list", "flatPath": "projects/{project}/regions/{region}/backendServices", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "location": "query", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } } }, "update": { "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Backend services overview .", "id": "compute.regionBackendServices.update", "parameterOrder": [ "project", "region", "backendService" ], "request": { "$ref": "BackendService" }, "response": { "$ref": "Operation" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "backendService": { "description": "Name of the BackendService resource to update.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } } }, "patch": { "parameterOrder": [ "project", "region", "backendService" ], "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "id": "compute.regionBackendServices.patch", "request": { "$ref": "BackendService" }, "description": "Updates the specified regional BackendService resource with the data included in the request. For more information, see Understanding backend services This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "backendService": { "description": "Name of the BackendService resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path", "description": "Name of the region scoping this request." } } }, "delete": { "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "id": "compute.regionBackendServices.delete", "description": "Deletes the specified regional BackendService resource.", "parameterOrder": [ "project", "region", "backendService" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendService": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the BackendService resource to delete." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "httpMethod": "DELETE" }, "insert": { "request": { "$ref": "BackendService" }, "id": "compute.regionBackendServices.insert", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region" ], "description": "Creates a regional BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/backendServices", "flatPath": "projects/{project}/regions/{region}/backendServices" }, "get": { "parameters": { "backendService": { "description": "Name of the BackendService resource to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "parameterOrder": [ "project", "region", "backendService" ], "id": "compute.regionBackendServices.get", "path": "projects/{project}/regions/{region}/backendServices/{backendService}", "response": { "$ref": "BackendService" }, "description": "Returns the specified regional BackendService resource.", "flatPath": "projects/{project}/regions/{region}/backendServices/{backendService}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "machineTypes": { "methods": { "list": { "response": { "$ref": "MachineTypeList" }, "description": "Retrieves a list of machine types available to the specified project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the zone for this request." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true } }, "path": "projects/{project}/zones/{zone}/machineTypes", "parameterOrder": [ "project", "zone" ], "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/machineTypes", "id": "compute.machineTypes.list" }, "aggregatedList": { "description": "Retrieves an aggregated list of machine types.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500" }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" } }, "path": "projects/{project}/aggregated/machineTypes", "flatPath": "projects/{project}/aggregated/machineTypes", "id": "compute.machineTypes.aggregatedList", "httpMethod": "GET", "response": { "$ref": "MachineTypeAggregatedList" }, "parameterOrder": [ "project" ] }, "get": { "flatPath": "projects/{project}/zones/{zone}/machineTypes/{machineType}", "httpMethod": "GET", "response": { "$ref": "MachineType" }, "parameterOrder": [ "project", "zone", "machineType" ], "path": "projects/{project}/zones/{zone}/machineTypes/{machineType}", "id": "compute.machineTypes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified machine type. Gets a list of available machine types by making a list() request.", "parameters": { "zone": { "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "machineType": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the machine type to return.", "type": "string", "required": true } } } } }, "routes": { "methods": { "list": { "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "format": "uint32", "location": "query", "minimum": "0" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." } }, "description": "Retrieves the list of Route resources available to the specified project.", "response": { "$ref": "RouteList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/routes", "id": "compute.routes.list", "path": "projects/{project}/global/routes", "httpMethod": "GET" }, "delete": { "id": "compute.routes.delete", "flatPath": "projects/{project}/global/routes/{route}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/routes/{route}", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "route": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the Route resource to delete.", "type": "string" } }, "description": "Deletes the specified Route resource.", "parameterOrder": [ "project", "route" ] }, "get": { "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "route": { "location": "path", "required": true, "description": "Name of the Route resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "path": "projects/{project}/global/routes/{route}", "description": "Returns the specified Route resource. Gets a list of available routes by making a list() request.", "parameterOrder": [ "project", "route" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.routes.get", "flatPath": "projects/{project}/global/routes/{route}", "httpMethod": "GET", "response": { "$ref": "Route" } }, "insert": { "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/routes", "parameterOrder": [ "project" ], "description": "Creates a Route resource in the specified project using the data included in the request.", "httpMethod": "POST", "flatPath": "projects/{project}/global/routes", "request": { "$ref": "Route" }, "id": "compute.routes.insert", "response": { "$ref": "Operation" } } } }, "targetHttpProxies": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "project", "targetHttpProxy" ], "response": { "$ref": "TargetHttpProxy" }, "description": "Returns the specified TargetHttpProxy resource. Gets a list of available target HTTP proxies by making a list() request.", "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "parameters": { "targetHttpProxy": { "location": "path", "description": "Name of the TargetHttpProxy resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetHttpProxies.get", "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}" }, "list": { "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32", "minimum": "0", "default": "500" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "flatPath": "projects/{project}/global/targetHttpProxies", "id": "compute.targetHttpProxies.list", "description": "Retrieves the list of TargetHttpProxy resources available to the specified project.", "httpMethod": "GET", "response": { "$ref": "TargetHttpProxyList" }, "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/targetHttpProxies" }, "patch": { "httpMethod": "PATCH", "description": "Patches the specified TargetHttpProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameterOrder": [ "project", "targetHttpProxy" ], "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "parameters": { "targetHttpProxy": { "type": "string", "description": "Name of the TargetHttpProxy resource to patch.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." } }, "response": { "$ref": "Operation" }, "id": "compute.targetHttpProxies.patch", "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "request": { "$ref": "TargetHttpProxy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "id": "compute.targetHttpProxies.insert", "description": "Creates a TargetHttpProxy resource in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TargetHttpProxy" }, "path": "projects/{project}/global/targetHttpProxies", "httpMethod": "POST", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project" ], "flatPath": "projects/{project}/global/targetHttpProxies" }, "aggregatedList": { "id": "compute.targetHttpProxies.aggregatedList", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "required": true, "description": "Name of the project scoping this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "response": { "$ref": "TargetHttpProxyAggregatedList" }, "flatPath": "projects/{project}/aggregated/targetHttpProxies", "description": "Retrieves the list of all TargetHttpProxy resources, regional and global, available to the specified project.", "httpMethod": "GET", "path": "projects/{project}/aggregated/targetHttpProxies" }, "delete": { "httpMethod": "DELETE", "description": "Deletes the specified TargetHttpProxy resource.", "id": "compute.targetHttpProxies.delete", "parameterOrder": [ "project", "targetHttpProxy" ], "flatPath": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetHttpProxy": { "description": "Name of the TargetHttpProxy resource to delete.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/targetHttpProxies/{targetHttpProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "setUrlMap": { "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "targetHttpProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetHttpProxy to set a URL map for.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST", "path": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "parameterOrder": [ "project", "targetHttpProxy" ], "request": { "$ref": "UrlMapReference" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap", "description": "Changes the URL map for TargetHttpProxy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetHttpProxies.setUrlMap" } } }, "sslCertificates": { "methods": { "delete": { "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}", "description": "Deletes the specified SslCertificate resource.", "parameterOrder": [ "project", "sslCertificate" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "sslCertificate": { "description": "Name of the SslCertificate resource to delete.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "id": "compute.sslCertificates.delete" }, "aggregatedList": { "response": { "$ref": "SslCertificateAggregatedList" }, "flatPath": "projects/{project}/aggregated/sslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/sslCertificates", "httpMethod": "GET", "id": "compute.sslCertificates.aggregatedList", "description": "Retrieves the list of all SslCertificate resources, regional and global, available to the specified project.", "parameters": { "project": { "location": "path", "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "type": "integer", "default": "500" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "type": "boolean", "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "parameterOrder": [ "project" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SslCertificate" }, "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.sslCertificates.insert", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "flatPath": "projects/{project}/global/sslCertificates", "description": "Creates a SslCertificate resource in the specified project using the data included in the request.", "path": "projects/{project}/global/sslCertificates" }, "get": { "flatPath": "projects/{project}/global/sslCertificates/{sslCertificate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SslCertificate" }, "parameterOrder": [ "project", "sslCertificate" ], "path": "projects/{project}/global/sslCertificates/{sslCertificate}", "id": "compute.sslCertificates.get", "description": "Returns the specified SslCertificate resource. Gets a list of available SSL certificates by making a list() request.", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "sslCertificate": { "required": true, "location": "path", "type": "string", "description": "Name of the SslCertificate resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET" }, "list": { "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "default": "500", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0" } }, "path": "projects/{project}/global/sslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.sslCertificates.list", "parameterOrder": [ "project" ], "response": { "$ref": "SslCertificateList" }, "httpMethod": "GET", "flatPath": "projects/{project}/global/sslCertificates", "description": "Retrieves the list of SslCertificate resources available to the specified project." } } }, "targetGrpcProxies": { "methods": { "list": { "path": "projects/{project}/global/targetGrpcProxies", "id": "compute.targetGrpcProxies.list", "parameterOrder": [ "project" ], "httpMethod": "GET", "flatPath": "projects/{project}/global/targetGrpcProxies", "response": { "$ref": "TargetGrpcProxyList" }, "description": "Lists the TargetGrpcProxies for a project in the given scope.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "minimum": "0", "default": "500", "location": "query", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } } }, "patch": { "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "parameterOrder": [ "project", "targetGrpcProxy" ], "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "id": "compute.targetGrpcProxies.patch", "response": { "$ref": "Operation" }, "request": { "$ref": "TargetGrpcProxy" }, "description": "Patches the specified TargetGrpcProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "targetGrpcProxy": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetGrpcProxy resource to patch.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "id": "compute.targetGrpcProxies.get", "parameterOrder": [ "project", "targetGrpcProxy" ], "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." }, "targetGrpcProxy": { "description": "Name of the TargetGrpcProxy resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string" } }, "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "response": { "$ref": "TargetGrpcProxy" }, "description": "Returns the specified TargetGrpcProxy resource in the given scope." }, "insert": { "description": "Creates a TargetGrpcProxy in the specified project in the given scope using the parameters that are included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetGrpcProxies", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project" ], "id": "compute.targetGrpcProxies.insert", "httpMethod": "POST", "request": { "$ref": "TargetGrpcProxy" }, "flatPath": "projects/{project}/global/targetGrpcProxies" }, "delete": { "parameterOrder": [ "project", "targetGrpcProxy" ], "flatPath": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "id": "compute.targetGrpcProxies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/targetGrpcProxies/{targetGrpcProxy}", "httpMethod": "DELETE", "description": "Deletes the specified TargetGrpcProxy in the given scope", "response": { "$ref": "Operation" }, "parameters": { "targetGrpcProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the TargetGrpcProxy resource to delete.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } } } } }, "interconnectAttachments": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "InterconnectAttachmentList" }, "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "required": true }, "maxResults": { "default": "500", "format": "uint32", "location": "query", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments", "description": "Retrieves the list of interconnect attachments contained within the specified region.", "path": "projects/{project}/regions/{region}/interconnectAttachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.interconnectAttachments.list" }, "patch": { "id": "compute.interconnectAttachments.patch", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "response": { "$ref": "Operation" }, "description": "Updates the specified interconnect attachment with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "interconnectAttachment": { "location": "path", "required": true, "description": "Name of the interconnect attachment to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } }, "request": { "$ref": "InterconnectAttachment" }, "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "parameterOrder": [ "project", "region", "interconnectAttachment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "description": "Creates an InterconnectAttachment in the specified project using the data included in the request.", "id": "compute.interconnectAttachments.insert", "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "If true, the request will not be committed." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/interconnectAttachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments", "request": { "$ref": "InterconnectAttachment" }, "response": { "$ref": "Operation" } }, "delete": { "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "httpMethod": "DELETE", "description": "Deletes the specified interconnect attachment.", "response": { "$ref": "Operation" }, "parameters": { "interconnectAttachment": { "location": "path", "required": true, "type": "string", "description": "Name of the interconnect attachment to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "region": { "required": true, "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "region", "interconnectAttachment" ], "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.interconnectAttachments.delete" }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/interconnectAttachments", "id": "compute.interconnectAttachments.aggregatedList", "description": "Retrieves an aggregated list of interconnect attachments.", "path": "projects/{project}/aggregated/interconnectAttachments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "minimum": "0", "default": "500", "type": "integer" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" } }, "parameterOrder": [ "project" ], "httpMethod": "GET", "response": { "$ref": "InterconnectAttachmentAggregatedList" } }, "get": { "parameterOrder": [ "project", "region", "interconnectAttachment" ], "path": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "interconnectAttachment": { "description": "Name of the interconnect attachment to return.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "required": true, "description": "Name of the region for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Returns the specified interconnect attachment.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.interconnectAttachments.get", "flatPath": "projects/{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}", "response": { "$ref": "InterconnectAttachment" } } } }, "interconnects": { "methods": { "get": { "path": "projects/{project}/global/interconnects/{interconnect}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/interconnects/{interconnect}", "description": "Returns the specified interconnect. Get a list of available interconnects by making a list() request.", "parameterOrder": [ "project", "interconnect" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "interconnect": { "description": "Name of the interconnect to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Interconnect" }, "id": "compute.interconnects.get", "httpMethod": "GET" }, "getDiagnostics": { "flatPath": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics", "response": { "$ref": "InterconnectsGetDiagnosticsResponse" }, "path": "projects/{project}/global/interconnects/{interconnect}/getDiagnostics", "id": "compute.interconnects.getDiagnostics", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "interconnect" ], "description": "Returns the interconnectDiagnostics for the specified interconnect.", "httpMethod": "GET", "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "interconnect": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect resource to query." } } }, "insert": { "flatPath": "projects/{project}/global/interconnects", "httpMethod": "POST", "description": "Creates a Interconnect in the specified project using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "Interconnect" }, "id": "compute.interconnects.insert", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/interconnects", "parameterOrder": [ "project" ], "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "description": "Retrieves the list of interconnect available to the specified project.", "id": "compute.interconnects.list", "httpMethod": "GET", "response": { "$ref": "InterconnectList" }, "path": "projects/{project}/global/interconnects", "flatPath": "projects/{project}/global/interconnects", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } } }, "delete": { "path": "projects/{project}/global/interconnects/{interconnect}", "httpMethod": "DELETE", "flatPath": "projects/{project}/global/interconnects/{interconnect}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "interconnect": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the interconnect to delete.", "type": "string", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "Project ID for this request.", "type": "string" } }, "parameterOrder": [ "project", "interconnect" ], "response": { "$ref": "Operation" }, "description": "Deletes the specified interconnect.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.interconnects.delete" }, "patch": { "description": "Updates the specified interconnect with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "interconnect" ], "request": { "$ref": "Interconnect" }, "id": "compute.interconnects.patch", "flatPath": "projects/{project}/global/interconnects/{interconnect}", "path": "projects/{project}/global/interconnects/{interconnect}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "interconnect": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the interconnect to update." } }, "response": { "$ref": "Operation" } } } }, "packetMirrorings": { "methods": { "get": { "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "description": "Returns the specified PacketMirroring resource.", "id": "compute.packetMirrorings.get", "parameters": { "packetMirroring": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the PacketMirroring resource to return.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" }, "region": { "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "response": { "$ref": "PacketMirroring" }, "parameterOrder": [ "project", "region", "packetMirroring" ] }, "delete": { "id": "compute.packetMirrorings.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "description": "Deletes the specified PacketMirroring resource.", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region for this request." }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "packetMirroring": { "description": "Name of the PacketMirroring resource to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" } }, "parameterOrder": [ "project", "region", "packetMirroring" ] }, "testIamPermissions": { "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the region for this request." }, "resource": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" } }, "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/packetMirrorings/{resource}/testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.packetMirrorings.testIamPermissions" }, "patch": { "path": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}", "parameterOrder": [ "project", "region", "packetMirroring" ], "request": { "$ref": "PacketMirroring" }, "parameters": { "packetMirroring": { "required": true, "description": "Name of the PacketMirroring resource to patch.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "location": "path", "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true } }, "response": { "$ref": "Operation" }, "id": "compute.packetMirrorings.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified PacketMirroring resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "httpMethod": "PATCH", "flatPath": "projects/{project}/regions/{region}/packetMirrorings/{packetMirroring}" }, "aggregatedList": { "parameters": { "maxResults": { "location": "query", "type": "integer", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of packetMirrorings.", "parameterOrder": [ "project" ], "id": "compute.packetMirrorings.aggregatedList", "path": "projects/{project}/aggregated/packetMirrorings", "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/packetMirrorings", "response": { "$ref": "PacketMirroringAggregatedList" } }, "list": { "path": "projects/{project}/regions/{region}/packetMirrorings", "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500", "location": "query" }, "region": { "type": "string", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Retrieves a list of PacketMirroring resources available to the specified project and region.", "response": { "$ref": "PacketMirroringList" }, "id": "compute.packetMirrorings.list" }, "insert": { "description": "Creates a PacketMirroring resource in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/packetMirrorings", "id": "compute.packetMirrorings.insert", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region for this request.", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/packetMirrorings", "request": { "$ref": "PacketMirroring" } } } }, "globalPublicDelegatedPrefixes": { "methods": { "insert": { "httpMethod": "POST", "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "description": "Creates a global PublicDelegatedPrefix in the specified project using the parameters that are included in the request.", "parameterOrder": [ "project" ], "path": "projects/{project}/global/publicDelegatedPrefixes", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "id": "compute.globalPublicDelegatedPrefixes.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "PublicDelegatedPrefix" } }, "delete": { "description": "Deletes the specified global PublicDelegatedPrefix.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.globalPublicDelegatedPrefixes.delete", "httpMethod": "DELETE", "parameterOrder": [ "project", "publicDelegatedPrefix" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "publicDelegatedPrefix": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicDelegatedPrefix resource to delete.", "type": "string", "location": "path", "required": true } }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}" }, "patch": { "parameterOrder": [ "project", "publicDelegatedPrefix" ], "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "description": "Patches the specified global PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "publicDelegatedPrefix": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the PublicDelegatedPrefix resource to patch." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "id": "compute.globalPublicDelegatedPrefixes.patch", "request": { "$ref": "PublicDelegatedPrefix" }, "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}" }, "get": { "response": { "$ref": "PublicDelegatedPrefix" }, "path": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "parameters": { "publicDelegatedPrefix": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the PublicDelegatedPrefix resource to return.", "location": "path" }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.globalPublicDelegatedPrefixes.get", "description": "Returns the specified global PublicDelegatedPrefix resource.", "httpMethod": "GET", "flatPath": "projects/{project}/global/publicDelegatedPrefixes/{publicDelegatedPrefix}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "publicDelegatedPrefix" ] }, "list": { "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "default": "500", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "parameterOrder": [ "project" ], "id": "compute.globalPublicDelegatedPrefixes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the global PublicDelegatedPrefixes for a project.", "path": "projects/{project}/global/publicDelegatedPrefixes", "flatPath": "projects/{project}/global/publicDelegatedPrefixes", "response": { "$ref": "PublicDelegatedPrefixList" }, "httpMethod": "GET" } } }, "networks": { "methods": { "listPeeringRoutes": { "response": { "$ref": "ExchangedPeeringRoutesList" }, "parameters": { "peeringName": { "location": "query", "type": "string", "description": "The response will show routes exchanged over the given peering connection." }, "direction": { "enum": [ "INCOMING", "OUTGOING" ], "location": "query", "type": "string", "description": "The direction of the exchanged routes.", "enumDescriptions": [ "For routes exported from peer network.", "For routes exported from local network." ] }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "minimum": "0", "location": "query", "type": "integer", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "location": "query", "description": "The region of the request. The response will include all subnet routes, static routes and dynamic routes in the region." }, "network": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the network for this request.", "location": "path" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists the peering routes exchanged over peering connection.", "httpMethod": "GET", "parameterOrder": [ "project", "network" ], "flatPath": "projects/{project}/global/networks/{network}/listPeeringRoutes", "path": "projects/{project}/global/networks/{network}/listPeeringRoutes", "id": "compute.networks.listPeeringRoutes" }, "insert": { "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/networks", "description": "Creates a network in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "id": "compute.networks.insert", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "POST", "flatPath": "projects/{project}/global/networks", "request": { "$ref": "Network" } }, "removePeering": { "flatPath": "projects/{project}/global/networks/{network}/removePeering", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.networks.removePeering", "path": "projects/{project}/global/networks/{network}/removePeering", "parameterOrder": [ "project", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NetworksRemovePeeringRequest" }, "description": "Removes a peering from the specified network.", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "network": { "type": "string", "location": "path", "description": "Name of the network resource to remove peering from.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified network. Gets a list of available networks by making a list() request.", "id": "compute.networks.get", "flatPath": "projects/{project}/global/networks/{network}", "parameters": { "network": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the network to return." }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "parameterOrder": [ "project", "network" ], "path": "projects/{project}/global/networks/{network}", "response": { "$ref": "Network" } }, "addPeering": { "httpMethod": "POST", "parameterOrder": [ "project", "network" ], "response": { "$ref": "Operation" }, "description": "Adds a peering to the specified network.", "flatPath": "projects/{project}/global/networks/{network}/addPeering", "path": "projects/{project}/global/networks/{network}/addPeering", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networks.addPeering", "request": { "$ref": "NetworksAddPeeringRequest" }, "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "network": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the network resource to add peering to." } } }, "getEffectiveFirewalls": { "path": "projects/{project}/global/networks/{network}/getEffectiveFirewalls", "flatPath": "projects/{project}/global/networks/{network}/getEffectiveFirewalls", "response": { "$ref": "NetworksGetEffectiveFirewallsResponse" }, "description": "Returns the effective firewalls on a given network.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "network" ], "httpMethod": "GET", "id": "compute.networks.getEffectiveFirewalls", "parameters": { "network": { "description": "Name of the network for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } } }, "patch": { "id": "compute.networks.patch", "path": "projects/{project}/global/networks/{network}", "request": { "$ref": "Network" }, "parameters": { "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "network": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the network to update." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Patches the specified network with the data included in the request. Only the following fields can be modified: routingConfig.routingMode.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "network" ], "flatPath": "projects/{project}/global/networks/{network}", "httpMethod": "PATCH" }, "delete": { "httpMethod": "DELETE", "description": "Deletes the specified network.", "path": "projects/{project}/global/networks/{network}", "parameters": { "network": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the network to delete.", "required": true }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "network" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networks.delete", "flatPath": "projects/{project}/global/networks/{network}" }, "list": { "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "format": "uint32", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "response": { "$ref": "NetworkList" }, "httpMethod": "GET", "description": "Retrieves the list of networks available to the specified project.", "path": "projects/{project}/global/networks", "id": "compute.networks.list", "flatPath": "projects/{project}/global/networks" }, "switchToCustomMode": { "httpMethod": "POST", "path": "projects/{project}/global/networks/{network}/switchToCustomMode", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/networks/{network}/switchToCustomMode", "id": "compute.networks.switchToCustomMode", "description": "Switches the network mode from auto subnet mode to custom subnet mode.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "network": { "description": "Name of the network to be updated.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "project", "network" ] }, "updatePeering": { "flatPath": "projects/{project}/global/networks/{network}/updatePeering", "httpMethod": "PATCH", "path": "projects/{project}/global/networks/{network}/updatePeering", "request": { "$ref": "NetworksUpdatePeeringRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "network": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the network resource which the updated peering is belonging to.", "location": "path" } }, "parameterOrder": [ "project", "network" ], "id": "compute.networks.updatePeering", "response": { "$ref": "Operation" }, "description": "Updates the specified network peering with the data included in the request. You can only modify the NetworkPeering.export_custom_routes field and the NetworkPeering.import_custom_routes field." } } }, "urlMaps": { "methods": { "insert": { "request": { "$ref": "UrlMap" }, "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "path": "projects/{project}/global/urlMaps", "flatPath": "projects/{project}/global/urlMaps", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.urlMaps.insert", "response": { "$ref": "Operation" }, "description": "Creates a UrlMap resource in the specified project using the data included in the request.", "httpMethod": "POST", "parameterOrder": [ "project" ] }, "list": { "id": "compute.urlMaps.list", "flatPath": "projects/{project}/global/urlMaps", "response": { "$ref": "UrlMapList" }, "description": "Retrieves the list of UrlMap resources available to the specified project.", "parameterOrder": [ "project" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/global/urlMaps", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } } }, "aggregatedList": { "path": "projects/{project}/aggregated/urlMaps", "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "format": "uint32", "default": "500", "type": "integer", "minimum": "0" }, "project": { "required": true, "description": "Name of the project scoping this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.urlMaps.aggregatedList", "response": { "$ref": "UrlMapsAggregatedList" }, "description": "Retrieves the list of all UrlMap resources, regional and global, available to the specified project.", "flatPath": "projects/{project}/aggregated/urlMaps", "parameterOrder": [ "project" ] }, "invalidateCache": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "urlMap": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the UrlMap scoping this request.", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "path": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache", "parameterOrder": [ "project", "urlMap" ], "request": { "$ref": "CacheInvalidationRule" }, "description": "Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content).", "id": "compute.urlMaps.invalidateCache", "flatPath": "projects/{project}/global/urlMaps/{urlMap}/invalidateCache" }, "patch": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "response": { "$ref": "Operation" }, "parameters": { "urlMap": { "description": "Name of the UrlMap resource to patch.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "project", "urlMap" ], "path": "projects/{project}/global/urlMaps/{urlMap}", "httpMethod": "PATCH", "id": "compute.urlMaps.patch", "request": { "$ref": "UrlMap" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "validate": { "httpMethod": "POST", "response": { "$ref": "UrlMapsValidateResponse" }, "id": "compute.urlMaps.validate", "parameterOrder": [ "project", "urlMap" ], "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.", "request": { "$ref": "UrlMapsValidateRequest" }, "path": "projects/{project}/global/urlMaps/{urlMap}/validate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/urlMaps/{urlMap}/validate", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "urlMap": { "description": "Name of the UrlMap resource to be validated as.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "update": { "id": "compute.urlMaps.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "urlMap" ], "request": { "$ref": "UrlMap" }, "httpMethod": "PUT", "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "path": "projects/{project}/global/urlMaps/{urlMap}", "parameters": { "urlMap": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the UrlMap resource to update.", "required": true }, "project": { "type": "string", "location": "path", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "response": { "$ref": "Operation" }, "description": "Updates the specified UrlMap resource with the data included in the request." }, "delete": { "httpMethod": "DELETE", "id": "compute.urlMaps.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "urlMap": { "location": "path", "type": "string", "required": true, "description": "Name of the UrlMap resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "project", "urlMap" ], "path": "projects/{project}/global/urlMaps/{urlMap}", "description": "Deletes the specified UrlMap resource.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/urlMaps/{urlMap}" }, "get": { "flatPath": "projects/{project}/global/urlMaps/{urlMap}", "response": { "$ref": "UrlMap" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "urlMap": { "type": "string", "required": true, "description": "Name of the UrlMap resource to return.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "projects/{project}/global/urlMaps/{urlMap}", "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "urlMap" ], "id": "compute.urlMaps.get" } } }, "firewallPolicies": { "methods": { "list": { "path": "locations/global/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "locations/global/firewallPolicies", "description": "Lists all the policies that have been configured for the specified folder or organization.", "parameters": { "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "parentId": { "description": "Parent ID for this request.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } }, "id": "compute.firewallPolicies.list", "httpMethod": "GET", "response": { "$ref": "FirewallPolicyList" } }, "delete": { "path": "locations/global/firewallPolicies/{firewallPolicy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "firewallPolicy": { "type": "string", "description": "Name of the firewall policy to delete.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "required": true }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "description": "Deletes the specified policy.", "httpMethod": "DELETE", "parameterOrder": [ "firewallPolicy" ], "id": "compute.firewallPolicies.delete" }, "removeAssociation": { "path": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeAssociation", "description": "Removes an association for the specified firewall policy.", "id": "compute.firewallPolicies.removeAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "required": true, "description": "Name of the firewall policy to update." }, "name": { "description": "Name for the attachment that will be removed.", "type": "string", "location": "query" } } }, "setIamPolicy": { "request": { "$ref": "GlobalOrganizationSetPolicyRequest" }, "httpMethod": "POST", "flatPath": "locations/global/firewallPolicies/{resource}/setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "path": "locations/global/firewallPolicies/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resource": { "type": "string", "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "description": "Name or id of the resource for this request." } }, "id": "compute.firewallPolicies.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy." }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.firewallPolicies.getIamPolicy", "path": "locations/global/firewallPolicies/{resource}/getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "flatPath": "locations/global/firewallPolicies/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "description": "Requested IAM Policy version.", "type": "integer", "location": "query" }, "resource": { "type": "string", "location": "path", "required": true, "pattern": "(firewallPolicies/)?[0-9]{0,20}", "description": "Name or id of the resource for this request." } }, "httpMethod": "GET", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ] }, "patchRule": { "path": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/patchRule", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "priority": { "type": "integer", "format": "int32", "description": "The priority of the rule to patch.", "location": "query" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "type": "string", "location": "path", "required": true, "description": "Name of the firewall policy to update." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "FirewallPolicyRule" }, "parameterOrder": [ "firewallPolicy" ], "description": "Patches a rule of the specified priority.", "response": { "$ref": "Operation" }, "id": "compute.firewallPolicies.patchRule" }, "addRule": { "request": { "$ref": "FirewallPolicyRule" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "firewallPolicy" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/addRule", "id": "compute.firewallPolicies.addRule", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addRule", "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "location": "path", "required": true, "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Inserts a rule into a firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "removeRule": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "id": "compute.firewallPolicies.removeRule", "parameterOrder": [ "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes a rule of the specified priority.", "response": { "$ref": "Operation" }, "path": "locations/global/firewallPolicies/{firewallPolicy}/removeRule", "parameters": { "priority": { "location": "query", "description": "The priority of the rule to remove from the firewall policy.", "format": "int32", "type": "integer" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "type": "string", "required": true } }, "httpMethod": "POST" }, "insert": { "flatPath": "locations/global/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Creates a new policy in the specified project using the data included in the request.", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "parentId": { "type": "string", "location": "query", "description": "Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization." } }, "path": "locations/global/firewallPolicies", "id": "compute.firewallPolicies.insert", "request": { "$ref": "FirewallPolicy" }, "response": { "$ref": "Operation" } }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "type": "string" } }, "flatPath": "locations/global/firewallPolicies/{resource}/testIamPermissions", "path": "locations/global/firewallPolicies/{resource}/testIamPermissions", "parameterOrder": [ "resource" ], "id": "compute.firewallPolicies.testIamPermissions" }, "cloneRules": { "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to update.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sourceFirewallPolicy": { "location": "query", "type": "string", "description": "The firewall policy from which to copy rules." } }, "httpMethod": "POST", "id": "compute.firewallPolicies.cloneRules", "path": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "firewallPolicy" ], "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/cloneRules", "description": "Copies rules to the specified firewall policy." }, "listAssociations": { "path": "locations/global/firewallPolicies/listAssociations", "response": { "$ref": "FirewallPoliciesListAssociationsResponse" }, "parameters": { "targetResource": { "type": "string", "description": "The target resource to list associations. It is an organization, or a folder.", "location": "query" } }, "id": "compute.firewallPolicies.listAssociations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Lists associations of a specified target, i.e., organization or folder.", "flatPath": "locations/global/firewallPolicies/listAssociations" }, "getAssociation": { "parameters": { "name": { "description": "The name of the association to get from the firewall policy.", "location": "query", "type": "string" }, "firewallPolicy": { "description": "Name of the firewall policy to which the queried rule belongs.", "type": "string", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "location": "path" } }, "description": "Gets an association with the specified name.", "httpMethod": "GET", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "FirewallPolicyAssociation" }, "id": "compute.firewallPolicies.getAssociation", "path": "locations/global/firewallPolicies/{firewallPolicy}/getAssociation", "parameterOrder": [ "firewallPolicy" ] }, "move": { "path": "locations/global/firewallPolicies/{firewallPolicy}/move", "id": "compute.firewallPolicies.move", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Moves the specified firewall policy.", "httpMethod": "POST", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "parentId": { "description": "The new parent of the firewall policy.", "location": "query", "type": "string" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true, "description": "Name of the firewall policy to update.", "location": "path", "type": "string" } }, "parameterOrder": [ "firewallPolicy" ], "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/move" }, "get": { "parameters": { "firewallPolicy": { "description": "Name of the firewall policy to get.", "type": "string", "location": "path", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "required": true } }, "response": { "$ref": "FirewallPolicy" }, "httpMethod": "GET", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "id": "compute.firewallPolicies.get", "parameterOrder": [ "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified firewall policy.", "path": "locations/global/firewallPolicies/{firewallPolicy}" }, "addAssociation": { "description": "Inserts an association for the specified firewall policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "parameterOrder": [ "firewallPolicy" ], "request": { "$ref": "FirewallPolicyAssociation" }, "response": { "$ref": "Operation" }, "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/addAssociation", "id": "compute.firewallPolicies.addAssociation", "parameters": { "replaceExistingAssociation": { "location": "query", "type": "boolean", "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists." }, "firewallPolicy": { "description": "Name of the firewall policy to update.", "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "POST" }, "getRule": { "flatPath": "locations/global/firewallPolicies/{firewallPolicy}/getRule", "parameters": { "priority": { "location": "query", "format": "int32", "type": "integer", "description": "The priority of the rule to get from the firewall policy." }, "firewallPolicy": { "required": true, "location": "path", "type": "string", "description": "Name of the firewall policy to which the queried rule belongs.", "pattern": "(firewallPolicies/)?[0-9]{0,20}" } }, "httpMethod": "GET", "id": "compute.firewallPolicies.getRule", "path": "locations/global/firewallPolicies/{firewallPolicy}/getRule", "parameterOrder": [ "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Gets a rule of the specified priority.", "response": { "$ref": "FirewallPolicyRule" } }, "patch": { "description": "Patches the specified policy with the data included in the request.", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "firewallPolicy": { "pattern": "(firewallPolicies/)?[0-9]{0,20}", "location": "path", "type": "string", "required": true, "description": "Name of the firewall policy to update." } }, "request": { "$ref": "FirewallPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "id": "compute.firewallPolicies.patch", "flatPath": "locations/global/firewallPolicies/{firewallPolicy}", "path": "locations/global/firewallPolicies/{firewallPolicy}", "parameterOrder": [ "firewallPolicy" ] } } }, "targetPools": { "methods": { "getHealth": { "id": "compute.targetPools.getHealth", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "targetPool": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to which the queried instance belongs.", "type": "string" }, "region": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth", "httpMethod": "POST", "response": { "$ref": "TargetPoolInstanceHealth" }, "request": { "$ref": "InstanceReference" }, "parameterOrder": [ "project", "region", "targetPool" ], "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth", "description": "Gets the most recent health check results for each IP for the instance that is referenced by the given target pool." }, "get": { "parameterOrder": [ "project", "region", "targetPool" ], "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "targetPool": { "location": "path", "required": true, "type": "string", "description": "Name of the TargetPool resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified target pool. Gets a list of available target pools by making a list() request.", "httpMethod": "GET", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}", "response": { "$ref": "TargetPool" }, "id": "compute.targetPools.get" }, "delete": { "id": "compute.targetPools.delete", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetPool": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetPool resource to delete." }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true } }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}", "httpMethod": "DELETE", "description": "Deletes the specified target pool.", "parameterOrder": [ "project", "region", "targetPool" ] }, "removeHealthCheck": { "request": { "$ref": "TargetPoolsRemoveHealthCheckRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck", "description": "Removes health check URL from a target pool.", "httpMethod": "POST", "parameterOrder": [ "project", "region", "targetPool" ], "id": "compute.targetPools.removeHealthCheck", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetPool": { "type": "string", "required": true, "location": "path", "description": "Name of the target pool to remove health checks from.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true, "type": "string" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck" }, "addInstance": { "httpMethod": "POST", "request": { "$ref": "TargetPoolsAddInstanceRequest" }, "id": "compute.targetPools.addInstance", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance", "parameterOrder": [ "project", "region", "targetPool" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addInstance", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "targetPool": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to add instances to.", "required": true }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true } }, "description": "Adds an instance to a target pool.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setBackup": { "parameterOrder": [ "project", "region", "targetPool" ], "request": { "$ref": "TargetReference" }, "parameters": { "failoverRatio": { "format": "float", "description": "New failoverRatio value for the target pool.", "location": "query", "type": "number" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request." }, "targetPool": { "description": "Name of the TargetPool resource to set a backup pool for.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetPools.setBackup", "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/setBackup", "description": "Changes a backup target pool's configurations." }, "removeInstance": { "parameterOrder": [ "project", "region", "targetPool" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "id": "compute.targetPools.removeInstance", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/removeInstance", "httpMethod": "POST", "request": { "$ref": "TargetPoolsRemoveInstanceRequest" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "targetPool": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetPool resource to remove instances from." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "description": "Removes instance URL from a target pool." }, "addHealthCheck": { "httpMethod": "POST", "parameterOrder": [ "project", "region", "targetPool" ], "description": "Adds health check URLs to a target pool.", "request": { "$ref": "TargetPoolsAddHealthCheckRequest" }, "id": "compute.targetPools.addHealthCheck", "flatPath": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "parameters": { "targetPool": { "location": "path", "type": "string", "required": true, "description": "Name of the target pool to add a health check to.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "location": "path", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck", "response": { "$ref": "Operation" } }, "list": { "flatPath": "projects/{project}/regions/{region}/targetPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/targetPools", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "format": "uint32", "default": "500" }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "GET", "description": "Retrieves a list of target pools available to the specified project and region.", "response": { "$ref": "TargetPoolList" }, "id": "compute.targetPools.list" }, "insert": { "id": "compute.targetPools.insert", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/targetPools", "parameterOrder": [ "project", "region" ], "description": "Creates a target pool in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/targetPools", "response": { "$ref": "Operation" }, "parameters": { "region": { "description": "Name of the region scoping this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "request": { "$ref": "TargetPool" } }, "aggregatedList": { "path": "projects/{project}/aggregated/targetPools", "response": { "$ref": "TargetPoolAggregatedList" }, "flatPath": "projects/{project}/aggregated/targetPools", "parameters": { "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "default": "500", "format": "uint32", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "id": "compute.targetPools.aggregatedList", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves an aggregated list of target pools.", "httpMethod": "GET" } } }, "targetSslProxies": { "methods": { "setSslCertificates": { "parameterOrder": [ "project", "targetSslProxy" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates", "request": { "$ref": "TargetSslProxiesSetSslCertificatesRequest" }, "description": "Changes SslCertificates for TargetSslProxy.", "id": "compute.targetSslProxies.setSslCertificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the TargetSslProxy resource whose SslCertificate resource is to be set." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } }, "httpMethod": "POST" }, "setCertificateMap": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project", "targetSslProxy" ], "id": "compute.targetSslProxies.setCertificateMap", "request": { "$ref": "TargetSslProxiesSetCertificateMapRequest" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "targetSslProxy": { "required": true, "description": "Name of the TargetSslProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap", "description": "Changes the Certificate Map for TargetSslProxy.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setCertificateMap" }, "delete": { "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "response": { "$ref": "Operation" }, "parameters": { "targetSslProxy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the TargetSslProxy resource to delete.", "location": "path", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "parameterOrder": [ "project", "targetSslProxy" ], "id": "compute.targetSslProxies.delete", "description": "Deletes the specified TargetSslProxy resource." }, "get": { "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "id": "compute.targetSslProxies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified TargetSslProxy resource. Gets a list of available target SSL proxies by making a list() request.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}", "response": { "$ref": "TargetSslProxy" }, "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "description": "Name of the TargetSslProxy resource to return.", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "project", "targetSslProxy" ] }, "setProxyHeader": { "parameters": { "targetSslProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetSslProxy resource whose ProxyHeader is to be set.", "location": "path", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Changes the ProxyHeaderType for TargetSslProxy.", "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader", "httpMethod": "POST", "parameterOrder": [ "project", "targetSslProxy" ], "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader", "request": { "$ref": "TargetSslProxiesSetProxyHeaderRequest" }, "response": { "$ref": "Operation" }, "id": "compute.targetSslProxies.setProxyHeader" }, "insert": { "path": "projects/{project}/global/targetSslProxies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "httpMethod": "POST", "description": "Creates a TargetSslProxy resource in the specified project using the data included in the request.", "request": { "$ref": "TargetSslProxy" }, "id": "compute.targetSslProxies.insert", "flatPath": "projects/{project}/global/targetSslProxies", "response": { "$ref": "Operation" } }, "list": { "description": "Retrieves the list of TargetSslProxy resources available to the specified project.", "path": "projects/{project}/global/targetSslProxies", "parameters": { "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "minimum": "0", "default": "500", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "response": { "$ref": "TargetSslProxyList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.targetSslProxies.list", "flatPath": "projects/{project}/global/targetSslProxies", "httpMethod": "GET", "parameterOrder": [ "project" ] }, "setBackendService": { "request": { "$ref": "TargetSslProxiesSetBackendServiceRequest" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetSslProxy": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetSslProxy resource whose BackendService resource is to be set.", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" } }, "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setBackendService", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetSslProxies.setBackendService", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "targetSslProxy" ], "description": "Changes the BackendService for TargetSslProxy.", "httpMethod": "POST" }, "setSslPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.targetSslProxies.setSslPolicy", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "parameters": { "targetSslProxy": { "type": "string", "location": "path", "required": true, "description": "Name of the TargetSslProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "description": "Sets the SSL policy for TargetSslProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the SSL proxy load balancer. They do not affect the connection between the load balancer and the backends.", "flatPath": "projects/{project}/global/targetSslProxies/{targetSslProxy}/setSslPolicy", "request": { "$ref": "SslPolicyReference" }, "parameterOrder": [ "project", "targetSslProxy" ] } } }, "networkFirewallPolicies": { "methods": { "removeAssociation": { "description": "Removes an association for the specified firewall policy.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation", "parameterOrder": [ "project", "firewallPolicy" ], "parameters": { "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "firewallPolicy": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update." }, "name": { "description": "Name for the attachment that will be removed.", "location": "query", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeAssociation", "response": { "$ref": "Operation" }, "id": "compute.networkFirewallPolicies.removeAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "resource": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "path": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "id": "compute.networkFirewallPolicies.getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/firewallPolicies/{resource}/getIamPolicy", "httpMethod": "GET" }, "insert": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "FirewallPolicy" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "required": true, "type": "string" } }, "path": "projects/{project}/global/firewallPolicies", "id": "compute.networkFirewallPolicies.insert", "flatPath": "projects/{project}/global/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "description": "Creates a new policy in the specified project using the data included in the request." }, "getRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "firewallPolicy" ], "httpMethod": "GET", "response": { "$ref": "FirewallPolicyRule" }, "parameters": { "priority": { "type": "integer", "format": "int32", "location": "query", "description": "The priority of the rule to get from the firewall policy." }, "firewallPolicy": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the firewall policy to which the queried rule belongs." }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "description": "Gets a rule of the specified priority.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getRule", "id": "compute.networkFirewallPolicies.getRule" }, "list": { "parameterOrder": [ "project" ], "path": "projects/{project}/global/firewallPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/firewallPolicies", "response": { "$ref": "FirewallPolicyList" }, "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "default": "500", "minimum": "0", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" } }, "id": "compute.networkFirewallPolicies.list", "description": "Lists all the policies that have been configured for the specified project.", "httpMethod": "GET" }, "getAssociation": { "id": "compute.networkFirewallPolicies.getAssociation", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation", "description": "Gets an association with the specified name.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "firewallPolicy": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the firewall policy to which the queried association belongs.", "required": true }, "name": { "type": "string", "location": "query", "description": "The name of the association to get from the firewall policy." }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/getAssociation", "parameterOrder": [ "project", "firewallPolicy" ], "response": { "$ref": "FirewallPolicyAssociation" } }, "cloneRules": { "httpMethod": "POST", "id": "compute.networkFirewallPolicies.cloneRules", "description": "Copies rules to the specified firewall policy.", "parameterOrder": [ "project", "firewallPolicy" ], "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "sourceFirewallPolicy": { "type": "string", "description": "The firewall policy from which to copy rules.", "location": "query" }, "firewallPolicy": { "location": "path", "description": "Name of the firewall policy to update.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" } }, "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/cloneRules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "addRule": { "httpMethod": "POST", "id": "compute.networkFirewallPolicies.addRule", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "request": { "$ref": "FirewallPolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "maxPriority": { "type": "integer", "location": "query", "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "format": "int32" }, "firewallPolicy": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to update.", "required": true }, "minPriority": { "description": "When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority\u003e. This field is exclusive with rule.priority.", "type": "integer", "location": "query", "format": "int32" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addRule", "response": { "$ref": "Operation" }, "description": "Inserts a rule into a firewall policy.", "parameterOrder": [ "project", "firewallPolicy" ] }, "removeRule": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule", "description": "Deletes a rule of the specified priority.", "httpMethod": "POST", "id": "compute.networkFirewallPolicies.removeRule", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "firewallPolicy": { "required": true, "type": "string", "description": "Name of the firewall policy to update.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "priority": { "description": "The priority of the rule to remove from the firewall policy.", "location": "query", "type": "integer", "format": "int32" } }, "parameterOrder": [ "project", "firewallPolicy" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/removeRule" }, "patchRule": { "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/patchRule", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "description": "Project ID for this request.", "location": "path" }, "priority": { "description": "The priority of the rule to patch.", "type": "integer", "format": "int32", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path", "description": "Name of the firewall policy to update." } }, "request": { "$ref": "FirewallPolicyRule" }, "httpMethod": "POST", "id": "compute.networkFirewallPolicies.patchRule", "description": "Patches a rule of the specified priority.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "firewallPolicy" ] }, "get": { "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "response": { "$ref": "FirewallPolicy" }, "httpMethod": "GET", "description": "Returns the specified network firewall policy.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "parameterOrder": [ "project", "firewallPolicy" ], "id": "compute.networkFirewallPolicies.get", "parameters": { "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the firewall policy to get.", "type": "string", "required": true }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "testIamPermissions": { "parameters": { "resource": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request.", "location": "path" } }, "path": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.networkFirewallPolicies.testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "flatPath": "projects/{project}/global/firewallPolicies/{resource}/testIamPermissions", "parameterOrder": [ "project", "resource" ], "httpMethod": "POST" }, "addAssociation": { "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Inserts an association for the specified firewall policy.", "id": "compute.networkFirewallPolicies.addAssociation", "parameters": { "firewallPolicy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "description": "Name of the firewall policy to update.", "location": "path" }, "replaceExistingAssociation": { "type": "boolean", "description": "Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.", "location": "query" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}/addAssociation", "response": { "$ref": "Operation" }, "request": { "$ref": "FirewallPolicyAssociation" }, "httpMethod": "POST", "parameterOrder": [ "project", "firewallPolicy" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "id": "compute.networkFirewallPolicies.setIamPolicy", "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "resource": { "type": "string", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "request": { "$ref": "GlobalSetPolicyRequest" }, "path": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/firewallPolicies/{resource}/setIamPolicy" }, "delete": { "id": "compute.networkFirewallPolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified policy.", "parameters": { "firewallPolicy": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the firewall policy to delete." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "httpMethod": "DELETE", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "parameterOrder": [ "project", "firewallPolicy" ], "response": { "$ref": "Operation" } }, "patch": { "request": { "$ref": "FirewallPolicy" }, "description": "Patches the specified policy with the data included in the request.", "flatPath": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "path": "projects/{project}/global/firewallPolicies/{firewallPolicy}", "httpMethod": "PATCH", "id": "compute.networkFirewallPolicies.patch", "response": { "$ref": "Operation" }, "parameters": { "firewallPolicy": { "location": "path", "description": "Name of the firewall policy to update.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "project", "firewallPolicy" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "subnetworks": { "methods": { "patch": { "description": "Patches the specified subnetwork with the data included in the request. Only certain fields can be updated with a patch request as indicated in the field descriptions. You must specify the current fingerprint of the subnetwork resource being patched.", "id": "compute.subnetworks.patch", "parameterOrder": [ "project", "region", "subnetwork" ], "request": { "$ref": "Subnetwork" }, "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "drainTimeoutSeconds": { "description": "The drain timeout specifies the upper bound in seconds on the amount of time allowed to drain connections from the current ACTIVE subnetwork to the current BACKUP subnetwork. The drain timeout is only applicable when the following conditions are true: - the subnetwork being patched has purpose = INTERNAL_HTTPS_LOAD_BALANCER - the subnetwork being patched has role = BACKUP - the patch request is setting the role to ACTIVE. Note that after this patch operation the roles of the ACTIVE and BACKUP subnetworks will be swapped.", "format": "int32", "type": "integer", "location": "query" }, "subnetwork": { "location": "path", "type": "string", "description": "Name of the Subnetwork resource to patch.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "Name of the region scoping this request.", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "PATCH" }, "aggregatedList": { "path": "projects/{project}/aggregated/subnetworks", "response": { "$ref": "SubnetworkAggregatedList" }, "description": "Retrieves an aggregated list of subnetworks.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project" ], "flatPath": "projects/{project}/aggregated/subnetworks", "id": "compute.subnetworks.aggregatedList", "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "default": "500" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" } }, "httpMethod": "GET" }, "setIamPolicy": { "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "RegionSetPolicyRequest" }, "response": { "$ref": "Policy" }, "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "required": true, "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string" } }, "id": "compute.subnetworks.setIamPolicy", "path": "projects/{project}/regions/{region}/subnetworks/{resource}/setIamPolicy" }, "getIamPolicy": { "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "parameters": { "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Requested IAM Policy version.", "location": "query" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string", "description": "The name of the region for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.subnetworks.getIamPolicy", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "path": "projects/{project}/regions/{region}/subnetworks/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "GET", "response": { "$ref": "Policy" } }, "list": { "flatPath": "projects/{project}/regions/{region}/subnetworks", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/subnetworks", "description": "Retrieves a list of subnetworks available to the specified project.", "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "type": "integer", "location": "query", "minimum": "0" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "type": "string", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "SubnetworkList" }, "id": "compute.subnetworks.list" }, "testIamPermissions": { "flatPath": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "response": { "$ref": "TestPermissionsResponse" }, "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/regions/{region}/subnetworks/{resource}/testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "POST", "id": "compute.subnetworks.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "parameters": { "resource": { "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the region for this request." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "resource" ] }, "get": { "description": "Returns the specified subnetwork. Gets a list of available subnetworks list() request.", "httpMethod": "GET", "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "subnetwork": { "location": "path", "description": "Name of the Subnetwork resource to return.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.subnetworks.get", "response": { "$ref": "Subnetwork" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "parameterOrder": [ "project", "region", "subnetwork" ] }, "listUsable": { "flatPath": "projects/{project}/aggregated/subnetworks/listUsable", "parameters": { "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "id": "compute.subnetworks.listUsable", "httpMethod": "GET", "response": { "$ref": "UsableSubnetworksAggregatedList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/aggregated/subnetworks/listUsable", "parameterOrder": [ "project" ], "description": "Retrieves an aggregated list of all usable subnetworks in the project." }, "expandIpCidrRange": { "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange", "id": "compute.subnetworks.expandIpCidrRange", "description": "Expands the IP CIDR range of the subnetwork to a specified value.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path", "description": "Project ID for this request." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "location": "path" }, "subnetwork": { "description": "Name of the Subnetwork resource to update.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange", "request": { "$ref": "SubnetworksExpandIpCidrRangeRequest" }, "parameterOrder": [ "project", "region", "subnetwork" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "setPrivateIpGoogleAccess": { "parameterOrder": [ "project", "region", "subnetwork" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess", "request": { "$ref": "SubnetworksSetPrivateIpGoogleAccessRequest" }, "parameters": { "subnetwork": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Subnetwork resource.", "type": "string", "required": true, "location": "path" }, "region": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "description": "Set whether VMs in this subnet can access Google services without assigning external IP addresses through Private Google Access.", "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.subnetworks.setPrivateIpGoogleAccess" }, "insert": { "path": "projects/{project}/regions/{region}/subnetworks", "parameters": { "region": { "description": "Name of the region scoping this request.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "Subnetwork" }, "parameterOrder": [ "project", "region" ], "description": "Creates a subnetwork in the specified project using the data included in the request.", "id": "compute.subnetworks.insert", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/subnetworks", "httpMethod": "POST" }, "delete": { "parameters": { "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "subnetwork": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Subnetwork resource to delete.", "location": "path" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/subnetworks/{subnetwork}", "id": "compute.subnetworks.delete", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "description": "Deletes the specified subnetwork.", "parameterOrder": [ "project", "region", "subnetwork" ], "flatPath": "projects/{project}/regions/{region}/subnetworks/{subnetwork}" } } }, "autoscalers": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone" ], "parameters": { "maxResults": { "location": "query", "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "zone": { "description": "Name of the zone for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/autoscalers", "response": { "$ref": "AutoscalerList" }, "path": "projects/{project}/zones/{zone}/autoscalers", "description": "Retrieves a list of autoscalers contained within the specified zone.", "httpMethod": "GET", "id": "compute.autoscalers.list" }, "get": { "parameterOrder": [ "project", "zone", "autoscaler" ], "id": "compute.autoscalers.get", "response": { "$ref": "Autoscaler" }, "parameters": { "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the autoscaler to return.", "required": true, "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "zone": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Returns the specified autoscaler resource. Gets a list of available autoscalers by making a list() request.", "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}" }, "aggregatedList": { "parameterOrder": [ "project" ], "id": "compute.autoscalers.aggregatedList", "flatPath": "projects/{project}/aggregated/autoscalers", "description": "Retrieves an aggregated list of autoscalers.", "parameters": { "maxResults": { "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "AutoscalerAggregatedList" }, "httpMethod": "GET", "path": "projects/{project}/aggregated/autoscalers" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "request": { "$ref": "Autoscaler" }, "flatPath": "projects/{project}/zones/{zone}/autoscalers", "httpMethod": "POST", "parameters": { "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "description": "Name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "response": { "$ref": "Operation" }, "id": "compute.autoscalers.insert", "path": "projects/{project}/zones/{zone}/autoscalers", "description": "Creates an autoscaler in the specified project using the data included in the request." }, "patch": { "path": "projects/{project}/zones/{zone}/autoscalers", "httpMethod": "PATCH", "description": "Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers", "parameterOrder": [ "project", "zone" ], "parameters": { "zone": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the zone for this request.", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "query", "description": "Name of the autoscaler to patch.", "type": "string" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "Autoscaler" }, "id": "compute.autoscalers.patch" }, "delete": { "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "required": true, "type": "string", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "autoscaler": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name of the autoscaler to delete." }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/autoscalers/{autoscaler}", "id": "compute.autoscalers.delete", "description": "Deletes the specified autoscaler.", "parameterOrder": [ "project", "zone", "autoscaler" ] }, "update": { "path": "projects/{project}/zones/{zone}/autoscalers", "httpMethod": "PUT", "description": "Updates an autoscaler in the specified project using the data included in the request.", "parameterOrder": [ "project", "zone" ], "id": "compute.autoscalers.update", "flatPath": "projects/{project}/zones/{zone}/autoscalers", "request": { "$ref": "Autoscaler" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the zone for this request." }, "project": { "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "autoscaler": { "description": "Name of the autoscaler to update.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "query" } } } } }, "zones": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "ZoneList" }, "parameters": { "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "maxResults": { "minimum": "0", "default": "500", "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "flatPath": "projects/{project}/zones", "parameterOrder": [ "project" ], "path": "projects/{project}/zones", "description": "Retrieves the list of Zone resources available to the specified project.", "id": "compute.zones.list", "httpMethod": "GET" }, "get": { "parameterOrder": [ "project", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified Zone resource. Gets a list of available zones by making a list() request.", "id": "compute.zones.get", "parameters": { "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the zone resource to return.", "location": "path", "type": "string" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}", "path": "projects/{project}/zones/{zone}", "httpMethod": "GET", "response": { "$ref": "Zone" } } } }, "httpsHealthChecks": { "methods": { "delete": { "description": "Deletes the specified HttpsHealthCheck resource.", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "httpMethod": "DELETE", "parameterOrder": [ "project", "httpsHealthCheck" ], "id": "compute.httpsHealthChecks.delete", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "httpsHealthCheck": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the HttpsHealthCheck resource to delete." } }, "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "patch": { "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameterOrder": [ "project", "httpsHealthCheck" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "request": { "$ref": "HttpsHealthCheck" }, "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to patch.", "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "id": "compute.httpsHealthChecks.patch", "response": { "$ref": "Operation" }, "httpMethod": "PATCH" }, "list": { "flatPath": "projects/{project}/global/httpsHealthChecks", "parameterOrder": [ "project" ], "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "location": "query", "minimum": "0", "format": "uint32", "type": "integer" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" } }, "response": { "$ref": "HttpsHealthCheckList" }, "id": "compute.httpsHealthChecks.list", "path": "projects/{project}/global/httpsHealthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "description": "Retrieves the list of HttpsHealthCheck resources available to the specified project." }, "update": { "response": { "$ref": "Operation" }, "parameters": { "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to update.", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "description": "Updates a HttpsHealthCheck resource in the specified project using the data included in the request.", "parameterOrder": [ "project", "httpsHealthCheck" ], "id": "compute.httpsHealthChecks.update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "request": { "$ref": "HttpsHealthCheck" }, "httpMethod": "PUT" }, "get": { "response": { "$ref": "HttpsHealthCheck" }, "parameterOrder": [ "project", "httpsHealthCheck" ], "flatPath": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "httpsHealthCheck": { "description": "Name of the HttpsHealthCheck resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "path": "projects/{project}/global/httpsHealthChecks/{httpsHealthCheck}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified HttpsHealthCheck resource. Gets a list of available HTTPS health checks by making a list() request.", "id": "compute.httpsHealthChecks.get" }, "insert": { "flatPath": "projects/{project}/global/httpsHealthChecks", "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "projects/{project}/global/httpsHealthChecks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "request": { "$ref": "HttpsHealthCheck" }, "parameterOrder": [ "project" ], "id": "compute.httpsHealthChecks.insert", "description": "Creates a HttpsHealthCheck resource in the specified project using the data included in the request." } } }, "networkEndpointGroups": { "methods": { "attachNetworkEndpoints": { "response": { "$ref": "Operation" }, "id": "compute.networkEndpointGroups.attachNetworkEndpoints", "request": { "$ref": "NetworkEndpointGroupsAttachEndpointsRequest" }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/attachNetworkEndpoints", "parameters": { "zone": { "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035.", "type": "string", "required": true, "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "networkEndpointGroup": { "description": "The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.", "location": "path", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true } }, "description": "Attach a list of network endpoints to the specified network endpoint group.", "httpMethod": "POST" }, "insert": { "id": "compute.networkEndpointGroups.insert", "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups", "httpMethod": "POST", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "type": "string", "description": "The name of the zone where you want to create the network endpoint group. It should comply with RFC1035.", "location": "path", "required": true } }, "description": "Creates a network endpoint group in the specified project using the parameters that are included in the request.", "request": { "$ref": "NetworkEndpointGroup" }, "response": { "$ref": "Operation" } }, "get": { "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "id": "compute.networkEndpointGroups.get", "response": { "$ref": "NetworkEndpointGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "GET", "description": "Returns the specified network endpoint group. Gets a list of available network endpoint groups by making a list() request.", "parameters": { "networkEndpointGroup": { "type": "string", "location": "path", "required": true, "description": "The name of the network endpoint group. It should comply with RFC1035." }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } }, "detachNetworkEndpoints": { "httpMethod": "POST", "description": "Detach a list of network endpoints from the specified network endpoint group.", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "request": { "$ref": "NetworkEndpointGroupsDetachEndpointsRequest" }, "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/detachNetworkEndpoints", "parameters": { "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.", "location": "path" }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "id": "compute.networkEndpointGroups.detachNetworkEndpoints", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "networkEndpointGroup" ] }, "delete": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.networkEndpointGroups.delete", "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "description": "Deletes the specified network endpoint group. The network endpoints in the NEG and the VM instances they belong to are not terminated when the NEG is deleted. Note that the NEG cannot be deleted if there are backend services referencing it.", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}", "httpMethod": "DELETE", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." }, "networkEndpointGroup": { "required": true, "type": "string", "description": "The name of the network endpoint group to delete. It should comply with RFC1035.", "location": "path" } } }, "aggregatedList": { "path": "projects/{project}/aggregated/networkEndpointGroups", "id": "compute.networkEndpointGroups.aggregatedList", "response": { "$ref": "NetworkEndpointGroupAggregatedList" }, "httpMethod": "GET", "parameters": { "maxResults": { "format": "uint32", "location": "query", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" }, "includeAllScopes": { "location": "query", "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "description": "Retrieves the list of network endpoint groups and sorts them by zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/networkEndpointGroups", "parameterOrder": [ "project" ] }, "list": { "path": "projects/{project}/zones/{zone}/networkEndpointGroups", "response": { "$ref": "NetworkEndpointGroupList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of network endpoint groups that are located in the specified project and zone.", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups", "parameters": { "maxResults": { "location": "query", "minimum": "0", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "project", "zone" ], "id": "compute.networkEndpointGroups.list" }, "listNetworkEndpoints": { "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "maxResults": { "default": "500", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "type": "integer", "format": "uint32" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request.", "required": true }, "zone": { "required": true, "location": "path", "type": "string", "description": "The name of the zone where the network endpoint group is located. It should comply with RFC1035." }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "networkEndpointGroup": { "description": "The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.", "location": "path", "required": true, "type": "string" } }, "id": "compute.networkEndpointGroups.listNetworkEndpoints", "response": { "$ref": "NetworkEndpointGroupsListNetworkEndpoints" }, "request": { "$ref": "NetworkEndpointGroupsListEndpointsRequest" }, "parameterOrder": [ "project", "zone", "networkEndpointGroup" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints", "description": "Lists the network endpoints in the specified network endpoint group.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{networkEndpointGroup}/listNetworkEndpoints" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "zone", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "required": true, "description": "Name or id of the resource for this request." }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string", "location": "path" } }, "httpMethod": "POST", "id": "compute.networkEndpointGroups.testIamPermissions", "path": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions", "flatPath": "projects/{project}/zones/{zone}/networkEndpointGroups/{resource}/testIamPermissions" } } }, "instanceGroupManagers": { "methods": { "setTargetPools": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.setTargetPools", "description": "Modifies the target pools to which all instances in this managed instance group are assigned. The target pools automatically apply to all of the instances in the managed instance group. This operation is marked DONE when you make the request even if the instances have not yet been added to their target pools. The change might take some time to apply to all of the instances in the group depending on the size of the group.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "InstanceGroupManagersSetTargetPoolsRequest" }, "parameters": { "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "zone": { "type": "string", "required": true, "location": "path", "description": "The name of the zone where the managed instance group is located." }, "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group.", "type": "string" } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools" }, "patchPerInstanceConfigs": { "request": { "$ref": "InstanceGroupManagersPatchPerInstanceConfigsReq" }, "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/patchPerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "description": "Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "parameters": { "instanceGroupManager": { "required": true, "location": "path", "description": "The name of the managed instance group. It should conform to RFC1035.", "type": "string" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "zone": { "required": true, "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "type": "string", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "id": "compute.instanceGroupManagers.patchPerInstanceConfigs" }, "aggregatedList": { "path": "projects/{project}/aggregated/instanceGroupManagers", "flatPath": "projects/{project}/aggregated/instanceGroupManagers", "parameterOrder": [ "project" ], "httpMethod": "GET", "parameters": { "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "includeAllScopes": { "type": "boolean", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "location": "query", "default": "500", "minimum": "0" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "response": { "$ref": "InstanceGroupManagerAggregatedList" }, "id": "compute.instanceGroupManagers.aggregatedList", "description": "Retrieves the list of managed instance groups and groups them by zone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "deletePerInstanceConfigs": { "description": "Deletes selected per-instance configurations for the managed instance group.", "request": { "$ref": "InstanceGroupManagersDeletePerInstanceConfigsReq" }, "httpMethod": "POST", "id": "compute.instanceGroupManagers.deletePerInstanceConfigs", "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group. It should conform to RFC1035.", "location": "path", "type": "string", "required": true }, "zone": { "location": "path", "type": "string", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string" } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deletePerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "setInstanceTemplate": { "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "instanceGroupManager": { "description": "The name of the managed instance group.", "type": "string", "location": "path", "required": true }, "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "InstanceGroupManagersSetInstanceTemplateRequest" }, "id": "compute.instanceGroupManagers.setInstanceTemplate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Specifies the instance template to use when creating new instances in this group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE." }, "resize": { "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager", "size" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "zone": { "type": "string", "required": true, "description": "The name of the zone where the managed instance group is located.", "location": "path" }, "instanceGroupManager": { "location": "path", "description": "The name of the managed instance group.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" }, "size": { "type": "integer", "location": "query", "format": "int32", "required": true, "description": "The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Resizes the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. When resizing down, the instance group arbitrarily chooses the order in which VMs are deleted. The group takes into account some VM attributes when making the selection including: + The status of the VM instance. + The health of the VM instance. + The instance template version the VM is based on. + For regional managed instance groups, the location of the VM instance. This list is subject to change. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.", "id": "compute.instanceGroupManagers.resize" }, "listErrors": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listErrors", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer", "default": "500" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Lists all errors thrown by actions on instances for a given managed instance group. The filter and orderBy query parameters are not supported.", "response": { "$ref": "InstanceGroupManagersListErrorsResponse" }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "id": "compute.instanceGroupManagers.listErrors" }, "recreateInstances": { "parameters": { "instanceGroupManager": { "description": "The name of the managed instance group.", "location": "path", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "zone": { "description": "The name of the zone where the managed instance group is located.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManagersRecreateInstancesRequest" }, "description": "Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "compute.instanceGroupManagers.recreateInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "deleteInstances": { "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "instanceGroupManager": { "type": "string", "required": true, "description": "The name of the managed instance group.", "location": "path" }, "zone": { "location": "path", "description": "The name of the zone where the managed instance group is located.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersDeleteInstancesRequest" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.deleteInstances", "description": "Flags the specified instances in the managed instance group for immediate deletion. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request." }, "updatePerInstanceConfigs": { "response": { "$ref": "Operation" }, "id": "compute.instanceGroupManagers.updatePerInstanceConfigs", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "request": { "$ref": "InstanceGroupManagersUpdatePerInstanceConfigsReq" }, "description": "Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/updatePerInstanceConfigs", "parameters": { "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." }, "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.delete", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "description": "Deletes the specified managed instance group and all of the instances in that group. Note that the instance group must not belong to a backend service. Read Deleting an instance group for more information.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameters": { "instanceGroupManager": { "required": true, "description": "The name of the managed instance group to delete.", "location": "path", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" }, "zone": { "description": "The name of the zone where the managed instance group is located.", "required": true, "type": "string", "location": "path" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } } }, "patch": { "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.instanceGroupManagers.patch", "description": "Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listManagedInstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.", "httpMethod": "PATCH", "request": { "$ref": "InstanceGroupManager" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "zone": { "location": "path", "required": true, "type": "string", "description": "The name of the zone where you want to create the managed instance group." }, "instanceGroupManager": { "description": "The name of the instance group manager.", "location": "path", "type": "string", "required": true }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } } }, "applyUpdatesToInstances": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "description": "Applies changes to selected instances on the managed instance group. This method can be used to apply new overrides and/or new versions.", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the managed instance group is located. Should conform to RFC1035." }, "instanceGroupManager": { "required": true, "description": "The name of the managed instance group, should conform to RFC1035.", "type": "string", "location": "path" } }, "request": { "$ref": "InstanceGroupManagersApplyUpdatesRequest" }, "id": "compute.instanceGroupManagers.applyUpdatesToInstances", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "listPerInstanceConfigs": { "response": { "$ref": "InstanceGroupManagersListPerInstanceConfigsResp" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "parameters": { "maxResults": { "minimum": "0", "format": "uint32", "type": "integer", "location": "query", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035." }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "instanceGroupManager": { "required": true, "location": "path", "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } }, "id": "compute.instanceGroupManagers.listPerInstanceConfigs", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "description": "Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.", "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listPerInstanceConfigs", "httpMethod": "POST" }, "get": { "response": { "$ref": "InstanceGroupManager" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}", "httpMethod": "GET", "id": "compute.instanceGroupManagers.get", "description": "Returns all of the details about the specified managed instance group. Gets a list of available managed instance groups by making a list() request.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "parameters": { "zone": { "required": true, "description": "The name of the zone where the managed instance group is located.", "type": "string", "location": "path" }, "instanceGroupManager": { "type": "string", "location": "path", "description": "The name of the managed instance group.", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}" }, "list": { "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "zone": { "location": "path", "type": "string", "required": true, "description": "The name of the zone where the managed instance group is located." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "type": "integer", "format": "uint32", "minimum": "0", "location": "query" }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers", "httpMethod": "GET", "description": "Retrieves a list of managed instance groups that are contained within the specified project and zone.", "id": "compute.instanceGroupManagers.list", "response": { "$ref": "InstanceGroupManagerList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "listManagedInstances": { "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "zone": { "location": "path", "type": "string", "description": "The name of the zone where the managed instance group is located.", "required": true }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "instanceGroupManager": { "description": "The name of the managed instance group.", "type": "string", "required": true, "location": "path" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "location": "query", "default": "500", "type": "integer", "format": "uint32" } }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "response": { "$ref": "InstanceGroupManagersListManagedInstancesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.instanceGroupManagers.listManagedInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances", "description": "Lists all of the instances in the managed instance group. Each instance in the list has a currentAction, which indicates the action that the managed instance group is performing on the instance. For example, if the group is still creating an instance, the currentAction is CREATING. If a previous action failed, the list displays the errors for that failed action. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only in the alpha and beta API and only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.", "httpMethod": "POST", "parameterOrder": [ "project", "zone", "instanceGroupManager" ] }, "insert": { "parameterOrder": [ "project", "zone" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers", "description": "Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A managed instance group can have up to 1000 VM instances per group. Please contact Cloud Support if you need an increase in this limit.", "id": "compute.instanceGroupManagers.insert", "parameters": { "zone": { "type": "string", "location": "path", "description": "The name of the zone where you want to create the managed instance group.", "required": true }, "project": { "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "InstanceGroupManager" }, "httpMethod": "POST" }, "createInstances": { "id": "compute.instanceGroupManagers.createInstances", "httpMethod": "POST", "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "description": "The name of the zone where the managed instance group is located. It should conform to RFC1035.", "required": true, "location": "path", "type": "string" }, "instanceGroupManager": { "location": "path", "required": true, "type": "string", "description": "The name of the managed instance group. It should conform to RFC1035." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "request": { "$ref": "InstanceGroupManagersCreateInstancesRequest" }, "description": "Creates instances with per-instance configurations in this managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.", "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/createInstances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "abandonInstances": { "id": "compute.instanceGroupManagers.abandonInstances", "description": "Flags the specified instances to be removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "zone": { "location": "path", "type": "string", "required": true, "description": "The name of the zone where the managed instance group is located." }, "instanceGroupManager": { "location": "path", "description": "The name of the managed instance group.", "type": "string", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "parameterOrder": [ "project", "zone", "instanceGroupManager" ], "response": { "$ref": "Operation" }, "request": { "$ref": "InstanceGroupManagersAbandonInstancesRequest" }, "path": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances", "flatPath": "projects/{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances" } } }, "regionOperations": { "methods": { "wait": { "parameterOrder": [ "project", "region", "operation" ], "id": "compute.regionOperations.wait", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/operations/{operation}/wait", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/operations/{operation}/wait", "httpMethod": "POST", "parameters": { "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region for this request." }, "operation": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to return." }, "project": { "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. " }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "OperationList" }, "flatPath": "projects/{project}/regions/{region}/operations", "id": "compute.regionOperations.list", "path": "projects/{project}/regions/{region}/operations", "parameters": { "region": { "description": "Name of the region for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "maxResults": { "location": "query", "minimum": "0", "default": "500", "format": "uint32", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "httpMethod": "GET", "description": "Retrieves a list of Operation resources contained within the specified region.", "parameterOrder": [ "project", "region" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "path": "projects/{project}/regions/{region}/operations/{operation}", "response": { "$ref": "Operation" }, "id": "compute.regionOperations.get", "parameterOrder": [ "project", "region", "operation" ], "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "description": "Retrieves the specified region-specific Operations resource.", "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "operation": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the Operations resource to return." } } }, "delete": { "parameters": { "region": { "description": "Name of the region for this request.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "operation": { "description": "Name of the Operations resource to delete.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/operations/{operation}", "description": "Deletes the specified region-specific Operations resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/operations/{operation}", "id": "compute.regionOperations.delete", "parameterOrder": [ "project", "region", "operation" ] } } }, "regionHealthCheckServices": { "methods": { "delete": { "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "httpMethod": "DELETE", "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "response": { "$ref": "Operation" }, "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request." }, "healthCheckService": { "description": "Name of the HealthCheckService to delete. The name must be 1-63 characters long, and comply with RFC1035.", "location": "path", "required": true, "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "parameterOrder": [ "project", "region", "healthCheckService" ], "id": "compute.regionHealthCheckServices.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes the specified regional HealthCheckService." }, "get": { "description": "Returns the specified regional HealthCheckService resource.", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "parameterOrder": [ "project", "region", "healthCheckService" ], "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "id": "compute.regionHealthCheckServices.get", "response": { "$ref": "HealthCheckService" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path" }, "healthCheckService": { "type": "string", "location": "path", "required": true, "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035." }, "project": { "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "id": "compute.regionHealthCheckServices.list", "httpMethod": "GET", "parameterOrder": [ "project", "region" ], "path": "projects/{project}/regions/{region}/healthCheckServices", "response": { "$ref": "HealthCheckServicesList" }, "description": "Lists all the HealthCheckService resources that have been configured for the specified project in the given region.", "parameters": { "region": { "location": "path", "required": true, "description": "Name of the region scoping this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true, "description": "Project ID for this request." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "type": "integer", "format": "uint32", "minimum": "0" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } } }, "patch": { "httpMethod": "PATCH", "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "healthCheckService": { "location": "path", "required": true, "description": "Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "HealthCheckService" }, "path": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "description": "Updates the specified regional HealthCheckService resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "region", "healthCheckService" ], "id": "compute.regionHealthCheckServices.patch", "flatPath": "projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "httpMethod": "POST", "description": "Creates a regional HealthCheckService resource in the specified project and region using the data included in the request.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionHealthCheckServices.insert", "path": "projects/{project}/regions/{region}/healthCheckServices", "request": { "$ref": "HealthCheckService" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/healthCheckServices", "parameters": { "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "type": "string", "required": true } } } } }, "regionCommitments": { "methods": { "list": { "path": "projects/{project}/regions/{region}/commitments", "description": "Retrieves a list of commitments contained within the specified region.", "id": "compute.regionCommitments.list", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region for this request.", "required": true }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "maxResults": { "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "minimum": "0", "type": "integer" }, "project": { "required": true, "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/commitments", "parameterOrder": [ "project", "region" ], "response": { "$ref": "CommitmentList" } }, "update": { "id": "compute.regionCommitments.update", "request": { "$ref": "Commitment" }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "path": "projects/{project}/regions/{region}/commitments/{commitment}", "parameterOrder": [ "project", "region", "commitment" ], "parameters": { "commitment": { "description": "Name of the commitment for which auto renew is being updated.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "region": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "required": true }, "paths": { "repeated": true, "type": "string", "location": "query" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "required": true, "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "updateMask": { "location": "query", "description": "update_mask indicates fields to be updated as part of this request.", "type": "string", "format": "google-fieldmask" } }, "description": "Updates the specified commitment with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: auto_renew.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}" }, "insert": { "request": { "$ref": "Commitment" }, "path": "projects/{project}/regions/{region}/commitments", "description": "Creates a commitment in the specified project using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/commitments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionCommitments.insert", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "parameters": { "region": { "location": "path", "description": "Name of the region for this request.", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" } } }, "aggregatedList": { "parameters": { "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "location": "query", "type": "boolean" }, "maxResults": { "type": "integer", "format": "uint32", "location": "query", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } }, "description": "Retrieves an aggregated list of commitments by region.", "id": "compute.regionCommitments.aggregatedList", "flatPath": "projects/{project}/aggregated/commitments", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "CommitmentAggregatedList" }, "path": "projects/{project}/aggregated/commitments" }, "get": { "parameterOrder": [ "project", "region", "commitment" ], "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "commitment": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the commitment to return." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "Name of the region for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/regions/{region}/commitments/{commitment}", "description": "Returns the specified commitment resource. Gets a list of available commitments by making a list() request.", "path": "projects/{project}/regions/{region}/commitments/{commitment}", "id": "compute.regionCommitments.get", "httpMethod": "GET", "response": { "$ref": "Commitment" } } } }, "images": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "id": "compute.images.getIamPolicy", "path": "projects/{project}/global/images/{resource}/getIamPolicy", "parameters": { "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "optionsRequestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Requested IAM Policy version." }, "resource": { "required": true, "description": "Name or id of the resource for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "httpMethod": "GET", "response": { "$ref": "Policy" }, "flatPath": "projects/{project}/global/images/{resource}/getIamPolicy", "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "description": "Patches the specified image with the data included in the request. Only the following fields can be modified: family, description, deprecation status.", "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "image": { "type": "string", "required": true, "location": "path", "description": "Name of the image resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project", "image" ], "request": { "$ref": "Image" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/global/images/{image}", "flatPath": "projects/{project}/global/images/{image}", "httpMethod": "PATCH", "id": "compute.images.patch" }, "setIamPolicy": { "flatPath": "projects/{project}/global/images/{resource}/setIamPolicy", "path": "projects/{project}/global/images/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameterOrder": [ "project", "resource" ], "id": "compute.images.setIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." } } }, "insert": { "response": { "$ref": "Operation" }, "path": "projects/{project}/global/images", "request": { "$ref": "Image" }, "flatPath": "projects/{project}/global/images", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/devstorage.full_control", "https://www.googleapis.com/auth/devstorage.read_only", "https://www.googleapis.com/auth/devstorage.read_write" ], "description": "Creates an image in the specified project using the data included in the request.", "httpMethod": "POST", "parameterOrder": [ "project" ], "id": "compute.images.insert", "parameters": { "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true }, "forceCreate": { "location": "query", "type": "boolean", "description": "Force image creation if true." } } }, "getFromFamily": { "flatPath": "projects/{project}/global/images/family/{family}", "path": "projects/{project}/global/images/family/{family}", "description": "Returns the latest image that is part of an image family and is not deprecated.", "httpMethod": "GET", "response": { "$ref": "Image" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.images.getFromFamily", "parameters": { "family": { "required": true, "description": "Name of the image family to search for.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "family" ] }, "delete": { "path": "projects/{project}/global/images/{image}", "id": "compute.images.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "image": { "required": true, "description": "Name of the image resource to delete.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "httpMethod": "DELETE", "description": "Deletes the specified image.", "flatPath": "projects/{project}/global/images/{image}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "image" ] }, "get": { "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "image": { "location": "path", "description": "Name of the image resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true } }, "parameterOrder": [ "project", "image" ], "flatPath": "projects/{project}/global/images/{image}", "description": "Returns the specified image. Gets a list of available images by making a list() request.", "id": "compute.images.get", "path": "projects/{project}/global/images/{image}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "response": { "$ref": "Image" } }, "list": { "httpMethod": "GET", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" }, "maxResults": { "type": "integer", "location": "query", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500" } }, "description": "Retrieves the list of custom images available to the specified project. Custom images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.", "response": { "$ref": "ImageList" }, "path": "projects/{project}/global/images", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/images", "id": "compute.images.list" }, "setLabels": { "id": "compute.images.setLabels", "response": { "$ref": "Operation" }, "description": "Sets the labels on an image. To learn more about labels, read the Labeling Resources documentation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "resource" ], "parameters": { "resource": { "required": true, "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } }, "request": { "$ref": "GlobalSetLabelsRequest" }, "flatPath": "projects/{project}/global/images/{resource}/setLabels", "httpMethod": "POST", "path": "projects/{project}/global/images/{resource}/setLabels" }, "deprecate": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request.", "type": "string" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "image": { "required": true, "type": "string", "description": "Image name.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" } }, "request": { "$ref": "DeprecationStatus" }, "description": "Sets the deprecation status of an image. If an empty request body is given, clears the deprecation status instead.", "path": "projects/{project}/global/images/{image}/deprecate", "id": "compute.images.deprecate", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "image" ], "flatPath": "projects/{project}/global/images/{image}/deprecate" }, "testIamPermissions": { "id": "compute.images.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "httpMethod": "POST", "flatPath": "projects/{project}/global/images/{resource}/testIamPermissions", "path": "projects/{project}/global/images/{resource}/testIamPermissions", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request." } }, "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "zoneOperations": { "methods": { "get": { "id": "compute.zoneOperations.get", "path": "projects/{project}/zones/{zone}/operations/{operation}", "flatPath": "projects/{project}/zones/{zone}/operations/{operation}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "zone", "operation" ], "description": "Retrieves the specified zone-specific Operations resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "zone": { "location": "path", "type": "string", "description": "Name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "operation": { "description": "Name of the Operations resource to return.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true, "type": "string" } } }, "list": { "parameters": { "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "type": "integer", "format": "uint32", "minimum": "0" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "zone": { "required": true, "description": "Name of the zone for request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string" } }, "path": "projects/{project}/zones/{zone}/operations", "flatPath": "projects/{project}/zones/{zone}/operations", "description": "Retrieves a list of Operation resources contained within the specified zone.", "response": { "$ref": "OperationList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.zoneOperations.list", "httpMethod": "GET", "parameterOrder": [ "project", "zone" ] }, "wait": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.zoneOperations.wait", "path": "projects/{project}/zones/{zone}/operations/{operation}/wait", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/zones/{zone}/operations/{operation}/wait", "parameterOrder": [ "project", "zone", "operation" ], "parameters": { "operation": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to return.", "type": "string", "location": "path" }, "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "zone": { "location": "path", "description": "Name of the zone for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method waits for no more than the 2 minutes and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`. " }, "delete": { "description": "Deletes the specified zone-specific Operations resource.", "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/operations/{operation}", "parameters": { "zone": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the zone for this request." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "operation": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the Operations resource to delete." } }, "flatPath": "projects/{project}/zones/{zone}/operations/{operation}", "parameterOrder": [ "project", "zone", "operation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.zoneOperations.delete" } } }, "backendBuckets": { "methods": { "update": { "description": "Updates the specified BackendBucket resource with the data included in the request.", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "id": "compute.backendBuckets.update", "parameterOrder": [ "project", "backendBucket" ], "request": { "$ref": "BackendBucket" }, "httpMethod": "PUT", "parameters": { "backendBucket": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string", "description": "Name of the BackendBucket resource to update." }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" } }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "parameterOrder": [ "project" ], "id": "compute.backendBuckets.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "BackendBucketList" }, "path": "projects/{project}/global/backendBuckets", "httpMethod": "GET", "description": "Retrieves the list of BackendBucket resources available to the specified project.", "flatPath": "projects/{project}/global/backendBuckets", "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string", "required": true }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "maxResults": { "default": "500", "type": "integer", "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" } } }, "get": { "parameterOrder": [ "project", "backendBucket" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "description": "Returns the specified BackendBucket resource. Gets a list of available backend buckets by making a list() request.", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "BackendBucket" }, "id": "compute.backendBuckets.get", "httpMethod": "GET", "parameters": { "project": { "type": "string", "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendBucket": { "location": "path", "description": "Name of the BackendBucket resource to return.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" } } }, "setEdgeSecurityPolicy": { "request": { "$ref": "SecurityPolicyReference" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendBucket" ], "description": "Sets the edge security policy for the specified backend bucket.", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "backendBucket": { "required": true, "location": "path", "type": "string", "description": "Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.backendBuckets.setEdgeSecurityPolicy", "path": "projects/{project}/global/backendBuckets/{backendBucket}/setEdgeSecurityPolicy" }, "addSignedUrlKey": { "request": { "$ref": "SignedUrlKey" }, "path": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "response": { "$ref": "Operation" }, "id": "compute.backendBuckets.addSignedUrlKey", "httpMethod": "POST", "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/addSignedUrlKey", "parameterOrder": [ "project", "backendBucket" ], "description": "Adds a key for validating requests with signed URLs for this backend bucket.", "parameters": { "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "backendBucket": { "type": "string", "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "delete": { "description": "Deletes the specified BackendBucket resource.", "httpMethod": "DELETE", "parameters": { "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true }, "backendBucket": { "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendBucket resource to delete." } }, "id": "compute.backendBuckets.delete", "path": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "backendBucket" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "deleteSignedUrlKey": { "parameterOrder": [ "project", "backendBucket", "keyName" ], "path": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "keyName": { "location": "query", "required": true, "type": "string", "description": "The name of the Signed URL Key to delete." }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "backendBucket": { "location": "path", "type": "string", "description": "Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035.", "required": true } }, "httpMethod": "POST", "description": "Deletes a key for validating requests with signed URLs for this backend bucket.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}/deleteSignedUrlKey", "id": "compute.backendBuckets.deleteSignedUrlKey" }, "patch": { "parameters": { "backendBucket": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the BackendBucket resource to patch.", "required": true, "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "PATCH", "id": "compute.backendBuckets.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Updates the specified BackendBucket resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.", "parameterOrder": [ "project", "backendBucket" ], "flatPath": "projects/{project}/global/backendBuckets/{backendBucket}", "response": { "$ref": "Operation" }, "path": "projects/{project}/global/backendBuckets/{backendBucket}", "request": { "$ref": "BackendBucket" } }, "insert": { "parameters": { "project": { "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project" ], "id": "compute.backendBuckets.insert", "description": "Creates a BackendBucket resource in the specified project using the data included in the request.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/global/backendBuckets", "path": "projects/{project}/global/backendBuckets", "request": { "$ref": "BackendBucket" }, "httpMethod": "POST" } } }, "nodeTemplates": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "httpMethod": "GET", "parameters": { "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the region for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "location": "path", "type": "string", "required": true }, "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "location": "query", "type": "integer", "format": "int32" }, "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path", "description": "Name or id of the resource for this request." } }, "response": { "$ref": "Policy" }, "id": "compute.nodeTemplates.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/getIamPolicy" }, "setIamPolicy": { "request": { "$ref": "RegionSetPolicyRequest" }, "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/setIamPolicy", "response": { "$ref": "Policy" }, "id": "compute.nodeTemplates.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "required": true }, "region": { "description": "The name of the region for this request.", "required": true, "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "delete": { "id": "compute.nodeTemplates.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "parameterOrder": [ "project", "region", "nodeTemplate" ], "httpMethod": "DELETE", "description": "Deletes the specified NodeTemplate resource.", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "nodeTemplate": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the NodeTemplate resource to delete.", "required": true }, "region": { "required": true, "type": "string", "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true } }, "response": { "$ref": "Operation" } }, "list": { "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "Project ID for this request." }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true, "description": "The name of the region for this request." }, "returnPartialSuccess": { "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "type": "boolean" } }, "flatPath": "projects/{project}/regions/{region}/nodeTemplates", "description": "Retrieves a list of node templates available to the specified project.", "parameterOrder": [ "project", "region" ], "id": "compute.nodeTemplates.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/regions/{region}/nodeTemplates", "response": { "$ref": "NodeTemplateList" }, "httpMethod": "GET" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "POST", "path": "projects/{project}/regions/{region}/nodeTemplates", "parameters": { "project": { "description": "Project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true } }, "request": { "$ref": "NodeTemplate" }, "flatPath": "projects/{project}/regions/{region}/nodeTemplates", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "region" ], "id": "compute.nodeTemplates.insert", "description": "Creates a NodeTemplate resource in the specified project using the data included in the request." }, "aggregatedList": { "flatPath": "projects/{project}/aggregated/nodeTemplates", "parameterOrder": [ "project" ], "response": { "$ref": "NodeTemplateAggregatedList" }, "description": "Retrieves an aggregated list of node templates.", "id": "compute.nodeTemplates.aggregatedList", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "default": "500", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path", "description": "Project ID for this request." }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "path": "projects/{project}/aggregated/nodeTemplates" }, "get": { "path": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "NodeTemplate" }, "parameters": { "nodeTemplate": { "description": "Name of the node template to return.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string", "location": "path", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path", "type": "string", "required": true } }, "description": "Returns the specified node template. Gets a list of available node templates by making a list() request.", "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{nodeTemplate}", "id": "compute.nodeTemplates.get", "httpMethod": "GET", "parameterOrder": [ "project", "region", "nodeTemplate" ] }, "testIamPermissions": { "path": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "required": true, "location": "path", "type": "string" }, "resource": { "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/nodeTemplates/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.nodeTemplates.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionUrlMaps": { "methods": { "insert": { "description": "Creates a UrlMap resource in the specified project using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/urlMaps", "request": { "$ref": "UrlMap" }, "path": "projects/{project}/regions/{region}/urlMaps", "parameterOrder": [ "project", "region" ], "id": "compute.regionUrlMaps.insert", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency." }, "region": { "location": "path", "type": "string", "required": true, "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Operation" } }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "UrlMap" }, "parameterOrder": [ "project", "region", "urlMap" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency." }, "urlMap": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name of the UrlMap resource to update." }, "region": { "location": "path", "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" } }, "description": "Updates the specified UrlMap resource with the data included in the request.", "id": "compute.regionUrlMaps.update", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "httpMethod": "PUT" }, "delete": { "description": "Deletes the specified UrlMap resource.", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.", "type": "string", "location": "query" }, "urlMap": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the UrlMap resource to delete." }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "id": "compute.regionUrlMaps.delete", "parameterOrder": [ "project", "region", "urlMap" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "required": true, "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "begin_interface: MixerMutationRequestBuilder Request ID to support idempotency." }, "urlMap": { "description": "Name of the UrlMap resource to patch.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "type": "string" } }, "description": "Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "UrlMap" }, "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "parameterOrder": [ "project", "region", "urlMap" ], "id": "compute.regionUrlMaps.patch" }, "list": { "parameterOrder": [ "project", "region" ], "id": "compute.regionUrlMaps.list", "flatPath": "projects/{project}/regions/{region}/urlMaps", "description": "Retrieves the list of UrlMap resources available to the specified project in the specified region.", "path": "projects/{project}/regions/{region}/urlMaps", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "UrlMapList" }, "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "region": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "description": "Name of the region scoping this request." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0", "format": "uint32", "default": "500", "location": "query", "type": "integer" }, "project": { "description": "Project ID for this request.", "required": true, "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "returnPartialSuccess": { "type": "boolean", "location": "query", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." } }, "httpMethod": "GET" }, "validate": { "response": { "$ref": "UrlMapsValidateResponse" }, "description": "Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate", "id": "compute.regionUrlMaps.validate", "parameters": { "urlMap": { "required": true, "description": "Name of the UrlMap resource to be validated as.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "project": { "description": "Project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "type": "string", "description": "Name of the region scoping this request.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "request": { "$ref": "RegionUrlMapsValidateRequest" }, "parameterOrder": [ "project", "region", "urlMap" ], "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}/validate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "get": { "id": "compute.regionUrlMaps.get", "httpMethod": "GET", "response": { "$ref": "UrlMap" }, "flatPath": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Returns the specified UrlMap resource. Gets a list of available URL maps by making a list() request.", "parameterOrder": [ "project", "region", "urlMap" ], "path": "projects/{project}/regions/{region}/urlMaps/{urlMap}", "parameters": { "region": { "location": "path", "type": "string", "description": "Name of the region scoping this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "urlMap": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the UrlMap resource to return.", "type": "string", "required": true }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } } } }, "nodeGroups": { "methods": { "addNodes": { "parameters": { "zone": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the zone for this request.", "type": "string" }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "nodeGroup": { "description": "Name of the NodeGroup resource.", "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "request": { "$ref": "NodeGroupsAddNodesRequest" }, "description": "Adds specified number of nodes to the node group.", "id": "compute.nodeGroups.addNodes", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "zone", "nodeGroup" ], "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/addNodes", "response": { "$ref": "Operation" } }, "get": { "httpMethod": "GET", "parameters": { "project": { "type": "string", "required": true, "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "zone": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the zone for this request." }, "nodeGroup": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the node group to return.", "location": "path", "required": true } }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "nodeGroup" ], "id": "compute.nodeGroups.get", "description": "Returns the specified NodeGroup. Get a list of available NodeGroups by making a list() request. Note: the \"nodes\" field should not be used. Use nodeGroups.listNodes instead.", "response": { "$ref": "NodeGroup" } }, "getIamPolicy": { "parameterOrder": [ "project", "zone", "resource" ], "id": "compute.nodeGroups.getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/getIamPolicy", "parameters": { "resource": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request.", "location": "path", "type": "string" }, "optionsRequestedPolicyVersion": { "location": "query", "description": "Requested IAM Policy version.", "type": "integer", "format": "int32" }, "project": { "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path" }, "zone": { "required": true, "type": "string", "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } } }, "setNodeTemplate": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "request": { "$ref": "NodeGroupsSetNodeTemplateRequest" }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "id": "compute.nodeGroups.setNodeTemplate", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/setNodeTemplate", "parameterOrder": [ "project", "zone", "nodeGroup" ], "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "nodeGroup": { "location": "path", "required": true, "description": "Name of the NodeGroup resource to update.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path" } }, "description": "Updates the node template of the node group.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NodeGroup" }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "description": "Creates a NodeGroup resource in the specified project using the data included in the request.", "parameterOrder": [ "project", "zone", "initialNodeCount" ], "id": "compute.nodeGroups.insert", "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/zones/{zone}/nodeGroups", "parameters": { "zone": { "required": true, "type": "string", "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "initialNodeCount": { "format": "int32", "description": "Initial count of nodes in the node group.", "location": "query", "required": true, "type": "integer" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } } }, "listNodes": { "description": "Lists nodes in the node group.", "response": { "$ref": "NodeGroupsListNodes" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "zone": { "type": "string", "location": "path", "required": true, "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "default": "500", "location": "query", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "minimum": "0" }, "nodeGroup": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "Name of the NodeGroup resource whose nodes you want to list.", "location": "path" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "parameterOrder": [ "project", "zone", "nodeGroup" ], "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/listNodes", "id": "compute.nodeGroups.listNodes" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "zone", "resource" ], "parameters": { "zone": { "location": "path", "description": "The name of the zone for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true }, "project": { "type": "string", "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "resource": { "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "description": "Name or id of the resource for this request." } }, "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "request": { "$ref": "TestPermissionsRequest" }, "response": { "$ref": "TestPermissionsResponse" }, "id": "compute.nodeGroups.testIamPermissions", "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/testIamPermissions" }, "delete": { "response": { "$ref": "Operation" }, "parameters": { "project": { "required": true, "type": "string", "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "nodeGroup": { "type": "string", "description": "Name of the NodeGroup resource to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path" }, "zone": { "description": "The name of the zone for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true } }, "id": "compute.nodeGroups.delete", "description": "Deletes the specified NodeGroup resource.", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "parameterOrder": [ "project", "zone", "nodeGroup" ], "httpMethod": "DELETE", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "aggregatedList": { "path": "projects/{project}/aggregated/nodeGroups", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "type": "integer", "minimum": "0", "location": "query" }, "includeAllScopes": { "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean", "location": "query" } }, "id": "compute.nodeGroups.aggregatedList", "description": "Retrieves an aggregated list of node groups. Note: use nodeGroups.listNodes for more details about each group.", "response": { "$ref": "NodeGroupAggregatedList" }, "parameterOrder": [ "project" ], "httpMethod": "GET", "flatPath": "projects/{project}/aggregated/nodeGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.nodeGroups.patch", "parameterOrder": [ "project", "zone", "nodeGroup" ], "parameters": { "nodeGroup": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the NodeGroup resource to update.", "type": "string", "required": true }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "httpMethod": "PATCH", "description": "Updates the specified node group.", "response": { "$ref": "Operation" }, "request": { "$ref": "NodeGroup" }, "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}", "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}" }, "deleteNodes": { "httpMethod": "POST", "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes", "description": "Deletes specified nodes from the node group.", "id": "compute.nodeGroups.deleteNodes", "parameterOrder": [ "project", "zone", "nodeGroup" ], "response": { "$ref": "Operation" }, "parameters": { "zone": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "The name of the zone for this request.", "location": "path" }, "nodeGroup": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name of the NodeGroup resource whose nodes will be deleted.", "type": "string" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "project": { "location": "path", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "NodeGroupsDeleteNodesRequest" }, "path": "projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}/deleteNodes" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "parameters": { "zone": { "description": "The name of the zone for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "location": "path", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name or id of the resource for this request.", "location": "path", "required": true } }, "request": { "$ref": "ZoneSetPolicyRequest" }, "parameterOrder": [ "project", "zone", "resource" ], "flatPath": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "id": "compute.nodeGroups.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "path": "projects/{project}/zones/{zone}/nodeGroups/{resource}/setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "list": { "parameterOrder": [ "project", "zone" ], "description": "Retrieves a list of node groups available to the specified project. Note: use nodeGroups.listNodes for more details about each group.", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "default": "500", "minimum": "0", "location": "query" }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" }, "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "zone": { "type": "string", "location": "path", "description": "The name of the zone for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.nodeGroups.list", "path": "projects/{project}/zones/{zone}/nodeGroups", "response": { "$ref": "NodeGroupList" }, "httpMethod": "GET", "flatPath": "projects/{project}/zones/{zone}/nodeGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } } }, "regionTargetHttpsProxies": { "methods": { "setSslCertificates": { "description": "Replaces SslCertificates for TargetHttpsProxy.", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "request": { "$ref": "RegionTargetHttpsProxiesSetSslCertificatesRequest" }, "id": "compute.regionTargetHttpsProxies.setSslCertificates", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "type": "string" }, "region": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request.", "type": "string" }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "description": "Name of the TargetHttpsProxy resource to set an SslCertificates resource for.", "required": true, "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "parameterOrder": [ "project", "region" ], "response": { "$ref": "Operation" }, "description": "Creates a TargetHttpsProxy resource in the specified project and region using the data included in the request.", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies", "path": "projects/{project}/regions/{region}/targetHttpsProxies", "httpMethod": "POST", "parameters": { "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "location": "path", "required": true }, "region": { "required": true, "type": "string", "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "id": "compute.regionTargetHttpsProxies.insert", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "TargetHttpsProxy" } }, "delete": { "description": "Deletes the specified TargetHttpsProxy resource.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "DELETE", "parameters": { "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetHttpsProxy resource to delete.", "type": "string", "required": true }, "region": { "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" } }, "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "id": "compute.regionTargetHttpsProxies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}" }, "get": { "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "description": "Returns the specified TargetHttpsProxy resource in the specified region. Gets a list of available target HTTP proxies by making a list() request.", "response": { "$ref": "TargetHttpsProxy" }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "id": "compute.regionTargetHttpsProxies.get", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "location": "path" }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name of the TargetHttpsProxy resource to return.", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "Name of the region scoping this request.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET" }, "patch": { "response": { "$ref": "Operation" }, "description": "Patches the specified regional TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.", "parameters": { "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string", "location": "path", "required": true }, "targetHttpsProxy": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "description": "Name of the TargetHttpsProxy resource to patch.", "required": true, "type": "string" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "compute.regionTargetHttpsProxies.patch", "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}", "httpMethod": "PATCH", "request": { "$ref": "TargetHttpsProxy" }, "parameterOrder": [ "project", "region", "targetHttpsProxy" ] }, "list": { "parameters": { "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "returnPartialSuccess": { "location": "query", "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "type": "integer", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" } }, "response": { "$ref": "TargetHttpsProxyList" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of TargetHttpsProxy resources available to the specified project in the specified region.", "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies", "parameterOrder": [ "project", "region" ], "id": "compute.regionTargetHttpsProxies.list", "httpMethod": "GET", "path": "projects/{project}/regions/{region}/targetHttpsProxies" }, "setUrlMap": { "id": "compute.regionTargetHttpsProxies.setUrlMap", "request": { "$ref": "UrlMapReference" }, "flatPath": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "parameterOrder": [ "project", "region", "targetHttpsProxy" ], "description": "Changes the URL map for TargetHttpsProxy.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "targetHttpsProxy": { "required": true, "type": "string", "description": "Name of the TargetHttpsProxy to set a URL map for.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path" }, "region": { "type": "string", "required": true, "description": "Name of the region scoping this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] } } }, "networkEdgeSecurityServices": { "methods": { "get": { "httpMethod": "GET", "id": "compute.networkEdgeSecurityServices.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "response": { "$ref": "NetworkEdgeSecurityService" }, "parameters": { "project": { "location": "path", "description": "Project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region scoping this request.", "required": true, "location": "path", "type": "string" }, "networkEdgeSecurityService": { "location": "path", "type": "string", "description": "Name of the network edge security service to get.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "description": "Gets a specified NetworkEdgeSecurityService." }, "patch": { "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "NetworkEdgeSecurityService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "description": "Patches the specified policy with the data included in the request.", "id": "compute.networkEdgeSecurityServices.patch", "parameters": { "paths": { "repeated": true, "location": "query", "type": "string" }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "Name of the region scoping this request." }, "project": { "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" }, "updateMask": { "description": "Indicates fields to be updated as part of this request.", "location": "query", "type": "string", "format": "google-fieldmask" }, "requestId": { "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string" }, "networkEdgeSecurityService": { "description": "Name of the network edge security service to update.", "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } } }, "aggregatedList": { "id": "compute.networkEdgeSecurityServices.aggregatedList", "response": { "$ref": "NetworkEdgeSecurityServiceAggregatedList" }, "parameters": { "returnPartialSuccess": { "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query", "type": "boolean" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" }, "maxResults": { "format": "uint32", "default": "500", "type": "integer", "minimum": "0", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "includeAllScopes": { "location": "query", "description": "Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.", "type": "boolean" }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "project": { "type": "string", "location": "path", "description": "Name of the project scoping this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "path": "projects/{project}/aggregated/networkEdgeSecurityServices", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "flatPath": "projects/{project}/aggregated/networkEdgeSecurityServices", "parameterOrder": [ "project" ], "httpMethod": "GET", "description": "Retrieves the list of all NetworkEdgeSecurityService resources available to the specified project." }, "delete": { "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "parameters": { "networkEdgeSecurityService": { "location": "path", "required": true, "type": "string", "description": "Name of the network edge security service to delete.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "region": { "required": true, "description": "Name of the region scoping this request.", "location": "path", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "description": "Deletes the specified service.", "response": { "$ref": "Operation" }, "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices/{networkEdgeSecurityService}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "httpMethod": "DELETE", "parameterOrder": [ "project", "region", "networkEdgeSecurityService" ], "id": "compute.networkEdgeSecurityServices.delete" }, "insert": { "description": "Creates a new service in the specified project using the data included in the request.", "parameters": { "region": { "description": "Name of the region scoping this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "type": "string", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "validateOnly": { "type": "boolean", "description": "If true, the request will not be committed.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "type": "string" } }, "path": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "httpMethod": "POST", "request": { "$ref": "NetworkEdgeSecurityService" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region" ], "flatPath": "projects/{project}/regions/{region}/networkEdgeSecurityServices", "response": { "$ref": "Operation" }, "id": "compute.networkEdgeSecurityServices.insert" } } }, "regionDisks": { "methods": { "createSnapshot": { "parameters": { "region": { "type": "string", "required": true, "location": "path", "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "disk": { "required": true, "description": "Name of the regional persistent disk to snapshot.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "type": "string", "description": "Project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "region", "disk" ], "id": "compute.regionDisks.createSnapshot", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/disks/{disk}/createSnapshot", "httpMethod": "POST", "request": { "$ref": "Snapshot" }, "description": "Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project." }, "removeResourcePolicies": { "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "disk": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "description": "The disk name for this request." }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request." }, "region": { "required": true, "location": "path", "description": "The name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "request": { "$ref": "RegionDisksRemoveResourcePoliciesRequest" }, "id": "compute.regionDisks.removeResourcePolicies", "flatPath": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies", "path": "projects/{project}/regions/{region}/disks/{disk}/removeResourcePolicies", "parameterOrder": [ "project", "region", "disk" ], "description": "Removes resource policies from a regional disk.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "request": { "$ref": "RegionSetPolicyRequest" }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "httpMethod": "POST", "path": "projects/{project}/regions/{region}/disks/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "id": "compute.regionDisks.setIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "Project ID for this request." }, "region": { "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameters": { "requestId": { "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "location": "query" }, "region": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request." }, "project": { "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request." }, "sourceImage": { "location": "query", "description": "Source image to restore onto a disk. This field is optional.", "type": "string" } }, "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/disks", "description": "Creates a persistent regional disk in the specified project using the data included in the request.", "parameterOrder": [ "project", "region" ], "id": "compute.regionDisks.insert", "httpMethod": "POST", "flatPath": "projects/{project}/regions/{region}/disks", "request": { "$ref": "Disk" } }, "testIamPermissions": { "request": { "$ref": "TestPermissionsRequest" }, "parameterOrder": [ "project", "region", "resource" ], "description": "Returns permissions that a caller has on the specified resource.", "id": "compute.regionDisks.testIamPermissions", "path": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions", "flatPath": "projects/{project}/regions/{region}/disks/{resource}/testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "response": { "$ref": "TestPermissionsResponse" }, "parameters": { "project": { "location": "path", "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "region": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request." }, "resource": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." } } }, "delete": { "id": "compute.regionDisks.delete", "parameterOrder": [ "project", "region", "disk" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "projects/{project}/regions/{region}/disks/{disk}", "description": "Deletes the specified regional persistent disk. Deleting a regional disk removes all the replicas of its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.", "parameters": { "disk": { "location": "path", "required": true, "type": "string", "description": "Name of the regional persistent disk to delete." }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." }, "project": { "description": "Project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "region": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the region for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ] }, "getIamPolicy": { "httpMethod": "GET", "parameters": { "resource": { "type": "string", "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "required": true }, "optionsRequestedPolicyVersion": { "type": "integer", "description": "Requested IAM Policy version.", "format": "int32", "location": "query" }, "region": { "description": "The name of the region for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true }, "project": { "required": true, "description": "Project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "parameterOrder": [ "project", "region", "resource" ], "id": "compute.regionDisks.getIamPolicy", "path": "projects/{project}/regions/{region}/disks/{resource}/getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] }, "addResourcePolicies": { "path": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "projects/{project}/regions/{region}/disks/{disk}/addResourcePolicies", "parameterOrder": [ "project", "region", "disk" ], "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "region": { "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the region for this request.", "location": "path" }, "disk": { "location": "path", "description": "The disk name for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "requestId": { "location": "query", "type": "string", "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000)." } }, "id": "compute.regionDisks.addResourcePolicies", "description": "Adds existing resource policies to a regional disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.", "request": { "$ref": "RegionDisksAddResourcePoliciesRequest" }, "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "resize": { "parameters": { "project": { "description": "The project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "disk": { "type": "string", "description": "Name of the regional persistent disk.", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" }, "region": { "type": "string", "required": true, "description": "Name of the region for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "flatPath": "projects/{project}/regions/{region}/disks/{disk}/resize", "id": "compute.regionDisks.resize", "parameterOrder": [ "project", "region", "disk" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "projects/{project}/regions/{region}/disks/{disk}/resize", "request": { "$ref": "RegionDisksResizeRequest" }, "description": "Resizes the specified regional persistent disk.", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "list": { "id": "compute.regionDisks.list", "parameterOrder": [ "project", "region" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "returnPartialSuccess": { "type": "boolean", "description": "Opt-in for partial success behavior which provides partial results in case of failure. The default value is false.", "location": "query" }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "type": "integer", "format": "uint32", "minimum": "0", "location": "query", "default": "500" }, "region": { "description": "Name of the region for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "Project ID for this request." }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "httpMethod": "GET", "response": { "$ref": "DiskList" }, "flatPath": "projects/{project}/regions/{region}/disks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "description": "Retrieves the list of persistent disks contained within the specified region.", "path": "projects/{project}/regions/{region}/disks" }, "setLabels": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "project", "region", "resource" ], "path": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "id": "compute.regionDisks.setLabels", "parameters": { "project": { "type": "string", "description": "Project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" }, "requestId": { "description": "An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "resource": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "required": true, "location": "path", "description": "Name or id of the resource for this request." }, "region": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The region for this request.", "location": "path", "type": "string" } }, "flatPath": "projects/{project}/regions/{region}/disks/{resource}/setLabels", "response": { "$ref": "Operation" }, "description": "Sets the labels on the target regional disk.", "httpMethod": "POST", "request": { "$ref": "RegionSetLabelsRequest" } }, "get": { "description": "Returns a specified regional persistent disk.", "response": { "$ref": "Disk" }, "id": "compute.regionDisks.get", "flatPath": "projects/{project}/regions/{region}/disks/{disk}", "httpMethod": "GET", "parameterOrder": [ "project", "region", "disk" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "region": { "description": "Name of the region for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true }, "disk": { "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "location": "path", "type": "string", "description": "Name of the regional persistent disk to return." }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "Project ID for this request." } }, "path": "projects/{project}/regions/{region}/disks/{disk}" } } }, "licenseCodes": { "methods": { "get": { "flatPath": "projects/{project}/global/licenseCodes/{licenseCode}", "parameters": { "licenseCode": { "description": "Number corresponding to the License code resource to return.", "required": true, "location": "path", "pattern": "[0-9]{0,61}?", "type": "string" }, "project": { "description": "Project ID for this request.", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" } }, "parameterOrder": [ "project", "licenseCode" ], "path": "projects/{project}/global/licenseCodes/{licenseCode}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "compute.licenseCodes.get", "response": { "$ref": "LicenseCode" }, "description": "Return a specified license code. License codes are mirrored across all projects that have permissions to read the License Code. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "httpMethod": "GET" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "description": "Project ID for this request.", "required": true }, "resource": { "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "TestPermissionsResponse" }, "parameterOrder": [ "project", "resource" ], "flatPath": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions", "httpMethod": "POST", "id": "compute.licenseCodes.testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "path": "projects/{project}/global/licenseCodes/{resource}/testIamPermissions" } } } }, "batchPath": "batch/compute/v1", "title": "Compute Engine API", "schemas": { "RouterNatRuleAction": { "id": "RouterNatRuleAction", "type": "object", "properties": { "sourceNatDrainIps": { "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT rule only. This field is used for public NAT.", "type": "array", "items": { "type": "string" } }, "sourceNatActiveIps": { "items": { "type": "string" }, "description": "A list of URLs of the IP resources used for this NAT rule. These IP addresses must be valid static external IP addresses assigned to the project. This field is used for public NAT.", "type": "array" } } }, "PacketMirroringMirroredResourceInfo": { "properties": { "tags": { "type": "array", "description": "A set of mirrored tags. Traffic from/to all VM instances that have one or more of these tags will be mirrored.", "items": { "type": "string" } }, "instances": { "type": "array", "description": "A set of virtual machine instances that are being mirrored. They must live in zones contained in the same region as this packetMirroring. Note that this config will apply only to those network interfaces of the Instances that belong to the network specified in this packetMirroring. You may specify a maximum of 50 Instances.", "items": { "$ref": "PacketMirroringMirroredResourceInfoInstanceInfo" } }, "subnetworks": { "type": "array", "items": { "$ref": "PacketMirroringMirroredResourceInfoSubnetInfo" }, "description": "A set of subnetworks for which traffic from/to all VM instances will be mirrored. They must live in the same region as this packetMirroring. You may specify a maximum of 5 subnetworks." } }, "id": "PacketMirroringMirroredResourceInfo", "type": "object" }, "HttpsHealthCheck": { "id": "HttpsHealthCheck", "description": "Represents a legacy HTTPS Health Check resource. Legacy HTTPS health checks have been deprecated. If you are using a target pool-based network load balancer, you must use a legacy HTTP (not HTTPS) health check. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .", "properties": { "timeoutSec": { "type": "integer", "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have a greater value than checkIntervalSec.", "format": "int32" }, "unhealthyThreshold": { "type": "integer", "format": "int32", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "host": { "type": "string", "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#httpsHealthCheck", "description": "Type of the resource." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "checkIntervalSec": { "type": "integer", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "format": "int32" }, "healthyThreshold": { "type": "integer", "format": "int32", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2." }, "requestPath": { "description": "The request path of the HTTPS health check request. The default value is \"/\".", "type": "string" }, "port": { "type": "integer", "format": "int32", "description": "The TCP port number for the HTTPS health check request. The default value is 443." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } }, "type": "object" }, "ReservationsResizeRequest": { "id": "ReservationsResizeRequest", "type": "object", "properties": { "specificSkuCount": { "format": "int64", "description": "Number of allocated resources can be resized with minimum = 1 and maximum = 1000.", "type": "string" } } }, "ExchangedPeeringRoutesList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#exchangedPeeringRoutesList for exchanged peering routes lists.", "type": "string", "default": "compute#exchangedPeeringRoutesList" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "items": { "description": "A list of ExchangedPeeringRoute resources.", "items": { "$ref": "ExchangedPeeringRoute" }, "type": "array" } }, "id": "ExchangedPeeringRoutesList", "type": "object" }, "PublicAdvertisedPrefix": { "type": "object", "properties": { "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this public advertised prefix.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "dnsVerificationIp": { "type": "string", "description": "The IPv4 address to be used for reverse DNS verification." }, "status": { "type": "string", "enum": [ "INITIAL", "PREFIX_CONFIGURATION_COMPLETE", "PREFIX_CONFIGURATION_IN_PROGRESS", "PREFIX_REMOVAL_IN_PROGRESS", "PTR_CONFIGURED", "REVERSE_DNS_LOOKUP_FAILED", "VALIDATED" ], "enumDescriptions": [ "RPKI validation is complete.", "The prefix is fully configured.", "The prefix is being configured.", "The prefix is being removed.", "User has configured the PTR.", "Reverse DNS lookup failed.", "Reverse DNS lookup is successful." ], "description": "The status of the public advertised prefix. Possible values include: - `INITIAL`: RPKI validation is complete. - `PTR_CONFIGURED`: User has configured the PTR. - `VALIDATED`: Reverse DNS lookup is successful. - `REVERSE_DNS_LOOKUP_FAILED`: Reverse DNS lookup failed. - `PREFIX_CONFIGURATION_IN_PROGRESS`: The prefix is being configured. - `PREFIX_CONFIGURATION_COMPLETE`: The prefix is fully configured. - `PREFIX_REMOVAL_IN_PROGRESS`: The prefix is being removed. " }, "fingerprint": { "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicAdvertisedPrefix. An up-to-date fingerprint must be provided in order to update the PublicAdvertisedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicAdvertisedPrefix.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "publicDelegatedPrefixs": { "type": "array", "items": { "$ref": "PublicAdvertisedPrefixPublicDelegatedPrefix" }, "description": "[Output Only] The list of public delegated prefixes that exist for this public advertised prefix." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string" }, "kind": { "type": "string", "default": "compute#publicAdvertisedPrefix", "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes." }, "sharedSecret": { "description": "[Output Only] The shared secret to be used for reverse DNS verification.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.publicAdvertisedPrefixes.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "description": "A public advertised prefix represents an aggregated IP prefix or netblock which customers bring to cloud. The IP prefix is a single unit of route advertisement and is announced globally to the internet.", "id": "PublicAdvertisedPrefix" }, "ConsistentHashLoadBalancerSettingsHttpCookie": { "id": "ConsistentHashLoadBalancerSettingsHttpCookie", "type": "object", "description": "The information about the HTTP Cookie on which the hash function is based for load balancing policies that use a consistent hash.", "properties": { "name": { "type": "string", "description": "Name of the cookie." }, "path": { "description": "Path to set for the cookie.", "type": "string" }, "ttl": { "description": "Lifetime of the cookie.", "$ref": "Duration" } } }, "InstanceGroupManagerStatusStatefulPerInstanceConfigs": { "id": "InstanceGroupManagerStatusStatefulPerInstanceConfigs", "type": "object", "properties": { "allEffective": { "description": "A bit indicating if all of the group's per-instance configurations (listed in the output of a listPerInstanceConfigs API call) have status EFFECTIVE or there are no per-instance-configs.", "type": "boolean" } } }, "HttpRetryPolicy": { "description": "The retry policy associates with HttpRouteRule", "id": "HttpRetryPolicy", "type": "object", "properties": { "retryConditions": { "description": "Specifies one or more conditions when this retry policy applies. Valid values are: - 5xx: retry is attempted if the instance or endpoint responds with any 5xx response code, or if the instance or endpoint does not respond at all. For example, disconnects, reset, read timeout, connection failure, and refused streams. - gateway-error: Similar to 5xx, but only applies to response codes 502, 503 or 504. - connect-failure: a retry is attempted on failures connecting to the instance or endpoint. For example, connection timeouts. - retriable-4xx: a retry is attempted if the instance or endpoint responds with a 4xx response code. The only error that you can retry is error code 409. - refused-stream: a retry is attempted if the instance or endpoint resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry. - cancelled: a retry is attempted if the gRPC status code in the response header is set to cancelled. - deadline-exceeded: a retry is attempted if the gRPC status code in the response header is set to deadline-exceeded. - internal: a retry is attempted if the gRPC status code in the response header is set to internal. - resource-exhausted: a retry is attempted if the gRPC status code in the response header is set to resource-exhausted. - unavailable: a retry is attempted if the gRPC status code in the response header is set to unavailable. Only the following codes are supported when the URL map is bound to target gRPC proxy that has validateForProxyless field set to true. - cancelled - deadline-exceeded - internal - resource-exhausted - unavailable ", "items": { "type": "string" }, "type": "array" }, "perTryTimeout": { "description": "Specifies a non-zero timeout per retry attempt. If not specified, will use the timeout set in the HttpRouteAction field. If timeout in the HttpRouteAction field is not set, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "Duration" }, "numRetries": { "description": "Specifies the allowed number retries. This number must be \u003e 0. If not specified, defaults to 1.", "type": "integer", "format": "uint32" } } }, "XpnHostList": { "id": "XpnHostList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "Project" }, "description": "[Output Only] A list of shared VPC host project URLs.", "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts.", "default": "compute#xpnHostList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object" }, "InterconnectDiagnostics": { "properties": { "links": { "type": "array", "description": "A list of InterconnectDiagnostics.LinkStatus objects, describing the status for each link on the Interconnect.", "items": { "$ref": "InterconnectDiagnosticsLinkStatus" } }, "arpCaches": { "type": "array", "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing individual neighbors currently seen by the Google router in the ARP cache for the Interconnect. This will be empty when the Interconnect is not bundled.", "items": { "$ref": "InterconnectDiagnosticsARPEntry" } }, "macAddress": { "type": "string", "description": "The MAC address of the Interconnect's bundle interface." } }, "description": "Diagnostics information about interconnect, contains detailed and current technical information about Google's side of the connection.", "id": "InterconnectDiagnostics", "type": "object" }, "RegionInstanceGroupManagerList": { "description": "Contains a list of managed instance groups.", "type": "object", "properties": { "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups that exist in th regional scope.", "default": "compute#regionInstanceGroupManagerList" }, "items": { "type": "array", "items": { "$ref": "InstanceGroupManager" }, "description": "A list of InstanceGroupManager resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." } }, "id": "RegionInstanceGroupManagerList" }, "PacketMirroringMirroredResourceInfoSubnetInfo": { "type": "object", "id": "PacketMirroringMirroredResourceInfoSubnetInfo", "properties": { "canonicalUrl": { "description": "[Output Only] Unique identifier for the subnetwork; defined by the server.", "type": "string" }, "url": { "type": "string", "description": "Resource URL to the subnetwork for which traffic from/to all VM instances will be mirrored." } } }, "FirewallPolicyRuleSecureTag": { "id": "FirewallPolicyRuleSecureTag", "type": "object", "properties": { "name": { "type": "string", "description": "Name of the secure tag, created with TagManager's TagValue API.", "pattern": "tagValues/[0-9]+" }, "state": { "enum": [ "EFFECTIVE", "INEFFECTIVE" ], "type": "string", "description": "[Output Only] State of the secure tag, either `EFFECTIVE` or `INEFFECTIVE`. A secure tag is `INEFFECTIVE` when it is deleted or its network is deleted.", "enumDescriptions": [ "", "" ] } } }, "InstanceListReferrers": { "properties": { "items": { "description": "A list of Reference resources.", "items": { "$ref": "Reference" }, "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "[Output Only] Type of resource. Always compute#instanceListReferrers for lists of Instance referrers.", "default": "compute#instanceListReferrers", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "description": "Contains a list of instance referrers.", "id": "InstanceListReferrers", "type": "object" }, "ProjectsGetXpnResources": { "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "resources": { "items": { "$ref": "XpnResourceId" }, "type": "array", "description": "Service resources (a.k.a service projects) attached to this project as their shared VPC host." }, "kind": { "description": "[Output Only] Type of resource. Always compute#projectsGetXpnResources for lists of service resources (a.k.a service projects)", "default": "compute#projectsGetXpnResources", "type": "string" } }, "type": "object", "id": "ProjectsGetXpnResources" }, "FileContentBuffer": { "properties": { "fileType": { "description": "The file type of source file.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "BIN", "UNDEFINED", "X509" ] }, "content": { "type": "string", "description": "The raw content in the secure keys file.", "format": "byte" } }, "id": "FileContentBuffer", "type": "object" }, "HealthCheckList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of HealthCheck resources.", "items": { "$ref": "HealthCheck" } }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "default": "compute#healthCheckList", "description": "Type of resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object", "description": "Contains a list of HealthCheck resources.", "id": "HealthCheckList" }, "ForwardingRuleReference": { "type": "object", "id": "ForwardingRuleReference", "properties": { "forwardingRule": { "type": "string" } } }, "BackendServiceReference": { "properties": { "backendService": { "type": "string" } }, "type": "object", "id": "BackendServiceReference" }, "ReservationsScopedList": { "type": "object", "id": "ReservationsScopedList", "properties": { "reservations": { "type": "array", "description": "A list of reservations contained in this scope.", "items": { "$ref": "Reservation" } }, "warning": { "type": "object", "description": "Informational warning which replaces the list of reservations when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } } } }, "NodeGroupAggregatedList": { "type": "object", "id": "NodeGroupAggregatedList", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#nodeGroupAggregatedList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeGroupAggregatedList for aggregated lists of node groups." }, "items": { "description": "A list of NodeGroupsScopedList resources.", "type": "object", "additionalProperties": { "$ref": "NodeGroupsScopedList", "description": "[Output Only] Name of the scope containing this set of node groups." } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "NetworkEndpointGroupList": { "type": "object", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "items": { "items": { "$ref": "NetworkEndpointGroup" }, "type": "array", "description": "A list of NetworkEndpointGroup resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupList for network endpoint group lists.", "type": "string", "default": "compute#networkEndpointGroupList" } }, "id": "NetworkEndpointGroupList" }, "ShieldedInstanceIdentityEntry": { "properties": { "ekPub": { "type": "string", "description": "A PEM-encoded public key." }, "ekCert": { "type": "string", "description": "A PEM-encoded X.509 certificate. This field can be empty." } }, "description": "A Shielded Instance Identity Entry.", "id": "ShieldedInstanceIdentityEntry", "type": "object" }, "ZoneSetLabelsRequest": { "properties": { "labelFingerprint": { "type": "string", "format": "byte", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint." }, "labels": { "description": "The labels to set for this resource.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "ZoneSetLabelsRequest", "type": "object" }, "DisksAddResourcePoliciesRequest": { "type": "object", "properties": { "resourcePolicies": { "items": { "type": "string" }, "description": "Full or relative path to the resource policy to be added to this disk. You can only specify one resource policy.", "type": "array" } }, "id": "DisksAddResourcePoliciesRequest" }, "OperationAggregatedList": { "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of operations.", "$ref": "OperationsScopedList" }, "type": "object", "description": "[Output Only] A map of scoped operation lists." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "kind": { "default": "compute#operationAggregatedList", "description": "[Output Only] Type of resource. Always `compute#operationAggregatedList` for aggregated lists of operations.", "type": "string" }, "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "OperationAggregatedList", "type": "object" }, "RouterNat": { "properties": { "maxPortsPerVm": { "format": "int32", "type": "integer", "description": "Maximum number of ports allocated to a VM from this NAT config when Dynamic Port Allocation is enabled. If Dynamic Port Allocation is not enabled, this field has no effect. If Dynamic Port Allocation is enabled, and this field is set, it must be set to a power of two greater than minPortsPerVm, or 64 if minPortsPerVm is not set. If Dynamic Port Allocation is enabled and this field is not set, a maximum of 65536 ports will be allocated to a VM from this NAT config." }, "tcpTimeWaitTimeoutSec": { "format": "int32", "description": "Timeout (in seconds) for TCP connections that are in TIME_WAIT state. Defaults to 120s if not set.", "type": "integer" }, "subnetworks": { "description": "A list of Subnetwork resources whose traffic should be translated by NAT Gateway. It is used only when LIST_OF_SUBNETWORKS is selected for the SubnetworkIpRangeToNatOption above.", "items": { "$ref": "RouterNatSubnetworkToNat" }, "type": "array" }, "udpIdleTimeoutSec": { "description": "Timeout (in seconds) for UDP connections. Defaults to 30s if not set.", "format": "int32", "type": "integer" }, "enableEndpointIndependentMapping": { "type": "boolean" }, "natIps": { "type": "array", "items": { "type": "string" }, "description": "A list of URLs of the IP resources used for this Nat service. These IP addresses must be valid static external IP addresses assigned to the project." }, "tcpTransitoryIdleTimeoutSec": { "format": "int32", "type": "integer", "description": "Timeout (in seconds) for TCP transitory connections. Defaults to 30s if not set." }, "sourceSubnetworkIpRangesToNat": { "type": "string", "enum": [ "ALL_SUBNETWORKS_ALL_IP_RANGES", "ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES", "LIST_OF_SUBNETWORKS" ], "enumDescriptions": [ "All the IP ranges in every Subnetwork are allowed to Nat.", "All the primary IP ranges in every Subnetwork are allowed to Nat.", "A list of Subnetworks are allowed to Nat (specified in the field subnetwork below)" ], "description": "Specify the Nat option, which can take one of the following values: - ALL_SUBNETWORKS_ALL_IP_RANGES: All of the IP ranges in every Subnetwork are allowed to Nat. - ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES: All of the primary IP ranges in every Subnetwork are allowed to Nat. - LIST_OF_SUBNETWORKS: A list of Subnetworks are allowed to Nat (specified in the field subnetwork below) The default is SUBNETWORK_IP_RANGE_TO_NAT_OPTION_UNSPECIFIED. Note that if this field contains ALL_SUBNETWORKS_ALL_IP_RANGES or ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES, then there should not be any other Router.Nat section in any Router for this network in this region." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Unique name of this Nat service. The name must be 1-63 characters long and comply with RFC1035." }, "enableDynamicPortAllocation": { "description": "Enable Dynamic Port Allocation. If not specified, it is disabled by default. If set to true, - Dynamic Port Allocation will be enabled on this NAT config. - enableEndpointIndependentMapping cannot be set to true. - If minPorts is set, minPortsPerVm must be set to a power of two greater than or equal to 32. If minPortsPerVm is not set, a minimum of 32 ports will be allocated to a VM from this NAT config. ", "type": "boolean" }, "icmpIdleTimeoutSec": { "type": "integer", "description": "Timeout (in seconds) for ICMP connections. Defaults to 30s if not set.", "format": "int32" }, "tcpEstablishedIdleTimeoutSec": { "format": "int32", "description": "Timeout (in seconds) for TCP established connections. Defaults to 1200s if not set.", "type": "integer" }, "drainNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT only." }, "minPortsPerVm": { "format": "int32", "description": "Minimum number of ports allocated to a VM from this NAT config. If not set, a default number of ports is allocated to a VM. This is rounded up to the nearest power of 2. For example, if the value of this field is 50, at least 64 ports are allocated to a VM.", "type": "integer" }, "endpointTypes": { "description": "List of NAT-ted endpoint types supported by the Nat Gateway. If the list is empty, then it will be equivalent to include ENDPOINT_TYPE_VM", "items": { "enumDescriptions": [ "This is used for Secure Web Gateway endpoints.", "This is the default." ], "enum": [ "ENDPOINT_TYPE_SWG", "ENDPOINT_TYPE_VM" ], "type": "string" }, "type": "array" }, "logConfig": { "$ref": "RouterNatLogConfig", "description": "Configure logging on this NAT." }, "rules": { "type": "array", "description": "A list of rules associated with this NAT.", "items": { "$ref": "RouterNatRule" } }, "natIpAllocateOption": { "description": "Specify the NatIpAllocateOption, which can take one of the following values: - MANUAL_ONLY: Uses only Nat IP addresses provided by customers. When there are not enough specified Nat IPs, the Nat service fails for new VMs. - AUTO_ONLY: Nat IPs are allocated by Google Cloud Platform; customers can't specify any Nat IPs. When choosing AUTO_ONLY, then nat_ip should be empty. ", "enumDescriptions": [ "Nat IPs are allocated by GCP; customers can not specify any Nat IPs.", "Only use Nat IPs provided by customers. When specified Nat IPs are not enough then the Nat service fails for new VMs." ], "enum": [ "AUTO_ONLY", "MANUAL_ONLY" ], "type": "string" } }, "id": "RouterNat", "type": "object", "description": "Represents a Nat resource. It enables the VMs within the specified subnetworks to access Internet without external IP addresses. It specifies a list of subnetworks (and the ranges within) that want to use NAT. Customers can also provide the external IPs that would be used for NAT. GCP would auto-allocate ephemeral IPs if no external IPs are provided." }, "TargetPoolAggregatedList": { "type": "object", "properties": { "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of TargetPool resources.", "additionalProperties": { "description": "Name of the scope containing this set of target pools.", "$ref": "TargetPoolsScopedList" }, "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#targetPoolAggregatedList for aggregated lists of target pools.", "default": "compute#targetPoolAggregatedList", "type": "string" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "TargetPoolAggregatedList" }, "VpnGatewayStatus": { "id": "VpnGatewayStatus", "type": "object", "properties": { "vpnConnections": { "items": { "$ref": "VpnGatewayStatusVpnConnection" }, "description": "List of VPN connection for this VpnGateway.", "type": "array" } } }, "SslPoliciesListAvailableFeaturesResponse": { "properties": { "features": { "type": "array", "items": { "type": "string" } } }, "id": "SslPoliciesListAvailableFeaturesResponse", "type": "object" }, "AcceleratorTypesScopedList": { "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] An informational warning that appears when the accelerator types list is empty.", "type": "object" }, "acceleratorTypes": { "description": "[Output Only] A list of accelerator types contained in this scope.", "type": "array", "items": { "$ref": "AcceleratorType" } } }, "type": "object", "id": "AcceleratorTypesScopedList" }, "SourceInstanceProperties": { "properties": { "metadata": { "description": "The metadata key/value pairs to assign to instances that are created from this machine image. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.", "$ref": "Metadata" }, "scheduling": { "description": "Specifies the scheduling options for the instances that are created from this machine image.", "$ref": "Scheduling" }, "machineType": { "type": "string", "description": "The machine type to use for instances that are created from this machine image." }, "guestAccelerators": { "type": "array", "items": { "$ref": "AcceleratorConfig" }, "description": "A list of guest accelerator cards' type and count to use for instances created from this machine image." }, "tags": { "$ref": "Tags", "description": "A list of tags to apply to the instances that are created from this machine image. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035." }, "keyRevocationActionType": { "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "type": "string", "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ] }, "serviceAccounts": { "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from this machine image. Use metadata queries to obtain the access tokens for these instances.", "type": "array", "items": { "$ref": "ServiceAccount" } }, "deletionProtection": { "description": "Whether the instance created from this machine image should be protected against deletion.", "type": "boolean" }, "canIpForward": { "type": "boolean", "description": "Enables instances created based on this machine image to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information." }, "labels": { "type": "object", "description": "Labels to apply to instances that are created from this machine image.", "additionalProperties": { "type": "string" } }, "description": { "type": "string", "description": "An optional text description for the instances that are created from this machine image." }, "disks": { "type": "array", "items": { "$ref": "SavedAttachedDisk" }, "description": "An array of disks that are associated with the instances that are created from this machine image." }, "minCpuPlatform": { "type": "string", "description": "Minimum cpu/platform to be used by instances created from this machine image. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform." }, "networkInterfaces": { "description": "An array of network access configurations for this interface.", "items": { "$ref": "NetworkInterface" }, "type": "array" } }, "type": "object", "description": "DEPRECATED: Please use compute#instanceProperties instead. New properties will not be added to this field.", "id": "SourceInstanceProperties" }, "NodeGroupList": { "id": "NodeGroupList", "description": "Contains a list of nodeGroups.", "type": "object", "properties": { "items": { "items": { "$ref": "NodeGroup" }, "description": "A list of NodeGroup resources.", "type": "array" }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeGroupList for lists of node groups.", "default": "compute#nodeGroupList", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "ResourcePoliciesScopedList": { "id": "ResourcePoliciesScopedList", "properties": { "resourcePolicies": { "type": "array", "items": { "$ref": "ResourcePolicy" }, "description": "A list of resourcePolicies contained in this scope." }, "warning": { "type": "object", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "Informational warning which replaces the list of resourcePolicies when the list is empty." } }, "type": "object" }, "Zone": { "id": "Zone", "properties": { "region": { "type": "string", "description": "[Output Only] Full URL reference to the region which hosts the zone." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "description": { "description": "[Output Only] Textual description of the resource.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this zone." }, "status": { "type": "string", "description": "[Output Only] Status of the zone, either UP or DOWN.", "enumDescriptions": [ "", "" ], "enum": [ "DOWN", "UP" ] }, "availableCpuPlatforms": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Available cpu/platform selections for the zone." }, "supportsPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "kind": { "default": "compute#zone", "type": "string", "description": "[Output Only] Type of the resource. Always compute#zone for zones." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "description": "Represents a Zone resource. A zone is a deployment area. These deployment areas are subsets of a region. For example the zone us-east1-a is located in the us-east1 region. For more information, read Regions and Zones.", "type": "object" }, "InstanceParams": { "id": "InstanceParams", "type": "object", "properties": { "resourceManagerTags": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty." } }, "description": "Additional instance params." }, "NetworkEndpointGroupsDetachEndpointsRequest": { "id": "NetworkEndpointGroupsDetachEndpointsRequest", "type": "object", "properties": { "networkEndpoints": { "description": "The list of network endpoints to be detached.", "items": { "$ref": "NetworkEndpoint" }, "type": "array" } } }, "Rule": { "id": "Rule", "type": "object", "description": "This is deprecated and has no effect. Do not use.", "properties": { "logConfigs": { "items": { "$ref": "LogConfig" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "description": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "permissions": { "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" }, "type": "array" }, "conditions": { "description": "This is deprecated and has no effect. Do not use.", "type": "array", "items": { "$ref": "Condition" } }, "notIns": { "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" }, "type": "array" }, "ins": { "items": { "type": "string" }, "description": "This is deprecated and has no effect. Do not use.", "type": "array" }, "action": { "enum": [ "ALLOW", "ALLOW_WITH_LOG", "DENY", "DENY_WITH_LOG", "LOG", "NO_ACTION" ], "type": "string", "description": "This is deprecated and has no effect. Do not use.", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] } } }, "NetworkEndpointGroup": { "properties": { "region": { "type": "string", "description": "[Output Only] The URL of the region where the network endpoint group is located." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "zone": { "description": "[Output Only] The URL of the zone where the network endpoint group is located.", "type": "string" }, "cloudFunction": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupCloudFunction" }, "defaultPort": { "type": "integer", "format": "int32", "description": "The default port used if the port number is not specified in the network endpoint." }, "pscTargetService": { "type": "string", "description": "The target service url used to set up private service connection to a Google API or a PSC Producer Service Attachment. An example value is: \"asia-northeast3-cloudkms.googleapis.com\"" }, "cloudRun": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupCloudRun" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "appEngine": { "description": "Only valid when networkEndpointType is \"SERVERLESS\". Only one of cloudRun, appEngine or cloudFunction may be set.", "$ref": "NetworkEndpointGroupAppEngine" }, "size": { "description": "[Output only] Number of network endpoints in the network endpoint group.", "format": "int32", "type": "integer" }, "network": { "description": "The URL of the network to which all network endpoints in the NEG belong. Uses \"default\" project network if unspecified.", "type": "string" }, "networkEndpointType": { "enumDescriptions": [ "The network endpoint is represented by an IP address.", "The network endpoint is represented by IP address and port pair.", "The network endpoint is represented by fully qualified domain name and port.", "The network endpoint is represented by an internet IP address and port.", "The network endpoint is represented by an IP address and port. The endpoint belongs to a VM or pod running in a customer's on-premises.", "The network endpoint is either public Google APIs or services exposed by other GCP Project with a Service Attachment. The connection is set up by private service connect", "The network endpoint is handled by specified serverless infrastructure." ], "description": "Type of network endpoints in this network endpoint group. Can be one of GCE_VM_IP, GCE_VM_IP_PORT, NON_GCP_PRIVATE_IP_PORT, INTERNET_FQDN_PORT, INTERNET_IP_PORT, SERVERLESS, PRIVATE_SERVICE_CONNECT.", "enum": [ "GCE_VM_IP", "GCE_VM_IP_PORT", "INTERNET_FQDN_PORT", "INTERNET_IP_PORT", "NON_GCP_PRIVATE_IP_PORT", "PRIVATE_SERVICE_CONNECT", "SERVERLESS" ], "type": "string" }, "annotations": { "description": "Metadata defined as annotations on the network endpoint group.", "type": "object", "additionalProperties": { "type": "string" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "kind": { "default": "compute#networkEndpointGroup", "description": "[Output Only] Type of the resource. Always compute#networkEndpointGroup for network endpoint group.", "type": "string" }, "subnetwork": { "description": "Optional URL of the subnetwork to which all network endpoints in the NEG belong.", "type": "string" } }, "type": "object", "description": "Represents a collection of network endpoints. A network endpoint group (NEG) defines how a set of endpoints should be reached, whether they are reachable, and where they are located. For more information about using NEGs, see Setting up external HTTP(S) Load Balancing with internet NEGs, Setting up zonal NEGs, or Setting up external HTTP(S) Load Balancing with serverless NEGs.", "id": "NetworkEndpointGroup" }, "BackendBucketCdnPolicy": { "type": "object", "description": "Message containing Cloud CDN configuration for a backend bucket.", "properties": { "maxTtl": { "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32", "type": "integer" }, "signedUrlCacheMaxAgeSec": { "type": "string", "format": "int64", "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered." }, "bypassCacheOnRequestHeaders": { "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings.", "type": "array", "items": { "$ref": "BackendBucketCdnPolicyBypassCacheOnRequestHeader" } }, "serveWhileStale": { "format": "int32", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale.", "type": "integer" }, "cacheMode": { "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ], "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ] }, "negativeCachingPolicy": { "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.", "items": { "$ref": "BackendBucketCdnPolicyNegativeCachingPolicy" }, "type": "array" }, "clientTtl": { "type": "integer", "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).", "format": "int32" }, "signedUrlKeyNames": { "description": "[Output Only] Names of the keys for signing request URLs.", "type": "array", "items": { "type": "string" } }, "requestCoalescing": { "type": "boolean", "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin." }, "defaultTtl": { "type": "integer", "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32" }, "negativeCaching": { "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.", "type": "boolean" }, "cacheKeyPolicy": { "description": "The CacheKeyPolicy for this CdnPolicy.", "$ref": "BackendBucketCdnPolicyCacheKeyPolicy" } }, "id": "BackendBucketCdnPolicy" }, "InstanceGroupAggregatedList": { "id": "InstanceGroupAggregatedList", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of InstanceGroupsScopedList resources.", "additionalProperties": { "description": "The name of the scope that contains this set of instance groups.", "$ref": "InstanceGroupsScopedList" }, "type": "object" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } } }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupAggregatedList for aggregated lists of instance groups.", "type": "string", "default": "compute#instanceGroupAggregatedList" } }, "type": "object" }, "InstanceGroupManagersApplyUpdatesRequest": { "description": "InstanceGroupManagers.applyUpdatesToInstances", "id": "InstanceGroupManagersApplyUpdatesRequest", "type": "object", "properties": { "instances": { "type": "array", "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" } }, "mostDisruptiveAllowedAction": { "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "type": "string", "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail." }, "minimalAction": { "type": "string", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ] }, "allInstances": { "type": "boolean", "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request." } } }, "InstanceGroupManager": { "description": "Represents a Managed Instance Group resource. An instance group is a collection of VM instances that you can manage as a single entity. For more information, read Instance groups. For zonal Managed Instance Group, use the instanceGroupManagers resource. For regional Managed Instance Group, use the regionInstanceGroupManagers resource.", "id": "InstanceGroupManager", "properties": { "id": { "format": "uint64", "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier." }, "targetSize": { "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "description": "The target number of running instances for this managed instance group. You can reduce this number by using the instanceGroupManager deleteInstances or abandonInstances methods. Resizing the group also changes this number.", "format": "int32", "type": "integer" }, "updatePolicy": { "$ref": "InstanceGroupManagerUpdatePolicy", "description": "The update policy for this managed instance group." }, "status": { "$ref": "InstanceGroupManagerStatus", "description": "[Output Only] The status of this managed instance group." }, "description": { "description": "An optional description of this resource.", "type": "string" }, "fingerprint": { "description": "Fingerprint of this resource. This field may be used in optimistic locking. It will be ignored when inserting an InstanceGroupManager. An up-to-date fingerprint must be provided in order to update the InstanceGroupManager, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InstanceGroupManager.", "type": "string", "format": "byte" }, "instanceGroup": { "description": "[Output Only] The URL of the Instance Group resource.", "type": "string" }, "targetPools": { "description": "The URLs for all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.", "type": "array", "items": { "type": "string" } }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupManager for managed instance groups.", "type": "string", "default": "compute#instanceGroupManager" }, "zone": { "description": "[Output Only] The URL of a zone where the managed instance group is located (for zonal resources).", "type": "string" }, "versions": { "description": "Specifies the instance templates used by this managed instance group to create instances. Each version is defined by an instanceTemplate and a name. Every version can appear at most once per instance group. This field overrides the top-level instanceTemplate field. Read more about the relationships between these fields. Exactly one version must leave the targetSize field unset. That version will be applied to all remaining instances. For more information, read about canary updates.", "items": { "$ref": "InstanceGroupManagerVersion" }, "type": "array" }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the managed instance group resides (for regional resources)." }, "distributionPolicy": { "description": "Policy specifying the intended distribution of managed instances across zones in a regional managed instance group.", "$ref": "DistributionPolicy" }, "statefulPolicy": { "$ref": "StatefulPolicy", "description": "Stateful configuration for this Instanced Group Manager" }, "currentActions": { "$ref": "InstanceGroupManagerActionsSummary", "description": "[Output Only] The list of instance actions and the number of instances in this managed instance group that are scheduled for each of those actions." }, "namedPorts": { "type": "array", "description": "Named ports configured for the Instance Groups complementary to this Instance Group Manager.", "items": { "$ref": "NamedPort" } }, "baseInstanceName": { "pattern": "[a-z][-a-z0-9]{0,57}", "type": "string", "description": "The base instance name to use for instances in this group. The value must be 1-58 characters long. Instances are named by appending a hyphen and a random four-character string to the base instance name. The base instance name must comply with RFC1035.", "annotations": { "required": [ "compute.instanceGroupManagers.insert" ] } }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instanceGroupManagers.insert", "compute.regionInstanceGroupManagers.insert" ] }, "type": "string", "description": "The name of the managed instance group. The name must be 1-63 characters long, and comply with RFC1035." }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this managed instance group in RFC3339 text format.", "type": "string" }, "autoHealingPolicies": { "description": "The autohealing policy for this managed instance group. You can specify only one value.", "items": { "$ref": "InstanceGroupManagerAutoHealingPolicy" }, "type": "array" }, "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.", "type": "string" }, "selfLink": { "description": "[Output Only] The URL for this managed instance group. The server defines this URL.", "type": "string" } }, "type": "object" }, "InstanceWithNamedPorts": { "properties": { "status": { "type": "string", "description": "[Output Only] The status of the instance.", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ], "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ] }, "instance": { "type": "string", "description": "[Output Only] The URL of the instance." }, "namedPorts": { "description": "[Output Only] The named ports that belong to this instance group.", "type": "array", "items": { "$ref": "NamedPort" } } }, "id": "InstanceWithNamedPorts", "type": "object" }, "GuestAttributes": { "description": "A guest attributes entry.", "type": "object", "id": "GuestAttributes", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "queryPath": { "type": "string", "description": "The path to be queried. This can be the default namespace ('') or a nested namespace ('\\/') or a specified key ('\\/\\')." }, "variableKey": { "description": "The key to search for.", "type": "string" }, "queryValue": { "$ref": "GuestAttributesValue", "description": "[Output Only] The value of the requested queried path." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#guestAttributes for guest attributes entry.", "default": "compute#guestAttributes" }, "variableValue": { "type": "string", "description": "[Output Only] The value found for the requested key." } } }, "SecurityPoliciesScopedList": { "id": "SecurityPoliciesScopedList", "type": "object", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of security policies when the list is empty.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } } } }, "securityPolicies": { "items": { "$ref": "SecurityPolicy" }, "type": "array", "description": "A list of SecurityPolicies contained in this scope." } } }, "VpnTunnel": { "type": "object", "properties": { "sharedSecretHash": { "description": "Hash of the shared secret.", "type": "string" }, "peerIp": { "description": "IP address of the peer VPN gateway. Only IPv4 is supported.", "type": "string" }, "peerExternalGateway": { "type": "string", "description": "URL of the peer side external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field is exclusive with the field peerGcpGateway." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "status": { "description": "[Output Only] The status of the VPN tunnel, which can be one of the following: - PROVISIONING: Resource is being allocated for the VPN tunnel. - WAITING_FOR_FULL_CONFIG: Waiting to receive all VPN-related configs from the user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule, and Route resources are needed to setup the VPN tunnel. - FIRST_HANDSHAKE: Successful first handshake with the peer VPN. - ESTABLISHED: Secure session is successfully established with the peer VPN. - NETWORK_ERROR: Deprecated, replaced by NO_INCOMING_PACKETS - AUTHORIZATION_ERROR: Auth error (for example, bad shared secret). - NEGOTIATION_FAILURE: Handshake failed. - DEPROVISIONING: Resources are being deallocated for the VPN tunnel. - FAILED: Tunnel creation has failed and the tunnel is not ready to be used. - NO_INCOMING_PACKETS: No incoming packets from peer. - REJECTED: Tunnel configuration was rejected, can be result of being denied access. - ALLOCATING_RESOURCES: Cloud VPN is in the process of allocating all required resources. - STOPPED: Tunnel is stopped due to its Forwarding Rules being deleted for Classic VPN tunnels or the project is in frozen state. - PEER_IDENTITY_MISMATCH: Peer identity does not match peer IP, probably behind NAT. - TS_NARROWING_NOT_ALLOWED: Traffic selector narrowing not allowed for an HA-VPN tunnel. ", "type": "string", "enum": [ "ALLOCATING_RESOURCES", "AUTHORIZATION_ERROR", "DEPROVISIONING", "ESTABLISHED", "FAILED", "FIRST_HANDSHAKE", "NEGOTIATION_FAILURE", "NETWORK_ERROR", "NO_INCOMING_PACKETS", "PROVISIONING", "REJECTED", "STOPPED", "WAITING_FOR_FULL_CONFIG" ], "enumDescriptions": [ "Cloud VPN is in the process of allocating all required resources (specifically, a borg task).", "Auth error (e.g. bad shared secret).", "Resources is being deallocated for the VPN tunnel.", "Secure session is successfully established with peer VPN.", "Tunnel creation has failed and the tunnel is not ready to be used.", "Successful first handshake with peer VPN.", "Handshake failed.", "Deprecated, replaced by NO_INCOMING_PACKETS", "No incoming packets from peer", "Resource is being allocated for the VPN tunnel.", "Tunnel configuration was rejected, can be result of being denylisted.", "Tunnel is stopped due to its Forwarding Rules being deleted.", "Waiting to receive all VPN-related configs from user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule and Route resources are needed to setup VPN tunnel." ] }, "detailedStatus": { "description": "[Output Only] Detailed status message for the VPN tunnel.", "type": "string" }, "remoteTrafficSelector": { "description": "Remote traffic selectors to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported.", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.vpnTunnels.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "sharedSecret": { "type": "string", "description": "Shared secret used to set the secure session between the Cloud VPN gateway and the peer VPN gateway." }, "vpnGateway": { "type": "string", "description": "URL of the VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created. This must be used (instead of target_vpn_gateway) if a High Availability VPN gateway resource is created." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "ikeVersion": { "description": "IKE protocol version to use when establishing the VPN tunnel with the peer VPN gateway. Acceptable IKE versions are 1 or 2. The default version is 2.", "type": "integer", "format": "int32" }, "kind": { "type": "string", "default": "compute#vpnTunnel", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels." }, "peerExternalGatewayInterface": { "type": "integer", "description": "The interface ID of the external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created.", "format": "int32" }, "localTrafficSelector": { "description": "Local traffic selector to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges must be disjoint. Only IPv4 is supported.", "items": { "type": "string" }, "type": "array" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "vpnGatewayInterface": { "format": "int32", "type": "integer", "description": "The interface ID of the VPN gateway with which this VPN tunnel is associated." }, "router": { "type": "string", "description": "URL of the router resource to be used for dynamic routing." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the VPN tunnel resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "targetVpnGateway": { "type": "string", "description": "URL of the Target VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created." }, "peerGcpGateway": { "type": "string", "description": "URL of the peer side HA GCP VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field can be used when creating highly available VPN from VPC network to VPC network, the field is exclusive with the field peerExternalGateway. If provided, the VPN tunnel will automatically use the same vpnGatewayInterface ID in the peer GCP VPN gateway." } }, "id": "VpnTunnel", "description": "Represents a Cloud VPN Tunnel resource. For more information about VPN, read the the Cloud VPN Overview." }, "InstanceGroupManagerStatus": { "id": "InstanceGroupManagerStatus", "properties": { "stateful": { "$ref": "InstanceGroupManagerStatusStateful", "description": "[Output Only] Stateful status of the given Instance Group Manager." }, "autoscaler": { "description": "[Output Only] The URL of the Autoscaler that targets this instance group manager.", "type": "string" }, "isStable": { "description": "[Output Only] A bit indicating whether the managed instance group is in a stable state. A stable state means that: none of the instances in the managed instance group is currently undergoing any type of change (for example, creation, restart, or deletion); no future changes are scheduled for instances in the managed instance group; and the managed instance group itself is not being modified.", "type": "boolean" }, "versionTarget": { "description": "[Output Only] A status of consistency of Instances' versions with their target version specified by version field on Instance Group Manager.", "$ref": "InstanceGroupManagerStatusVersionTarget" } }, "type": "object" }, "MetadataFilterLabelMatch": { "description": "MetadataFilter label name value pairs that are expected to match corresponding labels presented as metadata to the load balancer.", "properties": { "name": { "description": "Name of metadata label. The name can have a maximum length of 1024 characters and must be at least 1 character long.", "type": "string" }, "value": { "type": "string", "description": "The value of the label must match the specified value. value can have a maximum length of 1024 characters." } }, "id": "MetadataFilterLabelMatch", "type": "object" }, "HttpHeaderAction": { "id": "HttpHeaderAction", "type": "object", "description": "The request and response header transformations that take effect before the request is passed along to the selected backendService.", "properties": { "responseHeadersToAdd": { "type": "array", "description": "Headers to add the response before sending the response back to the client.", "items": { "$ref": "HttpHeaderOption" } }, "responseHeadersToRemove": { "type": "array", "items": { "type": "string" }, "description": "A list of header names for headers that need to be removed from the response before sending the response back to the client." }, "requestHeadersToRemove": { "type": "array", "items": { "type": "string" }, "description": "A list of header names for headers that need to be removed from the request before forwarding the request to the backendService." }, "requestHeadersToAdd": { "description": "Headers to add to a matching request before forwarding the request to the backendService.", "items": { "$ref": "HttpHeaderOption" }, "type": "array" } } }, "Binding": { "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "bindingId": { "type": "string", "description": "This is deprecated and has no effect. Do not use." } } }, "HTTPHealthCheck": { "type": "object", "id": "HTTPHealthCheck", "properties": { "host": { "type": "string", "description": "The value of the host header in the HTTP health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used." }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "port": { "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.", "format": "int32", "type": "integer" }, "proxyHeader": { "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ] }, "requestPath": { "description": "The request path of the HTTP health check request. The default value is /.", "type": "string" }, "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "response": { "type": "string", "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII." } } }, "NotificationEndpointGrpcSettings": { "description": "Represents a gRPC setting that describes one gRPC notification endpoint and the retry duration attempting to send notification to this endpoint.", "properties": { "payloadName": { "type": "string", "description": "Optional. If specified, this field is used to populate the \"name\" field in gRPC requests." }, "retryDurationSec": { "format": "uint32", "description": "How much time (in seconds) is spent attempting notification retries until a successful response is received. Default is 30s. Limit is 20m (1200s). Must be a positive number.", "type": "integer" }, "resendInterval": { "$ref": "Duration", "description": "Optional. This field is used to configure how often to send a full update of all non-healthy backends. If unspecified, full updates are not sent. If specified, must be in the range between 600 seconds to 3600 seconds. Nanos are disallowed." }, "endpoint": { "type": "string", "description": "Endpoint to which gRPC notifications are sent. This must be a valid gRPCLB DNS name." }, "authority": { "type": "string", "description": "Optional. If specified, this field is used to set the authority header by the sender of notifications. See https://tools.ietf.org/html/rfc7540#section-8.1.2.3" } }, "id": "NotificationEndpointGrpcSettings", "type": "object" }, "TargetPoolsScopedList": { "id": "TargetPoolsScopedList", "properties": { "warning": { "description": "Informational warning which replaces the list of addresses when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "targetPools": { "type": "array", "description": "A list of target pools contained in this scope.", "items": { "$ref": "TargetPool" } } }, "type": "object" }, "HttpFaultAbort": { "id": "HttpFaultAbort", "description": "Specification for how requests are aborted as part of fault injection.", "properties": { "percentage": { "description": "The percentage of traffic for connections, operations, or requests that is aborted as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "format": "double", "type": "number" }, "httpStatus": { "format": "uint32", "description": "The HTTP status code used to abort the request. The value must be from 200 to 599 inclusive. For gRPC protocol, the gRPC status code is mapped to HTTP status code according to this mapping table. HTTP status 200 is mapped to gRPC status UNKNOWN. Injecting an OK status is currently not supported by Traffic Director.", "type": "integer" } }, "type": "object" }, "MachineImageList": { "id": "MachineImageList", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "description": "[Output Only] The resource type, which is always compute#machineImagesListResponse for machine image lists.", "type": "string", "default": "compute#machineImageList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "MachineImage" }, "type": "array", "description": "A list of MachineImage resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "description": "A list of machine images.", "type": "object" }, "SSLHealthCheck": { "type": "object", "properties": { "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, SSL health check follows behavior specified in port and portName fields.", "type": "string", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "port": { "format": "int32", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "type": "integer" }, "response": { "type": "string", "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII." }, "proxyHeader": { "type": "string", "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ] }, "request": { "description": "The application data to send once the SSL connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII.", "type": "string" }, "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." } }, "id": "SSLHealthCheck" }, "PublicDelegatedPrefixAggregatedList": { "properties": { "kind": { "type": "string", "default": "compute#publicDelegatedPrefixAggregatedList", "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixAggregatedList for aggregated lists of public delegated prefixes." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of PublicDelegatedPrefixes.", "$ref": "PublicDelegatedPrefixesScopedList" }, "type": "object", "description": "A list of PublicDelegatedPrefixesScopedList resources." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "PublicDelegatedPrefixAggregatedList", "type": "object" }, "TestPermissionsRequest": { "id": "TestPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed." } }, "type": "object" }, "DisksScopedList": { "id": "DisksScopedList", "properties": { "disks": { "type": "array", "items": { "$ref": "Disk" }, "description": "[Output Only] A list of disks contained in this scope." }, "warning": { "description": "[Output Only] Informational warning which replaces the list of disks when the list is empty.", "type": "object", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "type": "object" }, "PreservedStatePreservedDisk": { "properties": { "source": { "description": "The URL of the disk resource that is stateful and should be attached to the VM instance.", "type": "string" }, "autoDelete": { "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "description": "These stateful disks will never be deleted during autohealing, update, instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole MIG is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "type": "string", "enumDescriptions": [ "", "" ] }, "mode": { "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple VM instances can use a disk in READ_ONLY mode at a time.", "*[Default]* Attaches this disk in READ_WRITE mode. Only one VM instance at a time can be attached to a disk in READ_WRITE mode." ], "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.", "type": "string", "enum": [ "READ_ONLY", "READ_WRITE" ] } }, "id": "PreservedStatePreservedDisk", "type": "object" }, "SecurityPolicyAdvancedOptionsConfig": { "properties": { "logLevel": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NORMAL", "VERBOSE" ] }, "jsonParsing": { "enumDescriptions": [ "", "" ], "enum": [ "DISABLED", "STANDARD" ], "type": "string" } }, "type": "object", "id": "SecurityPolicyAdvancedOptionsConfig" }, "VmEndpointNatMappings": { "description": "Contain information of Nat mapping for a VM endpoint (i.e., NIC).", "type": "object", "id": "VmEndpointNatMappings", "properties": { "interfaceNatMappings": { "type": "array", "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappings" } }, "instanceName": { "description": "Name of the VM instance which the endpoint belongs to", "type": "string" } } }, "NodeType": { "properties": { "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this node type." }, "localSsdGb": { "description": "[Output Only] Local SSD available to the node type, defined in GB.", "type": "integer", "format": "int32" }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the node type resides, such as us-central1-a." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "memoryMb": { "format": "int32", "description": "[Output Only] The amount of physical memory available to the node type, defined in MB.", "type": "integer" }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "cpuPlatform": { "description": "[Output Only] The CPU platform used by this node type.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "guestCpus": { "type": "integer", "description": "[Output Only] The number of virtual CPUs that are available to the node type.", "format": "int32" }, "kind": { "type": "string", "description": "[Output Only] The type of the resource. Always compute#nodeType for node types.", "default": "compute#nodeType" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "description": "Represent a sole-tenant Node Type resource. Each node within a node group must have a node type. A node type specifies the total amount of cores and memory for that node. Currently, the only available node type is n1-node-96-624 node type that has 96 vCPUs and 624 GB of memory, available in multiple zones. For more information read Node types.", "id": "NodeType", "type": "object" }, "InterconnectDiagnosticsLinkLACPStatus": { "properties": { "state": { "enumDescriptions": [ "The link is configured and active within the bundle.", "The link is not configured within the bundle, this means the rest of the object should be empty." ], "type": "string", "enum": [ "ACTIVE", "DETACHED" ], "description": "The state of a LACP link, which can take one of the following values: - ACTIVE: The link is configured and active within the bundle. - DETACHED: The link is not configured within the bundle. This means that the rest of the object should be empty. " }, "googleSystemId": { "type": "string", "description": "System ID of the port on Google's side of the LACP exchange." }, "neighborSystemId": { "type": "string", "description": "System ID of the port on the neighbor's side of the LACP exchange." } }, "type": "object", "id": "InterconnectDiagnosticsLinkLACPStatus" }, "InstanceGroupManagerVersion": { "properties": { "name": { "type": "string", "description": "Name of the version. Unique among all versions in the scope of this managed instance group." }, "targetSize": { "$ref": "FixedOrPercent", "description": "Specifies the intended number of instances to be created from the instanceTemplate. The final number of instances created from the template will be equal to: - If expressed as a fixed number, the minimum of either targetSize.fixed or instanceGroupManager.targetSize is used. - if expressed as a percent, the targetSize would be (targetSize.percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh InstanceGroupManager.targetSize) If there is a remainder, the number is rounded. If unset, this version will update any remaining instances not updated by another version. Read Starting a canary update for more information." }, "instanceTemplate": { "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create new instances in the managed instance group until the `targetSize` for this version is reached. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE; in those cases, existing instances are updated until the `targetSize` for this version is reached.", "type": "string" } }, "id": "InstanceGroupManagerVersion", "type": "object" }, "AutoscalerStatusDetails": { "properties": { "message": { "description": "The status message.", "type": "string" }, "type": { "type": "string", "enum": [ "ALL_INSTANCES_UNHEALTHY", "BACKEND_SERVICE_DOES_NOT_EXIST", "CAPPED_AT_MAX_NUM_REPLICAS", "CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE", "CUSTOM_METRIC_INVALID", "MIN_EQUALS_MAX", "MISSING_CUSTOM_METRIC_DATA_POINTS", "MISSING_LOAD_BALANCING_DATA_POINTS", "MODE_OFF", "MODE_ONLY_SCALE_OUT", "MODE_ONLY_UP", "MORE_THAN_ONE_BACKEND_SERVICE", "NOT_ENOUGH_QUOTA_AVAILABLE", "REGION_RESOURCE_STOCKOUT", "SCALING_TARGET_DOES_NOT_EXIST", "SCHEDULED_INSTANCES_GREATER_THAN_AUTOSCALER_MAX", "SCHEDULED_INSTANCES_LESS_THAN_AUTOSCALER_MIN", "UNKNOWN", "UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION", "ZONE_RESOURCE_STOCKOUT" ], "description": "The type of error, warning, or notice returned. Current set of possible values: - ALL_INSTANCES_UNHEALTHY (WARNING): All instances in the instance group are unhealthy (not in RUNNING state). - BACKEND_SERVICE_DOES_NOT_EXIST (ERROR): There is no backend service attached to the instance group. - CAPPED_AT_MAX_NUM_REPLICAS (WARNING): Autoscaler recommends a size greater than maxNumReplicas. - CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE (WARNING): The custom metric samples are not exported often enough to be a credible base for autoscaling. - CUSTOM_METRIC_INVALID (ERROR): The custom metric that was specified does not exist or does not have the necessary labels. - MIN_EQUALS_MAX (WARNING): The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group. - MISSING_CUSTOM_METRIC_DATA_POINTS (WARNING): The autoscaler did not receive any data from the custom metric configured for autoscaling. - MISSING_LOAD_BALANCING_DATA_POINTS (WARNING): The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer. - MODE_OFF (WARNING): Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved. - MODE_ONLY_UP (WARNING): Autoscaling is in the \"Autoscale only out\" mode. The autoscaler can add instances but not remove any. - MORE_THAN_ONE_BACKEND_SERVICE (ERROR): The instance group cannot be autoscaled because it has more than one backend service attached to it. - NOT_ENOUGH_QUOTA_AVAILABLE (ERROR): There is insufficient quota for the necessary resources, such as CPU or number of instances. - REGION_RESOURCE_STOCKOUT (ERROR): Shown only for regional autoscalers: there is a resource stockout in the chosen region. - SCALING_TARGET_DOES_NOT_EXIST (ERROR): The target to be scaled does not exist. - UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION (ERROR): Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate. - ZONE_RESOURCE_STOCKOUT (ERROR): For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout. New values might be added in the future. Some of the values might not be available in all API versions.", "enumDescriptions": [ "All instances in the instance group are unhealthy (not in RUNNING state).", "There is no backend service attached to the instance group.", "Autoscaler recommends a size greater than maxNumReplicas.", "The custom metric samples are not exported often enough to be a credible base for autoscaling.", "The custom metric that was specified does not exist or does not have the necessary labels.", "The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group.", "The autoscaler did not receive any data from the custom metric configured for autoscaling.", "The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer.", "Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved.", "Autoscaling is in the \"Autoscale only scale out\" mode. Instances in the group will be only added.", "Autoscaling is in the \"Autoscale only out\" mode. Instances in the group will be only added.", "The instance group cannot be autoscaled because it has more than one backend service attached to it.", "There is insufficient quota for the necessary resources, such as CPU or number of instances.", "Showed only for regional autoscalers: there is a resource stockout in the chosen region.", "The target to be scaled does not exist.", "For some scaling schedules minRequiredReplicas is greater than maxNumReplicas. Autoscaler always recommends at most maxNumReplicas instances.", "For some scaling schedules minRequiredReplicas is less than minNumReplicas. Autoscaler always recommends at least minNumReplicas instances.", "", "Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate.", "For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout." ] } }, "type": "object", "id": "AutoscalerStatusDetails" }, "SslPoliciesList": { "id": "SslPoliciesList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#sslPoliciesList for lists of sslPolicies.", "default": "compute#sslPoliciesList", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "SslPolicy" }, "description": "A list of SslPolicy resources." } } }, "InstancesSetMachineTypeRequest": { "id": "InstancesSetMachineTypeRequest", "type": "object", "properties": { "machineType": { "type": "string", "description": "Full or partial URL of the machine type resource. See Machine Types for a full list of machine types. For example: zones/us-central1-f/machineTypes/n1-standard-1" } } }, "ForwardingRuleAggregatedList": { "id": "ForwardingRuleAggregatedList", "properties": { "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "items": { "additionalProperties": { "$ref": "ForwardingRulesScopedList", "description": "Name of the scope containing this set of addresses." }, "description": "A list of ForwardingRulesScopedList resources.", "type": "object" }, "warning": { "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#forwardingRuleAggregatedList", "description": "[Output Only] Type of resource. Always compute#forwardingRuleAggregatedList for lists of forwarding rules.", "type": "string" } }, "type": "object" }, "InstanceMoveRequest": { "type": "object", "properties": { "targetInstance": { "description": "The URL of the target instance to move. This can be a full or partial URL. For example, the following are all valid URLs to an instance: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance ", "type": "string" }, "destinationZone": { "description": "The URL of the destination zone to move the instance. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone ", "type": "string" } }, "id": "InstanceMoveRequest" }, "GuestOsFeature": { "type": "object", "properties": { "type": { "enum": [ "FEATURE_TYPE_UNSPECIFIED", "GVNIC", "MULTI_IP_SUBNET", "SECURE_BOOT", "SEV_CAPABLE", "UEFI_COMPATIBLE", "VIRTIO_SCSI_MULTIQUEUE", "WINDOWS" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string", "description": "The ID of a supported feature. To add multiple values, use commas to separate values. Set to one or more of the following values: - VIRTIO_SCSI_MULTIQUEUE - WINDOWS - MULTI_IP_SUBNET - UEFI_COMPATIBLE - GVNIC - SEV_CAPABLE - SUSPEND_RESUME_COMPATIBLE - SEV_SNP_CAPABLE For more information, see Enabling guest operating system features." } }, "id": "GuestOsFeature", "description": "Guest OS features." }, "AttachedDisk": { "description": "An instance-attached disk resource.", "id": "AttachedDisk", "properties": { "architecture": { "description": "[Output Only] The architecture of the attached disk. Valid values are ARM64 or X86_64.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "type": "string" }, "diskEncryptionKey": { "description": "Encrypts or decrypts a disk using a customer-supplied encryption key. If you are creating a new disk, this field encrypts the new disk using an encryption key that you provide. If you are attaching an existing disk that is already encrypted, this field decrypts the disk using the customer-supplied encryption key. If you encrypt a disk using a customer-supplied key, you must provide the same key again when you attempt to use this resource at a later time. For example, you must provide the key when you create a snapshot or an image from the disk or when you attach the disk to a virtual machine instance. If you do not provide an encryption key, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later. Instance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt disks in a managed instance group.", "$ref": "CustomerEncryptionKey" }, "boot": { "type": "boolean", "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "shieldedInstanceInitialState": { "description": "[Output Only] shielded vm initial state stored on disk", "$ref": "InitialStateConfig" }, "diskSizeGb": { "format": "int64", "type": "string", "description": "The size of the disk in GB." }, "index": { "format": "int32", "description": "[Output Only] A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.", "type": "integer" }, "initializeParams": { "$ref": "AttachedDiskInitializeParams", "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both." }, "deviceName": { "type": "string", "description": "Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks." }, "guestOsFeatures": { "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "items": { "$ref": "GuestOsFeature" }, "type": "array" }, "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "interface": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NVME", "SCSI" ], "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks.", "default": "compute#attachedDisk", "type": "string" }, "mode": { "type": "string", "enum": [ "READ_ONLY", "READ_WRITE" ], "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode." }, "source": { "type": "string", "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. If desired, you can also attach existing non-root persistent disks using this property. This field is only applicable for persistent disks. Note that for InstanceTemplate, specify the disk name for zonal disk, and the URL for regional disk." }, "type": { "enum": [ "PERSISTENT", "SCRATCH" ], "enumDescriptions": [ "", "" ], "description": "Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT.", "type": "string" }, "licenses": { "description": "[Output Only] Any valid publicly visible licenses.", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "Backend": { "description": "Message containing information of one individual backend.", "type": "object", "properties": { "maxConnectionsPerEndpoint": { "type": "integer", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.", "format": "int32" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "capacityScaler": { "format": "float", "description": "A multiplier applied to the backend's target capacity of its balancing mode. The default value is 1, which means the group serves up to 100% of its configured capacity (depending on balancingMode). A setting of 0 means the group is completely drained, offering 0% of its available capacity. The valid ranges are 0.0 and [0.1,1.0]. You cannot configure a setting larger than 0 and smaller than 0.1. You cannot configure a setting of 0 when there is only one backend attached to the backend service.", "type": "number" }, "maxUtilization": { "description": "Optional parameter to define a target capacity for the UTILIZATIONbalancing mode. The valid range is [0.0, 1.0]. For usage guidelines, see Utilization balancing mode.", "type": "number", "format": "float" }, "group": { "type": "string", "description": "The fully-qualified URL of an instance group or network endpoint group (NEG) resource. To determine what types of backends a load balancer supports, see the [Backend services overview](https://cloud.google.com/load-balancing/docs/backend-service#backends). You must use the *fully-qualified* URL (starting with https://www.googleapis.com/) to specify the instance group or NEG. Partial URLs are not supported." }, "maxRatePerEndpoint": { "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.", "format": "float", "type": "number" }, "maxConnectionsPerInstance": { "type": "integer", "format": "int32", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE." }, "failover": { "description": "This field designates whether this is a failover backend. More than one failover backend can be configured for a given BackendService.", "type": "boolean" }, "maxRate": { "format": "int32", "description": "Defines a maximum number of HTTP requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.", "type": "integer" }, "maxRatePerInstance": { "format": "float", "type": "number", "description": "Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION." }, "maxConnections": { "format": "int32", "type": "integer", "description": "Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE." }, "balancingMode": { "type": "string", "description": "Specifies how to determine whether the backend of a load balancer can handle additional traffic or is fully loaded. For usage guidelines, see Connection balancing mode. Backends must use compatible balancing modes. For more information, see Supported balancing modes and target capacity settings and Restrictions and guidance for instance groups. Note: Currently, if you use the API to configure incompatible balancing modes, the configuration might be accepted even though it has no impact and is ignored. Specifically, Backend.maxUtilization is ignored when Backend.balancingMode is RATE. In the future, this incompatible combination will be rejected.", "enumDescriptions": [ "Balance based on the number of simultaneous connections.", "Balance based on requests per second (RPS).", "Balance based on the backend utilization." ], "enum": [ "CONNECTION", "RATE", "UTILIZATION" ] } }, "id": "Backend" }, "PerInstanceConfig": { "type": "object", "properties": { "status": { "type": "string", "enumDescriptions": [ "The per-instance configuration is being applied to the instance, but is not yet effective, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration deletion is being applied on the instance, possibly waiting for the instance to, for example, REFRESH.", "The per-instance configuration is effective on the instance, meaning that all disks, ips and metadata specified in this configuration are attached or set on the instance.", "*[Default]* The default status, when no per-instance configuration exists.", "The per-instance configuration is set on an instance but not been applied yet.", "The per-instance configuration has been deleted, but the deletion is not yet applied." ], "enum": [ "APPLYING", "DELETING", "EFFECTIVE", "NONE", "UNAPPLIED", "UNAPPLIED_DELETION" ], "description": "The status of applying this per-instance configuration on the corresponding managed instance." }, "name": { "description": "The name of a per-instance configuration and its corresponding instance. Serves as a merge key during UpdatePerInstanceConfigs operations, that is, if a per-instance configuration with the same name exists then it will be updated, otherwise a new one will be created for the VM instance with the same name. An attempt to create a per-instance configconfiguration for a VM instance that either doesn't exist or is not part of the group will result in an error.", "type": "string" }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this per-instance config. This field can be used in optimistic locking. It is ignored when inserting a per-instance config. An up-to-date fingerprint must be provided in order to update an existing per-instance configuration or the field needs to be unset." }, "preservedState": { "$ref": "PreservedState", "description": "The intended preserved state for the given instance. Does not contain preserved state generated from a stateful policy." } }, "id": "PerInstanceConfig" }, "ServiceAttachmentConsumerProjectLimit": { "properties": { "connectionLimit": { "format": "uint32", "type": "integer", "description": "The value of the limit to set." }, "projectIdOrNum": { "type": "string", "description": "The project id or number for the project to set the limit for." } }, "id": "ServiceAttachmentConsumerProjectLimit", "type": "object" }, "InstanceGroupManagersScopedList": { "id": "InstanceGroupManagersScopedList", "properties": { "instanceGroupManagers": { "items": { "$ref": "InstanceGroupManager" }, "description": "[Output Only] The list of managed instance groups that are contained in the specified project and zone.", "type": "array" }, "warning": { "type": "object", "description": "[Output Only] The warning that replaces the list of managed instance groups when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } } }, "type": "object" }, "HttpRouteRuleMatch": { "description": "HttpRouteRuleMatch specifies a set of criteria for matching requests to an HttpRouteRule. All specified criteria must be satisfied for a match to occur.", "type": "object", "id": "HttpRouteRuleMatch", "properties": { "queryParameterMatches": { "description": "Specifies a list of query parameter match criteria, all of which must match corresponding query parameters in the request. Not supported when the URL map is bound to a target gRPC proxy.", "type": "array", "items": { "$ref": "HttpQueryParameterMatch" } }, "ignoreCase": { "type": "boolean", "description": "Specifies that prefixMatch and fullPathMatch matches are case sensitive. The default value is false. ignoreCase must not be used with regexMatch. Not supported when the URL map is bound to a target gRPC proxy." }, "prefixMatch": { "type": "string", "description": "For satisfying the matchRule condition, the request's path must begin with the specified prefixMatch. prefixMatch must begin with a /. The value must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified." }, "headerMatches": { "description": "Specifies a list of header match criteria, all of which must match corresponding headers in the request.", "items": { "$ref": "HttpHeaderMatch" }, "type": "array" }, "regexMatch": { "description": "For satisfying the matchRule condition, the path of the request must satisfy the regular expression specified in regexMatch after removing any query parameters and anchor supplied with the original URL. For more information about regular expression syntax, see Syntax. Only one of prefixMatch, fullPathMatch or regexMatch must be specified. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "string" }, "metadataFilters": { "items": { "$ref": "MetadataFilter" }, "type": "array", "description": "Opaque filter criteria used by the load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to the load balancer, xDS clients present node metadata. When there is a match, the relevant routing configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadata filters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here is applied after those specified in ForwardingRule that refers to the UrlMap this HttpRouteRuleMatch belongs to. metadataFilters only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "fullPathMatch": { "description": "For satisfying the matchRule condition, the path of the request must exactly match the value specified in fullPathMatch after removing any query parameters and anchor that may be part of the original URL. fullPathMatch must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified.", "type": "string" } } }, "HttpQueryParameterMatch": { "id": "HttpQueryParameterMatch", "properties": { "exactMatch": { "type": "string", "description": "The queryParameterMatch matches if the value of the parameter exactly matches the contents of exactMatch. Only one of presentMatch, exactMatch, or regexMatch must be set. " }, "presentMatch": { "description": "Specifies that the queryParameterMatch matches if the request contains the query parameter, irrespective of whether the parameter has a value or not. Only one of presentMatch, exactMatch, or regexMatch must be set. ", "type": "boolean" }, "name": { "type": "string", "description": "The name of the query parameter to match. The query parameter must exist in the request, in the absence of which the request match fails." }, "regexMatch": { "description": "The queryParameterMatch matches if the value of the parameter matches the regular expression specified by regexMatch. For more information about regular expression syntax, see Syntax. Only one of presentMatch, exactMatch, or regexMatch must be set. regexMatch only applies when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED. ", "type": "string" } }, "description": "HttpRouteRuleMatch criteria for a request's query parameter.", "type": "object" }, "BfdStatusPacketCounts": { "id": "BfdStatusPacketCounts", "type": "object", "properties": { "numTx": { "format": "uint32", "description": "Number of packets transmitted since the beginning of the current BFD session.", "type": "integer" }, "numRxSuccessful": { "format": "uint32", "type": "integer", "description": "Number of packets received that were successfully processed since the beginning of the current BFD session." }, "numRx": { "type": "integer", "format": "uint32", "description": "Number of packets received since the beginning of the current BFD session." }, "numRxRejected": { "description": "Number of packets received that were rejected because of errors since the beginning of the current BFD session.", "type": "integer", "format": "uint32" } } }, "NetworkEdgeSecurityService": { "type": "object", "properties": { "fingerprint": { "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a NetworkEdgeSecurityService. An up-to-date fingerprint must be provided in order to update the NetworkEdgeSecurityService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a NetworkEdgeSecurityService.", "format": "byte" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "securityPolicy": { "description": "The resource URL for the network edge security service associated with this network edge security service.", "type": "string" }, "kind": { "default": "compute#networkEdgeSecurityService", "description": "[Output only] Type of the resource. Always compute#networkEdgeSecurityService for NetworkEdgeSecurityServices", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "region": { "description": "[Output Only] URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" } }, "description": "Represents a Google Cloud Armor network edge security service resource.", "id": "NetworkEdgeSecurityService" }, "InstancesRemoveResourcePoliciesRequest": { "id": "InstancesRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "description": "Resource policies to be removed from this instance.", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "UrlMap": { "type": "object", "id": "UrlMap", "properties": { "defaultService": { "type": "string", "description": "The full or partial URL of the defaultService resource to which traffic is directed if none of the hostRules match. If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. defaultService has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "defaultRouteAction": { "$ref": "HttpRouteAction", "description": "defaultRouteAction takes effect when none of the hostRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within defaultRouteAction. defaultRouteAction has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional URL map resides. This field is not applicable to global URL maps. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "hostRules": { "type": "array", "description": "The list of host rules to use against the URL.", "items": { "$ref": "HostRule" } }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction specified here take effect after headerAction specified under pathMatcher. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "pathMatchers": { "description": "The list of named PathMatchers to use against the URL.", "items": { "$ref": "PathMatcher" }, "type": "array" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "default": "compute#urlMap", "description": "[Output Only] Type of the resource. Always compute#urlMaps for url maps.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field is ignored when inserting a UrlMap. An up-to-date fingerprint must be provided in order to update the UrlMap, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a UrlMap." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "tests": { "items": { "$ref": "UrlMapTest" }, "type": "array", "description": "The list of expected URL mapping tests. Request to update the UrlMap succeeds only if all test cases pass. You can specify a maximum of 100 tests per UrlMap. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "defaultUrlRedirect": { "description": "When none of the specified hostRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" } }, "description": "Represents a URL Map resource. Compute Engine has two URL Map resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/urlMaps) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionUrlMaps) A URL map resource is a component of certain types of cloud load balancers and Traffic Director: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh urlMaps are used by external HTTP(S) load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionUrlMaps are used by internal HTTP(S) load balancers. For a list of supported URL map features by the load balancer type, see the Load balancing features: Routing and traffic management table. For a list of supported URL map features for Traffic Director, see the Traffic Director features: Routing and traffic management table. This resource defines mappings from hostnames and URL paths to either a backend service or a backend bucket. To use the global urlMaps resource, the backend service must have a loadBalancingScheme of either EXTERNAL or INTERNAL_SELF_MANAGED. To use the regionUrlMaps resource, the backend service must have a loadBalancingScheme of INTERNAL_MANAGED. For more information, read URL Map Concepts." }, "BackendServiceFailoverPolicy": { "id": "BackendServiceFailoverPolicy", "type": "object", "description": "For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). On failover or failback, this field indicates whether connection draining will be honored. Google Cloud has a fixed connection draining timeout of 10 minutes. A setting of true terminates existing TCP connections to the active pool during failover and failback, immediately draining traffic. A setting of false allows existing TCP connections to persist, even on VMs no longer in the active pool, for up to the duration of the connection draining timeout (10 minutes).", "properties": { "failoverRatio": { "format": "float", "description": "The value of the field must be in the range [0, 1]. If the value is 0, the load balancer performs a failover when the number of healthy primary VMs equals zero. For all other values, the load balancer performs a failover when the total number of healthy primary VMs is less than this ratio. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).", "type": "number" }, "disableConnectionDrainOnFailover": { "description": "This can be set to true only if the protocol is TCP. The default is false.", "type": "boolean" }, "dropTrafficIfUnhealthy": { "type": "boolean", "description": "If set to true, connections to the load balancer are dropped when all primary and all backup backend VMs are unhealthy.If set to false, connections are distributed among all primary VMs when all primary and all backup backend VMs are unhealthy. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). The default is false." } } }, "NodeTemplatesScopedList": { "id": "NodeTemplatesScopedList", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] An informational warning that appears when the node templates list is empty." }, "nodeTemplates": { "type": "array", "items": { "$ref": "NodeTemplate" }, "description": "[Output Only] A list of node templates contained in this scope." } }, "type": "object" }, "VpnTunnelsScopedList": { "id": "VpnTunnelsScopedList", "properties": { "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "Informational warning which replaces the list of addresses when the list is empty." }, "vpnTunnels": { "items": { "$ref": "VpnTunnel" }, "description": "A list of VPN tunnels contained in this scope.", "type": "array" } }, "type": "object" }, "UsableSubnetworkSecondaryRange": { "type": "object", "description": "Secondary IP range of a usable subnetwork.", "properties": { "rangeName": { "type": "string", "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork." }, "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range.", "type": "string" } }, "id": "UsableSubnetworkSecondaryRange" }, "InstanceGroupManagerStatusStateful": { "properties": { "hasStatefulConfig": { "type": "boolean", "description": "[Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions." }, "perInstanceConfigs": { "$ref": "InstanceGroupManagerStatusStatefulPerInstanceConfigs", "description": "[Output Only] Status of per-instance configurations on the instance." } }, "type": "object", "id": "InstanceGroupManagerStatusStateful" }, "TargetHttpProxiesScopedList": { "id": "TargetHttpProxiesScopedList", "properties": { "warning": { "description": "Informational warning which replaces the list of backend services when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object" }, "targetHttpProxies": { "items": { "$ref": "TargetHttpProxy" }, "type": "array", "description": "A list of TargetHttpProxies contained in this scope." } }, "type": "object" }, "LogConfig": { "id": "LogConfig", "type": "object", "properties": { "counter": { "$ref": "LogConfigCounterOptions", "description": "This is deprecated and has no effect. Do not use." }, "dataAccess": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigDataAccessOptions" }, "cloudAudit": { "description": "This is deprecated and has no effect. Do not use.", "$ref": "LogConfigCloudAuditOptions" } }, "description": "This is deprecated and has no effect. Do not use." }, "InterconnectCircuitInfo": { "type": "object", "id": "InterconnectCircuitInfo", "properties": { "googleDemarcId": { "description": "Google-side demarc ID for this circuit. Assigned at circuit turn-up and provided by Google to the customer in the LOA.", "type": "string" }, "customerDemarcId": { "description": "Customer-side demarc ID for this circuit.", "type": "string" }, "googleCircuitId": { "type": "string", "description": "Google-assigned unique ID for this circuit. Assigned at circuit turn-up." } }, "description": "Describes a single physical circuit between the Customer and Google. CircuitInfo objects are created by Google, so all fields are output only." }, "StatefulPolicyPreservedStateDiskDevice": { "properties": { "autoDelete": { "enumDescriptions": [ "", "" ], "enum": [ "NEVER", "ON_PERMANENT_INSTANCE_DELETION" ], "description": "These stateful disks will never be deleted during autohealing, update or VM instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.", "type": "string" } }, "id": "StatefulPolicyPreservedStateDiskDevice", "type": "object" }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse": { "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse", "type": "object", "properties": { "firewalls": { "description": "Effective firewalls on the network.", "type": "array", "items": { "$ref": "Firewall" } }, "firewallPolicys": { "type": "array", "description": "Effective firewalls from firewall policy.", "items": { "$ref": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" } } } }, "AutoscalerList": { "type": "object", "description": "Contains a list of Autoscaler resources.", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "items": { "$ref": "Autoscaler" }, "description": "A list of Autoscaler resources.", "type": "array" }, "kind": { "default": "compute#autoscalerList", "description": "[Output Only] Type of resource. Always compute#autoscalerList for lists of autoscalers.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "AutoscalerList" }, "DiskList": { "type": "object", "properties": { "items": { "items": { "$ref": "Disk" }, "type": "array", "description": "A list of Disk resources." }, "kind": { "default": "compute#diskList", "type": "string", "description": "[Output Only] Type of resource. Always compute#diskList for lists of disks." }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "description": "A list of Disk resources.", "id": "DiskList" }, "SslCertificate": { "properties": { "type": { "enum": [ "MANAGED", "SELF_MANAGED", "TYPE_UNSPECIFIED" ], "enumDescriptions": [ "Google-managed SSLCertificate.", "Certificate uploaded by user.", "" ], "description": "(Optional) Specifies the type of SSL certificate, either \"SELF_MANAGED\" or \"MANAGED\". If not specified, the certificate is self-managed and the fields certificate and private_key are used.", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional SSL Certificate resides. This field is not applicable to global SSL Certificate.", "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLink": { "description": "[Output only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "certificate": { "description": "A value read into memory from a certificate file. The certificate file must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.", "type": "string" }, "managed": { "$ref": "SslCertificateManagedSslCertificate", "description": "Configuration and status of a managed SSL certificate." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#sslCertificate for SSL certificates.", "type": "string", "default": "compute#sslCertificate" }, "privateKey": { "type": "string", "description": "A value read into memory from a write-only private key file. The private key file must be in PEM format. For security, only insert requests include this field." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfManaged": { "$ref": "SslCertificateSelfManagedSslCertificate", "description": "Configuration and status of a self-managed SSL certificate." }, "subjectAlternativeNames": { "type": "array", "description": "[Output Only] Domains associated with the certificate via Subject Alternative Name.", "items": { "type": "string" } }, "expireTime": { "description": "[Output Only] Expire time of the certificate. RFC3339", "type": "string" } }, "description": "Represents an SSL Certificate resource. Google Compute Engine has two SSL Certificate resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/sslCertificates) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionSslCertificates) The sslCertificates are used by: - external HTTPS load balancers - SSL proxy load balancers The regionSslCertificates are used by internal HTTPS load balancers. Optionally, certificate file contents that you upload can contain a set of up to five PEM-encoded certificates. The API call creates an object (sslCertificate) that holds this data. You can use SSL keys and certificates to secure connections to a load balancer. For more information, read Creating and using SSL certificates, SSL certificates quotas and limits, and Troubleshooting SSL certificates.", "type": "object", "id": "SslCertificate" }, "TargetInstanceAggregatedList": { "id": "TargetInstanceAggregatedList", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "description": "A list of TargetInstance resources.", "additionalProperties": { "$ref": "TargetInstancesScopedList", "description": "Name of the scope containing this set of target instances." }, "type": "object" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#targetInstanceAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "type": "object" }, "InterconnectAttachment": { "type": "object", "properties": { "edgeAvailabilityDomain": { "description": "Desired availability domain for the attachment. Only available for type PARTNER, at creation time, and can take one of the following values: - AVAILABILITY_DOMAIN_ANY - AVAILABILITY_DOMAIN_1 - AVAILABILITY_DOMAIN_2 For improved reliability, customers should configure a pair of attachments, one per availability domain. The selected availability domain will be provided to the Partner via the pairing key, so that the provisioned circuit will lie in the specified domain. If not specified, the value will default to AVAILABILITY_DOMAIN_ANY.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "AVAILABILITY_DOMAIN_1", "AVAILABILITY_DOMAIN_2", "AVAILABILITY_DOMAIN_ANY" ] }, "dataplaneVersion": { "description": "[Output Only] Dataplane version for this InterconnectAttachment. This field is only present for Dataplane version 2 and higher. Absence of this field in the API output indicates that the Dataplane is version 1.", "type": "integer", "format": "int32" }, "cloudRouterIpv6InterfaceId": { "type": "string", "description": "This field is not available." }, "pairingKey": { "description": "[Output only for type PARTNER. Input only for PARTNER_PROVIDER. Not present for DEDICATED]. The opaque identifier of an PARTNER attachment used to initiate provisioning with a selected partner. Of the form \"XXXXX/region/domain\"", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource." }, "customerRouterIpv6InterfaceId": { "type": "string", "description": "This field is not available." }, "cloudRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment." }, "interconnect": { "type": "string", "description": "URL of the underlying Interconnect object that this attachment's traffic will traverse through." }, "type": { "enumDescriptions": [ "Attachment to a dedicated interconnect.", "Attachment to a partner interconnect, created by the customer.", "Attachment to a partner interconnect, created by the partner." ], "enum": [ "DEDICATED", "PARTNER", "PARTNER_PROVIDER" ], "type": "string", "description": "The type of interconnect attachment this is, which can take one of the following values: - DEDICATED: an attachment to a Dedicated Interconnect. - PARTNER: an attachment to a Partner Interconnect, created by the customer. - PARTNER_PROVIDER: an attachment to a Partner Interconnect, created by the partner. " }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "customerRouterIpv6Address": { "description": "[Output Only] IPv6 address + prefix length to be configured on the customer router subinterface for this interconnect attachment.", "type": "string" }, "partnerMetadata": { "$ref": "InterconnectAttachmentPartnerMetadata", "description": "Informational metadata about Partner attachments from Partners to display to customers. Output only for for PARTNER type, mutable for PARTNER_PROVIDER, not available for DEDICATED." }, "candidateIpv6Subnets": { "items": { "type": "string" }, "type": "array", "description": "This field is not available." }, "mtu": { "description": "Maximum Transmission Unit (MTU), in bytes, of packets passing through this interconnect attachment. Only 1440 and 1500 are allowed. If not specified, the value will default to 1440.", "format": "int32", "type": "integer" }, "privateInterconnectInfo": { "$ref": "InterconnectAttachmentPrivateInfo", "description": "[Output Only] Information specific to an InterconnectAttachment. This property is populated if the interconnect that this is attached to is of type DEDICATED." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "candidateSubnets": { "description": "Up to 16 candidate prefixes that can be used to restrict the allocation of cloudRouterIpAddress and customerRouterIpAddress for this attachment. All prefixes must be within link-local address space (169.254.0.0/16) and must be /29 or shorter (/28, /27, etc). Google will attempt to select an unused /29 from the supplied candidate prefix(es). The request will fail if all possible /29s are in use on Google's edge. If not supplied, Google will randomly select an unused /29 from all of link-local space.", "items": { "type": "string" }, "type": "array" }, "customerRouterIpAddress": { "type": "string", "description": "[Output Only] IPv4 address + prefix length to be configured on the customer router subinterface for this interconnect attachment." }, "adminEnabled": { "type": "boolean", "description": "Determines whether this Attachment will carry packets. Not present for PARTNER_PROVIDER." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "operationalStatus": { "type": "string", "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ], "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "Indicates that attachment is not ready to use yet, because turnup is not complete." ], "description": "[Output Only] The current status of whether or not this interconnect attachment is functional, which can take one of the following values: - OS_ACTIVE: The attachment has been turned up and is ready to use. - OS_UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. " }, "satisfiesPzs": { "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present.", "type": "boolean" }, "state": { "enumDescriptions": [ "Indicates that attachment has been turned up and is ready to use.", "The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was wiped out, or because the other side of a Partner attachment was deleted.", "A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it.", "PARTNER or PARTNER_PROVIDER attachment that is waiting for the customer to activate.", "A newly created PARTNER attachment that has not yet been configured on the Partner side.", "", "Indicates that attachment is not ready to use yet, because turnup is not complete." ], "enum": [ "ACTIVE", "DEFUNCT", "PARTNER_REQUEST_RECEIVED", "PENDING_CUSTOMER", "PENDING_PARTNER", "STATE_UNSPECIFIED", "UNPROVISIONED" ], "type": "string", "description": "[Output Only] The current state of this attachment's functionality. Enum values ACTIVE and UNPROVISIONED are shared by DEDICATED/PRIVATE, PARTNER, and PARTNER_PROVIDER interconnect attachments, while enum values PENDING_PARTNER, PARTNER_REQUEST_RECEIVED, and PENDING_CUSTOMER are used for only PARTNER and PARTNER_PROVIDER interconnect attachments. This state can take one of the following values: - ACTIVE: The attachment has been turned up and is ready to use. - UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. - PENDING_PARTNER: A newly-created PARTNER attachment that has not yet been configured on the Partner side. - PARTNER_REQUEST_RECEIVED: A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it. - PENDING_CUSTOMER: A PARTNER or PARTNER_PROVIDER attachment that is waiting for a customer to activate it. - DEFUNCT: The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was removed, or because the other side of a Partner attachment was deleted. " }, "kind": { "type": "string", "default": "compute#interconnectAttachment", "description": "[Output Only] Type of the resource. Always compute#interconnectAttachment for interconnect attachments." }, "vlanTag8021q": { "format": "int32", "type": "integer", "description": "The IEEE 802.1Q VLAN tag for this attachment, in the range 2-4094. Only specified at creation time." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional interconnect attachment resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "bandwidth": { "enumDescriptions": [ "100 Mbit/s", "10 Gbit/s", "1 Gbit/s", "200 Mbit/s", "20 Gbit/s", "2 Gbit/s", "300 Mbit/s", "400 Mbit/s", "500 Mbit/s", "50 Gbit/s", "50 Mbit/s", "5 Gbit/s" ], "description": "Provisioned bandwidth capacity for the interconnect attachment. For attachments of type DEDICATED, the user can set the bandwidth. For attachments of type PARTNER, the Google Partner that is operating the interconnect must set the bandwidth. Output only for PARTNER type, mutable for PARTNER_PROVIDER and DEDICATED, and can take one of the following values: - BPS_50M: 50 Mbit/s - BPS_100M: 100 Mbit/s - BPS_200M: 200 Mbit/s - BPS_300M: 300 Mbit/s - BPS_400M: 400 Mbit/s - BPS_500M: 500 Mbit/s - BPS_1G: 1 Gbit/s - BPS_2G: 2 Gbit/s - BPS_5G: 5 Gbit/s - BPS_10G: 10 Gbit/s - BPS_20G: 20 Gbit/s - BPS_50G: 50 Gbit/s ", "type": "string", "enum": [ "BPS_100M", "BPS_10G", "BPS_1G", "BPS_200M", "BPS_20G", "BPS_2G", "BPS_300M", "BPS_400M", "BPS_500M", "BPS_50G", "BPS_50M", "BPS_5G" ] }, "googleReferenceId": { "description": "[Output Only] Google reference ID, to be used when raising support tickets with Google or otherwise to debug backend connectivity issues. [Deprecated] This field is not used.", "type": "string" }, "encryption": { "description": "Indicates the user-supplied encryption option of this VLAN attachment (interconnectAttachment). Can only be specified at attachment creation for PARTNER or DEDICATED attachments. Possible values are: - NONE - This is the default value, which means that the VLAN attachment carries unencrypted traffic. VMs are able to send traffic to, or receive traffic from, such a VLAN attachment. - IPSEC - The VLAN attachment carries only encrypted traffic that is encrypted by an IPsec device, such as an HA VPN gateway or third-party IPsec VPN. VMs cannot directly send traffic to, or receive traffic from, such a VLAN attachment. To use *IPsec-encrypted Cloud Interconnect*, the VLAN attachment must be created with this option. Not currently available publicly. ", "enum": [ "IPSEC", "NONE" ], "type": "string", "enumDescriptions": [ "The interconnect attachment will carry only encrypted traffic that is encrypted by an IPsec device such as HA VPN gateway; VMs cannot directly send traffic to or receive traffic from such an interconnect attachment. To use IPsec-encrypted Cloud Interconnect, the interconnect attachment must be created with this option.", "This is the default value, which means the Interconnect Attachment will carry unencrypted traffic. VMs will be able to send traffic to or receive traffic from such interconnect attachment." ] }, "ipsecInternalAddresses": { "type": "array", "items": { "type": "string" }, "description": "A list of URLs of addresses that have been reserved for the VLAN attachment. Used only for the VLAN attachment that has the encryption option as IPSEC. The addresses must be regional internal IP address ranges. When creating an HA VPN gateway over the VLAN attachment, if the attachment is configured to use a regional internal IP address, then the VPN gateway's IP address is allocated from the IP address range specified here. For example, if the HA VPN gateway's interface 0 is paired to this VLAN attachment, then a regional internal IP address for the VPN gateway interface 0 will be allocated from the IP address specified for this VLAN attachment. If this field is not specified when creating the VLAN attachment, then later on when creating an HA VPN gateway on this VLAN attachment, the HA VPN gateway's IP address is allocated from the regional external IP address pool. Not currently available publicly. " }, "partnerAsn": { "description": "Optional BGP ASN for the router supplied by a Layer 3 Partner if they configured BGP on behalf of the customer. Output only for PARTNER type, input only for PARTNER_PROVIDER, not available for DEDICATED.", "type": "string", "format": "int64" }, "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "type": "string", "enumDescriptions": [ "The interconnect attachment can have both IPv4 and IPv6 addresses.", "The interconnect attachment will only be assigned IPv4 addresses." ], "description": "The stack type for this interconnect attachment to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at interconnect attachments creation and update interconnect attachment operations." }, "cloudRouterIpv6Address": { "type": "string", "description": "[Output Only] IPv6 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment." }, "router": { "description": "URL of the Cloud Router to be used for dynamic routing. This router must be in the same region as this InterconnectAttachment. The InterconnectAttachment will automatically connect the Interconnect to the network & region within which the Cloud Router is configured.", "type": "string" } }, "id": "InterconnectAttachment", "description": "Represents an Interconnect Attachment (VLAN) resource. You can use Interconnect attachments (VLANS) to connect your Virtual Private Cloud networks to your on-premises networks through an Interconnect. For more information, read Creating VLAN Attachments." }, "SavedDisk": { "type": "object", "properties": { "storageBytes": { "type": "string", "format": "int64", "description": "[Output Only] Size of the individual disk snapshot used by this machine image." }, "sourceDisk": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "architecture": { "description": "[Output Only] The architecture of the attached disk.", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#savedDisk for attached disks.", "default": "compute#savedDisk" }, "storageBytesStatus": { "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enumDescriptions": [ "", "" ], "enum": [ "UPDATING", "UP_TO_DATE" ], "type": "string" } }, "description": "An instance-attached disk resource.", "id": "SavedDisk" }, "PublicDelegatedPrefix": { "description": "A PublicDelegatedPrefix resource represents an IP block within a PublicAdvertisedPrefix that is configured within a single cloud scope (global or region). IPs in the block can be allocated to resources within that scope. Public delegated prefixes may be further broken up into smaller IP blocks in the same scope as the parent block.", "id": "PublicDelegatedPrefix", "properties": { "isLiveMigration": { "type": "boolean", "description": "If true, the prefix will be live migrated." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefix for public delegated prefixes.", "type": "string", "default": "compute#publicDelegatedPrefix" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.publicDelegatedPrefixes.insert" ] }, "type": "string" }, "status": { "enumDescriptions": [ "The public delegated prefix is active.", "The public delegated prefix is being deprovsioned.", "The public delegated prefix is being initialized and addresses cannot be created yet.", "The public delegated prefix is currently withdrawn but ready to be announced." ], "type": "string", "description": "[Output Only] The status of the public delegated prefix, which can be one of following values: - `INITIALIZING` The public delegated prefix is being initialized and addresses cannot be created yet. - `READY_TO_ANNOUNCE` The public delegated prefix is a live migration prefix and is active. - `ANNOUNCED` The public delegated prefix is active. - `DELETING` The public delegated prefix is being deprovsioned. ", "enum": [ "ANNOUNCED", "DELETING", "INITIALIZING", "READY_TO_ANNOUNCE" ] }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the public delegated prefix resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "type": "string", "format": "uint64" }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicDelegatedPrefix. An up-to-date fingerprint must be provided in order to update the PublicDelegatedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicDelegatedPrefix." }, "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this public delegated prefix.", "type": "string" }, "parentPrefix": { "type": "string", "description": "The URL of parent prefix. Either PublicAdvertisedPrefix or PublicDelegatedPrefix." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "publicDelegatedSubPrefixs": { "type": "array", "description": "The list of sub public delegated prefixes that exist for this public delegated prefix.", "items": { "$ref": "PublicDelegatedPrefixPublicDelegatedSubPrefix" } } }, "type": "object" }, "BfdPacket": { "type": "object", "properties": { "final": { "type": "boolean", "description": "The Final bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "myDiscriminator": { "description": "The My Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer", "format": "uint32" }, "poll": { "description": "The Poll bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "controlPlaneIndependent": { "description": "The Control Plane Independent bit of the BFD packet. This is specified in section 4.1 of RFC5880", "type": "boolean" }, "multiplier": { "type": "integer", "format": "uint32", "description": "The detection time multiplier of the BFD packet. This is specified in section 4.1 of RFC5880" }, "state": { "type": "string", "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ], "enumDescriptions": [ "", "", "", "", "" ], "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880" }, "minTxIntervalMs": { "description": "The Desired Min TX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer", "format": "uint32" }, "authenticationPresent": { "type": "boolean", "description": "The Authentication Present bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "minEchoRxIntervalMs": { "format": "uint32", "description": "The Required Min Echo RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "type": "integer" }, "version": { "type": "integer", "format": "uint32", "description": "The version number of the BFD protocol, as specified in section 4.1 of RFC5880." }, "minRxIntervalMs": { "description": "The Required Min RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32", "type": "integer" }, "length": { "description": "The length of the BFD Control packet in bytes. This is specified in section 4.1 of RFC5880", "format": "uint32", "type": "integer" }, "diagnostic": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ], "type": "string", "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880" }, "multipoint": { "type": "boolean", "description": "The multipoint bit of the BFD packet. This is specified in section 4.1 of RFC5880" }, "yourDiscriminator": { "description": "The Your Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880", "format": "uint32", "type": "integer" }, "demand": { "type": "boolean", "description": "The demand bit of the BFD packet. This is specified in section 4.1 of RFC5880" } }, "id": "BfdPacket" }, "InterconnectAttachmentList": { "type": "object", "properties": { "items": { "items": { "$ref": "InterconnectAttachment" }, "type": "array", "description": "A list of InterconnectAttachment resources." }, "kind": { "default": "compute#interconnectAttachmentList", "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentList for lists of interconnect attachments.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" } }, "id": "InterconnectAttachmentList", "description": "Response to the list request, and contains a list of interconnect attachments." }, "TargetGrpcProxy": { "type": "object", "properties": { "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "annotations": { "required": [ "compute.targetGrpcProxies.insert" ] } }, "kind": { "type": "string", "default": "compute#targetGrpcProxy", "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies." }, "urlMap": { "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService. The protocol field in the BackendService must be set to GRPC.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL with id for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "format": "uint64", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "validateForProxyless": { "type": "boolean", "description": "If true, indicates that the BackendServices referenced by the urlMap may be accessed by gRPC applications without using a sidecar proxy. This will enable configuration checks on urlMap and its referenced BackendServices to not allow unsupported features. A gRPC application must use \"xds:///\" scheme in the target URI of the service it is connecting to. If false, indicates that the BackendServices referenced by the urlMap will be accessed by gRPC applications via a sidecar proxy. In this case, a gRPC application must not use \"xds:///\" scheme in the target URI of the service it is connecting to" }, "fingerprint": { "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetGrpcProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetGrpcProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetGrpcProxy.", "format": "byte" } }, "id": "TargetGrpcProxy", "description": "Represents a Target gRPC Proxy resource. A target gRPC proxy is a component of load balancers intended for load balancing gRPC traffic. Only global forwarding rules with load balancing scheme INTERNAL_SELF_MANAGED can reference a target gRPC proxy. The target gRPC Proxy references a URL map that specifies how traffic is routed to gRPC backend services." }, "InstanceGroupsListInstances": { "type": "object", "id": "InstanceGroupsListInstances", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of InstanceWithNamedPorts resources.", "type": "array", "items": { "$ref": "InstanceWithNamedPorts" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupsListInstances for the list of instances in the specified instance group.", "type": "string", "default": "compute#instanceGroupsListInstances" } } }, "InterconnectAttachmentAggregatedList": { "id": "InterconnectAttachmentAggregatedList", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of interconnect attachments.", "$ref": "InterconnectAttachmentsScopedList" }, "description": "A list of InterconnectAttachmentsScopedList resources.", "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of resource. Always compute#interconnectAttachmentAggregatedList for aggregated lists of interconnect attachments.", "type": "string", "default": "compute#interconnectAttachmentAggregatedList" } }, "type": "object" }, "InstancesSetMachineResourcesRequest": { "type": "object", "properties": { "guestAccelerators": { "items": { "$ref": "AcceleratorConfig" }, "type": "array", "description": "A list of the type and count of accelerator cards attached to the instance." } }, "id": "InstancesSetMachineResourcesRequest" }, "NodeTemplateNodeTypeFlexibility": { "type": "object", "id": "NodeTemplateNodeTypeFlexibility", "properties": { "cpus": { "type": "string" }, "localSsd": { "type": "string" }, "memory": { "type": "string" } } }, "RegionInstanceGroupsSetNamedPortsRequest": { "type": "object", "id": "RegionInstanceGroupsSetNamedPortsRequest", "properties": { "fingerprint": { "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.", "format": "byte", "type": "string" }, "namedPorts": { "items": { "$ref": "NamedPort" }, "type": "array", "description": "The list of named ports to set for this instance group." } } }, "RegionInstanceGroupManagerPatchInstanceConfigReq": { "id": "RegionInstanceGroupManagerPatchInstanceConfigReq", "properties": { "perInstanceConfigs": { "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "items": { "$ref": "PerInstanceConfig" }, "type": "array" } }, "description": "RegionInstanceGroupManagers.patchPerInstanceConfigs", "type": "object" }, "NetworkEndpointGroupAppEngine": { "description": "Configuration for an App Engine network endpoint group (NEG). The service is optional, may be provided explicitly or in the URL mask. The version is optional and can only be provided explicitly or in the URL mask when service is present. Note: App Engine service must be in the same project and located in the same region as the Serverless NEG.", "type": "object", "properties": { "version": { "type": "string", "description": "Optional serving version. The version name is case-sensitive and must be 1-100 characters long. Example value: \"v1\", \"v2\"." }, "service": { "description": "Optional serving service. The service name is case-sensitive and must be 1-63 characters long. Example value: \"default\", \"my-service\".", "type": "string" }, "urlMask": { "type": "string", "description": "A template to parse service and version fields from a request URL. URL mask allows for routing to multiple App Engine services without having to create multiple Network Endpoint Groups and backend services. For example, the request URLs \"foo1-dot-appname.appspot.com/v1\" and \"foo1-dot-appname.appspot.com/v2\" can be backed by the same Serverless NEG with URL mask \"-dot-appname.appspot.com/\". The URL mask will parse them to { service = \"foo1\", version = \"v1\" } and { service = \"foo1\", version = \"v2\" } respectively." } }, "id": "NetworkEndpointGroupAppEngine" }, "RoutersPreviewResponse": { "id": "RoutersPreviewResponse", "type": "object", "properties": { "resource": { "description": "Preview of given router.", "$ref": "Router" } } }, "NodeGroupsListNodes": { "id": "NodeGroupsListNodes", "type": "object", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "type": "array", "description": "A list of Node resources.", "items": { "$ref": "NodeGroupNode" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute.nodeGroupsListNodes for the list of nodes in the specified node group.", "default": "compute#nodeGroupsListNodes" } } }, "AllocationSpecificSKUReservation": { "properties": { "assuredCount": { "description": "[Output Only] Indicates how many instances are actually usable currently.", "type": "string", "format": "int64" }, "instanceProperties": { "description": "The instance properties for the reservation.", "$ref": "AllocationSpecificSKUAllocationReservedInstanceProperties" }, "count": { "format": "int64", "type": "string", "description": "Specifies the number of resources that are allocated." }, "inUseCount": { "format": "int64", "type": "string", "description": "[Output Only] Indicates how many instances are in use." } }, "id": "AllocationSpecificSKUReservation", "type": "object", "description": "This reservation type allows to pre allocate specific instance configuration. Next ID: 6" }, "SubnetworksScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "An informational warning that appears when the list of addresses is empty.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "subnetworks": { "type": "array", "description": "A list of subnetworks contained in this scope.", "items": { "$ref": "Subnetwork" } } }, "id": "SubnetworksScopedList" }, "ResourcePolicy": { "type": "object", "id": "ResourcePolicy", "properties": { "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instances.insert" ] } }, "instanceSchedulePolicy": { "description": "Resource policy for scheduling instance operations.", "$ref": "ResourcePolicyInstanceSchedulePolicy" }, "groupPlacementPolicy": { "description": "Resource policy for instances for placement configuration.", "$ref": "ResourcePolicyGroupPlacementPolicy" }, "resourceStatus": { "description": "[Output Only] The system status of the resource policy.", "$ref": "ResourcePolicyResourceStatus" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "snapshotSchedulePolicy": { "description": "Resource policy for persistent disks for creating snapshots.", "$ref": "ResourcePolicySnapshotSchedulePolicy" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "description": { "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined fully-qualified URL for this resource.", "type": "string" }, "region": { "type": "string" }, "status": { "enum": [ "CREATING", "DELETING", "EXPIRED", "INVALID", "READY" ], "type": "string", "enumDescriptions": [ "Resource policy is being created.", "Resource policy is being deleted.", "Resource policy is expired and will not run again.", "", "Resource policy is ready to be used." ], "description": "[Output Only] The status of resource policy creation." }, "kind": { "type": "string", "default": "compute#resourcePolicy", "description": "[Output Only] Type of the resource. Always compute#resource_policies for resource policies." } }, "description": "Represents a Resource Policy resource. You can use resource policies to schedule actions for some Compute Engine resources. For example, you can use them to schedule persistent disk snapshots." }, "ZoneSetPolicyRequest": { "id": "ZoneSetPolicyRequest", "type": "object", "properties": { "etag": { "format": "byte", "type": "string", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." }, "bindings": { "items": { "$ref": "Binding" }, "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "type": "array" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." } } }, "TargetPoolsRemoveInstanceRequest": { "id": "TargetPoolsRemoveInstanceRequest", "type": "object", "properties": { "instances": { "description": "URLs of the instances to be removed from target pool.", "items": { "$ref": "InstanceReference" }, "type": "array" } } }, "HttpHeaderOption": { "description": "Specification determining how headers are added to requests or responses.", "type": "object", "id": "HttpHeaderOption", "properties": { "headerName": { "description": "The name of the header.", "type": "string" }, "replace": { "description": "If false, headerValue is appended to any values that already exist for the header. If true, headerValue is set for the header, discarding any values that were set for that header. The default value is false. ", "type": "boolean" }, "headerValue": { "description": "The value of the header to add.", "type": "string" } } }, "ResourcePolicyAggregatedList": { "id": "ResourcePolicyAggregatedList", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "additionalProperties": { "description": "Name of the scope containing this set of resourcePolicies.", "$ref": "ResourcePoliciesScopedList" }, "description": "A list of ResourcePolicy resources.", "type": "object" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "etag": { "type": "string" }, "kind": { "type": "string", "default": "compute#resourcePolicyAggregatedList", "description": "Type of resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of resourcePolicies." }, "CorsPolicy": { "properties": { "allowMethods": { "description": "Specifies the content for the Access-Control-Allow-Methods header.", "type": "array", "items": { "type": "string" } }, "maxAge": { "description": "Specifies how long results of a preflight request can be cached in seconds. This field translates to the Access-Control-Max-Age header.", "type": "integer", "format": "int32" }, "exposeHeaders": { "description": "Specifies the content for the Access-Control-Expose-Headers header.", "items": { "type": "string" }, "type": "array" }, "allowOrigins": { "items": { "type": "string" }, "description": "Specifies the list of origins that is allowed to do CORS requests. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.", "type": "array" }, "allowCredentials": { "type": "boolean", "description": "In response to a preflight request, setting this to true indicates that the actual request can include user credentials. This field translates to the Access-Control-Allow-Credentials header. Default is false." }, "allowOriginRegexes": { "description": "Specifies a regular expression that matches allowed origins. For more information about the regular expression syntax, see Syntax. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.", "items": { "type": "string" }, "type": "array" }, "disabled": { "type": "boolean", "description": "If true, the setting specifies the CORS policy is disabled. The default value of false, which indicates that the CORS policy is in effect." }, "allowHeaders": { "type": "array", "description": "Specifies the content for the Access-Control-Allow-Headers header.", "items": { "type": "string" } } }, "id": "CorsPolicy", "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard.", "type": "object" }, "Image": { "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "sourceSnapshotEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key." }, "deprecated": { "$ref": "DeprecationStatus", "description": "The deprecation status associated with this image." }, "sourceDisk": { "type": "string", "description": "URL of the source disk used to create this image. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " }, "archiveSizeBytes": { "format": "int64", "type": "string", "description": "Size of the image tar.gz archive stored in Google Cloud Storage (in bytes)." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The ID value of the snapshot used to create this image. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given snapshot name." }, "labelFingerprint": { "type": "string", "format": "byte", "description": "A fingerprint for the labels being applied to this image, which is essentially a hash of the labels used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an image." }, "family": { "type": "string", "description": "The name of the image family to which this image belongs. You can create disks by specifying an image family instead of a specific image name. The image family always returns its latest image that is not deprecated. The name of the image family must comply with RFC1035." }, "sourceSnapshot": { "type": "string", "description": "URL of the source snapshot used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ snapshots/snapshot_name - projects/project_id/global/snapshots/snapshot_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " }, "diskSizeGb": { "description": "Size of the image when restored onto a persistent disk (in GB).", "type": "string", "format": "int64" }, "shieldedInstanceInitialState": { "description": "Set the secure boot keys of shielded instance.", "$ref": "InitialStateConfig" }, "sourceImageId": { "description": "[Output Only] The ID value of the image used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given image name.", "type": "string" }, "sourceType": { "enum": [ "RAW" ], "type": "string", "enumDescriptions": [ "" ], "description": "The type of the image used to create this disk. The default and only valid value is RAW.", "default": "RAW" }, "name": { "annotations": { "required": [ "compute.images.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "licenseCodes": { "description": "Integer license codes indicating which licenses are attached to this image.", "items": { "format": "int64", "type": "string" }, "type": "array" }, "sourceImageEncryptionKey": { "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "labels": { "description": "Labels to apply to this image. These can be later modified by the setLabels method.", "additionalProperties": { "type": "string" }, "type": "object" }, "licenses": { "type": "array", "description": "Any applicable license URI.", "items": { "type": "string" } }, "sourceImage": { "description": "URL of the source image used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ images/image_name - projects/project_id/global/images/image_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL ", "type": "string" }, "sourceDiskId": { "type": "string", "description": "[Output Only] The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name." }, "storageLocations": { "description": "Cloud Storage bucket storage location of the image (regional or multi-regional).", "type": "array", "items": { "type": "string" } }, "rawDisk": { "type": "object", "properties": { "source": { "type": "string", "description": "The full Google Cloud Storage URL where the raw disk image archive is stored. The following are valid formats for the URL: - https://storage.googleapis.com/bucket_name/image_archive_name - https://storage.googleapis.com/bucket_name/folder_name/ image_archive_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL " }, "sha1Checksum": { "description": "[Deprecated] This field is deprecated. An optional SHA1 checksum of the disk image before unpackaging provided by the client when the disk image is created.", "pattern": "[a-f0-9]{40}", "type": "string" }, "containerType": { "enum": [ "TAR" ], "description": "The format used to encode and transmit the block device, which should be TAR. This is just a container and transmission format and not a runtime format. Provided by the client when the disk image is created.", "type": "string", "enumDescriptions": [ "" ] } }, "description": "The parameters of the raw disk image." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "sourceDiskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key." }, "architecture": { "description": "The architecture of the image. Valid values are ARM64 or X86_64.", "type": "string", "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] }, "imageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the image using a customer-supplied encryption key. After you encrypt an image with a customer-supplied key, you must provide the same key if you use the image later (e.g. to create a disk from the image). Customer-supplied encryption keys do not protect access to metadata of the disk. If you do not provide an encryption key when creating the image, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the image later." }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "status": { "enum": [ "DELETING", "FAILED", "PENDING", "READY" ], "enumDescriptions": [ "Image is deleting.", "Image creation failed due to an error.", "Image hasn't been created as yet.", "Image has been successfully created." ], "description": "[Output Only] The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the status is set to READY. Possible values are FAILED, PENDING, or READY.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "kind": { "default": "compute#image", "description": "[Output Only] Type of the resource. Always compute#image for images.", "type": "string" }, "guestOsFeatures": { "type": "array", "items": { "$ref": "GuestOsFeature" }, "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. To see a list of available options, see the guestOSfeatures[].type parameter." } }, "id": "Image", "description": "Represents an Image resource. You can use images to create boot disks for your VM instances. For more information, read Images.", "type": "object" }, "InstanceTemplate": { "type": "object", "description": "Represents an Instance Template resource. You can use instance templates to create VM instances and managed instance groups. For more information, read Instance Templates.", "properties": { "properties": { "$ref": "InstanceProperties", "description": "The instance properties for this instance template." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.instanceTemplates.insert" ] }, "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "kind": { "type": "string", "default": "compute#instanceTemplate", "description": "[Output Only] The resource type, which is always compute#instanceTemplate for instance templates." }, "creationTimestamp": { "type": "string", "description": "[Output Only] The creation timestamp for this instance template in RFC3339 text format." }, "sourceInstance": { "description": "The source instance used to create the template. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance ", "type": "string" }, "selfLink": { "description": "[Output Only] The URL for this instance template. The server defines this URL.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "sourceInstanceParams": { "description": "The source instance params to use to create this instance template.", "$ref": "SourceInstanceParams" }, "id": { "type": "string", "description": "[Output Only] A unique identifier for this instance template. The server defines this identifier.", "format": "uint64" } }, "id": "InstanceTemplate" }, "TargetSslProxiesSetProxyHeaderRequest": { "type": "object", "id": "TargetSslProxiesSetProxyHeaderRequest", "properties": { "proxyHeader": { "enumDescriptions": [ "", "" ], "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.", "type": "string", "enum": [ "NONE", "PROXY_V1" ] } } }, "BackendServiceLocalityLoadBalancingPolicyConfig": { "description": "Container for either a built-in LB policy supported by gRPC or Envoy or a custom one implemented by the end user.", "id": "BackendServiceLocalityLoadBalancingPolicyConfig", "type": "object", "properties": { "customPolicy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy" }, "policy": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy" } } }, "ResourcePolicySnapshotSchedulePolicySnapshotProperties": { "description": "Specified snapshot properties for scheduled snapshots created by this policy.", "type": "object", "id": "ResourcePolicySnapshotSchedulePolicySnapshotProperties", "properties": { "storageLocations": { "description": "Cloud Storage bucket storage location of the auto snapshot (regional or multi-regional).", "items": { "type": "string" }, "type": "array" }, "labels": { "description": "Labels to apply to scheduled snapshots. These can be later modified by the setLabels method. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" }, "guestFlush": { "description": "Indication to perform a 'guest aware' snapshot.", "type": "boolean" }, "chainName": { "description": "Chain name that the snapshot is created in.", "type": "string" } } }, "SecurityPolicyReference": { "type": "object", "id": "SecurityPolicyReference", "properties": { "securityPolicy": { "type": "string" } } }, "PacketMirroringForwardingRuleInfo": { "id": "PacketMirroringForwardingRuleInfo", "type": "object", "properties": { "url": { "type": "string", "description": "Resource URL to the forwarding rule representing the ILB configured as destination of the mirrored traffic." }, "canonicalUrl": { "description": "[Output Only] Unique identifier for the forwarding rule; defined by the server.", "type": "string" } } }, "LicenseResourceCommitment": { "description": "Commitment for a particular license resource.", "type": "object", "id": "LicenseResourceCommitment", "properties": { "license": { "description": "Any applicable license URI.", "type": "string" }, "amount": { "format": "int64", "type": "string", "description": "The number of licenses purchased." }, "coresPerLicense": { "type": "string", "description": "Specifies the core range of the instance for which this license applies." } } }, "HealthCheckServicesList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#healthCheckServicesList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#healthCheckServicesList for lists of HealthCheckServices." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of HealthCheckService resources.", "type": "array", "items": { "$ref": "HealthCheckService" } }, "warning": { "type": "object", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning message." } }, "id": "HealthCheckServicesList", "type": "object" }, "ResourcePolicyGroupPlacementPolicy": { "type": "object", "id": "ResourcePolicyGroupPlacementPolicy", "description": "A GroupPlacementPolicy specifies resource placement configuration. It specifies the failure bucket separation as well as network locality", "properties": { "availabilityDomainCount": { "description": "The number of availability domains to spread instances across. If two instances are in different availability domain, they are not in the same low latency network.", "type": "integer", "format": "int32" }, "collocation": { "type": "string", "description": "Specifies network collocation", "enum": [ "COLLOCATED", "UNSPECIFIED_COLLOCATION" ], "enumDescriptions": [ "", "" ] }, "vmCount": { "description": "Number of VMs in this placement group. Google does not recommend that you use this field unless you use a compact policy and you want your policy to work only if it contains this exact number of VMs.", "type": "integer", "format": "int32" } } }, "BackendServiceCdnPolicyNegativeCachingPolicy": { "id": "BackendServiceCdnPolicyNegativeCachingPolicy", "properties": { "ttl": { "type": "integer", "format": "int32", "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." }, "code": { "type": "integer", "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.", "format": "int32" } }, "type": "object", "description": "Specify CDN TTLs for response error codes." }, "InterconnectLocationList": { "id": "InterconnectLocationList", "description": "Response to the list request, and contains a list of interconnect locations.", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of InterconnectLocation resources.", "items": { "$ref": "InterconnectLocation" }, "type": "array" }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectLocationList for lists of interconnect locations.", "default": "compute#interconnectLocationList" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "type": "object" }, "NodeGroupsDeleteNodesRequest": { "type": "object", "properties": { "nodes": { "type": "array", "items": { "type": "string" }, "description": "Names of the nodes to delete." } }, "id": "NodeGroupsDeleteNodesRequest" }, "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk": { "type": "object", "properties": { "diskSizeGb": { "format": "int64", "description": "Specifies the size of the disk in base-2 GB.", "type": "string" }, "interface": { "enumDescriptions": [ "", "" ], "enum": [ "NVME", "SCSI" ], "type": "string", "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance." } }, "id": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk" }, "CommitmentList": { "id": "CommitmentList", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "Commitment" }, "description": "A list of Commitment resources.", "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "description": "[Output Only] Type of resource. Always compute#commitmentList for lists of commitments.", "default": "compute#commitmentList", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of Commitment resources." }, "DisksResizeRequest": { "type": "object", "id": "DisksResizeRequest", "properties": { "sizeGb": { "description": "The new size of the persistent disk, which is specified in GB.", "type": "string", "format": "int64" } } }, "VpnGatewayVpnGatewayInterface": { "type": "object", "description": "A VPN gateway interface.", "properties": { "id": { "description": "[Output Only] Numeric identifier for this VPN interface associated with the VPN gateway.", "type": "integer", "format": "uint32" }, "ipAddress": { "type": "string", "description": "[Output Only] IP address for this VPN interface associated with the VPN gateway. The IP address could be either a regional external IP address or a regional internal IP address. The two IP addresses for a VPN gateway must be all regional external or regional internal IP addresses. There cannot be a mix of regional external IP addresses and regional internal IP addresses. For IPsec-encrypted Cloud Interconnect, the IP addresses for both interfaces could either be regional internal IP addresses or regional external IP addresses. For regular (non IPsec-encrypted Cloud Interconnect) HA VPN tunnels, the IP address must be a regional external IP address." }, "interconnectAttachment": { "type": "string", "description": "URL of the VLAN attachment (interconnectAttachment) resource for this VPN gateway interface. When the value of this field is present, the VPN gateway is used for IPsec-encrypted Cloud Interconnect; all egress or ingress traffic for this VPN gateway interface goes through the specified VLAN attachment resource. Not currently available publicly. " } }, "id": "VpnGatewayVpnGatewayInterface" }, "ManagedInstanceInstanceHealth": { "type": "object", "properties": { "healthCheck": { "type": "string", "description": "[Output Only] The URL for the health check that verifies whether the instance is healthy." }, "detailedHealthState": { "enumDescriptions": [ "The instance is being drained. The existing connections to the instance have time to complete, but the new ones are being refused.", "The instance is reachable i.e. a connection to the application health checking endpoint can be established, and conforms to the requirements defined by the health check.", "The instance is unreachable i.e. a connection to the application health checking endpoint cannot be established, or the server does not respond within the specified timeout.", "The instance is reachable, but does not conform to the requirements defined by the health check.", "The health checking system is aware of the instance but its health is not known at the moment." ], "description": "[Output Only] The current detailed instance health state.", "type": "string", "enum": [ "DRAINING", "HEALTHY", "TIMEOUT", "UNHEALTHY", "UNKNOWN" ] } }, "id": "ManagedInstanceInstanceHealth" }, "ServerBinding": { "type": "object", "id": "ServerBinding", "properties": { "type": { "enumDescriptions": [ "Node may associate with any physical server over its lifetime.", "Node may associate with minimal physical servers over its lifetime.", "" ], "enum": [ "RESTART_NODE_ON_ANY_SERVER", "RESTART_NODE_ON_MINIMAL_SERVERS", "SERVER_BINDING_TYPE_UNSPECIFIED" ], "type": "string" } } }, "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings": { "id": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings", "type": "object", "properties": { "ruleNumber": { "description": "Rule number of the NAT Rule.", "type": "integer", "format": "int32" }, "numTotalNatPorts": { "description": "Total number of ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field nat_ip_port_ranges.", "type": "integer", "format": "int32" }, "natIpPortRanges": { "type": "array", "items": { "type": "string" }, "description": "A list of all IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"]." }, "numTotalDrainNatPorts": { "type": "integer", "description": "Total number of drain ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field drain_nat_ip_port_ranges.", "format": "int32" }, "drainNatIpPortRanges": { "description": "List of all drain IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "type": "array", "items": { "type": "string" } } }, "description": "Contains information of NAT Mappings provided by a NAT Rule." }, "Operation": { "type": "object", "id": "Operation", "description": "Represents an Operation resource. Google Compute Engine has three Operation resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/globalOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/v1/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zonalOperations` resource. For more information, read Global, Regional, and Zonal Resources.", "properties": { "kind": { "description": "[Output Only] Type of the resource. Always `compute#operation` for Operation resources.", "type": "string", "default": "compute#operation" }, "progress": { "type": "integer", "format": "int32", "description": "[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses." }, "name": { "description": "[Output Only] Name of the operation.", "type": "string" }, "operationType": { "description": "[Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on.", "type": "string" }, "httpErrorStatusCode": { "description": "[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found.", "type": "integer", "format": "int32" }, "endTime": { "description": "[Output Only] The time that this operation was completed. This value is in RFC3339 text format.", "type": "string" }, "operationGroupId": { "description": "[Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request.", "type": "string" }, "insertTime": { "description": "[Output Only] The time that this operation was requested. This value is in RFC3339 text format.", "type": "string" }, "user": { "description": "[Output Only] User who requested the operation, for example: `user@example.com`.", "type": "string" }, "httpErrorMessage": { "description": "[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`.", "type": "string" }, "status": { "enum": [ "DONE", "PENDING", "RUNNING" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "[Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the operation. This identifier is defined by the server." }, "description": { "type": "string", "description": "[Output Only] A textual description of the operation, which is set when the operation is created." }, "startTime": { "description": "[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format.", "type": "string" }, "targetLink": { "description": "[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from.", "type": "string" }, "error": { "properties": { "errors": { "items": { "properties": { "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "errorDetails": { "type": "array", "items": { "properties": { "errorInfo": { "$ref": "ErrorInfo" }, "localizedMessage": { "$ref": "LocalizedMessage" }, "help": { "$ref": "Help" } }, "type": "object" }, "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED." }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" } }, "type": "object" }, "description": "[Output Only] The array of errors encountered while processing this operation.", "type": "array" } }, "type": "object", "description": "[Output Only] If errors are generated during processing of the operation, this field will be populated." }, "creationTimestamp": { "type": "string", "description": "[Deprecated] This field is deprecated." }, "warnings": { "items": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "description": "[Output Only] If warning messages are generated during processing of the operation, this field will be populated.", "type": "array" }, "region": { "description": "[Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations.", "type": "string" }, "targetId": { "format": "uint64", "type": "string", "description": "[Output Only] The unique target ID, which identifies a specific incarnation of the target resource." }, "zone": { "type": "string", "description": "[Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "clientOperationId": { "type": "string", "description": "[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise." }, "statusMessage": { "type": "string", "description": "[Output Only] An optional textual description of the current status of the operation." } } }, "Expr": { "properties": { "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "HealthCheck": { "id": "HealthCheck", "type": "object", "properties": { "httpHealthCheck": { "$ref": "HTTPHealthCheck" }, "sslHealthCheck": { "$ref": "SSLHealthCheck" }, "timeoutSec": { "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.", "type": "integer", "format": "int32" }, "kind": { "type": "string", "description": "Type of the resource.", "default": "compute#healthCheck" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "type": { "enum": [ "GRPC", "HTTP", "HTTP2", "HTTPS", "INVALID", "SSL", "TCP" ], "enumDescriptions": [ "", "", "", "", "", "", "" ], "description": "Specifies the type of the healthCheck, either TCP, SSL, HTTP, HTTPS, HTTP2 or GRPC. Exactly one of the protocol-specific health check fields must be specified, which must match type field.", "type": "string" }, "grpcHealthCheck": { "$ref": "GRPCHealthCheck" }, "httpsHealthCheck": { "$ref": "HTTPSHealthCheck" }, "tcpHealthCheck": { "$ref": "TCPHealthCheck" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in 3339 text format." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. For example, a name that is 1-63 characters long, matches the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`, and otherwise complies with RFC1035. This regular expression describes a name where the first character is a lowercase letter, and all following characters are a dash, lowercase letter, or digit, except the last character, which isn't a dash." }, "logConfig": { "description": "Configure logging on this health check.", "$ref": "HealthCheckLogConfig" }, "region": { "type": "string", "description": "[Output Only] Region where the health check resides. Not applicable to global health checks." }, "unhealthyThreshold": { "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "format": "int32", "type": "integer" }, "healthyThreshold": { "format": "int32", "type": "integer", "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2." }, "http2HealthCheck": { "$ref": "HTTP2HealthCheck" }, "checkIntervalSec": { "format": "int32", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "type": "integer" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "description": "Represents a Health Check resource. Google Compute Engine has two Health Check resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/healthChecks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionHealthChecks) Internal HTTP(S) load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Traffic Director must use global health checks (`compute.v1.HealthChecks`). Internal TCP/UDP load balancers can use either regional or global health checks (`compute.v1.regionHealthChecks` or `compute.v1.HealthChecks`). External HTTP(S), TCP proxy, and SSL proxy load balancers as well as managed instance group auto-healing must use global health checks (`compute.v1.HealthChecks`). Backend service-based network load balancers must use regional health checks (`compute.v1.regionHealthChecks`). Target pool-based network load balancers must use legacy HTTP health checks (`compute.v1.httpHealthChecks`). For more information, see Health checks overview." }, "ManagedInstanceVersion": { "id": "ManagedInstanceVersion", "type": "object", "properties": { "name": { "description": "[Output Only] Name of the version.", "type": "string" }, "instanceTemplate": { "type": "string", "description": "[Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }." } } }, "InstancesGetEffectiveFirewallsResponse": { "properties": { "firewallPolicys": { "type": "array", "description": "Effective firewalls from firewall policies.", "items": { "$ref": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" } }, "firewalls": { "type": "array", "items": { "$ref": "Firewall" }, "description": "Effective firewalls on the instance." } }, "id": "InstancesGetEffectiveFirewallsResponse", "type": "object" }, "ExternalVpnGatewayInterface": { "id": "ExternalVpnGatewayInterface", "properties": { "ipAddress": { "type": "string", "description": "IP address of the interface in the external VPN gateway. Only IPv4 is supported. This IP address can be either from your on-premise gateway or another Cloud provider's VPN gateway, it cannot be an IP address from Google Compute Engine." }, "id": { "type": "integer", "format": "uint32", "description": "The numeric ID of this interface. The allowed input values for this id for different redundancy types of external VPN gateway: - SINGLE_IP_INTERNALLY_REDUNDANT - 0 - TWO_IPS_REDUNDANCY - 0, 1 - FOUR_IPS_REDUNDANCY - 0, 1, 2, 3 " } }, "type": "object", "description": "The interface for the external VPN gateway." }, "InstanceGroupsRemoveInstancesRequest": { "id": "InstanceGroupsRemoveInstancesRequest", "properties": { "instances": { "description": "The list of instances to remove from the instance group.", "items": { "$ref": "InstanceReference" }, "type": "array" } }, "type": "object" }, "TargetSslProxiesSetCertificateMapRequest": { "properties": { "certificateMap": { "description": "URL of the Certificate Map to associate with this TargetSslProxy.", "type": "string" } }, "type": "object", "id": "TargetSslProxiesSetCertificateMapRequest" }, "Condition": { "type": "object", "description": "This is deprecated and has no effect. Do not use.", "properties": { "values": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "type": "string" } }, "sys": { "type": "string", "enum": [ "IP", "NAME", "NO_ATTR", "REGION", "SERVICE" ], "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "description": "This is deprecated and has no effect. Do not use." }, "svc": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "op": { "enum": [ "DISCHARGED", "EQUALS", "IN", "NOT_EQUALS", "NOT_IN", "NO_OP" ], "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "description": "This is deprecated and has no effect. Do not use.", "type": "string" }, "iam": { "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "APPROVER", "ATTRIBUTION", "AUTHORITY", "CREDENTIALS_TYPE", "CREDS_ASSERTION", "JUSTIFICATION_TYPE", "NO_ATTR", "SECURITY_REALM" ], "type": "string", "description": "This is deprecated and has no effect. Do not use." } }, "id": "Condition" }, "ServiceAttachmentList": { "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" } } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.", "default": "compute#serviceAttachmentList", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "items": { "$ref": "ServiceAttachment" }, "description": "A list of ServiceAttachment resources.", "type": "array" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "ServiceAttachmentList" }, "UrlMapsValidateResponse": { "id": "UrlMapsValidateResponse", "properties": { "result": { "$ref": "UrlMapValidationResult" } }, "type": "object" }, "InstanceGroupManagersListErrorsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "array", "description": "[Output Only] The list of errors of the managed instance group.", "items": { "$ref": "InstanceManagedByIgmError" } } }, "type": "object", "id": "InstanceGroupManagersListErrorsResponse" }, "VpnGatewayAggregatedList": { "properties": { "items": { "description": "A list of VpnGateway resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of VPN gateways.", "$ref": "VpnGatewaysScopedList" } }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.", "default": "compute#vpnGatewayAggregatedList", "type": "string" } }, "id": "VpnGatewayAggregatedList", "type": "object" }, "InstanceGroupManagersDeletePerInstanceConfigsReq": { "properties": { "names": { "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "InstanceGroupManagersDeletePerInstanceConfigsReq", "description": "InstanceGroupManagers.deletePerInstanceConfigs" }, "RegionSetLabelsRequest": { "type": "object", "id": "RegionSetLabelsRequest", "properties": { "labelFingerprint": { "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.", "format": "byte" }, "labels": { "type": "object", "description": "The labels to set for this resource.", "additionalProperties": { "type": "string" } } } }, "RegionAutoscalerList": { "id": "RegionAutoscalerList", "type": "object", "description": "Contains a list of autoscalers.", "properties": { "items": { "description": "A list of Autoscaler resources.", "type": "array", "items": { "$ref": "Autoscaler" } }, "kind": { "default": "compute#regionAutoscalerList", "description": "Type of resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" } }, "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } } }, "AdvancedMachineFeatures": { "description": "Specifies options for controlling advanced machine features. Options that would traditionally be configured in a BIOS belong here. Features that require operating system support may have corresponding entries in the GuestOsFeatures of an Image (e.g., whether or not the OS in the Image supports nested virtualization being enabled or disabled).", "id": "AdvancedMachineFeatures", "properties": { "enableNestedVirtualization": { "description": "Whether to enable nested virtualization or not (default is false).", "type": "boolean" }, "threadsPerCore": { "format": "int32", "description": "The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed.", "type": "integer" }, "enableUefiNetworking": { "type": "boolean", "description": "Whether to enable UEFI networking for instance creation." } }, "type": "object" }, "OperationsScopedList": { "properties": { "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } } }, "description": "[Output Only] Informational warning which replaces the list of operations when the list is empty.", "type": "object" }, "operations": { "items": { "$ref": "Operation" }, "description": "[Output Only] A list of operations contained in this scope.", "type": "array" } }, "type": "object", "id": "OperationsScopedList" }, "InstanceGroupManagersAbandonInstancesRequest": { "properties": { "instances": { "items": { "type": "string" }, "type": "array", "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "id": "InstanceGroupManagersAbandonInstancesRequest", "type": "object" }, "Interconnect": { "properties": { "satisfiesPzs": { "description": "[Output Only] Set to true if the resource satisfies the zone separation organization policy constraints and false otherwise. Defaults to false if the field is not present.", "type": "boolean" }, "googleIpAddress": { "description": "[Output Only] IP address configured on the Google side of the Interconnect link. This can be used only for ping tests.", "type": "string" }, "googleReferenceId": { "description": "[Output Only] Google reference ID to be used when raising support tickets with Google or otherwise to debug backend connectivity issues.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.interconnects.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "location": { "description": "URL of the InterconnectLocation object that represents where this connection is to be provisioned.", "type": "string" }, "circuitInfos": { "description": "[Output Only] A list of CircuitInfo objects, that describe the individual circuits in this LAG.", "type": "array", "items": { "$ref": "InterconnectCircuitInfo" } }, "interconnectType": { "enum": [ "DEDICATED", "IT_PRIVATE", "PARTNER" ], "enumDescriptions": [ "A dedicated physical interconnection with the customer.", "[Deprecated] A private, physical interconnection with the customer.", "A partner-managed interconnection shared between customers via partner." ], "description": "Type of interconnect, which can take one of the following values: - PARTNER: A partner-managed interconnection shared between customers though a partner. - DEDICATED: A dedicated physical interconnection with the customer. Note that a value IT_PRIVATE has been deprecated in favor of DEDICATED.", "type": "string" }, "linkType": { "type": "string", "description": "Type of link requested, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR: A 10G Ethernet with LR optics - LINK_TYPE_ETHERNET_100G_LR: A 100G Ethernet with LR optics. Note that this field indicates the speed of each of the links in the bundle, not the speed of the entire bundle.", "enum": [ "LINK_TYPE_ETHERNET_100G_LR", "LINK_TYPE_ETHERNET_10G_LR" ], "enumDescriptions": [ "100G Ethernet, LR Optics.", "10G Ethernet, LR Optics. [(rate_bps) = 10000000000];" ] }, "interconnectAttachments": { "description": "[Output Only] A list of the URLs of all InterconnectAttachments configured to use this Interconnect.", "items": { "type": "string" }, "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "adminEnabled": { "type": "boolean", "description": "Administrative status of the interconnect. When this is set to true, the Interconnect is functional and can carry traffic. When set to false, no packets can be carried over the interconnect and no BGP routes are exchanged over it. By default, the status is set to true." }, "nocContactEmail": { "description": "Email address to contact the customer NOC for operations and maintenance notifications regarding this Interconnect. If specified, this will be used for notifications in addition to all other forms described, such as Stackdriver logs alerting and Cloud Notifications.", "type": "string" }, "operationalStatus": { "description": "[Output Only] The current status of this Interconnect's functionality, which can take one of the following values: - OS_ACTIVE: A valid Interconnect, which is turned up and is ready to use. Attachments may be provisioned on this Interconnect. - OS_UNPROVISIONED: An Interconnect that has not completed turnup. No attachments may be provisioned on this Interconnect. - OS_UNDER_MAINTENANCE: An Interconnect that is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. ", "type": "string", "enum": [ "OS_ACTIVE", "OS_UNPROVISIONED" ], "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ] }, "expectedOutages": { "items": { "$ref": "InterconnectOutageNotification" }, "description": "[Output Only] A list of outages expected for this Interconnect.", "type": "array" }, "provisionedLinkCount": { "format": "int32", "type": "integer", "description": "[Output Only] Number of links actually provisioned in this interconnect." }, "requestedLinkCount": { "description": "Target number of physical links in the link bundle, as requested by the customer.", "format": "int32", "type": "integer" }, "peerIpAddress": { "description": "[Output Only] IP address configured on the customer side of the Interconnect link. The customer should configure this IP address during turnup when prompted by Google NOC. This can be used only for ping tests.", "type": "string" }, "customerName": { "type": "string", "description": "Customer name, to put in the Letter of Authorization as the party authorized to request a crossconnect." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#interconnect for interconnects.", "default": "compute#interconnect", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "state": { "description": "[Output Only] The current state of Interconnect functionality, which can take one of the following values: - ACTIVE: The Interconnect is valid, turned up and ready to use. Attachments may be provisioned on this Interconnect. - UNPROVISIONED: The Interconnect has not completed turnup. No attachments may be provisioned on this Interconnect. - UNDER_MAINTENANCE: The Interconnect is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. ", "enum": [ "ACTIVE", "UNPROVISIONED" ], "enumDescriptions": [ "The interconnect is valid, turned up, and ready to use. Attachments may be provisioned on this interconnect.", "The interconnect has not completed turnup. No attachments may be provisioned on this interconnect." ], "type": "string" } }, "id": "Interconnect", "type": "object", "description": "Represents an Interconnect resource. An Interconnect resource is a dedicated connection between the GCP network and your on-premises network. For more information, read the Dedicated Interconnect Overview." }, "ResourcePolicyInstanceSchedulePolicy": { "description": "An InstanceSchedulePolicy specifies when and how frequent certain operations are performed on the instance.", "type": "object", "id": "ResourcePolicyInstanceSchedulePolicy", "properties": { "startTime": { "type": "string", "description": "The start time of the schedule. The timestamp is an RFC3339 string." }, "vmStopSchedule": { "description": "Specifies the schedule for stopping instances.", "$ref": "ResourcePolicyInstanceSchedulePolicySchedule" }, "expirationTime": { "type": "string", "description": "The expiration time of the schedule. The timestamp is an RFC3339 string." }, "timeZone": { "description": "Specifies the time zone to be used in interpreting Schedule.schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database.", "type": "string" }, "vmStartSchedule": { "description": "Specifies the schedule for starting instances.", "$ref": "ResourcePolicyInstanceSchedulePolicySchedule" } } }, "InstanceGroupManagerActionsSummary": { "properties": { "creatingWithoutRetries": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances that the managed instance group will attempt to create. The group attempts to create each instance only once. If the group fails to create any of these instances, it decreases the group's targetSize value accordingly." }, "verifying": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are being verified. See the managedInstances[].currentAction property in the listManagedInstances method documentation." }, "creating": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be created or are currently being created. If the group fails to create any of these instances, it tries again until it creates the instance successfully. If you have disabled creation retries, this field will not be populated; instead, the creatingWithoutRetries field will be populated.", "type": "integer" }, "abandoning": { "description": "[Output Only] The total number of instances in the managed instance group that are scheduled to be abandoned. Abandoning an instance removes it from the managed instance group without deleting it.", "format": "int32", "type": "integer" }, "refreshing": { "description": "[Output Only] The number of instances in the managed instance group that are being reconfigured with properties that do not require a restart or a recreate action. For example, setting or removing target pools for the instance.", "format": "int32", "type": "integer" }, "suspending": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be suspended or are currently being suspended.", "type": "integer" }, "starting": { "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be started or are currently being started.", "format": "int32", "type": "integer" }, "recreating": { "type": "integer", "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be recreated or are currently being being recreated. Recreating an instance deletes the existing root persistent disk and creates a new disk from the image that is defined in the instance template." }, "deleting": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be deleted or are currently being deleted.", "format": "int32" }, "stopping": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be stopped or are currently being stopped.", "format": "int32" }, "none": { "format": "int32", "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are running and have no scheduled actions." }, "restarting": { "type": "integer", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be restarted or are currently being restarted.", "format": "int32" }, "resuming": { "format": "int32", "description": "[Output Only] The number of instances in the managed instance group that are scheduled to be resumed or are currently being resumed.", "type": "integer" } }, "type": "object", "id": "InstanceGroupManagerActionsSummary" }, "AddressesScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "addresses": { "type": "array", "description": "[Output Only] A list of addresses contained in this scope.", "items": { "$ref": "Address" } } }, "id": "AddressesScopedList" }, "Reference": { "id": "Reference", "properties": { "target": { "type": "string", "description": "URL of the resource to which this reference points." }, "referenceType": { "type": "string", "description": "A description of the reference type with no implied semantics. Possible values include: 1. MEMBER_OF " }, "referrer": { "type": "string", "description": "URL of the resource which refers to the target." }, "kind": { "default": "compute#reference", "description": "[Output Only] Type of the resource. Always compute#reference for references.", "type": "string" } }, "type": "object", "description": "Represents a reference to a resource." }, "BackendServiceIAP": { "type": "object", "description": "Identity-Aware Proxy", "properties": { "oauth2ClientSecretSha256": { "type": "string", "description": "[Output Only] SHA256 hash value for the field oauth2_client_secret above." }, "oauth2ClientId": { "description": "OAuth2 client ID to use for the authentication flow.", "type": "string" }, "oauth2ClientSecret": { "type": "string", "description": "OAuth2 client secret to use for the authentication flow. For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2ClientSecretSha256 field. @InputOnly" }, "enabled": { "description": "Whether the serving infrastructure will authenticate and authorize all incoming requests. If true, the oauth2ClientId and oauth2ClientSecret fields must be non-empty.", "type": "boolean" } }, "id": "BackendServiceIAP" }, "NodeTemplateAggregatedList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#nodeTemplateAggregatedList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeTemplateAggregatedList for aggregated lists of node templates." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of node templates.", "$ref": "NodeTemplatesScopedList" }, "description": "A list of NodeTemplatesScopedList resources.", "type": "object" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "NodeTemplateAggregatedList", "type": "object" }, "InstancesSetMinCpuPlatformRequest": { "properties": { "minCpuPlatform": { "type": "string", "description": "Minimum cpu/platform this instance should be started at." } }, "id": "InstancesSetMinCpuPlatformRequest", "type": "object" }, "SslPolicyReference": { "id": "SslPolicyReference", "properties": { "sslPolicy": { "type": "string", "description": "URL of the SSL policy resource. Set this to empty string to clear any existing SSL policy associated with the target proxy resource." } }, "type": "object" }, "GlobalSetPolicyRequest": { "id": "GlobalSetPolicyRequest", "properties": { "bindings": { "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "type": "array", "items": { "$ref": "Binding" } }, "etag": { "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string", "format": "byte" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" } }, "type": "object" }, "DeprecationStatus": { "description": "Deprecation status for a public resource.", "properties": { "deprecated": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it." }, "deleted": { "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it.", "type": "string" }, "replacement": { "description": "The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource.", "type": "string" }, "state": { "description": "The deprecation state of this resource. This can be ACTIVE, DEPRECATED, OBSOLETE, or DELETED. Operations which communicate the end of life date for an image, can use ACTIVE. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.", "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "ACTIVE", "DELETED", "DEPRECATED", "OBSOLETE" ] }, "obsolete": { "type": "string", "description": "An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it." } }, "id": "DeprecationStatus", "type": "object" }, "TargetGrpcProxyList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#targetGrpcProxyList", "type": "string", "description": "[Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" } }, "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "description": "A list of TargetGrpcProxy resources.", "type": "array", "items": { "$ref": "TargetGrpcProxy" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "id": "TargetGrpcProxyList", "type": "object" }, "FirewallLogConfig": { "id": "FirewallLogConfig", "description": "The available logging options for a firewall rule.", "properties": { "metadata": { "enumDescriptions": [ "", "" ], "enum": [ "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ], "type": "string", "description": "This field can only be specified for a particular firewall rule if logging is enabled for that rule. This field denotes whether to include or exclude metadata for firewall logs." }, "enable": { "type": "boolean", "description": "This field denotes whether to enable logging for a particular firewall rule." } }, "type": "object" }, "HttpHeaderMatch": { "description": "matchRule criteria for request header matches.", "type": "object", "properties": { "headerName": { "description": "The name of the HTTP header to match. For matching against the HTTP request's authority, use a headerMatch with the header name \":authority\". For matching a request's method, use the headerName \":method\". When the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true, only non-binary user-specified custom metadata and the `content-type` header are supported. The following transport-level headers cannot be used in header matching rules: `:authority`, `:method`, `:path`, `:scheme`, `user-agent`, `accept-encoding`, `content-encoding`, `grpc-accept-encoding`, `grpc-encoding`, `grpc-previous-rpc-attempts`, `grpc-tags-bin`, `grpc-timeout` and `grpc-trace-bin`.", "type": "string" }, "exactMatch": { "type": "string", "description": "The value should exactly match contents of exactMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set." }, "regexMatch": { "description": "The value of the header must match the regular expression specified in regexMatch. For more information about regular expression syntax, see Syntax. For matching against a port specified in the HTTP request, use a headerMatch with headerName set to PORT and a regular expression that satisfies the RFC2616 Host header's port specifier. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. regexMatch only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "string" }, "prefixMatch": { "description": "The value of the header must start with the contents of prefixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" }, "invertMatch": { "description": "If set to false, the headerMatch is considered a match if the preceding match criteria are met. If set to true, the headerMatch is considered a match if the preceding match criteria are NOT met. The default setting is false. ", "type": "boolean" }, "presentMatch": { "type": "boolean", "description": "A header with the contents of headerName must exist. The match takes place whether or not the request's header has a value. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set." }, "rangeMatch": { "description": "The header value must be an integer and its value must be in the range specified in rangeMatch. If the header does not contain an integer, number or is empty, the match fails. For example for a range [-5, 0] - -3 will match. - 0 will not match. - 0.25 will not match. - -3someString will not match. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. rangeMatch is not supported for load balancers that have loadBalancingScheme set to EXTERNAL.", "$ref": "Int64RangeMatch" }, "suffixMatch": { "description": "The value of the header must end with the contents of suffixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.", "type": "string" } }, "id": "HttpHeaderMatch" }, "Reservation": { "properties": { "commitment": { "type": "string", "description": "[Output Only] Full or partial URL to a parent commitment. This field displays for reservations that are tied to a commitment." }, "specificReservationRequired": { "type": "boolean", "description": "Indicates whether the reservation can be consumed by VMs with affinity for \"any\" reservation. If the field is set, then only VMs that target the reservation by name can consume from this reservation." }, "zone": { "description": "Zone in which the reservation resides. A zone must be provided if the reservation is created within a commitment.", "type": "string" }, "specificReservation": { "$ref": "AllocationSpecificSKUReservation", "description": "Reservation for instances with specific machine shapes." }, "status": { "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPDATING" ], "type": "string", "enumDescriptions": [ "Resources are being allocated for the reservation.", "Reservation is currently being deleted.", "", "Reservation has allocated all its resources.", "Reservation is currently being resized." ], "description": "[Output Only] The status of the reservation." }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#reservations for reservations.", "type": "string", "default": "compute#reservation" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined fully-qualified URL for this resource." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "name": { "annotations": { "required": [ "compute.instances.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "shareSettings": { "$ref": "ShareSettings", "description": "Share-settings for shared-reservation" } }, "type": "object", "id": "Reservation", "description": "Represents a reservation resource. A reservation ensures that capacity is held in a specific zone even if the reserved VMs are not running. For more information, read Reserving zonal resources." }, "ResourcePolicyHourlyCycle": { "id": "ResourcePolicyHourlyCycle", "type": "object", "properties": { "startTime": { "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT.", "type": "string" }, "duration": { "type": "string", "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario." }, "hoursInCycle": { "format": "int32", "type": "integer", "description": "Defines a schedule with units measured in hours. The value determines how many hours pass between the start of each cycle." } }, "description": "Time window specified for hourly operations." }, "ManagedInstance": { "type": "object", "description": "A Managed Instance resource.", "properties": { "currentAction": { "type": "string", "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ], "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "description": "[Output Only] The current action that the managed instance group has scheduled for the instance. Possible values: - NONE The instance is running, and the managed instance group does not have any scheduled actions for this instance. - CREATING The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful. - CREATING_WITHOUT_RETRIES The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased instead. - RECREATING The managed instance group is recreating this instance. - DELETING The managed instance group is permanently deleting this instance. - ABANDONING The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group. - RESTARTING The managed instance group is restarting the instance. - REFRESHING The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance. - VERIFYING The managed instance group has created the instance and it is in the process of being verified. " }, "instanceHealth": { "description": "[Output Only] Health state of the instance per health-check.", "type": "array", "items": { "$ref": "ManagedInstanceInstanceHealth" } }, "lastAttempt": { "$ref": "ManagedInstanceLastAttempt", "description": "[Output Only] Information about the last attempt to create or delete the instance." }, "preservedStateFromConfig": { "description": "[Output Only] Preserved state applied from per-instance config for this instance.", "$ref": "PreservedState" }, "preservedStateFromPolicy": { "$ref": "PreservedState", "description": "[Output Only] Preserved state generated based on stateful policy for this instance." }, "instanceStatus": { "description": "[Output Only] The status of the instance. This field is empty when the instance does not exist.", "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ], "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "type": "string" }, "id": { "description": "[Output only] The unique identifier for this resource. This field is empty when instance does not exist.", "type": "string", "format": "uint64" }, "version": { "$ref": "ManagedInstanceVersion", "description": "[Output Only] Intended version of this instance." }, "instance": { "type": "string", "description": "[Output Only] The URL of the instance. The URL can exist even if the instance has not yet been created." } }, "id": "ManagedInstance" }, "RegionList": { "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "items": { "$ref": "Region" }, "type": "array", "description": "A list of Region resources." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#regionList", "description": "[Output Only] Type of resource. Always compute#regionList for lists of regions.", "type": "string" } }, "description": "Contains a list of region resources.", "id": "RegionList" }, "LogConfigCounterOptions": { "id": "LogConfigCounterOptions", "type": "object", "description": "This is deprecated and has no effect. Do not use.", "properties": { "metric": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "customFields": { "type": "array", "description": "This is deprecated and has no effect. Do not use.", "items": { "$ref": "LogConfigCounterOptionsCustomField" } }, "field": { "type": "string", "description": "This is deprecated and has no effect. Do not use." } } }, "ExchangedPeeringRoute": { "id": "ExchangedPeeringRoute", "type": "object", "properties": { "nextHopRegion": { "type": "string", "description": "The region of peering route next hop, only applies to dynamic routes." }, "priority": { "description": "The priority of the peering route.", "type": "integer", "format": "uint32" }, "destRange": { "description": "The destination range of the route.", "type": "string" }, "imported": { "type": "boolean", "description": "True if the peering route has been imported from a peer. The actual import happens if the field networkPeering.importCustomRoutes is true for this network, and networkPeering.exportCustomRoutes is true for the peer network, and the import does not result in a route conflict." }, "type": { "type": "string", "description": "The type of the peering route.", "enumDescriptions": [ "For routes exported from local network.", "The peering route.", "The peering route corresponding to subnetwork range." ], "enum": [ "DYNAMIC_PEERING_ROUTE", "STATIC_PEERING_ROUTE", "SUBNET_PEERING_ROUTE" ] } } }, "InterconnectLocation": { "description": "Represents an Interconnect Attachment (VLAN) Location resource. You can use this resource to find location details about an Interconnect attachment (VLAN). For more information about interconnect attachments, read Creating VLAN Attachments.", "type": "object", "properties": { "continent": { "enum": [ "AFRICA", "ASIA_PAC", "C_AFRICA", "C_ASIA_PAC", "C_EUROPE", "C_NORTH_AMERICA", "C_SOUTH_AMERICA", "EUROPE", "NORTH_AMERICA", "SOUTH_AMERICA" ], "description": "[Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA ", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ] }, "description": { "type": "string", "description": "[Output Only] An optional description of the resource." }, "facilityProviderFacilityId": { "type": "string", "description": "[Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1)." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "city": { "description": "[Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\".", "type": "string" }, "regionInfos": { "type": "array", "description": "[Output Only] A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions.", "items": { "$ref": "InterconnectLocationRegionInfo" } }, "supportsPzs": { "description": "[Output Only] Set to true for locations that support physical zone separation. Defaults to false if the field is not present.", "type": "boolean" }, "name": { "type": "string", "description": "[Output Only] Name of the resource." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "status": { "enumDescriptions": [ "The InterconnectLocation is available for provisioning new Interconnects.", "The InterconnectLocation is closed for provisioning new Interconnects." ], "type": "string", "enum": [ "AVAILABLE", "CLOSED" ], "description": "[Output Only] The status of this InterconnectLocation, which can take one of the following values: - CLOSED: The InterconnectLocation is closed and is unavailable for provisioning new Interconnects. - AVAILABLE: The InterconnectLocation is available for provisioning new Interconnects. " }, "peeringdbFacilityId": { "type": "string", "description": "[Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb)." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#interconnectLocation for interconnect locations.", "type": "string", "default": "compute#interconnectLocation" }, "facilityProvider": { "type": "string", "description": "[Output Only] The name of the provider for this facility (e.g., EQUINIX)." }, "availabilityZone": { "description": "[Output Only] Availability zone for this InterconnectLocation. Within a metropolitan area (metro), maintenance will not be simultaneously scheduled in more than one availability zone. Example: \"zone1\" or \"zone2\".", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "address": { "description": "[Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character.", "type": "string" } }, "id": "InterconnectLocation" }, "Scheduling": { "description": "Sets the scheduling options for an Instance. NextID: 21", "id": "Scheduling", "type": "object", "properties": { "locationHint": { "description": "An opaque location hint used to place the instance close to other resources. This field is for use by internal tools that use the public API.", "type": "string" }, "provisioningModel": { "type": "string", "enum": [ "SPOT", "STANDARD" ], "description": "Specifies the provisioning model of the instance.", "enumDescriptions": [ "Heavily discounted, no guaranteed runtime.", "Standard provisioning with user controlled runtime, no discounts." ] }, "nodeAffinities": { "items": { "$ref": "SchedulingNodeAffinity" }, "description": "A set of node affinity and anti-affinity configurations. Refer to Configuring node affinity for more information. Overrides reservationAffinity.", "type": "array" }, "preemptible": { "type": "boolean", "description": "Defines whether the instance is preemptible. This can only be set during instance creation or while the instance is stopped and therefore, in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states." }, "instanceTerminationAction": { "enumDescriptions": [ "Delete the VM.", "Default value. This value is unused.", "Stop the VM without storing in-memory content. default action." ], "description": "Specifies the termination action for the instance.", "type": "string", "enum": [ "DELETE", "INSTANCE_TERMINATION_ACTION_UNSPECIFIED", "STOP" ] }, "automaticRestart": { "description": "Specifies whether the instance should be automatically restarted if it is terminated by Compute Engine (not terminated by a user). You can only set the automatic restart option for standard instances. Preemptible instances cannot be automatically restarted. By default, this is set to true so an instance is automatically restarted if it is terminated by Compute Engine.", "type": "boolean" }, "onHostMaintenance": { "enumDescriptions": [ "*[Default]* Allows Compute Engine to automatically migrate instances out of the way of maintenance events.", "Tells Compute Engine to terminate and (optionally) restart the instance away from the maintenance activity. If you would like your instance to be restarted, set the automaticRestart flag to true. Your instance may be restarted more than once, and it may be restarted outside the window of maintenance events." ], "enum": [ "MIGRATE", "TERMINATE" ], "description": "Defines the maintenance behavior for this instance. For standard instances, the default behavior is MIGRATE. For preemptible instances, the default and only possible behavior is TERMINATE. For more information, see Set VM host maintenance policy.", "type": "string" }, "minNodeCpus": { "format": "int32", "type": "integer", "description": "The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node." } } }, "SecurityPolicyRuleRateLimitOptionsThreshold": { "id": "SecurityPolicyRuleRateLimitOptionsThreshold", "properties": { "count": { "format": "int32", "type": "integer", "description": "Number of HTTP(S) requests for calculating the threshold." }, "intervalSec": { "description": "Interval over which the threshold is computed.", "format": "int32", "type": "integer" } }, "type": "object" }, "NetworkEndpointGroupsScopedList": { "type": "object", "id": "NetworkEndpointGroupsScopedList", "properties": { "networkEndpointGroups": { "description": "[Output Only] The list of network endpoint groups that are contained in this scope.", "type": "array", "items": { "$ref": "NetworkEndpointGroup" } }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] An informational warning that replaces the list of network endpoint groups when the list is empty." } } }, "Network": { "properties": { "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "enableUlaInternalIpv6": { "description": "Enable ULA internal ipv6 on this network. Enabling this feature will assign a /48 from google defined ULA prefix fd20::/20. .", "type": "boolean" }, "subnetworks": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Server-defined fully-qualified URLs for all subnetworks in this VPC network." }, "mtu": { "format": "int32", "description": "Maximum Transmission Unit in bytes. The minimum value for this field is 1460 and the maximum value is 1500 bytes. If unspecified, defaults to 1460.", "type": "integer" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "internalIpv6Range": { "description": "When enabling ula internal ipv6, caller optionally can specify the /48 range they want from the google defined ULA prefix fd20::/20. The input must be a valid /48 ULA IPv6 address and must be within the fd20::/20. Operation will fail if the speficied /48 is already in used by another resource. If the field is not speficied, then a /48 range will be randomly allocated from fd20::/20 and returned via this field. .", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string", "annotations": { "required": [ "compute.networks.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "routingConfig": { "$ref": "NetworkRoutingConfig", "description": "The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce." }, "kind": { "type": "string", "default": "compute#network", "description": "[Output Only] Type of the resource. Always compute#network for networks." }, "gatewayIPv4": { "type": "string", "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}", "description": "[Output Only] The gateway address for default routing out of the network, selected by GCP." }, "networkFirewallPolicyEnforcementOrder": { "type": "string", "description": "The network firewall policy enforcement order. Can be either AFTER_CLASSIC_FIREWALL or BEFORE_CLASSIC_FIREWALL. Defaults to AFTER_CLASSIC_FIREWALL if the field is not specified.", "enumDescriptions": [ "", "" ], "enum": [ "AFTER_CLASSIC_FIREWALL", "BEFORE_CLASSIC_FIREWALL" ] }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "peerings": { "description": "[Output Only] A list of network peerings for the resource.", "type": "array", "items": { "$ref": "NetworkPeering" } }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "autoCreateSubnetworks": { "type": "boolean", "description": "Must be set to create a VPC network. If not set, a legacy network is created. When set to true, the VPC network is created in auto mode. When set to false, the VPC network is created in custom mode. An auto mode VPC network starts with one subnet per region. Each subnet has a predetermined range as described in Auto mode VPC network IP ranges. For custom mode VPC networks, you can add subnets using the subnetworks insert method." }, "IPv4Range": { "type": "string", "description": "Deprecated in favor of subnet mode networks. The range of internal addresses that are legal on this network. This range is a CIDR specification, for example: 192.168.0.0/16. Provided by the client when the network is created.", "pattern": "[0-9]{1,3}(?:\\.[0-9]{1,3}){3}/[0-9]{1,2}" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." } }, "type": "object", "description": "Represents a VPC Network resource. Networks connect resources to each other and to the internet. For more information, read Virtual Private Cloud (VPC) Network.", "id": "Network" }, "CircuitBreakers": { "properties": { "maxRetries": { "type": "integer", "format": "int32", "description": "The maximum number of parallel retries allowed to the backend cluster. If not specified, the default is 1. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." }, "maxPendingRequests": { "type": "integer", "format": "int32", "description": "The maximum number of pending requests allowed to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." }, "maxRequestsPerConnection": { "type": "integer", "description": "Maximum requests for a single connection to the backend service. This parameter is respected by both the HTTP/1.1 and HTTP/2 implementations. If not specified, there is no limit. Setting this parameter to 1 will effectively disable keep alive. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32" }, "maxRequests": { "description": "The maximum number of parallel requests that allowed to the backend service. If not specified, there is no limit.", "format": "int32", "type": "integer" }, "maxConnections": { "description": "The maximum number of connections to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "format": "int32", "type": "integer" } }, "type": "object", "id": "CircuitBreakers", "description": "Settings controlling the volume of requests, connections and retries to this backend service." }, "PacketMirroring": { "id": "PacketMirroring", "type": "object", "properties": { "collectorIlb": { "$ref": "PacketMirroringForwardingRuleInfo", "description": "The Forwarding Rule resource of type loadBalancingScheme=INTERNAL that will be used as collector for mirrored traffic. The specified forwarding rule must have isMirroringCollector set to true." }, "priority": { "format": "uint32", "description": "The priority of applying this configuration. Priority is used to break ties in cases where there is more than one matching rule. In the case of two rules that apply for a given Instance, the one with the lowest-numbered priority value wins. Default value is 1000. Valid range is 0 through 65535.", "type": "integer" }, "filter": { "$ref": "PacketMirroringFilter", "description": "Filter for mirrored traffic. If unspecified, all traffic is mirrored." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.packetMirrorings.insert" ] } }, "network": { "$ref": "PacketMirroringNetworkInfo", "description": "Specifies the mirrored VPC network. Only packets in this network will be mirrored. All mirrored VMs should have a NIC in the given network. All mirrored subnetworks should belong to the given network.", "annotations": { "required": [ "compute.packetMirrorings.insert" ] } }, "mirroredResources": { "$ref": "PacketMirroringMirroredResourceInfo", "description": "PacketMirroring mirroredResourceInfos. MirroredResourceInfo specifies a set of mirrored VM instances, subnetworks and/or tags for which traffic from/to all VM instances will be mirrored." }, "enable": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Indicates whether or not this packet mirroring takes effect. If set to FALSE, this packet mirroring policy will not be enforced on the network. The default is TRUE.", "enum": [ "FALSE", "TRUE" ] }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URI of the region where the packetMirroring resides." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "kind": { "default": "compute#packetMirroring", "type": "string", "description": "[Output Only] Type of the resource. Always compute#packetMirroring for packet mirrorings." } }, "description": "Represents a Packet Mirroring resource. Packet Mirroring clones the traffic of specified instances in your Virtual Private Cloud (VPC) network and forwards it to a collector destination, such as an instance group of an internal TCP/UDP load balancer, for analysis or examination. For more information about setting up Packet Mirroring, see Using Packet Mirroring." }, "InstanceGroupManagersListManagedInstancesResponse": { "id": "InstanceGroupManagersListManagedInstancesResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "managedInstances": { "items": { "$ref": "ManagedInstance" }, "type": "array", "description": "[Output Only] The list of instances in the managed instance group." } } }, "NetworkEndpoint": { "id": "NetworkEndpoint", "type": "object", "properties": { "ipAddress": { "description": "Optional IPv4 address of network endpoint. The IP address must belong to a VM in Compute Engine (either the primary IP or as part of an aliased IP range). If the IP address is not specified, then the primary IP address for the VM instance in the network that the network endpoint group belongs to will be used.", "type": "string" }, "annotations": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Metadata defined as annotations on the network endpoint." }, "instance": { "type": "string", "description": "The name for a specific VM instance that the IP address belongs to. This is required for network endpoints of type GCE_VM_IP_PORT. The instance must be in the same zone of network endpoint group. The name must be 1-63 characters long, and comply with RFC1035." }, "fqdn": { "type": "string", "description": "Optional fully qualified domain name of network endpoint. This can only be specified when NetworkEndpointGroup.network_endpoint_type is NON_GCP_FQDN_PORT." }, "port": { "format": "int32", "type": "integer", "description": "Optional port number of network endpoint. If not specified, the defaultPort for the network endpoint group will be used." } }, "description": "The network endpoint." }, "TargetHttpsProxyAggregatedList": { "id": "TargetHttpsProxyAggregatedList", "properties": { "kind": { "type": "string", "default": "compute#targetHttpsProxyAggregatedList", "description": "[Output Only] Type of resource. Always compute#targetHttpsProxyAggregatedList for lists of Target HTTP Proxies." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of TargetHttpsProxiesScopedList resources.", "type": "object", "additionalProperties": { "$ref": "TargetHttpsProxiesScopedList", "description": "Name of the scope containing this set of TargetHttpsProxies." } }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } } }, "type": "object" }, "SecurityPolicyRuleRateLimitOptions": { "id": "SecurityPolicyRuleRateLimitOptions", "type": "object", "properties": { "enforceOnKey": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "ALL", "HTTP_COOKIE", "HTTP_HEADER", "IP", "XFF_IP" ], "description": "Determines the key to enforce the rate_limit_threshold on. Possible values are: - ALL: A single rate limit threshold is applied to all the requests matching this rule. This is the default value if this field 'enforce_on_key' is not configured. - IP: The source IP address of the request is the key. Each IP has this limit enforced separately. - HTTP_HEADER: The value of the HTTP header whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the header value. If no such header is present in the request, the key type defaults to ALL. - XFF_IP: The first IP address (i.e. the originating client IP address) specified in the list of IPs under X-Forwarded-For HTTP header. If no such header is present or the value is not a valid IP, the key defaults to the source IP address of the request i.e. key type IP. - HTTP_COOKIE: The value of the HTTP cookie whose name is configured under \"enforce_on_key_name\". The key value is truncated to the first 128 bytes of the cookie value. If no such cookie is present in the request, the key type defaults to ALL. ", "type": "string" }, "banThreshold": { "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, the key will be banned for the configured 'ban_duration_sec' when the number of requests that exceed the 'rate_limit_threshold' also exceed this 'ban_threshold'.", "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold" }, "exceedRedirectOptions": { "description": "Parameters defining the redirect action that is used as the exceed action. Cannot be specified if the exceed action is not redirect.", "$ref": "SecurityPolicyRuleRedirectOptions" }, "enforceOnKeyName": { "description": "Rate limit key name applicable only for the following key types: HTTP_HEADER -- Name of the HTTP header whose value is taken as the key value. HTTP_COOKIE -- Name of the HTTP cookie whose value is taken as the key value.", "type": "string" }, "banDurationSec": { "format": "int32", "description": "Can only be specified if the action for the rule is \"rate_based_ban\". If specified, determines the time (in seconds) the traffic will continue to be banned by the rate limit after the rate falls below the threshold.", "type": "integer" }, "exceedAction": { "description": "Action to take for requests that are above the configured rate limit threshold, to either deny with a specified HTTP response code, or redirect to a different endpoint. Valid options are \"deny(status)\", where valid values for status are 403, 404, 429, and 502, and \"redirect\" where the redirect parameters come from exceedRedirectOptions below.", "type": "string" }, "rateLimitThreshold": { "$ref": "SecurityPolicyRuleRateLimitOptionsThreshold", "description": "Threshold at which to begin ratelimiting." }, "conformAction": { "description": "Action to take for requests that are under the configured rate limit threshold. Valid option is \"allow\" only.", "type": "string" } } }, "LocationPolicy": { "description": "Configuration for location policy among multiple possible locations (e.g. preferences for zone selection among zones in a single region).", "type": "object", "properties": { "locations": { "additionalProperties": { "$ref": "LocationPolicyLocation" }, "type": "object", "description": "Location configurations mapped by location name. Currently only zone names are supported and must be represented as valid internal URLs, such as zones/us-central1-a." }, "targetShape": { "type": "string", "description": "Strategy for distributing VMs across zones in a region.", "enumDescriptions": [ "GCE picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "GCE always selects a single zone for all the VMs, optimizing for resource quotas, available reservations and general capacity. Recommended for batch workloads that cannot tollerate distribution over multiple zones. This the default shape in Bulk Insert and Capacity Advisor APIs.", "GCE prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across allowed zones to minimize the impact of zonal failure. Recommended for highly available serving workloads." ], "enum": [ "ANY", "ANY_SINGLE_ZONE", "BALANCED" ] } }, "id": "LocationPolicy" }, "InstanceManagedByIgmErrorManagedInstanceError": { "id": "InstanceManagedByIgmErrorManagedInstanceError", "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] Error message." }, "code": { "type": "string", "description": "[Output Only] Error code." } } }, "InterconnectList": { "type": "object", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of Interconnect resources.", "items": { "$ref": "Interconnect" }, "type": "array" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "kind": { "default": "compute#interconnectList", "type": "string", "description": "[Output Only] Type of resource. Always compute#interconnectList for lists of interconnects." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." } }, "description": "Response to the list request, and contains a list of interconnects.", "id": "InterconnectList" }, "InstancesStartWithEncryptionKeyRequest": { "type": "object", "properties": { "disks": { "description": "Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to start the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.", "items": { "$ref": "CustomerEncryptionKeyProtectedDisk" }, "type": "array" } }, "id": "InstancesStartWithEncryptionKeyRequest" }, "RegionInstanceGroupManagersAbandonInstancesRequest": { "id": "RegionInstanceGroupManagersAbandonInstancesRequest", "type": "object", "properties": { "instances": { "items": { "type": "string" }, "description": "The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "type": "array" } } }, "VpnGatewaysGetStatusResponse": { "type": "object", "properties": { "result": { "$ref": "VpnGatewayStatus" } }, "id": "VpnGatewaysGetStatusResponse" }, "UrlMapReference": { "id": "UrlMapReference", "properties": { "urlMap": { "type": "string" } }, "type": "object" }, "GlobalOrganizationSetPolicyRequest": { "id": "GlobalOrganizationSetPolicyRequest", "properties": { "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings." }, "etag": { "format": "byte", "type": "string", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." } }, "type": "object" }, "PublicAdvertisedPrefixList": { "id": "PublicAdvertisedPrefixList", "type": "object", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes.", "default": "compute#publicAdvertisedPrefixList" }, "items": { "type": "array", "description": "A list of PublicAdvertisedPrefix resources.", "items": { "$ref": "PublicAdvertisedPrefix" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } } }, "PacketMirroringNetworkInfo": { "properties": { "canonicalUrl": { "description": "[Output Only] Unique identifier for the network; defined by the server.", "type": "string" }, "url": { "description": "URL of the network resource.", "type": "string" } }, "id": "PacketMirroringNetworkInfo", "type": "object" }, "TargetHttpsProxiesSetCertificateMapRequest": { "properties": { "certificateMap": { "description": "URL of the Certificate Map to associate with this TargetHttpsProxy.", "type": "string" } }, "id": "TargetHttpsProxiesSetCertificateMapRequest", "type": "object" }, "RegionInstanceGroupManagersSetTemplateRequest": { "type": "object", "properties": { "instanceTemplate": { "description": "URL of the InstanceTemplate resource from which all new instances will be created.", "type": "string" } }, "id": "RegionInstanceGroupManagersSetTemplateRequest" }, "RegionInstanceGroupManagersCreateInstancesRequest": { "description": "RegionInstanceGroupManagers.createInstances", "type": "object", "id": "RegionInstanceGroupManagersCreateInstancesRequest", "properties": { "instances": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "[Required] List of specifications of per-instance configs." } } }, "RegionInstanceGroupManagerUpdateInstanceConfigReq": { "description": "RegionInstanceGroupManagers.updatePerInstanceConfigs", "type": "object", "id": "RegionInstanceGroupManagerUpdateInstanceConfigReq", "properties": { "perInstanceConfigs": { "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "type": "array" } } }, "TargetPoolList": { "description": "Contains a list of TargetPool resources.", "type": "object", "id": "TargetPoolList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#targetPoolList", "type": "string", "description": "[Output Only] Type of resource. Always compute#targetPoolList for lists of target pools." }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "type": "array", "items": { "$ref": "TargetPool" }, "description": "A list of TargetPool resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "DiskTypeList": { "description": "Contains a list of disk types.", "id": "DiskTypeList", "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "A list of DiskType resources.", "items": { "$ref": "DiskType" } }, "kind": { "default": "compute#diskTypeList", "description": "[Output Only] Type of resource. Always compute#diskTypeList for disk types.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } } }, "InterconnectOutageNotification": { "type": "object", "properties": { "endTime": { "type": "string", "format": "int64", "description": "Scheduled end time for the outage (milliseconds since Unix epoch)." }, "name": { "type": "string", "description": "Unique identifier for this outage notification." }, "state": { "enumDescriptions": [ "This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "The outage associated with this notification was cancelled before the outage was due to start.", "The outage associated with this notification is complete.", "[Deprecated] This outage notification is active. The event could be in the future, present, or past. See start_time and end_time for scheduling.", "[Deprecated] The outage associated with this notification was canceled before the outage was due to start." ], "description": "State of this notification, which can take one of the following values: - ACTIVE: This outage notification is active. The event could be in the past, present, or future. See start_time and end_time for scheduling. - CANCELLED: The outage associated with this notification was cancelled before the outage was due to start. - COMPLETED: The outage associated with this notification is complete. Note that the versions of this enum prefixed with \"NS_\" have been deprecated in favor of the unprefixed values.", "enum": [ "ACTIVE", "CANCELLED", "COMPLETED", "NS_ACTIVE", "NS_CANCELED" ], "type": "string" }, "description": { "description": "A description about the purpose of the outage.", "type": "string" }, "startTime": { "format": "int64", "description": "Scheduled start time for the outage (milliseconds since Unix epoch).", "type": "string" }, "affectedCircuits": { "items": { "type": "string" }, "description": "If issue_type is IT_PARTIAL_OUTAGE, a list of the Google-side circuit IDs that will be affected.", "type": "array" }, "source": { "enumDescriptions": [ "This notification was generated by Google.", "[Deprecated] This notification was generated by Google." ], "description": "The party that generated this notification, which can take the following value: - GOOGLE: this notification as generated by Google. Note that the value of NSRC_GOOGLE has been deprecated in favor of GOOGLE.", "type": "string", "enum": [ "GOOGLE", "NSRC_GOOGLE" ] }, "issueType": { "enum": [ "IT_OUTAGE", "IT_PARTIAL_OUTAGE", "OUTAGE", "PARTIAL_OUTAGE" ], "type": "string", "enumDescriptions": [ "[Deprecated] The Interconnect may be completely out of service for some or all of the specified window.", "[Deprecated] Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth.", "The Interconnect may be completely out of service for some or all of the specified window.", "Some circuits comprising the Interconnect will be out of service during the expected window. The interconnect as a whole should remain up, albeit with reduced bandwidth." ], "description": "Form this outage is expected to take, which can take one of the following values: - OUTAGE: The Interconnect may be completely out of service for some or all of the specified window. - PARTIAL_OUTAGE: Some circuits comprising the Interconnect as a whole should remain up, but with reduced bandwidth. Note that the versions of this enum prefixed with \"IT_\" have been deprecated in favor of the unprefixed values." } }, "id": "InterconnectOutageNotification", "description": "Description of a planned outage on this Interconnect." }, "RouterStatusNatStatus": { "description": "Status of a NAT contained in this router.", "id": "RouterStatusNatStatus", "properties": { "autoAllocatedNatIps": { "type": "array", "description": "A list of IPs auto-allocated for NAT. Example: [\"1.1.1.1\", \"129.2.16.89\"]", "items": { "type": "string" } }, "drainAutoAllocatedNatIps": { "description": "A list of IPs auto-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].", "items": { "type": "string" }, "type": "array" }, "numVmEndpointsWithNatMappings": { "format": "int32", "description": "Number of VM endpoints (i.e., Nics) that can use NAT.", "type": "integer" }, "userAllocatedNatIpResources": { "type": "array", "description": "A list of fully qualified URLs of reserved IP address resources.", "items": { "type": "string" } }, "minExtraNatIpsNeeded": { "format": "int32", "type": "integer", "description": "The number of extra IPs to allocate. This will be greater than 0 only if user-specified IPs are NOT enough to allow all configured VMs to use NAT. This value is meaningful only when auto-allocation of NAT IPs is *not* used." }, "ruleStatus": { "type": "array", "items": { "$ref": "RouterStatusNatStatusNatRuleStatus" }, "description": "Status of rules in this NAT." }, "userAllocatedNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of IPs user-allocated for NAT. They will be raw IP strings like \"179.12.26.133\"." }, "drainUserAllocatedNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of IPs user-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"]." }, "name": { "type": "string", "description": "Unique name of this NAT." } }, "type": "object" }, "InterconnectDiagnosticsARPEntry": { "properties": { "macAddress": { "type": "string", "description": "The MAC address of this ARP neighbor." }, "ipAddress": { "description": "The IP address of this ARP neighbor.", "type": "string" } }, "id": "InterconnectDiagnosticsARPEntry", "type": "object", "description": "Describing the ARP neighbor entries seen on this link" }, "ResourceGroupReference": { "properties": { "group": { "type": "string", "description": "A URI referencing one of the instance groups or network endpoint groups listed in the backend service." } }, "id": "ResourceGroupReference", "type": "object" }, "OperationList": { "properties": { "kind": { "default": "compute#operationList", "description": "[Output Only] Type of resource. Always `compute#operations` for Operations resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "Operation" }, "description": "[Output Only] A list of Operation resources.", "type": "array" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" } }, "type": "object", "description": "Contains a list of Operation resources.", "id": "OperationList" }, "AttachedDiskInitializeParams": { "id": "AttachedDiskInitializeParams", "type": "object", "description": "[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This field is persisted and returned for instanceTemplate and not returned in the context of instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "properties": { "diskSizeGb": { "format": "int64", "type": "string", "description": "Specifies the size of the disk in base-2 GB. The size must be at least 10 GB. If you specify a sourceImage, which is required for boot disks, the default size is the size of the sourceImage. If you do not specify a sourceImage, the default disk size is 500 GB." }, "sourceImageEncryptionKey": { "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key. Instance templates do not store customer-supplied encryption keys, so you cannot create disks for instances in a managed instance group if the source images are encrypted with your own keys.", "$ref": "CustomerEncryptionKey" }, "provisionedIops": { "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.", "type": "string", "format": "int64" }, "diskType": { "type": "string", "description": "Specifies the disk type to use to create the instance. If not specified, the default is pd-standard, specified using the full URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/pd-standard For a full list of acceptable values, see Persistent disk types. If you define this field, you can provide either the full or partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/diskType - projects/project/zones/zone/diskTypes/diskType - zones/zone/diskTypes/diskType Note that for InstanceTemplate, this is the name of the disk type, not URL." }, "diskName": { "description": "Specifies the disk name. If not specified, the default is to use the name of the instance. If a disk with the same name already exists in the given region, the existing disk is attached to the new instance and the new disk is not created.", "type": "string" }, "resourcePolicies": { "description": "Resource policies applied to this disk for automatic snapshot creations. Specified using the full or partial URL. For instance template, specify only the resource policy name.", "type": "array", "items": { "type": "string" } }, "sourceImage": { "type": "string", "description": "The source image to create this disk. When creating a new instance, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required except for local SSD. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family If the source image is deleted later, this field will not be set." }, "architecture": { "type": "string", "description": "The architecture of the attached disk. Valid values are arm64 or x86_64.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ] }, "sourceSnapshotEncryptionKey": { "description": "The customer-supplied encryption key of the source snapshot.", "$ref": "CustomerEncryptionKey" }, "labels": { "type": "object", "description": "Labels to apply to this disk. These can be later modified by the disks.setLabels method. This field is only applicable for persistent disks.", "additionalProperties": { "type": "string" } }, "licenses": { "description": "A list of publicly visible licenses. Reserved for Google's use.", "type": "array", "items": { "type": "string" } }, "description": { "type": "string", "description": "An optional description. Provide this property when creating the disk." }, "sourceSnapshot": { "description": "The source snapshot to create this disk. When creating a new instance, one of initializeParams.sourceSnapshot or initializeParams.sourceImage or disks.source is required except for local SSD. To create a disk with a snapshot that you created, specify the snapshot name in the following format: global/snapshots/my-backup If the source snapshot is deleted later, this field will not be set.", "type": "string" }, "onUpdateAction": { "enumDescriptions": [ "Always recreate the disk.", "Recreate the disk if source (image, snapshot) of this disk is different from source of existing disk.", "Use the existing disk, this is the default behaviour." ], "type": "string", "description": "Specifies which action to take on instance update with this disk. Default is to use the existing disk.", "enum": [ "RECREATE_DISK", "RECREATE_DISK_IF_SOURCE_CHANGED", "USE_EXISTING_DISK" ] } } }, "BackendServiceLocalityLoadBalancingPolicyConfigPolicy": { "id": "BackendServiceLocalityLoadBalancingPolicyConfigPolicy", "type": "object", "description": "The configuration for a built-in load balancing policy.", "properties": { "name": { "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default." ], "type": "string", "description": "The name of a locality load balancer policy to be used. The value should be one of the predefined ones as supported by localityLbPolicy, although at the moment only ROUND_ROBIN is supported. This field should only be populated when the customPolicy field is not used. Note that specifying the same policy more than once for a backend is not a valid configuration and will be rejected.", "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN" ] } } }, "RegionDiskTypeList": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "DiskType" }, "description": "A list of DiskType resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#regionDiskTypeList for region disk types.", "default": "compute#regionDiskTypeList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } } }, "id": "RegionDiskTypeList" }, "NetworkPeering": { "type": "object", "id": "NetworkPeering", "description": "A network peering attached to a network resource. The message includes the peering name, peer network, peering state, and a flag indicating whether Google Compute Engine should automatically create routes for the peering.", "properties": { "peerMtu": { "type": "integer", "description": "Maximum Transmission Unit in bytes.", "format": "int32" }, "importCustomRoutes": { "description": "Whether to import the custom routes from peer network. The default value is false.", "type": "boolean" }, "exportSubnetRoutesWithPublicIp": { "description": "Whether subnet routes with public IP range are exported. The default value is true, all subnet routes are exported. IPv4 special-use ranges are always exported to peers and are not controlled by this field.", "type": "boolean" }, "state": { "type": "string", "description": "[Output Only] State for the peering, either `ACTIVE` or `INACTIVE`. The peering is `ACTIVE` when there's a matching configuration in the peer network.", "enumDescriptions": [ "Matching configuration exists on the peer.", "There is no matching configuration on the peer, including the case when peer does not exist." ], "enum": [ "ACTIVE", "INACTIVE" ] }, "exportCustomRoutes": { "description": "Whether to export the custom routes to peer network. The default value is false.", "type": "boolean" }, "importSubnetRoutesWithPublicIp": { "description": "Whether subnet routes with public IP range are imported. The default value is false. IPv4 special-use ranges are always imported from peers and are not controlled by this field.", "type": "boolean" }, "stackType": { "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "This Peering will allow IPv4 traffic and routes to be exchanged. Additionally if the matching peering is IPV4_IPV6, IPv6 traffic and routes will be exchanged as well.", "This Peering will only allow IPv4 traffic and routes to be exchanged, even if the matching peering is IPV4_IPV6." ], "type": "string", "description": "Which IP version(s) of traffic and routes are allowed to be imported or exported between peer networks. The default value is IPV4_ONLY." }, "exchangeSubnetRoutes": { "description": "Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "name": { "type": "string", "description": "Name of this peering. Provided by the client when the peering is created. The name must comply with RFC1035. Specifically, the name must be 1-63 characters long and match regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all the following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "stateDetails": { "description": "[Output Only] Details about the current state of the peering.", "type": "string" }, "autoCreateRoutes": { "description": "This field will be deprecated soon. Use the exchange_subnet_routes field instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.", "type": "boolean" }, "network": { "type": "string", "description": "The URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network." } } }, "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig": { "properties": { "ruleVisibility": { "enumDescriptions": [ "", "" ], "enum": [ "PREMIUM", "STANDARD" ], "description": "Rule visibility can be one of the following: STANDARD - opaque rules. (default) PREMIUM - transparent rules.", "type": "string" }, "enable": { "type": "boolean", "description": "If set to true, enables CAAP for L7 DDoS detection." } }, "id": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig", "description": "Configuration options for L7 DDoS detection.", "type": "object" }, "TargetVpnGatewayList": { "description": "Contains a list of TargetVpnGateway resources.", "id": "TargetVpnGatewayList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#targetVpnGatewayList", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.", "type": "string" }, "items": { "description": "A list of TargetVpnGateway resources.", "type": "array", "items": { "$ref": "TargetVpnGateway" } } }, "type": "object" }, "NetworkEndpointGroupCloudFunction": { "properties": { "urlMask": { "description": "A template to parse function field from a request URL. URL mask allows for routing to multiple Cloud Functions without having to create multiple Network Endpoint Groups and backend services. For example, request URLs \" mydomain.com/function1\" and \"mydomain.com/function2\" can be backed by the same Serverless NEG with URL mask \"/\". The URL mask will parse them to { function = \"function1\" } and { function = \"function2\" } respectively.", "type": "string" }, "function": { "description": "A user-defined name of the Cloud Function. The function name is case-sensitive and must be 1-63 characters long. Example value: \"func1\".", "type": "string" } }, "description": "Configuration for a Cloud Function network endpoint group (NEG). The function must be provided explicitly or in the URL mask. Note: Cloud Function must be in the same project and located in the same region as the Serverless NEG.", "type": "object", "id": "NetworkEndpointGroupCloudFunction" }, "ResourcePolicyWeeklyCycle": { "properties": { "dayOfWeeks": { "items": { "$ref": "ResourcePolicyWeeklyCycleDayOfWeek" }, "type": "array", "description": "Up to 7 intervals/windows, one for each day of the week." } }, "id": "ResourcePolicyWeeklyCycle", "description": "Time window specified for weekly operations.", "type": "object" }, "InstanceGroupManagerStatusVersionTarget": { "properties": { "isReached": { "description": "[Output Only] A bit indicating whether version target has been reached in this managed instance group, i.e. all instances are in their target version. Instances' target version are specified by version field on Instance Group Manager.", "type": "boolean" } }, "id": "InstanceGroupManagerStatusVersionTarget", "type": "object" }, "BackendServiceCdnPolicy": { "id": "BackendServiceCdnPolicy", "type": "object", "properties": { "clientTtl": { "format": "int32", "description": "Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).", "type": "integer" }, "cacheMode": { "type": "string", "description": "Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "enumDescriptions": [ "Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.", "Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content.", "", "Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server." ], "enum": [ "CACHE_ALL_STATIC", "FORCE_CACHE_ALL", "INVALID_CACHE_MODE", "USE_ORIGIN_HEADERS" ] }, "maxTtl": { "description": "Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32", "type": "integer" }, "bypassCacheOnRequestHeaders": { "type": "array", "items": { "$ref": "BackendServiceCdnPolicyBypassCacheOnRequestHeader" }, "description": "Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings." }, "defaultTtl": { "format": "int32", "type": "integer", "description": "Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL." }, "signedUrlKeyNames": { "items": { "type": "string" }, "description": "[Output Only] Names of the keys for signing request URLs.", "type": "array" }, "negativeCaching": { "type": "boolean", "description": "Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy." }, "negativeCachingPolicy": { "type": "array", "description": "Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.", "items": { "$ref": "BackendServiceCdnPolicyNegativeCachingPolicy" } }, "cacheKeyPolicy": { "description": "The CacheKeyPolicy for this CdnPolicy.", "$ref": "CacheKeyPolicy" }, "serveWhileStale": { "type": "integer", "description": "Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale.", "format": "int32" }, "signedUrlCacheMaxAgeSec": { "type": "string", "description": "Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered.", "format": "int64" }, "requestCoalescing": { "description": "If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin.", "type": "boolean" } }, "description": "Message containing Cloud CDN configuration for a backend service." }, "RegionInstanceGroupManagersApplyUpdatesRequest": { "id": "RegionInstanceGroupManagersApplyUpdatesRequest", "type": "object", "description": "RegionInstanceGroupManagers.applyUpdatesToInstances", "properties": { "mostDisruptiveAllowedAction": { "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "description": "The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.", "type": "string" }, "allInstances": { "description": "Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request.", "type": "boolean" }, "instances": { "items": { "type": "string" }, "type": "array", "description": "The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." }, "minimalAction": { "description": "The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.", "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "type": "string" } } }, "SourceInstanceParams": { "type": "object", "id": "SourceInstanceParams", "properties": { "diskConfigs": { "description": "Attached disks configuration. If not provided, defaults are applied: For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.", "type": "array", "items": { "$ref": "DiskInstantiationConfig" } } }, "description": "A specification of the parameters to use when creating the instance template from a source instance." }, "BackendServiceList": { "description": "Contains a list of BackendService resources.", "id": "BackendServiceList", "type": "object", "properties": { "kind": { "default": "compute#backendServiceList", "description": "[Output Only] Type of resource. Always compute#backendServiceList for lists of backend services.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "items": { "$ref": "BackendService" }, "description": "A list of BackendService resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "FirewallList": { "id": "FirewallList", "description": "Contains a list of firewalls.", "properties": { "items": { "items": { "$ref": "Firewall" }, "description": "A list of Firewall resources.", "type": "array" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" } }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#firewallList for lists of firewalls.", "default": "compute#firewallList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "type": "object" }, "BackendService": { "description": "Represents a Backend Service resource. A backend service defines how Google Cloud load balancers distribute traffic. The backend service configuration contains a set of values, such as the protocol used to connect to backends, various distribution and session settings, health checks, and timeouts. These settings provide fine-grained control over how your load balancer behaves. Most of the settings have default values that allow for easy configuration if you need to get started quickly. Backend services in Google Compute Engine can be either regionally or globally scoped. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/v1/backendServices) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/v1/regionBackendServices) For more information, see Backend Services.", "type": "object", "id": "BackendService", "properties": { "affinityCookieTtlSec": { "type": "integer", "format": "int32", "description": "Lifetime of cookies in seconds. This setting is applicable to external and internal HTTP(S) load balancers and Traffic Director and requires GENERATED_COOKIE or HTTP_COOKIE session affinity. If set to 0, the cookie is non-persistent and lasts only until the end of the browser session (or equivalent). The maximum allowed value is two weeks (1,209,600). Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." }, "region": { "description": "[Output Only] URL of the region where the regional backend service resides. This field is not applicable to global backend services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "failoverPolicy": { "$ref": "BackendServiceFailoverPolicy", "description": "Requires at least one backend instance group to be defined as a backup (failover) backend. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview)." }, "logConfig": { "$ref": "BackendServiceLogConfig", "description": "This field denotes the logging options for the load balancer traffic served by this backend service. If logging is enabled, logs will be exported to Stackdriver." }, "localityLbPolicies": { "items": { "$ref": "BackendServiceLocalityLoadBalancingPolicyConfig" }, "description": "A list of locality load balancing policies to be used in order of preference. Either the policy or the customPolicy field should be set. Overrides any value set in the localityLbPolicy field. localityLbPolicies is only supported when the BackendService is referenced by a URL Map that is referenced by a target gRPC proxy that has the validateForProxyless field set to true.", "type": "array" }, "backends": { "items": { "$ref": "Backend" }, "description": "The list of backends that serve this BackendService.", "type": "array" }, "timeoutSec": { "type": "integer", "description": "The backend service timeout has a different meaning depending on the type of load balancer. For more information see, Backend service settings. The default is 30 seconds. The full range of timeout values allowed goes from 1 through 2,147,483,647 seconds. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. Instead, use maxStreamDuration.", "format": "int32" }, "protocol": { "type": "string", "description": "The protocol this BackendService uses to communicate with backends. Possible values are HTTP, HTTPS, HTTP2, TCP, SSL, UDP or GRPC. depending on the chosen load balancer or Traffic Director configuration. Refer to the documentation for the load balancers or for Traffic Director for more information. Must be set to GRPC when the backend service is referenced by a URL map that is bound to target gRPC proxy.", "enum": [ "GRPC", "HTTP", "HTTP2", "HTTPS", "SSL", "TCP", "UDP", "UNSPECIFIED" ], "enumDescriptions": [ "gRPC (available for Traffic Director).", "", "HTTP/2 with SSL.", "", "TCP proxying with SSL.", "TCP proxying or TCP pass-through.", "UDP.", "If a Backend Service has UNSPECIFIED as its protocol, it can be used with any L3/L4 Forwarding Rules." ] }, "localityLbPolicy": { "enum": [ "INVALID_LB_POLICY", "LEAST_REQUEST", "MAGLEV", "ORIGINAL_DESTINATION", "RANDOM", "RING_HASH", "ROUND_ROBIN" ], "type": "string", "description": "The load balancing algorithm used within the scope of the locality. The possible values are: - ROUND_ROBIN: This is a simple policy in which each healthy backend is selected in round robin order. This is the default. - LEAST_REQUEST: An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests. - RING_HASH: The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests. - RANDOM: The load balancer selects a random healthy host. - ORIGINAL_DESTINATION: Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer. - MAGLEV: used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824 This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. If sessionAffinity is not NONE, and this field is not set to MAGLEV or RING_HASH, session affinity settings will not take effect. Only ROUND_ROBIN and RING_HASH are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.", "enumDescriptions": [ "", "An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests.", "This algorithm implements consistent hashing to backends. Maglev can be used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824", "Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer.", "The load balancer selects a random healthy host.", "The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests.", "This is a simple policy in which each healthy backend is selected in round robin order. This is the default." ] }, "edgeSecurityPolicy": { "description": "[Output Only] The resource URL for the edge security policy associated with this backend service.", "type": "string" }, "iap": { "description": "The configurations for Identity-Aware Proxy on this resource. Not available for Internal TCP/UDP Load Balancing and Network Load Balancing.", "$ref": "BackendServiceIAP" }, "customResponseHeaders": { "items": { "type": "string" }, "description": "Headers that the load balancer adds to proxied responses. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).", "type": "array" }, "securitySettings": { "description": "This field specifies the security settings that apply to this backend service. This field is applicable to a global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED.", "$ref": "SecuritySettings" }, "customRequestHeaders": { "description": "Headers that the load balancer adds to proxied requests. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).", "type": "array", "items": { "type": "string" } }, "connectionTrackingPolicy": { "$ref": "BackendServiceConnectionTrackingPolicy", "description": "Connection Tracking configuration for this BackendService. Connection tracking policy settings are only available for Network Load Balancing and Internal TCP/UDP Load Balancing." }, "maxStreamDuration": { "description": "Specifies the default maximum duration (timeout) for streams to this service. Duration is computed from the beginning of the stream until the response has been completely processed, including all retries. A stream that does not complete in this duration is closed. If not specified, there will be no timeout limit, i.e. the maximum duration is infinite. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. This field is only allowed when the loadBalancingScheme of the backend service is INTERNAL_SELF_MANAGED.", "$ref": "Duration" }, "network": { "description": "The URL of the network to which this backend service belongs. This field can only be specified when the load balancing scheme is set to INTERNAL.", "type": "string" }, "sessionAffinity": { "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ], "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ], "type": "string", "description": "Type of session affinity to use. The default is NONE. Only NONE and HEADER_FIELD are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. For more details, see: [Session Affinity](https://cloud.google.com/load-balancing/docs/backend-service#session_affinity)." }, "cdnPolicy": { "$ref": "BackendServiceCdnPolicy", "description": "Cloud CDN configuration for this BackendService. Only available for specified load balancer types." }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#backendService for backend services.", "default": "compute#backendService" }, "portName": { "description": "A named port on a backend instance group representing the port for communication to the backend VMs in that group. The named port must be [defined on each backend instance group](https://cloud.google.com/load-balancing/docs/backend-service#named_ports). This parameter has no meaning if the backends are NEGs. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port_name.", "type": "string" }, "loadBalancingScheme": { "enumDescriptions": [ "Signifies that this will be used for external HTTP(S), SSL Proxy, TCP Proxy, or Network Load Balancing", "Signifies that this will be used for External Managed HTTP(S) Load Balancing.", "Signifies that this will be used for Internal TCP/UDP Load Balancing.", "Signifies that this will be used for Internal HTTP(S) Load Balancing.", "Signifies that this will be used by Traffic Director.", "" ], "type": "string", "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID_LOAD_BALANCING_SCHEME" ], "description": "Specifies the load balancer type. A backend service created for one type of load balancer cannot be used with another. For more information, refer to Choosing a load balancer." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "connectionDraining": { "$ref": "ConnectionDraining" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "circuitBreakers": { "$ref": "CircuitBreakers" }, "healthChecks": { "description": "The list of URLs to the healthChecks, httpHealthChecks (legacy), or httpsHealthChecks (legacy) resource for health checking this backend service. Not all backend services support legacy health checks. See Load balancer guide. Currently, at most one health check can be specified for each backend service. Backend services with instance group or zonal NEG backends must have a health check. Backend services with internet or serverless NEG backends must not have a health check.", "items": { "type": "string" }, "type": "array" }, "serviceBindings": { "description": "URLs of networkservices.ServiceBinding resources. Can only be set if load balancing scheme is INTERNAL_SELF_MANAGED. If set, lists of backends and health checks must be both empty.", "items": { "type": "string" }, "type": "array" }, "port": { "description": "Deprecated in favor of portName. The TCP port to connect on the backend. The default value is 80. For Internal TCP/UDP Load Balancing and Network Load Balancing, omit port.", "format": "int32", "type": "integer" }, "consistentHash": { "$ref": "ConsistentHashLoadBalancerSettings", "description": "Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service. This field specifies parameters that control consistent hashing. This field is only applicable when localityLbPolicy is set to MAGLEV or RING_HASH. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. " }, "subsetting": { "$ref": "Subsetting" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "securityPolicy": { "description": "[Output Only] The resource URL for the security policy associated with this backend service.", "type": "string" }, "outlierDetection": { "$ref": "OutlierDetection", "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service. If not set, this feature is considered disabled. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." }, "enableCDN": { "description": "If true, enables Cloud CDN for the backend service of an external HTTP(S) load balancer.", "type": "boolean" }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a BackendService. An up-to-date fingerprint must be provided in order to update the BackendService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a BackendService." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" } } }, "NetworkEndpointWithHealthStatus": { "type": "object", "properties": { "healths": { "description": "[Output only] The health status of network endpoint;", "type": "array", "items": { "$ref": "HealthStatusForNetworkEndpoint" } }, "networkEndpoint": { "description": "[Output only] The network endpoint;", "$ref": "NetworkEndpoint" } }, "id": "NetworkEndpointWithHealthStatus" }, "TargetSslProxiesSetSslCertificatesRequest": { "properties": { "sslCertificates": { "items": { "type": "string" }, "type": "array", "description": "New set of URLs to SslCertificate resources to associate with this TargetSslProxy. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates." } }, "type": "object", "id": "TargetSslProxiesSetSslCertificatesRequest" }, "TargetHttpProxyAggregatedList": { "properties": { "items": { "type": "object", "additionalProperties": { "$ref": "TargetHttpProxiesScopedList", "description": "Name of the scope containing this set of TargetHttpProxies." }, "description": "A list of TargetHttpProxiesScopedList resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#targetHttpProxyAggregatedList", "description": "[Output Only] Type of resource. Always compute#targetHttpProxyAggregatedList for lists of Target HTTP Proxies." } }, "id": "TargetHttpProxyAggregatedList", "type": "object" }, "Route": { "type": "object", "description": "Represents a Route resource. A route defines a path from VM instances in the VPC network to a specific destination. This destination can be inside or outside the VPC network. For more information, read the Routes overview.", "id": "Route", "properties": { "kind": { "description": "[Output Only] Type of this resource. Always compute#routes for Route resources.", "type": "string", "default": "compute#route" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "nextHopIp": { "type": "string", "description": "The network IP address of an instance that should handle matching packets. Only IPv4 is supported." }, "nextHopNetwork": { "description": "The URL of the local network if it should handle matching packets.", "type": "string" }, "nextHopInstance": { "type": "string", "description": "The URL to an instance that should handle matching packets. You can specify this as a full or partial URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.routes.insert" ] } }, "nextHopGateway": { "type": "string", "description": "The URL to a gateway that should handle matching packets. You can only specify the internet gateway using a full or partial valid URL: projects/ project/global/gateways/default-internet-gateway" }, "nextHopPeering": { "type": "string", "description": "[Output Only] The network peering name that should handle matching packets, which should conform to RFC1035." }, "destRange": { "annotations": { "required": [ "compute.routes.insert" ] }, "description": "The destination range of outgoing packets that this route applies to. Both IPv4 and IPv6 are supported.", "type": "string" }, "nextHopVpnTunnel": { "type": "string", "description": "The URL to a VpnTunnel that should handle matching packets." }, "tags": { "type": "array", "description": "A list of instance tags to which this route applies.", "annotations": { "required": [ "compute.routes.insert" ] }, "items": { "type": "string" } }, "network": { "description": "Fully-qualified URL of the network that this route applies to.", "annotations": { "required": [ "compute.routes.insert" ] }, "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this field when you create the resource." }, "nextHopIlb": { "type": "string", "description": "The URL to a forwarding rule of type loadBalancingScheme=INTERNAL that should handle matching packets or the IP address of the forwarding Rule. For example, the following are all valid URLs: - 10.128.0.56 - https://www.googleapis.com/compute/v1/projects/project/regions/region /forwardingRules/forwardingRule - regions/region/forwardingRules/forwardingRule " }, "routeStatus": { "type": "string", "enum": [ "ACTIVE", "DROPPED", "INACTIVE", "PENDING" ], "description": "[Output only] The status of the route.", "enumDescriptions": [ "This route is processed and active.", "The route is dropped due to the VPC exceeding the dynamic route limit. For dynamic route limit, please refer to the Learned route example", "This route is processed but inactive due to failure from the backend. The backend may have rejected the route", "This route is being processed internally. The status will change once processed." ] }, "routeType": { "type": "string", "description": "[Output Only] The type of this route, which can be one of the following values: - 'TRANSIT' for a transit route that this router learned from another Cloud Router and will readvertise to one of its BGP peers - 'SUBNET' for a route from a subnet of the VPC - 'BGP' for a route learned from a BGP peer of this router - 'STATIC' for a static route", "enumDescriptions": [ "", "", "", "" ], "enum": [ "BGP", "STATIC", "SUBNET", "TRANSIT" ] }, "priority": { "description": "The priority of this route. Priority is used to break ties in cases where there is more than one matching route of equal prefix length. In cases where multiple routes have equal prefix length, the one with the lowest-numbered priority value wins. The default value is `1000`. The priority value must be from `0` to `65535`, inclusive.", "format": "uint32", "annotations": { "required": [ "compute.routes.insert" ] }, "type": "integer" }, "warnings": { "items": { "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } }, "type": "array", "description": "[Output Only] If potential misconfigurations are detected for this route, this field will be populated with warning messages." }, "selfLink": { "description": "[Output Only] Server-defined fully-qualified URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "asPaths": { "items": { "$ref": "RouteAsPath" }, "description": "[Output Only] AS path.", "type": "array" } } }, "TargetHttpsProxyList": { "id": "TargetHttpsProxyList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "TargetHttpsProxy" }, "type": "array", "description": "A list of TargetHttpsProxy resources." }, "kind": { "default": "compute#targetHttpsProxyList", "type": "string", "description": "Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } } }, "description": "Contains a list of TargetHttpsProxy resources.", "type": "object" }, "AutoscalersScopedList": { "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of autoscalers when the list is empty.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "autoscalers": { "description": "[Output Only] A list of autoscalers contained in this scope.", "type": "array", "items": { "$ref": "Autoscaler" } } }, "type": "object", "id": "AutoscalersScopedList" }, "BulkInsertInstanceResourcePerInstanceProperties": { "type": "object", "description": "Per-instance properties to be set on individual instances. To be extended in the future.", "properties": { "name": { "description": "This field is only temporary. It will be removed. Do not use it.", "type": "string" } }, "id": "BulkInsertInstanceResourcePerInstanceProperties" }, "Snapshot": { "type": "object", "properties": { "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "autoCreated": { "type": "boolean", "description": "[Output Only] Set to true if snapshots are automatically created by applying resource policy on the target disk." }, "storageLocations": { "type": "array", "items": { "type": "string" }, "description": "Cloud Storage bucket storage location of the snapshot (regional or multi-regional)." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "diskSizeGb": { "format": "int64", "description": "[Output Only] Size of the source disk, specified in GB.", "type": "string" }, "licenseCodes": { "description": "[Output Only] Integer license codes indicating which licenses are attached to this snapshot.", "type": "array", "items": { "type": "string", "format": "int64" } }, "downloadBytes": { "type": "string", "format": "int64", "description": "[Output Only] Number of bytes downloaded to restore a snapshot to a disk." }, "labels": { "type": "object", "description": "Labels to apply to this snapshot. These can be later modified by the setLabels method. Label values may be empty.", "additionalProperties": { "type": "string" } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "storageBytes": { "type": "string", "description": "[Output Only] A size of the storage used by the snapshot. As snapshots share storage, this number is expected to change with snapshot creation/deletion.", "format": "int64" }, "sourceDiskEncryptionKey": { "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "status": { "enumDescriptions": [ "Snapshot creation is in progress.", "Snapshot is currently being deleted.", "Snapshot creation failed.", "Snapshot has been created successfully.", "Snapshot is being uploaded." ], "enum": [ "CREATING", "DELETING", "FAILED", "READY", "UPLOADING" ], "description": "[Output Only] The status of the snapshot. This can be CREATING, DELETING, FAILED, READY, or UPLOADING.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "sourceDiskId": { "type": "string", "description": "[Output Only] The ID value of the disk used to create this snapshot. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given disk name." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.snapshots.insert" ] }, "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "storageBytesStatus": { "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "UPDATING", "UP_TO_DATE" ] }, "chainName": { "description": "Creates the new snapshot in the snapshot chain labeled with the specified name. The chain name must be 1-63 characters long and comply with RFC1035. This is an uncommon option only for advanced service owners who needs to create separate snapshot chains, for example, for chargeback tracking. When you describe your snapshot resource, this field is visible only if it has a non-empty value.", "type": "string" }, "snapshotEncryptionKey": { "description": "Encrypts the snapshot using a customer-supplied encryption key. After you encrypt a snapshot using a customer-supplied key, you must provide the same key if you use the snapshot later. For example, you must provide the encryption key when you create a disk from the encrypted snapshot in a future request. Customer-supplied encryption keys do not protect access to metadata of the snapshot. If you do not provide an encryption key when creating the snapshot, then the snapshot will be encrypted using an automatically generated key and you do not need to provide a key to use the snapshot later.", "$ref": "CustomerEncryptionKey" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#snapshot for Snapshot resources.", "type": "string", "default": "compute#snapshot" }, "labelFingerprint": { "format": "byte", "description": "A fingerprint for the labels being applied to this snapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a snapshot.", "type": "string" }, "architecture": { "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ], "type": "string", "description": "[Output Only] The architecture of the snapshot. Valid values are ARM64 or X86_64." }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the snapshot close to other resources. This field is for use by internal tools that use the public API." }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "licenses": { "description": "[Output Only] A list of public visible licenses that apply to this snapshot. This can be because the original image had licenses attached (such as a Windows image).", "items": { "type": "string" }, "type": "array" }, "sourceDisk": { "type": "string", "description": "The source disk used to create this snapshot." } }, "id": "Snapshot", "description": "Represents a Persistent Disk Snapshot resource. You can use snapshots to back up data on a regular interval. For more information, read Creating persistent disk snapshots." }, "NodeGroupsScopedList": { "type": "object", "properties": { "nodeGroups": { "items": { "$ref": "NodeGroup" }, "type": "array", "description": "[Output Only] A list of node groups contained in this scope." }, "warning": { "type": "object", "description": "[Output Only] An informational warning that appears when the nodeGroup list is empty.", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } } }, "id": "NodeGroupsScopedList" }, "RegionInstanceGroupManagersRecreateRequest": { "properties": { "instances": { "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].", "items": { "type": "string" }, "type": "array" } }, "id": "RegionInstanceGroupManagersRecreateRequest", "type": "object" }, "SslCertificateSelfManagedSslCertificate": { "type": "object", "properties": { "privateKey": { "type": "string", "description": "A write-only private key in PEM format. Only insert requests will include this field." }, "certificate": { "description": "A local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.", "type": "string" } }, "description": "Configuration and status of a self-managed SSL certificate.", "id": "SslCertificateSelfManagedSslCertificate" }, "AcceleratorConfig": { "properties": { "acceleratorType": { "type": "string", "description": "Full or partial URL of the accelerator type resource to attach to this instance. For example: projects/my-project/zones/us-central1-c/acceleratorTypes/nvidia-tesla-p100 If you are creating an instance template, specify only the accelerator name. See GPUs on Compute Engine for a full list of accelerator types." }, "acceleratorCount": { "description": "The number of the guest accelerator cards exposed to this instance.", "format": "int32", "type": "integer" } }, "description": "A specification of the type and number of accelerator cards attached to the instance.", "id": "AcceleratorConfig", "type": "object" }, "BackendBucketCdnPolicyCacheKeyPolicy": { "id": "BackendBucketCdnPolicyCacheKeyPolicy", "properties": { "queryStringWhitelist": { "items": { "type": "string" }, "description": "Names of query string parameters to include in cache keys. Default parameters are always included. '&' and '=' will be percent encoded and not treated as delimiters.", "type": "array" }, "includeHttpHeaders": { "items": { "type": "string" }, "type": "array", "description": "Allows HTTP request headers (by name) to be used in the cache key." } }, "description": "Message containing what to include in the cache key for a request for Cloud CDN.", "type": "object" }, "RegionInstanceGroupManagersDeleteInstancesRequest": { "id": "RegionInstanceGroupManagersDeleteInstancesRequest", "type": "object", "properties": { "skipInstancesOnValidationError": { "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region.", "type": "boolean" }, "instances": { "type": "array", "items": { "type": "string" }, "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } } }, "DiskInstantiationConfig": { "properties": { "customImage": { "description": "The custom source image to be used to restore this disk when instantiating this instance template.", "type": "string" }, "deviceName": { "type": "string", "description": "Specifies the device name of the disk to which the configurations apply to." }, "autoDelete": { "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).", "type": "boolean" }, "instantiateFrom": { "description": "Specifies whether to include the disk and what image to use. Possible values are: - source-image: to use the same image that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - source-image-family: to use the same image family that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - custom-image: to use a user-provided image url for disk creation. Applicable to the boot disk and additional read-write disks. - attach-read-only: to attach a read-only disk. Applicable to read-only disks. - do-not-include: to exclude a disk from the template. Applicable to additional read-write disks, local SSDs, and read-only disks. ", "type": "string", "enum": [ "ATTACH_READ_ONLY", "BLANK", "CUSTOM_IMAGE", "DEFAULT", "DO_NOT_INCLUDE", "SOURCE_IMAGE", "SOURCE_IMAGE_FAMILY" ], "enumDescriptions": [ "Attach the existing disk in read-only mode. The request will fail if the disk was attached in read-write mode on the source instance. Applicable to: read-only disks.", "Create a blank disk. The disk will be created unformatted. Applicable to: additional read-write disks, local SSDs.", "Use the custom image specified in the custom_image field. Applicable to: boot disk, additional read-write disks.", "Use the default instantiation option for the corresponding type of disk. For boot disk and any other R/W disks, new custom images will be created from each disk. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.", "Do not include the disk in the instance template. Applicable to: additional read-write disks, local SSDs, read-only disks.", "Use the same source image used for creation of the source instance's corresponding disk. The request will fail if the source VM's disk was created from a snapshot. Applicable to: boot disk, additional read-write disks.", "Use the same source image family used for creation of the source instance's corresponding disk. The request will fail if the source image of the source disk does not belong to any image family. Applicable to: boot disk, additional read-write disks." ] } }, "id": "DiskInstantiationConfig", "description": "A specification of the desired way to instantiate a disk in the instance template when its created from a source instance.", "type": "object" }, "BackendBucketList": { "id": "BackendBucketList", "description": "Contains a list of BackendBucket resources.", "properties": { "items": { "description": "A list of BackendBucket resources.", "type": "array", "items": { "$ref": "BackendBucket" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#backendBucketList", "description": "Type of resource.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object" }, "DiskTypesScopedList": { "type": "object", "properties": { "diskTypes": { "type": "array", "description": "[Output Only] A list of disk types contained in this scope.", "items": { "$ref": "DiskType" } }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "description": "[Output Only] Informational warning which replaces the list of disk types when the list is empty." } }, "id": "DiskTypesScopedList" }, "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "properties": { "type": { "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ], "type": "string", "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL.", "enumDescriptions": [ "", "", "", "" ] }, "name": { "description": "[Output Only] The name of the firewall policy.", "type": "string" }, "displayName": { "type": "string", "description": "[Output Only] The display name of the firewall policy." }, "rules": { "items": { "$ref": "FirewallPolicyRule" }, "description": "The rules that apply to the network.", "type": "array" } }, "id": "RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "type": "object" }, "SslCertificatesScopedList": { "id": "SslCertificatesScopedList", "type": "object", "properties": { "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } }, "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object" }, "sslCertificates": { "description": "List of SslCertificates contained in this scope.", "items": { "$ref": "SslCertificate" }, "type": "array" } } }, "Autoscaler": { "properties": { "kind": { "type": "string", "default": "compute#autoscaler", "description": "[Output Only] Type of the resource. Always compute#autoscaler for autoscalers." }, "target": { "description": "URL of the managed instance group that this autoscaler will scale. This field is required when creating an autoscaler.", "type": "string" }, "scalingScheduleStatus": { "additionalProperties": { "$ref": "ScalingScheduleStatus" }, "description": "[Output Only] Status information of existing scaling schedules.", "type": "object" }, "recommendedSize": { "format": "int32", "type": "integer", "description": "[Output Only] Target recommended MIG size (number of instances) computed by autoscaler. Autoscaler calculates the recommended MIG size even when the autoscaling policy mode is different from ON. This field is empty when autoscaler is not connected to an existing managed instance group or autoscaler did not generate its prediction." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the instance group resides (for autoscalers living in regional scope)." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "status": { "enum": [ "ACTIVE", "DELETING", "ERROR", "PENDING" ], "description": "[Output Only] The status of the autoscaler configuration. Current set of possible values: - PENDING: Autoscaler backend hasn't read new/updated configuration. - DELETING: Configuration is being deleted. - ACTIVE: Configuration is acknowledged to be effective. Some warnings might be present in the statusDetails field. - ERROR: Configuration has errors. Actionable for users. Details are present in the statusDetails field. New values might be added in the future.", "enumDescriptions": [ "Configuration is acknowledged to be effective", "Configuration is being deleted", "Configuration has errors. Actionable for users.", "Autoscaler backend hasn't read new/updated configuration" ], "type": "string" }, "autoscalingPolicy": { "description": "The configuration parameters for the autoscaling algorithm. You can define one or more signals for an autoscaler: cpuUtilization, customMetricUtilizations, and loadBalancingUtilization. If none of these are specified, the default will be to autoscale based on cpuUtilization to 0.6 or 60%.", "$ref": "AutoscalingPolicy" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.autoscalers.insert" ] } }, "statusDetails": { "items": { "$ref": "AutoscalerStatusDetails" }, "description": "[Output Only] Human-readable details about the current state of the autoscaler. Read the documentation for Commonly returned status messages for examples of status messages you might encounter.", "type": "array" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "zone": { "description": "[Output Only] URL of the zone where the instance group resides (for autoscalers living in zonal scope).", "type": "string" } }, "id": "Autoscaler", "type": "object", "description": "Represents an Autoscaler resource. Google Compute Engine has two Autoscaler resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/v1/autoscalers) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionAutoscalers) Use autoscalers to automatically add or delete instances from a managed instance group according to your defined autoscaling policy. For more information, read Autoscaling Groups of Instances. For zonal managed instance groups resource, use the autoscaler resource. For regional managed instance groups, use the regionAutoscalers resource." }, "InstanceAggregatedList": { "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "default": "compute#instanceAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#instanceAggregatedList for aggregated lists of Instance resources." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "items": { "description": "An object that contains a list of instances scoped by zone.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of instances.", "$ref": "InstancesScopedList" }, "type": "object" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "InstanceAggregatedList" }, "LicensesListResponse": { "id": "LicensesListResponse", "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "items": { "$ref": "License" }, "description": "A list of License resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "type": "object" }, "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "type": "object", "properties": { "type": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "HIERARCHY", "NETWORK", "NETWORK_REGIONAL", "UNSPECIFIED" ], "description": "[Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL." }, "rules": { "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" }, "type": "array" }, "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy." }, "shortName": { "description": "[Output Only] The short name of the firewall policy.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] The name of the firewall policy." } }, "id": "InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy" }, "InterconnectAttachmentsScopedList": { "type": "object", "properties": { "interconnectAttachments": { "items": { "$ref": "InterconnectAttachment" }, "description": "A list of interconnect attachments contained in this scope.", "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } } }, "description": "Informational warning which replaces the list of addresses when the list is empty.", "type": "object" } }, "id": "InterconnectAttachmentsScopedList" }, "HttpFaultInjection": { "properties": { "delay": { "description": "The specification for how client requests are delayed as part of fault injection, before being sent to a backend service.", "$ref": "HttpFaultDelay" }, "abort": { "description": "The specification for how client requests are aborted as part of fault injection.", "$ref": "HttpFaultAbort" } }, "id": "HttpFaultInjection", "type": "object", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by the load balancer on a percentage of requests before sending those request to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests." }, "AuthorizationLoggingOptions": { "type": "object", "description": "This is deprecated and has no effect. Do not use.", "properties": { "permissionType": { "type": "string", "description": "This is deprecated and has no effect. Do not use.", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "ADMIN_READ", "ADMIN_WRITE", "DATA_READ", "DATA_WRITE", "PERMISSION_TYPE_UNSPECIFIED" ] } }, "id": "AuthorizationLoggingOptions" }, "NodeGroup": { "description": "Represents a sole-tenant Node Group resource. A sole-tenant node is a physical server that is dedicated to hosting VM instances only for your specific project. Use sole-tenant nodes to keep your instances physically separated from instances in other projects, or to group your instances together on the same host hardware. For more information, read Sole-tenant nodes.", "properties": { "size": { "description": "[Output Only] The total number of nodes in the node group.", "format": "int32", "type": "integer" }, "maintenancePolicy": { "enumDescriptions": [ "Allow the node and corresponding instances to retain default maintenance behavior.", "", "When maintenance must be done on a node, the instances on that node will be moved to other nodes in the group. Instances with onHostMaintenance = MIGRATE will live migrate to their destinations while instances with onHostMaintenance = TERMINATE will terminate and then restart on their destination nodes if automaticRestart = true.", "Instances in this group will restart on the same node when maintenance has completed. Instances must have onHostMaintenance = TERMINATE, and they will only restart if automaticRestart = true." ], "type": "string", "enum": [ "DEFAULT", "MAINTENANCE_POLICY_UNSPECIFIED", "MIGRATE_WITHIN_NODE_GROUP", "RESTART_IN_PLACE" ], "description": "Specifies how to handle instances when a node in the group undergoes maintenance. Set to one of: DEFAULT, RESTART_IN_PLACE, or MIGRATE_WITHIN_NODE_GROUP. The default value is DEFAULT. For more information, see Maintenance policies." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "fingerprint": { "type": "string", "format": "byte" }, "maintenanceWindow": { "$ref": "NodeGroupMaintenanceWindow" }, "zone": { "description": "[Output Only] The name of the zone where the node group resides, such as us-central1-a.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "nodeTemplate": { "type": "string", "description": "URL of the node template to create the node group from." }, "autoscalingPolicy": { "$ref": "NodeGroupAutoscalingPolicy", "description": "Specifies how autoscaling should behave." }, "status": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "type": "string" }, "locationHint": { "type": "string", "description": "An opaque location hint used to place the Node close to other resources. This field is for use by internal tools that use the public API. The location hint here on the NodeGroup overrides any location_hint present in the NodeTemplate." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#nodeGroup", "description": "[Output Only] The type of the resource. Always compute#nodeGroup for node group." } }, "id": "NodeGroup", "type": "object" }, "RegionInstanceGroupList": { "type": "object", "description": "Contains a list of InstanceGroup resources.", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "type": "array" } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "description": "The resource type.", "type": "string", "default": "compute#regionInstanceGroupList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "A list of InstanceGroup resources.", "items": { "$ref": "InstanceGroup" }, "type": "array" } }, "id": "RegionInstanceGroupList" }, "ExternalVpnGatewayList": { "type": "object", "properties": { "etag": { "type": "string" }, "items": { "items": { "$ref": "ExternalVpnGateway" }, "type": "array", "description": "A list of ExternalVpnGateway resources." }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "type": "string", "default": "compute#externalVpnGatewayList", "description": "[Output Only] Type of resource. Always compute#externalVpnGatewayList for lists of externalVpnGateways." } }, "description": "Response to the list request, and contains a list of externalVpnGateways.", "id": "ExternalVpnGatewayList" }, "FirewallPolicyList": { "id": "FirewallPolicyList", "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "default": "compute#firewallPolicyList", "description": "[Output Only] Type of resource. Always compute#firewallPolicyList for listsof FirewallPolicies", "type": "string" }, "items": { "type": "array", "description": "A list of FirewallPolicy resources.", "items": { "$ref": "FirewallPolicy" } }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "DiskAggregatedList": { "id": "DiskAggregatedList", "type": "object", "properties": { "items": { "type": "object", "description": "A list of DisksScopedList resources.", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of disks.", "$ref": "DisksScopedList" } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#diskAggregatedList for aggregated lists of persistent disks.", "default": "compute#diskAggregatedList" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } } } }, "VpnGatewayList": { "description": "Contains a list of VpnGateway resources.", "properties": { "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "VpnGateway" }, "description": "A list of VpnGateway resources.", "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#vpnGatewayList", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "VpnGatewayList", "type": "object" }, "NetworkEndpointGroupsListNetworkEndpoints": { "id": "NetworkEndpointGroupsListNetworkEndpoints", "type": "object", "properties": { "items": { "items": { "$ref": "NetworkEndpointWithHealthStatus" }, "type": "array", "description": "A list of NetworkEndpointWithHealthStatus resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "type": "string", "default": "compute#networkEndpointGroupsListNetworkEndpoints", "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "RouterNatRule": { "properties": { "match": { "description": "CEL expression that specifies the match condition that egress traffic from a VM is evaluated against. If it evaluates to true, the corresponding `action` is enforced. The following examples are valid match expressions for public NAT: \"inIpRange(destination.ip, '1.1.0.0/16') || inIpRange(destination.ip, '2.2.0.0/16')\" \"destination.ip == '1.1.0.1' || destination.ip == '8.8.8.8'\" The following example is a valid match expression for private NAT: \"nexthop.hub == 'https://networkconnectivity.googleapis.com/v1alpha1/projects/my-project/global/hub/hub-1'\"", "type": "string" }, "action": { "description": "The action to be enforced for traffic that matches this rule.", "$ref": "RouterNatRuleAction" }, "description": { "description": "An optional description of this rule.", "type": "string" }, "ruleNumber": { "description": "An integer uniquely identifying a rule in the list. The rule number must be a positive value between 0 and 65000, and must be unique among rules within a NAT.", "format": "uint32", "type": "integer" } }, "type": "object", "id": "RouterNatRule" }, "BfdStatus": { "properties": { "negotiatedLocalControlTxIntervalMs": { "description": "Negotiated transmit interval for control packets.", "type": "integer", "format": "uint32" }, "controlPacketIntervals": { "description": "Inter-packet time interval statistics for control packets.", "type": "array", "items": { "$ref": "PacketIntervals" } }, "controlPacketCounts": { "description": "Control packet counts for the current BFD session.", "$ref": "BfdStatusPacketCounts" }, "bfdSessionInitializationMode": { "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer.", "enumDescriptions": [ "", "", "" ], "type": "string" }, "txPacket": { "description": "The most recent Tx control packet for this BFD session.", "$ref": "BfdPacket" }, "localState": { "enumDescriptions": [ "", "", "", "", "" ], "description": "The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880", "type": "string", "enum": [ "ADMIN_DOWN", "DOWN", "INIT", "STATE_UNSPECIFIED", "UP" ] }, "uptimeMs": { "description": "Session uptime in milliseconds. Value will be 0 if session is not up.", "type": "string", "format": "int64" }, "configUpdateTimestampMicros": { "format": "int64", "description": "Unix timestamp of the most recent config update.", "type": "string" }, "localDiagnostic": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "type": "string", "description": "The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880", "enum": [ "ADMINISTRATIVELY_DOWN", "CONCATENATED_PATH_DOWN", "CONTROL_DETECTION_TIME_EXPIRED", "DIAGNOSTIC_UNSPECIFIED", "ECHO_FUNCTION_FAILED", "FORWARDING_PLANE_RESET", "NEIGHBOR_SIGNALED_SESSION_DOWN", "NO_DIAGNOSTIC", "PATH_DOWN", "REVERSE_CONCATENATED_PATH_DOWN" ] }, "rxPacket": { "$ref": "BfdPacket", "description": "The most recent Rx control packet for this BFD session." } }, "description": "Next free: 15", "id": "BfdStatus", "type": "object" }, "NamedPort": { "description": "The named port. For example: \u003c\"http\", 80\u003e.", "properties": { "port": { "description": "The port number, which can be a value between 1 and 65535.", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "The name for this named port. The name must be 1-63 characters long, and comply with RFC1035." } }, "type": "object", "id": "NamedPort" }, "NetworksRemovePeeringRequest": { "type": "object", "id": "NetworksRemovePeeringRequest", "properties": { "name": { "type": "string", "description": "Name of the peering, which should conform to RFC1035." } } }, "TargetInstanceList": { "id": "TargetInstanceList", "type": "object", "properties": { "kind": { "default": "compute#targetInstanceList", "description": "Type of resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "A list of TargetInstance resources.", "items": { "$ref": "TargetInstance" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "description": "Contains a list of TargetInstance resources." }, "GlobalNetworkEndpointGroupsDetachEndpointsRequest": { "properties": { "networkEndpoints": { "description": "The list of network endpoints to be detached.", "type": "array", "items": { "$ref": "NetworkEndpoint" } } }, "id": "GlobalNetworkEndpointGroupsDetachEndpointsRequest", "type": "object" }, "ServiceAttachmentAggregatedList": { "type": "object", "description": "Contains a list of ServiceAttachmentsScopedList.", "properties": { "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#serviceAttachmentAggregatedList", "description": "Type of resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of ServiceAttachmentsScopedList resources.", "additionalProperties": { "$ref": "ServiceAttachmentsScopedList", "description": "Name of the scope containing this set of ServiceAttachments." }, "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" } }, "id": "ServiceAttachmentAggregatedList" }, "HealthCheckLogConfig": { "id": "HealthCheckLogConfig", "properties": { "enable": { "type": "boolean", "description": "Indicates whether or not to export logs. This is false by default, which means no health check logging will be done." } }, "type": "object", "description": "Configuration of logging on a health check. If logging is enabled, logs will be exported to Stackdriver." }, "RouterStatusNatStatusNatRuleStatus": { "properties": { "activeNatIps": { "items": { "type": "string" }, "type": "array", "description": "A list of active IPs for NAT. Example: [\"1.1.1.1\", \"179.12.26.133\"]." }, "numVmEndpointsWithNatMappings": { "format": "int32", "type": "integer", "description": "Number of VM endpoints (i.e., NICs) that have NAT Mappings from this NAT Rule." }, "minExtraIpsNeeded": { "format": "int32", "type": "integer", "description": "The number of extra IPs to allocate. This will be greater than 0 only if the existing IPs in this NAT Rule are NOT enough to allow all configured VMs to use NAT." }, "drainNatIps": { "type": "array", "items": { "type": "string" }, "description": "A list of IPs for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"]." }, "ruleNumber": { "format": "int32", "description": "Rule number of the rule.", "type": "integer" } }, "type": "object", "description": "Status of a NAT Rule contained in this NAT.", "id": "RouterStatusNatStatusNatRuleStatus" }, "MachineTypesScopedList": { "properties": { "warning": { "description": "[Output Only] An informational warning that appears when the machine types list is empty.", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "machineTypes": { "type": "array", "items": { "$ref": "MachineType" }, "description": "[Output Only] A list of machine types contained in this scope." } }, "id": "MachineTypesScopedList", "type": "object" }, "SubnetworksExpandIpCidrRangeRequest": { "properties": { "ipCidrRange": { "description": "The IP (in CIDR format or netmask) of internal addresses that are legal on this Subnetwork. This range should be disjoint from other subnetworks within this network. This range can only be larger than (i.e. a superset of) the range previously defined before the update.", "type": "string" } }, "id": "SubnetworksExpandIpCidrRangeRequest", "type": "object" }, "RegionInstanceGroupManagersSetTargetPoolsRequest": { "type": "object", "properties": { "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of the target pools information, which is a hash of the contents. This field is used for optimistic locking when you update the target pool entries. This field is optional." }, "targetPools": { "description": "The URL of all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.", "items": { "type": "string" }, "type": "array" } }, "id": "RegionInstanceGroupManagersSetTargetPoolsRequest" }, "Help": { "properties": { "links": { "description": "URL(s) pointing to additional information on handling the current error.", "items": { "$ref": "HelpLink" }, "type": "array" } }, "type": "object", "id": "Help", "description": "Provides links to documentation or for performing an out of band action. For example, if a quota check failed with an error indicating the calling project hasn't enabled the accessed service, this can contain a URL pointing directly to the right place in the developer console to flip the bit." }, "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy": { "id": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy", "properties": { "shortName": { "description": "[Output Only] The short name of the firewall policy.", "type": "string" }, "rules": { "description": "The rules that apply to the network.", "items": { "$ref": "FirewallPolicyRule" }, "type": "array" }, "type": { "enum": [ "HIERARCHY", "NETWORK", "UNSPECIFIED" ], "enumDescriptions": [ "", "", "" ], "description": "[Output Only] The type of the firewall policy.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] The name of the firewall policy." }, "displayName": { "type": "string", "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy." } }, "type": "object" }, "HealthChecksScopedList": { "properties": { "healthChecks": { "description": "A list of HealthChecks contained in this scope.", "type": "array", "items": { "$ref": "HealthCheck" } }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "Informational warning which replaces the list of backend services when the list is empty." } }, "id": "HealthChecksScopedList", "type": "object" }, "HealthCheckServiceReference": { "id": "HealthCheckServiceReference", "description": "A full or valid partial URL to a health check service. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/regions/us-west1/healthCheckServices/health-check-service - projects/project-id/regions/us-west1/healthCheckServices/health-check-service - regions/us-west1/healthCheckServices/health-check-service ", "type": "object", "properties": { "healthCheckService": { "type": "string" } } }, "FirewallPolicyRule": { "properties": { "match": { "$ref": "FirewallPolicyRuleMatcher", "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced." }, "description": { "description": "An optional description for this resource.", "type": "string" }, "ruleTupleCount": { "type": "integer", "format": "int32", "description": "[Output Only] Calculation of the complexity of a single firewall policy rule." }, "kind": { "type": "string", "default": "compute#firewallPolicyRule", "description": "[Output only] Type of the resource. Always compute#firewallPolicyRule for firewall policy rules" }, "ruleName": { "description": "An optional name for the rule. This field is not a unique identifier and can be updated.", "type": "string" }, "enableLogging": { "type": "boolean", "description": "Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules." }, "direction": { "enum": [ "EGRESS", "INGRESS" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "The direction in which this rule applies." }, "disabled": { "description": "Denotes whether the firewall policy rule is disabled. When set to true, the firewall policy rule is not enforced and traffic behaves as if it did not exist. If this is unspecified, the firewall policy rule will be enabled.", "type": "boolean" }, "targetSecureTags": { "items": { "$ref": "FirewallPolicyRuleSecureTag" }, "type": "array", "description": "A list of secure tags that controls which instances the firewall rule applies to. If targetSecureTag are specified, then the firewall rule applies only to instances in the VPC network that have one of those EFFECTIVE secure tags, if all the target_secure_tag are in INEFFECTIVE state, then this rule will be ignored. targetSecureTag may not be set at the same time as targetServiceAccounts. If neither targetServiceAccounts nor targetSecureTag are specified, the firewall rule applies to all instances on the specified network. Maximum number of target label tags allowed is 256." }, "targetResources": { "type": "array", "description": "A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule.", "items": { "type": "string" } }, "priority": { "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest prority.", "format": "int32", "type": "integer" }, "targetServiceAccounts": { "type": "array", "items": { "type": "string" }, "description": "A list of service accounts indicating the sets of instances that are applied with this rule." }, "action": { "type": "string", "description": "The Action to perform when the client connection triggers the rule. Can currently be either \"allow\" or \"deny()\" where valid values for status are 403, 404, and 502." } }, "id": "FirewallPolicyRule", "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "type": "object" }, "RouteAsPath": { "id": "RouteAsPath", "properties": { "asLists": { "description": "[Output Only] The AS numbers of the AS Path.", "type": "array", "items": { "format": "uint32", "type": "integer" } }, "pathSegmentType": { "enum": [ "AS_CONFED_SEQUENCE", "AS_CONFED_SET", "AS_SEQUENCE", "AS_SET" ], "description": "[Output Only] The type of the AS Path, which can be one of the following values: - 'AS_SET': unordered set of autonomous systems that the route in has traversed - 'AS_SEQUENCE': ordered set of autonomous systems that the route has traversed - 'AS_CONFED_SEQUENCE': ordered set of Member Autonomous Systems in the local confederation that the route has traversed - 'AS_CONFED_SET': unordered set of Member Autonomous Systems in the local confederation that the route has traversed ", "type": "string", "enumDescriptions": [ "", "", "", "" ] } }, "type": "object" }, "NetworkEndpointGroupCloudRun": { "type": "object", "id": "NetworkEndpointGroupCloudRun", "description": "Configuration for a Cloud Run network endpoint group (NEG). The service must be provided explicitly or in the URL mask. The tag is optional, may be provided explicitly or in the URL mask. Note: Cloud Run service must be in the same project and located in the same region as the Serverless NEG.", "properties": { "tag": { "type": "string", "description": "Optional Cloud Run tag represents the \"named-revision\" to provide additional fine-grained traffic routing information. The tag must be 1-63 characters long, and comply with RFC1035. Example value: \"revision-0010\"." }, "urlMask": { "description": "A template to parse \u003cservice\u003e and \u003ctag\u003e fields from a request URL. URL mask allows for routing to multiple Run services without having to create multiple network endpoint groups and backend services. For example, request URLs \"foo1.domain.com/bar1\" and \"foo1.domain.com/bar2\" can be backed by the same Serverless Network Endpoint Group (NEG) with URL mask \"\u003ctag\u003e.domain.com/\u003cservice\u003e\". The URL mask will parse them to { service=\"bar1\", tag=\"foo1\" } and { service=\"bar2\", tag=\"foo2\" } respectively.", "type": "string" }, "service": { "type": "string", "description": "Cloud Run service is the main resource of Cloud Run. The service must be 1-63 characters long, and comply with RFC1035. Example value: \"run-service\"." } } }, "RouterBgpPeerBfd": { "properties": { "sessionInitializationMode": { "description": "The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer. The default is DISABLED.", "type": "string", "enum": [ "ACTIVE", "DISABLED", "PASSIVE" ], "enumDescriptions": [ "", "", "" ] }, "minReceiveInterval": { "type": "integer", "format": "uint32", "description": "The minimum interval, in milliseconds, between BFD control packets received from the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the transmit interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000." }, "minTransmitInterval": { "type": "integer", "description": "The minimum interval, in milliseconds, between BFD control packets transmitted to the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the corresponding receive interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000.", "format": "uint32" }, "multiplier": { "format": "uint32", "description": "The number of consecutive BFD packets that must be missed before BFD declares that a peer is unavailable. If set, the value must be a value between 5 and 16. The default is 5.", "type": "integer" } }, "id": "RouterBgpPeerBfd", "type": "object" }, "ExternalVpnGateway": { "description": "Represents an external VPN gateway. External VPN gateway is the on-premises VPN gateway(s) or another cloud provider's VPN gateway that connects to your Google Cloud VPN gateway. To create a highly available VPN from Google Cloud Platform to your VPN gateway or another cloud provider's VPN gateway, you must create a external VPN gateway resource with information about the other gateway. For more information about using external VPN gateways, see Creating an HA VPN gateway and tunnel pair to a peer VPN.", "id": "ExternalVpnGateway", "properties": { "interfaces": { "type": "array", "items": { "$ref": "ExternalVpnGatewayInterface" }, "description": "A list of interfaces for this external VPN gateway. If your peer-side gateway is an on-premises gateway and non-AWS cloud providers' gateway, at most two interfaces can be provided for an external VPN gateway. If your peer side is an AWS virtual private gateway, four interfaces should be provided for an external VPN gateway." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this ExternalVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an ExternalVpnGateway." }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "redundancyType": { "enum": [ "FOUR_IPS_REDUNDANCY", "SINGLE_IP_INTERNALLY_REDUNDANT", "TWO_IPS_REDUNDANCY" ], "description": "Indicates the user-supplied redundancy type of this external VPN gateway.", "type": "string", "enumDescriptions": [ "The external VPN gateway has four public IP addresses; at the time of writing this API, the AWS virtual private gateway is an example which has four public IP addresses for high availability connections; there should be two VPN connections in the AWS virtual private gateway , each AWS VPN connection has two public IP addresses; please make sure to put two public IP addresses from one AWS VPN connection into interfaces 0 and 1 of this external VPN gateway, and put the other two public IP addresses from another AWS VPN connection into interfaces 2 and 3 of this external VPN gateway. When displaying highly available configuration status for the VPN tunnels connected to FOUR_IPS_REDUNDANCY external VPN gateway, Google will always detect whether interfaces 0 and 1 are connected on one interface of HA Cloud VPN gateway, and detect whether interfaces 2 and 3 are connected to another interface of the HA Cloud VPN gateway.", "The external VPN gateway has only one public IP address which internally provide redundancy or failover.", "The external VPN gateway has two public IP addresses which are redundant with each other, the following two types of setup on your on-premises side would have this type of redundancy: (1) Two separate on-premises gateways, each with one public IP address, the two on-premises gateways are redundant with each other. (2) A single on-premise gateway with two public IP addresses that are redundant with eatch other." ] }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "annotations": { "required": [ "compute.externalVpnGateways.insert" ] } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#externalVpnGateway for externalVpnGateways.", "type": "string", "default": "compute#externalVpnGateway" } }, "type": "object" }, "NetworkRoutingConfig": { "id": "NetworkRoutingConfig", "type": "object", "description": "A routing configuration attached to a network resource. The message includes the list of routers associated with the network, and a flag indicating the type of routing behavior to enforce network-wide.", "properties": { "routingMode": { "enumDescriptions": [ "", "" ], "type": "string", "description": "The network-wide routing mode to use. If set to REGIONAL, this network's Cloud Routers will only advertise routes with subnets of this network in the same region as the router. If set to GLOBAL, this network's Cloud Routers will advertise routes with all subnets of this network, across regions.", "enum": [ "GLOBAL", "REGIONAL" ] } } }, "TestFailure": { "id": "TestFailure", "properties": { "actualService": { "type": "string", "description": "BackendService or BackendBucket returned by load balancer." }, "actualRedirectResponseCode": { "description": "Actual HTTP status code for rule with `urlRedirect` calculated by load balancer", "format": "int32", "type": "integer" }, "headers": { "items": { "$ref": "UrlMapTestHeader" }, "type": "array", "description": "HTTP headers of the request." }, "expectedService": { "type": "string", "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to." }, "host": { "type": "string", "description": "Host portion of the URL." }, "actualOutputUrl": { "type": "string", "description": "The actual output URL evaluated by a load balancer containing the scheme, host, path and query parameters." }, "expectedOutputUrl": { "type": "string", "description": "The expected output URL evaluated by a load balancer containing the scheme, host, path and query parameters." }, "path": { "type": "string", "description": "Path portion including query parameters in the URL." }, "expectedRedirectResponseCode": { "description": "Expected HTTP status code for rule with `urlRedirect` calculated by load balancer", "format": "int32", "type": "integer" } }, "type": "object" }, "AutoscalingPolicyLoadBalancingUtilization": { "description": "Configuration parameters of autoscaling based on load balancing.", "type": "object", "id": "AutoscalingPolicyLoadBalancingUtilization", "properties": { "utilizationTarget": { "description": "Fraction of backend capacity utilization (set in HTTP(S) load balancing configuration) that the autoscaler maintains. Must be a positive float value. If not defined, the default is 0.8.", "format": "double", "type": "number" } } }, "RegionDisksAddResourcePoliciesRequest": { "properties": { "resourcePolicies": { "type": "array", "description": "Resource policies to be added to this disk.", "items": { "type": "string" } } }, "id": "RegionDisksAddResourcePoliciesRequest", "type": "object" }, "PublicDelegatedPrefixPublicDelegatedSubPrefix": { "id": "PublicDelegatedPrefixPublicDelegatedSubPrefix", "description": "Represents a sub PublicDelegatedPrefix.", "properties": { "delegateeProject": { "description": "Name of the project scoping this PublicDelegatedSubPrefix.", "type": "string" }, "name": { "type": "string", "description": "The name of the sub public delegated prefix." }, "isAddress": { "type": "boolean", "description": "Whether the sub prefix is delegated to create Address resources in the delegatee project." }, "ipCidrRange": { "description": "The IPv4 address range, in CIDR format, represented by this sub public delegated prefix.", "type": "string" }, "region": { "description": "[Output Only] The region of the sub public delegated prefix if it is regional. If absent, the sub prefix is global.", "type": "string" }, "status": { "enum": [ "ACTIVE", "INACTIVE" ], "description": "[Output Only] The status of the sub public delegated prefix.", "enumDescriptions": [ "", "" ], "type": "string" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } }, "type": "object" }, "NetworkList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "default": "compute#networkList", "description": "[Output Only] Type of resource. Always compute#networkList for lists of networks.", "type": "string" }, "items": { "items": { "$ref": "Network" }, "type": "array", "description": "A list of Network resources." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "NetworkList", "type": "object", "description": "Contains a list of networks." }, "TargetVpnGateway": { "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "status": { "description": "[Output Only] The status of the VPN gateway, which can be one of the following: CREATING, READY, FAILED, or DELETING.", "type": "string", "enum": [ "CREATING", "DELETING", "FAILED", "READY" ], "enumDescriptions": [ "", "", "", "" ] }, "tunnels": { "items": { "type": "string" }, "description": "[Output Only] A list of URLs to VpnTunnel resources. VpnTunnels are created using the compute.vpntunnels.insert method and associated with a VPN gateway.", "type": "array" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.targetVpnGateways.insert" ] } }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "kind": { "default": "compute#targetVpnGateway", "type": "string", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "forwardingRules": { "items": { "type": "string" }, "description": "[Output Only] A list of URLs to the ForwardingRule resources. ForwardingRules are created using compute.forwardingRules.insert and associated with a VPN gateway.", "type": "array" }, "network": { "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "type": "string", "annotations": { "required": [ "compute.targetVpnGateways.insert" ] } }, "region": { "description": "[Output Only] URL of the region where the target VPN gateway resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" } }, "description": "Represents a Target VPN Gateway resource. The target VPN gateway resource represents a Classic Cloud VPN gateway. For more information, read the the Cloud VPN Overview.", "id": "TargetVpnGateway", "type": "object" }, "NetworkInterface": { "properties": { "nicType": { "description": "The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet.", "enumDescriptions": [ "GVNIC", "No type specified.", "VIRTIO" ], "type": "string", "enum": [ "GVNIC", "UNSPECIFIED_NIC_TYPE", "VIRTIO_NET" ] }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint hash of contents stored in this network interface. This field will be ignored when inserting an Instance or adding a NetworkInterface. An up-to-date fingerprint must be provided in order to update the NetworkInterface. The request will fail with error 400 Bad Request if the fingerprint is not provided, or 412 Precondition Failed if the fingerprint is out of date." }, "subnetwork": { "type": "string", "description": "The URL of the Subnetwork resource for this instance. If the network resource is in legacy mode, do not specify this field. If the network is in auto subnet mode, specifying the subnetwork is optional. If the network is in custom subnet mode, specifying the subnetwork is required. If you specify this field, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /subnetworks/subnetwork - regions/region/subnetworks/subnetwork " }, "accessConfigs": { "description": "An array of configurations for this interface. Currently, only one access config, ONE_TO_ONE_NAT, is supported. If there are no accessConfigs specified, then this instance will have no external internet access.", "items": { "$ref": "AccessConfig" }, "type": "array" }, "network": { "type": "string", "description": "URL of the VPC network resource for this instance. When creating an instance, if neither the network nor the subnetwork is specified, the default network global/networks/default is used. If the selected project doesn't have the default network, you must specify a network or subnet. If the network is not specified but the subnetwork is specified, the network is inferred. If you specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/global/networks/ network - projects/project/global/networks/network - global/networks/default " }, "name": { "description": "[Output Only] The name of the network interface, which is generated by the server. For a VM, the network interface uses the nicN naming format. Where N is a value between 0 and 7. The default interface value is nic0.", "type": "string" }, "queueCount": { "description": "The networking queue count that's specified by users for the network interface. Both Rx and Tx queues will be set to this number. It'll be empty if not specified by the users.", "type": "integer", "format": "int32" }, "aliasIpRanges": { "description": "An array of alias IP ranges for this network interface. You can only specify this field for network interfaces in VPC networks.", "items": { "$ref": "AliasIpRange" }, "type": "array" }, "ipv6AccessConfigs": { "items": { "$ref": "AccessConfig" }, "description": "An array of IPv6 access configurations for this interface. Currently, only one IPv6 access config, DIRECT_IPV6, is supported. If there is no ipv6AccessConfig specified, then this instance will have no external IPv6 Internet access.", "type": "array" }, "ipv6AccessType": { "description": "[Output Only] One of EXTERNAL, INTERNAL to indicate whether the IP can be accessed from the Internet. This field is always inherited from its subnetwork. Valid only if stackType is IPV4_IPV6.", "type": "string", "enumDescriptions": [ "This network interface can have external IPv6.", "This network interface can have internal IPv6." ], "enum": [ "EXTERNAL", "INTERNAL" ] }, "kind": { "default": "compute#networkInterface", "description": "[Output Only] Type of the resource. Always compute#networkInterface for network interfaces.", "type": "string" }, "networkIP": { "type": "string", "description": "An IPv4 internal IP address to assign to the instance for this network interface. If not specified by the user, an unused internal IP is assigned by the system." }, "internalIpv6PrefixLength": { "format": "int32", "type": "integer", "description": "The prefix length of the primary internal IPv6 range." }, "stackType": { "description": "The stack type for this network interface to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at instance creation and update network interface operations.", "type": "string", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "enumDescriptions": [ "The network interface can have both IPv4 and IPv6 addresses.", "The network interface will be assigned IPv4 address." ] }, "ipv6Address": { "type": "string", "description": "An IPv6 internal network address for this network interface." } }, "id": "NetworkInterface", "type": "object", "description": "A network interface resource attached to an instance." }, "Commitment": { "id": "Commitment", "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "plan": { "enumDescriptions": [ "", "", "" ], "enum": [ "INVALID", "THIRTY_SIX_MONTH", "TWELVE_MONTH" ], "description": "The plan for this commitment, which determines duration and discount rate. The currently supported plans are TWELVE_MONTH (1 year), and THIRTY_SIX_MONTH (3 years).", "type": "string" }, "autoRenew": { "description": "Specifies whether to enable automatic renewal for the commitment. The default value is false if not specified. The field can be updated until the day of the commitment expiration at 12:00am PST. If the field is set to true, the commitment will be automatically renewed for either one or three years according to the terms of the existing commitment.", "type": "boolean" }, "region": { "description": "[Output Only] URL of the region where this commitment may be used.", "type": "string" }, "category": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "The category of the commitment. Category MACHINE specifies commitments composed of machine resources such as VCPU or MEMORY, listed in resources. Category LICENSE specifies commitments composed of software licenses, listed in licenseResources. Note that only MACHINE commitments should have a Type specified.", "enum": [ "CATEGORY_UNSPECIFIED", "LICENSE", "MACHINE" ] }, "status": { "enumDescriptions": [ "", "", "", "", "" ], "description": "[Output Only] Status of the commitment with regards to eventual expiration (each commitment has an end date defined). One of the following values: NOT_YET_ACTIVE, ACTIVE, EXPIRED.", "enum": [ "ACTIVE", "CANCELLED", "CREATING", "EXPIRED", "NOT_YET_ACTIVE" ], "type": "string" }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "licenseResource": { "$ref": "LicenseResourceCommitment", "description": "The license specification required as part of a license commitment." }, "endTimestamp": { "type": "string", "description": "[Output Only] Commitment end time in RFC3339 text format." }, "startTimestamp": { "type": "string", "description": "[Output Only] Commitment start time in RFC3339 text format." }, "kind": { "default": "compute#commitment", "type": "string", "description": "[Output Only] Type of the resource. Always compute#commitment for commitments." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "resources": { "type": "array", "description": "A list of commitment amounts for particular resources. Note that VCPU and MEMORY resource commitments must occur together.", "items": { "$ref": "ResourceCommitment" } }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "type": { "description": "The type of commitment, which affects the discount rate and the eligible resources. Type MEMORY_OPTIMIZED specifies a commitment that will only apply to memory optimized machines. Type ACCELERATOR_OPTIMIZED specifies a commitment that will only apply to accelerator optimized machines.", "type": "string", "enum": [ "ACCELERATOR_OPTIMIZED", "COMPUTE_OPTIMIZED", "COMPUTE_OPTIMIZED_C2D", "GENERAL_PURPOSE", "GENERAL_PURPOSE_E2", "GENERAL_PURPOSE_N2", "GENERAL_PURPOSE_N2D", "GENERAL_PURPOSE_T2D", "MEMORY_OPTIMIZED", "MEMORY_OPTIMIZED_M3", "TYPE_UNSPECIFIED" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ] }, "reservations": { "items": { "$ref": "Reservation" }, "description": "List of reservations in this commitment.", "type": "array" } }, "type": "object", "description": "Represents a regional Commitment resource. Creating a commitment resource means that you are purchasing a committed use contract with an explicit start and end time. You can create commitments based on vCPUs and memory usage and receive discounted rates. For full details, read Signing Up for Committed Use Discounts." }, "MachineTypeList": { "id": "MachineTypeList", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "type": "array", "description": "A list of MachineType resources.", "items": { "$ref": "MachineType" } }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.", "type": "string", "default": "compute#machineTypeList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "type": "object", "description": "Contains a list of machine types." }, "HttpFaultDelay": { "type": "object", "properties": { "fixedDelay": { "description": "Specifies the value of the fixed delay interval.", "$ref": "Duration" }, "percentage": { "type": "number", "description": "The percentage of traffic for connections, operations, or requests for which a delay is introduced as part of fault injection. The value must be from 0.0 to 100.0 inclusive.", "format": "double" } }, "id": "HttpFaultDelay", "description": "Specifies the delay introduced by the load balancer before forwarding the request to the backend service as part of fault injection." }, "Firewall": { "id": "Firewall", "properties": { "logConfig": { "$ref": "FirewallLogConfig", "description": "This field denotes the logging options for a particular firewall rule. If logging is enabled, logs will be exported to Cloud Logging." }, "targetTags": { "type": "array", "items": { "type": "string" }, "description": "A list of tags that controls which instances the firewall rule applies to. If targetTags are specified, then the firewall rule applies only to instances in the VPC network that have one of those tags. If no targetTags are specified, the firewall rule applies to all instances on the specified network." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "direction": { "enum": [ "EGRESS", "INGRESS" ], "description": "Direction of traffic to which this firewall applies, either `INGRESS` or `EGRESS`. The default is `INGRESS`. For `INGRESS` traffic, you cannot specify the destinationRanges field, and for `EGRESS` traffic, you cannot specify the sourceRanges or sourceTags fields.", "type": "string", "enumDescriptions": [ "Indicates that firewall should apply to outgoing traffic.", "Indicates that firewall should apply to incoming traffic." ] }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "disabled": { "description": "Denotes whether the firewall rule is disabled. When set to true, the firewall rule is not enforced and the network behaves as if it did not exist. If this is unspecified, the firewall rule will be enabled.", "type": "boolean" }, "sourceServiceAccounts": { "description": "If source service accounts are specified, the firewall rules apply only to traffic originating from an instance with a service account in this list. Source service accounts cannot be used to control traffic to an instance's external IP address because service accounts are associated with an instance, not an IP address. sourceRanges can be set at the same time as sourceServiceAccounts. If both are set, the firewall applies to traffic that has a source IP address within the sourceRanges OR a source IP that belongs to an instance with service account listed in sourceServiceAccount. The connection does not need to match both fields for the firewall to apply. sourceServiceAccounts cannot be used at the same time as sourceTags or targetTags.", "type": "array", "items": { "type": "string" } }, "sourceRanges": { "type": "array", "description": "If source ranges are specified, the firewall rule applies only to traffic that has a source IP address in these ranges. These ranges must be expressed in CIDR format. One or both of sourceRanges and sourceTags may be set. If both fields are set, the rule applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the rule to apply. Both IPv4 and IPv6 are supported.", "items": { "type": "string" } }, "destinationRanges": { "type": "array", "description": "If destination ranges are specified, the firewall rule applies only to traffic that has destination IP address in these ranges. These ranges must be expressed in CIDR format. Both IPv4 and IPv6 are supported.", "items": { "type": "string" } }, "description": { "description": "An optional description of this resource. Provide this field when you create the resource.", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "allowed": { "description": "The list of ALLOW rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.", "type": "array", "items": { "properties": { "IPProtocol": { "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number.", "type": "string" }, "ports": { "items": { "type": "string" }, "type": "array", "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]." } }, "type": "object" } }, "targetServiceAccounts": { "description": "A list of service accounts indicating sets of instances located in the network that may make network connections as specified in allowed[]. targetServiceAccounts cannot be used at the same time as targetTags or sourceTags. If neither targetServiceAccounts nor targetTags are specified, the firewall rule applies to all instances on the specified network.", "items": { "type": "string" }, "type": "array" }, "denied": { "description": "The list of DENY rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a denied connection.", "items": { "properties": { "ports": { "items": { "type": "string" }, "type": "array", "description": "An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"]." }, "IPProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number." } }, "type": "object" }, "type": "array" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#firewall for firewall rules.", "default": "compute#firewall", "type": "string" }, "sourceTags": { "type": "array", "description": "If source tags are specified, the firewall rule applies only to traffic with source IPs that match the primary network interfaces of VM instances that have the tag and are in the same VPC network. Source tags cannot be used to control traffic to an instance's external IP address, it only applies to traffic between instances in the same virtual network. Because tags are associated with instances, not IP addresses. One or both of sourceRanges and sourceTags may be set. If both fields are set, the firewall applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the firewall to apply.", "items": { "type": "string" } }, "name": { "annotations": { "required": [ "compute.firewalls.insert", "compute.firewalls.patch" ] }, "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "priority": { "description": "Priority for this rule. This is an integer between `0` and `65535`, both inclusive. The default value is `1000`. Relative priorities determine which rule takes effect if multiple rules apply. Lower values indicate higher priority. For example, a rule with priority `0` has higher precedence than a rule with priority `1`. DENY rules take precedence over ALLOW rules if they have equal priority. Note that VPC networks have implied rules with a priority of `65535`. To avoid conflicts with the implied rules, use a priority number less than `65535`.", "type": "integer", "format": "int32" }, "network": { "type": "string", "description": "URL of the network resource for this firewall rule. If not specified when creating a firewall rule, the default network is used: global/networks/default If you choose to specify this field, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/myproject/global/networks/my-network - projects/myproject/global/networks/my-network - global/networks/default " } }, "type": "object", "description": "Represents a Firewall Rule resource. Firewall rules allow or deny ingress traffic to, and egress traffic from your instances. For more information, read Firewall rules." }, "InstancesScopedList": { "type": "object", "id": "InstancesScopedList", "properties": { "instances": { "items": { "$ref": "Instance" }, "type": "array", "description": "[Output Only] A list of instances contained in this scope." }, "warning": { "description": "[Output Only] Informational warning which replaces the list of instances when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" } } }, "RouterNatLogConfig": { "properties": { "filter": { "type": "string", "description": "Specify the desired filtering of logs on this NAT. If unspecified, logs are exported for all connections handled by this NAT. This option can take one of the following values: - ERRORS_ONLY: Export logs only for connection failures. - TRANSLATIONS_ONLY: Export logs only for successful connections. - ALL: Export logs for all connections, successful and unsuccessful. ", "enum": [ "ALL", "ERRORS_ONLY", "TRANSLATIONS_ONLY" ], "enumDescriptions": [ "Export logs for all (successful and unsuccessful) connections.", "Export logs for connection failures only.", "Export logs for successful connections only." ] }, "enable": { "type": "boolean", "description": "Indicates whether or not to export logs. This is false by default." } }, "type": "object", "id": "RouterNatLogConfig", "description": "Configuration of logging on a NAT." }, "LicenseResourceRequirements": { "properties": { "minGuestCpuCount": { "description": "Minimum number of guest cpus required to use the Instance. Enforced at Instance creation and Instance start.", "format": "int32", "type": "integer" }, "minMemoryMb": { "format": "int32", "type": "integer", "description": "Minimum memory required to use the Instance. Enforced at Instance creation and Instance start." } }, "type": "object", "id": "LicenseResourceRequirements" }, "GlobalSetLabelsRequest": { "id": "GlobalSetLabelsRequest", "properties": { "labelFingerprint": { "type": "string", "description": "The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels, otherwise the request will fail with error 412 conditionNotMet. Make a get() request to the resource to get the latest fingerprint.", "format": "byte" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A list of labels to apply for this resource. Each label must comply with the requirements for labels. For example, \"webserver-frontend\": \"images\". A label value can also be empty (e.g. \"my-label\": \"\")." } }, "type": "object" }, "SubnetworksSetPrivateIpGoogleAccessRequest": { "type": "object", "properties": { "privateIpGoogleAccess": { "type": "boolean" } }, "id": "SubnetworksSetPrivateIpGoogleAccessRequest" }, "UsableSubnetworksAggregatedList": { "type": "object", "properties": { "items": { "items": { "$ref": "UsableSubnetwork" }, "type": "array", "description": "[Output] A list of usable subnetwork URLs." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#usableSubnetworksAggregatedList for aggregated lists of usable subnetworks.", "default": "compute#usableSubnetworksAggregatedList", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. In special cases listUsable may return 0 subnetworks and nextPageToken which still should be used to get the next page of results.", "type": "string" } }, "id": "UsableSubnetworksAggregatedList" }, "AcceleratorTypeList": { "id": "AcceleratorTypeList", "type": "object", "description": "Contains a list of accelerator types.", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#acceleratorTypeList", "description": "[Output Only] Type of resource. Always compute#acceleratorTypeList for lists of accelerator types." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "AcceleratorType" }, "type": "array", "description": "A list of AcceleratorType resources." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "ScalingScheduleStatus": { "id": "ScalingScheduleStatus", "properties": { "nextStartTime": { "type": "string", "description": "[Output Only] The next time the scaling schedule is to become active. Note: this is a timestamp when a schedule is planned to run, but the actual time might be slightly different. The timestamp is in RFC3339 text format." }, "state": { "description": "[Output Only] The current state of a scaling schedule.", "enumDescriptions": [ "The current autoscaling recommendation is influenced by this scaling schedule.", "This scaling schedule has been disabled by the user.", "This scaling schedule will never become active again.", "The current autoscaling recommendation is not influenced by this scaling schedule." ], "type": "string", "enum": [ "ACTIVE", "DISABLED", "OBSOLETE", "READY" ] }, "lastStartTime": { "type": "string", "description": "[Output Only] The last time the scaling schedule became active. Note: this is a timestamp when a schedule actually became active, not when it was planned to do so. The timestamp is in RFC3339 text format." } }, "type": "object" }, "ResourcePolicyDailyCycle": { "description": "Time window specified for daily operations.", "properties": { "startTime": { "type": "string", "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid." }, "duration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "type": "string" }, "daysInCycle": { "description": "Defines a schedule with units measured in days. The value determines how many days pass between the start of each cycle.", "format": "int32", "type": "integer" } }, "id": "ResourcePolicyDailyCycle", "type": "object" }, "GuestAttributesValue": { "id": "GuestAttributesValue", "properties": { "items": { "items": { "$ref": "GuestAttributesEntry" }, "type": "array" } }, "description": "Array of guest attribute namespace/key/value tuples.", "type": "object" }, "FixedOrPercent": { "type": "object", "id": "FixedOrPercent", "properties": { "fixed": { "type": "integer", "format": "int32", "description": "Specifies a fixed number of VM instances. This must be a positive integer." }, "calculated": { "description": "[Output Only] Absolute value of VM instances calculated based on the specific mode. - If the value is fixed, then the calculated value is equal to the fixed value. - If the value is a percent, then the calculated value is percent/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetSize. For example, the calculated value of a 80% of a managed instance group with 150 instances would be (80/100 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 150) = 120 VM instances. If there is a remainder, the number is rounded. ", "type": "integer", "format": "int32" }, "percent": { "type": "integer", "description": "Specifies a percentage of instances between 0 to 100%, inclusive. For example, specify 80 for 80%.", "format": "int32" } }, "description": "Encapsulates numeric value that can be either absolute or relative." }, "TargetTcpProxyList": { "description": "Contains a list of TargetTcpProxy resources.", "type": "object", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#targetTcpProxyList" }, "items": { "type": "array", "description": "A list of TargetTcpProxy resources.", "items": { "$ref": "TargetTcpProxy" } }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "TargetTcpProxyList" }, "HostRule": { "type": "object", "properties": { "hosts": { "description": "The list of host patterns to match. They must be valid hostnames with optional port numbers in the format host:port. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh matches any string of ([a-z0-9-.]*). In that case, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh must be the first character, and if followed by anything, the immediate following character must be either - or .. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh based matching is not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "items": { "type": "string" }, "type": "array" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "pathMatcher": { "description": "The name of the PathMatcher to use to match the path portion of the URL if the hostRule matches the URL's host portion.", "type": "string" } }, "id": "HostRule", "description": "UrlMaps A host-matching rule for a URL. If matched, will use the named PathMatcher to select the BackendService." }, "HttpRouteAction": { "id": "HttpRouteAction", "type": "object", "properties": { "maxStreamDuration": { "$ref": "Duration", "description": "Specifies the maximum duration (timeout) for streams on the selected route. Unlike the timeout field where the timeout duration starts from the time the request has been fully processed (known as *end-of-stream*), the duration in this field is computed from the beginning of the stream until the response has been processed, including all retries. A stream that does not complete in this duration is closed. If not specified, this field uses the maximum maxStreamDuration value among all backend services associated with the route. This field is only allowed if the Url map is used with backend services with loadBalancingScheme set to INTERNAL_SELF_MANAGED." }, "retryPolicy": { "description": "Specifies the retry policy associated with this route.", "$ref": "HttpRetryPolicy" }, "urlRewrite": { "description": "The spec to modify the URL of the request, before forwarding the request to the matched service. urlRewrite is the only action supported in UrlMaps for external HTTP(S) load balancers. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.", "$ref": "UrlRewrite" }, "requestMirrorPolicy": { "$ref": "RequestMirrorPolicy", "description": "Specifies the policy on how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer does not wait for responses from the shadow service. Before sending traffic to the shadow service, the host / authority header is suffixed with -shadow. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true." }, "corsPolicy": { "$ref": "CorsPolicy", "description": "The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard. Not supported when the URL map is bound to a target gRPC proxy." }, "weightedBackendServices": { "description": "A list of weighted backend services to send traffic to when a route match occurs. The weights determine the fraction of traffic that flows to their corresponding backend service. If all traffic needs to go to a single backend service, there must be one weightedBackendService with weight set to a non-zero number. After a backend service is identified and before forwarding the request to the backend service, advanced routing actions such as URL rewrites and header transformations are applied depending on additional settings specified in this HttpRouteAction.", "items": { "$ref": "WeightedBackendService" }, "type": "array" }, "timeout": { "description": "Specifies the timeout for the selected route. Timeout is computed from the time the request has been fully processed (known as *end-of-stream*) up until the response has been processed. Timeout includes all retries. If not specified, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "Duration" }, "faultInjectionPolicy": { "$ref": "HttpFaultInjection", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by a load balancer on a percentage of requests before sending those requests to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests. timeout and retry_policy is ignored by clients that are configured with a fault_injection_policy if: 1. The traffic is generated by fault injection AND 2. The fault injection is not a delay fault injection. Fault injection is not supported with the global external HTTP(S) load balancer (classic). To see which load balancers support fault injection, see Load balancing: Routing and traffic management features." } } }, "CacheInvalidationRule": { "properties": { "host": { "description": "If set, this invalidation rule will only apply to requests with a Host header matching host.", "type": "string" }, "path": { "type": "string" } }, "type": "object", "id": "CacheInvalidationRule" }, "Router": { "description": "Represents a Cloud Router resource. For more information about Cloud Router, read the Cloud Router overview.", "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "bgpPeers": { "type": "array", "items": { "$ref": "RouterBgpPeer" }, "description": "BGP information that must be configured into the routing stack to establish BGP peering. This information must specify the peer ASN and either the interface name, IP address, or peer IP address. Please refer to RFC4273." }, "nats": { "items": { "$ref": "RouterNat" }, "description": "A list of NAT services created in this router.", "type": "array" }, "region": { "type": "string", "description": "[Output Only] URI of the region where the router resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "bgp": { "description": "BGP information specific to this router.", "$ref": "RouterBgp" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "encryptedInterconnectRouter": { "description": "Indicates if a router is dedicated for use with encrypted VLAN attachments (interconnectAttachments). Not currently available publicly. ", "type": "boolean" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "interfaces": { "description": "Router interfaces. Each interface requires either one linked resource, (for example, linkedVpnTunnel), or IP address and IP address range (for example, ipRange), or both.", "type": "array", "items": { "$ref": "RouterInterface" } }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#router for routers.", "default": "compute#router" }, "network": { "type": "string", "description": "URI of the network to which this router belongs.", "annotations": { "required": [ "compute.routers.insert", "compute.routers.update" ] } }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "annotations": { "required": [ "compute.routers.insert" ] } } }, "type": "object", "id": "Router" }, "HTTPSHealthCheck": { "type": "object", "id": "HTTPSHealthCheck", "properties": { "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTPS health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "requestPath": { "type": "string", "description": "The request path of the HTTPS health check request. The default value is /." }, "proxyHeader": { "type": "string", "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ] }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "host": { "description": "The value of the host header in the HTTPS health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used.", "type": "string" }, "port": { "format": "int32", "type": "integer", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535." } } }, "ServiceAttachment": { "type": "object", "id": "ServiceAttachment", "properties": { "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource type. The server generates this identifier.", "format": "uint64" }, "connectionPreference": { "type": "string", "enum": [ "ACCEPT_AUTOMATIC", "ACCEPT_MANUAL", "CONNECTION_PREFERENCE_UNSPECIFIED" ], "enumDescriptions": [ "", "", "" ], "description": "The connection preference of service attachment. The value can be set to ACCEPT_AUTOMATIC. An ACCEPT_AUTOMATIC service attachment is one that always accepts the connection from consumer forwarding rules." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.", "type": "string", "default": "compute#serviceAttachment" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ServiceAttachment. An up-to-date fingerprint must be provided in order to patch/update the ServiceAttachment; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the ServiceAttachment.", "type": "string", "format": "byte" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the service attachment resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "consumerRejectLists": { "description": "Projects that are not allowed to connect to this service attachment. The project can be specified using its id or number.", "items": { "type": "string" }, "type": "array" }, "connectedEndpoints": { "description": "[Output Only] An array of connections for all the consumers connected to this service attachment.", "type": "array", "items": { "$ref": "ServiceAttachmentConnectedEndpoint" } }, "natSubnets": { "description": "An array of URLs where each entry is the URL of a subnet provided by the service producer to use for NAT in this service attachment.", "items": { "type": "string" }, "type": "array" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "targetService": { "description": "The URL of a service serving the endpoint identified by this service attachment.", "type": "string" }, "domainNames": { "items": { "type": "string" }, "type": "array", "description": "If specified, the domain name will be used during the integration between the PSC connected endpoints and the Cloud DNS. For example, this is a valid domain name: \"p.mycompany.com.\". Current max number of domain names supported is 1." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "enableProxyProtocol": { "type": "boolean", "description": "If true, enable the proxy protocol which is for supplying client TCP/IP address data in TCP connections that traverse proxies on their way to destination servers." }, "producerForwardingRule": { "description": "The URL of a forwarding rule with loadBalancingScheme INTERNAL* that is serving the endpoint identified by this service attachment.", "type": "string" }, "pscServiceAttachmentId": { "description": "[Output Only] An 128-bit global unique ID of the PSC service attachment.", "$ref": "Uint128" }, "consumerAcceptLists": { "description": "Projects that are allowed to connect to this service attachment.", "items": { "$ref": "ServiceAttachmentConsumerProjectLimit" }, "type": "array" }, "name": { "annotations": { "required": [ "compute.serviceAttachments.insert" ] }, "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" } }, "description": "Represents a ServiceAttachment resource. A service attachment represents a service that a producer has exposed. It encapsulates the load balancer which fronts the service runs and a list of NAT IP ranges that the producers uses to represent the consumers connecting to the service. next tag = 20" }, "ImageFamilyView": { "properties": { "image": { "description": "The latest image that is part of the specified image family in the requested location, and that is not deprecated.", "$ref": "Image" } }, "type": "object", "id": "ImageFamilyView" }, "BulkInsertInstanceResource": { "description": "A transient resource used in compute.instances.bulkInsert and compute.regionInstances.bulkInsert . This resource is not persisted anywhere, it is used only for processing the requests.", "properties": { "locationPolicy": { "description": "Policy for chosing target zone.", "$ref": "LocationPolicy" }, "count": { "type": "string", "format": "int64", "description": "The maximum number of instances to create." }, "namePattern": { "description": "The string pattern used for the names of the VMs. Either name_pattern or per_instance_properties must be set. The pattern must contain one continuous sequence of placeholder hash characters (#) with each character corresponding to one digit of the generated instance name. Example: a name_pattern of inst-#### generates instance names such as inst-0001 and inst-0002. If existing instances in the same project and zone have names that match the name pattern then the generated instance numbers start after the biggest existing number. For example, if there exists an instance with name inst-0050, then instance names generated using the pattern inst-#### begin with inst-0051. The name pattern placeholder #...# can contain up to 18 characters.", "type": "string" }, "perInstanceProperties": { "description": "Per-instance properties to be set on individual instances. Keys of this map specify requested instance names. Can be empty if name_pattern is used.", "type": "object", "additionalProperties": { "$ref": "BulkInsertInstanceResourcePerInstanceProperties" } }, "sourceInstanceTemplate": { "description": "Specifies the instance template from which to create instances. You may combine sourceInstanceTemplate with instanceProperties to override specific values from an existing instance template. Bulk API follows the semantics of JSON Merge Patch described by RFC 7396. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate This field is optional.", "type": "string" }, "instanceProperties": { "$ref": "InstanceProperties", "description": "The instance properties defining the VM instances to be created. Required if sourceInstanceTemplate is not provided." }, "minCount": { "type": "string", "format": "int64", "description": "The minimum number of instances to create. If no min_count is specified then count is used as the default value. If min_count instances cannot be created, then no instances will be created and instances already created will be deleted." } }, "id": "BulkInsertInstanceResource", "type": "object" }, "SslCertificateList": { "id": "SslCertificateList", "description": "Contains a list of SslCertificate resources.", "type": "object", "properties": { "kind": { "default": "compute#sslCertificateList", "description": "Type of resource.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "array", "items": { "$ref": "SslCertificate" }, "description": "A list of SslCertificate resources." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } } }, "SecurityPoliciesWafConfig": { "properties": { "wafRules": { "$ref": "PreconfiguredWafSet" } }, "type": "object", "id": "SecurityPoliciesWafConfig" }, "TestPermissionsResponse": { "type": "object", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "TestPermissionsResponse" }, "LocalizedMessage": { "description": "Provides a localized error message that is safe to return to the user which can be attached to an RPC error.", "properties": { "locale": { "description": "The locale used following the specification defined at http://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"", "type": "string" }, "message": { "description": "The localized error message in the above locale.", "type": "string" } }, "id": "LocalizedMessage", "type": "object" }, "NotificationEndpoint": { "properties": { "region": { "type": "string", "description": "[Output Only] URL of the region where the notification endpoint resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "grpcSettings": { "$ref": "NotificationEndpointGrpcSettings", "description": "Settings of the gRPC notification endpoint including the endpoint URL and the retry duration." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] A unique identifier for this resource type. The server generates this identifier." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "default": "compute#notificationEndpoint", "type": "string", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } }, "id": "NotificationEndpoint", "type": "object", "description": "Represents a notification endpoint. A notification endpoint resource defines an endpoint to receive notifications when there are status changes detected by the associated health check service. For more information, see Health checks overview." }, "ManagedInstanceLastAttempt": { "properties": { "errors": { "properties": { "errors": { "items": { "properties": { "code": { "type": "string", "description": "[Output Only] The error type identifier for this error." }, "message": { "type": "string", "description": "[Output Only] An optional, human-readable error message." }, "errorDetails": { "type": "array", "items": { "type": "object", "properties": { "localizedMessage": { "$ref": "LocalizedMessage" }, "help": { "$ref": "Help" }, "errorInfo": { "$ref": "ErrorInfo" } } }, "description": "[Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED." }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] The array of errors encountered while processing this operation." } }, "type": "object", "description": "[Output Only] Encountered errors during the last attempt to create or delete the instance." } }, "id": "ManagedInstanceLastAttempt", "type": "object" }, "SubnetworkSecondaryRange": { "description": "Represents a secondary IP range of a subnetwork.", "id": "SubnetworkSecondaryRange", "properties": { "rangeName": { "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.", "type": "string" }, "ipCidrRange": { "type": "string", "description": "The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported. The range can be any range listed in the Valid ranges list." } }, "type": "object" }, "PacketMirroringList": { "description": "Contains a list of PacketMirroring resources.", "type": "object", "id": "PacketMirroringList", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "items": { "$ref": "PacketMirroring" }, "description": "A list of PacketMirroring resources.", "type": "array" }, "kind": { "description": "[Output Only] Type of resource. Always compute#packetMirroring for packetMirrorings.", "default": "compute#packetMirroringList", "type": "string" } } }, "CommitmentAggregatedList": { "type": "object", "id": "CommitmentAggregatedList", "properties": { "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#commitmentAggregatedList for aggregated lists of commitments.", "default": "compute#commitmentAggregatedList", "type": "string" }, "items": { "type": "object", "additionalProperties": { "$ref": "CommitmentsScopedList", "description": "[Output Only] Name of the scope containing this set of commitments." }, "description": "A list of CommitmentsScopedList resources." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" } } }, "TargetTcpProxiesSetProxyHeaderRequest": { "properties": { "proxyHeader": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "description": "The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed." } }, "id": "TargetTcpProxiesSetProxyHeaderRequest", "type": "object" }, "MachineTypeAggregatedList": { "id": "MachineTypeAggregatedList", "properties": { "items": { "description": "A list of MachineTypesScopedList resources.", "type": "object", "additionalProperties": { "$ref": "MachineTypesScopedList", "description": "[Output Only] Name of the scope containing this set of machine types." } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "kind": { "type": "string", "default": "compute#machineTypeAggregatedList", "description": "[Output Only] Type of resource. Always compute#machineTypeAggregatedList for aggregated lists of machine types." } }, "type": "object" }, "TargetPoolInstanceHealth": { "type": "object", "id": "TargetPoolInstanceHealth", "properties": { "kind": { "type": "string", "default": "compute#targetPoolInstanceHealth", "description": "[Output Only] Type of resource. Always compute#targetPoolInstanceHealth when checking the health of an instance." }, "healthStatus": { "items": { "$ref": "HealthStatus" }, "type": "array" } } }, "RouterAggregatedList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of Router resources.", "additionalProperties": { "$ref": "RoutersScopedList", "description": "Name of the scope containing this set of routers." }, "type": "object" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#routerAggregatedList" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." } }, "type": "object", "id": "RouterAggregatedList", "description": "Contains a list of routers." }, "HttpHealthCheck": { "id": "HttpHealthCheck", "properties": { "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "healthyThreshold": { "description": "A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.", "type": "integer", "format": "int32" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "default": "compute#httpHealthCheck", "description": "[Output Only] Type of the resource. Always compute#httpHealthCheck for HTTP health checks.", "type": "string" }, "requestPath": { "description": "The request path of the HTTP health check request. The default value is /. This field does not support query parameters.", "type": "string" }, "unhealthyThreshold": { "type": "integer", "description": "A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.", "format": "int32" }, "port": { "format": "int32", "type": "integer", "description": "The TCP port number for the HTTP health check request. The default value is 80." }, "host": { "description": "The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "checkIntervalSec": { "type": "integer", "description": "How often (in seconds) to send a health check. The default value is 5 seconds.", "format": "int32" }, "timeoutSec": { "format": "int32", "description": "How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.", "type": "integer" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } }, "description": "Represents a legacy HTTP Health Check resource. Legacy HTTP health checks are now only required by target pool-based network load balancers. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .", "type": "object" }, "RouterNatSubnetworkToNat": { "id": "RouterNatSubnetworkToNat", "properties": { "secondaryIpRangeNames": { "items": { "type": "string" }, "description": "A list of the secondary ranges of the Subnetwork that are allowed to use NAT. This can be populated only if \"LIST_OF_SECONDARY_IP_RANGES\" is one of the values in source_ip_ranges_to_nat.", "type": "array" }, "name": { "description": "URL for the subnetwork resource that will use NAT.", "type": "string" }, "sourceIpRangesToNat": { "items": { "type": "string", "enum": [ "ALL_IP_RANGES", "LIST_OF_SECONDARY_IP_RANGES", "PRIMARY_IP_RANGE" ], "enumDescriptions": [ "The primary and all the secondary ranges are allowed to Nat.", "A list of secondary ranges are allowed to Nat.", "The primary range is allowed to Nat." ] }, "type": "array", "description": "Specify the options for NAT ranges in the Subnetwork. All options of a single value are valid except NAT_IP_RANGE_OPTION_UNSPECIFIED. The only valid option with multiple values is: [\"PRIMARY_IP_RANGE\", \"LIST_OF_SECONDARY_IP_RANGES\"] Default: [ALL_IP_RANGES]" } }, "type": "object", "description": "Defines the IP ranges that want to use NAT for a subnetwork." }, "VmEndpointNatMappingsInterfaceNatMappings": { "description": "Contain information of Nat mapping for an interface of this endpoint.", "type": "object", "properties": { "ruleMappings": { "type": "array", "description": "Information about mappings provided by rules in this NAT.", "items": { "$ref": "VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings" } }, "sourceAliasIpRange": { "description": "Alias IP range for this interface endpoint. It will be a private (RFC 1918) IP range. Examples: \"10.33.4.55/32\", or \"192.168.5.0/24\".", "type": "string" }, "sourceVirtualIp": { "description": "Primary IP of the VM for this NIC.", "type": "string" }, "drainNatIpPortRanges": { "description": "List of all drain IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "type": "array", "items": { "type": "string" } }, "numTotalDrainNatPorts": { "description": "Total number of drain ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field drain_nat_ip_port_ranges.", "type": "integer", "format": "int32" }, "numTotalNatPorts": { "type": "integer", "description": "Total number of ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field nat_ip_port_ranges.", "format": "int32" }, "natIpPortRanges": { "type": "array", "description": "A list of all IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].", "items": { "type": "string" } } }, "id": "VmEndpointNatMappingsInterfaceNatMappings" }, "BackendServiceAggregatedList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "kind": { "type": "string", "default": "compute#backendServiceAggregatedList", "description": "Type of resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of BackendServicesScopedList resources.", "type": "object", "additionalProperties": { "description": "Name of the scope containing this set of BackendServices.", "$ref": "BackendServicesScopedList" } }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "id": "BackendServiceAggregatedList", "description": "Contains a list of BackendServicesScopedList.", "type": "object" }, "ForwardingRuleServiceDirectoryRegistration": { "properties": { "namespace": { "description": "Service Directory namespace to register the forwarding rule under.", "type": "string" }, "serviceDirectoryRegion": { "type": "string", "description": "[Optional] Service Directory region to register this global forwarding rule under. Default to \"us-central1\". Only used for PSC for Google APIs. All PSC for Google APIs Forwarding Rules on the same network should use the same Service Directory region." }, "service": { "type": "string", "description": "Service Directory service to register the forwarding rule under." } }, "type": "object", "description": "Describes the auto-registration of the Forwarding Rule to Service Directory. The region and project of the Service Directory resource generated from this registration will be the same as this Forwarding Rule.", "id": "ForwardingRuleServiceDirectoryRegistration" }, "ProjectsDisableXpnResourceRequest": { "properties": { "xpnResource": { "description": "Service resource (a.k.a service project) ID.", "$ref": "XpnResourceId" } }, "type": "object", "id": "ProjectsDisableXpnResourceRequest" }, "Subnetwork": { "properties": { "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "internalIpv6Prefix": { "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a Subnetwork. An up-to-date fingerprint must be provided in order to update the Subnetwork, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a Subnetwork.", "format": "byte", "type": "string" }, "purpose": { "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "enum": [ "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ], "type": "string", "enumDescriptions": [ "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ] }, "region": { "type": "string", "description": "URL of the region where the Subnetwork resides. This field can be set only at resource creation time." }, "logConfig": { "$ref": "SubnetworkLogConfig", "description": "This field denotes the VPC flow logging options for this subnetwork. If logging is enabled, logs are exported to Cloud Logging." }, "kind": { "default": "compute#subnetwork", "description": "[Output Only] Type of the resource. Always compute#subnetwork for Subnetwork resources.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "ipv6AccessType": { "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.", "type": "string", "enum": [ "EXTERNAL", "INTERNAL" ], "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ] }, "state": { "enum": [ "DRAINING", "READY" ], "enumDescriptions": [ "Subnetwork is being drained.", "Subnetwork is ready for use." ], "type": "string", "description": "[Output Only] The state of the subnetwork, which can be one of the following values: READY: Subnetwork is created and ready to use DRAINING: only applicable to subnetworks that have the purpose set to INTERNAL_HTTPS_LOAD_BALANCER and indicates that connections to the load balancer are being drained. A subnetwork that is draining cannot be used or modified until it reaches a status of READY" }, "enableFlowLogs": { "type": "boolean", "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled. This field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER." }, "secondaryIpRanges": { "type": "array", "items": { "$ref": "SubnetworkSecondaryRange" }, "description": "An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges. This field can be updated with a patch request." }, "gatewayAddress": { "type": "string", "description": "[Output Only] The gateway address for default routes to reach destination addresses outside this subnetwork." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time." }, "privateIpv6GoogleAccess": { "enumDescriptions": [ "Disable private IPv6 access to/from Google services.", "Bidirectional private IPv6 access to/from Google services.", "Outbound private IPv6 access from VMs in this subnet to Google services." ], "description": "This field is for internal use. This field can be both set at resource creation time and updated using patch.", "type": "string", "enum": [ "DISABLE_GOOGLE_ACCESS", "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE" ] }, "role": { "type": "string", "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ], "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request.", "enum": [ "ACTIVE", "BACKUP" ] }, "name": { "type": "string", "description": "The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "ipCidrRange": { "description": "The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 100.64.0.0/10. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported. This field is set at resource creation time. The range can be any range listed in the Valid ranges list. The range can be expanded after creation using expandIpCidrRange.", "type": "string" }, "stackType": { "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ], "enum": [ "IPV4_IPV6", "IPV4_ONLY" ], "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.", "type": "string" }, "network": { "type": "string", "description": "The URL of the network to which this subnetwork belongs, provided by the client when initially creating the subnetwork. This field can be set only at resource creation time." }, "ipv6CidrRange": { "description": "[Output Only] This field is for internal use.", "type": "string" }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "privateIpGoogleAccess": { "type": "boolean", "description": "Whether the VMs in this subnet can access Google services without assigned external IP addresses. This field can be both set at resource creation time and updated using setPrivateIpGoogleAccess." } }, "type": "object", "id": "Subnetwork", "description": "Represents a Subnetwork resource. A subnetwork (also known as a subnet) is a logical partition of a Virtual Private Cloud network with one primary IP range and zero or more secondary IP ranges. For more information, read Virtual Private Cloud (VPC) Network." }, "HTTP2HealthCheck": { "type": "object", "properties": { "portName": { "type": "string", "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence." }, "response": { "description": "The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "enum": [ "NONE", "PROXY_V1" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "host": { "description": "The value of the host header in the HTTP/2 health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used.", "type": "string" }, "portSpecification": { "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "type": "string", "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, HTTP2 health check follows behavior specified in port and portName fields.", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "requestPath": { "description": "The request path of the HTTP/2 health check request. The default value is /.", "type": "string" }, "port": { "format": "int32", "description": "The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.", "type": "integer" } }, "id": "HTTP2HealthCheck" }, "PacketMirroringMirroredResourceInfoInstanceInfo": { "id": "PacketMirroringMirroredResourceInfoInstanceInfo", "type": "object", "properties": { "url": { "type": "string", "description": "Resource URL to the virtual machine instance which is being mirrored." }, "canonicalUrl": { "type": "string", "description": "[Output Only] Unique identifier for the instance; defined by the server." } } }, "TargetReference": { "type": "object", "properties": { "target": { "type": "string" } }, "id": "TargetReference" }, "ReservationAggregatedList": { "description": "Contains a list of reservations.", "type": "object", "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "kind": { "default": "compute#reservationAggregatedList", "type": "string", "description": "Type of resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "items": { "type": "object", "additionalProperties": { "$ref": "ReservationsScopedList", "description": "Name of the scope containing this set of reservations." }, "description": "A list of Allocation resources." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "ReservationAggregatedList" }, "AddressAggregatedList": { "id": "AddressAggregatedList", "type": "object", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#addressAggregatedList for aggregated lists of addresses.", "default": "compute#addressAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "unreachables": { "description": "[Output Only] Unreachable resources.", "type": "array", "items": { "type": "string" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "items": { "description": "A list of AddressesScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of addresses.", "$ref": "AddressesScopedList" } } } }, "InstanceGroupManagersPatchPerInstanceConfigsReq": { "description": "InstanceGroupManagers.patchPerInstanceConfigs", "id": "InstanceGroupManagersPatchPerInstanceConfigsReq", "type": "object", "properties": { "perInstanceConfigs": { "items": { "$ref": "PerInstanceConfig" }, "description": "The list of per-instance configurations to insert or patch on this managed instance group.", "type": "array" } } }, "NetworkEdgeSecurityServiceAggregatedList": { "type": "object", "properties": { "etag": { "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of NetworkEdgeSecurityServicesScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of security policies.", "$ref": "NetworkEdgeSecurityServicesScopedList" }, "type": "object" }, "kind": { "description": "[Output Only] Type of resource. Always compute#networkEdgeSecurityServiceAggregatedList for lists of Network Edge Security Services.", "default": "compute#networkEdgeSecurityServiceAggregatedList", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } } }, "id": "NetworkEdgeSecurityServiceAggregatedList" }, "UrlRewrite": { "description": "The spec for modifying the path before sending the request to the matched backend service.", "type": "object", "id": "UrlRewrite", "properties": { "hostRewrite": { "description": "Before forwarding the request to the selected service, the request's host header is replaced with contents of hostRewrite. The value must be from 1 to 255 characters.", "type": "string" }, "pathPrefixRewrite": { "type": "string", "description": "Before forwarding the request to the selected backend service, the matching portion of the request's path is replaced by pathPrefixRewrite. The value must be from 1 to 1024 characters." } } }, "Tags": { "properties": { "items": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "array", "description": "An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.", "items": { "type": "string" } }, "fingerprint": { "type": "string", "description": "Specifies a fingerprint for this request, which is essentially a hash of the tags' contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update tags. You must always provide an up-to-date fingerprint hash in order to update or change tags. To see the latest fingerprint, make get() request to the instance.", "format": "byte" } }, "type": "object", "id": "Tags", "description": "A set of instance tags." }, "ResourcePolicyWeeklyCycleDayOfWeek": { "properties": { "startTime": { "description": "Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT.", "type": "string" }, "duration": { "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario.", "type": "string" }, "day": { "description": "Defines a schedule that runs on specific days of the week. Specify one or more days. The following options are available: MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "FRIDAY", "INVALID", "MONDAY", "SATURDAY", "SUNDAY", "THURSDAY", "TUESDAY", "WEDNESDAY" ], "type": "string" } }, "type": "object", "id": "ResourcePolicyWeeklyCycleDayOfWeek" }, "PacketMirroringFilter": { "properties": { "IPProtocols": { "type": "array", "description": "Protocols that apply as filter on mirrored traffic. If no protocols are specified, all traffic that matches the specified CIDR ranges is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored.", "items": { "type": "string" } }, "direction": { "enum": [ "BOTH", "EGRESS", "INGRESS" ], "enumDescriptions": [ "Default, both directions are mirrored.", "Only egress traffic is mirrored.", "Only ingress traffic is mirrored." ], "description": "Direction of traffic to mirror, either INGRESS, EGRESS, or BOTH. The default is BOTH.", "type": "string" }, "cidrRanges": { "description": "IP CIDR ranges that apply as filter on the source (ingress) or destination (egress) IP in the IP header. Only IPv4 is supported. If no ranges are specified, all traffic that matches the specified IPProtocols is mirrored. If neither cidrRanges nor IPProtocols is specified, all traffic is mirrored.", "type": "array", "items": { "type": "string" } } }, "id": "PacketMirroringFilter", "type": "object" }, "InstanceList": { "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#instanceList for lists of Instance resources.", "default": "compute#instanceList", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "items": { "$ref": "Instance" }, "description": "A list of Instance resources." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "type": "object" } }, "type": "object", "description": "Contains a list of instances.", "id": "InstanceList" }, "SerialPortOutput": { "description": "An instance serial console output.", "type": "object", "id": "SerialPortOutput", "properties": { "contents": { "description": "[Output Only] The contents of the console output.", "type": "string" }, "next": { "format": "int64", "description": "[Output Only] The position of the next byte of content, regardless of whether the content exists, following the output returned in the `contents` property. Use this value in the next request as the start parameter.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "default": "compute#serialPortOutput", "description": "[Output Only] Type of the resource. Always compute#serialPortOutput for serial port output.", "type": "string" }, "start": { "format": "int64", "type": "string", "description": "The starting byte position of the output that was returned. This should match the start parameter sent with the request. If the serial console output exceeds the size of the buffer (1 MB), older output is overwritten by newer content. The output start value will indicate the byte position of the output that was returned, which might be different than the `start` value that was specified in the request." } } }, "DiskType": { "id": "DiskType", "description": "Represents a Disk Type resource. Google Compute Engine has two Disk Type resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionDiskTypes) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/v1/diskTypes) You can choose from a variety of disk types based on your needs. For more information, read Storage options. The diskTypes resource represents disk types for a zonal persistent disk. For more information, read Zonal persistent disks. The regionDiskTypes resource represents disk types for a regional persistent disk. For more information, read Regional persistent disks.", "properties": { "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "validDiskSize": { "type": "string", "description": "[Output Only] An optional textual description of the valid disk size, such as \"10GB-10TB\"." }, "name": { "description": "[Output Only] Name of the resource.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the disk type resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "description": { "description": "[Output Only] An optional description of this resource.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#diskType for disk types.", "default": "compute#diskType" }, "defaultDiskSizeGb": { "format": "int64", "description": "[Output Only] Server-defined default disk size in GB.", "type": "string" }, "zone": { "description": "[Output Only] URL of the zone where the disk type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this disk type." } }, "type": "object" }, "TargetPoolsAddHealthCheckRequest": { "type": "object", "id": "TargetPoolsAddHealthCheckRequest", "properties": { "healthChecks": { "description": "The HttpHealthCheck to add to the target pool.", "items": { "$ref": "HealthCheckReference" }, "type": "array" } } }, "SecurityPolicyRule": { "id": "SecurityPolicyRule", "description": "Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).", "type": "object", "properties": { "redirectOptions": { "$ref": "SecurityPolicyRuleRedirectOptions", "description": "Parameters defining the redirect action. Cannot be specified for any other actions." }, "priority": { "description": "An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest priority.", "format": "int32", "type": "integer" }, "action": { "description": "The Action to perform when the rule is matched. The following are the valid actions: - allow: allow access to target. - deny(): deny access to target, returns the HTTP response code specified (valid values are 403, 404, and 502). - rate_based_ban: limit client traffic to the configured threshold and ban the client if the traffic exceeds the threshold. Configure parameters for this action in RateLimitOptions. Requires rate_limit_options to be set. - redirect: redirect to a different target. This can either be an internal reCAPTCHA redirect, or an external URL-based redirect via a 302 response. Parameters for this action can be configured via redirectOptions. - throttle: limit client traffic to the configured threshold. Configure parameters for this action in rateLimitOptions. Requires rate_limit_options to be set for this. ", "type": "string" }, "headerAction": { "description": "Optional, additional actions that are performed on headers.", "$ref": "SecurityPolicyRuleHttpHeaderAction" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "type": "string", "description": "[Output only] Type of the resource. Always compute#securityPolicyRule for security policy rules", "default": "compute#securityPolicyRule" }, "preview": { "description": "If set to true, the specified action is not enforced.", "type": "boolean" }, "rateLimitOptions": { "description": "Must be specified if the action is \"rate_based_ban\" or \"throttle\". Cannot be specified for any other actions.", "$ref": "SecurityPolicyRuleRateLimitOptions" }, "match": { "description": "A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced.", "$ref": "SecurityPolicyRuleMatcher" } } }, "ZoneList": { "type": "object", "description": "Contains a list of zone resources.", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "type": "array", "items": { "$ref": "Zone" }, "description": "A list of Zone resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#zoneList", "description": "Type of resource." } }, "id": "ZoneList" }, "HttpRedirectAction": { "id": "HttpRedirectAction", "properties": { "redirectResponseCode": { "description": "The HTTP Status code to use for this RedirectAction. Supported values are: - MOVED_PERMANENTLY_DEFAULT, which is the default value and corresponds to 301. - FOUND, which corresponds to 302. - SEE_OTHER which corresponds to 303. - TEMPORARY_REDIRECT, which corresponds to 307. In this case, the request method is retained. - PERMANENT_REDIRECT, which corresponds to 308. In this case, the request method is retained. ", "enumDescriptions": [ "Http Status Code 302 - Found.", "Http Status Code 301 - Moved Permanently.", "Http Status Code 308 - Permanent Redirect maintaining HTTP method.", "Http Status Code 303 - See Other.", "Http Status Code 307 - Temporary Redirect maintaining HTTP method." ], "type": "string", "enum": [ "FOUND", "MOVED_PERMANENTLY_DEFAULT", "PERMANENT_REDIRECT", "SEE_OTHER", "TEMPORARY_REDIRECT" ] }, "pathRedirect": { "description": "The path that is used in the redirect response instead of the one that was supplied in the request. pathRedirect cannot be supplied together with prefixRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters.", "type": "string" }, "httpsRedirect": { "type": "boolean", "description": "If set to true, the URL scheme in the redirected request is set to HTTPS. If set to false, the URL scheme of the redirected request remains the same as that of the request. This must only be set for URL maps used in TargetHttpProxys. Setting this true for TargetHttpsProxy is not permitted. The default is set to false." }, "stripQuery": { "type": "boolean", "description": "If set to true, any accompanying query portion of the original URL is removed before redirecting the request. If set to false, the query portion of the original URL is retained. The default is set to false. " }, "hostRedirect": { "type": "string", "description": "The host that is used in the redirect response instead of the one that was supplied in the request. The value must be from 1 to 255 characters." }, "prefixRedirect": { "type": "string", "description": "The prefix that replaces the prefixMatch specified in the HttpRouteRuleMatch, retaining the remaining portion of the URL before redirecting the request. prefixRedirect cannot be supplied together with pathRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters." } }, "description": "Specifies settings for an HTTP redirect.", "type": "object" }, "VpnGatewayStatusHighAvailabilityRequirementState": { "id": "VpnGatewayStatusHighAvailabilityRequirementState", "properties": { "state": { "enumDescriptions": [ "VPN tunnels are configured with adequate redundancy from Cloud VPN gateway to the peer VPN gateway. For both GCP-to-non-GCP and GCP-to-GCP connections, the adequate redundancy is a pre-requirement for users to get 99.99% availability on GCP side; please note that for any connection, end-to-end 99.99% availability is subject to proper configuration on the peer VPN gateway.", "VPN tunnels are not configured with adequate redundancy from the Cloud VPN gateway to the peer gateway" ], "description": "Indicates the high availability requirement state for the VPN connection. Valid values are CONNECTION_REDUNDANCY_MET, CONNECTION_REDUNDANCY_NOT_MET.", "enum": [ "CONNECTION_REDUNDANCY_MET", "CONNECTION_REDUNDANCY_NOT_MET" ], "type": "string" }, "unsatisfiedReason": { "enumDescriptions": [ "" ], "type": "string", "description": "Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is INCOMPLETE_TUNNELS_COVERAGE.", "enum": [ "INCOMPLETE_TUNNELS_COVERAGE" ] } }, "description": "Describes the high availability requirement state for the VPN connection between this Cloud VPN gateway and a peer gateway.", "type": "object" }, "PublicDelegatedPrefixList": { "type": "object", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "description": "[Output Only] Type of the resource. Always compute#publicDelegatedPrefixList for public delegated prefixes.", "default": "compute#publicDelegatedPrefixList", "type": "string" }, "items": { "type": "array", "description": "A list of PublicDelegatedPrefix resources.", "items": { "$ref": "PublicDelegatedPrefix" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "PublicDelegatedPrefixList" }, "VpnGatewayStatusVpnConnection": { "type": "object", "description": "A VPN connection contains all VPN tunnels connected from this VpnGateway to the same peer gateway. The peer gateway could either be a external VPN gateway or GCP VPN gateway.", "properties": { "state": { "$ref": "VpnGatewayStatusHighAvailabilityRequirementState", "description": "HighAvailabilityRequirementState for the VPN connection." }, "peerExternalGateway": { "type": "string", "description": "URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway." }, "peerGcpGateway": { "type": "string", "description": "URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway." }, "tunnels": { "type": "array", "items": { "$ref": "VpnGatewayStatusTunnel" }, "description": "List of VPN tunnels that are in this VPN connection." } }, "id": "VpnGatewayStatusVpnConnection" }, "ForwardingRuleList": { "id": "ForwardingRuleList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of ForwardingRule resources.", "items": { "$ref": "ForwardingRule" }, "type": "array" }, "warning": { "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#forwardingRuleList" } }, "type": "object", "description": "Contains a list of ForwardingRule resources." }, "CommitmentsScopedList": { "id": "CommitmentsScopedList", "type": "object", "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of commitments when the list is empty.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } } }, "commitments": { "description": "[Output Only] A list of commitments contained in this scope.", "items": { "$ref": "Commitment" }, "type": "array" } } }, "ResourcePolicyList": { "id": "ResourcePolicyList", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "description": "[Output Only] A list of ResourcePolicy resources.", "items": { "$ref": "ResourcePolicy" } }, "kind": { "default": "compute#resourcePolicyList", "type": "string", "description": "[Output Only] Type of resource.Always compute#resourcePoliciesList for listsof resourcePolicies" }, "etag": { "type": "string" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "type": "object" }, "Instance": { "type": "object", "description": "Represents an Instance resource. An instance is a virtual machine that is hosted on Google Cloud Platform. For more information, read Virtual Machine Instances.", "id": "Instance", "properties": { "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "deletionProtection": { "type": "boolean", "description": "Whether the resource should be protected against deletion." }, "resourcePolicies": { "description": "Resource policies applied to this instance.", "type": "array", "items": { "type": "string" } }, "fingerprint": { "format": "byte", "type": "string", "description": "Specifies a fingerprint for this resource, which is essentially a hash of the instance's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance. You must always provide an up-to-date fingerprint hash in order to update the instance. To see the latest fingerprint, make get() request to the instance." }, "disks": { "description": "Array of disks associated with this instance. Persistent disks must be created before you can assign them.", "type": "array", "items": { "$ref": "AttachedDisk" } }, "scheduling": { "$ref": "Scheduling", "description": "Sets the scheduling options for this instance." }, "displayDevice": { "description": "Enables display device for the instance.", "$ref": "DisplayDevice" }, "guestAccelerators": { "type": "array", "items": { "$ref": "AcceleratorConfig" }, "description": "A list of the type and count of accelerator cards attached to the instance." }, "confidentialInstanceConfig": { "$ref": "ConfidentialInstanceConfig" }, "shieldedInstanceIntegrityPolicy": { "$ref": "ShieldedInstanceIntegrityPolicy" }, "networkInterfaces": { "items": { "$ref": "NetworkInterface" }, "type": "array", "description": "An array of network configurations for this instance. These specify how interfaces are configured to interact with other network services, such as connecting to the internet. Multiple interfaces are supported per instance." }, "lastStartTimestamp": { "description": "[Output Only] Last start timestamp in RFC3339 text format.", "type": "string" }, "satisfiesPzs": { "description": "[Output Only] Reserved for future use.", "type": "boolean" }, "advancedMachineFeatures": { "$ref": "AdvancedMachineFeatures", "description": "Controls for advanced machine-related behavior features." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#instance for instances.", "default": "compute#instance" }, "minCpuPlatform": { "description": "Specifies a minimum CPU platform for the VM instance. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\".", "type": "string" }, "params": { "description": "Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload.", "$ref": "InstanceParams" }, "keyRevocationActionType": { "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified." }, "serviceAccounts": { "description": "A list of service accounts, with their specified scopes, authorized for this instance. Only one service account per VM instance is supported. Service accounts generate access tokens that can be accessed through the metadata server and used to authenticate applications on the instance. See Service Accounts for more information.", "items": { "$ref": "ServiceAccount" }, "type": "array" }, "labels": { "description": "Labels to apply to this instance. These can be later modified by the setLabels method.", "additionalProperties": { "type": "string" }, "type": "object" }, "startRestricted": { "description": "[Output Only] Whether a VM has been restricted for start because Compute Engine has detected suspicious activity.", "type": "boolean" }, "tags": { "description": "Tags to apply to this instance. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during instance creation. The tags can be later modified by the setTags method. Each tag within the list must comply with RFC1035. Multiple tags can be specified via the 'tags.items' field.", "$ref": "Tags" }, "canIpForward": { "description": "Allows this instance to send and receive packets with non-matching destination or source IPs. This is required if you plan to use this instance to forward routes. For more information, see Enabling IP Forwarding .", "type": "boolean" }, "name": { "type": "string", "annotations": { "required": [ "compute.instances.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "machineType": { "annotations": { "required": [ "compute.instances.insert" ] }, "description": "Full or partial URL of the machine type resource to use for this instance, in the format: zones/zone/machineTypes/machine-type. This is provided by the client when the instance is created. For example, the following is a valid partial url to a predefined machine type: zones/us-central1-f/machineTypes/n1-standard-1 To create a custom machine type, provide a URL to a machine type in the following format, where CPUS is 1 or an even number up to 32 (2, 4, 6, ... 24, etc), and MEMORY is the total memory for this instance. Memory must be a multiple of 256 MB and must be supplied in MB (e.g. 5 GB of memory is 5120 MB): zones/zone/machineTypes/custom-CPUS-MEMORY For example: zones/us-central1-f/machineTypes/custom-4-5120 For a full list of restrictions, read the Specifications for custom machine types.", "type": "string" }, "lastStopTimestamp": { "description": "[Output Only] Last stop timestamp in RFC3339 text format.", "type": "string" }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig" }, "sourceMachineImage": { "type": "string", "description": "Source machine image" }, "hostname": { "type": "string", "description": "Specifies the hostname of the instance. The specified hostname must be RFC1035 compliant. If hostname is not specified, the default hostname is [INSTANCE_NAME].c.[PROJECT_ID].internal when using the global DNS, and [INSTANCE_NAME].[ZONE].c.[PROJECT_ID].internal when using zonal DNS." }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "reservationAffinity": { "$ref": "ReservationAffinity", "description": "Specifies the reservations that this instance can consume from." }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig" }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." }, "status": { "enumDescriptions": [ "The Nanny is halted and we are performing tear down tasks like network deprogramming, releasing quota, IP, tearing down disks etc.", "Resources are being allocated for the instance.", "The instance is in repair.", "The instance is running.", "All required resources have been allocated and the instance is being started.", "The instance has stopped successfully.", "The instance is currently stopping (either being deleted or killed).", "The instance has suspended.", "The instance is suspending.", "The instance has stopped (either by explicit action or underlying failure)." ], "description": "[Output Only] The status of the instance. One of the following values: PROVISIONING, STAGING, RUNNING, STOPPING, SUSPENDING, SUSPENDED, REPAIRING, and TERMINATED. For more information about the status of the instance, see Instance life cycle.", "enum": [ "DEPROVISIONING", "PROVISIONING", "REPAIRING", "RUNNING", "STAGING", "STOPPED", "STOPPING", "SUSPENDED", "SUSPENDING", "TERMINATED" ], "type": "string" }, "cpuPlatform": { "description": "[Output Only] The CPU platform used by this instance.", "type": "string" }, "lastSuspendedTimestamp": { "type": "string", "description": "[Output Only] Last suspended timestamp in RFC3339 text format." }, "metadata": { "description": "The metadata key/value pairs assigned to this instance. This includes custom metadata and predefined keys.", "$ref": "Metadata" }, "privateIpv6GoogleAccess": { "description": "The private IPv6 google access type for the VM. If not specified, use INHERIT_FROM_SUBNETWORK as default.", "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ], "type": "string", "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ] }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for this request, which is essentially a hash of the label's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the instance." }, "sourceMachineImageEncryptionKey": { "description": "Source machine image encryption key when creating an instance from a machine image.", "$ref": "CustomerEncryptionKey" } } }, "Project": { "properties": { "enabledFeatures": { "items": { "type": "string" }, "description": "Restricted features enabled for use on this project.", "type": "array" }, "usageExportLocation": { "$ref": "UsageExportLocation", "description": "The naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored." }, "quotas": { "description": "[Output Only] Quotas assigned to this project.", "type": "array", "items": { "$ref": "Quota" } }, "xpnProjectStatus": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "HOST", "UNSPECIFIED_XPN_PROJECT_STATUS" ], "description": "[Output Only] The role this project has in a shared VPC configuration. Currently, only projects with the host role, which is specified by the value HOST, are differentiated." }, "kind": { "default": "compute#project", "type": "string", "description": "[Output Only] Type of the resource. Always compute#project for projects." }, "description": { "type": "string", "description": "An optional textual description of the resource." }, "commonInstanceMetadata": { "$ref": "Metadata", "description": "Metadata key/value pairs available to all instances contained in this project. See Custom metadata for more information." }, "defaultNetworkTier": { "description": "This signifies the default network tier used for configuring resources of the project and can only take the following values: PREMIUM, STANDARD. Initially the default network tier is PREMIUM.", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string" }, "defaultServiceAccount": { "description": "[Output Only] Default service account used by VMs running in this project.", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server. This is *not* the project ID, and is just a unique ID used by Compute Engine to identify resources." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "name": { "description": "The project ID. For example: my-example-project. Use the project ID to make requests to Compute Engine.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "description": "Represents a Project resource. A project is used to organize resources in a Google Cloud Platform environment. For more information, read about the Resource Hierarchy.", "id": "Project", "type": "object" }, "NodeTemplateList": { "type": "object", "id": "NodeTemplateList", "description": "Contains a list of node templates.", "properties": { "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "items": { "$ref": "NodeTemplate" }, "description": "A list of NodeTemplate resources." }, "kind": { "type": "string", "default": "compute#nodeTemplateList", "description": "[Output Only] Type of resource.Always compute#nodeTemplateList for lists of node templates." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "InstanceGroup": { "id": "InstanceGroup", "type": "object", "description": "Represents an Instance Group resource. Instance Groups can be used to configure a target for load balancing. Instance groups can either be managed or unmanaged. To create managed instance groups, use the instanceGroupManager or regionInstanceGroupManager resource instead. Use zonal unmanaged instance groups if you need to apply load balancing to groups of heterogeneous instances or if you need to manage the instances yourself. You cannot create regional unmanaged instance groups. For more information, read Instance groups.", "properties": { "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "fingerprint": { "format": "byte", "type": "string", "description": "[Output Only] The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently." }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] A unique identifier for this instance group, generated by the server." }, "kind": { "type": "string", "default": "compute#instanceGroup", "description": "[Output Only] The resource type, which is always compute#instanceGroup for instance groups." }, "name": { "annotations": { "required": [ "compute.instanceGroups.insert" ] }, "description": "The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "subnetwork": { "type": "string", "description": "[Output Only] The URL of the subnetwork to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0)." }, "namedPorts": { "type": "array", "description": " Assigns a name to a port number. For example: {name: \"http\", port: 80} This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: \"app1\", port: 8080}, {name: \"app1\", port: 8081}, {name: \"app2\", port: 8082}] Named ports apply to all instances in this instance group. ", "items": { "$ref": "NamedPort" } }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this instance group in RFC3339 text format.", "type": "string" }, "zone": { "description": "[Output Only] The URL of the zone where the instance group is located (for zonal resources).", "type": "string" }, "network": { "description": "[Output Only] The URL of the network to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] The URL for this instance group. The server generates this URL." }, "region": { "description": "[Output Only] The URL of the region where the instance group is located (for regional resources).", "type": "string" }, "size": { "type": "integer", "format": "int32", "description": "[Output Only] The total number of instances in the instance group." } } }, "WafExpressionSetExpression": { "id": "WafExpressionSetExpression", "properties": { "id": { "description": "Expression ID should uniquely identify the origin of the expression. E.g. owasp-crs-v020901-id973337 identifies Owasp core rule set version 2.9.1 rule id 973337. The ID could be used to determine the individual attack definition that has been detected. It could also be used to exclude it from the policy in case of false positive. required", "type": "string" } }, "type": "object" }, "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption": { "type": "object", "id": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption", "properties": { "headerName": { "description": "The name of the header to set.", "type": "string" }, "headerValue": { "description": "The value to set the named header to.", "type": "string" } } }, "PacketMirroringsScopedList": { "properties": { "packetMirrorings": { "description": "A list of packetMirrorings contained in this scope.", "items": { "$ref": "PacketMirroring" }, "type": "array" }, "warning": { "description": "Informational warning which replaces the list of packetMirrorings when the list is empty.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } } } } }, "id": "PacketMirroringsScopedList", "type": "object" }, "NodeGroupsAddNodesRequest": { "id": "NodeGroupsAddNodesRequest", "properties": { "additionalNodeCount": { "type": "integer", "format": "int32", "description": "Count of additional nodes to be added to the node group." } }, "type": "object" }, "VpnTunnelList": { "description": "Contains a list of VpnTunnel resources.", "type": "object", "properties": { "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "VpnTunnel" }, "description": "A list of VpnTunnel resources." }, "kind": { "type": "string", "default": "compute#vpnTunnelList", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels." } }, "id": "VpnTunnelList" }, "SslPolicy": { "type": "object", "properties": { "customFeatures": { "description": "A list of features enabled when the selected profile is CUSTOM. The method returns the set of features that can be specified in this list. This field must be empty if the profile is not CUSTOM.", "items": { "type": "string" }, "type": "array" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "kind": { "type": "string", "description": "[Output only] Type of the resource. Always compute#sslPolicyfor SSL policies.", "default": "compute#sslPolicy" }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a SslPolicy. An up-to-date fingerprint must be provided in order to update the SslPolicy, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an SslPolicy.", "type": "string", "format": "byte" }, "profile": { "enum": [ "COMPATIBLE", "CUSTOM", "MODERN", "RESTRICTED" ], "description": "Profile specifies the set of SSL features that can be used by the load balancer when negotiating SSL with clients. This can be one of COMPATIBLE, MODERN, RESTRICTED, or CUSTOM. If using CUSTOM, the set of SSL features to enable must be specified in the customFeatures field.", "enumDescriptions": [ "Compatible profile. Allows the broadset set of clients, even those which support only out-of-date SSL features to negotiate with the load balancer.", "Custom profile. Allow only the set of allowed SSL features specified in the customFeatures field.", "Modern profile. Supports a wide set of SSL features, allowing modern clients to negotiate SSL with the load balancer.", "Restricted profile. Supports a reduced set of SSL features, intended to meet stricter compliance requirements." ], "type": "string" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "enabledFeatures": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] The list of features enabled in the SSL policy." }, "minTlsVersion": { "type": "string", "enum": [ "TLS_1_0", "TLS_1_1", "TLS_1_2" ], "enumDescriptions": [ "TLS 1.0", "TLS 1.1", "TLS 1.2" ], "description": "The minimum version of SSL protocol that can be used by the clients to establish a connection with the load balancer. This can be one of TLS_1_0, TLS_1_1, TLS_1_2." }, "warnings": { "type": "array", "items": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object" }, "description": "[Output Only] If potential misconfigurations are detected for this SSL policy, this field will be populated with warning messages." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "description": "Represents an SSL Policy resource. Use SSL policies to control the SSL features, such as versions and cipher suites, offered by an HTTPS or SSL Proxy load balancer. For more information, read SSL Policy Concepts.", "id": "SslPolicy" }, "SecurityPolicyRuleMatcher": { "type": "object", "id": "SecurityPolicyRuleMatcher", "properties": { "versionedExpr": { "type": "string", "description": "Preconfigured versioned expression. If this field is specified, config must also be specified. Available preconfigured expressions along with their requirements are: SRC_IPS_V1 - must specify the corresponding src_ip_range field in config.", "enumDescriptions": [ "Matches the source IP address of a request to the IP ranges supplied in config." ], "enum": [ "SRC_IPS_V1" ] }, "expr": { "description": "User defined CEVAL expression. A CEVAL expression is used to specify match criteria such as origin.ip, source.region_code and contents in the request header.", "$ref": "Expr" }, "config": { "$ref": "SecurityPolicyRuleMatcherConfig", "description": "The configuration options available when specifying versioned_expr. This field must be specified if versioned_expr is specified and cannot be specified if versioned_expr is not specified." } }, "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified." }, "GRPCHealthCheck": { "id": "GRPCHealthCheck", "type": "object", "properties": { "portSpecification": { "type": "string", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ], "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, gRPC health check follows behavior specified in port and portName fields." }, "grpcServiceName": { "description": "The gRPC service name for the health check. This field is optional. The value of grpc_service_name has the following meanings by convention: - Empty service_name means the overall status of all services at the backend. - Non-empty service_name means the health of that gRPC service, as defined by the owner of the service. The grpc_service_name can only be ASCII.", "type": "string" }, "port": { "type": "integer", "description": "The port number for the health check request. Must be specified if port_name and port_specification are not set or if port_specification is USE_FIXED_PORT. Valid values are 1 through 65535.", "format": "int32" }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence. The port_name should conform to RFC1035.", "type": "string" } } }, "RouterStatusBgpPeerStatus": { "properties": { "routerApplianceInstance": { "description": "[Output only] URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance is the peer side of the BGP session.", "type": "string" }, "linkedVpnTunnel": { "description": "URL of the VPN tunnel that this BGP peer controls.", "type": "string" }, "name": { "type": "string", "description": "Name of this BGP peer. Unique within the Routers resource." }, "uptimeSeconds": { "description": "Time this session has been up, in seconds. Format: 145", "type": "string" }, "numLearnedRoutes": { "type": "integer", "format": "uint32", "description": "Number of routes learned from the remote BGP Peer." }, "state": { "description": "The state of the BGP session. For a list of possible values for this field, see BGP session states.", "type": "string" }, "peerIpAddress": { "description": "IP address of the remote BGP interface.", "type": "string" }, "advertisedRoutes": { "type": "array", "items": { "$ref": "Route" }, "description": "Routes that were advertised to the remote BGP peer" }, "ipAddress": { "description": "IP address of the local BGP interface.", "type": "string" }, "bfdStatus": { "$ref": "BfdStatus" }, "uptime": { "type": "string", "description": "Time this session has been up. Format: 14 years, 51 weeks, 6 days, 23 hours, 59 minutes, 59 seconds" }, "status": { "description": "Status of the BGP peer: {UP, DOWN}", "enum": [ "DOWN", "UNKNOWN", "UP" ], "enumDescriptions": [ "", "", "" ], "type": "string" } }, "type": "object", "id": "RouterStatusBgpPeerStatus" }, "RegionInstanceGroupsListInstancesRequest": { "properties": { "portName": { "description": "Name of port user is interested in. It is optional. If it is set, only information about this ports will be returned. If it is not set, all the named ports will be returned. Always lists all instances.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "instanceState": { "enumDescriptions": [ "Matches any status of the instances, running, non-running and others.", "Instance is in RUNNING state if it is running." ], "type": "string", "enum": [ "ALL", "RUNNING" ], "description": "Instances in which state should be returned. Valid options are: 'ALL', 'RUNNING'. By default, it lists all instances." } }, "type": "object", "id": "RegionInstanceGroupsListInstancesRequest" }, "SourceDiskEncryptionKey": { "type": "object", "properties": { "sourceDisk": { "description": "URL of the disk attached to the source instance. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk ", "type": "string" }, "diskEncryptionKey": { "description": "The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" } }, "id": "SourceDiskEncryptionKey" }, "InterconnectsGetDiagnosticsResponse": { "id": "InterconnectsGetDiagnosticsResponse", "properties": { "result": { "$ref": "InterconnectDiagnostics" } }, "description": "Response for the InterconnectsGetDiagnosticsRequest.", "type": "object" }, "LocalDisk": { "type": "object", "id": "LocalDisk", "properties": { "diskType": { "description": "Specifies the desired disk type on the node. This disk type must be a local storage type (e.g.: local-ssd). Note that for nodeTemplates, this should be the name of the disk type and not its URL.", "type": "string" }, "diskSizeGb": { "description": "Specifies the size of the disk in base-2 GB.", "type": "integer", "format": "int32" }, "diskCount": { "format": "int32", "type": "integer", "description": "Specifies the number of such disks." } } }, "LocationPolicyLocation": { "id": "LocationPolicyLocation", "type": "object", "properties": { "constraints": { "description": "Constraints that the caller requires on the result distribution in this zone.", "$ref": "LocationPolicyLocationConstraints" }, "preference": { "description": "Preference for a given location.", "enum": [ "ALLOW", "DENY", "PREFERENCE_UNSPECIFIED" ], "enumDescriptions": [ "Location is allowed for use.", "Location is prohibited.", "Default value, unused." ], "type": "string" } } }, "PacketIntervals": { "properties": { "avgMs": { "description": "Average observed inter-packet interval in milliseconds.", "type": "string", "format": "int64" }, "type": { "type": "string", "enum": [ "LOOPBACK", "RECEIVE", "TRANSMIT", "TYPE_UNSPECIFIED" ], "enumDescriptions": [ "Only applies to Echo packets. This shows the intervals between sending and receiving the same packet.", "Intervals between received packets.", "Intervals between transmitted packets.", "" ], "description": "The type of packets for which inter-packet intervals were computed." }, "numIntervals": { "format": "int64", "description": "Number of inter-packet intervals from which these statistics were derived.", "type": "string" }, "maxMs": { "type": "string", "format": "int64", "description": "Maximum observed inter-packet interval in milliseconds." }, "duration": { "type": "string", "description": "From how long ago in the past these intervals were observed.", "enumDescriptions": [ "", "", "From BfdSession object creation time.", "" ], "enum": [ "DURATION_UNSPECIFIED", "HOUR", "MAX", "MINUTE" ] }, "minMs": { "description": "Minimum observed inter-packet interval in milliseconds.", "format": "int64", "type": "string" } }, "description": "Next free: 7", "type": "object", "id": "PacketIntervals" }, "ConsistentHashLoadBalancerSettings": { "description": "This message defines settings for a consistent hash style load balancer.", "id": "ConsistentHashLoadBalancerSettings", "type": "object", "properties": { "minimumRingSize": { "description": "The minimum number of virtual nodes to use for the hash ring. Defaults to 1024. Larger ring sizes result in more granular load distributions. If the number of hosts in the load balancing pool is larger than the ring size, each host will be assigned a single virtual node.", "type": "string", "format": "int64" }, "httpHeaderName": { "description": "The hash based on the value of the specified header field. This field is applicable if the sessionAffinity is set to HEADER_FIELD.", "type": "string" }, "httpCookie": { "$ref": "ConsistentHashLoadBalancerSettingsHttpCookie", "description": "Hash is based on HTTP Cookie. This field describes a HTTP cookie that will be used as the hash key for the consistent hash load balancer. If the cookie is not present, it will be generated. This field is applicable if the sessionAffinity is set to HTTP_COOKIE. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true." } } }, "SecurityPolicyRuleRedirectOptions": { "id": "SecurityPolicyRuleRedirectOptions", "properties": { "type": { "enumDescriptions": [ "", "" ], "description": "Type of the redirect action.", "enum": [ "EXTERNAL_302", "GOOGLE_RECAPTCHA" ], "type": "string" }, "target": { "description": "Target for the redirect action. This is required if the type is EXTERNAL_302 and cannot be specified for GOOGLE_RECAPTCHA.", "type": "string" } }, "type": "object" }, "TargetPoolsRemoveHealthCheckRequest": { "properties": { "healthChecks": { "description": "Health check URL to be removed. This can be a full or valid partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project /global/httpHealthChecks/health-check - projects/project/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "type": "array", "items": { "$ref": "HealthCheckReference" } } }, "type": "object", "id": "TargetPoolsRemoveHealthCheckRequest" }, "TargetTcpProxiesSetBackendServiceRequest": { "properties": { "service": { "type": "string", "description": "The URL of the new BackendService resource for the targetTcpProxy." } }, "id": "TargetTcpProxiesSetBackendServiceRequest", "type": "object" }, "AccessConfig": { "description": "An access configuration attached to an instance's network interface. Only one access config per instance is supported.", "properties": { "type": { "enum": [ "DIRECT_IPV6", "ONE_TO_ONE_NAT" ], "description": "The type of configuration. The default and only option is ONE_TO_ONE_NAT.", "default": "ONE_TO_ONE_NAT", "type": "string", "enumDescriptions": [ "", "" ] }, "networkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "description": "This signifies the networking tier used for configuring this access configuration and can only take the following values: PREMIUM, STANDARD. If an AccessConfig is specified without a valid external IP address, an ephemeral IP will be created with this networkTier. If an AccessConfig with a valid external IP address is specified, it must match that of the networkTier associated with the Address resource owning that IP.", "type": "string", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ] }, "name": { "description": "The name of this access configuration. The default and recommended name is External NAT, but you can use any arbitrary string, such as My external IP or Network Access.", "type": "string" }, "natIP": { "description": "An external IP address associated with this instance. Specify an unused static external IP address available to the project or leave this field undefined to use an IP from a shared ephemeral IP address pool. If you specify a static external IP address, it must live in the same region as the zone of the instance.", "type": "string" }, "publicPtrDomainName": { "description": "The DNS domain name for the public PTR record. You can set this field only if the `setPublicPtr` field is enabled in accessConfig. If this field is unspecified in ipv6AccessConfig, a default PTR record will be createc for first IP in associated external IPv6 range.", "type": "string" }, "externalIpv6PrefixLength": { "type": "integer", "format": "int32", "description": "The prefix length of the external IPv6 range." }, "externalIpv6": { "description": "The first IPv6 address of the external IPv6 range associated with this instance, prefix length is stored in externalIpv6PrefixLength in ipv6AccessConfig. The field is output only, an IPv6 address from a subnetwork associated with the instance will be allocated dynamically.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#accessConfig for access configs.", "default": "compute#accessConfig" }, "setPublicPtr": { "type": "boolean", "description": "Specifies whether a public DNS 'PTR' record should be created to map the external IP address of the instance to a DNS domain name. This field is not used in ipv6AccessConfig. A default PTR record will be created if the VM has external IPv6 range associated." } }, "id": "AccessConfig", "type": "object" }, "TargetInstancesScopedList": { "properties": { "targetInstances": { "items": { "$ref": "TargetInstance" }, "description": "A list of target instances contained in this scope.", "type": "array" }, "warning": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } }, "description": "Informational warning which replaces the list of addresses when the list is empty." } }, "type": "object", "id": "TargetInstancesScopedList" }, "TargetHttpsProxiesScopedList": { "properties": { "targetHttpsProxies": { "type": "array", "items": { "$ref": "TargetHttpsProxy" }, "description": "A list of TargetHttpsProxies contained in this scope." }, "warning": { "description": "Informational warning which replaces the list of backend services when the list is empty.", "type": "object", "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } } }, "id": "TargetHttpsProxiesScopedList", "type": "object" }, "DistributionPolicy": { "id": "DistributionPolicy", "type": "object", "properties": { "targetShape": { "type": "string", "enumDescriptions": [ "The group picks zones for creating VM instances to fulfill the requested number of VMs within present resource constraints and to maximize utilization of unused zonal reservations. Recommended for batch workloads that do not require high availability.", "The group prioritizes acquisition of resources, scheduling VMs in zones where resources are available while distributing VMs as evenly as possible across selected zones to minimize the impact of zonal failure. Recommended for highly available serving workloads.", "The group schedules VM instance creation and deletion to achieve and maintain an even number of managed instances across the selected zones. The distribution is even when the number of managed instances does not differ by more than 1 between any two zones. Recommended for highly available serving workloads." ], "description": "The distribution shape to which the group converges either proactively or on resize events (depending on the value set in updatePolicy.instanceRedistributionType).", "enum": [ "ANY", "BALANCED", "EVEN" ] }, "zones": { "description": "Zones where the regional managed instance group will create and manage its instances.", "items": { "$ref": "DistributionPolicyZoneConfiguration" }, "type": "array" } } }, "LicenseCodeLicenseAlias": { "properties": { "description": { "type": "string", "description": "[Output Only] Description of this License Code." }, "selfLink": { "description": "[Output Only] URL of license corresponding to this License Code.", "type": "string" } }, "id": "LicenseCodeLicenseAlias", "type": "object" }, "HealthStatus": { "id": "HealthStatus", "type": "object", "properties": { "port": { "type": "integer", "format": "int32", "description": "The named port of the instance group, not necessarily the port that is health-checked." }, "weightError": { "enumDescriptions": [ "The response to a Health Check probe had the HTTP response header field X-Load-Balancing-Endpoint-Weight, but its content was invalid (i.e., not a non-negative single-precision floating-point number in decimal string representation).", "The response to a Health Check probe did not have the HTTP response header field X-Load-Balancing-Endpoint-Weight.", "This is the value when the accompanied health status is either TIMEOUT (i.e.,the Health Check probe was not able to get a response in time) or UNKNOWN. For the latter, it should be typically because there has not been sufficient time to parse and report the weight for a new backend (which is with 0.0.0.0 ip address). However, it can be also due to an outage case for which the health status is explicitly reset to UNKNOWN.", "This is the default value when WeightReportMode is DISABLE, and is also the initial value when WeightReportMode has just updated to ENABLE or DRY_RUN and there has not been sufficient time to parse and report the backend weight." ], "type": "string", "enum": [ "INVALID_WEIGHT", "MISSING_WEIGHT", "UNAVAILABLE_WEIGHT", "WEIGHT_NONE" ] }, "healthState": { "description": "Health state of the instance.", "enum": [ "HEALTHY", "UNHEALTHY" ], "enumDescriptions": [ "", "" ], "type": "string" }, "ipAddress": { "description": "For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip.", "type": "string" }, "instance": { "description": "URL of the instance resource.", "type": "string" }, "annotations": { "description": "Metadata defined as annotations for network endpoint.", "additionalProperties": { "type": "string" }, "type": "object" }, "forwardingRule": { "description": "URL of the forwarding rule associated with the health status of the instance.", "type": "string" }, "forwardingRuleIp": { "description": "A forwarding rule IP address assigned to this instance.", "type": "string" }, "weight": { "type": "string" } } }, "InstancesSetServiceAccountRequest": { "id": "InstancesSetServiceAccountRequest", "properties": { "email": { "description": "Email address of the service account.", "type": "string" }, "scopes": { "type": "array", "description": "The list of scopes to be made available for this service account.", "items": { "type": "string" } } }, "type": "object" }, "BackendBucketCdnPolicyNegativeCachingPolicy": { "id": "BackendBucketCdnPolicyNegativeCachingPolicy", "description": "Specify CDN TTLs for response error codes.", "type": "object", "properties": { "ttl": { "description": "The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.", "format": "int32", "type": "integer" }, "code": { "type": "integer", "description": "The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.", "format": "int32" } } }, "AutoscalingPolicyCpuUtilization": { "id": "AutoscalingPolicyCpuUtilization", "type": "object", "description": "CPU utilization policy.", "properties": { "predictiveMethod": { "type": "string", "enumDescriptions": [ "No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics", "Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand." ], "enum": [ "NONE", "OPTIMIZE_AVAILABILITY" ], "description": "Indicates whether predictive autoscaling based on CPU metric is enabled. Valid values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NONE (default). No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh OPTIMIZE_AVAILABILITY. Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand." }, "utilizationTarget": { "format": "double", "type": "number", "description": "The target CPU utilization that the autoscaler maintains. Must be a float value in the range (0, 1]. If not specified, the default is 0.6. If the CPU level is below the target utilization, the autoscaler scales in the number of instances until it reaches the minimum number of instances you specified or until the average CPU of your instances reaches the target utilization. If the average CPU is above the target utilization, the autoscaler scales out until it reaches the maximum number of instances you specified or until the average utilization reaches the target utilization." } } }, "CustomerEncryptionKey": { "id": "CustomerEncryptionKey", "type": "object", "properties": { "kmsKeyServiceAccount": { "description": "The service account being used for the encryption request for the given KMS key. If absent, the Compute Engine default service account is used. For example: \"kmsKeyServiceAccount\": \"name@project_id.iam.gserviceaccount.com/ ", "type": "string" }, "kmsKeyName": { "description": "The name of the encryption key that is stored in Google Cloud KMS. For example: \"kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key ", "type": "string" }, "sha256": { "type": "string", "description": "[Output only] The RFC 4648 base64 encoded SHA-256 hash of the customer-supplied encryption key that protects this resource." }, "rsaEncryptedKey": { "type": "string", "description": "Specifies an RFC 4648 base64 encoded, RSA-wrapped 2048-bit customer-supplied encryption key to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rsaEncryptedKey\": \"ieCx/NcW06PcT7Ep1X6LUTc/hLvUDYyzSZPPVCVPTVEohpeHASqC8uw5TzyO9U+Fka9JFH z0mBibXUInrC/jEk014kCK/NPjYgEMOyssZ4ZINPKxlUh2zn1bV+MCaTICrdmuSBTWlUUiFoD D6PYznLwh8ZNdaheCeZ8ewEXgFQ8V+sDroLaN3Xs3MDTXQEMMoNUXMCZEIpg9Vtp9x2oe==\" The key must meet the following requirements before you can provide it to Compute Engine: 1. The key is wrapped using a RSA public key certificate provided by Google. 2. After being wrapped, the key must be encoded in RFC 4648 base64 encoding. Gets the RSA public key certificate provided by Google at: https://cloud-certs.storage.googleapis.com/google-cloud-csek-ingress.pem " }, "rawKey": { "description": "Specifies a 256-bit customer-supplied encryption key, encoded in RFC 4648 base64 to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rawKey\": \"SGVsbG8gZnJvbSBHb29nbGUgQ2xvdWQgUGxhdGZvcm0=\" ", "type": "string" } } }, "RoutersScopedList": { "type": "object", "id": "RoutersScopedList", "properties": { "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" } }, "description": "Informational warning which replaces the list of routers when the list is empty." }, "routers": { "type": "array", "description": "A list of routers contained in this scope.", "items": { "$ref": "Router" } } } }, "ForwardingRule": { "id": "ForwardingRule", "properties": { "network": { "type": "string", "description": "This field is not used for external load balancing. For Internal TCP/UDP Load Balancing, this field identifies the network that the load balanced IP should belong to for this Forwarding Rule. If this field is not specified, the default network will be used. For Private Service Connect forwarding rules that forward traffic to Google APIs, a network must be provided." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "pscConnectionId": { "description": "[Output Only] The PSC connection id of the PSC Forwarding Rule.", "format": "uint64", "type": "string" }, "networkTier": { "type": "string", "description": "This signifies the networking tier used for configuring this load balancer and can only take the following values: PREMIUM, STANDARD. For regional ForwardingRule, the valid values are PREMIUM and STANDARD. For GlobalForwardingRule, the valid value is PREMIUM. If this field is not specified, it is assumed to be PREMIUM. If IPAddress is specified, this value must be equal to the networkTier of the Address.", "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ] }, "name": { "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. For Private Service Connect forwarding rules that forward traffic to Google APIs, the forwarding rule name must be a 1-20 characters string with lowercase letters and numbers and must start with a letter.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ForwardingRule. Include the fingerprint in patch request to ensure that you do not overwrite changes that were applied from another concurrent request. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "backendService": { "type": "string", "description": "Identifies the backend service to which the forwarding rule sends traffic. Required for Internal TCP/UDP Load Balancing and Network Load Balancing; must be omitted for all other load balancer types." }, "allowGlobalAccess": { "description": "This field is used along with the backend_service field for internal load balancing or with the target field for internal TargetInstance. If the field is set to TRUE, clients can access ILB from all regions. Otherwise only allows access from clients in the same region as the internal load balancer.", "type": "boolean" }, "ports": { "type": "array", "items": { "type": "string" }, "description": "The ports field is only supported when the forwarding rule references a backend_service directly. Only packets addressed to the [specified list of ports]((https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications)) are forwarded to backends. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. You can specify a list of up to five ports, which can be non-contiguous. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. @pattern: \\\\d+(?:-\\\\d+)?" }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "type": "object", "additionalProperties": { "type": "string" } }, "pscConnectionStatus": { "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "type": "string", "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer and will not serve traffic going forward.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The connection has been rejected by the producer.", "" ] }, "serviceLabel": { "type": "string", "description": "An optional prefix to the service name for this Forwarding Rule. If specified, the prefix is the first label of the fully qualified service name. The label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. This field is only used for internal load balancing.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "noAutomateDnsZone": { "type": "boolean", "description": "This is used in PSC consumer ForwardingRule to control whether it should try to auto-generate a DNS zone or not. Non-PSC forwarding rules do not use this field." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "portRange": { "type": "string", "description": "This field can be used only if: - Load balancing scheme is one of EXTERNAL, INTERNAL_SELF_MANAGED or INTERNAL_MANAGED - IPProtocol is one of TCP, UDP, or SCTP. Packets addressed to ports in the specified range will be forwarded to target or backend_service. You can only use one of ports, port_range, or allPorts. The three are mutually exclusive. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint ports. Some types of forwarding target have constraints on the acceptable ports. For more information, see [Port specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#port_specifications). @pattern: \\\\d+(?:-\\\\d+)?" }, "loadBalancingScheme": { "type": "string", "description": "Specifies the forwarding rule type. For more information about forwarding rules, refer to Forwarding rule concepts.", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "INTERNAL", "INTERNAL_MANAGED", "INTERNAL_SELF_MANAGED", "INVALID" ] }, "serviceName": { "description": "[Output Only] The internal fully qualified service name for this Forwarding Rule. This field is only used for internal load balancing.", "type": "string" }, "IPProtocol": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "type": "string", "description": "The IP protocol to which this rule applies. For protocol forwarding, valid options are TCP, UDP, ESP, AH, SCTP, ICMP and L3_DEFAULT. The valid IP protocols are different for different load balancing products as described in [Load balancing features](https://cloud.google.com/load-balancing/docs/features#protocols_from_the_load_balancer_to_the_backends).", "enum": [ "AH", "ESP", "ICMP", "L3_DEFAULT", "SCTP", "TCP", "UDP" ] }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "region": { "description": "[Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "labelFingerprint": { "type": "string", "description": "A fingerprint for the labels being applied to this resource, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.", "format": "byte" }, "IPAddress": { "type": "string", "description": "IP address for which this forwarding rule accepts traffic. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the referenced target or backendService. While creating a forwarding rule, specifying an IPAddress is required under the following circumstances: - When the target is set to targetGrpcProxy and validateForProxyless is set to true, the IPAddress should be set to 0.0.0.0. - When the target is a Private Service Connect Google APIs bundle, you must specify an IPAddress. Otherwise, you can optionally specify an IP address that references an existing static (reserved) IP address resource. When omitted, Google Cloud assigns an ephemeral IP address. Use one of the following formats to specify an IP address while creating a forwarding rule: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh IP address number, as in `100.1.2.3` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full resource URL, as in https://www.googleapis.com/compute/v1/projects/project_id/regions/region /addresses/address-name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Partial URL or by name, as in: - projects/project_id/regions/region/addresses/address-name - regions/region/addresses/address-name - global/addresses/address-name - address-name The forwarding rule's target or backendService, and in most cases, also the loadBalancingScheme, determine the type of IP address that you can use. For detailed information, see [IP address specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#ip_address_specifications). When reading an IPAddress, the API always returns the IP address number." }, "serviceDirectoryRegistrations": { "items": { "$ref": "ForwardingRuleServiceDirectoryRegistration" }, "description": "Service Directory resources to register this forwarding rule with. Currently, only supports a single Service Directory resource.", "type": "array" }, "allPorts": { "type": "boolean", "description": "This field is used along with the backend_service field for Internal TCP/UDP Load Balancing or Network Load Balancing, or with the target field for internal and external TargetInstance. You can only use one of ports and port_range, or allPorts. The three are mutually exclusive. For TCP, UDP and SCTP traffic, packets addressed to any ports will be forwarded to the target or backendService." }, "metadataFilters": { "items": { "$ref": "MetadataFilter" }, "description": "Opaque filter criteria used by load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to load balancer, xDS clients present node metadata. When there is a match, the relevant configuration is made available to those proxies. Otherwise, all the resources (e.g. TargetHttpProxy, UrlMap) referenced by the ForwardingRule are not visible to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadataFilters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here will be applifed before those specified in the UrlMap that this ForwardingRule references. metadataFilters only applies to Loadbalancers that have their loadBalancingScheme set to INTERNAL_SELF_MANAGED.", "type": "array" }, "ipVersion": { "enumDescriptions": [ "", "", "" ], "description": "The IP Version that will be used by this forwarding rule. Valid options are IPV4 or IPV6.", "type": "string", "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ] }, "kind": { "description": "[Output Only] Type of the resource. Always compute#forwardingRule for Forwarding Rule resources.", "type": "string", "default": "compute#forwardingRule" }, "subnetwork": { "description": "This field identifies the subnetwork that the load balanced IP should belong to for this Forwarding Rule, used in internal load balancing and network load balancing with IPv6. If the network specified is in auto subnet mode, this field is optional. However, a subnetwork must be specified if the network is in custom subnet mode or when creating external forwarding rule with IPv6.", "type": "string" }, "isMirroringCollector": { "type": "boolean", "description": "Indicates whether or not this load balancer can be used as a collector for packet mirroring. To prevent mirroring loops, instances behind this load balancer will not have their traffic mirrored even if a PacketMirroring rule applies to them. This can only be set to true for load balancers that have their loadBalancingScheme set to INTERNAL." }, "target": { "type": "string" } }, "description": "Represents a Forwarding Rule resource. Forwarding rule resources in Google Cloud can be either regional or global in scope: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](https://cloud.google.com/compute/docs/reference/rest/v1/globalForwardingRules) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](https://cloud.google.com/compute/docs/reference/rest/v1/forwardingRules) A forwarding rule and its corresponding IP address represent the frontend configuration of a Google Cloud Platform load balancer. Forwarding rules can also reference target instances and Cloud VPN Classic gateways (targetVpnGateway). For more information, read Forwarding rule concepts and Using protocol forwarding.", "type": "object" }, "RouterBgp": { "properties": { "advertisedGroups": { "type": "array", "description": "User-specified list of prefix groups to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These groups will be advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.", "items": { "enum": [ "ALL_SUBNETS" ], "type": "string", "enumDescriptions": [ "Advertise all available subnets (including peer VPC subnets)." ] } }, "advertisedIpRanges": { "type": "array", "items": { "$ref": "RouterAdvertisedIpRange" }, "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These IP ranges will be advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges." }, "keepaliveInterval": { "format": "uint32", "type": "integer", "description": "The interval in seconds between BGP keepalive messages that are sent to the peer. Hold time is three times the interval at which keepalive messages are sent, and the hold time is the maximum number of seconds allowed to elapse between successive keepalive messages that BGP receives from a peer. BGP will use the smaller of either the local hold time value or the peer's hold time value as the hold time for the BGP connection between the two peers. If set, this value must be between 20 and 60. The default is 20." }, "asn": { "type": "integer", "format": "uint32", "description": "Local BGP Autonomous System Number (ASN). Must be an RFC6996 private ASN, either 16-bit or 32-bit. The value will be fixed for this router resource. All VPN tunnels that link to this router will have the same local ASN." }, "advertiseMode": { "description": "User-specified flag to indicate which mode to use for advertisement. The options are DEFAULT or CUSTOM.", "type": "string", "enum": [ "CUSTOM", "DEFAULT" ], "enumDescriptions": [ "", "" ] } }, "type": "object", "id": "RouterBgp" }, "WafExpressionSet": { "type": "object", "id": "WafExpressionSet", "properties": { "expressions": { "items": { "$ref": "WafExpressionSetExpression" }, "description": "List of available expressions.", "type": "array" }, "aliases": { "description": "A list of alternate IDs. The format should be: - E.g. XSS-stable Generic suffix like \"stable\" is particularly useful if a policy likes to avail newer set of expressions without having to change the policy. A given alias name can't be used for more than one entity set.", "items": { "type": "string" }, "type": "array" }, "id": { "description": "Google specified expression set ID. The format should be: - E.g. XSS-20170329 required", "type": "string" } } }, "AllocationSpecificSKUAllocationReservedInstanceProperties": { "properties": { "localSsds": { "items": { "$ref": "AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk" }, "type": "array", "description": "Specifies amount of local ssd to reserve with each instance. The type of disk is local-ssd." }, "machineType": { "description": "Specifies type of machine (name only) which has fixed number of vCPUs and fixed amount of memory. This also includes specifying custom machine type following custom-NUMBER_OF_CPUS-AMOUNT_OF_MEMORY pattern.", "type": "string" }, "minCpuPlatform": { "description": "Minimum cpu platform the reservation.", "type": "string" }, "guestAccelerators": { "description": "Specifies accelerator type and count.", "type": "array", "items": { "$ref": "AcceleratorConfig" } }, "locationHint": { "description": "An opaque location hint used to place the allocation close to other resources. This field is for use by internal tools that use the public API.", "type": "string" } }, "type": "object", "id": "AllocationSpecificSKUAllocationReservedInstanceProperties", "description": "Properties of the SKU instances being reserved. Next ID: 9" }, "InstanceGroupsListInstancesRequest": { "type": "object", "id": "InstanceGroupsListInstancesRequest", "properties": { "instanceState": { "description": "A filter for the state of the instances in the instance group. Valid options are ALL or RUNNING. If you do not specify this parameter the list includes all instances regardless of their state.", "enum": [ "ALL", "RUNNING" ], "enumDescriptions": [ "Includes all instances in the generated list regardless of their state.", "Includes instances in the generated list only if they have a RUNNING state." ], "type": "string" } } }, "PreservedState": { "properties": { "disks": { "type": "object", "description": "Preserved disks defined for this instance. This map is keyed with the device names of the disks.", "additionalProperties": { "$ref": "PreservedStatePreservedDisk" } }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Preserved metadata defined for this instance.", "type": "object" } }, "id": "PreservedState", "description": "Preserved state for a given instance.", "type": "object" }, "RouterStatus": { "type": "object", "properties": { "natStatus": { "type": "array", "items": { "$ref": "RouterStatusNatStatus" } }, "bestRoutes": { "type": "array", "description": "Best routes for this router's network.", "items": { "$ref": "Route" } }, "bestRoutesForRouter": { "description": "Best routes learned by this router.", "items": { "$ref": "Route" }, "type": "array" }, "bgpPeerStatus": { "type": "array", "items": { "$ref": "RouterStatusBgpPeerStatus" } }, "network": { "type": "string", "description": "URI of the network to which this router belongs." } }, "id": "RouterStatus" }, "MachineImage": { "description": "Represents a machine image resource. A machine image is a Compute Engine resource that stores all the configuration, metadata, permissions, and data from one or more disks required to create a Virtual machine (VM) instance. For more information, see Machine images.", "id": "MachineImage", "properties": { "savedDisks": { "items": { "$ref": "SavedDisk" }, "description": "An array of Machine Image specific properties for disks attached to the source instance", "type": "array" }, "id": { "format": "uint64", "description": "[Output Only] A unique identifier for this machine image. The server defines this identifier.", "type": "string" }, "guestFlush": { "type": "boolean", "description": "[Input Only] Whether to attempt an application consistent machine image by informing the OS to prepare for the snapshot process." }, "sourceDiskEncryptionKeys": { "description": "[Input Only] The customer-supplied encryption key of the disks attached to the source instance. Required if the source disk is protected by a customer-supplied encryption key.", "items": { "$ref": "SourceDiskEncryptionKey" }, "type": "array" }, "sourceInstance": { "description": "The source instance used to create the machine image. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance ", "type": "string" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "name": { "annotations": { "required": [ "compute.machineImages.insert" ] }, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "storageLocations": { "items": { "type": "string" }, "description": "The regional or multi-regional Cloud Storage bucket location where the machine image is stored.", "type": "array" }, "selfLink": { "description": "[Output Only] The URL for this machine image. The server defines this URL.", "type": "string" }, "totalStorageBytes": { "description": "[Output Only] Total size of the storage used by the machine image.", "format": "int64", "type": "string" }, "sourceInstanceProperties": { "description": "[Output Only] DEPRECATED: Please use instance_properties instead for source instance related properties. New properties will not be added to this field.", "$ref": "SourceInstanceProperties" }, "machineImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the machine image using a customer-supplied encryption key. After you encrypt a machine image using a customer-supplied key, you must provide the same key if you use the machine image later. For example, you must provide the encryption key when you create an instance from the encrypted machine image in a future request. Customer-supplied encryption keys do not protect access to metadata of the machine image. If you do not provide an encryption key when creating the machine image, then the machine image will be encrypted using an automatically generated key and you do not need to provide a key to use the machine image later." }, "instanceProperties": { "description": "[Output Only] Properties of source instance", "$ref": "InstanceProperties" }, "status": { "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "description": "[Output Only] The status of the machine image. One of the following values: INVALID, CREATING, READY, DELETING, and UPLOADING.", "enum": [ "CREATING", "DELETING", "INVALID", "READY", "UPLOADING" ] }, "creationTimestamp": { "description": "[Output Only] The creation timestamp for this machine image in RFC3339 text format.", "type": "string" }, "kind": { "type": "string", "default": "compute#machineImage", "description": "[Output Only] The resource type, which is always compute#machineImage for machine image." } }, "type": "object" }, "InstanceGroupManagersRecreateInstancesRequest": { "properties": { "instances": { "type": "array", "items": { "type": "string" }, "description": "The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "type": "object", "id": "InstanceGroupManagersRecreateInstancesRequest" }, "ResourcePolicyResourceStatus": { "properties": { "instanceSchedulePolicy": { "description": "[Output Only] Specifies a set of output values reffering to the instance_schedule_policy system status. This field should have the same name as corresponding policy field.", "$ref": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus" } }, "type": "object", "description": "Contains output only fields. Use this sub-message for all output fields set on ResourcePolicy. The internal structure of this \"status\" field should mimic the structure of ResourcePolicy proto specification.", "id": "ResourcePolicyResourceStatus" }, "AutoscalingPolicyCustomMetricUtilization": { "description": "Custom utilization metric policy.", "type": "object", "properties": { "filter": { "description": "A filter string, compatible with a Stackdriver Monitoring filter string for TimeSeries.list API call. This filter is used to select a specific TimeSeries for the purpose of autoscaling and to determine whether the metric is exporting per-instance or per-group data. For the filter to be valid for autoscaling purposes, the following rules apply: - You can only use the AND operator for joining selectors. - You can only use direct equality comparison operator (=) without any functions for each selector. - You can specify the metric in both the filter string and in the metric field. However, if specified in both places, the metric must be identical. - The monitored resource type determines what kind of values are expected for the metric. If it is a gce_instance, the autoscaler expects the metric to include a separate TimeSeries for each instance in a group. In such a case, you cannot filter on resource labels. If the resource type is any other value, the autoscaler expects this metric to contain values that apply to the entire autoscaled instance group and resource label filtering can be performed to point autoscaler at the correct TimeSeries to scale upon. This is called a *per-group metric* for the purpose of autoscaling. If not specified, the type defaults to gce_instance. Try to provide a filter that is selective enough to pick just one TimeSeries for the autoscaled group or for each of the instances (if you are using gce_instance resource type). If multiple TimeSeries are returned upon the query execution, the autoscaler will sum their respective values to obtain its scaling value.", "type": "string" }, "metric": { "description": "The identifier (type) of the Stackdriver Monitoring metric. The metric cannot have negative values. The metric must have a value type of INT64 or DOUBLE.", "type": "string" }, "singleInstanceAssignment": { "type": "number", "description": "If scaling is based on a per-group metric value that represents the total amount of work to be done or resource usage, set this value to an amount assigned for a single instance of the scaled group. Autoscaler keeps the number of instances proportional to the value of this metric. The metric itself does not change value due to group resizing. A good metric to use with the target is for example pubsub.googleapis.com/subscription/num_undelivered_messages or a custom metric exporting the total number of requests coming to your instances. A bad example would be a metric exporting an average or median latency, since this value can't include a chunk assignable to a single instance, it could be better used with utilization_target instead.", "format": "double" }, "utilizationTarget": { "description": "The target value of the metric that autoscaler maintains. This must be a positive value. A utilization metric scales number of virtual machines handling requests to increase or decrease proportionally to the metric. For example, a good metric to use as a utilization_target is https://www.googleapis.com/compute/v1/instance/network/received_bytes_count. The autoscaler works to keep this value constant for each of the instances.", "format": "double", "type": "number" }, "utilizationTargetType": { "type": "string", "description": "Defines how target utilization value is expressed for a Stackdriver Monitoring metric. Either GAUGE, DELTA_PER_SECOND, or DELTA_PER_MINUTE.", "enum": [ "DELTA_PER_MINUTE", "DELTA_PER_SECOND", "GAUGE" ], "enumDescriptions": [ "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per minute.", "Sets the utilization target value for a cumulative or delta metric, expressed as the rate of growth per second.", "Sets the utilization target value for a gauge metric. The autoscaler will collect the average utilization of the virtual machines from the last couple of minutes, and compare the value to the utilization target value to perform autoscaling." ] } }, "id": "AutoscalingPolicyCustomMetricUtilization" }, "AuditConfig": { "id": "AuditConfig", "properties": { "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "This is deprecated and has no effect. Do not use." }, "auditLogConfigs": { "type": "array", "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission." }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "type": "object" }, "NotificationEndpointList": { "type": "object", "id": "NotificationEndpointList", "properties": { "items": { "description": "A list of NotificationEndpoint resources.", "type": "array", "items": { "$ref": "NotificationEndpoint" } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#notificationEndpointList", "description": "[Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } } } } }, "Address": { "id": "Address", "properties": { "name": { "type": "string", "annotations": { "required": [ "compute.addresses.insert" ] }, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit." }, "addressType": { "enum": [ "EXTERNAL", "INTERNAL", "UNSPECIFIED_TYPE" ], "type": "string", "enumDescriptions": [ "A publicly visible external IP address.", "A private network IP address, for use with an Instance or Internal Load Balancer forwarding rule.", "" ], "description": "The type of address to reserve, either INTERNAL or EXTERNAL. If unspecified, defaults to EXTERNAL." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "subnetwork": { "type": "string", "description": "The URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range. This field can only be used with INTERNAL type with a GCE_ENDPOINT or DNS_RESOLVER purpose." }, "region": { "description": "[Output Only] The URL of the region where a regional address resides. For regional addresses, you must specify the region as a path parameter in the HTTP request URL. *This field is not applicable to global addresses.*", "type": "string" }, "networkTier": { "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "description": "This signifies the networking tier used for configuring this address and can only take the following values: PREMIUM or STANDARD. Internal IP addresses are always Premium Tier; global external IP addresses are always Premium Tier; regional external IP addresses can be either Standard or Premium Tier. If this field is not specified, it is assumed to be PREMIUM.", "type": "string" }, "kind": { "default": "compute#address", "type": "string", "description": "[Output Only] Type of the resource. Always compute#address for addresses." }, "prefixLength": { "type": "integer", "format": "int32", "description": "The prefix length if the resource represents an IP range." }, "purpose": { "description": "The purpose of this resource, which can be one of the following values: - GCE_ENDPOINT for addresses that are used by VM instances, alias IP ranges, load balancers, and similar resources. - DNS_RESOLVER for a DNS resolver address in a subnetwork for a Cloud DNS inbound forwarder IP addresses (regional internal IP address in a subnet of a VPC network) - VPC_PEERING for global internal IP addresses used for private services access allocated ranges. - NAT_AUTO for the regional external IP addresses used by Cloud NAT when allocating addresses using automatic NAT IP address allocation. - IPSEC_INTERCONNECT for addresses created from a private IP range that are reserved for a VLAN attachment in an *IPsec-encrypted Cloud Interconnect* configuration. These addresses are regional resources. Not currently available publicly. - `SHARED_LOADBALANCER_VIP` for an internal IP address that is assigned to multiple internal forwarding rules. - `PRIVATE_SERVICE_CONNECT` for a private network address that is used to configure Private Service Connect. Only global internal addresses can use this purpose. ", "enum": [ "DNS_RESOLVER", "GCE_ENDPOINT", "IPSEC_INTERCONNECT", "NAT_AUTO", "PRIVATE_SERVICE_CONNECT", "SERVERLESS", "SHARED_LOADBALANCER_VIP", "VPC_PEERING" ], "enumDescriptions": [ "DNS resolver address in the subnetwork.", "VM internal/alias IP, Internal LB service IP, etc.", "A regional internal IP address range reserved for the VLAN attachment that is used in IPsec-encrypted Cloud Interconnect. This regional internal IP address range must not overlap with any IP address range of subnet/route in the VPC network and its peering networks. After the VLAN attachment is created with the reserved IP address range, when creating a new VPN gateway, its interface IP address is allocated from the associated VLAN attachment’s IP address range.", "External IP automatically reserved for Cloud NAT.", "A private network IP address that can be used to configure Private Service Connect. This purpose can be specified only for GLOBAL addresses of Type INTERNAL", "A regional internal IP address range reserved for Serverless.", "A private network IP address that can be shared by multiple Internal Load Balancer forwarding rules.", "IP range for peer networks." ], "type": "string" }, "status": { "enumDescriptions": [ "Address is being used by another resource and is not available.", "Address is reserved and available to use.", "Address is being reserved." ], "description": "[Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available.", "enum": [ "IN_USE", "RESERVED", "RESERVING" ], "type": "string" }, "ipVersion": { "enumDescriptions": [ "", "", "" ], "description": "The IP version that will be used by this address. Valid options are IPV4 or IPV6. This can only be specified for a global address.", "enum": [ "IPV4", "IPV6", "UNSPECIFIED_VERSION" ], "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this field when you create the resource." }, "address": { "type": "string", "description": "The static IP address represented by this resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "users": { "items": { "type": "string" }, "description": "[Output Only] The URLs of the resources that are using this address.", "type": "array" }, "network": { "description": "The URL of the network in which to reserve the address. This field can only be used with INTERNAL type with the VPC_PEERING purpose.", "type": "string" } }, "type": "object", "description": "Represents an IP Address resource. Google Compute Engine has two IP Address resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global (external and internal)](https://cloud.google.com/compute/docs/reference/rest/v1/globalAddresses) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional (external and internal)](https://cloud.google.com/compute/docs/reference/rest/v1/addresses) For more information, see Reserving a static external IP address." }, "PacketMirroringAggregatedList": { "properties": { "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "additionalProperties": { "$ref": "PacketMirroringsScopedList", "description": "Name of the scope containing this set of packetMirrorings." }, "type": "object", "description": "A list of PacketMirroring resources." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#packetMirroringAggregatedList" } }, "description": "Contains a list of packetMirrorings.", "id": "PacketMirroringAggregatedList", "type": "object" }, "InstanceGroupManagersUpdatePerInstanceConfigsReq": { "properties": { "perInstanceConfigs": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "The list of per-instance configurations to insert or patch on this managed instance group." } }, "type": "object", "description": "InstanceGroupManagers.updatePerInstanceConfigs", "id": "InstanceGroupManagersUpdatePerInstanceConfigsReq" }, "VmEndpointNatMappingsList": { "description": "Contains a list of VmEndpointNatMappings.", "type": "object", "id": "VmEndpointNatMappingsList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.", "type": "string", "default": "compute#vmEndpointNatMappingsList" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "warning": { "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "result": { "items": { "$ref": "VmEndpointNatMappings" }, "description": "[Output Only] A list of Nat mapping information of VM endpoints.", "type": "array" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "Int64RangeMatch": { "properties": { "rangeEnd": { "type": "string", "description": "The end of the range (exclusive) in signed long integer format.", "format": "int64" }, "rangeStart": { "description": "The start of the range (inclusive) in signed long integer format.", "type": "string", "format": "int64" } }, "type": "object", "id": "Int64RangeMatch", "description": "HttpRouteRuleMatch criteria for field values that must stay within the specified integer range." }, "NodeTypeList": { "id": "NodeTypeList", "type": "object", "description": "Contains a list of node types.", "properties": { "items": { "description": "A list of NodeType resources.", "items": { "$ref": "NodeType" }, "type": "array" }, "kind": { "description": "[Output Only] Type of resource.Always compute#nodeTypeList for lists of node types.", "default": "compute#nodeTypeList", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } } }, "InterconnectDiagnosticsLinkStatus": { "id": "InterconnectDiagnosticsLinkStatus", "properties": { "lacpStatus": { "$ref": "InterconnectDiagnosticsLinkLACPStatus" }, "transmittingOpticalPower": { "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the transmitted light level.", "$ref": "InterconnectDiagnosticsLinkOpticalPower" }, "arpCaches": { "items": { "$ref": "InterconnectDiagnosticsARPEntry" }, "description": "A list of InterconnectDiagnostics.ARPEntry objects, describing the ARP neighbor entries seen on this link. This will be empty if the link is bundled", "type": "array" }, "googleDemarc": { "type": "string", "description": "The Demarc address assigned by Google and provided in the LoA." }, "receivingOpticalPower": { "description": "An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the received light level.", "$ref": "InterconnectDiagnosticsLinkOpticalPower" }, "circuitId": { "type": "string", "description": "The unique ID for this link assigned during turn up by Google." } }, "type": "object" }, "VpnTunnelAggregatedList": { "type": "object", "id": "VpnTunnelAggregatedList", "properties": { "items": { "description": "A list of VpnTunnelsScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of VPN tunnels.", "$ref": "VpnTunnelsScopedList" }, "type": "object" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.", "default": "compute#vpnTunnelAggregatedList" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } } }, "AliasIpRange": { "description": "An alias IP range attached to an instance's network interface.", "id": "AliasIpRange", "properties": { "subnetworkRangeName": { "description": "The name of a subnetwork secondary IP range from which to allocate an IP alias range. If not specified, the primary range of the subnetwork is used.", "type": "string" }, "ipCidrRange": { "type": "string", "description": "The IP alias ranges to allocate for this interface. This IP CIDR range must belong to the specified subnetwork and cannot contain IP addresses reserved by system or used by other network interfaces. This range may be a single IP address (such as 10.2.3.4), a netmask (such as /24) or a CIDR-formatted string (such as 10.1.2.0/24)." } }, "type": "object" }, "SslCertificateManagedSslCertificate": { "description": "Configuration and status of a managed SSL certificate.", "id": "SslCertificateManagedSslCertificate", "type": "object", "properties": { "domains": { "type": "array", "description": "The domains for which a managed SSL certificate will be generated. Each Google-managed SSL certificate supports up to the [maximum number of domains per Google-managed SSL certificate](/load-balancing/docs/quotas#ssl_certificates).", "items": { "type": "string" } }, "domainStatus": { "description": "[Output only] Detailed statuses of the domains specified for managed certificate resource.", "type": "object", "additionalProperties": { "type": "string", "enum": [ "ACTIVE", "DOMAIN_STATUS_UNSPECIFIED", "FAILED_CAA_CHECKING", "FAILED_CAA_FORBIDDEN", "FAILED_NOT_VISIBLE", "FAILED_RATE_LIMITED", "PROVISIONING" ], "enumDescriptions": [ "A managed certificate can be provisioned, no issues for this domain.", "", "Failed to check CAA records for the domain.", "Certificate issuance forbidden by an explicit CAA record for the domain.", "There seems to be problem with the user's DNS or load balancer configuration for this domain.", "Reached rate-limit for certificates per top-level private domain.", "Certificate provisioning for this domain is under way. GCP will attempt to provision the first certificate." ] } }, "status": { "type": "string", "description": "[Output only] Status of the managed certificate resource.", "enumDescriptions": [ "The certificate management is working, and a certificate has been provisioned.", "", "The certificate management is working. GCP will attempt to provision the first certificate.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. For details of which domain failed, consult domain_status field.", "Certificate provisioning failed due to an issue with the DNS or load balancing configuration. It won't be retried. To try again delete and create a new managed SslCertificate resource. For details of which domain failed, consult domain_status field.", "Renewal of the certificate has failed due to an issue with the DNS or load balancing configuration. The existing cert is still serving; however, it will expire shortly. To provision a renewed certificate, delete and create a new managed SslCertificate resource. For details on which domain failed, consult domain_status field." ], "enum": [ "ACTIVE", "MANAGED_CERTIFICATE_STATUS_UNSPECIFIED", "PROVISIONING", "PROVISIONING_FAILED", "PROVISIONING_FAILED_PERMANENTLY", "RENEWAL_FAILED" ] } } }, "RegionInstanceGroupManagersListInstancesResponse": { "id": "RegionInstanceGroupManagersListInstancesResponse", "type": "object", "properties": { "managedInstances": { "type": "array", "description": "A list of managed instances.", "items": { "$ref": "ManagedInstance" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } } }, "TargetTcpProxy": { "description": "Represents a Target TCP Proxy resource. A target TCP proxy is a component of a TCP Proxy load balancer. Global forwarding rules reference target TCP proxy, and the target proxy then references an external backend service. For more information, read TCP Proxy Load Balancing overview.", "type": "object", "properties": { "service": { "description": "URL to the BackendService resource.", "type": "string" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetTcpProxy for target TCP proxies.", "default": "compute#targetTcpProxy", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "proxyHeader": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "id": "TargetTcpProxy" }, "TargetPoolsAddInstanceRequest": { "type": "object", "properties": { "instances": { "items": { "$ref": "InstanceReference" }, "type": "array", "description": "A full or partial URL to an instance to add to this target pool. This can be a full or partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/v1/projects/project-id/zones/zone /instances/instance-name - projects/project-id/zones/zone/instances/instance-name - zones/zone/instances/instance-name " } }, "id": "TargetPoolsAddInstanceRequest" }, "HttpRouteRule": { "description": "The HttpRouteRule setting specifies how to match an HTTP request and the corresponding routing action that load balancing proxies perform.", "type": "object", "id": "HttpRouteRule", "properties": { "routeAction": { "$ref": "HttpRouteAction", "description": "In response to a matching matchRule, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of urlRedirect, service or routeAction.weightedBackendService must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a route rule's routeAction." }, "urlRedirect": { "description": "When this rule is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" }, "description": { "type": "string", "description": "The short description conveying the intent of this routeRule. The description can have a maximum length of 1024 characters." }, "priority": { "type": "integer", "description": "For routeRules within a given pathMatcher, priority determines the order in which a load balancer interprets routeRules. RouteRules are evaluated in order of priority, from the lowest to highest number. The priority of a rule decreases as its number increases (1, 2, 3, N+1). The first rule that matches the request is applied. You cannot configure two or more routeRules with the same priority. Priority for each rule must be set to a number from 0 to 2147483647 inclusive. Priority numbers can have gaps, which enable you to add or remove rules in the future without affecting the rest of the rules. For example, 1, 2, 3, 4, 5, 9, 12, 16 is a valid series of priority numbers to which you could add rules numbered from 6 to 8, 10 to 11, and 13 to 15 in the future without any impact on existing rules.", "format": "int32" }, "service": { "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.", "type": "string" }, "matchRules": { "description": "The list of criteria for matching attributes of a request to this routeRule. This list has OR semantics: the request matches this routeRule when any of the matchRules are satisfied. However predicates within a given matchRule have AND semantics. All predicates within a matchRule must match for the request to match the rule.", "items": { "$ref": "HttpRouteRuleMatch" }, "type": "array" }, "headerAction": { "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction value specified here is applied before the matching pathMatchers[].headerAction and after pathMatchers[].routeRules[].routeAction.weightedBackendService.backendServiceWeightAction[].headerAction HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "HttpHeaderAction" } } }, "InstanceGroupList": { "type": "object", "id": "InstanceGroupList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "description": "A list of InstanceGroup resources.", "type": "array", "items": { "$ref": "InstanceGroup" } }, "kind": { "type": "string", "default": "compute#instanceGroupList", "description": "[Output Only] The resource type, which is always compute#instanceGroupList for instance group lists." } }, "description": "A list of InstanceGroup resources." }, "UrlMapsValidateRequest": { "type": "object", "id": "UrlMapsValidateRequest", "properties": { "loadBalancingSchemes": { "description": "Specifies the load balancer type(s) this validation request is for. Use EXTERNAL_MANAGED for HTTP/HTTPS External Global Load Balancer with Advanced Traffic Management. Use EXTERNAL for Classic HTTP/HTTPS External Global Load Balancer. Other load balancer types are not supported. For more information, refer to Choosing a load balancer. If unspecified, the load balancing scheme will be inferred from the backend service resources this URL map references. If that can not be inferred (for example, this URL map only references backend buckets, or this Url map is for rewrites and redirects only and doesn't reference any backends), EXTERNAL will be used as the default type. If specified, the scheme(s) must not conflict with the load balancing scheme of the backend service resources this Url map references.", "type": "array", "items": { "enumDescriptions": [ "Signifies that this will be used for Classic L7 External Load Balancing.", "Signifies that this will be used for Envoy-based L7 External Load Balancing.", "If unspecified, the validation will try to infer the scheme from the backend service resources this Url map references. If the inferrence is not possible, EXTERNAL will be used as the default type." ], "enum": [ "EXTERNAL", "EXTERNAL_MANAGED", "LOAD_BALANCING_SCHEME_UNSPECIFIED" ], "type": "string" } }, "resource": { "$ref": "UrlMap", "description": "Content of the UrlMap to be validated." } } }, "ErrorInfo": { "type": "object", "description": "Describes the cause of the error with structured details. Example of an error when contacting the \"pubsub.googleapis.com\" API when it is not enabled: { \"reason\": \"API_DISABLED\" \"domain\": \"googleapis.com\" \"metadata\": { \"resource\": \"projects/123\", \"service\": \"pubsub.googleapis.com\" } } This response indicates that the pubsub.googleapis.com API is not enabled. Example of an error that is returned when attempting to create a Spanner instance in a region that is out of stock: { \"reason\": \"STOCKOUT\" \"domain\": \"spanner.googleapis.com\", \"metadata\": { \"availableRegions\": \"us-central1,us-east2\" } }", "properties": { "reason": { "description": "The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match /[A-Z0-9_]+/.", "type": "string" }, "domain": { "type": "string", "description": "The logical grouping to which the \"reason\" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: \"pubsub.googleapis.com\". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is \"googleapis.com\"." }, "metadatas": { "description": "Additional structured details about this error. Keys should match /[a-zA-Z0-9-_]/ and be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {\"instanceLimit\": \"100/request\"}, should be returned as, {\"instanceLimitPerRequest\": \"100\"}, if the client exceeds the number of instances that can be created in a single (batch) request.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "ErrorInfo" }, "UrlMapList": { "id": "UrlMapList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "type": "array", "items": { "$ref": "UrlMap" }, "description": "A list of UrlMap resources." }, "kind": { "default": "compute#urlMapList", "type": "string", "description": "Type of resource." } }, "description": "Contains a list of UrlMap resources." }, "ProjectsListXpnHostsRequest": { "id": "ProjectsListXpnHostsRequest", "properties": { "organization": { "type": "string", "description": "Optional organization ID managed by Cloud Resource Manager, for which to list shared VPC host projects. If not specified, the organization will be inferred from the project." } }, "type": "object" }, "InstanceManagedByIgmError": { "id": "InstanceManagedByIgmError", "properties": { "timestamp": { "description": "[Output Only] The time that this error occurred. This value is in RFC3339 text format.", "type": "string" }, "error": { "description": "[Output Only] Contents of the error.", "$ref": "InstanceManagedByIgmErrorManagedInstanceError" }, "instanceActionDetails": { "description": "[Output Only] Details of the instance action that triggered this error. May be null, if the error was not caused by an action on an instance. This field is optional.", "$ref": "InstanceManagedByIgmErrorInstanceActionDetails" } }, "type": "object" }, "TargetSslProxyList": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "TargetSslProxy" }, "description": "A list of TargetSslProxy resources.", "type": "array" }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#targetSslProxyList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message." } }, "description": "Contains a list of TargetSslProxy resources.", "id": "TargetSslProxyList", "type": "object" }, "DiskTypeAggregatedList": { "properties": { "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "items": { "additionalProperties": { "$ref": "DiskTypesScopedList", "description": "[Output Only] Name of the scope containing this set of disk types." }, "type": "object", "description": "A list of DiskTypesScopedList resources." }, "kind": { "description": "[Output Only] Type of resource. Always compute#diskTypeAggregatedList.", "type": "string", "default": "compute#diskTypeAggregatedList" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "id": "DiskTypeAggregatedList" }, "TargetHttpsProxiesSetSslCertificatesRequest": { "id": "TargetHttpsProxiesSetSslCertificatesRequest", "properties": { "sslCertificates": { "type": "array", "items": { "type": "string" }, "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates." } }, "type": "object" }, "BackendServiceConnectionTrackingPolicy": { "description": "Connection Tracking configuration for this BackendService.", "type": "object", "properties": { "connectionPersistenceOnUnhealthyBackends": { "enum": [ "ALWAYS_PERSIST", "DEFAULT_FOR_PROTOCOL", "NEVER_PERSIST" ], "enumDescriptions": [ "", "", "" ], "description": "Specifies connection persistence when backends are unhealthy. The default value is DEFAULT_FOR_PROTOCOL. If set to DEFAULT_FOR_PROTOCOL, the existing connections persist on unhealthy backends only for connection-oriented protocols (TCP and SCTP) and only if the Tracking Mode is PER_CONNECTION (default tracking mode) or the Session Affinity is configured for 5-tuple. They do not persist for UDP. If set to NEVER_PERSIST, after a backend becomes unhealthy, the existing connections on the unhealthy backend are never persisted on the unhealthy backend. They are always diverted to newly selected healthy backends (unless all backends are unhealthy). If set to ALWAYS_PERSIST, existing connections always persist on unhealthy backends regardless of protocol and session affinity. It is generally not recommended to use this mode overriding the default. For more details, see [Connection Persistence for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#connection-persistence) and [Connection Persistence for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#connection-persistence).", "type": "string" }, "enableStrongAffinity": { "description": "Enable Strong Session Affinity for Network Load Balancing. This option is not available publicly.", "type": "boolean" }, "trackingMode": { "enum": [ "INVALID_TRACKING_MODE", "PER_CONNECTION", "PER_SESSION" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Specifies the key used for connection tracking. There are two options: - PER_CONNECTION: This is the default mode. The Connection Tracking is performed as per the Connection Key (default Hash Method) for the specific protocol. - PER_SESSION: The Connection Tracking is performed as per the configured Session Affinity. It matches the configured Session Affinity. For more details, see [Tracking Mode for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#tracking-mode) and [Tracking Mode for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#tracking-mode)." }, "idleTimeoutSec": { "format": "int32", "type": "integer", "description": "Specifies how long to keep a Connection Tracking entry while there is no matching traffic (in seconds). For Internal TCP/UDP Load Balancing: - The minimum (default) is 10 minutes and the maximum is 16 hours. - It can be set only if Connection Tracking is less than 5-tuple (i.e. Session Affinity is CLIENT_IP_NO_DESTINATION, CLIENT_IP or CLIENT_IP_PROTO, and Tracking Mode is PER_SESSION). For Network Load Balancer the default is 60 seconds. This option is not available publicly." } }, "id": "BackendServiceConnectionTrackingPolicy" }, "BackendServiceLogConfig": { "properties": { "sampleRate": { "description": "This field can only be specified if logging is enabled for this backend service. The value of the field must be in [0, 1]. This configures the sampling rate of requests to the load balancer where 1.0 means all logged requests are reported and 0.0 means no logged requests are reported. The default value is 0.0.", "format": "float", "type": "number" }, "enable": { "type": "boolean", "description": "This field denotes whether to enable logging for the load balancer traffic served by this backend service." } }, "id": "BackendServiceLogConfig", "description": "The available logging options for the load balancer traffic served by this backend service.", "type": "object" }, "MetadataFilter": { "description": "Opaque filter criteria used by load balancers to restrict routing configuration to a limited set of load balancing proxies. Proxies and sidecars involved in load balancing would typically present metadata to the load balancers that need to match criteria specified here. If a match takes place, the relevant configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. An example for using metadataFilters would be: if load balancing involves Envoys, they receive routing configuration when values in metadataFilters match values supplied in of their XDS requests to loadbalancers.", "properties": { "filterMatchCriteria": { "description": "Specifies how individual filter label matches within the list of filterLabels and contributes toward the overall metadataFilter match. Supported values are: - MATCH_ANY: at least one of the filterLabels must have a matching label in the provided metadata. - MATCH_ALL: all filterLabels must have matching labels in the provided metadata. ", "type": "string", "enumDescriptions": [ "Specifies that all filterLabels must match for the metadataFilter to be considered a match.", "Specifies that any filterLabel must match for the metadataFilter to be considered a match.", "Indicates that the match criteria was not set. A metadataFilter must never be created with this value." ], "enum": [ "MATCH_ALL", "MATCH_ANY", "NOT_SET" ] }, "filterLabels": { "items": { "$ref": "MetadataFilterLabelMatch" }, "description": "The list of label value pairs that must match labels in the provided metadata based on filterMatchCriteria This list must not be empty and can have at the most 64 entries.", "type": "array" } }, "id": "MetadataFilter", "type": "object" }, "AutoscalingPolicy": { "id": "AutoscalingPolicy", "properties": { "scalingSchedules": { "type": "object", "description": "Scaling schedules defined for an autoscaler. Multiple schedules can be set on an autoscaler, and they can overlap. During overlapping periods the greatest min_required_replicas of all scaling schedules is applied. Up to 128 scaling schedules are allowed.", "additionalProperties": { "$ref": "AutoscalingPolicyScalingSchedule" } }, "loadBalancingUtilization": { "description": "Configuration parameters of autoscaling based on load balancer.", "$ref": "AutoscalingPolicyLoadBalancingUtilization" }, "scaleInControl": { "$ref": "AutoscalingPolicyScaleInControl" }, "customMetricUtilizations": { "description": "Configuration parameters of autoscaling based on a custom metric.", "items": { "$ref": "AutoscalingPolicyCustomMetricUtilization" }, "type": "array" }, "maxNumReplicas": { "description": "The maximum number of instances that the autoscaler can scale out to. This is required when creating or updating an autoscaler. The maximum number of replicas must not be lower than minimal number of replicas.", "type": "integer", "format": "int32" }, "cpuUtilization": { "description": "Defines the CPU utilization policy that allows the autoscaler to scale based on the average CPU utilization of a managed instance group.", "$ref": "AutoscalingPolicyCpuUtilization" }, "minNumReplicas": { "description": "The minimum number of replicas that the autoscaler can scale in to. This cannot be less than 0. If not provided, autoscaler chooses a default value depending on maximum number of instances allowed.", "type": "integer", "format": "int32" }, "mode": { "enum": [ "OFF", "ON", "ONLY_SCALE_OUT", "ONLY_UP" ], "enumDescriptions": [ "Do not automatically scale the MIG in or out. The recommended_size field contains the size of MIG that would be set if the actuation mode was enabled.", "Automatically scale the MIG in and out according to the policy.", "Automatically create VMs according to the policy, but do not scale the MIG in.", "Automatically create VMs according to the policy, but do not scale the MIG in." ], "description": "Defines operating mode for this policy.", "type": "string" }, "coolDownPeriodSec": { "format": "int32", "type": "integer", "description": "The number of seconds that the autoscaler waits before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. The default time autoscaler waits is 60 seconds. Virtual machine initialization times might vary because of numerous factors. We recommend that you test how long an instance may take to initialize. To do this, create an instance and time the startup process." } }, "type": "object", "description": "Cloud Autoscaler policy." }, "TargetInstance": { "id": "TargetInstance", "description": "Represents a Target Instance resource. You can use a target instance to handle traffic for one or more forwarding rules, which is ideal for forwarding protocol traffic that is managed by a single source. For example, ESP, AH, TCP, or UDP. For more information, read Target instances.", "properties": { "natPolicy": { "type": "string", "description": "NAT option controlling how IPs are NAT'ed to the instance. Currently only NO_NAT (default value) is supported.", "enum": [ "NO_NAT" ], "enumDescriptions": [ "No NAT performed." ] }, "kind": { "default": "compute#targetInstance", "type": "string", "description": "[Output Only] The type of the resource. Always compute#targetInstance for target instances." }, "instance": { "type": "string", "description": "A URL to the virtual machine instance that handles traffic for this target instance. When creating a target instance, you can provide the fully-qualified URL or a valid partial URL to the desired virtual machine. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance " }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the target instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "network": { "description": "The URL of the network this target instance uses to forward traffic. If not specified, the traffic will be forwarded to the network that the default network interface belongs to.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "type": "object" }, "FirewallPolicyRuleMatcher": { "type": "object", "id": "FirewallPolicyRuleMatcher", "properties": { "srcSecureTags": { "items": { "$ref": "FirewallPolicyRuleSecureTag" }, "description": "List of secure tag values, which should be matched at the source of the traffic. For INGRESS rule, if all the srcSecureTag are INEFFECTIVE, and there is no srcIpRange, this rule will be ignored. Maximum number of source tag values allowed is 256.", "type": "array" }, "destIpRanges": { "items": { "type": "string" }, "type": "array", "description": "CIDR IP address range. Maximum number of destination CIDR IP ranges allowed is 5000." }, "srcIpRanges": { "description": "CIDR IP address range. Maximum number of source CIDR IP ranges allowed is 5000.", "type": "array", "items": { "type": "string" } }, "layer4Configs": { "description": "Pairs of IP protocols and ports that the rule should match.", "items": { "$ref": "FirewallPolicyRuleMatcherLayer4Config" }, "type": "array" } }, "description": "Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified." }, "BackendServiceGroupHealth": { "properties": { "healthStatus": { "items": { "$ref": "HealthStatus" }, "type": "array", "description": "Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks." }, "kind": { "default": "compute#backendServiceGroupHealth", "type": "string", "description": "[Output Only] Type of resource. Always compute#backendServiceGroupHealth for the health of backend services." }, "annotations": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Metadata defined as annotations on the network endpoint group." } }, "id": "BackendServiceGroupHealth", "type": "object" }, "HttpsHealthCheckList": { "type": "object", "description": "Contains a list of HttpsHealthCheck resources.", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } } }, "kind": { "default": "compute#httpsHealthCheckList", "description": "Type of resource.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "items": { "$ref": "HttpsHealthCheck" }, "description": "A list of HttpsHealthCheck resources.", "type": "array" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } }, "id": "HttpsHealthCheckList" }, "HealthStatusForNetworkEndpoint": { "properties": { "healthCheckService": { "description": "URL of the health check service associated with the health state of the network endpoint.", "$ref": "HealthCheckServiceReference" }, "healthState": { "enum": [ "DRAINING", "HEALTHY", "UNHEALTHY", "UNKNOWN" ], "description": "Health state of the network endpoint determined based on the health checks configured.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "backendService": { "description": "URL of the backend service associated with the health state of the network endpoint.", "$ref": "BackendServiceReference" }, "healthCheck": { "$ref": "HealthCheckReference", "description": "URL of the health check associated with the health state of the network endpoint." }, "forwardingRule": { "$ref": "ForwardingRuleReference", "description": "URL of the forwarding rule associated with the health state of the network endpoint." } }, "type": "object", "id": "HealthStatusForNetworkEndpoint" }, "HealthCheckService": { "properties": { "name": { "type": "string", "description": "Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "notificationEndpoints": { "items": { "type": "string" }, "type": "array", "description": "A list of URLs to the NotificationEndpoint resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional HealthCheckService, NotificationEndpoint must be regional and in the same region. For global HealthCheckService, NotificationEndpoint must be global." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "healthStatusAggregationPolicy": { "description": "Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - NO_AGGREGATION. An EndpointHealth message is returned for each pair in the health check service. - AND. If any health check of an endpoint reports UNHEALTHY, then UNHEALTHY is the HealthState of the endpoint. If all health checks report HEALTHY, the HealthState of the endpoint is HEALTHY. .", "type": "string", "enumDescriptions": [ "If any backend's health check reports UNHEALTHY, then UNHEALTHY is the HealthState of the entire health check service. If all backend's are healthy, the HealthState of the health check service is HEALTHY.", "An EndpointHealth message is returned for each backend in the health check service." ], "enum": [ "AND", "NO_AGGREGATION" ] }, "healthChecks": { "description": "A list of URLs to the HealthCheck resources. Must have at least one HealthCheck, and not more than 10. HealthCheck resources must have portSpecification=USE_SERVING_PORT or portSpecification=USE_FIXED_PORT. For regional HealthCheckService, the HealthCheck must be regional and in the same region. For global HealthCheckService, HealthCheck must be global. Mix of regional and global HealthChecks is not supported. Multiple regional HealthChecks must belong to the same region. Regional HealthChecks must belong to the same region as zones of NEGs.", "items": { "type": "string" }, "type": "array" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "fingerprint": { "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthCheckService. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthCheckService.", "format": "byte", "type": "string" }, "kind": { "type": "string", "default": "compute#healthCheckService", "description": "[Output only] Type of the resource. Always compute#healthCheckServicefor health check services." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "networkEndpointGroups": { "items": { "type": "string" }, "description": "A list of URLs to the NetworkEndpointGroup resources. Must not have more than 100. For regional HealthCheckService, NEGs must be in zones in the region of the HealthCheckService.", "type": "array" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" } }, "id": "HealthCheckService", "type": "object", "description": "Represents a Health-Check as a Service resource." }, "ShieldedInstanceIntegrityPolicy": { "description": "The policy describes the baseline against which Instance boot integrity is measured.", "type": "object", "properties": { "updateAutoLearnPolicy": { "description": "Updates the integrity policy baseline using the measurements from the VM instance's most recent boot.", "type": "boolean" } }, "id": "ShieldedInstanceIntegrityPolicy" }, "NetworksUpdatePeeringRequest": { "properties": { "networkPeering": { "$ref": "NetworkPeering" } }, "type": "object", "id": "NetworksUpdatePeeringRequest" }, "XpnResourceId": { "properties": { "id": { "description": "The ID of the service resource. In the case of projects, this field supports project id (e.g., my-project-123) and project number (e.g. 12345678).", "type": "string" }, "type": { "description": "The type of the service resource.", "type": "string", "enum": [ "PROJECT", "XPN_RESOURCE_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "", "" ] } }, "type": "object", "description": "Service resource (a.k.a service project) ID.", "id": "XpnResourceId" }, "AcceleratorType": { "type": "object", "id": "AcceleratorType", "properties": { "maximumCardsPerInstance": { "format": "int32", "description": "[Output Only] Maximum number of accelerator cards allowed per instance.", "type": "integer" }, "deprecated": { "$ref": "DeprecationStatus", "description": "[Output Only] The deprecation status associated with this accelerator type." }, "description": { "type": "string", "description": "[Output Only] An optional textual description of the resource." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined, fully qualified URL for this resource." }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "kind": { "description": "[Output Only] The type of the resource. Always compute#acceleratorType for accelerator types.", "default": "compute#acceleratorType", "type": "string" }, "id": { "format": "uint64", "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "description": "Represents an Accelerator Type resource. Google Cloud Platform provides graphics processing units (accelerators) that you can add to VM instances to improve or accelerate performance when working with intensive workloads. For more information, read GPUs on Compute Engine." }, "Disk": { "type": "object", "description": "Represents a Persistent Disk resource. Google Compute Engine has two Disk resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/v1/disks) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionDisks) Persistent disks are required for running your VM instances. Create both boot and non-boot (data) persistent disks. For more information, read Persistent Disks. For more storage options, read Storage options. The disks resource represents a zonal persistent disk. For more information, read Zonal persistent disks. The regionDisks resource represents a regional persistent disk. For more information, read Regional resources.", "id": "Disk", "properties": { "lastAttachTimestamp": { "type": "string", "description": "[Output Only] Last attach timestamp in RFC3339 text format." }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.disks.insert" ] }, "type": "string" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "replicaZones": { "items": { "type": "string" }, "description": "URLs of the zones where the disk should be replicated to. Only applicable for regional resources.", "type": "array" }, "lastDetachTimestamp": { "type": "string", "description": "[Output Only] Last detach timestamp in RFC3339 text format." }, "sourceDisk": { "description": "The source disk used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk ", "type": "string" }, "options": { "type": "string", "description": "Internal use only." }, "sourceImage": { "description": "The source image used to create this disk. If the source image is deleted, this field will not be set. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family ", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined fully-qualified URL for this resource.", "type": "string" }, "sourceSnapshotId": { "type": "string", "description": "[Output Only] The unique ID of the snapshot used to create this disk. This value identifies the exact snapshot that was used to create this persistent disk. For example, if you created the persistent disk from a snapshot that was later deleted and recreated under the same name, the source snapshot ID would identify the exact version of the snapshot that was used." }, "licenses": { "description": "A list of publicly visible licenses. Reserved for Google's use.", "type": "array", "items": { "type": "string" } }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "architecture": { "enumDescriptions": [ "Default value indicating Architecture is not set.", "Machines with architecture ARM64", "Machines with architecture X86_64" ], "type": "string", "description": "The architecture of the disk. Valid values are ARM64 or X86_64.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "ARM64", "X86_64" ] }, "physicalBlockSizeBytes": { "type": "string", "format": "int64", "description": "Physical block size of the persistent disk, in bytes. If not present in a request, a default value is used. The currently supported size is 4096, other sizes may be added in the future. If an unsupported value is requested, the error message will list the supported values for the caller's project." }, "guestOsFeatures": { "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "type": "array", "items": { "$ref": "GuestOsFeature" } }, "provisionedIops": { "format": "int64", "type": "string", "description": "Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation." }, "zone": { "type": "string", "description": "[Output Only] URL of the zone where the disk resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body." }, "labelFingerprint": { "type": "string", "description": "A fingerprint for the labels being applied to this disk, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a disk.", "format": "byte" }, "licenseCodes": { "type": "array", "description": "Integer license codes indicating which licenses are attached to this disk.", "items": { "type": "string", "format": "int64" } }, "sourceSnapshotEncryptionKey": { "description": "The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "sizeGb": { "type": "string", "format": "int64", "description": "Size, in GB, of the persistent disk. You can specify this field when creating a persistent disk using the sourceImage, sourceSnapshot, or sourceDisk parameter, or specify it alone to create an empty persistent disk. If you specify this field along with a source, the value of sizeGb must not be less than the size of the source. Acceptable values are 1 to 65536, inclusive." }, "resourcePolicies": { "items": { "type": "string" }, "description": "Resource policies applied to this disk for automatic snapshot creations.", "type": "array" }, "sourceStorageObject": { "type": "string", "description": "The full Google Cloud Storage URI where the disk image is stored. This file must be a gzip-compressed tarball whose name ends in .tar.gz or virtual machine disk whose name ends in vmdk. Valid URIs may start with gs:// or https://storage.googleapis.com/. This flag is not optimized for creating multiple disks from a source storage object. To create many disks from a source storage object, use gcloud compute images import instead." }, "type": { "description": "URL of the disk type resource describing which disk type to use to create the disk. Provide this when creating the disk. For example: projects/project /zones/zone/diskTypes/pd-ssd . See Persistent disk types.", "type": "string" }, "diskEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "Encrypts the disk using a customer-supplied encryption key or a customer-managed encryption key. Encryption keys do not protect access to metadata of the disk. After you encrypt a disk with a customer-supplied key, you must provide the same key if you use the disk later. For example, to create a disk snapshot, to create a disk image, to create a machine image, or to attach the disk to a virtual machine. After you encrypt a disk with a customer-managed key, the diskEncryptionKey.kmsKeyName is set to a key *version* name once the disk is created. The disk is encrypted with this version of the key. In the response, diskEncryptionKey.kmsKeyName appears in the following format: \"diskEncryptionKey.kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key /cryptoKeysVersions/version If you do not provide an encryption key when creating the disk, then the disk is encrypted using an automatically generated key and you don't need to provide a key to use the disk later." }, "sourceImageId": { "type": "string", "description": "[Output Only] The ID value of the image used to create this disk. This value identifies the exact image that was used to create this persistent disk. For example, if you created the persistent disk from an image that was later deleted and recreated under the same name, the source image ID would identify the exact version of the image that was used." }, "locationHint": { "description": "An opaque location hint used to place the disk close to other resources. This field is for use by internal tools that use the public API.", "type": "string" }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "status": { "enumDescriptions": [ "Disk is provisioning", "Disk is deleting.", "Disk creation failed.", "Disk is ready for use.", "Source data is being copied into the disk." ], "enum": [ "CREATING", "DELETING", "FAILED", "READY", "RESTORING" ], "description": "[Output Only] The status of disk creation. - CREATING: Disk is provisioning. - RESTORING: Source data is being copied into the disk. - FAILED: Disk creation failed. - READY: Disk is ready for use. - DELETING: Disk is deleting. ", "type": "string" }, "sourceDiskId": { "type": "string", "description": "[Output Only] The unique ID of the disk used to create this disk. This value identifies the exact disk that was used to create this persistent disk. For example, if you created the persistent disk from a disk that was later deleted and recreated under the same name, the source disk ID would identify the exact version of the disk that was used." }, "sourceSnapshot": { "type": "string", "description": "The source snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project /global/snapshots/snapshot - projects/project/global/snapshots/snapshot - global/snapshots/snapshot " }, "region": { "description": "[Output Only] URL of the region where the disk resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#disk for disks.", "default": "compute#disk" }, "users": { "description": "[Output Only] Links to the users of the disk (attached instances) in form: projects/project/zones/zone/instances/instance", "type": "array", "items": { "type": "string" } }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels to apply to this disk. These can be later modified by the setLabels method.", "type": "object" }, "sourceImageEncryptionKey": { "$ref": "CustomerEncryptionKey", "description": "The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key." } } }, "Policy": { "properties": { "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "rules": { "description": "This is deprecated and has no effect. Do not use.", "items": { "$ref": "Rule" }, "type": "array" }, "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" } }, "id": "Policy", "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "SavedAttachedDisk": { "properties": { "deviceName": { "description": "Specifies the name of the disk attached to the source instance.", "type": "string" }, "mode": { "description": "The mode in which this disk is attached to the source instance, either READ_WRITE or READ_ONLY.", "enumDescriptions": [ "Attaches this disk in read-only mode. Multiple virtual machines can use a disk in read-only mode at a time.", "*[Default]* Attaches this disk in read-write mode. Only one virtual machine at a time can be attached to a disk in read-write mode." ], "type": "string", "enum": [ "READ_ONLY", "READ_WRITE" ] }, "guestOsFeatures": { "description": "A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.", "items": { "$ref": "GuestOsFeature" }, "type": "array" }, "diskSizeGb": { "description": "The size of the disk in base-2 GB.", "type": "string", "format": "int64" }, "kind": { "default": "compute#savedAttachedDisk", "type": "string", "description": "[Output Only] Type of the resource. Always compute#attachedDisk for attached disks." }, "diskType": { "type": "string", "description": "[Output Only] URL of the disk type resource. For example: projects/project /zones/zone/diskTypes/pd-standard or pd-ssd" }, "storageBytesStatus": { "description": "[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.", "enumDescriptions": [ "", "" ], "enum": [ "UPDATING", "UP_TO_DATE" ], "type": "string" }, "type": { "enumDescriptions": [ "", "" ], "description": "Specifies the type of the attached disk, either SCRATCH or PERSISTENT.", "type": "string", "enum": [ "PERSISTENT", "SCRATCH" ] }, "storageBytes": { "format": "int64", "type": "string", "description": "[Output Only] A size of the storage used by the disk's snapshot by this machine image." }, "licenses": { "description": "[Output Only] Any valid publicly visible licenses.", "type": "array", "items": { "type": "string" } }, "diskEncryptionKey": { "description": "The encryption key for the disk.", "$ref": "CustomerEncryptionKey" }, "autoDelete": { "type": "boolean", "description": "Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)." }, "source": { "type": "string", "description": "Specifies a URL of the disk attached to the source instance." }, "boot": { "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem.", "type": "boolean" }, "index": { "description": "Specifies zero-based index of the disk that is attached to the source instance.", "type": "integer", "format": "int32" }, "interface": { "type": "string", "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME.", "enum": [ "NVME", "SCSI" ], "enumDescriptions": [ "", "" ] } }, "type": "object", "description": "DEPRECATED: Please use compute#savedDisk instead. An instance-attached disk resource.", "id": "SavedAttachedDisk" }, "VpnGateway": { "id": "VpnGateway", "properties": { "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "region": { "description": "[Output Only] URL of the region where the VPN gateway resides.", "type": "string" }, "network": { "type": "string", "description": "URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.", "annotations": { "required": [ "compute.vpnGateways.insert" ] } }, "kind": { "default": "compute#vpnGateway", "type": "string", "description": "[Output Only] Type of resource. Always compute#vpnGateway for VPN gateways." }, "labelFingerprint": { "format": "byte", "type": "string", "description": "A fingerprint for the labels being applied to this VpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an VpnGateway." }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "annotations": { "required": [ "compute.vpnGateways.insert" ] } }, "stackType": { "type": "string", "description": "The stack type for this VPN gateway to identify the IP protocols that are enabled. If not specified, IPV4_ONLY will be used.", "enumDescriptions": [ "Enable VPN gateway with both IPv4 and IPv6 protocols.", "Enable VPN gateway with only IPv4 protocol." ], "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] }, "vpnInterfaces": { "description": "The list of VPN interfaces associated with this VPN gateway.", "items": { "$ref": "VpnGatewayVpnGatewayInterface" }, "type": "array" }, "labels": { "description": "Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.", "additionalProperties": { "type": "string" }, "type": "object" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "description": "Represents a HA VPN gateway. HA VPN is a high-availability (HA) Cloud VPN solution that lets you securely connect your on-premises network to your Google Cloud Virtual Private Cloud network through an IPsec VPN connection in a single region. For more information about Cloud HA VPN solutions, see Cloud VPN topologies .", "type": "object" }, "TargetVpnGatewayAggregatedList": { "type": "object", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } }, "description": "[Output Only] Informational warning message." }, "kind": { "default": "compute#targetVpnGatewayAggregatedList", "type": "string", "description": "[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of TargetVpnGateway resources.", "type": "object", "additionalProperties": { "$ref": "TargetVpnGatewaysScopedList", "description": "[Output Only] Name of the scope containing this set of target VPN gateways." } }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "id": "TargetVpnGatewayAggregatedList" }, "InstanceGroupsAddInstancesRequest": { "id": "InstanceGroupsAddInstancesRequest", "type": "object", "properties": { "instances": { "items": { "$ref": "InstanceReference" }, "description": "The list of instances to add to the instance group.", "type": "array" } } }, "GuestAttributesEntry": { "id": "GuestAttributesEntry", "properties": { "key": { "type": "string", "description": "Key for the guest attribute entry." }, "namespace": { "description": "Namespace for the guest attribute entry.", "type": "string" }, "value": { "description": "Value for the guest attribute entry.", "type": "string" } }, "type": "object", "description": "A guest attributes namespace/key/value entry." }, "SecurityPolicyRuleMatcherConfig": { "properties": { "srcIpRanges": { "type": "array", "items": { "type": "string" }, "description": "CIDR IP address range. Maximum number of src_ip_ranges allowed is 10." } }, "type": "object", "id": "SecurityPolicyRuleMatcherConfig" }, "InstanceGroupManagersSetInstanceTemplateRequest": { "id": "InstanceGroupManagersSetInstanceTemplateRequest", "type": "object", "properties": { "instanceTemplate": { "type": "string", "description": "The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE." } } }, "InterconnectDiagnosticsLinkOpticalPower": { "properties": { "state": { "enumDescriptions": [ "The value has crossed above the high alarm threshold.", "The value of the current optical power has crossed above the high warning threshold.", "The value of the current optical power has crossed below the low alarm threshold.", "The value of the current optical power has crossed below the low warning threshold.", "The value of the current optical power has not crossed a warning threshold." ], "type": "string", "enum": [ "HIGH_ALARM", "HIGH_WARNING", "LOW_ALARM", "LOW_WARNING", "OK" ], "description": "The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - OK: The value has not crossed a warning threshold. - LOW_WARNING: The value has crossed below the low warning threshold. - HIGH_WARNING: The value has crossed above the high warning threshold. - LOW_ALARM: The value has crossed below the low alarm threshold. - HIGH_ALARM: The value has crossed above the high alarm threshold. " }, "value": { "description": "Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links.", "format": "float", "type": "number" } }, "id": "InterconnectDiagnosticsLinkOpticalPower", "type": "object" }, "Subsetting": { "description": "Subsetting configuration for this BackendService. Currently this is applicable only for Internal TCP/UDP load balancing, Internal HTTP(S) load balancing and Traffic Director.", "type": "object", "properties": { "policy": { "type": "string", "enum": [ "CONSISTENT_HASH_SUBSETTING", "NONE" ], "enumDescriptions": [ "Subsetting based on consistent hashing. For Traffic Director, the number of backends per backend group (the subset size) is based on the `subset_size` parameter. For Internal HTTP(S) load balancing, the number of backends per backend group (the subset size) is dynamically adjusted in two cases: - As the number of proxy instances participating in Internal HTTP(S) load balancing increases, the subset size decreases. - When the total number of backends in a network exceeds the capacity of a single proxy instance, subset sizes are reduced automatically for each service that has backend subsetting enabled.", "No Subsetting. Clients may open connections and send traffic to all backends of this backend service. This can lead to performance issues if there is substantial imbalance in the count of clients and backends." ] } }, "id": "Subsetting" }, "UrlMapTest": { "id": "UrlMapTest", "description": "Message for the expected URL mappings.", "type": "object", "properties": { "expectedOutputUrl": { "description": "The expected output URL evaluated by the load balancer containing the scheme, host, path and query parameters. For rules that forward requests to backends, the test passes only when expectedOutputUrl matches the request forwarded by the load balancer to backends. For rules with urlRewrite, the test verifies that the forwarded request matches hostRewrite and pathPrefixRewrite in the urlRewrite action. When service is specified, expectedOutputUrl`s scheme is ignored. For rules with urlRedirect, the test passes only if expectedOutputUrl matches the URL in the load balancer's redirect response. If urlRedirect specifies https_redirect, the test passes only if the scheme in expectedOutputUrl is also set to HTTPS. If urlRedirect specifies strip_query, the test passes only if expectedOutputUrl does not contain any query parameters. expectedOutputUrl is optional when service is specified.", "type": "string" }, "expectedRedirectResponseCode": { "description": "For rules with urlRedirect, the test passes only if expectedRedirectResponseCode matches the HTTP status code in load balancer's redirect response. expectedRedirectResponseCode cannot be set when service is set.", "type": "integer", "format": "int32" }, "path": { "description": "Path portion of the URL.", "type": "string" }, "description": { "type": "string", "description": "Description of this test case." }, "host": { "type": "string", "description": "Host portion of the URL. If headers contains a host header, then host must also match the header value." }, "service": { "description": "Expected BackendService or BackendBucket resource the given URL should be mapped to. The service field cannot be set if expectedRedirectResponseCode is set.", "type": "string" }, "headers": { "description": "HTTP headers for this request. If headers contains a host header, then host must also match the header value.", "type": "array", "items": { "$ref": "UrlMapTestHeader" } } } }, "OutlierDetection": { "id": "OutlierDetection", "type": "object", "description": "Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service.", "properties": { "successRateStdevFactor": { "format": "int32", "description": "This factor is used to determine the ejection threshold for success rate outlier ejection. The ejection threshold is the difference between the mean success rate, and the product of this factor and the standard deviation of the mean success rate: mean - (stdev LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh success_rate_stdev_factor). This factor is divided by a thousand to get a double. That is, if the desired factor is 1.9, the runtime value should be 1900. Defaults to 1900.", "type": "integer" }, "consecutiveErrors": { "type": "integer", "format": "int32", "description": "Number of errors before a host is ejected from the connection pool. When the backend host is accessed over HTTP, a 5xx return code qualifies as an error. Defaults to 5." }, "enforcingSuccessRate": { "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through success rate statistics. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100.", "type": "integer", "format": "int32" }, "maxEjectionPercent": { "format": "int32", "type": "integer", "description": "Maximum percentage of hosts in the load balancing pool for the backend service that can be ejected. Defaults to 50%." }, "baseEjectionTime": { "$ref": "Duration", "description": "The base time that a host is ejected for. The real ejection time is equal to the base ejection time multiplied by the number of times the host has been ejected. Defaults to 30000ms or 30s." }, "consecutiveGatewayFailure": { "type": "integer", "format": "int32", "description": "The number of consecutive gateway failures (502, 503, 504 status or connection errors that are mapped to one of those status codes) before a consecutive gateway failure ejection occurs. Defaults to 3." }, "successRateRequestVolume": { "format": "int32", "type": "integer", "description": "The minimum number of total requests that must be collected in one interval (as defined by the interval duration above) to include this host in success rate based outlier detection. If the volume is lower than this setting, outlier detection via success rate statistics is not performed for that host. Defaults to 100." }, "enforcingConsecutiveErrors": { "format": "int32", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive 5xx. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 0.", "type": "integer" }, "enforcingConsecutiveGatewayFailure": { "type": "integer", "format": "int32", "description": "The percentage chance that a host will be actually ejected when an outlier status is detected through consecutive gateway failures. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100." }, "interval": { "$ref": "Duration", "description": "Time interval between ejection analysis sweeps. This can result in both new ejections as well as hosts being returned to service. Defaults to 1 second." }, "successRateMinimumHosts": { "format": "int32", "type": "integer", "description": "The number of hosts in a cluster that must have enough request volume to detect success rate outliers. If the number of hosts is less than this setting, outlier detection via success rate statistics is not performed for any host in the cluster. Defaults to 5." } } }, "ServiceAccount": { "type": "object", "description": "A service account.", "id": "ServiceAccount", "properties": { "email": { "type": "string", "description": "Email address of the service account." }, "scopes": { "items": { "type": "string" }, "type": "array", "description": "The list of scopes to be made available for this service account." } } }, "TargetVpnGatewaysScopedList": { "id": "TargetVpnGatewaysScopedList", "type": "object", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } } }, "targetVpnGateways": { "items": { "$ref": "TargetVpnGateway" }, "type": "array", "description": "[Output Only] A list of target VPN gateways contained in this scope." } } }, "UrlMapTestHeader": { "properties": { "value": { "type": "string", "description": "Header value." }, "name": { "type": "string", "description": "Header name." } }, "type": "object", "id": "UrlMapTestHeader", "description": "HTTP headers used in UrlMapTests." }, "ShareSettings": { "description": "The share setting for reservations and sole tenancy node groups.", "type": "object", "properties": { "shareType": { "enum": [ "LOCAL", "SHARE_TYPE_UNSPECIFIED", "SPECIFIC_PROJECTS" ], "description": "Type of sharing for this shared-reservation", "type": "string", "enumDescriptions": [ "Default value.", "Default value. This value is unused.", "Shared-reservation is open to specific projects" ] }, "projectMap": { "additionalProperties": { "$ref": "ShareSettingsProjectConfig" }, "type": "object", "description": "A map of project id and project config. This is only valid when share_type's value is SPECIFIC_PROJECTS." } }, "id": "ShareSettings" }, "UrlMapValidationResult": { "type": "object", "id": "UrlMapValidationResult", "description": "Message representing the validation result for a UrlMap.", "properties": { "testFailures": { "items": { "$ref": "TestFailure" }, "type": "array" }, "loadSucceeded": { "type": "boolean", "description": "Whether the given UrlMap can be successfully loaded. If false, 'loadErrors' indicates the reasons." }, "loadErrors": { "items": { "type": "string" }, "type": "array" }, "testPassed": { "description": "If successfully loaded, this field indicates whether the test passed. If false, 'testFailures's indicate the reason of failure.", "type": "boolean" } } }, "LogConfigDataAccessOptions": { "properties": { "logMode": { "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ], "enum": [ "LOG_FAIL_CLOSED", "LOG_MODE_UNSPECIFIED" ], "description": "This is deprecated and has no effect. Do not use." } }, "id": "LogConfigDataAccessOptions", "type": "object", "description": "This is deprecated and has no effect. Do not use." }, "DisksRemoveResourcePoliciesRequest": { "type": "object", "properties": { "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies to be removed from this disk." } }, "id": "DisksRemoveResourcePoliciesRequest" }, "LocationPolicyLocationConstraints": { "type": "object", "properties": { "maxCount": { "format": "int32", "description": "Maximum number of items that are allowed to be placed in this zone. The value must be non-negative.", "type": "integer" } }, "description": "Per-zone constraints on location policy for this zone.", "id": "LocationPolicyLocationConstraints" }, "TargetSslProxy": { "id": "TargetSslProxy", "description": "Represents a Target SSL Proxy resource. A target SSL proxy is a component of a SSL Proxy load balancer. Global forwarding rules reference a target SSL proxy, and the target proxy then references an external backend service. For more information, read Using Target Proxies.", "type": "object", "properties": { "sslCertificates": { "description": "URLs to SslCertificate resources that are used to authenticate connections to Backends. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED.", "items": { "type": "string" }, "type": "array" }, "service": { "description": "URL to the BackendService resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#targetSslProxy", "description": "[Output Only] Type of the resource. Always compute#targetSslProxy for target SSL proxies." }, "sslPolicy": { "description": "URL of SslPolicy resource that will be associated with the TargetSslProxy resource. If not set, the TargetSslProxy resource will not have any SSL policy configured.", "type": "string" }, "name": { "type": "string", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "certificateMap": { "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored.", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "proxyHeader": { "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "enumDescriptions": [ "", "" ], "enum": [ "NONE", "PROXY_V1" ], "type": "string" } } }, "SubnetworkLogConfig": { "properties": { "flowSampling": { "type": "number", "format": "float", "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. The value of the field must be in [0, 1]. Set the sampling rate of VPC flow logs within the subnetwork where 1.0 means all collected logs are reported and 0.0 means no logs are reported. Default is 0.5 unless otherwise specified by the org policy, which means half of all collected logs are reported." }, "aggregationInterval": { "description": "Can only be specified if VPC flow logging for this subnetwork is enabled. Toggles the aggregation interval for collecting flow logs. Increasing the interval time will reduce the amount of generated flow logs for long lasting connections. Default is an interval of 5 seconds per connection.", "type": "string", "enum": [ "INTERVAL_10_MIN", "INTERVAL_15_MIN", "INTERVAL_1_MIN", "INTERVAL_30_SEC", "INTERVAL_5_MIN", "INTERVAL_5_SEC" ], "enumDescriptions": [ "", "", "", "", "", "" ] }, "metadata": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. Configures whether all, none or a subset of metadata fields should be added to the reported VPC flow logs. Default is EXCLUDE_ALL_METADATA.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "CUSTOM_METADATA", "EXCLUDE_ALL_METADATA", "INCLUDE_ALL_METADATA" ] }, "enable": { "description": "Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled.", "type": "boolean" }, "filterExpr": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled. The filter expression is used to define which VPC flow logs should be exported to Cloud Logging.", "type": "string" }, "metadataFields": { "description": "Can only be specified if VPC flow logs for this subnetwork is enabled and \"metadata\" was set to CUSTOM_METADATA.", "items": { "type": "string" }, "type": "array" } }, "description": "The available logging options for this subnetwork.", "type": "object", "id": "SubnetworkLogConfig" }, "Region": { "id": "Region", "properties": { "deprecated": { "description": "[Output Only] The deprecation status associated with this region.", "$ref": "DeprecationStatus" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "description": "[Output Only] Name of the resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "status": { "type": "string", "enumDescriptions": [ "", "" ], "description": "[Output Only] Status of the region, either UP or DOWN.", "enum": [ "DOWN", "UP" ] }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "quotas": { "description": "[Output Only] Quotas assigned to this region.", "type": "array", "items": { "$ref": "Quota" } }, "zones": { "items": { "type": "string" }, "description": "[Output Only] A list of zones available in this region, in the form of resource URLs.", "type": "array" }, "supportsPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "kind": { "default": "compute#region", "type": "string", "description": "[Output Only] Type of the resource. Always compute#region for regions." }, "description": { "type": "string", "description": "[Output Only] Textual description of the resource." } }, "type": "object", "description": "Represents a Region resource. A region is a geographical area where a resource is located. For more information, read Regions and Zones." }, "SecurityPoliciesListPreconfiguredExpressionSetsResponse": { "id": "SecurityPoliciesListPreconfiguredExpressionSetsResponse", "type": "object", "properties": { "preconfiguredExpressionSets": { "$ref": "SecurityPoliciesWafConfig" } } }, "FirewallPolicy": { "description": "Represents a Firewall Policy resource.", "type": "object", "properties": { "ruleTupleCount": { "type": "integer", "description": "[Output Only] Total count of all firewall policy rule tuples. A firewall policy can not exceed a set number of tuples.", "format": "int32" }, "associations": { "type": "array", "items": { "$ref": "FirewallPolicyAssociation" }, "description": "A list of associations that belong to this firewall policy." }, "shortName": { "type": "string", "description": "User-provided name of the Organization firewall plicy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64", "type": "string" }, "region": { "description": "[Output Only] URL of the region where the regional firewall policy resides. This field is not applicable to global firewall policies. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] Name of the resource. It is a numeric ID allocated by GCP which uniquely identifies the Firewall Policy." }, "displayName": { "description": "Deprecated, please use short name instead. User-provided name of the Organization firewall policy. The name should be unique in the organization in which the firewall policy is created. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "fingerprint": { "format": "byte", "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the firewall policy.", "type": "string" }, "selfLinkWithId": { "type": "string", "description": "[Output Only] Server-defined URL for this resource with the resource id." }, "parent": { "description": "[Output Only] The parent of the firewall policy.", "type": "string" }, "kind": { "default": "compute#firewallPolicy", "type": "string", "description": "[Output only] Type of the resource. Always compute#firewallPolicyfor firewall policies" }, "rules": { "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a firewall policy, a default rule with action \"allow\" will be added.", "type": "array", "items": { "$ref": "FirewallPolicyRule" } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "id": "FirewallPolicy" }, "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus": { "properties": { "lastRunStartTime": { "description": "[Output Only] The last time the schedule successfully ran. The timestamp is an RFC3339 string.", "type": "string" }, "nextRunStartTime": { "description": "[Output Only] The next time the schedule is planned to run. The actual time might be slightly different. The timestamp is an RFC3339 string.", "type": "string" } }, "type": "object", "id": "ResourcePolicyResourceStatusInstanceSchedulePolicyStatus" }, "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy": { "type": "object", "id": "BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy", "properties": { "data": { "description": "An optional, arbitrary JSON object with configuration data, understood by a locally installed custom policy implementation.", "type": "string" }, "name": { "type": "string", "description": "Identifies the custom policy. The value should match the type the custom implementation is registered with on the gRPC clients. It should follow protocol buffer message naming conventions and include the full path (e.g. myorg.CustomLbPolicy). The maximum length is 256 characters. Note that specifying the same custom policy more than once for a backend is not a valid configuration and will be rejected." } }, "description": "The configuration for a custom policy implemented by the user and deployed with the client." }, "NetworkEndpointGroupsListEndpointsRequest": { "properties": { "healthStatus": { "enum": [ "SHOW", "SKIP" ], "description": "Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided.", "enumDescriptions": [ "Show the health status for each network endpoint. Impacts latency of the call.", "Health status for network endpoints will not be provided." ], "type": "string" } }, "id": "NetworkEndpointGroupsListEndpointsRequest", "type": "object" }, "InstanceGroupManagerAutoHealingPolicy": { "type": "object", "properties": { "initialDelaySec": { "format": "int32", "type": "integer", "description": "The number of seconds that the managed instance group waits before it applies autohealing policies to new instances or recently recreated instances. This initial delay allows instances to initialize and run their startup scripts before the instance group determines that they are UNHEALTHY. This prevents the managed instance group from recreating its instances prematurely. This value must be from range [0, 3600]." }, "healthCheck": { "type": "string", "description": "The URL for the health check that signals autohealing." } }, "id": "InstanceGroupManagerAutoHealingPolicy" }, "ConfidentialInstanceConfig": { "type": "object", "properties": { "enableConfidentialCompute": { "description": "Defines whether the instance should have confidential compute enabled.", "type": "boolean" } }, "description": "A set of Confidential Instance options.", "id": "ConfidentialInstanceConfig" }, "Metadata": { "id": "Metadata", "description": "A metadata key/value entry.", "type": "object", "properties": { "items": { "type": "array", "items": { "description": "Metadata", "properties": { "key": { "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "type": "string", "description": "Key for the metadata entry. Keys must conform to the following regexp: [a-zA-Z0-9-_]+, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project.", "pattern": "[a-zA-Z0-9-_]{1,128}" }, "value": { "annotations": { "required": [ "compute.instances.insert", "compute.projects.setCommonInstanceMetadata" ] }, "description": "Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB).", "type": "string" } }, "type": "object" }, "description": "Array of key/value pairs. The total size of all keys and values must be less than 512 KB." }, "fingerprint": { "description": "Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the resource.", "type": "string", "format": "byte" }, "kind": { "description": "[Output Only] Type of the resource. Always compute#metadata for metadata.", "default": "compute#metadata", "type": "string" } } }, "ProjectsSetDefaultNetworkTierRequest": { "type": "object", "id": "ProjectsSetDefaultNetworkTierRequest", "properties": { "networkTier": { "enumDescriptions": [ "Public internet quality with fixed bandwidth.", "High quality, Google-grade network tier, support for all networking products.", "Public internet quality, only limited support for other networking products.", "(Output only) Temporary tier for FIXED_STANDARD when fixed standard tier is expired or not configured." ], "type": "string", "enum": [ "FIXED_STANDARD", "PREMIUM", "STANDARD", "STANDARD_OVERRIDES_FIXED_STANDARD" ], "description": "Default network tier to be set." } } }, "PathMatcher": { "properties": { "routeRules": { "type": "array", "description": "The list of HTTP route rules. Use this list instead of pathRules when advanced route matching and routing actions are desired. routeRules are evaluated in order of priority, from the lowest to highest number. Within a given pathMatcher, you can set only one of pathRules or routeRules.", "items": { "$ref": "HttpRouteRule" } }, "defaultService": { "type": "string", "description": "The full or partial URL to the BackendService resource. This URL is used if none of the pathRules or routeRules defined by this PathMatcher are matched. For example, the following are all valid URLs to a BackendService resource: - https://www.googleapis.com/compute/v1/projects/project /global/backendServices/backendService - compute/v1/projects/project/global/backendServices/backendService - global/backendServices/backendService If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if defaultRouteAction specifies any weightedBackendServices, defaultService must not be specified. Only one of defaultService, defaultUrlRedirect , or defaultRouteAction.weightedBackendService must be set. Authorization requires one or more of the following Google IAM permissions on the specified resource default_service: - compute.backendBuckets.use - compute.backendServices.use " }, "defaultRouteAction": { "description": "defaultRouteAction takes effect when none of the pathRules or routeRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. UrlMaps for external HTTP(S) load balancers support only the urlRewrite action within a path matcher's defaultRouteAction.", "$ref": "HttpRouteAction" }, "name": { "type": "string", "description": "The name to which this PathMatcher is referred by the HostRule." }, "defaultUrlRedirect": { "description": "When none of the specified pathRules or routeRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" }, "headerAction": { "$ref": "HttpHeaderAction", "description": "Specifies changes to request and response headers that need to take effect for the selected backend service. HeaderAction specified here are applied after the matching HttpRouteRule HeaderAction and before the HeaderAction in the UrlMap HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true." }, "pathRules": { "items": { "$ref": "PathRule" }, "type": "array", "description": "The list of path rules. Use this list instead of routeRules when routing based on simple path matching is all that's required. The order by which path rules are specified does not matter. Matches are always done on the longest-path-first basis. For example: a pathRule with a path /a/b/c/* will match before /a/b/* irrespective of the order in which those paths appear in this list. Within a given pathMatcher, only one of pathRules or routeRules must be set." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." } }, "type": "object", "id": "PathMatcher", "description": "A matcher for the path portion of the URL. The BackendService from the longest-matched rule will serve the URL. If no rule was matched, the default service is used." }, "NodeTypesScopedList": { "properties": { "nodeTypes": { "description": "[Output Only] A list of node types contained in this scope.", "type": "array", "items": { "$ref": "NodeType" } }, "warning": { "type": "object", "description": "[Output Only] An informational warning that appears when the node types list is empty.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } } }, "id": "NodeTypesScopedList", "type": "object" }, "RegionUrlMapsValidateRequest": { "properties": { "resource": { "$ref": "UrlMap", "description": "Content of the UrlMap to be validated." } }, "id": "RegionUrlMapsValidateRequest", "type": "object" }, "AutoscalingPolicyScaleInControl": { "id": "AutoscalingPolicyScaleInControl", "type": "object", "properties": { "timeWindowSec": { "type": "integer", "format": "int32", "description": "How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above." }, "maxScaledInReplicas": { "$ref": "FixedOrPercent", "description": "Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step." } }, "description": "Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below." }, "HealthChecksAggregatedList": { "type": "object", "properties": { "items": { "additionalProperties": { "$ref": "HealthChecksScopedList", "description": "Name of the scope containing this set of HealthChecks." }, "description": "A list of HealthChecksScopedList resources.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources." }, "kind": { "description": "Type of resource.", "type": "string", "default": "compute#healthChecksAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } }, "type": "object", "description": "[Output Only] Informational warning message." } }, "id": "HealthChecksAggregatedList" }, "SecurityPoliciesAggregatedList": { "type": "object", "properties": { "items": { "description": "A list of SecurityPoliciesScopedList resources.", "type": "object", "additionalProperties": { "$ref": "SecurityPoliciesScopedList", "description": "Name of the scope containing this set of security policies." } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "etag": { "type": "string" }, "kind": { "type": "string", "default": "compute#securityPoliciesAggregatedList", "description": "[Output Only] Type of resource. Always compute#securityPolicyAggregatedList for lists of Security Policies." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } } }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." } }, "id": "SecurityPoliciesAggregatedList" }, "HttpHealthCheckList": { "id": "HttpHealthCheckList", "type": "object", "description": "Contains a list of HttpHealthCheck resources.", "properties": { "items": { "items": { "$ref": "HttpHealthCheck" }, "description": "A list of HttpHealthCheck resources.", "type": "array" }, "kind": { "default": "compute#httpHealthCheckList", "type": "string", "description": "Type of resource." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } } } } } }, "License": { "properties": { "resourceRequirements": { "$ref": "LicenseResourceRequirements" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. The name must be 1-63 characters long and comply with RFC1035.", "type": "string", "annotations": { "required": [ "compute.images.insert" ] } }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "kind": { "default": "compute#license", "description": "[Output Only] Type of resource. Always compute#license for licenses.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "licenseCode": { "description": "[Output Only] The unique code used to attach this license to images, snapshots, and disks.", "type": "string", "format": "uint64" }, "transferable": { "description": "If false, licenses will not be copied from the source resource when creating an image from a disk, disk from snapshot, or snapshot from disk.", "type": "boolean" }, "chargesUseFee": { "type": "boolean", "description": "[Output Only] Deprecated. This field no longer reflects whether a license charges a usage fee." }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." } }, "id": "License", "description": "Represents a License resource. A License represents billing and aggregate usage data for public and marketplace images. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "type": "object" }, "RegionInstanceGroupManagersListErrorsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "array", "items": { "$ref": "InstanceManagedByIgmError" }, "description": "[Output Only] The list of errors of the managed instance group." } }, "id": "RegionInstanceGroupManagersListErrorsResponse", "type": "object" }, "CustomerEncryptionKeyProtectedDisk": { "type": "object", "properties": { "source": { "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource. This field is only applicable for persistent disks. For example: \"source\": \"/compute/v1/projects/project_id/zones/zone/disks/ disk_name ", "type": "string" }, "diskEncryptionKey": { "description": "Decrypts data associated with the disk with a customer-supplied encryption key.", "$ref": "CustomerEncryptionKey" } }, "id": "CustomerEncryptionKeyProtectedDisk" }, "UsageExportLocation": { "type": "object", "id": "UsageExportLocation", "properties": { "reportNamePrefix": { "description": "An optional prefix for the name of the usage report object stored in bucketName. If not supplied, defaults to usage_gce. The report is stored as a CSV file named report_name_prefix_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage object naming conventions.", "type": "string" }, "bucketName": { "type": "string", "description": "The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as example-bucket, or the bucket name with gs:// or https://storage.googleapis.com/ in front of it, such as gs://example-bucket." } }, "description": "The location in Cloud Storage and naming method of the daily usage report. Contains bucket_name and report_name prefix." }, "SecurityPolicy": { "id": "SecurityPolicy", "description": "Represents a Google Cloud Armor security policy resource. Only external backend services that use load balancers can reference a security policy. For more information, see Google Cloud Armor security policy overview.", "properties": { "type": { "description": "The type indicates the intended use of the security policy. - CLOUD_ARMOR: Cloud Armor backend security policies can be configured to filter incoming HTTP requests targeting backend services. They filter requests before they hit the origin servers. - CLOUD_ARMOR_EDGE: Cloud Armor edge security policies can be configured to filter incoming HTTP requests targeting backend services (including Cloud CDN-enabled) as well as backend buckets (Cloud Storage). They filter requests before the request is served from Google's cache. - CLOUD_ARMOR_INTERNAL_SERVICE: Cloud Armor internal service policies can be configured to filter HTTP requests targeting services managed by Traffic Director in a service mesh. They filter requests before the request is served from the application. This field can be set only at resource creation time.", "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "CLOUD_ARMOR", "CLOUD_ARMOR_EDGE", "CLOUD_ARMOR_NETWORK" ] }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "adaptiveProtectionConfig": { "$ref": "SecurityPolicyAdaptiveProtectionConfig" }, "ddosProtectionConfig": { "$ref": "SecurityPolicyDdosProtectionConfig" }, "fingerprint": { "type": "string", "format": "byte", "description": "Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the security policy." }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional security policy resides. This field is not applicable to global security policies." }, "advancedOptionsConfig": { "$ref": "SecurityPolicyAdvancedOptionsConfig" }, "kind": { "type": "string", "description": "[Output only] Type of the resource. Always compute#securityPolicyfor security policies", "default": "compute#securityPolicy" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "rules": { "description": "A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a security policy, a default rule with action \"allow\" will be added.", "type": "array", "items": { "$ref": "SecurityPolicyRule" } }, "recaptchaOptionsConfig": { "$ref": "SecurityPolicyRecaptchaOptionsConfig" }, "name": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" } }, "type": "object" }, "ResourceCommitment": { "properties": { "amount": { "type": "string", "description": "The amount of the resource purchased (in a type-dependent unit, such as bytes). For vCPUs, this can just be an integer. For memory, this must be provided in MB. Memory must be a multiple of 256 MB, with up to 6.5GB of memory per every vCPU.", "format": "int64" }, "acceleratorType": { "type": "string", "description": "Name of the accelerator type resource. Applicable only when the type is ACCELERATOR." }, "type": { "description": "Type of resource for which this commitment applies. Possible values are VCPU and MEMORY", "enum": [ "ACCELERATOR", "LOCAL_SSD", "MEMORY", "UNSPECIFIED", "VCPU" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ] } }, "id": "ResourceCommitment", "type": "object", "description": "Commitment for a particular resource (a Commitment is composed of one or more of these)." }, "UsableSubnetwork": { "id": "UsableSubnetwork", "properties": { "subnetwork": { "type": "string", "description": "Subnetwork URL." }, "internalIpv6Prefix": { "description": "[Output Only] The internal IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "ipv6AccessType": { "type": "string", "enumDescriptions": [ "VMs on this subnet will be assigned IPv6 addresses that are accessible via the Internet, as well as the VPC network.", "VMs on this subnet will be assigned IPv6 addresses that are only accessible over the VPC network." ], "enum": [ "EXTERNAL", "INTERNAL" ], "description": "The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack." }, "role": { "enum": [ "ACTIVE", "BACKUP" ], "enumDescriptions": [ "The ACTIVE subnet that is currently used.", "The BACKUP subnet that could be promoted to ACTIVE." ], "type": "string", "description": "The role of subnetwork. Currently, this field is only used when purpose = INTERNAL_HTTPS_LOAD_BALANCER. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Internal HTTP(S) Load Balancing. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request." }, "ipCidrRange": { "type": "string", "description": "The range of internal addresses that are owned by this subnetwork." }, "stackType": { "description": "The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.", "enumDescriptions": [ "New VMs in this subnet can have both IPv4 and IPv6 addresses.", "New VMs in this subnet will only be assigned IPv4 addresses." ], "type": "string", "enum": [ "IPV4_IPV6", "IPV4_ONLY" ] }, "network": { "type": "string", "description": "Network URL." }, "externalIpv6Prefix": { "description": "[Output Only] The external IPv6 address range that is assigned to this subnetwork.", "type": "string" }, "secondaryIpRanges": { "items": { "$ref": "UsableSubnetworkSecondaryRange" }, "description": "Secondary IP ranges.", "type": "array" }, "purpose": { "description": "The purpose of the resource. This field can be either PRIVATE_RFC_1918 or INTERNAL_HTTPS_LOAD_BALANCER. A subnetwork with purpose set to INTERNAL_HTTPS_LOAD_BALANCER is a user-created subnetwork that is reserved for Internal HTTP(S) Load Balancing. If unspecified, the purpose defaults to PRIVATE_RFC_1918. The enableFlowLogs field isn't supported with the purpose field set to INTERNAL_HTTPS_LOAD_BALANCER.", "enum": [ "INTERNAL_HTTPS_LOAD_BALANCER", "PRIVATE", "PRIVATE_RFC_1918", "PRIVATE_SERVICE_CONNECT", "REGIONAL_MANAGED_PROXY" ], "enumDescriptions": [ "Subnet reserved for Internal HTTP(S) Load Balancing.", "Regular user created or automatically created subnet.", "Regular user created or automatically created subnet.", "Subnetworks created for Private Service Connect in the producer network.", "Subnetwork used for Regional Internal/External HTTP(S) Load Balancing." ], "type": "string" } }, "description": "Subnetwork which the current user has compute.subnetworks.use permission on.", "type": "object" }, "InstanceGroupsSetNamedPortsRequest": { "id": "InstanceGroupsSetNamedPortsRequest", "properties": { "fingerprint": { "format": "byte", "description": "The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request. A request with an incorrect fingerprint will fail with error 412 conditionNotMet.", "type": "string" }, "namedPorts": { "type": "array", "description": "The list of named ports to set for this instance group.", "items": { "$ref": "NamedPort" } } }, "type": "object" }, "LicenseCode": { "type": "object", "properties": { "name": { "pattern": "[0-9]{0,20}?", "annotations": { "required": [ "compute.licenses.insert" ] }, "type": "string", "description": "[Output Only] Name of the resource. The name is 1-20 characters long and must be a valid 64 bit integer." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "transferable": { "type": "boolean", "description": "[Output Only] If true, the license will remain attached when creating images or snapshots from disks. Otherwise, the license is not transferred." }, "state": { "type": "string", "enum": [ "DISABLED", "ENABLED", "RESTRICTED", "STATE_UNSPECIFIED", "TERMINATED" ], "enumDescriptions": [ "Machines are not allowed to attach boot disks with this License Code. Requests to create new resources with this license will be rejected.", "Use is allowed for anyone with USE_READ_ONLY access to this License Code.", "Use of this license is limited to a project whitelist.", "", "Reserved state." ], "description": "[Output Only] Current state of this License Code." }, "kind": { "default": "compute#licenseCode", "description": "[Output Only] Type of resource. Always compute#licenseCode for licenses.", "type": "string" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "description": { "description": "[Output Only] Description of this License Code.", "type": "string" }, "licenseAlias": { "type": "array", "items": { "$ref": "LicenseCodeLicenseAlias" }, "description": "[Output Only] URL and description aliases of Licenses with the same License Code." }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" } }, "description": "Represents a License Code resource. A License Code is a unique identifier used to represent a license resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images. ", "id": "LicenseCode" }, "FirewallPolicyRuleMatcherLayer4Config": { "id": "FirewallPolicyRuleMatcherLayer4Config", "type": "object", "properties": { "ipProtocol": { "type": "string", "description": "The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number." }, "ports": { "type": "array", "description": "An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].", "items": { "type": "string" } } } }, "NodeGroupsSetNodeTemplateRequest": { "id": "NodeGroupsSetNodeTemplateRequest", "properties": { "nodeTemplate": { "type": "string", "description": "Full or partial URL of the node template resource to be updated for this node group." } }, "type": "object" }, "InstanceGroupManagerAggregatedList": { "type": "object", "id": "InstanceGroupManagerAggregatedList", "properties": { "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#instanceGroupManagerAggregatedList", "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "additionalProperties": { "description": "[Output Only] The name of the scope that contains this set of managed instance groups.", "$ref": "InstanceGroupManagersScopedList" }, "type": "object", "description": "A list of InstanceGroupManagersScopedList resources." }, "warning": { "type": "object", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." } } }, "TargetSslProxiesSetBackendServiceRequest": { "type": "object", "properties": { "service": { "type": "string", "description": "The URL of the new BackendService resource for the targetSslProxy." } }, "id": "TargetSslProxiesSetBackendServiceRequest" }, "VpnGatewaysScopedList": { "properties": { "vpnGateways": { "type": "array", "items": { "$ref": "VpnGateway" }, "description": "[Output Only] A list of VPN gateways contained in this scope." }, "warning": { "type": "object", "description": "[Output Only] Informational warning which replaces the list of addresses when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "type": "array", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } } }, "type": "object", "id": "VpnGatewaysScopedList" }, "AuditLogConfig": { "type": "object", "properties": { "logType": { "description": "The log type that this config enables.", "type": "string", "enum": [ "ADMIN_READ", "DATA_READ", "DATA_WRITE", "LOG_TYPE_UNSPECIFIED" ], "enumDescriptions": [ "Admin reads. Example: CloudIAM getIamPolicy", "Data reads. Example: CloudSQL Users list", "Data writes. Example: CloudSQL Users create", "Default case. Should never be this." ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "ignoreChildExemptions": { "type": "boolean", "description": "This is deprecated and has no effect. Do not use." } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "NetworkPerformanceConfig": { "type": "object", "id": "NetworkPerformanceConfig", "properties": { "totalEgressBandwidthTier": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "DEFAULT", "TIER_1" ] } } }, "RegionSetPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them." }, "etag": { "type": "string", "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag." }, "bindings": { "type": "array", "description": "Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "items": { "$ref": "Binding" } } }, "id": "RegionSetPolicyRequest", "type": "object" }, "InitialStateConfig": { "properties": { "dbs": { "items": { "$ref": "FileContentBuffer" }, "description": "The Key Database (db).", "type": "array" }, "pk": { "$ref": "FileContentBuffer", "description": "The Platform Key (PK)." }, "keks": { "description": "The Key Exchange Key (KEK).", "items": { "$ref": "FileContentBuffer" }, "type": "array" }, "dbxs": { "description": "The forbidden key database (dbx).", "items": { "$ref": "FileContentBuffer" }, "type": "array" } }, "type": "object", "description": "Initial State for shielded instance, these are public keys which are safe to store in public", "id": "InitialStateConfig" }, "AddressList": { "type": "object", "description": "Contains a list of addresses.", "id": "AddressList", "properties": { "kind": { "description": "[Output Only] Type of resource. Always compute#addressList for lists of addresses.", "default": "compute#addressList", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "items": { "items": { "$ref": "Address" }, "type": "array", "description": "A list of Address resources." } } }, "RouterStatusResponse": { "properties": { "result": { "$ref": "RouterStatus" }, "kind": { "default": "compute#routerStatusResponse", "description": "Type of resource.", "type": "string" } }, "type": "object", "id": "RouterStatusResponse" }, "DisplayDevice": { "type": "object", "properties": { "enableDisplay": { "type": "boolean", "description": "Defines whether the instance has Display enabled." } }, "description": "A set of Display Device options", "id": "DisplayDevice" }, "LogConfigCounterOptionsCustomField": { "properties": { "value": { "type": "string", "description": "This is deprecated and has no effect. Do not use." }, "name": { "description": "This is deprecated and has no effect. Do not use.", "type": "string" } }, "type": "object", "id": "LogConfigCounterOptionsCustomField", "description": "This is deprecated and has no effect. Do not use." }, "InstanceGroupManagersSetTargetPoolsRequest": { "id": "InstanceGroupManagersSetTargetPoolsRequest", "type": "object", "properties": { "targetPools": { "items": { "type": "string" }, "type": "array", "description": "The list of target pool URLs that instances in this managed instance group belong to. The managed instance group applies these target pools to all of the instances in the group. Existing instances and new instances in the group all receive these target pool settings." }, "fingerprint": { "format": "byte", "description": "The fingerprint of the target pools information. Use this optional property to prevent conflicts when multiple users change the target pools settings concurrently. Obtain the fingerprint with the instanceGroupManagers.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.", "type": "string" } } }, "BackendServiceCdnPolicyBypassCacheOnRequestHeader": { "properties": { "headerName": { "type": "string", "description": "The header field name to match on when bypassing cache. Values are case-insensitive." } }, "id": "BackendServiceCdnPolicyBypassCacheOnRequestHeader", "type": "object", "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting." }, "ReservationList": { "id": "ReservationList", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#reservationList", "description": "[Output Only] Type of resource.Always compute#reservationsList for listsof reservations" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string" }, "items": { "items": { "$ref": "Reservation" }, "description": "[Output Only] A list of Allocation resources.", "type": "array" } } }, "SecurityPolicyRecaptchaOptionsConfig": { "properties": { "redirectSiteKey": { "description": "An optional field to supply a reCAPTCHA site key to be used for all the rules using the redirect action with the type of GOOGLE_RECAPTCHA under the security policy. The specified site key needs to be created from the reCAPTCHA API. The user is responsible for the validity of the specified site key. If not specified, a Google-managed site key is used.", "type": "string" } }, "type": "object", "id": "SecurityPolicyRecaptchaOptionsConfig" }, "RouterAdvertisedIpRange": { "type": "object", "id": "RouterAdvertisedIpRange", "properties": { "range": { "description": "The IP range to advertise. The value must be a CIDR-formatted string.", "type": "string" }, "description": { "type": "string", "description": "User-specified description for the IP range." } }, "description": "Description-tagged IP ranges for the router to advertise." }, "ImageList": { "description": "Contains a list of images.", "type": "object", "id": "ImageList", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "kind": { "default": "compute#imageList", "description": "Type of resource.", "type": "string" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "description": "A list of Image resources.", "type": "array", "items": { "$ref": "Image" } } } }, "StatefulPolicy": { "id": "StatefulPolicy", "properties": { "preservedState": { "$ref": "StatefulPolicyPreservedState" } }, "type": "object" }, "NodeGroupNode": { "type": "object", "properties": { "instances": { "type": "array", "items": { "type": "string" }, "description": "Instances scheduled on this node." }, "serverBinding": { "description": "Binding properties for the physical server.", "$ref": "ServerBinding" }, "status": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "CREATING", "DELETING", "INVALID", "READY", "REPAIRING" ], "type": "string" }, "accelerators": { "items": { "$ref": "AcceleratorConfig" }, "type": "array", "description": "Accelerators for this node." }, "nodeType": { "description": "The type of this node.", "type": "string" }, "serverId": { "type": "string", "description": "Server ID associated with this node." }, "cpuOvercommitType": { "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "CPU overcommit." }, "disks": { "description": "Local disk configurations.", "type": "array", "items": { "$ref": "LocalDisk" } }, "satisfiesPzs": { "type": "boolean", "description": "[Output Only] Reserved for future use." }, "name": { "description": "The name of the node.", "type": "string" } }, "id": "NodeGroupNode" }, "ConnectionDraining": { "properties": { "drainingTimeoutSec": { "format": "int32", "description": "Configures a duration timeout for existing requests on a removed backend instance. For supported load balancers and protocols, as described in Enabling connection draining.", "type": "integer" } }, "type": "object", "id": "ConnectionDraining", "description": "Message containing connection draining configuration." }, "SecurityPolicyAdaptiveProtectionConfig": { "type": "object", "properties": { "layer7DdosDefenseConfig": { "description": "If set to true, enables Cloud Armor Machine Learning.", "$ref": "SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig" } }, "description": "Configuration options for Cloud Armor Adaptive Protection (CAAP).", "id": "SecurityPolicyAdaptiveProtectionConfig" }, "HealthCheckReference": { "id": "HealthCheckReference", "type": "object", "description": "A full or valid partial URL to a health check. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/global/httpHealthChecks/health-check - projects/project-id/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check ", "properties": { "healthCheck": { "type": "string" } } }, "ShieldedInstanceConfig": { "description": "A set of Shielded Instance options.", "id": "ShieldedInstanceConfig", "type": "object", "properties": { "enableSecureBoot": { "description": "Defines whether the instance has Secure Boot enabled. Disabled by default.", "type": "boolean" }, "enableVtpm": { "description": "Defines whether the instance has the vTPM enabled. Enabled by default.", "type": "boolean" }, "enableIntegrityMonitoring": { "type": "boolean", "description": "Defines whether the instance has integrity monitoring enabled. Enabled by default." } } }, "InstanceReference": { "type": "object", "id": "InstanceReference", "properties": { "instance": { "type": "string", "description": "The URL for a specific instance. @required compute.instancegroups.addInstances/removeInstances" } } }, "InstanceGroupManagerList": { "description": "[Output Only] A list of managed instance groups.", "type": "object", "properties": { "items": { "type": "array", "description": "A list of InstanceGroupManager resources.", "items": { "$ref": "InstanceGroupManager" } }, "kind": { "description": "[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.", "type": "string", "default": "compute#instanceGroupManagerList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } } } }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" } }, "id": "InstanceGroupManagerList" }, "NetworkEndpointGroupAggregatedList": { "type": "object", "id": "NetworkEndpointGroupAggregatedList", "properties": { "kind": { "description": "[Output Only] The resource type, which is always compute#networkEndpointGroupAggregatedList for aggregated lists of network endpoint groups.", "default": "compute#networkEndpointGroupAggregatedList", "type": "string" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "items": { "additionalProperties": { "description": "The name of the scope that contains this set of network endpoint groups.", "$ref": "NetworkEndpointGroupsScopedList" }, "description": "A list of NetworkEndpointGroupsScopedList resources.", "type": "object" }, "warning": { "properties": { "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." } } }, "ServiceAttachmentsScopedList": { "type": "object", "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of service attachments when the list is empty.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "serviceAttachments": { "description": "A list of ServiceAttachments contained in this scope.", "items": { "$ref": "ServiceAttachment" }, "type": "array" } }, "id": "ServiceAttachmentsScopedList" }, "DiskMoveRequest": { "id": "DiskMoveRequest", "type": "object", "properties": { "targetDisk": { "description": "The URL of the target disk to move. This can be a full or partial URL. For example, the following are all valid URLs to a disk: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk ", "type": "string" }, "destinationZone": { "type": "string", "description": "The URL of the destination zone to move the disk. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone " } } }, "ShieldedInstanceIdentity": { "id": "ShieldedInstanceIdentity", "description": "A Shielded Instance Identity.", "type": "object", "properties": { "signingKey": { "description": "An Attestation Key (AK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM.", "$ref": "ShieldedInstanceIdentityEntry" }, "kind": { "default": "compute#shieldedInstanceIdentity", "description": "[Output Only] Type of the resource. Always compute#shieldedInstanceIdentity for shielded Instance identity entry.", "type": "string" }, "encryptionKey": { "$ref": "ShieldedInstanceIdentityEntry", "description": "An Endorsement Key (EK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM." } } }, "InstanceGroupManagersCreateInstancesRequest": { "properties": { "instances": { "items": { "$ref": "PerInstanceConfig" }, "type": "array", "description": "[Required] List of specifications of per-instance configs." } }, "description": "InstanceGroupManagers.createInstances", "id": "InstanceGroupManagersCreateInstancesRequest", "type": "object" }, "RegionDisksRemoveResourcePoliciesRequest": { "type": "object", "id": "RegionDisksRemoveResourcePoliciesRequest", "properties": { "resourcePolicies": { "description": "Resource policies to be removed from this disk.", "type": "array", "items": { "type": "string" } } } }, "RouteList": { "type": "object", "properties": { "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "default": "compute#routeList", "type": "string", "description": "Type of resource." }, "items": { "description": "A list of Route resources.", "type": "array", "items": { "$ref": "Route" } } }, "id": "RouteList", "description": "Contains a list of Route resources." }, "RouterBgpPeer": { "properties": { "enableIpv6": { "type": "boolean", "description": "Enable IPv6 traffic over BGP Peer. If not specified, it is disabled by default." }, "bfd": { "$ref": "RouterBgpPeerBfd", "description": "BFD configuration for the BGP peering." }, "advertisedGroups": { "description": "User-specified list of prefix groups to advertise in custom mode, which can take one of the following options: - ALL_SUBNETS: Advertises all available subnets, including peer VPC subnets. - ALL_VPC_SUBNETS: Advertises the router's own VPC subnets. Note that this field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These groups are advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.", "type": "array", "items": { "type": "string", "enum": [ "ALL_SUBNETS" ], "enumDescriptions": [ "Advertise all available subnets (including peer VPC subnets)." ] } }, "peerIpv6NexthopAddress": { "description": "IPv6 address of the BGP interface outside Google Cloud Platform.", "type": "string" }, "routerApplianceInstance": { "description": "URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance must be located in zones contained in the same region as this Cloud Router. The VM instance is the peer side of the BGP session.", "type": "string" }, "peerIpAddress": { "type": "string", "description": "IP address of the BGP interface outside Google Cloud Platform. Only IPv4 is supported." }, "ipAddress": { "description": "IP address of the interface inside Google Cloud Platform. Only IPv4 is supported.", "type": "string" }, "interfaceName": { "type": "string", "description": "Name of the interface the BGP peer is associated with." }, "ipv6NexthopAddress": { "description": "IPv6 address of the interface inside Google Cloud Platform.", "type": "string" }, "name": { "annotations": { "required": [ "compute.routers.insert" ] }, "type": "string", "description": "Name of this BGP peer. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "advertisedIpRanges": { "type": "array", "description": "User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These IP ranges are advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges.", "items": { "$ref": "RouterAdvertisedIpRange" } }, "peerAsn": { "type": "integer", "description": "Peer BGP Autonomous System Number (ASN). Each BGP interface may use a different value.", "format": "uint32", "annotations": { "required": [ "compute.routers.insert" ] } }, "advertiseMode": { "type": "string", "description": "User-specified flag to indicate which mode to use for advertisement.", "enumDescriptions": [ "", "" ], "enum": [ "CUSTOM", "DEFAULT" ] }, "advertisedRoutePriority": { "description": "The priority of routes advertised to this BGP peer. Where there is more than one matching route of maximum length, the routes with the lowest priority value win.", "format": "uint32", "type": "integer" }, "enable": { "description": "The status of the BGP peer connection. If set to FALSE, any active session with the peer is terminated and all associated routing information is removed. If set to TRUE, the peer connection can be established with routing information. The default is TRUE.", "enumDescriptions": [ "", "" ], "enum": [ "FALSE", "TRUE" ], "type": "string" }, "managementType": { "enumDescriptions": [ "The BGP peer is automatically created for PARTNER type InterconnectAttachment; Google will automatically create/delete this BGP peer when the PARTNER InterconnectAttachment is created/deleted, and Google will update the ipAddress and peerIpAddress when the PARTNER InterconnectAttachment is provisioned. This type of BGP peer cannot be created or deleted, but can be modified for all fields except for name, ipAddress and peerIpAddress.", "Default value, the BGP peer is manually created and managed by user." ], "description": "[Output Only] The resource that configures and manages this BGP peer. - MANAGED_BY_USER is the default value and can be managed by you or other users - MANAGED_BY_ATTACHMENT is a BGP peer that is configured and managed by Cloud Interconnect, specifically by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of BGP peer when the PARTNER InterconnectAttachment is created, updated, or deleted. ", "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ], "type": "string" } }, "type": "object", "id": "RouterBgpPeer" }, "InstancesSetLabelsRequest": { "properties": { "labelFingerprint": { "description": "Fingerprint of the previous set of labels for this resource, used to prevent conflicts. Provide the latest fingerprint value when making a request to add or change labels.", "format": "byte", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" } } }, "id": "InstancesSetLabelsRequest", "type": "object" }, "SecuritySettings": { "description": "The authentication and authorization settings for a BackendService.", "properties": { "clientTlsPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.ClientTlsPolicy resource that describes how clients should authenticate with this service's backends. clientTlsPolicy only applies to a global BackendService with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact." }, "subjectAltNames": { "description": "Optional. A list of Subject Alternative Names (SANs) that the client verifies during a mutual TLS handshake with an server/endpoint for this BackendService. When the server presents its X.509 certificate to the client, the client inspects the certificate's subjectAltName field. If the field contains one of the specified values, the communication continues. Otherwise, it fails. This additional check enables the client to verify that the server is authorized to run the requested service. Note that the contents of the server certificate's subjectAltName field are configured by the Public Key Infrastructure which provisions server identities. Only applies to a global BackendService with loadBalancingScheme set to INTERNAL_SELF_MANAGED. Only applies when BackendService has an attached clientTlsPolicy with clientCertificate (mTLS mode). Note: This field currently has no impact.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "SecuritySettings" }, "Screenshot": { "description": "An instance's screenshot.", "type": "object", "id": "Screenshot", "properties": { "contents": { "type": "string", "description": "[Output Only] The Base64-encoded screenshot data." }, "kind": { "type": "string", "description": "[Output Only] Type of the resource. Always compute#screenshot for the screenshots.", "default": "compute#screenshot" } } }, "InterconnectLocationRegionInfo": { "id": "InterconnectLocationRegionInfo", "description": "Information about any potential InterconnectAttachments between an Interconnect at a specific InterconnectLocation, and a specific Cloud Region.", "type": "object", "properties": { "expectedRttMs": { "type": "string", "description": "Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region.", "format": "int64" }, "locationPresence": { "description": "Identifies the network presence of this location.", "type": "string", "enum": [ "GLOBAL", "LOCAL_REGION", "LP_GLOBAL", "LP_LOCAL_REGION" ], "enumDescriptions": [ "This region is not in any common network presence with this InterconnectLocation.", "This region shares the same regional network presence as this InterconnectLocation.", "[Deprecated] This region is not in any common network presence with this InterconnectLocation.", "[Deprecated] This region shares the same regional network presence as this InterconnectLocation." ] }, "region": { "type": "string", "description": "URL for the region of this location." } } }, "TCPHealthCheck": { "type": "object", "id": "TCPHealthCheck", "properties": { "response": { "description": "The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII.", "type": "string" }, "proxyHeader": { "enum": [ "NONE", "PROXY_V1" ], "description": "Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.", "type": "string", "enumDescriptions": [ "", "" ] }, "portSpecification": { "description": "Specifies how port is selected for health checking, can be one of following values: USE_FIXED_PORT: The port number in port is used for health checking. USE_NAMED_PORT: The portName is used for health checking. USE_SERVING_PORT: For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking. If not specified, TCP health check follows behavior specified in port and portName fields.", "enumDescriptions": [ "The port number in port is used for health checking.", "The portName is used for health checking.", "For NetworkEndpointGroup, the port specified for each network endpoint is used for health checking. For other backends, the port or named port specified in the Backend Service is used for health checking." ], "type": "string", "enum": [ "USE_FIXED_PORT", "USE_NAMED_PORT", "USE_SERVING_PORT" ] }, "request": { "description": "The application data to send once the TCP connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII.", "type": "string" }, "portName": { "description": "Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence.", "type": "string" }, "port": { "format": "int32", "description": "The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.", "type": "integer" } } }, "InterconnectAttachmentPartnerMetadata": { "properties": { "partnerName": { "type": "string", "description": "Plain text name of the Partner providing this attachment. This value may be validated to match approved Partner values." }, "interconnectName": { "type": "string", "description": "Plain text name of the Interconnect this attachment is connected to, as displayed in the Partner's portal. For instance \"Chicago 1\". This value may be validated to match approved Partner values." }, "portalUrl": { "description": "URL of the Partner's portal for this Attachment. Partners may customise this to be a deep link to the specific resource on the Partner portal. This value may be validated to match approved Partner values.", "type": "string" } }, "id": "InterconnectAttachmentPartnerMetadata", "description": "Informational metadata about Partner attachments from Partners to display to customers. These fields are propagated from PARTNER_PROVIDER attachments to their corresponding PARTNER attachments.", "type": "object" }, "RegionTargetHttpsProxiesSetSslCertificatesRequest": { "id": "RegionTargetHttpsProxiesSetSslCertificatesRequest", "type": "object", "properties": { "sslCertificates": { "items": { "type": "string" }, "type": "array", "description": "New set of SslCertificate resources to associate with this TargetHttpsProxy resource. Currently exactly one SslCertificate resource must be specified." } } }, "VpnGatewayStatusTunnel": { "description": "Contains some information about a VPN tunnel.", "id": "VpnGatewayStatusTunnel", "properties": { "peerGatewayInterface": { "type": "integer", "description": "The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or GCP VPN gateway.", "format": "uint32" }, "localGatewayInterface": { "description": "The VPN gateway interface this VPN tunnel is associated with.", "type": "integer", "format": "uint32" }, "tunnelUrl": { "description": "URL reference to the VPN tunnel.", "type": "string" } }, "type": "object" }, "ProjectsEnableXpnResourceRequest": { "type": "object", "id": "ProjectsEnableXpnResourceRequest", "properties": { "xpnResource": { "$ref": "XpnResourceId", "description": "Service resource (a.k.a service project) ID." } } }, "SnapshotList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "description": "A list of Snapshot resources.", "items": { "$ref": "Snapshot" }, "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#snapshotList", "description": "Type of resource." } }, "description": "Contains a list of Snapshot resources.", "id": "SnapshotList", "type": "object" }, "RouterInterface": { "type": "object", "properties": { "name": { "annotations": { "required": [ "compute.routers.insert" ] }, "description": "Name of this interface entry. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "linkedVpnTunnel": { "type": "string", "description": "URI of the linked VPN tunnel, which must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance." }, "linkedInterconnectAttachment": { "type": "string", "description": "URI of the linked Interconnect attachment. It must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a virtual machine instance." }, "subnetwork": { "description": "The URI of the subnetwork resource that this interface belongs to, which must be in the same region as the Cloud Router. When you establish a BGP session to a VM instance using this interface, the VM instance must belong to the same subnetwork as the subnetwork specified here.", "type": "string" }, "privateIpAddress": { "type": "string", "description": "The regional private internal IP address that is used to establish BGP sessions to a VM instance acting as a third-party Router Appliance, such as a Next Gen Firewall, a Virtual Router, or an SD-WAN VM." }, "redundantInterface": { "description": "Name of the interface that will be redundant with the current interface you are creating. The redundantInterface must belong to the same Cloud Router as the interface here. To establish the BGP session to a Router Appliance VM, you must create two BGP peers. The two BGP peers must be attached to two separate interfaces that are redundant with each other. The redundant_interface must be 1-63 characters long, and comply with RFC1035. Specifically, the redundant_interface must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "ipRange": { "description": "IP address and range of the interface. The IP range must be in the RFC3927 link-local IP address space. The value must be a CIDR-formatted string, for example: 169.254.0.1/30. NOTE: Do not truncate the address as it represents the IP address of the interface.", "type": "string" }, "managementType": { "enumDescriptions": [ "The interface is automatically created for PARTNER type InterconnectAttachment, Google will automatically create/update/delete this interface when the PARTNER InterconnectAttachment is created/provisioned/deleted. This type of interface cannot be manually managed by user.", "Default value, the interface is manually created and managed by user." ], "description": "[Output Only] The resource that configures and manages this interface. - MANAGED_BY_USER is the default value and can be managed directly by users. - MANAGED_BY_ATTACHMENT is an interface that is configured and managed by Cloud Interconnect, specifically, by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of interface when the PARTNER InterconnectAttachment is created, updated, or deleted. ", "type": "string", "enum": [ "MANAGED_BY_ATTACHMENT", "MANAGED_BY_USER" ] } }, "id": "RouterInterface" }, "TargetPool": { "properties": { "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the target pool resides." }, "backupPool": { "type": "string", "description": "The server-defined URL for the resource. This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool, and its failoverRatio field is properly set to a value between [0, 1]. backupPool and failoverRatio together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below failoverRatio, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio and backupPool are not set, or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "instances": { "description": "A list of resource URLs to the virtual machine instances serving this pool. They must live in zones contained in the same region as this pool.", "type": "array", "items": { "type": "string" } }, "kind": { "description": "[Output Only] Type of the resource. Always compute#targetPool for target pools.", "type": "string", "default": "compute#targetPool" }, "failoverRatio": { "type": "number", "description": "This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool (i.e., not as a backup pool to some other target pool). The value of the field must be in [0, 1]. If set, backupPool must also be set. They together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio is not set or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.", "format": "float" }, "healthChecks": { "type": "array", "items": { "type": "string" }, "description": "The URL of the HttpHealthCheck resource. A member instance in this pool is considered healthy if and only if the health checks pass. Only legacy HttpHealthChecks are supported. Only one health check may be specified." }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "sessionAffinity": { "type": "string", "description": "Session affinity option, must be one of the following values: NONE: Connections from the same client IP may go to any instance in the pool. CLIENT_IP: Connections from the same client IP will go to the same instance in the pool while that instance remains healthy. CLIENT_IP_PROTO: Connections from the same client IP with the same IP protocol will go to the same instance in the pool while that instance remains healthy.", "enumDescriptions": [ "2-tuple hash on packet's source and destination IP addresses. Connections from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy.", "1-tuple hash only on packet's source IP address. Connections from the same source IP address will be served by the same backend VM while that VM remains healthy. This option can only be used for Internal TCP/UDP Load Balancing.", "5-tuple hash on packet's source and destination IP addresses, IP protocol, and source and destination ports. Connections for the same IP protocol from the same source IP address and port to the same destination IP address and port will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "3-tuple hash on packet's source and destination IP addresses, and IP protocol. Connections for the same IP protocol from the same source IP address to the same destination IP address will be served by the same backend VM while that VM remains healthy. This option cannot be used for HTTP(S) load balancing.", "Hash based on a cookie generated by the L7 loadbalancer. Only valid for HTTP(S) load balancing.", "The hash is based on a user specified header field.", "The hash is based on a user provided cookie.", "No session affinity. Connections from the same client IP may go to any instance in the pool." ], "enum": [ "CLIENT_IP", "CLIENT_IP_NO_DESTINATION", "CLIENT_IP_PORT_PROTO", "CLIENT_IP_PROTO", "GENERATED_COOKIE", "HEADER_FIELD", "HTTP_COOKIE", "NONE" ] }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" } }, "description": "Represents a Target Pool resource. Target pools are used for network TCP/UDP load balancing. A target pool references member instances, an associated legacy HttpHealthCheck resource, and, optionally, a backup target pool. For more information, read Using target pools.", "type": "object", "id": "TargetPool" }, "ResourcePolicyInstanceSchedulePolicySchedule": { "description": "Schedule for an instance operation.", "type": "object", "properties": { "schedule": { "description": "Specifies the frequency for the operation, using the unix-cron format.", "type": "string" } }, "id": "ResourcePolicyInstanceSchedulePolicySchedule" }, "NetworkEdgeSecurityServicesScopedList": { "type": "object", "properties": { "networkEdgeSecurityServices": { "items": { "$ref": "NetworkEdgeSecurityService" }, "type": "array", "description": "A list of NetworkEdgeSecurityServices contained in this scope." }, "warning": { "description": "Informational warning which replaces the list of security policies when the list is empty.", "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } } }, "id": "NetworkEdgeSecurityServicesScopedList" }, "RequestMirrorPolicy": { "id": "RequestMirrorPolicy", "description": "A policy that specifies how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer doesn't wait for responses from the shadow service. Before sending traffic to the shadow service, the host or authority header is suffixed with -shadow.", "properties": { "backendService": { "type": "string", "description": "The full or partial URL to the BackendService resource being mirrored to." } }, "type": "object" }, "StatefulPolicyPreservedState": { "id": "StatefulPolicyPreservedState", "properties": { "disks": { "description": "Disks created on the instances that will be preserved on instance delete, update, etc. This map is keyed with the device names of the disks.", "additionalProperties": { "$ref": "StatefulPolicyPreservedStateDiskDevice" }, "type": "object" } }, "description": "Configuration of preserved resources.", "type": "object" }, "BackendBucket": { "id": "BackendBucket", "type": "object", "properties": { "cdnPolicy": { "$ref": "BackendBucketCdnPolicy", "description": "Cloud CDN configuration for this BackendBucket." }, "customResponseHeaders": { "type": "array", "description": "Headers that the HTTP/S load balancer should add to proxied responses.", "items": { "type": "string" } }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "bucketName": { "type": "string", "description": "Cloud Storage bucket name." }, "id": { "format": "uint64", "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "description": { "description": "An optional textual description of the resource; provided by the client when the resource is created.", "type": "string" }, "kind": { "default": "compute#backendBucket", "description": "Type of the resource.", "type": "string" }, "enableCdn": { "type": "boolean", "description": "If true, enable Cloud CDN for this BackendBucket." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "edgeSecurityPolicy": { "type": "string", "description": "[Output Only] The resource URL for the edge security policy associated with this backend bucket." } }, "description": "Represents a Cloud Storage Bucket resource. This Cloud Storage bucket resource is referenced by a URL map of a load balancer. For more information, read Backend Buckets." }, "RegionDisksResizeRequest": { "properties": { "sizeGb": { "description": "The new size of the regional persistent disk, which is specified in GB.", "format": "int64", "type": "string" } }, "id": "RegionDisksResizeRequest", "type": "object" }, "Quota": { "properties": { "usage": { "format": "double", "description": "[Output Only] Current usage of this metric.", "type": "number" }, "metric": { "enum": [ "A2_CPUS", "AFFINITY_GROUPS", "AUTOSCALERS", "BACKEND_BUCKETS", "BACKEND_SERVICES", "C2D_CPUS", "C2_CPUS", "C3_CPUS", "COMMITMENTS", "COMMITTED_A2_CPUS", "COMMITTED_C2D_CPUS", "COMMITTED_C2_CPUS", "COMMITTED_C3_CPUS", "COMMITTED_CPUS", "COMMITTED_E2_CPUS", "COMMITTED_LICENSES", "COMMITTED_LOCAL_SSD_TOTAL_GB", "COMMITTED_M3_CPUS", "COMMITTED_MEMORY_OPTIMIZED_CPUS", "COMMITTED_N2A_CPUS", "COMMITTED_N2D_CPUS", "COMMITTED_N2_CPUS", "COMMITTED_NVIDIA_A100_80GB_GPUS", "COMMITTED_NVIDIA_A100_GPUS", "COMMITTED_NVIDIA_K80_GPUS", "COMMITTED_NVIDIA_P100_GPUS", "COMMITTED_NVIDIA_P4_GPUS", "COMMITTED_NVIDIA_T4_GPUS", "COMMITTED_NVIDIA_V100_GPUS", "COMMITTED_T2A_CPUS", "COMMITTED_T2D_CPUS", "CPUS", "CPUS_ALL_REGIONS", "DISKS_TOTAL_GB", "E2_CPUS", "EXTERNAL_MANAGED_FORWARDING_RULES", "EXTERNAL_NETWORK_LB_FORWARDING_RULES", "EXTERNAL_PROTOCOL_FORWARDING_RULES", "EXTERNAL_VPN_GATEWAYS", "FIREWALLS", "FORWARDING_RULES", "GLOBAL_EXTERNAL_MANAGED_FORWARDING_RULES", "GLOBAL_INTERNAL_ADDRESSES", "GPUS_ALL_REGIONS", "HEALTH_CHECKS", "IMAGES", "INSTANCES", "INSTANCE_GROUPS", "INSTANCE_GROUP_MANAGERS", "INSTANCE_TEMPLATES", "INTERCONNECTS", "INTERCONNECT_ATTACHMENTS_PER_REGION", "INTERCONNECT_ATTACHMENTS_TOTAL_MBPS", "INTERCONNECT_TOTAL_GBPS", "INTERNAL_ADDRESSES", "INTERNAL_TRAFFIC_DIRECTOR_FORWARDING_RULES", "IN_PLACE_SNAPSHOTS", "IN_USE_ADDRESSES", "IN_USE_BACKUP_SCHEDULES", "IN_USE_SNAPSHOT_SCHEDULES", "LOCAL_SSD_TOTAL_GB", "M1_CPUS", "M2_CPUS", "M3_CPUS", "MACHINE_IMAGES", "N2A_CPUS", "N2D_CPUS", "N2_CPUS", "NETWORKS", "NETWORK_ENDPOINT_GROUPS", "NETWORK_FIREWALL_POLICIES", "NODE_GROUPS", "NODE_TEMPLATES", "NVIDIA_A100_80GB_GPUS", "NVIDIA_A100_GPUS", "NVIDIA_K80_GPUS", "NVIDIA_P100_GPUS", "NVIDIA_P100_VWS_GPUS", "NVIDIA_P4_GPUS", "NVIDIA_P4_VWS_GPUS", "NVIDIA_T4_GPUS", "NVIDIA_T4_VWS_GPUS", "NVIDIA_V100_GPUS", "PACKET_MIRRORINGS", "PD_EXTREME_TOTAL_PROVISIONED_IOPS", "PREEMPTIBLE_CPUS", "PREEMPTIBLE_LOCAL_SSD_GB", "PREEMPTIBLE_NVIDIA_A100_80GB_GPUS", "PREEMPTIBLE_NVIDIA_A100_GPUS", "PREEMPTIBLE_NVIDIA_K80_GPUS", "PREEMPTIBLE_NVIDIA_P100_GPUS", "PREEMPTIBLE_NVIDIA_P100_VWS_GPUS", "PREEMPTIBLE_NVIDIA_P4_GPUS", "PREEMPTIBLE_NVIDIA_P4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_T4_GPUS", "PREEMPTIBLE_NVIDIA_T4_VWS_GPUS", "PREEMPTIBLE_NVIDIA_V100_GPUS", "PSC_ILB_CONSUMER_FORWARDING_RULES_PER_PRODUCER_NETWORK", "PSC_INTERNAL_LB_FORWARDING_RULES", "PUBLIC_ADVERTISED_PREFIXES", "PUBLIC_DELEGATED_PREFIXES", "REGIONAL_AUTOSCALERS", "REGIONAL_INSTANCE_GROUP_MANAGERS", "RESERVATIONS", "RESOURCE_POLICIES", "ROUTERS", "ROUTES", "SECURITY_POLICIES", "SECURITY_POLICIES_PER_REGION", "SECURITY_POLICY_CEVAL_RULES", "SECURITY_POLICY_RULES", "SECURITY_POLICY_RULES_PER_REGION", "SERVICE_ATTACHMENTS", "SNAPSHOTS", "SSD_TOTAL_GB", "SSL_CERTIFICATES", "STATIC_ADDRESSES", "STATIC_BYOIP_ADDRESSES", "SUBNETWORKS", "T2A_CPUS", "T2D_CPUS", "TARGET_HTTPS_PROXIES", "TARGET_HTTP_PROXIES", "TARGET_INSTANCES", "TARGET_POOLS", "TARGET_SSL_PROXIES", "TARGET_TCP_PROXIES", "TARGET_VPN_GATEWAYS", "URL_MAPS", "VPN_GATEWAYS", "VPN_TUNNELS", "XPN_SERVICE_PROJECTS" ], "description": "[Output Only] Name of the quota metric.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "Guest CPUs", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "The total number of snapshots allowed for a single project.", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string" }, "limit": { "format": "double", "description": "[Output Only] Quota limit for this metric.", "type": "number" }, "owner": { "type": "string", "description": "[Output Only] Owning resource. This is the resource on which this quota is applied." } }, "type": "object", "description": "A quotas entry.", "id": "Quota" }, "SslCertificateAggregatedList": { "type": "object", "properties": { "unreachables": { "description": "[Output Only] Unreachable resources.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "description": "A list of SslCertificatesScopedList resources.", "type": "object", "additionalProperties": { "$ref": "SslCertificatesScopedList", "description": "Name of the scope containing this set of SslCertificates." } }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" } }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "kind": { "type": "string", "default": "compute#sslCertificateAggregatedList", "description": "[Output Only] Type of resource. Always compute#sslCertificateAggregatedList for lists of SSL Certificates." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "SslCertificateAggregatedList" }, "TargetHttpProxy": { "id": "TargetHttpProxy", "properties": { "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "fingerprint": { "type": "string", "format": "byte", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetHttpProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpProxy." }, "region": { "description": "[Output Only] URL of the region where the regional Target HTTP Proxy resides. This field is not applicable to global Target HTTP Proxies.", "type": "string" }, "urlMap": { "description": "URL to the UrlMap resource that defines the mapping from URL to the BackendService.", "type": "string" }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" }, "id": { "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "type": "string", "format": "uint64" }, "description": { "type": "string", "description": "An optional description of this resource. Provide this property when you create the resource." }, "kind": { "default": "compute#targetHttpProxy", "description": "[Output Only] Type of resource. Always compute#targetHttpProxy for target HTTP proxies.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." } }, "type": "object", "description": "Represents a Target HTTP Proxy resource. Google Compute Engine has two Target HTTP Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/targetHttpProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionTargetHttpProxies) A target HTTP proxy is a component of GCP HTTP load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpProxies are used by external HTTP load balancers and Traffic Director. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpProxies are used by internal HTTP load balancers. Forwarding rules reference a target HTTP proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts." }, "RegionInstanceGroupManagersListInstanceConfigsResp": { "id": "RegionInstanceGroupManagersListInstanceConfigsResp", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } } } }, "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "items": { "description": "[Output Only] The list of PerInstanceConfig.", "items": { "$ref": "PerInstanceConfig" }, "type": "array" } }, "type": "object" }, "SchedulingNodeAffinity": { "description": "Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled.", "properties": { "operator": { "description": "Defines the operation of node selection. Valid operators are IN for affinity and NOT_IN for anti-affinity.", "enumDescriptions": [ "Requires Compute Engine to seek for matched nodes.", "Requires Compute Engine to avoid certain nodes.", "" ], "enum": [ "IN", "NOT_IN", "OPERATOR_UNSPECIFIED" ], "type": "string" }, "values": { "items": { "type": "string" }, "description": "Corresponds to the label values of Node resource.", "type": "array" }, "key": { "type": "string", "description": "Corresponds to the label key of Node resource." } }, "id": "SchedulingNodeAffinity", "type": "object" }, "PreconfiguredWafSet": { "id": "PreconfiguredWafSet", "type": "object", "properties": { "expressionSets": { "description": "List of entities that are currently supported for WAF rules.", "type": "array", "items": { "$ref": "WafExpressionSet" } } } }, "TargetHttpsProxy": { "id": "TargetHttpsProxy", "type": "object", "description": "Represents a Target HTTPS Proxy resource. Google Compute Engine has two Target HTTPS Proxy resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/v1/targetHttpsProxies) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/v1/regionTargetHttpsProxies) A target HTTPS proxy is a component of GCP HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetHttpsProxies are used by external HTTPS load balancers. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh regionTargetHttpsProxies are used by internal HTTPS load balancers. Forwarding rules reference a target HTTPS proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts.", "properties": { "sslCertificates": { "type": "array", "description": "URLs to SslCertificate resources that are used to authenticate connections between users and the load balancer. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED.", "items": { "type": "string" } }, "fingerprint": { "format": "byte", "type": "string", "description": "Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpsProxy. An up-to-date fingerprint must be provided in order to patch the TargetHttpsProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpsProxy." }, "authorizationPolicy": { "description": "Optional. A URL referring to a networksecurity.AuthorizationPolicy resource that describes how the proxy should authorize inbound traffic. If left blank, access will not be restricted by an authorization policy. Refer to the AuthorizationPolicy resource for additional details. authorizationPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. Note: This field currently has no impact.", "type": "string" }, "certificateMap": { "type": "string", "description": "URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "urlMap": { "description": "A fully-qualified or valid partial URL to the UrlMap resource that defines the mapping from URL to the BackendService. For example, the following are all valid URLs for specifying a URL map: - https://www.googleapis.compute/v1/projects/project/global/urlMaps/ url-map - projects/project/global/urlMaps/url-map - global/urlMaps/url-map ", "type": "string" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "region": { "type": "string", "description": "[Output Only] URL of the region where the regional TargetHttpsProxy resides. This field is not applicable to global TargetHttpsProxies." }, "sslPolicy": { "description": "URL of SslPolicy resource that will be associated with the TargetHttpsProxy resource. If not set, the TargetHttpsProxy resource has no SSL policy configured.", "type": "string" }, "proxyBind": { "description": "This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.", "type": "boolean" }, "serverTlsPolicy": { "type": "string", "description": "Optional. A URL referring to a networksecurity.ServerTlsPolicy resource that describes how the proxy should authenticate inbound traffic. serverTlsPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted. Note: This field currently has no impact." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "quicOverride": { "type": "string", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ], "description": "Specifies the QUIC override policy for this TargetHttpsProxy resource. This setting determines whether the load balancer attempts to negotiate QUIC with clients. You can specify NONE, ENABLE, or DISABLE. - When quic-override is set to NONE, Google manages whether QUIC is used. - When quic-override is set to ENABLE, the load balancer uses QUIC when possible. - When quic-override is set to DISABLE, the load balancer doesn't use QUIC. - If the quic-override flag is not specified, NONE is implied. ", "enum": [ "DISABLE", "ENABLE", "NONE" ] }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "kind": { "type": "string", "default": "compute#targetHttpsProxy", "description": "[Output Only] Type of resource. Always compute#targetHttpsProxy for target HTTPS proxies." } } }, "InstanceGroupManagersDeleteInstancesRequest": { "properties": { "skipInstancesOnValidationError": { "type": "boolean", "description": "Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region." }, "instances": { "items": { "type": "string" }, "type": "array", "description": "The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]." } }, "id": "InstanceGroupManagersDeleteInstancesRequest", "type": "object" }, "RouterList": { "type": "object", "description": "Contains a list of Router resources.", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "default": "compute#routerList", "description": "[Output Only] Type of resource. Always compute#router for routers.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "warning": { "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object", "description": "[Output Only] Informational warning message." }, "items": { "type": "array", "description": "A list of Router resources.", "items": { "$ref": "Router" } }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "id": "RouterList" }, "UrlMapsAggregatedList": { "id": "UrlMapsAggregatedList", "type": "object", "properties": { "warning": { "type": "object", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "items": { "type": "object", "additionalProperties": { "$ref": "UrlMapsScopedList", "description": "Name of the scope containing this set of UrlMaps." }, "description": "A list of UrlMapsScopedList resources." }, "kind": { "type": "string", "description": "Type of resource.", "default": "compute#urlMapsAggregatedList" } } }, "LogConfigCloudAuditOptions": { "id": "LogConfigCloudAuditOptions", "properties": { "authorizationLoggingOptions": { "$ref": "AuthorizationLoggingOptions", "description": "This is deprecated and has no effect. Do not use." }, "logName": { "enum": [ "ADMIN_ACTIVITY", "DATA_ACCESS", "UNSPECIFIED_LOG_NAME" ], "description": "This is deprecated and has no effect. Do not use.", "type": "string", "enumDescriptions": [ "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use.", "This is deprecated and has no effect. Do not use." ] } }, "type": "object", "description": "This is deprecated and has no effect. Do not use." }, "NetworksGetEffectiveFirewallsResponse": { "type": "object", "properties": { "firewallPolicys": { "description": "Effective firewalls from firewall policy.", "type": "array", "items": { "$ref": "NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy" } }, "firewalls": { "description": "Effective firewalls on the network.", "type": "array", "items": { "$ref": "Firewall" } } }, "id": "NetworksGetEffectiveFirewallsResponse" }, "AutoscalingPolicyScalingSchedule": { "description": "Scaling based on user-defined schedule. The message describes a single scaling schedule. A scaling schedule changes the minimum number of VM instances an autoscaler can recommend, which can trigger scaling out.", "type": "object", "properties": { "description": { "description": "A description of a scaling schedule.", "type": "string" }, "timeZone": { "description": "The time zone to use when interpreting the schedule. The value of this field must be a time zone name from the tz database: http://en.wikipedia.org/wiki/Tz_database. This field is assigned a default value of “UTC” if left empty.", "type": "string" }, "disabled": { "type": "boolean", "description": "A boolean value that specifies whether a scaling schedule can influence autoscaler recommendations. If set to true, then a scaling schedule has no effect. This field is optional, and its value is false by default." }, "minRequiredReplicas": { "type": "integer", "description": "The minimum number of VM instances that the autoscaler will recommend in time intervals starting according to schedule. This field is required.", "format": "int32" }, "durationSec": { "type": "integer", "description": "The duration of time intervals, in seconds, for which this scaling schedule is to run. The minimum allowed value is 300. This field is required.", "format": "int32" }, "schedule": { "type": "string", "description": "The start timestamps of time intervals when this scaling schedule is to provide a scaling signal. This field uses the extended cron format (with an optional year field). The expression can describe a single timestamp if the optional year is set, in which case the scaling schedule runs once. The schedule is interpreted with respect to time_zone. This field is required. Note: These timestamps only describe when autoscaler starts providing the scaling signal. The VMs need additional time to become serving." } }, "id": "AutoscalingPolicyScalingSchedule" }, "MachineType": { "id": "MachineType", "properties": { "scratchDisks": { "items": { "properties": { "diskGb": { "format": "int32", "type": "integer", "description": "Size of the scratch disk, defined in GB." } }, "type": "object" }, "description": "[Output Only] A list of extended scratch disks assigned to the instance.", "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "memoryMb": { "type": "integer", "format": "int32", "description": "[Output Only] The amount of physical memory available to the instance, defined in MB." }, "maximumPersistentDisksSizeGb": { "description": "[Output Only] Maximum total persistent disks size (GB) allowed.", "format": "int64", "type": "string" }, "maximumPersistentDisks": { "description": "[Output Only] Maximum persistent disks allowed.", "format": "int32", "type": "integer" }, "guestCpus": { "type": "integer", "description": "[Output Only] The number of virtual CPUs that are available to the instance.", "format": "int32" }, "name": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "[Output Only] Name of the resource." }, "accelerators": { "items": { "type": "object", "properties": { "guestAcceleratorType": { "description": "The accelerator type resource name, not a full URL, e.g. 'nvidia-tesla-k80'.", "type": "string" }, "guestAcceleratorCount": { "type": "integer", "description": "Number of accelerator cards exposed to the guest.", "format": "int32" } } }, "type": "array", "description": "[Output Only] A list of accelerator configurations assigned to this machine type." }, "zone": { "type": "string", "description": "[Output Only] The name of the zone where the machine type resides, such as us-central1-a." }, "isSharedCpu": { "description": "[Output Only] Whether this machine type has a shared CPU. See Shared-core machine types for more information.", "type": "boolean" }, "creationTimestamp": { "type": "string", "description": "[Output Only] Creation timestamp in RFC3339 text format." }, "imageSpaceGb": { "format": "int32", "description": "[Deprecated] This property is deprecated and will never be populated with any relevant values.", "type": "integer" }, "description": { "description": "[Output Only] An optional textual description of the resource.", "type": "string" }, "kind": { "default": "compute#machineType", "type": "string", "description": "[Output Only] The type of the resource. Always compute#machineType for machine types." }, "deprecated": { "description": "[Output Only] The deprecation status associated with this machine type. Only applicable if the machine type is unavailable.", "$ref": "DeprecationStatus" }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server." } }, "type": "object", "description": "Represents a Machine Type resource. You can use specific machine types for your VM instances based on performance and pricing requirements. For more information, read Machine Types." }, "ServiceAttachmentConnectedEndpoint": { "type": "object", "properties": { "endpoint": { "description": "The url of a connected endpoint.", "type": "string" }, "status": { "enum": [ "ACCEPTED", "CLOSED", "NEEDS_ATTENTION", "PENDING", "REJECTED", "STATUS_UNSPECIFIED" ], "enumDescriptions": [ "The connection has been accepted by the producer.", "The connection has been closed by the producer.", "The connection has been accepted by the producer, but the producer needs to take further action before the forwarding rule can serve traffic.", "The connection is pending acceptance by the producer.", "The consumer is still connected but not using the connection.", "" ], "type": "string", "description": "The status of a connected endpoint to this service attachment." }, "pscConnectionId": { "format": "uint64", "description": "The PSC connection id of the connected endpoint.", "type": "string" } }, "description": "[Output Only] A connection connected to this service attachment.", "id": "ServiceAttachmentConnectedEndpoint" }, "NetworkEndpointGroupsAttachEndpointsRequest": { "type": "object", "properties": { "networkEndpoints": { "type": "array", "description": "The list of network endpoints to be attached.", "items": { "$ref": "NetworkEndpoint" } } }, "id": "NetworkEndpointGroupsAttachEndpointsRequest" }, "InterconnectAttachmentPrivateInfo": { "description": "Information for an interconnect attachment when this belongs to an interconnect of type DEDICATED.", "id": "InterconnectAttachmentPrivateInfo", "properties": { "tag8021q": { "type": "integer", "description": "[Output Only] 802.1q encapsulation tag to be used for traffic between Google and the customer, going to and from this network and region.", "format": "uint32" } }, "type": "object" }, "InstanceGroupManagerUpdatePolicy": { "type": "object", "properties": { "instanceRedistributionType": { "enum": [ "NONE", "PROACTIVE" ], "type": "string", "description": "The instance redistribution policy for regional managed instance groups. Valid values are: - PROACTIVE (default): The group attempts to maintain an even distribution of VM instances across zones in the region. - NONE: For non-autoscaled groups, proactive redistribution is disabled. ", "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target instance distribution.", "This IGM will actively converge to its target instance distribution." ] }, "maxUnavailable": { "description": "The maximum number of instances that can be unavailable during the update process. An instance is considered available if all of the following conditions are satisfied: - The instance's status is RUNNING. - If there is a health check on the instance group, the instance's health check status must be HEALTHY at least once. If there is no health check on the group, then the instance only needs to have a status of RUNNING to be considered available. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxUnavailable is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxUnavailable.", "$ref": "FixedOrPercent" }, "maxSurge": { "description": "The maximum number of instances that can be created above the specified targetSize during the update process. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxSurge is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxSurge.", "$ref": "FixedOrPercent" }, "type": { "description": "The type of update process. You can specify either PROACTIVE so that the instance group manager proactively executes actions in order to bring instances to their target versions or OPPORTUNISTIC so that no action is proactively executed but the update will be performed as part of other actions (for example, resizes or recreateInstances calls).", "enumDescriptions": [ "No action is being proactively performed in order to bring this IGM to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field).", "This IGM will actively converge to its target version distribution (regardless of whether this distribution is expressed using instanceTemplate or versions field)." ], "type": "string", "enum": [ "OPPORTUNISTIC", "PROACTIVE" ] }, "mostDisruptiveAllowedAction": { "description": "Most disruptive action that is allowed to be taken on an instance. You can specify either NONE to forbid any actions, REFRESH to allow actions that do not need instance restart, RESTART to allow actions that can be applied without instance replacing or REPLACE to allow all possible actions. If the Updater determines that the minimal update action needed is more disruptive than most disruptive allowed action you specify it will not perform the update at all.", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ], "type": "string" }, "replacementMethod": { "enumDescriptions": [ "Instances will be recreated (with the same name)", "Default option: instances will be deleted and created (with a new name)" ], "enum": [ "RECREATE", "SUBSTITUTE" ], "description": "What action should be used to replace instances. See minimal_action.REPLACE", "type": "string" }, "minimalAction": { "description": "Minimal action to be taken on an instance. Use this option to minimize disruption as much as possible or to apply a more disruptive action than is necessary. - To limit disruption as much as possible, set the minimal action to REFRESH. If your update requires a more disruptive action, Compute Engine performs the necessary action to execute the update. - To apply a more disruptive action than is strictly necessary, set the minimal action to RESTART or REPLACE. For example, Compute Engine does not need to restart a VM to change its metadata. But if your application reads instance metadata only when a VM is restarted, you can set the minimal action to RESTART in order to pick up metadata changes. ", "type": "string", "enum": [ "NONE", "REFRESH", "REPLACE", "RESTART" ], "enumDescriptions": [ "Do not perform any action.", "Updates applied in runtime, instances will not be disrupted.", "Old instances will be deleted. New instances will be created from the target template.", "Every instance will be restarted." ] } }, "id": "InstanceGroupManagerUpdatePolicy" }, "NodeGroupAutoscalingPolicy": { "type": "object", "id": "NodeGroupAutoscalingPolicy", "properties": { "maxNodes": { "description": "The maximum number of nodes that the group should have. Must be set if autoscaling is enabled. Maximum value allowed is 100.", "type": "integer", "format": "int32" }, "minNodes": { "type": "integer", "description": "The minimum number of nodes that the group should have.", "format": "int32" }, "mode": { "type": "string", "description": "The autoscaling mode. Set to one of: ON, OFF, or ONLY_SCALE_OUT. For more information, see Autoscaler modes.", "enum": [ "MODE_UNSPECIFIED", "OFF", "ON", "ONLY_SCALE_OUT" ], "enumDescriptions": [ "", "Autoscaling is disabled.", "Autocaling is fully enabled.", "Autoscaling will only scale out and will not remove nodes." ] } } }, "DistributionPolicyZoneConfiguration": { "type": "object", "id": "DistributionPolicyZoneConfiguration", "properties": { "zone": { "description": "The URL of the zone. The zone must exist in the region where the managed instance group is located.", "annotations": { "required": [ "compute.regionInstanceGroupManagers.insert" ] }, "type": "string" } } }, "TargetHttpsProxiesSetQuicOverrideRequest": { "id": "TargetHttpsProxiesSetQuicOverrideRequest", "properties": { "quicOverride": { "description": "QUIC policy for the TargetHttpsProxy resource.", "type": "string", "enumDescriptions": [ "The load balancer will not attempt to negotiate QUIC with clients.", "The load balancer will attempt to negotiate QUIC with clients.", "No overrides to the default QUIC policy. This option is implicit if no QUIC override has been specified in the request." ], "enum": [ "DISABLE", "ENABLE", "NONE" ] } }, "type": "object" }, "ResourcePolicySnapshotSchedulePolicyRetentionPolicy": { "type": "object", "properties": { "maxRetentionDays": { "description": "Maximum age of the snapshot that is allowed to be kept.", "format": "int32", "type": "integer" }, "onSourceDiskDelete": { "enum": [ "APPLY_RETENTION_POLICY", "KEEP_AUTO_SNAPSHOTS", "UNSPECIFIED_ON_SOURCE_DISK_DELETE" ], "description": "Specifies the behavior to apply to scheduled snapshots when the source disk is deleted.", "type": "string", "enumDescriptions": [ "", "", "" ] } }, "description": "Policy for retention of scheduled snapshots.", "id": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy" }, "InstanceTemplateList": { "id": "InstanceTemplateList", "type": "object", "properties": { "items": { "items": { "$ref": "InstanceTemplate" }, "description": "A list of InstanceTemplate resources.", "type": "array" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "kind": { "type": "string", "description": "[Output Only] The resource type, which is always compute#instanceTemplatesListResponse for instance template lists.", "default": "compute#instanceTemplateList" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } } }, "description": "A list of instance templates." }, "PathRule": { "properties": { "urlRedirect": { "description": "When a path pattern is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.", "$ref": "HttpRedirectAction" }, "service": { "description": "The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.", "type": "string" }, "routeAction": { "description": "In response to a matching path, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of routeAction or urlRedirect must be set. URL maps for external HTTP(S) load balancers support only the urlRewrite action within a path rule's routeAction.", "$ref": "HttpRouteAction" }, "paths": { "items": { "type": "string" }, "type": "array", "description": "The list of path patterns to match. Each must start with / and the only place a LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh is allowed is at the end following a /. The string fed to the path matcher does not include any text after the first ? or #, and those chars are not allowed here." } }, "id": "PathRule", "type": "object", "description": "A path-matching rule for a URL. If matched, will use the specified BackendService to handle the traffic arriving at this URL." }, "ForwardingRulesScopedList": { "type": "object", "properties": { "forwardingRules": { "items": { "$ref": "ForwardingRule" }, "description": "A list of forwarding rules contained in this scope.", "type": "array" }, "warning": { "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "description": "Informational warning which replaces the list of forwarding rules when the list is empty.", "type": "object" } }, "id": "ForwardingRulesScopedList" }, "NodeTypeAggregatedList": { "type": "object", "id": "NodeTypeAggregatedList", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "items": { "type": "string" }, "description": "[Output Only] Unreachable resources.", "type": "array" }, "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } }, "type": "object", "description": "[Output Only] Informational warning message." }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of NodeTypesScopedList resources.", "additionalProperties": { "$ref": "NodeTypesScopedList", "description": "[Output Only] Name of the scope containing this set of node types." }, "type": "object" }, "kind": { "default": "compute#nodeTypeAggregatedList", "type": "string", "description": "[Output Only] Type of resource.Always compute#nodeTypeAggregatedList for aggregated lists of node types." } } }, "PublicAdvertisedPrefixPublicDelegatedPrefix": { "id": "PublicAdvertisedPrefixPublicDelegatedPrefix", "properties": { "name": { "description": "The name of the public delegated prefix", "type": "string" }, "region": { "description": "The region of the public delegated prefix if it is regional. If absent, the prefix is global.", "type": "string" }, "project": { "description": "The project number of the public delegated prefix", "type": "string" }, "status": { "description": "The status of the public delegated prefix. Possible values are: INITIALIZING: The public delegated prefix is being initialized and addresses cannot be created yet. ANNOUNCED: The public delegated prefix is active.", "type": "string" }, "ipRange": { "type": "string", "description": "The IP address range of the public delegated prefix" } }, "description": "Represents a CIDR range which can be used to assign addresses.", "type": "object" }, "BackendServicesScopedList": { "properties": { "warning": { "type": "object", "description": "Informational warning which replaces the list of backend services when the list is empty.", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." } } }, "backendServices": { "items": { "$ref": "BackendService" }, "type": "array", "description": "A list of BackendServices contained in this scope." } }, "type": "object", "id": "BackendServicesScopedList" }, "ShareSettingsProjectConfig": { "id": "ShareSettingsProjectConfig", "properties": { "projectId": { "type": "string", "description": "The project ID, should be same as the key of this project config in the parent map." } }, "description": "Config for each project in the share settings.", "type": "object" }, "FirewallPolicyAssociation": { "id": "FirewallPolicyAssociation", "type": "object", "properties": { "shortName": { "description": "[Output Only] The short name of the firewall policy of the association.", "type": "string" }, "attachmentTarget": { "type": "string", "description": "The target that the firewall policy is attached to." }, "displayName": { "description": "[Output Only] Deprecated, please use short name instead. The display name of the firewall policy of the association.", "type": "string" }, "name": { "description": "The name for an association.", "type": "string" }, "firewallPolicyId": { "description": "[Output Only] The firewall policy ID of the association.", "type": "string" } } }, "BackendBucketCdnPolicyBypassCacheOnRequestHeader": { "id": "BackendBucketCdnPolicyBypassCacheOnRequestHeader", "type": "object", "properties": { "headerName": { "type": "string", "description": "The header field name to match on when bypassing cache. Values are case-insensitive." } }, "description": "Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting." }, "HelpLink": { "properties": { "url": { "type": "string", "description": "The URL of the link." }, "description": { "description": "Describes what the link offers.", "type": "string" } }, "type": "object", "id": "HelpLink", "description": "Describes a URL link." }, "RegionInstanceGroupsListInstances": { "type": "object", "id": "RegionInstanceGroupsListInstances", "properties": { "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "The resource type.", "type": "string", "default": "compute#regionInstanceGroupsListInstances" }, "warning": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "items": { "$ref": "InstanceWithNamedPorts" }, "description": "A list of InstanceWithNamedPorts resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" } } }, "InstancesAddResourcePoliciesRequest": { "properties": { "resourcePolicies": { "description": "Resource policies to be added to this instance.", "type": "array", "items": { "type": "string" } } }, "id": "InstancesAddResourcePoliciesRequest", "type": "object" }, "SecurityPolicyDdosProtectionConfig": { "id": "SecurityPolicyDdosProtectionConfig", "type": "object", "properties": { "ddosProtection": { "enum": [ "ADVANCED", "STANDARD" ], "type": "string", "enumDescriptions": [ "", "" ] } } }, "InstanceProperties": { "type": "object", "id": "InstanceProperties", "properties": { "networkInterfaces": { "items": { "$ref": "NetworkInterface" }, "description": "An array of network access configurations for this interface.", "type": "array" }, "machineType": { "type": "string", "annotations": { "required": [ "compute.instanceTemplates.insert" ] }, "description": "The machine type to use for instances that are created from these properties." }, "resourcePolicies": { "items": { "type": "string" }, "type": "array", "description": "Resource policies (names, not URLs) applied to instances created from these properties. Note that for MachineImage, this is not supported yet." }, "keyRevocationActionType": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Indicates user chose no operation.", "Indicates user chose to opt for VM shutdown on key revocation." ], "description": "KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.", "enum": [ "KEY_REVOCATION_ACTION_TYPE_UNSPECIFIED", "NONE", "STOP" ] }, "serviceAccounts": { "type": "array", "items": { "$ref": "ServiceAccount" }, "description": "A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from these properties. Use metadata queries to obtain the access tokens for these instances." }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "Note that for MachineImage, this is not supported yet." }, "tags": { "$ref": "Tags", "description": "A list of tags to apply to the instances that are created from these properties. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035." }, "resourceManagerTags": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to apply to instances that are created from these properties." }, "scheduling": { "$ref": "Scheduling", "description": "Specifies the scheduling options for the instances that are created from these properties." }, "reservationAffinity": { "description": "Specifies the reservations that instances can consume from. Note that for MachineImage, this is not supported yet.", "$ref": "ReservationAffinity" }, "disks": { "description": "An array of disks that are associated with the instances that are created from these properties.", "items": { "$ref": "AttachedDisk" }, "type": "array" }, "confidentialInstanceConfig": { "description": "Specifies the Confidential Instance options. Note that for MachineImage, this is not supported yet.", "$ref": "ConfidentialInstanceConfig" }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig", "description": "Note that for MachineImage, this is not supported yet." }, "minCpuPlatform": { "type": "string", "description": "Minimum cpu/platform to be used by instances. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform." }, "guestAccelerators": { "description": "A list of guest accelerator cards' type and count to use for instances created from these properties.", "items": { "$ref": "AcceleratorConfig" }, "type": "array" }, "metadata": { "description": "The metadata key/value pairs to assign to instances that are created from these properties. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.", "$ref": "Metadata" }, "advancedMachineFeatures": { "$ref": "AdvancedMachineFeatures", "description": "Controls for advanced machine-related behavior features. Note that for MachineImage, this is not supported yet." }, "privateIpv6GoogleAccess": { "enumDescriptions": [ "Bidirectional private IPv6 access to/from Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Outbound private IPv6 access from VMs in this subnet to Google services. If specified, the subnetwork who is attached to the instance's default network interface will be assigned an internal IPv6 prefix if it doesn't have before.", "Each network interface inherits PrivateIpv6GoogleAccess from its subnetwork." ], "type": "string", "enum": [ "ENABLE_BIDIRECTIONAL_ACCESS_TO_GOOGLE", "ENABLE_OUTBOUND_VM_ACCESS_TO_GOOGLE", "INHERIT_FROM_SUBNETWORK" ], "description": "The private IPv6 google access type for VMs. If not specified, use INHERIT_FROM_SUBNETWORK as default. Note that for MachineImage, this is not supported yet." }, "canIpForward": { "type": "boolean", "description": "Enables instances created based on these properties to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information." }, "description": { "type": "string", "description": "An optional text description for the instances that are created from these properties." } } }, "SubnetworkAggregatedList": { "type": "object", "id": "SubnetworkAggregatedList", "properties": { "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "items": { "description": "A list of SubnetworksScopedList resources.", "additionalProperties": { "description": "Name of the scope containing this set of Subnetworks.", "$ref": "SubnetworksScopedList" }, "type": "object" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "unreachables": { "type": "array", "items": { "type": "string" }, "description": "[Output Only] Unreachable resources." }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "kind": { "type": "string", "default": "compute#subnetworkAggregatedList", "description": "[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks." } } }, "SecurityPolicyRuleHttpHeaderAction": { "type": "object", "id": "SecurityPolicyRuleHttpHeaderAction", "properties": { "requestHeadersToAdds": { "items": { "$ref": "SecurityPolicyRuleHttpHeaderActionHttpHeaderOption" }, "description": "The list of request headers to add or overwrite if they're already present.", "type": "array" } } }, "InstanceGroupsScopedList": { "type": "object", "id": "InstanceGroupsScopedList", "properties": { "warning": { "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } }, "type": "object", "description": "[Output Only] An informational warning that replaces the list of instance groups when the list is empty." }, "instanceGroups": { "description": "[Output Only] The list of instance groups that are contained in this scope.", "type": "array", "items": { "$ref": "InstanceGroup" } } } }, "FirewallPoliciesListAssociationsResponse": { "type": "object", "id": "FirewallPoliciesListAssociationsResponse", "properties": { "kind": { "type": "string", "description": "[Output Only] Type of firewallPolicy associations. Always compute#FirewallPoliciesListAssociations for lists of firewallPolicy associations.", "default": "compute#firewallPoliciesListAssociationsResponse" }, "associations": { "items": { "$ref": "FirewallPolicyAssociation" }, "type": "array", "description": "A list of associations." } } }, "AutoscalerAggregatedList": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#autoscalerAggregatedList", "description": "[Output Only] Type of resource. Always compute#autoscalerAggregatedList for aggregated lists of autoscalers." }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "unreachables": { "items": { "type": "string" }, "type": "array", "description": "[Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder" }, "warning": { "properties": { "code": { "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } } }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "items": { "description": "A list of AutoscalersScopedList resources.", "type": "object", "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of autoscalers.", "$ref": "AutoscalersScopedList" } } }, "id": "AutoscalerAggregatedList" }, "SignedUrlKey": { "type": "object", "id": "SignedUrlKey", "properties": { "keyName": { "description": "Name of the key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string" }, "keyValue": { "type": "string", "description": "128-bit key value used for signing the URL. The key value must be a valid RFC 4648 Section 5 base64url encoded string." } }, "description": "Represents a customer-supplied Signing Key used by Cloud CDN Signed URLs" }, "TargetHttpProxyList": { "type": "object", "id": "TargetHttpProxyList", "properties": { "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] } } }, "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "kind": { "type": "string", "description": "Type of resource. Always compute#targetHttpProxyList for lists of target HTTP proxies.", "default": "compute#targetHttpProxyList" }, "items": { "description": "A list of TargetHttpProxy resources.", "items": { "$ref": "TargetHttpProxy" }, "type": "array" }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." } }, "description": "A list of TargetHttpProxy resources." }, "UrlMapsScopedList": { "type": "object", "properties": { "urlMaps": { "items": { "$ref": "UrlMap" }, "description": "A list of UrlMaps contained in this scope.", "type": "array" }, "warning": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response." }, "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" } }, "type": "object", "description": "Informational warning which replaces the list of backend services when the list is empty." } }, "id": "UrlMapsScopedList" }, "Duration": { "properties": { "seconds": { "description": "Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 60 min/hr LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 24 hr/day LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 365.25 days/year LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 10000 years", "format": "int64", "type": "string" }, "nanos": { "format": "int32", "description": "Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive.", "type": "integer" } }, "type": "object", "description": "A Duration represents a fixed-length span of time represented as a count of seconds and fractions of seconds at nanosecond resolution. It is independent of any calendar and concepts like \"day\" or \"month\". Range is approximately 10,000 years.", "id": "Duration" }, "InstanceManagedByIgmErrorInstanceActionDetails": { "type": "object", "properties": { "action": { "type": "string", "enum": [ "ABANDONING", "CREATING", "CREATING_WITHOUT_RETRIES", "DELETING", "NONE", "RECREATING", "REFRESHING", "RESTARTING", "RESUMING", "STARTING", "STOPPING", "SUSPENDING", "VERIFYING" ], "enumDescriptions": [ "The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group.", "The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful.", "The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased.", "The managed instance group is permanently deleting this instance.", "The managed instance group has not scheduled any actions for this instance.", "The managed instance group is recreating this instance.", "The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.", "The managed instance group is restarting this instance.", "The managed instance group is resuming this instance.", "The managed instance group is starting this instance.", "The managed instance group is stopping this instance.", "The managed instance group is suspending this instance.", "The managed instance group is verifying this already created instance. Verification happens every time the instance is (re)created or restarted and consists of: 1. Waiting until health check specified as part of this managed instance group's autohealing policy reports HEALTHY. Note: Applies only if autohealing policy has a health check specified 2. Waiting for addition verification steps performed as post-instance creation (subject to future extensions)." ], "description": "[Output Only] Action that managed instance group was executing on the instance when the error occurred. Possible values:" }, "version": { "$ref": "ManagedInstanceVersion", "description": "[Output Only] Version this instance was created from, or was being created from, but the creation failed. Corresponds to one of the versions that were set on the Instance Group Manager resource at the time this instance was being created." }, "instance": { "type": "string", "description": "[Output Only] The URL of the instance. The URL can be set even if the instance has not yet been created." } }, "id": "InstanceManagedByIgmErrorInstanceActionDetails" }, "InstanceGroupManagersListPerInstanceConfigsResp": { "properties": { "warning": { "properties": { "data": { "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "description": "[Output Only] Informational warning message.", "type": "object" }, "items": { "description": "[Output Only] The list of PerInstanceConfig.", "items": { "$ref": "PerInstanceConfig" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." } }, "id": "InstanceGroupManagersListPerInstanceConfigsResp", "type": "object" }, "NodeTemplate": { "properties": { "nodeAffinityLabels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to use for node affinity, which will be used in instance scheduling." }, "creationTimestamp": { "description": "[Output Only] Creation timestamp in RFC3339 text format.", "type": "string" }, "cpuOvercommitType": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "CPU_OVERCOMMIT_TYPE_UNSPECIFIED", "ENABLED", "NONE" ], "description": "CPU overcommit." }, "region": { "description": "[Output Only] The name of the region where the node template resides, such as us-central1.", "type": "string" }, "name": { "description": "The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.", "type": "string" }, "accelerators": { "items": { "$ref": "AcceleratorConfig" }, "type": "array" }, "description": { "description": "An optional description of this resource. Provide this property when you create the resource.", "type": "string" }, "nodeType": { "description": "The node type to use for nodes group that are created from this template.", "type": "string" }, "serverBinding": { "description": "Sets the binding properties for the physical server. Valid values include: - Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec upload.sh RESTART_NODE_ON_ANY_SERVER: Restarts VMs on any available physical server - RESTART_NODE_ON_MINIMAL_SERVER: Restarts VMs on the same physical server whenever possible See Sole-tenant node options for more information.", "$ref": "ServerBinding" }, "disks": { "type": "array", "items": { "$ref": "LocalDisk" } }, "nodeTypeFlexibility": { "description": "The flexible properties of the desired node type. Node groups that use this node template will create nodes of a type that matches these properties. This field is mutually exclusive with the node_type property; you can only define one or the other, but not both.", "$ref": "NodeTemplateNodeTypeFlexibility" }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for the resource." }, "id": { "type": "string", "description": "[Output Only] The unique identifier for the resource. This identifier is defined by the server.", "format": "uint64" }, "kind": { "type": "string", "default": "compute#nodeTemplate", "description": "[Output Only] The type of the resource. Always compute#nodeTemplate for node templates." }, "status": { "enumDescriptions": [ "Resources are being allocated.", "The node template is currently being deleted.", "Invalid status.", "The node template is ready." ], "enum": [ "CREATING", "DELETING", "INVALID", "READY" ], "type": "string", "description": "[Output Only] The status of the node template. One of the following values: CREATING, READY, and DELETING." }, "statusMessage": { "type": "string", "description": "[Output Only] An optional, human-readable explanation of the status." } }, "id": "NodeTemplate", "type": "object", "description": "Represent a sole-tenant Node Template resource. You can use a template to define properties for nodes in a node group. For more information, read Creating node groups and instances." }, "RegionInstanceGroupManagerDeleteInstanceConfigReq": { "id": "RegionInstanceGroupManagerDeleteInstanceConfigReq", "description": "RegionInstanceGroupManagers.deletePerInstanceConfigs", "type": "object", "properties": { "names": { "items": { "type": "string" }, "description": "The list of instance names for which we want to delete per-instance configs on this managed instance group.", "type": "array" } } }, "NetworksAddPeeringRequest": { "properties": { "networkPeering": { "$ref": "NetworkPeering", "description": "Network peering parameters. In order to specify route policies for peering using import and export custom routes, you must specify all peering related parameters (name, peer network, exchange_subnet_routes) in the network_peering field. The corresponding fields in NetworksAddPeeringRequest will be deprecated soon." }, "name": { "type": "string", "annotations": { "required": [ "compute.networks.addPeering" ] }, "description": "Name of the peering, which should conform to RFC1035." }, "peerNetwork": { "type": "string", "description": "URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network." }, "autoCreateRoutes": { "type": "boolean", "description": "This field will be deprecated soon. Use exchange_subnet_routes in network_peering instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE." } }, "id": "NetworksAddPeeringRequest", "type": "object" }, "ReservationAffinity": { "type": "object", "description": "Specifies the reservations that this instance can consume from.", "properties": { "values": { "description": "Corresponds to the label values of a reservation resource. This can be either a name to a reservation in the same project or \"projects/different-project/reservations/some-reservation-name\" to target a shared reservation in the same zone but in a different project.", "type": "array", "items": { "type": "string" } }, "key": { "type": "string", "description": "Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify googleapis.com/reservation-name as the key and specify the name of your reservation as its value." }, "consumeReservationType": { "enumDescriptions": [ "Consume any allocation available.", "Do not consume from any allocated capacity.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations.", "" ], "type": "string", "description": "Specifies the type of reservation from which this instance can consume resources: ANY_RESERVATION (default), SPECIFIC_RESERVATION, or NO_RESERVATION. See Consuming reserved instances for examples.", "enum": [ "ANY_RESERVATION", "NO_RESERVATION", "SPECIFIC_RESERVATION", "UNSPECIFIED" ] } }, "id": "ReservationAffinity" }, "AcceleratorTypeAggregatedList": { "properties": { "items": { "additionalProperties": { "description": "[Output Only] Name of the scope containing this set of accelerator types.", "$ref": "AcceleratorTypesScopedList" }, "type": "object", "description": "A list of AcceleratorTypesScopedList resources." }, "unreachables": { "type": "array", "description": "[Output Only] Unreachable resources.", "items": { "type": "string" } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" }, "kind": { "description": "[Output Only] Type of resource. Always compute#acceleratorTypeAggregatedList for aggregated lists of accelerator types.", "type": "string", "default": "compute#acceleratorTypeAggregatedList" }, "selfLink": { "description": "[Output Only] Server-defined URL for this resource.", "type": "string" }, "id": { "description": "[Output Only] Unique identifier for the resource; defined by the server.", "type": "string" }, "warning": { "type": "object", "properties": { "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." } } }, "type": "array" }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "description": "[Output Only] Informational warning message." } }, "id": "AcceleratorTypeAggregatedList", "type": "object" }, "NodeGroupMaintenanceWindow": { "properties": { "maintenanceDuration": { "description": "[Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.", "$ref": "Duration" }, "startTime": { "type": "string", "description": "Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid." } }, "type": "object", "description": "Time window specified for daily maintenance operations. GCE's internal maintenance will be performed within this window.", "id": "NodeGroupMaintenanceWindow" }, "Uint128": { "type": "object", "properties": { "low": { "format": "uint64", "type": "string" }, "high": { "type": "string", "format": "uint64" } }, "id": "Uint128" }, "ResourcePolicySnapshotSchedulePolicy": { "properties": { "snapshotProperties": { "$ref": "ResourcePolicySnapshotSchedulePolicySnapshotProperties", "description": "Properties with which snapshots are created such as labels, encryption keys." }, "retentionPolicy": { "description": "Retention policy applied to snapshots created by this resource policy.", "$ref": "ResourcePolicySnapshotSchedulePolicyRetentionPolicy" }, "schedule": { "$ref": "ResourcePolicySnapshotSchedulePolicySchedule", "description": "A Vm Maintenance Policy specifies what kind of infrastructure maintenance we are allowed to perform on this VM and when. Schedule that is applied to disks covered by this policy." } }, "description": "A snapshot schedule policy specifies when and how frequently snapshots are to be created for the target disk. Also specifies how many and how long these scheduled snapshots should be retained.", "id": "ResourcePolicySnapshotSchedulePolicy", "type": "object" }, "ResourcePolicySnapshotSchedulePolicySchedule": { "id": "ResourcePolicySnapshotSchedulePolicySchedule", "properties": { "dailySchedule": { "$ref": "ResourcePolicyDailyCycle" }, "hourlySchedule": { "$ref": "ResourcePolicyHourlyCycle" }, "weeklySchedule": { "$ref": "ResourcePolicyWeeklyCycle" } }, "description": "A schedule for disks where the schedueled operations are performed.", "type": "object" }, "CacheKeyPolicy": { "id": "CacheKeyPolicy", "properties": { "includeHttpHeaders": { "description": "Allows HTTP request headers (by name) to be used in the cache key.", "type": "array", "items": { "type": "string" } }, "includeProtocol": { "type": "boolean", "description": "If true, http and https requests will be cached separately." }, "includeQueryString": { "type": "boolean", "description": "If true, include query string parameters in the cache key according to query_string_whitelist and query_string_blacklist. If neither is set, the entire query string will be included. If false, the query string will be excluded from the cache key entirely." }, "queryStringWhitelist": { "items": { "type": "string" }, "type": "array", "description": "Names of query string parameters to include in cache keys. All other parameters will be excluded. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters." }, "queryStringBlacklist": { "type": "array", "items": { "type": "string" }, "description": "Names of query string parameters to exclude in cache keys. All other parameters will be included. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters." }, "includeHost": { "description": "If true, requests to different hosts will be cached separately.", "type": "boolean" }, "includeNamedCookies": { "type": "array", "items": { "type": "string" }, "description": "Allows HTTP cookies (by name) to be used in the cache key. The name=value pair will be used in the cache key Cloud CDN generates." } }, "type": "object", "description": "Message containing what to include in the cache key for a request for Cloud CDN." }, "SubnetworkList": { "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "selfLink": { "type": "string", "description": "[Output Only] Server-defined URL for this resource." }, "items": { "type": "array", "items": { "$ref": "Subnetwork" }, "description": "A list of Subnetwork resources." }, "kind": { "type": "string", "default": "compute#subnetworkList", "description": "[Output Only] Type of resource. Always compute#subnetworkList for lists of subnetworks." }, "warning": { "type": "object", "description": "[Output Only] Informational warning message.", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" } }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ] } } }, "nextPageToken": { "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.", "type": "string" } }, "type": "object", "description": "Contains a list of Subnetwork resources.", "id": "SubnetworkList" }, "SecurityPolicyList": { "type": "object", "id": "SecurityPolicyList", "properties": { "id": { "type": "string", "description": "[Output Only] Unique identifier for the resource; defined by the server." }, "nextPageToken": { "type": "string", "description": "[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results." }, "kind": { "type": "string", "default": "compute#securityPolicyList", "description": "[Output Only] Type of resource. Always compute#securityPolicyList for listsof securityPolicies" }, "warning": { "description": "[Output Only] Informational warning message.", "type": "object", "properties": { "data": { "items": { "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "code": { "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ], "type": "string" } } }, "items": { "items": { "$ref": "SecurityPolicy" }, "description": "A list of SecurityPolicy resources.", "type": "array" } } }, "GlobalNetworkEndpointGroupsAttachEndpointsRequest": { "properties": { "networkEndpoints": { "type": "array", "description": "The list of network endpoints to be attached.", "items": { "$ref": "NetworkEndpoint" } } }, "id": "GlobalNetworkEndpointGroupsAttachEndpointsRequest", "type": "object" }, "WeightedBackendService": { "type": "object", "properties": { "headerAction": { "description": "Specifies changes to request and response headers that need to take effect for the selected backendService. headerAction specified here take effect before headerAction in the enclosing HttpRouteRule, PathMatcher and UrlMap. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.", "$ref": "HttpHeaderAction" }, "backendService": { "type": "string", "description": "The full or partial URL to the default BackendService resource. Before forwarding the request to backendService, the load balancer applies any relevant headerActions specified as part of this backendServiceWeight." }, "weight": { "type": "integer", "format": "uint32", "description": "Specifies the fraction of traffic sent to a backend service, computed as weight / (sum of all weightedBackendService weights in routeAction) . The selection of a backend service is determined only for new traffic. Once a user's request has been directed to a backend service, subsequent requests are sent to the same backend service as determined by the backend service's session affinity policy. The value must be from 0 to 1000." } }, "description": "In contrast to a single BackendService in HttpRouteAction to which all matching traffic is directed to, WeightedBackendService allows traffic to be split across multiple backend services. The volume of traffic for each backend service is proportional to the weight specified in each WeightedBackendService", "id": "WeightedBackendService" }, "PublicDelegatedPrefixesScopedList": { "type": "object", "id": "PublicDelegatedPrefixesScopedList", "properties": { "warning": { "description": "[Output Only] Informational warning which replaces the list of public delegated prefixes when the list is empty.", "type": "object", "properties": { "code": { "type": "string", "enumDescriptions": [ "Warning about failed cleanup of transient changes made by a failed operation.", "A link to a deprecated resource was created.", "When deploying and at least one of the resources has a type marked as deprecated", "The user created a boot disk that is larger than image size.", "When deploying and at least one of the resources has a type marked as experimental", "Warning that is present in an external api call", "Warning that value of a field has been overridden. Deprecated unused field.", "The operation involved use of an injected kernel, which is deprecated.", "When deploying a deployment with a exceedingly large number of resources", "A resource depends on a missing type", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's next hop instance cannot ip forward.", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance does not have a status of RUNNING.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "No results are present on a particular list page.", "Success is reported, but some results may be missing due to errors", "The user attempted to use a resource that requires a TOS they have not accepted.", "Warning that a resource is in use.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "When a resource schema validation is ignored.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "When undeclared properties in the schema are present", "A given scope cannot be reached." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "CLEANUP_FAILED", "DEPRECATED_RESOURCE_USED", "DEPRECATED_TYPE_USED", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "EXPERIMENTAL_TYPE_USED", "EXTERNAL_API_WARNING", "FIELD_VALUE_OVERRIDEN", "INJECTED_KERNELS_DEPRECATED", "LARGE_DEPLOYMENT_WARNING", "MISSING_TYPE_DEPENDENCY", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_NOT_RUNNING", "NOT_CRITICAL_ERROR", "NO_RESULTS_ON_PAGE", "PARTIAL_SUCCESS", "REQUIRED_TOS_AGREEMENT", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "RESOURCE_NOT_DELETED", "SCHEMA_VALIDATION_IGNORED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "UNDECLARED_PROPERTIES", "UNREACHABLE" ] }, "data": { "items": { "properties": { "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } } }, "publicDelegatedPrefixes": { "description": "[Output Only] A list of PublicDelegatedPrefixes contained in this scope.", "type": "array", "items": { "$ref": "PublicDelegatedPrefix" } } } } }, "description": "Creates and runs virtual machines on Google Cloud Platform. ", "ownerDomain": "google.com", "baseUrl": "https://compute.googleapis.com/compute/v1/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/devstorage.full_control": { "description": "Manage your data and permissions in Cloud Storage and see the email address for your Google Account" }, "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" }, "https://www.googleapis.com/auth/devstorage.read_write": { "description": "Manage your data in Cloud Storage and see the email address of your Google Account" }, "https://www.googleapis.com/auth/devstorage.read_only": { "description": "View your data in Google Cloud Storage" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" } } } }, "basePath": "/compute/v1/", "mtlsRootUrl": "https://compute.mtls.googleapis.com/", "servicePath": "compute/v1/", "rootUrl": "https://compute.googleapis.com/", "id": "compute:v1" }
]===]))
