local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "JwtClaims": { "id": "JwtClaims", "description": "JWT claims used for the jwt-bearer authorization grant.", "type": "object", "properties": { "issuer": { "type": "string", "description": "Value for the \"iss\" claim." }, "subject": { "description": "Value for the \"sub\" claim.", "type": "string" }, "audience": { "description": "Value for the \"aud\" claim.", "type": "string" } } }, "ListRuntimeEntitySchemasResponse": { "description": "Response message for ConnectorsService.ListRuntimeEntitySchemas.", "id": "ListRuntimeEntitySchemasResponse", "type": "object", "properties": { "runtimeEntitySchemas": { "items": { "$ref": "RuntimeEntitySchema" }, "description": "Runtime entity schemas.", "type": "array" }, "nextPageToken": { "description": "Next page token.", "type": "string" } } }, "ConnectionStatus": { "description": "ConnectionStatus indicates the state of the connection.", "type": "object", "id": "ConnectionStatus", "properties": { "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "INACTIVE", "DELETING", "UPDATING", "ERROR" ], "enumDescriptions": [ "Connection does not have a state yet.", "Connection is being created.", "Connection is running and ready for requests.", "Connection is stopped.", "Connection is being deleted.", "Connection is being updated.", "Connection is not running due to an error." ], "description": "State." }, "description": { "type": "string", "description": "Description." }, "status": { "type": "string", "description": "Status provides detailed information for the state." } } }, "RuntimeEntitySchema": { "description": "Schema of a runtime entity.", "type": "object", "id": "RuntimeEntitySchema", "properties": { "fields": { "readOnly": true, "description": "Output only. List of fields in the entity.", "items": { "$ref": "Field" }, "type": "array" }, "entity": { "description": "Output only. Name of the entity.", "type": "string", "readOnly": true } } }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } } }, "Connection": { "description": "Connection represents an instance of connector.", "id": "Connection", "properties": { "labels": { "description": "Optional. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" }, "type": "object" }, "suspended": { "type": "boolean", "description": "Optional. Suspended indicates if a user has suspended a connection or not." }, "description": { "type": "string", "description": "Optional. Description of the resource." }, "serviceAccount": { "description": "Optional. Service account needed for runtime plane to access GCP resources.", "type": "string" }, "envoyImageLocation": { "description": "Output only. GCR location where the envoy image is stored. formatted like: gcr.io/{bucketName}/{imageName}", "readOnly": true, "type": "string" }, "authConfig": { "$ref": "AuthConfig", "description": "Optional. Configuration for establishing the connection's authentication with an external system." }, "lockConfig": { "description": "Optional. Configuration that indicates whether or not the Connection can be edited.", "$ref": "LockConfig" }, "imageLocation": { "description": "Output only. GCR location where the runtime image is stored. formatted like: gcr.io/{bucketName}/{imageName}", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. Created time.", "format": "google-datetime" }, "configVariables": { "description": "Optional. Configuration for configuring the connection with an external system.", "type": "array", "items": { "$ref": "ConfigVariable" } }, "connectorVersion": { "type": "string", "description": "Required. Connector version on which the connection is created. The format is: projects/*/locations/global/providers/*/connectors/*/versions/*" }, "status": { "$ref": "ConnectionStatus", "description": "Output only. Current status of the connection.", "readOnly": true }, "name": { "description": "Output only. Resource name of the Connection. Format: projects/{project}/locations/{location}/connections/{connection}", "type": "string", "readOnly": true }, "serviceDirectory": { "description": "Output only. The name of the Service Directory service name. Used for Private Harpoon to resolve the ILB address. e.g. \"projects/cloud-connectors-e2e-testing/locations/us-central1/namespaces/istio-system/services/istio-ingressgateway-connectors\"", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. Updated time.", "type": "string", "readOnly": true, "format": "google-datetime" } }, "type": "object" }, "ConfigVariableTemplate": { "type": "object", "id": "ConfigVariableTemplate", "description": "ConfigVariableTemplate provides metadata about a `ConfigVariable` that is used in a Connection.", "properties": { "enumOptions": { "items": { "$ref": "EnumOption" }, "type": "array", "description": "Enum options. To be populated if `ValueType` is `ENUM`" }, "displayName": { "type": "string", "description": "Display name of the parameter." }, "valueType": { "type": "string", "enum": [ "VALUE_TYPE_UNSPECIFIED", "STRING", "INT", "BOOL", "SECRET", "ENUM", "AUTHORIZATION_CODE" ], "enumDescriptions": [ "Value type is not specified.", "Value type is string.", "Value type is integer.", "Value type is boolean.", "Value type is secret.", "Value type is enum.", "Value type is authorization code." ], "description": "Type of the parameter: string, int, bool etc. consider custom type for the benefit for the validation." }, "roleGrant": { "description": "Role grant configuration for the config variable.", "$ref": "RoleGrant" }, "description": { "type": "string", "description": "Description." }, "required": { "type": "boolean", "description": "Flag represents that this `ConfigVariable` must be provided for a connection." }, "validationRegex": { "description": "Regular expression in RE2 syntax used for validating the `value` of a `ConfigVariable`.", "type": "string" }, "authorizationCodeLink": { "description": "Authorization code link options. To be populated if `ValueType` is `AUTHORIZATION_CODE`", "$ref": "AuthorizationCodeLink" }, "key": { "type": "string", "description": "Key of the config variable." } } }, "ListConnectorVersionsResponse": { "properties": { "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "nextPageToken": { "description": "Next page token.", "type": "string" }, "connectorVersions": { "type": "array", "items": { "$ref": "ConnectorVersion" }, "description": "A list of connector versions." } }, "id": "ListConnectorVersionsResponse", "type": "object", "description": "Response message for Connectors.ListConnectorVersions." }, "AuditLogConfig": { "type": "object", "id": "AuditLogConfig", "properties": { "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "type": "object" }, "Policy": { "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." } } }, "LockConfig": { "properties": { "reason": { "type": "string", "description": "Describes why a connection is locked." }, "locked": { "type": "boolean", "description": "Indicates whether or not the connection is locked." } }, "id": "LockConfig", "type": "object", "description": "Determines whether or no a connection is locked. If locked, a reason must be specified." }, "ListConnectorsResponse": { "type": "object", "description": "Response message for Connectors.ListConnectors.", "properties": { "nextPageToken": { "type": "string", "description": "Next page token." }, "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "connectors": { "description": "A list of connectors.", "type": "array", "items": { "$ref": "Connector" } } }, "id": "ListConnectorsResponse" }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." } }, "id": "AuditConfig", "type": "object" }, "RuntimeActionSchema": { "description": "Schema of a runtime action.", "properties": { "resultMetadata": { "description": "Output only. List of result field metadata.", "type": "array", "readOnly": true, "items": { "$ref": "ResultMetadata" } }, "inputParameters": { "readOnly": true, "description": "Output only. List of input parameter metadata for the action.", "type": "array", "items": { "$ref": "InputParameter" } }, "action": { "readOnly": true, "description": "Output only. Name of the action.", "type": "string" } }, "id": "RuntimeActionSchema", "type": "object" }, "Location": { "id": "Location", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } } }, "description": "A resource that represents Google Cloud Platform location." }, "EgressControlConfig": { "properties": { "backends": { "description": "Static Comma separated backends which are common for all Connection resources. Supported formats for each backend are host:port or just host (host can be ip address or domain name).", "type": "string" }, "extractionRules": { "description": "Extractions Rules to extract the backends from customer provided configuration.", "$ref": "ExtractionRules" } }, "id": "EgressControlConfig", "description": "Egress control config for connector runtime. These configurations define the rules to identify which outbound domains/hosts needs to be whitelisted. It may be a static information for a particular connector version or it is derived from the configurations provided by the customer in Connection resource.", "type": "object" }, "ListRuntimeActionSchemasResponse": { "id": "ListRuntimeActionSchemasResponse", "type": "object", "description": "Response message for ConnectorsService.ListRuntimeActionSchemas.", "properties": { "nextPageToken": { "description": "Next page token.", "type": "string" }, "runtimeActionSchemas": { "description": "Runtime action schemas.", "type": "array", "items": { "$ref": "RuntimeActionSchema" } } } }, "RoleGrant": { "description": "This configuration defines all the Cloud IAM roles that needs to be granted to a particular GCP resource for the selected prinicpal like service account. These configurations will let UI display to customers what IAM roles need to be granted by them. Or these configurations can be used by the UI to render a 'grant' button to do the same on behalf of the user.", "type": "object", "id": "RoleGrant", "properties": { "principal": { "type": "string", "description": "Prinicipal/Identity for whom the role need to assigned.", "enumDescriptions": [ "Value type is not specified.", "Service Account used for Connector workload identity This is either the default service account if unspecified or Service Account provided by Customers through BYOSA." ], "enum": [ "PRINCIPAL_UNSPECIFIED", "CONNECTOR_SA" ] }, "roles": { "items": { "type": "string" }, "description": "List of roles that need to be granted.", "type": "array" }, "helperTextTemplate": { "description": "Template that UI can use to provide helper text to customers.", "type": "string" }, "resource": { "$ref": "Resource", "description": "Resource on which the roles needs to be granted for the principal." } } }, "Field": { "properties": { "nullable": { "type": "boolean", "description": "Specifies whether a null value is allowed." }, "readonly": { "type": "boolean", "description": "Specifies if the Field is readonly." }, "additionalDetails": { "type": "object", "description": "The following map contains fields that are not explicitly mentioned above,this give connectors the flexibility to add new metadata fields.", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "key": { "description": "The following boolean field specifies if the current Field acts as a primary key or id if the parent is of type entity.", "type": "boolean" }, "description": { "description": "A brief description of the Field.", "type": "string" }, "defaultValue": { "type": "any", "description": "The following field specifies the default value of the Field provided by the external system if a value is not provided." }, "field": { "type": "string", "description": "Name of the Field." }, "dataType": { "type": "string", "description": "The data type of the Field.", "enum": [ "DATA_TYPE_UNSPECIFIED", "DATA_TYPE_INT", "DATA_TYPE_SMALLINT", "DATA_TYPE_DOUBLE", "DATA_TYPE_DATE", "DATA_TYPE_DATETIME", "DATA_TYPE_TIME", "DATA_TYPE_STRING", "DATA_TYPE_LONG", "DATA_TYPE_BOOLEAN", "DATA_TYPE_DECIMAL", "DATA_TYPE_UUID", "DATA_TYPE_BLOB", "DATA_TYPE_BIT", "DATA_TYPE_TINYINT", "DATA_TYPE_INTEGER", "DATA_TYPE_BIGINT", "DATA_TYPE_FLOAT", "DATA_TYPE_REAL", "DATA_TYPE_NUMERIC", "DATA_TYPE_CHAR", "DATA_TYPE_VARCHAR", "DATA_TYPE_LONGVARCHAR", "DATA_TYPE_TIMESTAMP", "DATA_TYPE_NCHAR", "DATA_TYPE_NVARCHAR", "DATA_TYPE_LONGNVARCHAR", "DATA_TYPE_NULL", "DATA_TYPE_OTHER", "DATA_TYPE_JAVA_OBJECT", "DATA_TYPE_DISTINCT", "DATA_TYPE_STRUCT", "DATA_TYPE_ARRAY", "DATA_TYPE_CLOB", "DATA_TYPE_REF", "DATA_TYPE_DATALINK", "DATA_TYPE_ROWID", "DATA_TYPE_BINARY", "DATA_TYPE_VARBINARY", "DATA_TYPE_LONGVARBINARY", "DATA_TYPE_NCLOB", "DATA_TYPE_SQLXML", "DATA_TYPE_REF_CURSOR", "DATA_TYPE_TIME_WITH_TIMEZONE", "DATA_TYPE_TIMESTAMP_WITH_TIMEZONE" ], "enumDescriptions": [ "Data type is not specified.", "DEPRECATED! Use DATA_TYPE_INTEGER.", "Short integer(int16) data type.", "Double data type.", "Date data type.", "DEPRECATED! Use DATA_TYPE_TIMESTAMP.", "Time data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "DEPRECATED! Use DATA_TYPE_BIGINT.", "Boolean data type.", "Decimal data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "UNSUPPORTED! Binary data type.", "Bit data type.", "Small integer(int8) data type.", "Integer(int32) data type.", "Long integer(int64) data type.", "Float data type.", "Real data type.", "Numeric data type.", "Char data type.", "Varchar data type.", "Longvarchar data type.", "Timestamp data type.", "Nchar data type.", "Nvarchar data type.", "Longnvarchar data type.", "Null data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Row id data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Variable binary data type.", "UNSUPPORTED! Long variable binary data type.", "UNSUPPORTED! NCLOB data type.", "UNSUPPORTED! SQL XML data type is not supported.", "UNSUPPORTED! Cursor reference type is not supported.", "UNSUPPORTED! Use TIME or TIMESTAMP instead.", "UNSUPPORTED! Use TIMESTAMP instead." ] } }, "type": "object", "description": "Metadata of an entity field.", "id": "Field" }, "Oauth2JwtBearer": { "type": "object", "id": "Oauth2JwtBearer", "description": "Parameters to support JSON Web Token (JWT) Profile for Oauth 2.0 Authorization Grant based authentication. See https://tools.ietf.org/html/rfc7523 for more details.", "properties": { "clientKey": { "description": "Secret version reference containing a PKCS#8 PEM-encoded private key associated with the Client Certificate. This private key will be used to sign JWTs used for the jwt-bearer authorization grant. Specified in the form as: `projects/*/secrets/*/versions/*`.", "$ref": "Secret" }, "jwtClaims": { "$ref": "JwtClaims", "description": "JwtClaims providers fields to generate the token." } } }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } } }, "ListConnectionsResponse": { "id": "ListConnectionsResponse", "type": "object", "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "connections": { "description": "Connections.", "type": "array", "items": { "$ref": "Connection" } }, "nextPageToken": { "type": "string", "description": "Next page token." } }, "description": "Response message for ConnectorsService.ListConnections" }, "Connector": { "description": "Connectors indicates a specific connector type, e.x. Salesforce, SAP etc.", "id": "Connector", "type": "object", "properties": { "name": { "description": "Output only. Resource name of the Connector. Format: projects/{project}/locations/{location}/providers/{provider}/connectors/{connector}", "readOnly": true, "type": "string" }, "externalUri": { "readOnly": true, "type": "string", "description": "Output only. Link to external page." }, "documentationUri": { "readOnly": true, "description": "Output only. Link to documentation page.", "type": "string" }, "webAssetsLocation": { "description": "Output only. Cloud storage location of icons etc consumed by UI.", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "description": "Output only. Created time.", "type": "string", "readOnly": true }, "description": { "type": "string", "readOnly": true, "description": "Output only. Description of the resource." }, "launchStage": { "description": "Output only. Flag to mark the version indicating the launch stage.", "readOnly": true, "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "PREVIEW", "GA", "DEPRECATED" ], "enumDescriptions": [ "LAUNCH_STAGE_UNSPECIFIED.", "PREVIEW.", "GA.", "DEPRECATED." ] }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Output only. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "readOnly": true }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Updated time." }, "displayName": { "description": "Output only. Display name.", "readOnly": true, "type": "string" } } }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object" }, "Empty": { "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "ConnectionSchemaMetadata": { "description": "Metadata of connection schema.", "id": "ConnectionSchemaMetadata", "type": "object", "properties": { "entities": { "description": "Output only. List of entity names.", "items": { "type": "string" }, "type": "array", "readOnly": true }, "actions": { "type": "array", "description": "Output only. List of actions.", "readOnly": true, "items": { "type": "string" } } } }, "AuthorizationCodeLink": { "properties": { "scopes": { "type": "array", "description": "The scopes for which the user will authorize GCP Connectors on the connector data source.", "items": { "type": "string" } }, "uri": { "type": "string", "description": "The base URI the user must click to trigger the authorization code login flow." } }, "description": "This configuration captures the details required to render an authorization link for the OAuth Authorization Code Flow.", "type": "object", "id": "AuthorizationCodeLink" }, "InputParameter": { "id": "InputParameter", "properties": { "parameter": { "description": "Name of the Parameter.", "type": "string" }, "dataType": { "description": "The data type of the Parameter.", "enum": [ "DATA_TYPE_UNSPECIFIED", "DATA_TYPE_INT", "DATA_TYPE_SMALLINT", "DATA_TYPE_DOUBLE", "DATA_TYPE_DATE", "DATA_TYPE_DATETIME", "DATA_TYPE_TIME", "DATA_TYPE_STRING", "DATA_TYPE_LONG", "DATA_TYPE_BOOLEAN", "DATA_TYPE_DECIMAL", "DATA_TYPE_UUID", "DATA_TYPE_BLOB", "DATA_TYPE_BIT", "DATA_TYPE_TINYINT", "DATA_TYPE_INTEGER", "DATA_TYPE_BIGINT", "DATA_TYPE_FLOAT", "DATA_TYPE_REAL", "DATA_TYPE_NUMERIC", "DATA_TYPE_CHAR", "DATA_TYPE_VARCHAR", "DATA_TYPE_LONGVARCHAR", "DATA_TYPE_TIMESTAMP", "DATA_TYPE_NCHAR", "DATA_TYPE_NVARCHAR", "DATA_TYPE_LONGNVARCHAR", "DATA_TYPE_NULL", "DATA_TYPE_OTHER", "DATA_TYPE_JAVA_OBJECT", "DATA_TYPE_DISTINCT", "DATA_TYPE_STRUCT", "DATA_TYPE_ARRAY", "DATA_TYPE_CLOB", "DATA_TYPE_REF", "DATA_TYPE_DATALINK", "DATA_TYPE_ROWID", "DATA_TYPE_BINARY", "DATA_TYPE_VARBINARY", "DATA_TYPE_LONGVARBINARY", "DATA_TYPE_NCLOB", "DATA_TYPE_SQLXML", "DATA_TYPE_REF_CURSOR", "DATA_TYPE_TIME_WITH_TIMEZONE", "DATA_TYPE_TIMESTAMP_WITH_TIMEZONE" ], "type": "string", "enumDescriptions": [ "Data type is not specified.", "DEPRECATED! Use DATA_TYPE_INTEGER.", "Short integer(int16) data type.", "Double data type.", "Date data type.", "DEPRECATED! Use DATA_TYPE_TIMESTAMP.", "Time data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "DEPRECATED! Use DATA_TYPE_BIGINT.", "Boolean data type.", "Decimal data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "UNSUPPORTED! Binary data type.", "Bit data type.", "Small integer(int8) data type.", "Integer(int32) data type.", "Long integer(int64) data type.", "Float data type.", "Real data type.", "Numeric data type.", "Char data type.", "Varchar data type.", "Longvarchar data type.", "Timestamp data type.", "Nchar data type.", "Nvarchar data type.", "Longnvarchar data type.", "Null data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Row id data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Variable binary data type.", "UNSUPPORTED! Long variable binary data type.", "UNSUPPORTED! NCLOB data type.", "UNSUPPORTED! SQL XML data type is not supported.", "UNSUPPORTED! Cursor reference type is not supported.", "UNSUPPORTED! Use TIME or TIMESTAMP instead.", "UNSUPPORTED! Use TIMESTAMP instead." ] }, "description": { "description": "A brief description of the Parameter.", "type": "string" }, "defaultValue": { "description": "The following field specifies the default value of the Parameter provided by the external system if a value is not provided.", "type": "any" }, "nullable": { "type": "boolean", "description": "Specifies whether a null value is allowed." } }, "description": "Metadata of an input parameter.", "type": "object" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "CancelOperationRequest", "type": "object" }, "Resource": { "type": "object", "description": "Resource definition", "properties": { "pathTemplate": { "description": "Template to uniquely represent a GCP resource in a format IAM expects This is a template that can have references to other values provided in the config variable template.", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "GCP_PROJECT", "GCP_RESOURCE", "GCP_SECRETMANAGER_SECRET", "GCP_SECRETMANAGER_SECRET_VERSION" ], "type": "string", "enumDescriptions": [ "Value type is not specified.", "GCP Project Resource.", "Any GCP Resource which is identified uniquely by IAM.", "GCP Secret Resource.", "GCP Secret Version Resource." ], "description": "Different types of resource supported." } }, "id": "Resource" }, "ListLocationsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." } }, "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse" }, "Secret": { "type": "object", "id": "Secret", "description": "Secret provides a reference to entries in Secret Manager.", "properties": { "secretVersion": { "description": "The resource name of the secret version in the format, format as: `projects/*/secrets/*/versions/*`.", "type": "string" } } }, "Provider": { "type": "object", "description": "Provider indicates the owner who provides the connectors.", "properties": { "documentationUri": { "type": "string", "readOnly": true, "description": "Output only. Link to documentation page." }, "updateTime": { "description": "Output only. Updated time.", "readOnly": true, "format": "google-datetime", "type": "string" }, "displayName": { "readOnly": true, "description": "Output only. Display name.", "type": "string" }, "externalUri": { "readOnly": true, "type": "string", "description": "Output only. Link to external page." }, "launchStage": { "description": "Output only. Flag to mark the version indicating the launch stage.", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "PREVIEW", "GA", "DEPRECATED" ], "enumDescriptions": [ "LAUNCH_STAGE_UNSPECIFIED.", "PREVIEW.", "GA.", "DEPRECATED." ], "type": "string", "readOnly": true }, "name": { "description": "Output only. Resource name of the Provider. Format: projects/{project}/locations/{location}/providers/{provider}", "type": "string", "readOnly": true }, "description": { "type": "string", "readOnly": true, "description": "Output only. Description of the resource." }, "webAssetsLocation": { "description": "Output only. Cloud storage location of icons etc consumed by UI.", "readOnly": true, "type": "string" }, "createTime": { "type": "string", "description": "Output only. Created time.", "format": "google-datetime", "readOnly": true }, "labels": { "additionalProperties": { "type": "string" }, "readOnly": true, "type": "object", "description": "Output only. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources" } }, "id": "Provider" }, "ResultMetadata": { "properties": { "description": { "description": "A brief description of the field.", "type": "string" }, "dataType": { "enumDescriptions": [ "Data type is not specified.", "DEPRECATED! Use DATA_TYPE_INTEGER.", "Short integer(int16) data type.", "Double data type.", "Date data type.", "DEPRECATED! Use DATA_TYPE_TIMESTAMP.", "Time data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "DEPRECATED! Use DATA_TYPE_BIGINT.", "Boolean data type.", "Decimal data type.", "DEPRECATED! Use DATA_TYPE_VARCHAR.", "UNSUPPORTED! Binary data type.", "Bit data type.", "Small integer(int8) data type.", "Integer(int32) data type.", "Long integer(int64) data type.", "Float data type.", "Real data type.", "Numeric data type.", "Char data type.", "Varchar data type.", "Longvarchar data type.", "Timestamp data type.", "Nchar data type.", "Nvarchar data type.", "Longnvarchar data type.", "Null data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Row id data type.", "UNSUPPORTED! Binary data type.", "UNSUPPORTED! Variable binary data type.", "UNSUPPORTED! Long variable binary data type.", "UNSUPPORTED! NCLOB data type.", "UNSUPPORTED! SQL XML data type is not supported.", "UNSUPPORTED! Cursor reference type is not supported.", "UNSUPPORTED! Use TIME or TIMESTAMP instead.", "UNSUPPORTED! Use TIMESTAMP instead." ], "enum": [ "DATA_TYPE_UNSPECIFIED", "DATA_TYPE_INT", "DATA_TYPE_SMALLINT", "DATA_TYPE_DOUBLE", "DATA_TYPE_DATE", "DATA_TYPE_DATETIME", "DATA_TYPE_TIME", "DATA_TYPE_STRING", "DATA_TYPE_LONG", "DATA_TYPE_BOOLEAN", "DATA_TYPE_DECIMAL", "DATA_TYPE_UUID", "DATA_TYPE_BLOB", "DATA_TYPE_BIT", "DATA_TYPE_TINYINT", "DATA_TYPE_INTEGER", "DATA_TYPE_BIGINT", "DATA_TYPE_FLOAT", "DATA_TYPE_REAL", "DATA_TYPE_NUMERIC", "DATA_TYPE_CHAR", "DATA_TYPE_VARCHAR", "DATA_TYPE_LONGVARCHAR", "DATA_TYPE_TIMESTAMP", "DATA_TYPE_NCHAR", "DATA_TYPE_NVARCHAR", "DATA_TYPE_LONGNVARCHAR", "DATA_TYPE_NULL", "DATA_TYPE_OTHER", "DATA_TYPE_JAVA_OBJECT", "DATA_TYPE_DISTINCT", "DATA_TYPE_STRUCT", "DATA_TYPE_ARRAY", "DATA_TYPE_CLOB", "DATA_TYPE_REF", "DATA_TYPE_DATALINK", "DATA_TYPE_ROWID", "DATA_TYPE_BINARY", "DATA_TYPE_VARBINARY", "DATA_TYPE_LONGVARBINARY", "DATA_TYPE_NCLOB", "DATA_TYPE_SQLXML", "DATA_TYPE_REF_CURSOR", "DATA_TYPE_TIME_WITH_TIMEZONE", "DATA_TYPE_TIMESTAMP_WITH_TIMEZONE" ], "type": "string", "description": "The data type of the field." }, "field": { "type": "string", "description": "Name of the result field." } }, "type": "object", "description": "Metadata of result field.", "id": "ResultMetadata" }, "Source": { "properties": { "sourceType": { "enum": [ "SOURCE_TYPE_UNSPECIFIED", "CONFIG_VARIABLE" ], "enumDescriptions": [ "Default SOURCE.", "Config Variable source type." ], "description": "Type of the source.", "type": "string" }, "fieldId": { "type": "string", "description": "Field identifier. For example config vaiable name." } }, "type": "object", "id": "Source", "description": "Source to extract the backend from." }, "Oauth2ClientCredentials": { "description": "Parameters to support Oauth 2.0 Client Credentials Grant Authentication. See https://tools.ietf.org/html/rfc6749#section-1.3.4 for more details.", "type": "object", "properties": { "clientSecret": { "$ref": "Secret", "description": "Secret version reference containing the client secret." }, "clientId": { "description": "The client identifier.", "type": "string" } }, "id": "Oauth2ClientCredentials" }, "ExtractionRule": { "properties": { "extractionRegex": { "description": "Regex used to extract backend details from source. If empty, whole source value will be used.", "type": "string" }, "source": { "description": "Source on which the rule is applied.", "$ref": "Source" } }, "description": "Extraction Rule.", "id": "ExtractionRule", "type": "object" }, "AuthConfigTemplate": { "id": "AuthConfigTemplate", "type": "object", "description": "AuthConfigTemplate defines required field over an authentication type.", "properties": { "configVariableTemplates": { "items": { "$ref": "ConfigVariableTemplate" }, "type": "array", "description": "Config variables to describe an `AuthConfig` for a `Connection`." }, "authType": { "enum": [ "AUTH_TYPE_UNSPECIFIED", "USER_PASSWORD", "OAUTH2_JWT_BEARER", "OAUTH2_CLIENT_CREDENTIALS", "SSH_PUBLIC_KEY" ], "enumDescriptions": [ "Authentication type not specified.", "Username and Password Authentication.", "JSON Web Token (JWT) Profile for Oauth 2.0 Authorization Grant based authentication", "Oauth 2.0 Client Credentials Grant Authentication", "SSH Public Key Authentication" ], "type": "string", "description": "The type of authentication configured." } } }, "Expr": { "type": "object", "id": "Expr", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "SupportedRuntimeFeatures": { "type": "object", "id": "SupportedRuntimeFeatures", "properties": { "actionApis": { "type": "boolean", "description": "Specifies if the connector supports action apis like 'executeAction'." }, "entityApis": { "type": "boolean", "description": "Specifies if the connector supports entity apis like 'createEntity'." }, "sqlQuery": { "type": "boolean", "description": "Specifies if the connector supports 'ExecuteSqlQuery' operation." } }, "description": "Supported runtime features of a connector version. This is passed to the management layer to add a new connector version by the connector developer. Details about how this proto is passed to the management layer is covered in this doc - go/runtime-manifest." }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "type": "object" }, "ConfigVariable": { "type": "object", "description": "ConfigVariable represents a configuration variable present in a Connection. or AuthConfig.", "properties": { "key": { "description": "Key of the config variable.", "type": "string" }, "secretValue": { "$ref": "Secret", "description": "Value is a secret." }, "boolValue": { "type": "boolean", "description": "Value is a bool." }, "intValue": { "format": "int64", "type": "string", "description": "Value is an integer" }, "stringValue": { "description": "Value is a string.", "type": "string" } }, "id": "ConfigVariable" }, "SshPublicKey": { "properties": { "certType": { "description": "Format of SSH Client cert.", "type": "string" }, "sshClientCert": { "$ref": "Secret", "description": "SSH Client Cert. It should contain both public and private key." }, "username": { "description": "The user account used to authenticate.", "type": "string" }, "password": { "description": "This is an optional field used in case client has enabled multi-factor authentication", "$ref": "Secret" }, "sshClientCertPass": { "description": "Password (passphrase) for ssh client certificate if it has one.", "$ref": "Secret" } }, "type": "object", "description": "Parameters to support Ssh public key Authentication.", "id": "SshPublicKey" }, "AuthConfig": { "properties": { "userPassword": { "$ref": "UserPassword", "description": "UserPassword." }, "sshPublicKey": { "$ref": "SshPublicKey", "description": "SSH Public Key." }, "oauth2ClientCredentials": { "description": "Oauth2ClientCredentials.", "$ref": "Oauth2ClientCredentials" }, "authType": { "description": "The type of authentication configured.", "enum": [ "AUTH_TYPE_UNSPECIFIED", "USER_PASSWORD", "OAUTH2_JWT_BEARER", "OAUTH2_CLIENT_CREDENTIALS", "SSH_PUBLIC_KEY" ], "type": "string", "enumDescriptions": [ "Authentication type not specified.", "Username and Password Authentication.", "JSON Web Token (JWT) Profile for Oauth 2.0 Authorization Grant based authentication", "Oauth 2.0 Client Credentials Grant Authentication", "SSH Public Key Authentication" ] }, "oauth2JwtBearer": { "$ref": "Oauth2JwtBearer", "description": "Oauth2JwtBearer." }, "additionalVariables": { "items": { "$ref": "ConfigVariable" }, "description": "List containing additional auth configs.", "type": "array" } }, "type": "object", "description": "AuthConfig defines details of a authentication type.", "id": "AuthConfig" }, "OperationMetadata": { "type": "object", "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation.", "properties": { "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "statusMessage": { "type": "string", "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "endTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "readOnly": true, "format": "google-datetime" } } }, "ListProvidersResponse": { "type": "object", "id": "ListProvidersResponse", "description": "Response message for Connectors.ListProviders.", "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "nextPageToken": { "description": "Next page token.", "type": "string" }, "providers": { "description": "A list of providers.", "items": { "$ref": "Provider" }, "type": "array" } } }, "ExtractionRules": { "description": "Extraction Rules to identity the backends from customer provided configuration in Connection resource.", "id": "ExtractionRules", "properties": { "extractionRule": { "description": "Collection of Extraction Rule.", "type": "array", "items": { "$ref": "ExtractionRule" } } }, "type": "object" }, "EnumOption": { "id": "EnumOption", "type": "object", "description": "EnumOption definition", "properties": { "id": { "type": "string", "description": "Id of the option." }, "displayName": { "description": "Display name of the option.", "type": "string" } } }, "ConnectorVersion": { "description": "ConnectorVersion indicates a specific version of a connector.", "type": "object", "properties": { "labels": { "type": "object", "readOnly": true, "additionalProperties": { "type": "string" }, "description": "Output only. Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources" }, "releaseVersion": { "description": "Output only. ReleaseVersion of the connector, for example: \"1.0.1-alpha\".", "type": "string", "readOnly": true }, "roleGrant": { "$ref": "RoleGrant", "description": "Output only. Role grant configuration for this config variable. It will be DEPRECATED soon.", "readOnly": true }, "displayName": { "type": "string", "description": "Output only. Display name.", "readOnly": true }, "egressControlConfig": { "description": "Output only. Configuration for Egress Control.", "readOnly": true, "$ref": "EgressControlConfig" }, "name": { "type": "string", "readOnly": true, "description": "Output only. Resource name of the Version. Format: projects/{project}/locations/{location}/providers/{provider}/connectors/{connector}/versions/{version}" }, "authConfigTemplates": { "description": "Output only. List of auth configs supported by the Connector Version.", "readOnly": true, "type": "array", "items": { "$ref": "AuthConfigTemplate" } }, "roleGrants": { "type": "array", "items": { "$ref": "RoleGrant" }, "description": "Output only. Role grant configurations for this connector version.", "readOnly": true }, "configVariableTemplates": { "items": { "$ref": "ConfigVariableTemplate" }, "type": "array", "description": "Output only. List of config variables needed to create a connection.", "readOnly": true }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Created time.", "readOnly": true }, "updateTime": { "readOnly": true, "description": "Output only. Updated time.", "type": "string", "format": "google-datetime" }, "launchStage": { "readOnly": true, "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "PREVIEW", "GA", "DEPRECATED" ], "enumDescriptions": [ "LAUNCH_STAGE_UNSPECIFIED.", "PREVIEW.", "GA.", "DEPRECATED." ], "description": "Output only. Flag to mark the version indicating the launch stage." }, "supportedRuntimeFeatures": { "$ref": "SupportedRuntimeFeatures", "readOnly": true, "description": "Output only. Information about the runtime features supported by the Connector." } }, "id": "ConnectorVersion" }, "RuntimeConfig": { "description": "RuntimeConfig is the singleton resource of each location. It includes generic resource configs consumed by control plane and runtime plane like: pub/sub topic/subscription resource name, Cloud Storage location storing schema etc.", "type": "object", "id": "RuntimeConfig", "properties": { "locationId": { "type": "string", "description": "Output only. location_id of the runtime location. E.g. \"us-west1\".", "readOnly": true }, "runtimeEndpoint": { "description": "Output only. The endpoint of the connectors runtime ingress.", "type": "string", "readOnly": true }, "controlPlaneTopic": { "type": "string", "readOnly": true, "description": "Output only. Pub/Sub topic for control plne to send message. communication. E.g. projects/{project-id}/topics/{topic-id}" }, "schemaGcsBucket": { "description": "Output only. The Cloud Storage bucket that stores connector's schema reports.", "type": "string", "readOnly": true }, "controlPlaneSubscription": { "description": "Output only. Pub/Sub subscription for control plane to receive message. E.g. projects/{project-id}/subscriptions/{topic-id}", "readOnly": true, "type": "string" }, "conndTopic": { "description": "Output only. Pub/Sub topic for connd to send message. E.g. projects/{project-id}/topics/{topic-id}", "readOnly": true, "type": "string" }, "state": { "description": "Output only. The state of the location.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "INACTIVE", "ACTIVATING", "ACTIVE", "CREATING", "DELETING", "UPDATING" ], "enumDescriptions": [ "STATE_UNSPECIFIED.", "INACTIVE.", "ACTIVATING.", "ACTIVE.", "CREATING.", "DELETING.", "UPDATING." ], "type": "string" }, "serviceDirectory": { "description": "Output only. The name of the Service Directory service name.", "readOnly": true, "type": "string" }, "conndSubscription": { "type": "string", "readOnly": true, "description": "Output only. Pub/Sub subscription for connd to receive message. E.g. projects/{project-id}/subscriptions/{topic-id}" } } }, "UserPassword": { "properties": { "password": { "$ref": "Secret", "description": "Secret version reference containing the password." }, "username": { "type": "string", "description": "Username." } }, "type": "object", "id": "UserPassword", "description": "Parameters to support Username and Password Authentication." }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "properties": { "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "type": "object", "id": "SetIamPolicyRequest" }, "Status": { "id": "Status", "type": "object", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." } }, "title": "Connectors API", "kind": "discovery#restDescription", "discoveryVersion": "v1", "id": "connectors:v1", "servicePath": "", "ownerName": "Google", "name": "connectors", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "revision": "20220707", "version": "v1", "documentationLink": "https://cloud.google.com/apigee/docs/api-platform/connectors/about-connectors", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "delete": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "connectors.projects.locations.operations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "description": "The name of the operation resource to be deleted." } }, "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "The name of the operation's parent resource.", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The standard list page size." } }, "response": { "$ref": "ListOperationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1/{+name}/operations", "parameterOrder": [ "name" ], "id": "connectors.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "get": { "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Operation" }, "id": "connectors.projects.locations.operations.get", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "httpMethod": "POST", "id": "connectors.projects.locations.operations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:cancel", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "request": { "$ref": "CancelOperationRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "response": { "$ref": "Empty" } } } }, "global": { "resources": { "providers": { "resources": { "connectors": { "resources": { "versions": { "methods": { "get": { "path": "v1/{+name}", "id": "connectors.projects.locations.global.providers.connectors.versions.get", "description": "Gets details of a single connector version.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/global/providers/[^/]+/connectors/[^/]+/versions/[^/]+$", "required": true, "description": "Required. Resource name of the form: `projects/*/locations/*/providers/*/connectors/*/versions/*`", "location": "path" }, "view": { "enumDescriptions": [ "CONNECTOR_VERSION_VIEW_UNSPECIFIED.", "Do not include role grant configs.", "Include role grant configs." ], "location": "query", "description": "Specifies which fields of the ConnectorVersion are returned in the response. Defaults to `CUSTOMER` view.", "enum": [ "CONNECTOR_VERSION_VIEW_UNSPECIFIED", "CONNECTOR_VERSION_VIEW_BASIC", "CONNECTOR_VERSION_VIEW_FULL" ], "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/providers/{providersId}/connectors/{connectorsId}/versions/{versionsId}", "response": { "$ref": "ConnectorVersion" }, "parameterOrder": [ "name" ], "httpMethod": "GET" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/global/providers/{providersId}/connectors/{connectorsId}/versions", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListConnectorVersionsResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/versions", "id": "connectors.projects.locations.global.providers.connectors.versions.list", "description": "Lists Connector Versions in a given project and location.", "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/providers/[^/]+/connectors/[^/]+$", "description": "Required. Parent resource of the connectors, of the form: `projects/*/locations/*/providers/*/connectors/*`", "type": "string" }, "pageSize": { "format": "int32", "description": "Page size.", "location": "query", "type": "integer" }, "view": { "enumDescriptions": [ "CONNECTOR_VERSION_VIEW_UNSPECIFIED.", "Do not include role grant configs.", "Include role grant configs." ], "location": "query", "enum": [ "CONNECTOR_VERSION_VIEW_UNSPECIFIED", "CONNECTOR_VERSION_VIEW_BASIC", "CONNECTOR_VERSION_VIEW_FULL" ], "type": "string", "description": "Specifies which fields of the ConnectorVersion are returned in the response. Defaults to `CUSTOMER` view." }, "pageToken": { "description": "Page token.", "type": "string", "location": "query" } } } } } }, "methods": { "get": { "id": "connectors.projects.locations.global.providers.connectors.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/*/providers/*/connectors/*`", "pattern": "^projects/[^/]+/locations/global/providers/[^/]+/connectors/[^/]+$", "required": true } }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/global/providers/{providersId}/connectors/{connectorsId}", "description": "Gets details of a single Connector.", "response": { "$ref": "Connector" }, "path": "v1/{+name}" }, "list": { "description": "Lists Connectors in a given project and location.", "response": { "$ref": "ListConnectorsResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/connectors", "flatPath": "v1/projects/{projectsId}/locations/global/providers/{providersId}/connectors", "id": "connectors.projects.locations.global.providers.connectors.list", "parameters": { "pageSize": { "description": "Page size.", "type": "integer", "location": "query", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/global/providers/[^/]+$", "type": "string", "location": "path", "description": "Required. Parent resource of the connectors, of the form: `projects/*/locations/*/providers/*`", "required": true }, "pageToken": { "type": "string", "description": "Page token.", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "list": { "path": "v1/{+parent}/providers", "description": "Lists Providers in a given project and location.", "id": "connectors.projects.locations.global.providers.list", "response": { "$ref": "ListProvidersResponse" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/global/providers", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "description": "Required. Parent resource of the API, of the form: `projects/*/locations/*`", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global$" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Page size." }, "pageToken": { "description": "Page token.", "location": "query", "type": "string" } } }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/providers/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Resource name of the form: `projects/*/locations/*/providers/*`" } }, "response": { "$ref": "Provider" }, "description": "Gets details of a single Provider.", "flatPath": "v1/projects/{projectsId}/locations/global/providers/{providersId}", "id": "connectors.projects.locations.global.providers.get", "path": "v1/{+name}" } } } } }, "connections": { "methods": { "patch": { "parameters": { "name": { "required": true, "description": "Output only. Resource name of the Connection. Format: projects/{project}/locations/{location}/connections/{connection}", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$" }, "updateMask": { "location": "query", "description": "Required. Field mask is used to specify the fields to be overwritten in the Connection resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "format": "google-fieldmask" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "connectors.projects.locations.connections.patch", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "request": { "$ref": "Connection" }, "description": "Updates the parameters of a single Connection.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}" }, "get": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}", "parameterOrder": [ "name" ], "description": "Gets details of a single Connection.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "description": "Required. Resource name of the form: `projects/*/locations/*/connections/*`" }, "view": { "enum": [ "CONNECTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "location": "query", "description": "Specifies which fields of the Connection are returned in the response. Defaults to `BASIC` view.", "enumDescriptions": [ "CONNECTION_UNSPECIFIED.", "Do not include runtime required configs.", "Include runtime required configs." ] } }, "path": "v1/{+name}", "response": { "$ref": "Connection" }, "id": "connectors.projects.locations.connections.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "response": { "$ref": "ListConnectionsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "filter": { "type": "string", "description": "Filter.", "location": "query" }, "orderBy": { "description": "Order by parameters.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "description": "Required. Parent resource of the Connection, of the form: `projects/*/locations/*`" }, "pageToken": { "type": "string", "location": "query", "description": "Page token." }, "view": { "type": "string", "description": "Specifies which fields of the Connection are returned in the response. Defaults to `BASIC` view.", "enumDescriptions": [ "CONNECTION_UNSPECIFIED.", "Do not include runtime required configs.", "Include runtime required configs." ], "enum": [ "CONNECTION_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "Page size.", "type": "integer" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections", "httpMethod": "GET", "id": "connectors.projects.locations.connections.list", "path": "v1/{+parent}/connections", "description": "Lists Connections in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getConnectionSchemaMetadata": { "response": { "$ref": "ConnectionSchemaMetadata" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}/connectionSchemaMetadata", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+/connectionSchemaMetadata$", "type": "string", "required": true, "description": "Required. Connection name Format: projects/{project}/locations/{location}/connections/{connection}/connectionSchemaMetadata", "location": "path" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "connectors.projects.locations.connections.getConnectionSchemaMetadata", "httpMethod": "GET", "description": "Gets schema metadata of a connection. SchemaMetadata is a singleton resource for each connection." }, "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "connectors.projects.locations.connections.getIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" } }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:getIamPolicy" }, "delete": { "httpMethod": "DELETE", "path": "v1/{+name}", "id": "connectors.projects.locations.connections.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. Resource name of the form: `projects/*/locations/*/connections/*`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}", "response": { "$ref": "Operation" }, "description": "Deletes a single Connection.", "parameterOrder": [ "name" ] }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:setIamPolicy", "id": "connectors.projects.locations.connections.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:setIamPolicy" }, "create": { "request": { "$ref": "Connection" }, "path": "v1/{+parent}/connections", "parameters": { "connectionId": { "description": "Required. Identifier to assign to the Connection. Must be unique within scope of the parent resource.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. Parent resource of the Connection, of the form: `projects/*/locations/*`", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Connection in a given project and location.", "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections", "response": { "$ref": "Operation" }, "id": "connectors.projects.locations.connections.create" }, "testIamPermissions": { "parameterOrder": [ "resource" ], "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}:testIamPermissions", "id": "connectors.projects.locations.connections.testIamPermissions" } }, "resources": { "runtimeActionSchemas": { "methods": { "list": { "id": "connectors.projects.locations.connections.runtimeActionSchemas.list", "path": "v1/{+parent}/runtimeActionSchemas", "response": { "$ref": "ListRuntimeActionSchemasResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "location": "query", "description": "Page token.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "type": "string", "description": "Required. Parent resource of RuntimeActionSchema Format: projects/{project}/locations/{location}/connections/{connection}", "location": "path", "required": true }, "filter": { "type": "string", "location": "query", "description": "Required. Filter Format: action=\"{actionId}\" Only action field is supported with literal equality operator. Accepted filter example: action=\"CancelOrder\" Wildcards are not supported in the filter currently." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Page size." } }, "description": "List schema of a runtime actions filtered by action name.", "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}/runtimeActionSchemas" } } }, "runtimeEntitySchemas": { "methods": { "list": { "response": { "$ref": "ListRuntimeEntitySchemasResponse" }, "path": "v1/{+parent}/runtimeEntitySchemas", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connections/{connectionsId}/runtimeEntitySchemas", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connections/[^/]+$", "required": true, "type": "string", "description": "Required. Parent resource of RuntimeEntitySchema Format: projects/{project}/locations/{location}/connections/{connection}" }, "filter": { "type": "string", "location": "query", "description": "Required. Filter Format: entity=\"{entityId}\" Only entity field is supported with literal equality operator. Accepted filter example: entity=\"Order\" Wildcards are not supported in the filter currently." }, "pageSize": { "description": "Page size.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "description": "Page token.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "connectors.projects.locations.connections.runtimeEntitySchemas.list", "description": "List schema of a runtime entities filtered by entity name." } } } } }, "providers": { "methods": { "testIamPermissions": { "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/providers/{providersId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/providers/[^/]+$", "location": "path" } }, "id": "connectors.projects.locations.providers.testIamPermissions", "parameterOrder": [ "resource" ] }, "getIamPolicy": { "parameters": { "resource": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/providers/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/providers/{providersId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "id": "connectors.projects.locations.providers.getIamPolicy", "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/providers/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST", "id": "connectors.projects.locations.providers.setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/providers/{providersId}:setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" } } } } }, "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "id": "connectors.projects.locations.list", "parameterOrder": [ "name" ], "response": { "$ref": "ListLocationsResponse" }, "path": "v1/{+name}/locations", "httpMethod": "GET", "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "name": { "location": "path", "required": true, "type": "string", "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$" }, "pageSize": { "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "httpMethod": "GET", "id": "connectors.projects.locations.get", "parameters": { "name": { "description": "Resource name for the location.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets information about a location.", "response": { "$ref": "Location" } }, "getRuntimeConfig": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Resource name of the form: `projects/*/locations/*/runtimeConfig`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/runtimeConfig$", "location": "path", "type": "string" } }, "path": "v1/{+name}", "id": "connectors.projects.locations.getRuntimeConfig", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimeConfig", "response": { "$ref": "RuntimeConfig" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the runtimeConfig of a location. RuntimeConfig is a singleton resource for each location.", "httpMethod": "GET" } } } } } }, "baseUrl": "https://connectors.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Connectors", "fullyEncodeReservedExpansion": true, "description": "Enables users to create and manage connections to Google Cloud services and third-party business applications using the Connectors interface.", "batchPath": "batch", "mtlsRootUrl": "https://connectors.mtls.googleapis.com/", "protocol": "rest", "version_module": true, "parameters": { "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" } }, "basePath": "", "rootUrl": "https://connectors.googleapis.com/", "ownerDomain": "google.com" }
]===]))
