local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "basePath": "", "ownerName": "Google", "baseUrl": "https://contactcenterinsights.googleapis.com/", "version_module": true, "documentationLink": "https://cloud.google.com/contact-center/insights/docs", "ownerDomain": "google.com", "rootUrl": "https://contactcenterinsights.googleapis.com/", "servicePath": "", "discoveryVersion": "v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "kind": "discovery#restDescription", "parameters": { "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" } }, "batchPath": "batch", "protocol": "rest", "version": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "schemas": { "GoogleCloudContactcenterinsightsV1Analysis": { "description": "The analysis resource.", "properties": { "name": { "type": "string", "description": "Immutable. The resource name of the analysis. Format: projects/{project}/locations/{location}/conversations/{conversation}/analyses/{analysis}" }, "analysisResult": { "description": "Output only. The result of the analysis, which is populated when the analysis finishes.", "readOnly": true, "$ref": "GoogleCloudContactcenterinsightsV1AnalysisResult" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which the analysis was created, which occurs when the long-running operation completes.", "type": "string" }, "requestTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time at which the analysis was requested.", "type": "string" } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1Analysis" }, "GoogleLongrunningListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "type": "object" }, "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegment": { "description": "A segment of a full transcript.", "type": "object", "properties": { "languageCode": { "description": "The language code of this segment as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".", "type": "string" }, "sentiment": { "$ref": "GoogleCloudContactcenterinsightsV1SentimentData", "description": "The sentiment for this transcript segment." }, "text": { "description": "The text of this segment.", "type": "string" }, "messageTime": { "type": "string", "description": "The time that the message occurred, if provided.", "format": "google-datetime" }, "segmentParticipant": { "description": "The participant of this segment.", "$ref": "GoogleCloudContactcenterinsightsV1ConversationParticipant" }, "words": { "description": "A list of the word-specific information for each word in the segment.", "items": { "$ref": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentWordInfo" }, "type": "array" }, "channelTag": { "type": "integer", "description": "For conversations derived from multi-channel audio, this is the channel number corresponding to the audio from that channel. For audioChannelCount = N, its output values can range from '1' to 'N'. A channel tag of 0 indicates that the audio is mono.", "format": "int32" }, "dialogflowSegmentMetadata": { "$ref": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentDialogflowSegmentMetadata", "description": "CCAI metadata relating to the current transcript segment." }, "confidence": { "type": "number", "description": "A confidence estimate between 0.0 and 1.0 of the fidelity of this segment. A default value of 0.0 indicates that the value is unset.", "format": "float" } }, "id": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegment" }, "GoogleProtobufEmpty": { "properties": {}, "id": "GoogleProtobufEmpty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleCloudContactcenterinsightsV1InterruptionData": { "type": "object", "properties": {}, "id": "GoogleCloudContactcenterinsightsV1InterruptionData", "description": "The data for an interruption annotation." }, "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelRequest": { "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelRequest", "description": "The request to undeploy an issue model.", "properties": { "name": { "description": "Required. The issue model to undeploy.", "type": "string" } } }, "GoogleCloudContactcenterinsightsV1PhraseMatchRuleGroup": { "description": "A message representing a rule in the phrase matcher.", "properties": { "phraseMatchRules": { "description": "A list of phase match rules that are included in this group.", "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatchRule" } }, "type": { "enum": [ "PHRASE_MATCH_RULE_GROUP_TYPE_UNSPECIFIED", "ALL_OF", "ANY_OF" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Must meet all phrase match rules or there is no match.", "If any of the phrase match rules are met, there is a match." ], "description": "Required. The type of this phrase match rule group." } }, "id": "GoogleCloudContactcenterinsightsV1PhraseMatchRuleGroup", "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1IssueModel": { "description": "The issue model resource.", "id": "GoogleCloudContactcenterinsightsV1alpha1IssueModel", "type": "object", "properties": { "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "UNDEPLOYED", "DEPLOYING", "DEPLOYED", "UNDEPLOYING", "DELETING" ], "enumDescriptions": [ "Unspecified.", "Model is not deployed but is ready to deploy.", "Model is being deployed.", "Model is deployed and is ready to be used. A model can only be used in analysis if it's in this state.", "Model is being undeployed.", "Model is being deleted." ], "description": "Output only. State of the model.", "type": "string" }, "displayName": { "description": "The representative name for the issue model.", "type": "string" }, "inputDataConfig": { "description": "Configs for the input data that used to create the issue model.", "$ref": "GoogleCloudContactcenterinsightsV1alpha1IssueModelInputDataConfig" }, "trainingStats": { "description": "Output only. Immutable. The issue model's label statistics on its training data.", "readOnly": true, "$ref": "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStats" }, "createTime": { "description": "Output only. The time at which this issue model was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Immutable. The resource name of the issue model. Format: projects/{project}/locations/{location}/issueModels/{issue_model}" }, "updateTime": { "format": "google-datetime", "description": "Output only. The most recent time at which the issue model was updated.", "readOnly": true, "type": "string" } } }, "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelResponse": { "type": "object", "properties": {}, "description": "The response to deploy an issue model.", "id": "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelResponse" }, "GoogleCloudContactcenterinsightsV1ConversationTranscript": { "id": "GoogleCloudContactcenterinsightsV1ConversationTranscript", "description": "A message representing the transcript of a conversation.", "properties": { "transcriptSegments": { "type": "array", "description": "A list of sequential transcript segments that comprise the conversation.", "items": { "$ref": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegment" } } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeries": { "description": "A time series representing conversations over time.", "id": "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeries", "type": "object", "properties": { "intervalDuration": { "type": "string", "description": "The duration of each interval.", "format": "google-duration" }, "points": { "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeriesInterval" }, "description": "An ordered list of intervals from earliest to latest, where each interval represents the number of conversations that transpired during the time window." } } }, "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequestBigQueryDestination": { "description": "A BigQuery Table Reference.", "properties": { "dataset": { "description": "Required. The name of the BigQuery dataset that the snapshot result should be exported to. If this dataset does not exist, the export call returns an INVALID_ARGUMENT error.", "type": "string" }, "projectId": { "description": "A project ID or number. If specified, then export will attempt to write data to this project instead of the resource project. Otherwise, the resource project will be used.", "type": "string" }, "table": { "description": "The BigQuery table name to which the insights data should be written. If this table does not exist, the export call returns an INVALID_ARGUMENT error.", "type": "string" } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequestBigQueryDestination" }, "GoogleCloudContactcenterinsightsV1DeleteIssueModelRequest": { "description": "The request to delete an issue model.", "id": "GoogleCloudContactcenterinsightsV1DeleteIssueModelRequest", "properties": { "name": { "description": "Required. The name of the issue model to delete.", "type": "string" } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1DeleteIssueModelMetadata": { "description": "Metadata for deleting an issue model.", "id": "GoogleCloudContactcenterinsightsV1alpha1DeleteIssueModelMetadata", "properties": { "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "endTime": { "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true, "type": "string" }, "request": { "description": "The original request for deletion.", "$ref": "GoogleCloudContactcenterinsightsV1alpha1DeleteIssueModelRequest" } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequest": { "id": "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequest", "type": "object", "properties": { "kmsKey": { "type": "string", "description": "A fully qualified KMS key name for BigQuery tables protected by CMEK. Format: projects/{project}/locations/{location}/keyRings/{keyring}/cryptoKeys/{key}/cryptoKeyVersions/{version}" }, "bigQueryDestination": { "$ref": "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequestBigQueryDestination", "description": "Specified if sink is a BigQuery table." }, "parent": { "type": "string", "description": "Required. The parent resource to export data from." }, "writeDisposition": { "type": "string", "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_TRUNCATE", "WRITE_APPEND" ], "enumDescriptions": [ "Write disposition is not specified. Defaults to WRITE_TRUNCATE.", "If the table already exists, BigQuery will overwrite the table data and use the schema from the load.", "If the table already exists, BigQuery will append data to the table." ], "description": "Options for what to do if the destination table already exists." }, "filter": { "type": "string", "description": "A filter to reduce results to a specific subset. Useful for exporting conversations with specific properties." } }, "description": "The request to export insights." }, "GoogleCloudContactcenterinsightsV1RuntimeAnnotation": { "type": "object", "description": "An annotation that was generated during the customer and agent interaction.", "id": "GoogleCloudContactcenterinsightsV1RuntimeAnnotation", "properties": { "annotationId": { "description": "The unique identifier of the annotation. Format: projects/{project}/locations/{location}/conversationDatasets/{dataset}/conversationDataItems/{data_item}/conversationAnnotations/{annotation}", "type": "string" }, "startBoundary": { "$ref": "GoogleCloudContactcenterinsightsV1AnnotationBoundary", "description": "The boundary in the conversation where the annotation starts, inclusive." }, "smartReply": { "description": "Agent Assist Smart Reply data.", "$ref": "GoogleCloudContactcenterinsightsV1SmartReplyData" }, "dialogflowInteraction": { "$ref": "GoogleCloudContactcenterinsightsV1DialogflowInteractionData", "description": "Dialogflow interaction data." }, "endBoundary": { "$ref": "GoogleCloudContactcenterinsightsV1AnnotationBoundary", "description": "The boundary in the conversation where the annotation ends, inclusive." }, "faqAnswer": { "$ref": "GoogleCloudContactcenterinsightsV1FaqAnswerData", "description": "Agent Assist FAQ answer data." }, "createTime": { "format": "google-datetime", "description": "The time at which this annotation was created.", "type": "string" }, "answerFeedback": { "$ref": "GoogleCloudContactcenterinsightsV1AnswerFeedback", "description": "The feedback that the customer has about the answer in `data`." }, "articleSuggestion": { "$ref": "GoogleCloudContactcenterinsightsV1ArticleSuggestionData", "description": "Agent Assist Article Suggestion data." }, "smartComposeSuggestion": { "$ref": "GoogleCloudContactcenterinsightsV1SmartComposeSuggestionData", "description": "Agent Assist Smart Compose suggestion data." } } }, "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataMetadata": { "description": "Metadata for an export insights operation.", "id": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataMetadata", "type": "object", "properties": { "request": { "description": "The original request for export.", "$ref": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequest" }, "partialErrors": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Partial errors during export operation that might cause the operation output to be incomplete." }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true, "type": "string" } } }, "GoogleCloudContactcenterinsightsV1DeployIssueModelRequest": { "properties": { "name": { "type": "string", "description": "Required. The issue model to deploy." } }, "id": "GoogleCloudContactcenterinsightsV1DeployIssueModelRequest", "description": "The request to deploy an issue model.", "type": "object" }, "GoogleCloudContactcenterinsightsV1Issue": { "properties": { "updateTime": { "readOnly": true, "description": "Output only. The most recent time that this issue was updated.", "format": "google-datetime", "type": "string" }, "name": { "description": "Immutable. The resource name of the issue. Format: projects/{project}/locations/{location}/issueModels/{issue_model}/issues/{issue}", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time at which this issue was created.", "format": "google-datetime", "readOnly": true }, "displayName": { "type": "string", "description": "The representative name for the issue." } }, "description": "The issue resource.", "id": "GoogleCloudContactcenterinsightsV1Issue", "type": "object" }, "GoogleCloudContactcenterinsightsV1ListIssuesResponse": { "description": "The response of listing issues.", "id": "GoogleCloudContactcenterinsightsV1ListIssuesResponse", "type": "object", "properties": { "issues": { "description": "The issues that match the request.", "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1Issue" } } } }, "GoogleCloudContactcenterinsightsV1ExactMatchConfig": { "id": "GoogleCloudContactcenterinsightsV1ExactMatchConfig", "description": "Exact match configuration.", "properties": { "caseSensitive": { "description": "Whether to consider case sensitivity when performing an exact match.", "type": "boolean" } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1AnnotationBoundary": { "id": "GoogleCloudContactcenterinsightsV1AnnotationBoundary", "type": "object", "description": "A point in a conversation that marks the start or the end of an annotation.", "properties": { "wordIndex": { "type": "integer", "format": "int32", "description": "The word index of this boundary with respect to the first word in the transcript piece. This index starts at zero." }, "transcriptIndex": { "description": "The index in the sequence of transcribed pieces of the conversation where the boundary is located. This index starts at zero.", "format": "int32", "type": "integer" } } }, "GoogleCloudContactcenterinsightsV1ExportInsightsDataMetadata": { "id": "GoogleCloudContactcenterinsightsV1ExportInsightsDataMetadata", "properties": { "request": { "$ref": "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequest", "description": "The original request for export." }, "createTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation was created." }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string", "format": "google-datetime" }, "partialErrors": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Partial errors during export operation that might cause the operation output to be incomplete.", "type": "array" } }, "description": "Metadata for an export insights operation.", "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStats": { "properties": { "unclassifiedConversationsCount": { "format": "int64", "description": "Number of analyzed conversations for which no issue was applicable at this point in time.", "type": "string" }, "issueStats": { "type": "object", "description": "Statistics on each issue. Key is the issue's resource name.", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStatsIssueStats" } }, "analyzedConversationsCount": { "type": "string", "description": "Number of conversations the issue model has analyzed at this point in time.", "format": "int64" } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStats", "description": "Aggregated statistics about an issue model." }, "GoogleCloudContactcenterinsightsV1alpha1IssueModelInputDataConfig": { "description": "Configs for the input data used to create the issue model.", "type": "object", "properties": { "trainingConversationsCount": { "format": "int64", "type": "string", "description": "Output only. Number of conversations used in training. Output only.", "readOnly": true }, "medium": { "type": "string", "enum": [ "MEDIUM_UNSPECIFIED", "PHONE_CALL", "CHAT" ], "enumDescriptions": [ "Default value, if unspecified will default to PHONE_CALL.", "The format for conversations that took place over the phone.", "The format for conversations that took place over chat." ], "description": "Medium of conversations used in training data. This field is being deprecated. To specify the medium to be used in training a new issue model, set the `medium` field on `filter`." }, "filter": { "description": "A filter to reduce the conversations used for training the model to a specific subset.", "type": "string" } }, "id": "GoogleCloudContactcenterinsightsV1alpha1IssueModelInputDataConfig" }, "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequest": { "properties": { "bigQueryDestination": { "$ref": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequestBigQueryDestination", "description": "Specified if sink is a BigQuery table." }, "parent": { "description": "Required. The parent resource to export data from.", "type": "string" }, "kmsKey": { "type": "string", "description": "A fully qualified KMS key name for BigQuery tables protected by CMEK. Format: projects/{project}/locations/{location}/keyRings/{keyring}/cryptoKeys/{key}/cryptoKeyVersions/{version}" }, "filter": { "type": "string", "description": "A filter to reduce results to a specific subset. Useful for exporting conversations with specific properties." }, "writeDisposition": { "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_TRUNCATE", "WRITE_APPEND" ], "type": "string", "description": "Options for what to do if the destination table already exists.", "enumDescriptions": [ "Write disposition is not specified. Defaults to WRITE_TRUNCATE.", "If the table already exists, BigQuery will overwrite the table data and use the schema from the load.", "If the table already exists, BigQuery will append data to the table." ] } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataRequest", "description": "The request to export insights." }, "GoogleCloudContactcenterinsightsV1PhraseMatcher": { "type": "object", "properties": { "displayName": { "description": "The human-readable name of the phrase matcher.", "type": "string" }, "roleMatch": { "description": "The role whose utterances the phrase matcher should be matched against. If the role is ROLE_UNSPECIFIED it will be matched against any utterances in the transcript.", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER", "ANY_AGENT" ], "type": "string", "enumDescriptions": [ "Participant's role is not set.", "Participant is a human agent.", "Participant is an automated agent.", "Participant is an end user who conversed with the contact center.", "Participant is either a human or automated agent." ] }, "revisionCreateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp of when the revision was created. It is also the create time when a new matcher is added.", "type": "string" }, "versionTag": { "description": "The customized version tag to use for the phrase matcher. If not specified, it will default to `revision_id`.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the phrase matcher. Format: projects/{project}/locations/{location}/phraseMatchers/{phrase_matcher}" }, "active": { "description": "Applies the phrase matcher only when it is active.", "type": "boolean" }, "revisionId": { "readOnly": true, "type": "string", "description": "Output only. Immutable. The revision ID of the phrase matcher. A new revision is committed whenever the matcher is changed, except when it is activated or deactivated. A server generated random ID will be used. Example: locations/global/phraseMatchers/my-first-matcher@1234567" }, "phraseMatchRuleGroups": { "items": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatchRuleGroup" }, "description": "A list of phase match rule groups that are included in this matcher.", "type": "array" }, "activationUpdateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The most recent time at which the activation status was updated." }, "type": { "enumDescriptions": [ "Unspecified.", "Must meet all phrase match rule groups or there is no match.", "If any of the phrase match rule groups are met, there is a match." ], "enum": [ "PHRASE_MATCHER_TYPE_UNSPECIFIED", "ALL_OF", "ANY_OF" ], "description": "Required. The type of this phrase matcher.", "type": "string" }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The most recent time at which the phrase matcher was updated." } }, "description": "The phrase matcher resource.", "id": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "GoogleCloudContactcenterinsightsV1Intent": { "id": "GoogleCloudContactcenterinsightsV1Intent", "properties": { "displayName": { "description": "The human-readable name of the intent.", "type": "string" }, "id": { "type": "string", "description": "The unique identifier of the intent." } }, "type": "object", "description": "The data for an intent. Represents a detected intent in the conversation, for example MAKES_PROMISE." }, "GoogleCloudContactcenterinsightsV1DeleteIssueModelMetadata": { "description": "Metadata for deleting an issue model.", "id": "GoogleCloudContactcenterinsightsV1DeleteIssueModelMetadata", "type": "object", "properties": { "request": { "$ref": "GoogleCloudContactcenterinsightsV1DeleteIssueModelRequest", "description": "The original request for deletion." }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "format": "google-datetime", "type": "string" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created." } } }, "GoogleCloudContactcenterinsightsV1CreateAnalysisOperationMetadata": { "type": "object", "properties": { "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running." }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "conversation": { "description": "Output only. The Conversation that this Analysis Operation belongs to.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudContactcenterinsightsV1CreateAnalysisOperationMetadata", "description": "Metadata for a create analysis operation." }, "GoogleCloudContactcenterinsightsV1ListAnalysesResponse": { "properties": { "analyses": { "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1Analysis" }, "description": "The analyses that match the request." }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "description": "The response to list analyses.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1ListAnalysesResponse" }, "GoogleCloudContactcenterinsightsV1PhraseMatchData": { "type": "object", "id": "GoogleCloudContactcenterinsightsV1PhraseMatchData", "description": "The data for a matched phrase matcher. Represents information identifying a phrase matcher for a given match.", "properties": { "displayName": { "description": "The human-readable name of the phrase matcher.", "type": "string" }, "phraseMatcher": { "type": "string", "description": "The unique identifier (the resource name) of the phrase matcher." } } }, "GoogleCloudContactcenterinsightsV1DialogflowInteractionData": { "properties": { "dialogflowIntentId": { "description": "The Dialogflow intent resource path. Format: projects/{project}/agent/{agent}/intents/{intent}", "type": "string" }, "confidence": { "description": "The confidence of the match ranging from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number", "format": "float" } }, "id": "GoogleCloudContactcenterinsightsV1DialogflowInteractionData", "description": "Dialogflow interaction data.", "type": "object" }, "GoogleCloudContactcenterinsightsV1ConversationLevelSentiment": { "properties": { "channelTag": { "description": "The channel of the audio that the data applies to.", "type": "integer", "format": "int32" }, "sentimentData": { "$ref": "GoogleCloudContactcenterinsightsV1SentimentData", "description": "Data specifying sentiment." } }, "id": "GoogleCloudContactcenterinsightsV1ConversationLevelSentiment", "type": "object", "description": "One channel of conversation-level sentiment data." }, "GoogleCloudContactcenterinsightsV1IntentMatchData": { "properties": { "intentUniqueId": { "type": "string", "description": "The id of the matched intent. Can be used to retrieve the corresponding intent information." } }, "type": "object", "description": "The data for an intent match. Represents an intent match for a text segment in the conversation. A text segment can be part of a sentence, a complete sentence, or an utterance with multiple sentences.", "id": "GoogleCloudContactcenterinsightsV1IntentMatchData" }, "GoogleCloudContactcenterinsightsV1SentimentData": { "description": "The data for a sentiment annotation.", "properties": { "magnitude": { "format": "float", "type": "number", "description": "A non-negative number from 0 to infinity which represents the abolute magnitude of sentiment regardless of score." }, "score": { "format": "float", "type": "number", "description": "The sentiment score between -1.0 (negative) and 1.0 (positive)." } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1SentimentData" }, "GoogleRpcStatus": { "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelRequest": { "properties": { "name": { "type": "string", "description": "Required. The issue model to deploy." } }, "description": "The request to deploy an issue model.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelRequest" }, "GoogleCloudContactcenterinsightsV1IssueModelLabelStats": { "description": "Aggregated statistics about an issue model.", "id": "GoogleCloudContactcenterinsightsV1IssueModelLabelStats", "properties": { "analyzedConversationsCount": { "format": "int64", "description": "Number of conversations the issue model has analyzed at this point in time.", "type": "string" }, "issueStats": { "description": "Statistics on each issue. Key is the issue's resource name.", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModelLabelStatsIssueStats" }, "type": "object" }, "unclassifiedConversationsCount": { "format": "int64", "type": "string", "description": "Number of analyzed conversations for which no issue was applicable at this point in time." } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1SmartComposeSuggestionData": { "description": "Agent Assist Smart Compose suggestion data.", "id": "GoogleCloudContactcenterinsightsV1SmartComposeSuggestionData", "type": "object", "properties": { "queryRecord": { "description": "The name of the answer record. Format: projects/{project}/locations/{location}/answerRecords/{answer_record}", "type": "string" }, "confidenceScore": { "format": "double", "description": "The system's confidence score that this suggestion is a good match for this conversation, ranging from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number" }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Map that contains metadata about the Smart Compose suggestion and the document from which it originates." }, "suggestion": { "type": "string", "description": "The content of the suggestion." } } }, "GoogleCloudContactcenterinsightsV1Conversation": { "properties": { "transcript": { "readOnly": true, "description": "Output only. The conversation transcript.", "$ref": "GoogleCloudContactcenterinsightsV1ConversationTranscript" }, "ttl": { "format": "google-duration", "description": "Input only. The TTL for this resource. If specified, then this TTL will be used to calculate the expire time.", "type": "string" }, "name": { "type": "string", "description": "Immutable. The resource name of the conversation. Format: projects/{project}/locations/{location}/conversations/{conversation}" }, "turnCount": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. The number of turns in the conversation." }, "medium": { "type": "string", "enum": [ "MEDIUM_UNSPECIFIED", "PHONE_CALL", "CHAT" ], "description": "Immutable. The conversation medium, if unspecified will default to PHONE_CALL.", "enumDescriptions": [ "Default value, if unspecified will default to PHONE_CALL.", "The format for conversations that took place over the phone.", "The format for conversations that took place over chat." ] }, "latestAnalysis": { "$ref": "GoogleCloudContactcenterinsightsV1Analysis", "readOnly": true, "description": "Output only. The conversation's latest analysis, if one exists." }, "duration": { "type": "string", "format": "google-duration", "readOnly": true, "description": "Output only. The duration of the conversation." }, "runtimeAnnotations": { "description": "Output only. The annotations that were generated during the customer and agent interaction.", "readOnly": true, "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1RuntimeAnnotation" } }, "obfuscatedUserId": { "type": "string", "description": "Obfuscated user ID which the customer sent to us." }, "expireTime": { "type": "string", "description": "The time at which this conversation should expire. After this time, the conversation data and any associated analyses will be deleted.", "format": "google-datetime" }, "callMetadata": { "description": "Call-specific metadata.", "$ref": "GoogleCloudContactcenterinsightsV1ConversationCallMetadata" }, "languageCode": { "type": "string", "description": "A user-specified language code for the conversation." }, "dialogflowIntents": { "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1DialogflowIntent" }, "description": "Output only. All the matched Dialogflow intents in the call. The key corresponds to a Dialogflow intent, format: projects/{project}/agent/{agent}/intents/{intent}", "readOnly": true, "type": "object" }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The most recent time at which the conversation was updated.", "type": "string" }, "agentId": { "type": "string", "description": "An opaque, user-specified string representing the human agent who handled the conversation." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map for the user to specify any custom fields. A maximum of 20 labels per conversation is allowed, with a maximum of 256 characters per entry." }, "dataSource": { "description": "The source of the audio and transcription for the conversation.", "$ref": "GoogleCloudContactcenterinsightsV1ConversationDataSource" }, "startTime": { "description": "The time at which the conversation started.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which the conversation was created." } }, "id": "GoogleCloudContactcenterinsightsV1Conversation", "type": "object", "description": "The conversation resource." }, "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelMetadata": { "type": "object", "description": "Metadata for deploying an issue model.", "id": "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelMetadata", "properties": { "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation was created." }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1alpha1DeployIssueModelRequest", "description": "The original request for deployment." }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." } } }, "GoogleCloudContactcenterinsightsV1ConversationDataSource": { "id": "GoogleCloudContactcenterinsightsV1ConversationDataSource", "properties": { "dialogflowSource": { "description": "The source when the conversation comes from Dialogflow.", "$ref": "GoogleCloudContactcenterinsightsV1DialogflowSource" }, "gcsSource": { "description": "A Cloud Storage location specification for the audio and transcript.", "$ref": "GoogleCloudContactcenterinsightsV1GcsSource" } }, "description": "The conversation source, which is a combination of transcript and audio.", "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelResponse": { "id": "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelResponse", "type": "object", "properties": {}, "description": "The response to undeploy an issue model." }, "GoogleCloudContactcenterinsightsV1UndeployIssueModelResponse": { "type": "object", "id": "GoogleCloudContactcenterinsightsV1UndeployIssueModelResponse", "properties": {}, "description": "The response to undeploy an issue model." }, "GoogleCloudContactcenterinsightsV1PhraseMatchRuleConfig": { "type": "object", "properties": { "exactMatchConfig": { "description": "The configuration for the exact match rule.", "$ref": "GoogleCloudContactcenterinsightsV1ExactMatchConfig" } }, "description": "Configuration information of a phrase match rule.", "id": "GoogleCloudContactcenterinsightsV1PhraseMatchRuleConfig" }, "GoogleCloudContactcenterinsightsV1AnswerFeedback": { "id": "GoogleCloudContactcenterinsightsV1AnswerFeedback", "description": "The feedback that the customer has about a certain answer in the conversation.", "properties": { "clicked": { "type": "boolean", "description": "Indicates whether an answer or item was clicked by the human agent." }, "displayed": { "type": "boolean", "description": "Indicates whether an answer or item was displayed to the human agent in the agent desktop UI." }, "correctnessLevel": { "description": "The correctness level of an answer.", "enumDescriptions": [ "Correctness level unspecified.", "Answer is totally wrong.", "Answer is partially correct.", "Answer is fully correct." ], "type": "string", "enum": [ "CORRECTNESS_LEVEL_UNSPECIFIED", "NOT_CORRECT", "PARTIALLY_CORRECT", "FULLY_CORRECT" ] } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1DialogflowSource": { "id": "GoogleCloudContactcenterinsightsV1DialogflowSource", "type": "object", "description": "A Dialogflow source of conversation data.", "properties": { "dialogflowConversation": { "type": "string", "description": "Output only. The name of the Dialogflow conversation that this conversation resource is derived from. Format: projects/{project}/locations/{location}/conversations/{conversation}", "readOnly": true }, "audioUri": { "description": "Cloud Storage URI that points to a file that contains the conversation audio.", "type": "string" } } }, "GoogleCloudContactcenterinsightsV1CreateIssueModelRequest": { "properties": { "issueModel": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel", "description": "Required. The issue model to create." }, "parent": { "description": "Required. The parent resource of the issue model.", "type": "string" } }, "id": "GoogleCloudContactcenterinsightsV1CreateIssueModelRequest", "description": "The request to create an issue model.", "type": "object" }, "GoogleCloudContactcenterinsightsV1View": { "properties": { "createTime": { "type": "string", "description": "Output only. The time at which this view was created.", "readOnly": true, "format": "google-datetime" }, "displayName": { "type": "string", "description": "The human-readable display name of the view." }, "name": { "description": "Immutable. The resource name of the view. Format: projects/{project}/locations/{location}/views/{view}", "type": "string" }, "value": { "description": "String with specific view properties.", "type": "string" }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The most recent time at which the view was updated." } }, "id": "GoogleCloudContactcenterinsightsV1View", "type": "object", "description": "The View resource." }, "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentWordInfo": { "id": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentWordInfo", "description": "Word-level info for words in a transcript.", "properties": { "confidence": { "format": "float", "description": "A confidence estimate between 0.0 and 1.0 of the fidelity of this word. A default value of 0.0 indicates that the value is unset.", "type": "number" }, "word": { "type": "string", "description": "The word itself. Includes punctuation marks that surround the word." }, "startOffset": { "format": "google-duration", "type": "string", "description": "Time offset of the start of this word relative to the beginning of the total conversation." }, "endOffset": { "type": "string", "description": "Time offset of the end of this word relative to the beginning of the total conversation.", "format": "google-duration" } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1alpha1CreateAnalysisOperationMetadata": { "properties": { "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string" }, "conversation": { "type": "string", "description": "Output only. The Conversation that this Analysis Operation belongs to.", "readOnly": true } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1alpha1CreateAnalysisOperationMetadata", "description": "Metadata for a create analysis operation." }, "GoogleCloudContactcenterinsightsV1GcsSource": { "type": "object", "properties": { "audioUri": { "description": "Cloud Storage URI that points to a file that contains the conversation audio.", "type": "string" }, "transcriptUri": { "type": "string", "description": "Immutable. Cloud Storage URI that points to a file that contains the conversation transcript." } }, "description": "A Cloud Storage source of conversation data.", "id": "GoogleCloudContactcenterinsightsV1GcsSource" }, "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStatsIssueStats": { "description": "Aggregated statistics about an issue.", "id": "GoogleCloudContactcenterinsightsV1alpha1IssueModelLabelStatsIssueStats", "properties": { "issue": { "description": "Issue resource. Format: projects/{project}/locations/{location}/issueModels/{issue_model}/issues/{issue}", "type": "string" }, "displayName": { "type": "string", "description": "Display name of the issue." }, "labeledConversationsCount": { "description": "Number of conversations attached to the issue at this point in time.", "format": "int64", "type": "string" } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1ExportInsightsDataResponse": { "id": "GoogleCloudContactcenterinsightsV1ExportInsightsDataResponse", "properties": {}, "type": "object", "description": "Response for an export insights operation." }, "GoogleCloudContactcenterinsightsV1alpha1DeleteIssueModelRequest": { "description": "The request to delete an issue model.", "id": "GoogleCloudContactcenterinsightsV1alpha1DeleteIssueModelRequest", "type": "object", "properties": { "name": { "description": "Required. The name of the issue model to delete.", "type": "string" } } }, "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelMetadata": { "type": "object", "description": "Metadata for undeploying an issue model.", "id": "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelMetadata", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running.", "readOnly": true }, "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1alpha1UndeployIssueModelRequest", "description": "The original request for undeployment." } } }, "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeriesInterval": { "properties": { "conversationCount": { "format": "int32", "type": "integer", "description": "The number of conversations created in this interval." }, "startTime": { "description": "The start time of this interval.", "type": "string", "format": "google-datetime" } }, "description": "A single interval in a time series.", "id": "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeriesInterval", "type": "object" }, "GoogleCloudContactcenterinsightsV1SilenceData": { "properties": {}, "description": "The data for a silence annotation.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1SilenceData" }, "GoogleCloudContactcenterinsightsV1IssueModelInputDataConfig": { "description": "Configs for the input data used to create the issue model.", "type": "object", "properties": { "trainingConversationsCount": { "type": "string", "description": "Output only. Number of conversations used in training. Output only.", "format": "int64", "readOnly": true }, "filter": { "description": "A filter to reduce the conversations used for training the model to a specific subset.", "type": "string" }, "medium": { "type": "string", "enum": [ "MEDIUM_UNSPECIFIED", "PHONE_CALL", "CHAT" ], "enumDescriptions": [ "Default value, if unspecified will default to PHONE_CALL.", "The format for conversations that took place over the phone.", "The format for conversations that took place over chat." ], "description": "Medium of conversations used in training data. This field is being deprecated. To specify the medium to be used in training a new issue model, set the `medium` field on `filter`." } }, "id": "GoogleCloudContactcenterinsightsV1IssueModelInputDataConfig" }, "GoogleCloudContactcenterinsightsV1ConversationParticipant": { "type": "object", "description": "The call participant speaking for a given utterance.", "properties": { "role": { "type": "string", "description": "The role of the participant.", "enumDescriptions": [ "Participant's role is not set.", "Participant is a human agent.", "Participant is an automated agent.", "Participant is an end user who conversed with the contact center.", "Participant is either a human or automated agent." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER", "ANY_AGENT" ] }, "userId": { "description": "A user-specified ID representing the participant.", "type": "string" }, "dialogflowParticipant": { "description": "Deprecated. Use `dialogflow_participant_name` instead. The name of the Dialogflow participant. Format: projects/{project}/locations/{location}/conversations/{conversation}/participants/{participant}", "type": "string" }, "dialogflowParticipantName": { "description": "The name of the participant provided by Dialogflow. Format: projects/{project}/locations/{location}/conversations/{conversation}/participants/{participant}", "type": "string" }, "obfuscatedExternalUserId": { "type": "string", "description": "Obfuscated user ID from Dialogflow." } }, "id": "GoogleCloudContactcenterinsightsV1ConversationParticipant" }, "GoogleCloudContactcenterinsightsV1DialogflowIntent": { "description": "The data for a Dialogflow intent. Represents a detected intent in the conversation, e.g. MAKES_PROMISE.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1DialogflowIntent", "properties": { "displayName": { "description": "The human-readable name of the intent.", "type": "string" } } }, "GoogleCloudContactcenterinsightsV1alpha1CreateIssueModelMetadata": { "description": "Metadata for creating an issue model.", "type": "object", "properties": { "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string" }, "createTime": { "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1alpha1CreateIssueModelRequest", "description": "The original request for creation." } }, "id": "GoogleCloudContactcenterinsightsV1alpha1CreateIssueModelMetadata" }, "GoogleCloudContactcenterinsightsV1ConversationCallMetadata": { "description": "Call-specific metadata.", "properties": { "customerChannel": { "type": "integer", "description": "The audio channel that contains the customer.", "format": "int32" }, "agentChannel": { "description": "The audio channel that contains the agent.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudContactcenterinsightsV1ConversationCallMetadata", "type": "object" }, "GoogleCloudContactcenterinsightsV1ListViewsResponse": { "description": "The response of listing views.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "views": { "description": "The views that match the request.", "items": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "type": "array" } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1ListViewsResponse" }, "GoogleCloudContactcenterinsightsV1EntityMentionData": { "type": "object", "description": "The data for an entity mention annotation. This represents a mention of an `Entity` in the conversation.", "properties": { "type": { "enumDescriptions": [ "Unspecified.", "Proper noun.", "Common noun (or noun compound)." ], "type": "string", "enum": [ "MENTION_TYPE_UNSPECIFIED", "PROPER", "COMMON" ], "description": "The type of the entity mention." }, "entityUniqueId": { "type": "string", "description": "The key of this entity in conversation entities. Can be used to retrieve the exact `Entity` this mention is attached to." }, "sentiment": { "description": "Sentiment expressed for this mention of the entity.", "$ref": "GoogleCloudContactcenterinsightsV1SentimentData" } }, "id": "GoogleCloudContactcenterinsightsV1EntityMentionData" }, "GoogleCloudContactcenterinsightsV1ArticleSuggestionData": { "properties": { "uri": { "type": "string", "description": "Article URI." }, "title": { "description": "Article title.", "type": "string" }, "source": { "type": "string", "description": "The knowledge document that this answer was extracted from. Format: projects/{project}/knowledgeBases/{knowledge_base}/documents/{document}" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Map that contains metadata about the Article Suggestion and the document that it originates from.", "type": "object" }, "queryRecord": { "type": "string", "description": "The name of the answer record. Format: projects/{project}/locations/{location}/answerRecords/{answer_record}" }, "confidenceScore": { "type": "number", "format": "float", "description": "The system's confidence score that this article is a good match for this conversation, ranging from 0.0 (completely uncertain) to 1.0 (completely certain)." } }, "description": "Agent Assist Article Suggestion data.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1ArticleSuggestionData" }, "GoogleCloudContactcenterinsightsV1ListPhraseMatchersResponse": { "type": "object", "properties": { "phraseMatchers": { "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "description": "The phrase matchers that match the request." }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "id": "GoogleCloudContactcenterinsightsV1ListPhraseMatchersResponse", "description": "The response of listing phrase matchers." }, "GoogleCloudContactcenterinsightsV1DeployIssueModelResponse": { "description": "The response to deploy an issue model.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1DeployIssueModelResponse", "properties": {} }, "GoogleCloudContactcenterinsightsV1CreateIssueModelMetadata": { "type": "object", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running.", "readOnly": true }, "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1CreateIssueModelRequest", "description": "The original request for creation." } }, "description": "Metadata for creating an issue model.", "id": "GoogleCloudContactcenterinsightsV1CreateIssueModelMetadata" }, "GoogleCloudContactcenterinsightsV1CallAnnotation": { "type": "object", "description": "A piece of metadata that applies to a window of a call.", "properties": { "annotationEndBoundary": { "description": "The boundary in the conversation where the annotation ends, inclusive.", "$ref": "GoogleCloudContactcenterinsightsV1AnnotationBoundary" }, "intentMatchData": { "description": "Data specifying an intent match.", "$ref": "GoogleCloudContactcenterinsightsV1IntentMatchData" }, "holdData": { "$ref": "GoogleCloudContactcenterinsightsV1HoldData", "description": "Data specifying a hold." }, "annotationStartBoundary": { "$ref": "GoogleCloudContactcenterinsightsV1AnnotationBoundary", "description": "The boundary in the conversation where the annotation starts, inclusive." }, "entityMentionData": { "$ref": "GoogleCloudContactcenterinsightsV1EntityMentionData", "description": "Data specifying an entity mention." }, "phraseMatchData": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatchData", "description": "Data specifying a phrase match." }, "silenceData": { "description": "Data specifying silence.", "$ref": "GoogleCloudContactcenterinsightsV1SilenceData" }, "channelTag": { "format": "int32", "description": "The channel of the audio where the annotation occurs. For single-channel audio, this field is not populated.", "type": "integer" }, "sentimentData": { "description": "Data specifying sentiment.", "$ref": "GoogleCloudContactcenterinsightsV1SentimentData" }, "interruptionData": { "description": "Data specifying an interruption.", "$ref": "GoogleCloudContactcenterinsightsV1InterruptionData" } }, "id": "GoogleCloudContactcenterinsightsV1CallAnnotation" }, "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentDialogflowSegmentMetadata": { "properties": { "smartReplyAllowlistCovered": { "description": "Whether the transcript segment was covered under the configured smart reply allowlist in Agent Assist.", "type": "boolean" } }, "id": "GoogleCloudContactcenterinsightsV1ConversationTranscriptTranscriptSegmentDialogflowSegmentMetadata", "description": "Metadata from Dialogflow relating to the current transcript segment.", "type": "object" }, "GoogleCloudContactcenterinsightsV1SmartReplyData": { "properties": { "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Map that contains metadata about the Smart Reply and the document from which it originates." }, "queryRecord": { "type": "string", "description": "The name of the answer record. Format: projects/{project}/locations/{location}/answerRecords/{answer_record}" }, "confidenceScore": { "format": "double", "type": "number", "description": "The system's confidence score that this reply is a good match for this conversation, ranging from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "reply": { "description": "The content of the reply.", "type": "string" } }, "description": "Agent Assist Smart Reply data.", "id": "GoogleCloudContactcenterinsightsV1SmartReplyData", "type": "object" }, "GoogleCloudContactcenterinsightsV1IssueModelLabelStatsIssueStats": { "id": "GoogleCloudContactcenterinsightsV1IssueModelLabelStatsIssueStats", "type": "object", "properties": { "issue": { "type": "string", "description": "Issue resource. Format: projects/{project}/locations/{location}/issueModels/{issue_model}/issues/{issue}" }, "displayName": { "type": "string", "description": "Display name of the issue." }, "labeledConversationsCount": { "format": "int64", "description": "Number of conversations attached to the issue at this point in time.", "type": "string" } }, "description": "Aggregated statistics about an issue." }, "GoogleCloudContactcenterinsightsV1SettingsAnalysisConfig": { "properties": { "runtimeIntegrationAnalysisPercentage": { "description": "Percentage of conversations created using Dialogflow runtime integration to analyze automatically, between [0, 100].", "format": "double", "type": "number" } }, "id": "GoogleCloudContactcenterinsightsV1SettingsAnalysisConfig", "description": "Default configuration when creating Analyses in Insights.", "type": "object" }, "GoogleCloudContactcenterinsightsV1ListIssueModelsResponse": { "properties": { "issueModels": { "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel" }, "description": "The issue models that match the request." } }, "id": "GoogleCloudContactcenterinsightsV1ListIssueModelsResponse", "type": "object", "description": "The response of listing issue models." }, "GoogleCloudContactcenterinsightsV1HoldData": { "properties": {}, "id": "GoogleCloudContactcenterinsightsV1HoldData", "type": "object", "description": "The data for a hold annotation." }, "GoogleCloudContactcenterinsightsV1UndeployIssueModelRequest": { "type": "object", "id": "GoogleCloudContactcenterinsightsV1UndeployIssueModelRequest", "properties": { "name": { "description": "Required. The issue model to undeploy.", "type": "string" } }, "description": "The request to undeploy an issue model." }, "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequestBigQueryDestination": { "type": "object", "description": "A BigQuery Table Reference.", "id": "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequestBigQueryDestination", "properties": { "projectId": { "type": "string", "description": "A project ID or number. If specified, then export will attempt to write data to this project instead of the resource project. Otherwise, the resource project will be used." }, "dataset": { "type": "string", "description": "Required. The name of the BigQuery dataset that the snapshot result should be exported to. If this dataset does not exist, the export call returns an INVALID_ARGUMENT error." }, "table": { "description": "The BigQuery table name to which the insights data should be written. If this table does not exist, the export call returns an INVALID_ARGUMENT error.", "type": "string" } } }, "GoogleCloudContactcenterinsightsV1Settings": { "description": "The settings resource.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1Settings", "properties": { "pubsubNotificationSettings": { "type": "object", "additionalProperties": { "type": "string" }, "description": "A map that maps a notification trigger to a Pub/Sub topic. Each time a specified trigger occurs, Insights will notify the corresponding Pub/Sub topic. Keys are notification triggers. Supported keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"all-triggers\": Notify each time any of the supported triggers occurs. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"create-analysis\": Notify each time an analysis is created. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"create-conversation\": Notify each time a conversation is created. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"export-insights-data\": Notify each time an export is complete. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"update-conversation\": Notify each time a conversation is updated via UpdateConversation. Values are Pub/Sub topics. The format of each Pub/Sub topic is: projects/{project}/topics/{topic}" }, "conversationTtl": { "format": "google-duration", "description": "The default TTL for newly-created conversations. If a conversation has a specified expiration, that value will be used instead. Changing this value will not change the expiration of existing conversations. Conversations with no expire time persist until they are deleted.", "type": "string" }, "name": { "description": "Immutable. The resource name of the settings resource. Format: projects/{project}/locations/{location}/settings", "type": "string" }, "createTime": { "description": "Output only. The time at which the settings was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "updateTime": { "type": "string", "description": "Output only. The time at which the settings were last updated.", "format": "google-datetime", "readOnly": true }, "languageCode": { "type": "string", "description": "A language code to be applied to each transcript segment unless the segment already specifies a language code. Language code defaults to \"en-US\" if it is neither specified on the segment nor here." }, "analysisConfig": { "description": "Default analysis settings.", "$ref": "GoogleCloudContactcenterinsightsV1SettingsAnalysisConfig" } } }, "GoogleCloudContactcenterinsightsV1AnalysisResult": { "properties": { "endTime": { "type": "string", "format": "google-datetime", "description": "The time at which the analysis ended." }, "callAnalysisMetadata": { "$ref": "GoogleCloudContactcenterinsightsV1AnalysisResultCallAnalysisMetadata", "description": "Call-specific metadata created by the analysis." } }, "id": "GoogleCloudContactcenterinsightsV1AnalysisResult", "description": "The result of an analysis.", "type": "object" }, "GoogleCloudContactcenterinsightsV1ListConversationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token which can be sent as `page_token` to retrieve the next page. If this field is set, it means there is another page available. If it is not set, it means no other pages are available." }, "conversations": { "items": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" }, "type": "array", "description": "The conversations that match the request." } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1ListConversationsResponse", "description": "The response of listing conversations." }, "GoogleCloudContactcenterinsightsV1AnalysisResultCallAnalysisMetadata": { "id": "GoogleCloudContactcenterinsightsV1AnalysisResultCallAnalysisMetadata", "type": "object", "properties": { "issueModelResult": { "description": "Overall conversation-level issue modeling result.", "$ref": "GoogleCloudContactcenterinsightsV1IssueModelResult" }, "phraseMatchers": { "type": "object", "description": "All the matched phrase matchers in the call.", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatchData" } }, "annotations": { "description": "A list of call annotations that apply to this call.", "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1CallAnnotation" } }, "entities": { "type": "object", "description": "All the entities in the call.", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1Entity" } }, "sentiments": { "description": "Overall conversation-level sentiment for each channel of the call.", "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1ConversationLevelSentiment" } }, "intents": { "type": "object", "description": "All the matched intents in the call.", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1Intent" } } }, "description": "Call-specific metadata created during analysis." }, "GoogleCloudContactcenterinsightsV1UndeployIssueModelMetadata": { "properties": { "request": { "description": "The original request for undeployment.", "$ref": "GoogleCloudContactcenterinsightsV1UndeployIssueModelRequest" }, "endTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "readOnly": true, "format": "google-datetime" } }, "id": "GoogleCloudContactcenterinsightsV1UndeployIssueModelMetadata", "description": "Metadata for undeploying an issue model.", "type": "object" }, "GoogleCloudContactcenterinsightsV1IssueModelResult": { "description": "Issue Modeling result on a conversation.", "properties": { "issues": { "description": "All the matched issues.", "type": "array", "items": { "$ref": "GoogleCloudContactcenterinsightsV1IssueAssignment" } }, "issueModel": { "description": "Issue model that generates the result. Format: projects/{project}/locations/{location}/issueModels/{issue_model}", "type": "string" } }, "type": "object", "id": "GoogleCloudContactcenterinsightsV1IssueModelResult" }, "GoogleCloudContactcenterinsightsV1PhraseMatchRule": { "type": "object", "description": "The data for a phrase match rule.", "properties": { "config": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatchRuleConfig", "description": "Provides additional information about the rule that specifies how to apply the rule." }, "negated": { "type": "boolean", "description": "Specifies whether the phrase must be missing from the transcript segment or present in the transcript segment." }, "query": { "description": "Required. The phrase to be matched.", "type": "string" } }, "id": "GoogleCloudContactcenterinsightsV1PhraseMatchRule" }, "GoogleCloudContactcenterinsightsV1IssueModel": { "properties": { "inputDataConfig": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModelInputDataConfig", "description": "Configs for the input data that used to create the issue model." }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which this issue model was created.", "type": "string" }, "updateTime": { "description": "Output only. The most recent time at which the issue model was updated.", "readOnly": true, "type": "string", "format": "google-datetime" }, "state": { "type": "string", "enumDescriptions": [ "Unspecified.", "Model is not deployed but is ready to deploy.", "Model is being deployed.", "Model is deployed and is ready to be used. A model can only be used in analysis if it's in this state.", "Model is being undeployed.", "Model is being deleted." ], "readOnly": true, "description": "Output only. State of the model.", "enum": [ "STATE_UNSPECIFIED", "UNDEPLOYED", "DEPLOYING", "DEPLOYED", "UNDEPLOYING", "DELETING" ] }, "displayName": { "description": "The representative name for the issue model.", "type": "string" }, "trainingStats": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModelLabelStats", "description": "Output only. Immutable. The issue model's label statistics on its training data.", "readOnly": true }, "name": { "type": "string", "description": "Immutable. The resource name of the issue model. Format: projects/{project}/locations/{location}/issueModels/{issue_model}" } }, "description": "The issue model resource.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1IssueModel" }, "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataResponse": { "id": "GoogleCloudContactcenterinsightsV1alpha1ExportInsightsDataResponse", "properties": {}, "type": "object", "description": "Response for an export insights operation." }, "GoogleCloudContactcenterinsightsV1DeployIssueModelMetadata": { "type": "object", "id": "GoogleCloudContactcenterinsightsV1DeployIssueModelMetadata", "properties": { "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation was created." }, "endTime": { "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1DeployIssueModelRequest", "description": "The original request for deployment." } }, "description": "Metadata for deploying an issue model." }, "GoogleCloudContactcenterinsightsV1CalculateStatsResponse": { "description": "The response for calculating conversation statistics.", "properties": { "issueMatchesStats": { "description": "A map associating each issue resource name with its respective number of matches in the set of conversations. Key has the format: `projects//locations//issueModels//issues/`", "type": "object", "additionalProperties": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModelLabelStatsIssueStats" } }, "averageTurnCount": { "description": "The average number of turns per conversation.", "format": "int32", "type": "integer" }, "customHighlighterMatches": { "description": "A map associating each custom highlighter resource name with its respective number of matches in the set of conversations.", "additionalProperties": { "type": "integer", "format": "int32" }, "type": "object" }, "issueMatches": { "additionalProperties": { "type": "integer", "format": "int32" }, "type": "object", "description": "A map associating each issue resource name with its respective number of matches in the set of conversations. Key has the format: `projects//locations//issueModels//issues/` Deprecated, use `issue_matches_stats` field instead." }, "averageDuration": { "description": "The average duration of all conversations. The average is calculated using only conversations that have a time duration.", "format": "google-duration", "type": "string" }, "conversationCountTimeSeries": { "$ref": "GoogleCloudContactcenterinsightsV1CalculateStatsResponseTimeSeries", "description": "A time series representing the count of conversations created over time that match that requested filter criteria." }, "conversationCount": { "type": "integer", "description": "The total number of conversations.", "format": "int32" }, "smartHighlighterMatches": { "additionalProperties": { "type": "integer", "format": "int32" }, "description": "A map associating each smart highlighter display name with its respective number of matches in the set of conversations.", "type": "object" } }, "id": "GoogleCloudContactcenterinsightsV1CalculateStatsResponse", "type": "object" }, "GoogleCloudContactcenterinsightsV1CalculateIssueModelStatsResponse": { "type": "object", "properties": { "currentStats": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModelLabelStats", "description": "The latest label statistics for the queried issue model. Includes results on both training data and data labeled after deployment." } }, "description": "Response of querying an issue model's statistics.", "id": "GoogleCloudContactcenterinsightsV1CalculateIssueModelStatsResponse" }, "GoogleCloudContactcenterinsightsV1alpha1CreateIssueModelRequest": { "properties": { "issueModel": { "description": "Required. The issue model to create.", "$ref": "GoogleCloudContactcenterinsightsV1alpha1IssueModel" }, "parent": { "type": "string", "description": "Required. The parent resource of the issue model." } }, "id": "GoogleCloudContactcenterinsightsV1alpha1CreateIssueModelRequest", "description": "The request to create an issue model.", "type": "object" }, "GoogleLongrunningOperation": { "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "id": "GoogleLongrunningOperation", "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "GoogleCloudContactcenterinsightsV1IssueAssignment": { "properties": { "displayName": { "description": "Immutable. Display name of the assigned issue. This field is set at time of analyis and immutable since then.", "type": "string" }, "issue": { "type": "string", "description": "Resource name of the assigned issue." }, "score": { "format": "double", "description": "Score indicating the likelihood of the issue assignment. currently bounded on [0,1].", "type": "number" } }, "description": "Information about the issue.", "type": "object", "id": "GoogleCloudContactcenterinsightsV1IssueAssignment" }, "GoogleCloudContactcenterinsightsV1FaqAnswerData": { "id": "GoogleCloudContactcenterinsightsV1FaqAnswerData", "description": "Agent Assist frequently-asked-question answer data.", "properties": { "question": { "type": "string", "description": "The corresponding FAQ question." }, "answer": { "description": "The piece of text from the `source` knowledge base document.", "type": "string" }, "queryRecord": { "description": "The name of the answer record. Format: projects/{project}/locations/{location}/answerRecords/{answer_record}", "type": "string" }, "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Map that contains metadata about the FAQ answer and the document that it originates from." }, "source": { "type": "string", "description": "The knowledge document that this answer was extracted from. Format: projects/{project}/knowledgeBases/{knowledge_base}/documents/{document}." }, "confidenceScore": { "format": "float", "type": "number", "description": "The system's confidence score that this answer is a good match for this conversation, ranging from 0.0 (completely uncertain) to 1.0 (completely certain)." } }, "type": "object" }, "GoogleCloudContactcenterinsightsV1Entity": { "type": "object", "properties": { "metadata": { "description": "Metadata associated with the entity. For most entity types, the metadata is a Wikipedia URL (`wikipedia_url`) and Knowledge Graph MID (`mid`), if they are available. For the metadata associated with other entity types, see the Type table below.", "additionalProperties": { "type": "string" }, "type": "object" }, "salience": { "description": "The salience score associated with the entity in the [0, 1.0] range. The salience score for an entity provides information about the importance or centrality of that entity to the entire document text. Scores closer to 0 are less salient, while scores closer to 1.0 are highly salient.", "type": "number", "format": "float" }, "displayName": { "type": "string", "description": "The representative name for the entity." }, "sentiment": { "description": "The aggregate sentiment expressed for this entity in the conversation.", "$ref": "GoogleCloudContactcenterinsightsV1SentimentData" }, "type": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "PERSON", "LOCATION", "ORGANIZATION", "EVENT", "WORK_OF_ART", "CONSUMER_GOOD", "OTHER", "PHONE_NUMBER", "ADDRESS", "DATE", "NUMBER", "PRICE" ], "description": "The entity type.", "enumDescriptions": [ "Unspecified.", "Person.", "Location.", "Organization.", "Event.", "Artwork.", "Consumer product.", "Other types of entities.", "Phone number. The metadata lists the phone number (formatted according to local convention), plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `number` - The actual number, broken down into sections according to local convention. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `national_prefix` - Country code, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `area_code` - Region or area code, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `extension` - Phone extension (to be dialed after connection), if detected.", "Address. The metadata identifies the street number and locality plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_number` - Street number. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locality` - City or town. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_name` - Street/route name, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `postal_code` - Postal code, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `country` - Country, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `broad_region` - Administrative area, such as the state, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `narrow_region` - Smaller administrative area, such as county, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sublocality` - Used in Asian addresses to demark a district within a city, if detected.", "Date. The metadata identifies the components of the date: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `year` - Four digit year, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `month` - Two digit month number, if detected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `day` - Two digit day number, if detected.", "Number. The metadata is the number itself.", "Price. The metadata identifies the `value` and `currency`." ] } }, "description": "The data for an entity annotation. Represents a phrase in the conversation that is a known entity, such as a person, an organization, or location.", "id": "GoogleCloudContactcenterinsightsV1Entity" } }, "name": "contactcenterinsights", "title": "Contact Center AI Insights API", "id": "contactcenterinsights:v1", "mtlsRootUrl": "https://contactcenterinsights.mtls.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.operations.get", "path": "v1/{+name}", "httpMethod": "GET" }, "list": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true }, "pageSize": { "format": "int32", "description": "The standard list page size.", "location": "query", "type": "integer" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "id": "contactcenterinsights.projects.locations.operations.list", "path": "v1/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "cancel": { "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "contactcenterinsights.projects.locations.operations.cancel", "path": "v1/{+name}:cancel", "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be cancelled.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } } } } }, "conversations": { "resources": { "analyses": { "methods": { "list": { "path": "v1/{+parent}/analyses", "id": "contactcenterinsights.projects.locations.conversations.analyses.list", "parameters": { "parent": { "location": "path", "description": "Required. The parent resource of the analyses.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "type": "string" }, "pageSize": { "description": "The maximum number of analyses to return in the response. If this value is zero, the service will select a default size. A call might return fewer objects than requested. A non-empty `next_page_token` in the response indicates that more data is available.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "description": "The value returned by the last `ListAnalysesResponse`; indicates that this is a continuation of a prior `ListAnalyses` call and the system should return the next page of data.", "location": "query", "type": "string" }, "filter": { "description": "A filter to reduce results to a specific subset. Useful for querying conversations with specific properties.", "location": "query", "type": "string" } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListAnalysesResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Lists analyses.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/analyses" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates an analysis. The long running operation is done when the analysis has completed.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/analyses", "parameterOrder": [ "parent" ], "httpMethod": "POST", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The parent resource of the analysis.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1Analysis" }, "path": "v1/{+parent}/analyses", "id": "contactcenterinsights.projects.locations.conversations.analyses.create" }, "delete": { "description": "Deletes an analysis.", "httpMethod": "DELETE", "id": "contactcenterinsights.projects.locations.conversations.analyses.delete", "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/analyses/{analysesId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/analyses/[^/]+$", "description": "Required. The name of the analysis to delete.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "get": { "description": "Gets an analysis.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/analyses/{analysesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "description": "Required. The name of the analysis to get.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/analyses/[^/]+$", "type": "string" } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1Analysis" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "contactcenterinsights.projects.locations.conversations.analyses.get" } } } }, "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.conversations.list", "path": "v1/{+parent}/conversations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations", "description": "Lists conversations.", "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListConversationsResponse" }, "parameters": { "view": { "type": "string", "enumDescriptions": [ "The conversation view is not specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Defaults to `FULL` in `GetConversationRequest`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Defaults to `BASIC` in `ListConversationsRequest`.", "Populates all fields in the conversation.", "Populates all fields in the conversation except the transcript." ], "location": "query", "description": "The level of details of the conversation. Default is `BASIC`.", "enum": [ "CONVERSATION_VIEW_UNSPECIFIED", "FULL", "BASIC" ] }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent resource of the conversation." }, "pageToken": { "location": "query", "type": "string", "description": "The value returned by the last `ListConversationsResponse`. This value indicates that this is a continuation of a prior `ListConversations` call and that the system should return the next page of data." }, "pageSize": { "type": "integer", "description": "The maximum number of conversations to return in the response. A valid page size ranges from 0 to 1,000 inclusive. If the page size is zero or unspecified, a default page size of 100 will be chosen. Note that a call might return fewer results than the requested page size.", "location": "query", "format": "int32" }, "filter": { "description": "A filter to reduce results to a specific subset. Useful for querying conversations with specific properties.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ] }, "calculateStats": { "parameters": { "location": { "description": "Required. The location of the conversations.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "filter": { "type": "string", "location": "query", "description": "A filter to reduce results to a specific subset. This field is useful for getting statistics about conversations with specific properties." } }, "httpMethod": "GET", "parameterOrder": [ "location" ], "response": { "$ref": "GoogleCloudContactcenterinsightsV1CalculateStatsResponse" }, "description": "Gets conversation statistics.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations:calculateStats", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.conversations.calculateStats", "path": "v1/{+location}/conversations:calculateStats" }, "patch": { "httpMethod": "PATCH", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}", "description": "Updates a conversation.", "id": "contactcenterinsights.projects.locations.conversations.patch", "response": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Immutable. The resource name of the conversation. Format: projects/{project}/locations/{location}/conversations/{conversation}", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "description": "The list of fields to be updated.", "location": "query", "type": "string" } }, "request": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" } }, "get": { "id": "contactcenterinsights.projects.locations.conversations.get", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "type": "string", "description": "Required. The name of the conversation to get." }, "view": { "enumDescriptions": [ "The conversation view is not specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Defaults to `FULL` in `GetConversationRequest`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Defaults to `BASIC` in `ListConversationsRequest`.", "Populates all fields in the conversation.", "Populates all fields in the conversation except the transcript." ], "location": "query", "type": "string", "enum": [ "CONVERSATION_VIEW_UNSPECIFIED", "FULL", "BASIC" ], "description": "The level of details of the conversation. Default is `FULL`." } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" }, "path": "v1/{+name}", "description": "Gets a conversation.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}", "httpMethod": "GET" }, "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a conversation.", "parameters": { "conversationId": { "type": "string", "location": "query", "description": "A unique ID for the new conversation. This ID will become the final component of the conversation's resource name. If no ID is specified, a server-generated ID will be used. This value should be 4-64 characters and must match the regular expression `^[a-z0-9-]{4,64}$`. Valid characters are `a-z-`" }, "parent": { "description": "Required. The parent resource of the conversation.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1Conversation" }, "id": "contactcenterinsights.projects.locations.conversations.create", "path": "v1/{+parent}/conversations" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a conversation.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}", "httpMethod": "DELETE", "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.conversations.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "location": "path", "description": "Required. The name of the conversation to delete.", "required": true, "type": "string" }, "force": { "description": "If set to true, all of this conversation's analyses will also be deleted. Otherwise, the request will only succeed if the conversation has no analyses.", "type": "boolean", "location": "query" } }, "parameterOrder": [ "name" ] } } }, "phraseMatchers": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/phraseMatchers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Lists phrase matchers.", "parameters": { "filter": { "description": "A filter to reduce results to a specific subset. Useful for querying phrase matchers with specific properties.", "location": "query", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListPhraseMatchersResponse`. This value indicates that this is a continuation of a prior `ListPhraseMatchers` call and that the system should return the next page of data.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of phrase matchers to return in the response. If this value is zero, the service will select a default size. A call might return fewer objects than requested. A non-empty `next_page_token` in the response indicates that more data is available.", "type": "integer", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent resource of the phrase matcher.", "required": true, "location": "path" } }, "path": "v1/{+parent}/phraseMatchers", "id": "contactcenterinsights.projects.locations.phraseMatchers.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListPhraseMatchersResponse" } }, "create": { "path": "v1/{+parent}/phraseMatchers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.phraseMatchers.create", "parameters": { "parent": { "type": "string", "description": "Required. The parent resource of the phrase matcher. Required. The location to create a phrase matcher for. Format: `projects//locations/` or `projects//locations/`", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/phraseMatchers", "request": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Creates a phrase matcher." }, "patch": { "request": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "contactcenterinsights.projects.locations.phraseMatchers.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/phraseMatchers/[^/]+$", "description": "The resource name of the phrase matcher. Format: projects/{project}/locations/{location}/phraseMatchers/{phrase_matcher}" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The list of fields to be updated.", "location": "query" } }, "description": "Updates a phrase matcher.", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/phraseMatchers/{phraseMatchersId}" }, "get": { "response": { "$ref": "GoogleCloudContactcenterinsightsV1PhraseMatcher" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/phraseMatchers/{phraseMatchersId}", "description": "Gets a phrase matcher.", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. The name of the phrase matcher to get.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/phraseMatchers/[^/]+$" } }, "id": "contactcenterinsights.projects.locations.phraseMatchers.get", "parameterOrder": [ "name" ] }, "delete": { "httpMethod": "DELETE", "path": "v1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/phraseMatchers/[^/]+$", "type": "string", "description": "Required. The name of the phrase matcher to delete.", "location": "path" } }, "id": "contactcenterinsights.projects.locations.phraseMatchers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a phrase matcher.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/phraseMatchers/{phraseMatchersId}" } } }, "insightsdata": { "methods": { "export": { "parameters": { "parent": { "type": "string", "description": "Required. The parent resource to export data from.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/insightsdata:export", "request": { "$ref": "GoogleCloudContactcenterinsightsV1ExportInsightsDataRequest" }, "path": "v1/{+parent}/insightsdata:export", "httpMethod": "POST", "id": "contactcenterinsights.projects.locations.insightsdata.export", "description": "Export insights data to a destination defined in the request body.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" } } } }, "issueModels": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}", "httpMethod": "GET", "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.issueModels.get", "description": "Gets an issue model.", "response": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel" }, "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the issue model to get.", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$" } } }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The list of fields to be updated.", "location": "query" }, "name": { "type": "string", "description": "Immutable. The resource name of the issue model. Format: projects/{project}/locations/{location}/issueModels/{issue_model}", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "location": "path" } }, "description": "Updates an issue model.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel" }, "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.issueModels.patch", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel" } }, "delete": { "parameters": { "name": { "type": "string", "description": "Required. The name of the issue model to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes an issue model.", "path": "v1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}", "parameterOrder": [ "name" ], "id": "contactcenterinsights.projects.locations.issueModels.delete" }, "create": { "path": "v1/{+parent}/issueModels", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.issueModels.create", "description": "Creates an issue model.", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The parent resource of the issue model." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels", "request": { "$ref": "GoogleCloudContactcenterinsightsV1IssueModel" }, "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "calculateIssueModelStats": { "id": "contactcenterinsights.projects.locations.issueModels.calculateIssueModelStats", "parameterOrder": [ "issueModel" ], "response": { "$ref": "GoogleCloudContactcenterinsightsV1CalculateIssueModelStatsResponse" }, "httpMethod": "GET", "description": "Gets an issue model's statistics.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}:calculateIssueModelStats", "path": "v1/{+issueModel}:calculateIssueModelStats", "parameters": { "issueModel": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "description": "Required. The resource name of the issue model to query against.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "deploy": { "path": "v1/{+name}:deploy", "parameters": { "name": { "description": "Required. The issue model to deploy.", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "location": "path", "type": "string", "required": true } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudContactcenterinsightsV1DeployIssueModelRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}:deploy", "parameterOrder": [ "name" ], "description": "Deploys an issue model. Returns an error if a model is already deployed. An issue model can only be used in analysis after it has been deployed.", "id": "contactcenterinsights.projects.locations.issueModels.deploy", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the issue model.", "location": "path", "type": "string" } }, "description": "Lists issue models.", "id": "contactcenterinsights.projects.locations.issueModels.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels", "path": "v1/{+parent}/issueModels", "httpMethod": "GET", "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListIssueModelsResponse" } }, "undeploy": { "parameters": { "name": { "type": "string", "description": "Required. The issue model to undeploy.", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "required": true, "location": "path" } }, "description": "Undeploys an issue model. An issue model can not be used in analysis after it has been undeployed.", "request": { "$ref": "GoogleCloudContactcenterinsightsV1UndeployIssueModelRequest" }, "id": "contactcenterinsights.projects.locations.issueModels.undeploy", "httpMethod": "POST", "path": "v1/{+name}:undeploy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}:undeploy", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ] } }, "resources": { "issues": { "methods": { "patch": { "httpMethod": "PATCH", "id": "contactcenterinsights.projects.locations.issueModels.issues.patch", "request": { "$ref": "GoogleCloudContactcenterinsightsV1Issue" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "The list of fields to be updated.", "format": "google-fieldmask" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+/issues/[^/]+$", "description": "Immutable. The resource name of the issue. Format: projects/{project}/locations/{location}/issueModels/{issue_model}/issues/{issue}", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Updates an issue.", "response": { "$ref": "GoogleCloudContactcenterinsightsV1Issue" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}/issues/{issuesId}" }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "id": "contactcenterinsights.projects.locations.issueModels.issues.list", "parameters": { "parent": { "description": "Required. The parent resource of the issue.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+$", "location": "path" } }, "path": "v1/{+parent}/issues", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListIssuesResponse" }, "description": "Lists issues.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}/issues" }, "get": { "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/issueModels/[^/]+/issues/[^/]+$", "description": "Required. The name of the issue to get." } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1Issue" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.issueModels.issues.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/issueModels/{issueModelsId}/issues/{issuesId}", "description": "Gets an issue.", "httpMethod": "GET" } } } } }, "views": { "methods": { "patch": { "request": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.views.patch", "description": "Updates a view.", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/views/[^/]+$", "location": "path", "required": true, "description": "Immutable. The resource name of the view. Format: projects/{project}/locations/{location}/views/{view}" }, "updateMask": { "type": "string", "description": "The list of fields to be updated.", "format": "google-fieldmask", "location": "query" } }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/views/{viewsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "parameters": { "parent": { "required": true, "description": "Required. The parent resource of the view. Required. The location to create a view for. Format: `projects//locations/` or `projects//locations/`", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "id": "contactcenterinsights.projects.locations.views.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/views", "httpMethod": "POST", "path": "v1/{+parent}/views", "response": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "description": "Creates a view." }, "delete": { "path": "v1/{+name}", "id": "contactcenterinsights.projects.locations.views.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "description": "Deletes a view.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/views/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the view to delete.", "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/views/{viewsId}" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/views/{viewsId}", "description": "Gets a view.", "id": "contactcenterinsights.projects.locations.views.get", "response": { "$ref": "GoogleCloudContactcenterinsightsV1View" }, "parameters": { "name": { "description": "Required. The name of the view to get.", "pattern": "^projects/[^/]+/locations/[^/]+/views/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}" }, "list": { "response": { "$ref": "GoogleCloudContactcenterinsightsV1ListViewsResponse" }, "path": "v1/{+parent}/views", "id": "contactcenterinsights.projects.locations.views.list", "httpMethod": "GET", "description": "Lists views.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/views", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the views.", "type": "string" }, "pageToken": { "type": "string", "description": "The value returned by the last `ListViewsResponse`; indicates that this is a continuation of a prior `ListViews` call and the system should return the next page of data.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of views to return in the response. If this value is zero, the service will select a default size. A call may return fewer objects than requested. A non-empty `next_page_token` in the response indicates that more data is available." } }, "parameterOrder": [ "parent" ] } } } }, "methods": { "getSettings": { "description": "Gets project-level settings.", "path": "v1/{+name}", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/settings", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The name of the settings resource to get.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/settings$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "contactcenterinsights.projects.locations.getSettings", "response": { "$ref": "GoogleCloudContactcenterinsightsV1Settings" } }, "updateSettings": { "request": { "$ref": "GoogleCloudContactcenterinsightsV1Settings" }, "response": { "$ref": "GoogleCloudContactcenterinsightsV1Settings" }, "path": "v1/{+name}", "httpMethod": "PATCH", "id": "contactcenterinsights.projects.locations.updateSettings", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/settings", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/settings$", "description": "Immutable. The resource name of the settings resource. Format: projects/{project}/locations/{location}/settings", "type": "string", "required": true, "location": "path" }, "updateMask": { "description": "Required. The list of fields to be updated.", "format": "google-fieldmask", "type": "string", "location": "query" } }, "description": "Updates project-level settings." } } } } } }, "canonicalName": "Contactcenterinsights", "description": "", "revision": "20220703" }
]===]))
