local decode = require("cjson").new().decode
return assert(decode([===[
{ "servicePath": "", "baseUrl": "https://container.googleapis.com/", "id": "container:v1", "kind": "discovery#restDescription", "protocol": "rest", "rootUrl": "https://container.googleapis.com/", "revision": "20220615", "title": "Kubernetes Engine API", "schemas": { "MasterAuthorizedNetworksConfig": { "description": "Configuration options for the master authorized networks feature. Enabled master authorized networks will disallow all external traffic to access Kubernetes master through HTTPS except traffic from the given CIDR blocks, Google Compute Engine Public IPs and Google Prod IPs.", "type": "object", "properties": { "cidrBlocks": { "description": "cidr_blocks define up to 50 external networks that could access Kubernetes master through HTTPS.", "items": { "$ref": "CidrBlock" }, "type": "array" }, "enabled": { "type": "boolean", "description": "Whether or not master authorized networks is enabled." } }, "id": "MasterAuthorizedNetworksConfig" }, "VirtualNIC": { "description": "Configuration of gVNIC feature.", "type": "object", "id": "VirtualNIC", "properties": { "enabled": { "type": "boolean", "description": "Whether gVNIC features are enabled in the node pool." } } }, "BigQueryDestination": { "id": "BigQueryDestination", "description": "Parameters for using BigQuery as the destination of resource usage export.", "properties": { "datasetId": { "type": "string", "description": "The ID of a BigQuery Dataset." } }, "type": "object" }, "NodeConfigDefaults": { "id": "NodeConfigDefaults", "description": "Subset of NodeConfig message that has defaults.", "type": "object", "properties": { "gcfsConfig": { "$ref": "GcfsConfig", "description": "GCFS (Google Container File System, a.k.a. Riptide) options." } } }, "AcceleratorConfig": { "id": "AcceleratorConfig", "description": "AcceleratorConfig represents a Hardware Accelerator request.", "properties": { "acceleratorType": { "type": "string", "description": "The accelerator type resource name. List of supported accelerators [here](https://cloud.google.com/compute/docs/gpus)" }, "gpuSharingConfig": { "$ref": "GPUSharingConfig", "description": "The configuration for GPU sharing options." }, "acceleratorCount": { "description": "The number of the accelerator cards exposed to an instance.", "type": "string", "format": "int64" }, "gpuPartitionSize": { "description": "Size of partitions to create on the GPU. Valid values are described in the NVIDIA [mig user guide](https://docs.nvidia.com/datacenter/tesla/mig-user-guide/#partitioning).", "type": "string" } }, "type": "object" }, "OperationProgress": { "description": "Information about operation (or operation stage) progress.", "properties": { "name": { "description": "A non-parameterized string describing an operation stage. Unset for single-stage operations.", "type": "string" }, "status": { "enumDescriptions": [ "Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting." ], "enum": [ "STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING" ], "type": "string", "description": "Status of an operation stage. Unset for single-stage operations." }, "stages": { "description": "Substages of an operation or a stage.", "items": { "$ref": "OperationProgress" }, "type": "array" }, "metrics": { "items": { "$ref": "Metric" }, "type": "array", "description": "Progress metric bundle, for example: metrics: [{name: \"nodes done\", int_value: 15}, {name: \"nodes total\", int_value: 32}] or metrics: [{name: \"progress\", double_value: 0.56}, {name: \"progress scale\", double_value: 1.0}]" } }, "type": "object", "id": "OperationProgress" }, "ReleaseChannel": { "description": "ReleaseChannel indicates which release channel a cluster is subscribed to. Release channels are arranged in order of risk. When a cluster is subscribed to a release channel, Google maintains both the master version and the node version. Node auto-upgrade defaults to true and cannot be disabled.", "type": "object", "id": "ReleaseChannel", "properties": { "channel": { "description": "channel specifies which release channel the cluster is subscribed to.", "enum": [ "UNSPECIFIED", "RAPID", "REGULAR", "STABLE" ], "enumDescriptions": [ "No channel specified.", "RAPID channel is offered on an early access basis for customers who want to test new releases. WARNING: Versions available in the RAPID Channel may be subject to unresolved issues with no known workaround and are not subject to any SLAs.", "Clusters subscribed to REGULAR receive versions that are considered GA quality. REGULAR is intended for production users who want to take advantage of new features.", "Clusters subscribed to STABLE receive versions that are known to be stable and reliable in production." ], "type": "string" } } }, "CreateClusterRequest": { "id": "CreateClusterRequest", "type": "object", "description": "CreateClusterRequest creates a cluster.", "properties": { "parent": { "type": "string", "description": "The parent (project and location) where the cluster will be created. Specified in the format `projects/*/locations/*`." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string" }, "cluster": { "description": "Required. A [cluster resource](https://cloud.google.com/container-engine/reference/rest/v1/projects.locations.clusters)", "$ref": "Cluster" } } }, "SecurityBulletinEvent": { "description": "SecurityBulletinEvent is a notification sent to customers when a security bulletin has been posted that they are vulnerable to.", "properties": { "bulletinId": { "description": "The ID of the bulletin corresponding to the vulnerability.", "type": "string" }, "briefDescription": { "description": "A brief description of the bulletin. See the bulletin pointed to by the bulletin_uri field for an expanded description.", "type": "string" }, "cveIds": { "items": { "type": "string" }, "description": "The CVEs associated with this bulletin.", "type": "array" }, "resourceTypeAffected": { "description": "The resource type (node/control plane) that has the vulnerability. Multiple notifications (1 notification per resource type) will be sent for a vulnerability that affects \u003e 1 resource type.", "type": "string" }, "bulletinUri": { "type": "string", "description": "The URI link to the bulletin on the website for more information." }, "affectedSupportedMinors": { "description": "The GKE minor versions affected by this vulnerability.", "type": "array", "items": { "type": "string" } }, "suggestedUpgradeTarget": { "type": "string", "description": "This represents a version selected from the patched_versions field that the cluster receiving this notification should most likely want to upgrade to based on its current version. Note that if this notification is being received by a given cluster, it means that this version is currently available as an upgrade target in that cluster's location." }, "severity": { "type": "string", "description": "The severity of this bulletin as it relates to GKE." }, "patchedVersions": { "type": "array", "items": { "type": "string" }, "description": "The GKE versions where this vulnerability is patched." }, "manualStepsRequired": { "type": "boolean", "description": "If this field is specified, it means there are manual steps that the user must take to make their clusters safe." } }, "type": "object", "id": "SecurityBulletinEvent" }, "MonitoringComponentConfig": { "description": "MonitoringComponentConfig is cluster monitoring component configuration.", "id": "MonitoringComponentConfig", "properties": { "enableComponents": { "description": "Select components to collect metrics. An empty set would disable all monitoring.", "type": "array", "items": { "enum": [ "COMPONENT_UNSPECIFIED", "SYSTEM_COMPONENTS", "APISERVER", "SCHEDULER", "CONTROLLER_MANAGER" ], "enumDescriptions": [ "Default value. This shouldn't be used.", "system components", "kube-apiserver", "kube-scheduler", "kube-controller-manager" ], "type": "string" } } }, "type": "object" }, "IntraNodeVisibilityConfig": { "type": "object", "id": "IntraNodeVisibilityConfig", "properties": { "enabled": { "type": "boolean", "description": "Enables intra node visibility for this cluster." } }, "description": "IntraNodeVisibilityConfig contains the desired config of the intra-node visibility on this cluster." }, "ReservationAffinity": { "id": "ReservationAffinity", "description": "[ReservationAffinity](https://cloud.google.com/compute/docs/instances/reserving-zonal-resources) is the configuration of desired reservation which instances could take capacity from.", "properties": { "consumeReservationType": { "description": "Corresponds to the type of reservation consumption.", "enum": [ "UNSPECIFIED", "NO_RESERVATION", "ANY_RESERVATION", "SPECIFIC_RESERVATION" ], "type": "string", "enumDescriptions": [ "Default value. This should not be used.", "Do not consume from any reserved capacity.", "Consume any reservation available.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations." ] }, "values": { "description": "Corresponds to the label value(s) of reservation resource(s).", "type": "array", "items": { "type": "string" } }, "key": { "type": "string", "description": "Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify \"googleapis.com/reservation-name\" as the key and specify the name of your reservation as its value." } }, "type": "object" }, "NetworkPolicyConfig": { "id": "NetworkPolicyConfig", "type": "object", "description": "Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes.", "properties": { "disabled": { "description": "Whether NetworkPolicy is enabled for this cluster.", "type": "boolean" } } }, "SetMonitoringServiceRequest": { "description": "SetMonitoringServiceRequest sets the monitoring service of a cluster.", "id": "SetMonitoringServiceRequest", "type": "object", "properties": { "clusterId": { "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "monitoringService": { "description": "Required. The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set monitoring. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" } } }, "SetNodePoolAutoscalingRequest": { "type": "object", "description": "SetNodePoolAutoscalingRequest sets the autoscaler settings of a node pool.", "id": "SetNodePoolAutoscalingRequest", "properties": { "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "autoscaling": { "$ref": "NodePoolAutoscaling", "description": "Required. Autoscaling configuration for the node pool." }, "name": { "type": "string", "description": "The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`." }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } } }, "NodePoolAutoscaling": { "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Is autoscaling enabled for this node pool." }, "autoprovisioned": { "type": "boolean", "description": "Can this node pool be deleted automatically." }, "maxNodeCount": { "type": "integer", "description": "Maximum number of nodes for one location in the NodePool. Must be \u003e= min_node_count. There has to be enough quota to scale up the cluster.", "format": "int32" }, "minNodeCount": { "format": "int32", "type": "integer", "description": "Minimum number of nodes for one location in the NodePool. Must be \u003e= 1 and \u003c= max_node_count." }, "totalMinNodeCount": { "type": "integer", "format": "int32", "description": "Minimum number of nodes in the node pool. Must be greater than 1 less than total_max_node_count. The total_*_node_count fields are mutually exclusive with the *_node_count fields." }, "locationPolicy": { "enum": [ "LOCATION_POLICY_UNSPECIFIED", "BALANCED", "ANY" ], "enumDescriptions": [ "Not set.", "BALANCED is a best effort policy that aims to balance the sizes of different zones.", "ANY policy picks zones that have the highest capacity available." ], "type": "string", "description": "Location policy used when scaling up a nodepool." }, "totalMaxNodeCount": { "format": "int32", "type": "integer", "description": "Maximum number of nodes in the node pool. Must be greater than total_min_node_count. There has to be enough quota to scale up the cluster. The total_*_node_count fields are mutually exclusive with the *_node_count fields." } }, "id": "NodePoolAutoscaling", "description": "NodePoolAutoscaling contains information required by cluster autoscaler to adjust the size of the node pool to the current cluster usage." }, "DnsCacheConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Whether NodeLocal DNSCache is enabled for this cluster." } }, "description": "Configuration for NodeLocal DNSCache", "id": "DnsCacheConfig" }, "ClusterUpdate": { "properties": { "desiredShieldedNodes": { "description": "Configuration for Shielded Nodes.", "$ref": "ShieldedNodes" }, "desiredNodePoolAutoConfigNetworkTags": { "description": "The desired network tags that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters.", "$ref": "NetworkTags" }, "desiredServiceExternalIpsConfig": { "$ref": "ServiceExternalIPsConfig", "description": "ServiceExternalIPsConfig specifies the config for the use of Services with ExternalIPs field." }, "desiredBinaryAuthorization": { "$ref": "BinaryAuthorization", "description": "The desired configuration options for the Binary Authorization feature." }, "desiredDnsConfig": { "description": "DNSConfig contains clusterDNS config for this cluster.", "$ref": "DNSConfig" }, "desiredGcfsConfig": { "$ref": "GcfsConfig", "description": "The desired GCFS config for the cluster" }, "desiredIntraNodeVisibilityConfig": { "$ref": "IntraNodeVisibilityConfig", "description": "The desired config of Intra-node visibility." }, "desiredNodePoolId": { "type": "string", "description": "The node pool to be upgraded. This field is mandatory if \"desired_node_version\", \"desired_image_family\" or \"desired_node_pool_autoscaling\" is specified and there is more than one node pool on the cluster." }, "desiredMonitoringService": { "type": "string", "description": "The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions." }, "desiredNotificationConfig": { "description": "The desired notification configuration.", "$ref": "NotificationConfig" }, "desiredNodeVersion": { "description": "The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the Kubernetes master version", "type": "string" }, "desiredIdentityServiceConfig": { "description": "The desired Identity Service component configuration.", "$ref": "IdentityServiceConfig" }, "desiredMeshCertificates": { "$ref": "MeshCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods." }, "desiredAddonsConfig": { "description": "Configurations for the various addons available to run in the cluster.", "$ref": "AddonsConfig" }, "desiredDefaultSnatStatus": { "$ref": "DefaultSnatStatus", "description": "The desired status of whether to disable default sNAT for this cluster." }, "desiredMasterVersion": { "type": "string", "description": "The Kubernetes version to change the master to. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the default Kubernetes version" }, "desiredImageType": { "type": "string", "description": "The desired image type for the node pool. NOTE: Set the \"desired_node_pool\" field as well." }, "desiredAuthenticatorGroupsConfig": { "$ref": "AuthenticatorGroupsConfig", "description": "The desired authenticator groups config for the cluster." }, "desiredLocations": { "type": "array", "description": "The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. This list must always include the cluster's primary zone. Warning: changing cluster locations will update the locations of all node pools and will result in nodes being added and/or removed.", "items": { "type": "string" } }, "desiredLoggingConfig": { "description": "The desired logging configuration.", "$ref": "LoggingConfig" }, "desiredWorkloadIdentityConfig": { "$ref": "WorkloadIdentityConfig", "description": "Configuration for Workload Identity." }, "desiredResourceUsageExportConfig": { "description": "The desired configuration for exporting resource usage.", "$ref": "ResourceUsageExportConfig" }, "desiredReleaseChannel": { "description": "The desired release channel configuration.", "$ref": "ReleaseChannel" }, "desiredMonitoringConfig": { "description": "The desired monitoring configuration.", "$ref": "MonitoringConfig" }, "desiredPrivateIpv6GoogleAccess": { "enum": [ "PRIVATE_IPV6_GOOGLE_ACCESS_UNSPECIFIED", "PRIVATE_IPV6_GOOGLE_ACCESS_DISABLED", "PRIVATE_IPV6_GOOGLE_ACCESS_TO_GOOGLE", "PRIVATE_IPV6_GOOGLE_ACCESS_BIDIRECTIONAL" ], "description": "The desired state of IPv6 connectivity to Google Services.", "type": "string", "enumDescriptions": [ "Default value. Same as DISABLED", "No private access to or from Google Services", "Enables private IPv6 access to Google Services from GKE", "Enables priate IPv6 access to and from Google Services" ] }, "desiredL4ilbSubsettingConfig": { "$ref": "ILBSubsettingConfig", "description": "The desired L4 Internal Load Balancer Subsetting configuration." }, "desiredClusterAutoscaling": { "description": "Cluster-level autoscaling configuration.", "$ref": "ClusterAutoscaling" }, "desiredDatapathProvider": { "description": "The desired datapath provider for the cluster.", "enum": [ "DATAPATH_PROVIDER_UNSPECIFIED", "LEGACY_DATAPATH", "ADVANCED_DATAPATH" ], "enumDescriptions": [ "Default value.", "Use the IPTables implementation based on kube-proxy.", "Use the eBPF based GKE Dataplane V2 with additional features. See the [GKE Dataplane V2 documentation](https://cloud.google.com/kubernetes-engine/docs/how-to/dataplane-v2) for more." ], "type": "string" }, "desiredNodePoolAutoscaling": { "$ref": "NodePoolAutoscaling", "description": "Autoscaler configuration for the node pool specified in desired_node_pool_id. If there is only one pool in the cluster and desired_node_pool_id is not provided then the change applies to that single node pool." }, "desiredMasterAuthorizedNetworksConfig": { "description": "The desired configuration options for master authorized networks feature.", "$ref": "MasterAuthorizedNetworksConfig" }, "desiredLoggingService": { "description": "The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions.", "type": "string" }, "desiredVerticalPodAutoscaling": { "$ref": "VerticalPodAutoscaling", "description": "Cluster-level Vertical Pod Autoscaling configuration." }, "desiredDatabaseEncryption": { "$ref": "DatabaseEncryption", "description": "Configuration of etcd encryption." }, "desiredPrivateClusterConfig": { "description": "The desired private cluster configuration.", "$ref": "PrivateClusterConfig" } }, "type": "object", "description": "ClusterUpdate describes an update to the cluster. Exactly one update can be applied to a cluster with each request, so at most one field can be provided.", "id": "ClusterUpdate" }, "Empty": { "id": "Empty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ShieldedNodes": { "type": "object", "id": "ShieldedNodes", "description": "Configuration of Shielded Nodes feature.", "properties": { "enabled": { "description": "Whether Shielded Nodes features are enabled on all nodes in this cluster.", "type": "boolean" } } }, "NodeManagement": { "id": "NodeManagement", "description": "NodeManagement defines the set of node management services turned on for the node pool.", "type": "object", "properties": { "autoRepair": { "description": "A flag that specifies whether the node auto-repair is enabled for the node pool. If enabled, the nodes in this node pool will be monitored and, if they fail health checks too many times, an automatic repair action will be triggered.", "type": "boolean" }, "upgradeOptions": { "$ref": "AutoUpgradeOptions", "description": "Specifies the Auto Upgrade knobs for the node pool." }, "autoUpgrade": { "type": "boolean", "description": "A flag that specifies whether node auto-upgrade is enabled for the node pool. If enabled, node auto-upgrade helps keep the nodes in your node pool up to date with the latest release version of Kubernetes." } } }, "IdentityServiceConfig": { "properties": { "enabled": { "description": "Whether to enable the Identity Service component", "type": "boolean" } }, "type": "object", "id": "IdentityServiceConfig", "description": "IdentityServiceConfig is configuration for Identity Service which allows customers to use external identity providers with the K8S API" }, "SetAddonsConfigRequest": { "properties": { "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set addons. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "addonsConfig": { "description": "Required. The desired configurations for the various addons available to run in the cluster.", "$ref": "AddonsConfig" } }, "id": "SetAddonsConfigRequest", "description": "SetAddonsConfigRequest sets the addons associated with the cluster.", "type": "object" }, "ListUsableSubnetworksResponse": { "properties": { "subnetworks": { "description": "A list of usable subnetworks in the specified network project.", "type": "array", "items": { "$ref": "UsableSubnetwork" } }, "nextPageToken": { "description": "This token allows you to get the next page of results for list requests. If the number of results is larger than `page_size`, use the `next_page_token` as a value for the query parameter `page_token` in the next request. The value will become empty when there are no more pages.", "type": "string" } }, "description": "ListUsableSubnetworksResponse is the response of ListUsableSubnetworksRequest.", "type": "object", "id": "ListUsableSubnetworksResponse" }, "NotificationConfig": { "description": "NotificationConfig is the configuration of notifications.", "properties": { "pubsub": { "$ref": "PubSub", "description": "Notification config for Pub/Sub." } }, "id": "NotificationConfig", "type": "object" }, "ShieldedInstanceConfig": { "id": "ShieldedInstanceConfig", "description": "A set of Shielded Instance options.", "type": "object", "properties": { "enableSecureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. Secure Boot helps ensure that the system only runs authentic software by verifying the digital signature of all boot components, and halting the boot process if signature verification fails." }, "enableIntegrityMonitoring": { "description": "Defines whether the instance has integrity monitoring enabled. Enables monitoring and attestation of the boot integrity of the instance. The attestation is performed against the integrity policy baseline. This baseline is initially derived from the implicitly trusted boot image when the instance is created.", "type": "boolean" } } }, "NodeKubeletConfig": { "properties": { "cpuCfsQuota": { "description": "Enable CPU CFS quota enforcement for containers that specify CPU limits. This option is enabled by default which makes kubelet use CFS quota (https://www.kernel.org/doc/Documentation/scheduler/sched-bwc.txt) to enforce container CPU limits. Otherwise, CPU limits will not be enforced at all. Disable this option to mitigate CPU throttling problems while still having your pods to be in Guaranteed QoS class by specifying the CPU limits. The default value is 'true' if unspecified.", "type": "boolean" }, "podPidsLimit": { "description": "Set the Pod PID limits. See https://kubernetes.io/docs/concepts/policy/pid-limiting/#pod-pid-limits Controls the maximum number of processes allowed to run in a pod. The value must be greater than or equal to 1024 and less than 4194304.", "type": "string", "format": "int64" }, "cpuCfsQuotaPeriod": { "description": "Set the CPU CFS quota period value 'cpu.cfs_period_us'. The string must be a sequence of decimal numbers, each with optional fraction and a unit suffix, such as \"300ms\". Valid time units are \"ns\", \"us\" (or \"µs\"), \"ms\", \"s\", \"m\", \"h\". The value must be a positive duration.", "type": "string" }, "cpuManagerPolicy": { "type": "string", "description": "Control the CPU management policy on the node. See https://kubernetes.io/docs/tasks/administer-cluster/cpu-management-policies/ The following values are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"none\": the default, which represents the existing scheduling behavior. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"static\": allows pods with certain resource characteristics to be granted increased CPU affinity and exclusivity on the node. The default value is 'none' if unspecified." } }, "description": "Node kubelet configs.", "type": "object", "id": "NodeKubeletConfig" }, "ResourceUsageExportConfig": { "id": "ResourceUsageExportConfig", "description": "Configuration for exporting cluster resource usages.", "properties": { "enableNetworkEgressMetering": { "description": "Whether to enable network egress metering for this cluster. If enabled, a daemonset will be created in the cluster to meter network egress traffic.", "type": "boolean" }, "consumptionMeteringConfig": { "$ref": "ConsumptionMeteringConfig", "description": "Configuration to enable resource consumption metering." }, "bigqueryDestination": { "$ref": "BigQueryDestination", "description": "Configuration to use BigQuery as usage export destination." } }, "type": "object" }, "MaintenancePolicy": { "type": "object", "id": "MaintenancePolicy", "description": "MaintenancePolicy defines the maintenance policy to be used for the cluster.", "properties": { "window": { "description": "Specifies the maintenance window in which maintenance may be performed.", "$ref": "MaintenanceWindow" }, "resourceVersion": { "type": "string", "description": "A hash identifying the version of this policy, so that updates to fields of the policy won't accidentally undo intermediate changes (and so that users of the API unaware of some fields won't accidentally remove other fields). Make a `get()` request to the cluster to get the current resource version and include it with requests to set the policy." } } }, "IPAllocationPolicy": { "type": "object", "id": "IPAllocationPolicy", "properties": { "servicesIpv4CidrBlock": { "type": "string", "description": "The IP address range of the services IPs in this cluster. If blank, a range will be automatically chosen with the default size. This field is only applicable when `use_ip_aliases` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "createSubnetwork": { "type": "boolean", "description": "Whether a new subnetwork will be created automatically for the cluster. This field is only applicable when `use_ip_aliases` is true." }, "nodeIpv4Cidr": { "description": "This field is deprecated, use node_ipv4_cidr_block.", "type": "string" }, "useIpAliases": { "type": "boolean", "description": "Whether alias IPs will be used for pod IPs in the cluster. This is used in conjunction with use_routes. It cannot be true if use_routes is true. If both use_ip_aliases and use_routes are false, then the server picks the default IP allocation mode" }, "tpuIpv4CidrBlock": { "type": "string", "description": "The IP address range of the Cloud TPUs in this cluster. If unspecified, a range will be automatically chosen with the default size. This field is only applicable when `use_ip_aliases` is true. If unspecified, the range will use the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "useRoutes": { "description": "Whether routes will be used for pod IPs in the cluster. This is used in conjunction with use_ip_aliases. It cannot be true if use_ip_aliases is true. If both use_ip_aliases and use_routes are false, then the server picks the default IP allocation mode", "type": "boolean" }, "subnetworkName": { "type": "string", "description": "A custom subnetwork name to be used if `create_subnetwork` is true. If this field is empty, then an automatic name will be chosen for the new subnetwork." }, "clusterSecondaryRangeName": { "type": "string", "description": "The name of the secondary range to be used for the cluster CIDR block. The secondary range will be used for pod IP addresses. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases is true and create_subnetwork is false." }, "clusterIpv4Cidr": { "description": "This field is deprecated, use cluster_ipv4_cidr_block.", "type": "string" }, "clusterIpv4CidrBlock": { "description": "The IP address range for the cluster pod IPs. If this field is set, then `cluster.cluster_ipv4_cidr` must be left blank. This field is only applicable when `use_ip_aliases` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use.", "type": "string" }, "nodeIpv4CidrBlock": { "description": "The IP address range of the instance IPs in this cluster. This is applicable only if `create_subnetwork` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use.", "type": "string" }, "servicesSecondaryRangeName": { "type": "string", "description": "The name of the secondary range to be used as for the services CIDR block. The secondary range will be used for service ClusterIPs. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases is true and create_subnetwork is false." }, "servicesIpv4Cidr": { "description": "This field is deprecated, use services_ipv4_cidr_block.", "type": "string" } }, "description": "Configuration for controlling how IPs are allocated in the cluster." }, "PrivateClusterConfig": { "type": "object", "description": "Configuration options for private clusters.", "properties": { "publicEndpoint": { "type": "string", "description": "Output only. The external IP address of this cluster's master endpoint." }, "enablePrivateNodes": { "type": "boolean", "description": "Whether nodes have internal IP addresses only. If enabled, all nodes are given only RFC 1918 private addresses and communicate with the master via private networking." }, "masterGlobalAccessConfig": { "description": "Controls master global access settings.", "$ref": "PrivateClusterMasterGlobalAccessConfig" }, "privateEndpoint": { "description": "Output only. The internal IP address of this cluster's master endpoint.", "type": "string" }, "peeringName": { "type": "string", "description": "Output only. The peering name in the customer VPC used by this cluster." }, "masterIpv4CidrBlock": { "description": "The IP range in CIDR notation to use for the hosted master network. This range will be used for assigning internal IP addresses to the master or set of masters, as well as the ILB VIP. This range must not overlap with any other ranges in use within the cluster's network.", "type": "string" }, "enablePrivateEndpoint": { "type": "boolean", "description": "Whether the master's internal IP address is used as the cluster endpoint." } }, "id": "PrivateClusterConfig" }, "SetLoggingServiceRequest": { "type": "object", "properties": { "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "loggingService": { "type": "string", "description": "Required. The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to set logging. Specified in the format `projects/*/locations/*/clusters/*`." } }, "description": "SetLoggingServiceRequest sets the logging service of a cluster.", "id": "SetLoggingServiceRequest" }, "NodeTaints": { "properties": { "taints": { "items": { "$ref": "NodeTaint" }, "type": "array", "description": "List of node taints." } }, "type": "object", "id": "NodeTaints", "description": "Collection of Kubernetes [node taints](https://kubernetes.io/docs/concepts/configuration/taint-and-toleration)." }, "ClientCertificateConfig": { "description": "Configuration for client certificates on the cluster.", "properties": { "issueClientCertificate": { "type": "boolean", "description": "Issue a client certificate." } }, "id": "ClientCertificateConfig", "type": "object" }, "ServiceExternalIPsConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether Services with ExternalIPs field are allowed or not." } }, "description": "Config to block services with externalIPs field.", "type": "object", "id": "ServiceExternalIPsConfig" }, "CloudRunConfig": { "properties": { "disabled": { "description": "Whether Cloud Run addon is enabled for this cluster.", "type": "boolean" }, "loadBalancerType": { "description": "Which load balancer type is installed for Cloud Run.", "type": "string", "enum": [ "LOAD_BALANCER_TYPE_UNSPECIFIED", "LOAD_BALANCER_TYPE_EXTERNAL", "LOAD_BALANCER_TYPE_INTERNAL" ], "enumDescriptions": [ "Load balancer type for Cloud Run is unspecified.", "Install external load balancer for Cloud Run.", "Install internal load balancer for Cloud Run." ] } }, "id": "CloudRunConfig", "description": "Configuration options for the Cloud Run feature.", "type": "object" }, "LinuxNodeConfig": { "description": "Parameters that can be configured on Linux nodes.", "id": "LinuxNodeConfig", "properties": { "sysctls": { "description": "The Linux kernel parameters to be applied to the nodes and all pods running on the nodes. The following parameters are supported. net.core.busy_poll net.core.busy_read net.core.netdev_max_backlog net.core.rmem_max net.core.wmem_default net.core.wmem_max net.core.optmem_max net.core.somaxconn net.ipv4.tcp_rmem net.ipv4.tcp_wmem net.ipv4.tcp_tw_reuse", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object" }, "UpdateMasterRequest": { "id": "UpdateMasterRequest", "description": "UpdateMasterRequest updates the master of the cluster.", "properties": { "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "masterVersion": { "description": "Required. The Kubernetes version to change the master to. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the default Kubernetes version", "type": "string" }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`." } }, "type": "object" }, "ListClustersResponse": { "id": "ListClustersResponse", "properties": { "clusters": { "type": "array", "description": "A list of clusters in the project in the specified zone, or across all ones.", "items": { "$ref": "Cluster" } }, "missingZones": { "type": "array", "description": "If any zones are listed here, the list of clusters returned may be missing those zones.", "items": { "type": "string" } } }, "description": "ListClustersResponse is the result of ListClustersRequest.", "type": "object" }, "LegacyAbac": { "description": "Configuration for the legacy Attribute Based Access Control authorization mode.", "properties": { "enabled": { "type": "boolean", "description": "Whether the ABAC authorizer is enabled for this cluster. When enabled, identities in the system, including service accounts, nodes, and controllers, will have statically granted permissions beyond those provided by the RBAC configuration or IAM." } }, "id": "LegacyAbac", "type": "object" }, "SetLocationsRequest": { "id": "SetLocationsRequest", "type": "object", "properties": { "locations": { "type": "array", "description": "Required. The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. Changing the locations a cluster is in will result in nodes being either created or removed from the cluster, depending on whether locations are being added or removed. This list must always include the cluster's primary zone.", "items": { "type": "string" } }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster) of the cluster to set locations. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" } }, "description": "SetLocationsRequest sets the locations of the cluster." }, "MonitoringConfig": { "properties": { "managedPrometheusConfig": { "$ref": "ManagedPrometheusConfig", "description": "Enable Google Cloud Managed Service for Prometheus in the cluster." }, "componentConfig": { "description": "Monitoring components configuration", "$ref": "MonitoringComponentConfig" } }, "id": "MonitoringConfig", "type": "object", "description": "MonitoringConfig is cluster monitoring configuration." }, "BinaryAuthorization": { "properties": { "evaluationMode": { "enumDescriptions": [ "Default value", "Disable BinaryAuthorization", "Enforce Kubernetes admission requests with BinaryAuthorization using the project's singleton policy. This is equivalent to setting the enabled boolean to true." ], "description": "Mode of operation for binauthz policy evaluation. Currently the only options are equivalent to enable/disable. If unspecified, defaults to DISABLED.", "type": "string", "enum": [ "EVALUATION_MODE_UNSPECIFIED", "DISABLED", "PROJECT_SINGLETON_POLICY_ENFORCE" ] }, "enabled": { "description": "Enable Binary Authorization for this cluster. If enabled, all container images will be validated by Binary Authorization.", "type": "boolean" } }, "type": "object", "description": "Configuration for Binary Authorization.", "id": "BinaryAuthorization" }, "NodeLabels": { "description": "Collection of node-level [Kubernetes labels](https://kubernetes.io/docs/concepts/overview/working-with-objects/labels).", "id": "NodeLabels", "type": "object", "properties": { "labels": { "description": "Map of node label keys and node label values.", "type": "object", "additionalProperties": { "type": "string" } } } }, "StandardRolloutPolicy": { "id": "StandardRolloutPolicy", "properties": { "batchSoakDuration": { "format": "google-duration", "type": "string", "description": "Soak time after each batch gets drained. Default to zero." }, "batchPercentage": { "description": "Percentage of the bool pool nodes to drain in a batch. The range of this field should be (0.0, 1.0].", "type": "number", "format": "float" }, "batchNodeCount": { "type": "integer", "description": "Number of blue nodes to drain in a batch.", "format": "int32" } }, "type": "object", "description": "Standard rollout policy is the default policy for blue-green." }, "RecurringTimeWindow": { "id": "RecurringTimeWindow", "type": "object", "properties": { "window": { "$ref": "TimeWindow", "description": "The window of the first recurrence." }, "recurrence": { "description": "An RRULE (https://tools.ietf.org/html/rfc5545#section-3.8.5.3) for how this window reccurs. They go on for the span of time between the start and end time. For example, to have something repeat every weekday, you'd use: `FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR` To repeat some window daily (equivalent to the DailyMaintenanceWindow): `FREQ=DAILY` For the first weekend of every month: `FREQ=MONTHLY;BYSETPOS=1;BYDAY=SA,SU` This specifies how frequently the window starts. Eg, if you wanted to have a 9-5 UTC-4 window every weekday, you'd use something like: ``` start time = 2019-01-01T09:00:00-0400 end time = 2019-01-01T17:00:00-0400 recurrence = FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR ``` Windows can span multiple days. Eg, to make the window encompass every weekend from midnight Saturday till the last minute of Sunday UTC: ``` start time = 2019-01-05T00:00:00Z end time = 2019-01-07T23:59:00Z recurrence = FREQ=WEEKLY;BYDAY=SA ``` Note the start and end time's specific dates are largely arbitrary except to specify duration of the window and when it first starts. The FREQ values of HOURLY, MINUTELY, and SECONDLY are not supported.", "type": "string" } }, "description": "Represents an arbitrary window of time that recurs." }, "SetNodePoolManagementRequest": { "type": "object", "description": "SetNodePoolManagementRequest sets the node management properties of a node pool.", "id": "SetNodePoolManagementRequest", "properties": { "management": { "description": "Required. NodeManagement configuration for the node pool.", "$ref": "NodeManagement" }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "nodePoolId": { "type": "string", "description": "Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } } }, "WorkloadIdentityConfig": { "description": "Configuration for the use of Kubernetes Service Accounts in GCP IAM policies.", "properties": { "workloadPool": { "type": "string", "description": "The workload pool to attach all Kubernetes service accounts to." } }, "type": "object", "id": "WorkloadIdentityConfig" }, "ServerConfig": { "description": "Kubernetes Engine service configuration.", "properties": { "defaultClusterVersion": { "description": "Version of Kubernetes the service deploys by default.", "type": "string" }, "validImageTypes": { "description": "List of valid image types.", "type": "array", "items": { "type": "string" } }, "channels": { "type": "array", "description": "List of release channel configurations.", "items": { "$ref": "ReleaseChannelConfig" } }, "defaultImageType": { "type": "string", "description": "Default image type." }, "validNodeVersions": { "items": { "type": "string" }, "type": "array", "description": "List of valid node upgrade target versions, in descending order." }, "validMasterVersions": { "type": "array", "description": "List of valid master versions, in descending order.", "items": { "type": "string" } } }, "type": "object", "id": "ServerConfig" }, "Metric": { "properties": { "stringValue": { "type": "string", "description": "For metrics with custom values (ratios, visual progress, etc.)." }, "doubleValue": { "format": "double", "type": "number", "description": "For metrics with floating point value." }, "intValue": { "type": "string", "format": "int64", "description": "For metrics with integer value." }, "name": { "type": "string", "description": "Required. Metric name, e.g., \"nodes total\", \"percent done\"." } }, "type": "object", "id": "Metric", "description": "Progress metric is (string, int|float|string) pair." }, "CompleteIPRotationRequest": { "id": "CompleteIPRotationRequest", "description": "CompleteIPRotationRequest moves the cluster master back into single-IP mode.", "type": "object", "properties": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster name) of the cluster to complete IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." } } }, "ILBSubsettingConfig": { "properties": { "enabled": { "type": "boolean", "description": "Enables l4 ILB subsetting for this cluster." } }, "description": "ILBSubsettingConfig contains the desired config of L4 Internal LoadBalancer subsetting on this cluster.", "id": "ILBSubsettingConfig", "type": "object" }, "ConfidentialNodes": { "properties": { "enabled": { "description": "Whether Confidential Nodes feature is enabled.", "type": "boolean" } }, "type": "object", "description": "ConfidentialNodes is configuration for the confidential nodes feature, which makes nodes run on confidential VMs.", "id": "ConfidentialNodes" }, "NetworkPerformanceConfig": { "description": "Configuration of all network bandwidth tiers", "id": "NetworkPerformanceConfig", "properties": { "totalEgressBandwidthTier": { "enumDescriptions": [ "Default value", "Higher bandwidth, actual values based on VM size." ], "enum": [ "TIER_UNSPECIFIED", "TIER_1" ], "type": "string", "description": "Specifies the total network bandwidth tier for the NodePool." } }, "type": "object" }, "CidrBlock": { "id": "CidrBlock", "properties": { "cidrBlock": { "description": "cidr_block must be specified in CIDR notation.", "type": "string" }, "displayName": { "type": "string", "description": "display_name is an optional field for users to identify CIDR blocks." } }, "type": "object", "description": "CidrBlock contains an optional name and one CIDR block." }, "Cluster": { "description": "A Google Kubernetes Engine cluster.", "id": "Cluster", "properties": { "networkConfig": { "description": "Configuration for cluster networking.", "$ref": "NetworkConfig" }, "loggingService": { "type": "string", "description": "The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions." }, "id": { "readOnly": true, "type": "string", "description": "Output only. Unique id for the cluster." }, "clusterIpv4Cidr": { "type": "string", "description": "The IP address range of the container pods in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`). Leave blank to have one automatically chosen or specify a `/14` block in `10.0.0.0/8`." }, "binaryAuthorization": { "$ref": "BinaryAuthorization", "description": "Configuration for Binary Authorization." }, "shieldedNodes": { "description": "Shielded Nodes configuration.", "$ref": "ShieldedNodes" }, "notificationConfig": { "$ref": "NotificationConfig", "description": "Notification configuration of the cluster." }, "network": { "type": "string", "description": "The name of the Google Compute Engine [network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks) to which the cluster is connected. If left unspecified, the `default` network will be used." }, "networkPolicy": { "description": "Configuration options for the NetworkPolicy feature.", "$ref": "NetworkPolicy" }, "status": { "type": "string", "description": "[Output only] The current status of this cluster.", "enum": [ "STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RECONCILING", "STOPPING", "ERROR", "DEGRADED" ], "enumDescriptions": [ "Not set.", "The PROVISIONING state indicates the cluster is being created.", "The RUNNING state indicates the cluster has been created and is fully usable.", "The RECONCILING state indicates that some work is actively being done on the cluster, such as upgrading the master or node software. Details can be found in the `statusMessage` field.", "The STOPPING state indicates the cluster is being deleted.", "The ERROR state indicates the cluster is unusable. It will be automatically deleted. Details can be found in the `statusMessage` field.", "The DEGRADED state indicates the cluster requires user action to restore full functionality. Details can be found in the `statusMessage` field." ] }, "createTime": { "type": "string", "description": "[Output only] The time the cluster was created, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "enableTpu": { "type": "boolean", "description": "Enable the ability to use Cloud TPUs in this cluster." }, "statusMessage": { "type": "string", "description": "[Output only] Deprecated. Use conditions instead. Additional information about the current status of this cluster, if available." }, "location": { "type": "string", "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) or [region](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) in which the cluster resides." }, "nodeIpv4CidrSize": { "type": "integer", "format": "int32", "description": "[Output only] The size of the address space on each node for hosting containers. This is provisioned from within the `container_ipv4_cidr` range. This field will only be set when cluster is in route-based network mode." }, "initialNodeCount": { "type": "integer", "format": "int32", "description": "The number of nodes to create in this cluster. You must ensure that your Compute Engine [resource quota](https://cloud.google.com/compute/quotas) is sufficient for this number of instances. You must also have available firewall and routes quota. For requests, this field should only be used in lieu of a \"node_pool\" object, since this configuration (along with the \"node_config\") will be used to create a \"NodePool\" object with an auto-generated name. Do not use this and a node_pool at the same time. This field is deprecated, use node_pool.initial_node_count instead." }, "releaseChannel": { "$ref": "ReleaseChannel", "description": "Release channel configuration." }, "resourceLabels": { "description": "The resource labels for the cluster to use to annotate any related Google Compute Engine resources.", "additionalProperties": { "type": "string" }, "type": "object" }, "addonsConfig": { "description": "Configurations for the various addons available to run in the cluster.", "$ref": "AddonsConfig" }, "conditions": { "items": { "$ref": "StatusCondition" }, "description": "Which conditions caused the current cluster state.", "type": "array" }, "masterAuth": { "$ref": "MasterAuth", "description": "The authentication information for accessing the master endpoint. If unspecified, the defaults are used: For clusters before v1.12, if master_auth is unspecified, `username` will be set to \"admin\", a random password will be generated, and a client certificate will be issued." }, "identityServiceConfig": { "$ref": "IdentityServiceConfig", "description": "Configuration for Identity Service component." }, "labelFingerprint": { "type": "string", "description": "The fingerprint of the set of labels for this cluster." }, "tpuIpv4CidrBlock": { "type": "string", "description": "[Output only] The IP address range of the Cloud TPUs in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `1.2.3.4/29`)." }, "legacyAbac": { "$ref": "LegacyAbac", "description": "Configuration for the legacy ABAC authorization mode." }, "selfLink": { "description": "[Output only] Server-defined URL for the resource.", "type": "string" }, "subnetwork": { "type": "string", "description": "The name of the Google Compute Engine [subnetwork](https://cloud.google.com/compute/docs/subnetworks) to which the cluster is connected." }, "enableKubernetesAlpha": { "type": "boolean", "description": "Kubernetes alpha features are enabled on this cluster. This includes alpha API groups (e.g. v1alpha1) and features that may not be production ready in the kubernetes version of the master and nodes. The cluster has no SLA for uptime and master/node upgrades are disabled. Alpha enabled clusters are automatically deleted thirty days after creation." }, "name": { "description": "The name of this cluster. The name must be unique within this project and location (e.g. zone or region), and can be up to 40 characters with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Lowercase letters, numbers, and hyphens only. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter.", "type": "string" }, "endpoint": { "description": "[Output only] The IP address of this cluster's master endpoint. The endpoint can be accessed from the internet at `https://username:password@endpoint/`. See the `masterAuth` property of this resource for username and password information.", "type": "string" }, "currentNodeCount": { "format": "int32", "type": "integer", "description": "[Output only] The number of nodes currently in the cluster. Deprecated. Call Kubernetes API directly to retrieve node information." }, "meshCertificates": { "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods.", "$ref": "MeshCertificates" }, "nodePoolAutoConfig": { "description": "Node pool configs that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters.", "$ref": "NodePoolAutoConfig" }, "monitoringService": { "type": "string", "description": "The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions." }, "locations": { "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. This field provides a default value if [NodePool.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters.nodePools#NodePool.FIELDS.locations) are not specified during node pool creation. Warning: changing cluster locations will update the [NodePool.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters.nodePools#NodePool.FIELDS.locations) of all node pools and will result in nodes being added and/or removed.", "items": { "type": "string" }, "type": "array" }, "authenticatorGroupsConfig": { "$ref": "AuthenticatorGroupsConfig", "description": "Configuration controlling RBAC group membership information." }, "currentMasterVersion": { "type": "string", "description": "[Output only] The current software version of the master endpoint." }, "verticalPodAutoscaling": { "description": "Cluster-level Vertical Pod Autoscaling configuration.", "$ref": "VerticalPodAutoscaling" }, "description": { "description": "An optional description of this cluster.", "type": "string" }, "nodeConfig": { "description": "Parameters used in creating the cluster's nodes. For requests, this field should only be used in lieu of a \"node_pool\" object, since this configuration (along with the \"initial_node_count\") will be used to create a \"NodePool\" object with an auto-generated name. Do not use this and a node_pool at the same time. For responses, this field will be populated with the node configuration of the first node pool. (For configuration of each node pool, see `node_pool.config`) If unspecified, the defaults are used. This field is deprecated, use node_pool.config instead.", "$ref": "NodeConfig" }, "confidentialNodes": { "description": "Configuration of Confidential Nodes. All the nodes in the cluster will be Confidential VM once enabled.", "$ref": "ConfidentialNodes" }, "ipAllocationPolicy": { "description": "Configuration for cluster IP allocation.", "$ref": "IPAllocationPolicy" }, "workloadIdentityConfig": { "$ref": "WorkloadIdentityConfig", "description": "Configuration for the use of Kubernetes Service Accounts in GCP IAM policies." }, "masterAuthorizedNetworksConfig": { "description": "The configuration options for master authorized networks feature.", "$ref": "MasterAuthorizedNetworksConfig" }, "maintenancePolicy": { "description": "Configure the maintenance policy for this cluster.", "$ref": "MaintenancePolicy" }, "privateClusterConfig": { "description": "Configuration for private cluster.", "$ref": "PrivateClusterConfig" }, "initialClusterVersion": { "description": "The initial Kubernetes version for this cluster. Valid versions are those found in validMasterVersions returned by getServerConfig. The version can be upgraded over time; such upgrades are reflected in currentMasterVersion and currentNodeVersion. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"\",\"-\": picks the default Kubernetes version", "type": "string" }, "currentNodeVersion": { "description": "[Output only] Deprecated, use [NodePools.version](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters.nodePools) instead. The current version of the node software components. If they are currently at multiple versions because they're in the process of being upgraded, this reflects the minimum version of all nodes.", "type": "string" }, "defaultMaxPodsConstraint": { "$ref": "MaxPodsConstraint", "description": "The default constraint on the maximum number of pods that can be run simultaneously on a node in the node pool of this cluster. Only honored if cluster created with IP Alias support." }, "monitoringConfig": { "description": "Monitoring configuration for the cluster.", "$ref": "MonitoringConfig" }, "resourceUsageExportConfig": { "$ref": "ResourceUsageExportConfig", "description": "Configuration for exporting resource usages. Resource usage export is disabled when this config is unspecified." }, "instanceGroupUrls": { "type": "array", "items": { "type": "string" }, "description": "Deprecated. Use node_pools.instance_group_urls." }, "nodePoolDefaults": { "description": "Default NodePool settings for the entire cluster. These settings are overridden if specified on the specific NodePool object.", "$ref": "NodePoolDefaults" }, "servicesIpv4Cidr": { "description": "[Output only] The IP address range of the Kubernetes services in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `1.2.3.4/29`). Service addresses are typically put in the last `/16` from the container CIDR.", "type": "string" }, "zone": { "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field is deprecated, use location instead.", "type": "string" }, "expireTime": { "description": "[Output only] The time the cluster will be automatically deleted in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "nodePools": { "type": "array", "description": "The node pools associated with this cluster. This field should not be set if \"node_config\" or \"initial_node_count\" are specified.", "items": { "$ref": "NodePool" } }, "autopilot": { "description": "Autopilot configuration for the cluster.", "$ref": "Autopilot" }, "databaseEncryption": { "description": "Configuration of etcd encryption.", "$ref": "DatabaseEncryption" }, "autoscaling": { "description": "Cluster-level autoscaling configuration.", "$ref": "ClusterAutoscaling" }, "loggingConfig": { "description": "Logging configuration for the cluster.", "$ref": "LoggingConfig" } }, "type": "object" }, "NodeConfig": { "type": "object", "properties": { "nodeGroup": { "description": "Setting this field will assign instances of this pool to run on the specified node group. This is useful for running workloads on [sole tenant nodes](https://cloud.google.com/compute/docs/nodes/sole-tenant-nodes).", "type": "string" }, "accelerators": { "items": { "$ref": "AcceleratorConfig" }, "type": "array", "description": "A list of hardware accelerators to be attached to each node. See https://cloud.google.com/compute/docs/gpus for more information about support for GPUs." }, "localSsdCount": { "format": "int32", "description": "The number of local SSD disks to be attached to the node. The limit for this value is dependent upon the maximum number of disks available on a machine per zone. See: https://cloud.google.com/compute/docs/disks/local-ssd for more information.", "type": "integer" }, "diskSizeGb": { "description": "Size of the disk attached to each node, specified in GB. The smallest allowed disk size is 10GB. If unspecified, the default disk size is 100GB.", "format": "int32", "type": "integer" }, "gvnic": { "description": "Enable or disable gvnic in the node pool.", "$ref": "VirtualNIC" }, "confidentialNodes": { "$ref": "ConfidentialNodes", "description": "Confidential nodes config. All the nodes in the node pool will be Confidential VM once enabled." }, "serviceAccount": { "type": "string", "description": "The Google Cloud Platform Service Account to be used by the node VMs. Specify the email address of the Service Account; otherwise, if no Service Account is specified, the \"default\" service account is used." }, "diskType": { "description": "Type of the disk attached to each node (e.g. 'pd-standard', 'pd-ssd' or 'pd-balanced') If unspecified, the default disk type is 'pd-standard'", "type": "string" }, "labels": { "description": "The map of Kubernetes labels (key/value pairs) to be applied to each node. These will added in addition to any default label(s) that Kubernetes may apply to the node. In case of conflict in label keys, the applied set may differ depending on the Kubernetes version -- it's best to assume the behavior is undefined and conflicts should be avoided. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/", "type": "object", "additionalProperties": { "type": "string" } }, "minCpuPlatform": { "description": "Minimum CPU platform to be used by this instance. The instance may be scheduled on the specified or newer CPU platform. Applicable values are the friendly names of CPU platforms, such as `minCpuPlatform: \"Intel Haswell\"` or `minCpuPlatform: \"Intel Sandy Bridge\"`. For more information, read [how to specify min CPU platform](https://cloud.google.com/compute/docs/instances/specify-min-cpu-platform)", "type": "string" }, "spot": { "description": "Spot flag for enabling Spot VM, which is a rebrand of the existing preemptible flag.", "type": "boolean" }, "tags": { "description": "The list of instance tags applied to all nodes. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during cluster or node pool creation. Each tag within the list must comply with RFC1035.", "items": { "type": "string" }, "type": "array" }, "linuxNodeConfig": { "description": "Parameters that can be configured on Linux nodes.", "$ref": "LinuxNodeConfig" }, "gcfsConfig": { "$ref": "GcfsConfig", "description": "Google Container File System (image streaming) configs." }, "kubeletConfig": { "$ref": "NodeKubeletConfig", "description": "Node kubelet configs." }, "workloadMetadataConfig": { "description": "The workload metadata configuration for this node.", "$ref": "WorkloadMetadataConfig" }, "taints": { "description": "List of kubernetes taints to be applied to each node. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/", "type": "array", "items": { "$ref": "NodeTaint" } }, "machineType": { "type": "string", "description": "The name of a Google Compute Engine [machine type](https://cloud.google.com/compute/docs/machine-types) If unspecified, the default machine type is `e2-medium`." }, "preemptible": { "type": "boolean", "description": "Whether the nodes are created as preemptible VM instances. See: https://cloud.google.com/compute/docs/instances/preemptible for more information about preemptible VM instances." }, "reservationAffinity": { "$ref": "ReservationAffinity", "description": "The optional reservation affinity. Setting this field will apply the specified [Zonal Compute Reservation](https://cloud.google.com/compute/docs/instances/reserving-zonal-resources) to this node pool." }, "metadata": { "type": "object", "description": "The metadata key/value pairs assigned to instances in the cluster. Keys must conform to the regexp `[a-zA-Z0-9-_]+` and be less than 128 bytes in length. These are reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project or be one of the reserved keys: - \"cluster-location\" - \"cluster-name\" - \"cluster-uid\" - \"configure-sh\" - \"containerd-configure-sh\" - \"enable-os-login\" - \"gci-ensure-gke-docker\" - \"gci-metrics-enabled\" - \"gci-update-strategy\" - \"instance-template\" - \"kube-env\" - \"startup-script\" - \"user-data\" - \"disable-address-manager\" - \"windows-startup-script-ps1\" - \"common-psm1\" - \"k8s-node-setup-psm1\" - \"install-ssh-psm1\" - \"user-profile-psm1\" Values are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on them is that each value's size must be less than or equal to 32 KB. The total size of all keys and values must be less than 512 KB.", "additionalProperties": { "type": "string" } }, "bootDiskKmsKey": { "description": " The Customer Managed Encryption Key used to encrypt the boot disk attached to each node in the node pool. This should be of the form projects/[KEY_PROJECT_ID]/locations/[LOCATION]/keyRings/[RING_NAME]/cryptoKeys/[KEY_NAME]. For more information about protecting resources with Cloud KMS Keys please see: https://cloud.google.com/compute/docs/disks/customer-managed-encryption", "type": "string" }, "advancedMachineFeatures": { "$ref": "AdvancedMachineFeatures", "description": "Advanced features for the Compute Engine VM." }, "imageType": { "description": "The image type to use for this node. Note that for a given image type, the latest version of it will be used.", "type": "string" }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "Shielded Instance options." }, "oauthScopes": { "type": "array", "items": { "type": "string" }, "description": "The set of Google API scopes to be made available on all of the node VMs under the \"default\" service account. The following scopes are recommended, but not required, and by default are not included: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/compute` is required for mounting persistent storage on your nodes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/devstorage.read_only` is required for communicating with **gcr.io** (the [Google Container Registry](https://cloud.google.com/container-registry/)). If unspecified, no scopes are added, unless Cloud Logging or Cloud Monitoring are enabled, in which case their required scopes will be added." }, "sandboxConfig": { "$ref": "SandboxConfig", "description": "Sandbox configuration for this node." } }, "description": "Parameters that describe the nodes in a cluster. GKE Autopilot clusters do not recognize parameters in `NodeConfig`. Use AutoprovisioningNodePoolDefaults instead.", "id": "NodeConfig" }, "UpgradeSettings": { "type": "object", "id": "UpgradeSettings", "description": "These upgrade settings control the level of parallelism and the level of disruption caused by an upgrade. maxUnavailable controls the number of nodes that can be simultaneously unavailable. maxSurge controls the number of additional nodes that can be added to the node pool temporarily for the time of the upgrade to increase the number of available nodes. (maxUnavailable + maxSurge) determines the level of parallelism (how many nodes are being upgraded at the same time). Note: upgrades inevitably introduce some disruption since workloads need to be moved from old nodes to new, upgraded ones. Even if maxUnavailable=0, this holds true. (Disruption stays within the limits of PodDisruptionBudget, if it is configured.) Consider a hypothetical node pool with 5 nodes having maxSurge=2, maxUnavailable=1. This means the upgrade process upgrades 3 nodes simultaneously. It creates 2 additional (upgraded) nodes, then it brings down 3 old (not yet upgraded) nodes at the same time. This ensures that there are always at least 4 nodes available. These upgrade settings configure the upgrade strategy for the node pool. Use strategy to switch between the strategies applied to the node pool. If the strategy is ROLLING, use max_surge and max_unavailable to control the level of parallelism and the level of disruption caused by upgrade. 1. maxSurge controls the number of additional nodes that can be added to the node pool temporarily for the time of the upgrade to increase the number of available nodes. 2. maxUnavailable controls the number of nodes that can be simultaneously unavailable. 3. (maxUnavailable + maxSurge) determines the level of parallelism (how many nodes are being upgraded at the same time). If the strategy is BLUE_GREEN, use blue_green_settings to configure the blue-green upgrade related settings. 1. standard_rollout_policy is the default policy. The policy is used to control the way blue pool gets drained. The draining is executed in the batch mode. The batch size could be specified as either percentage of the node pool size or the number of nodes. batch_soak_duration is the soak time after each batch gets drained. 2. node_pool_soak_duration is the soak time after all blue nodes are drained. After this period, the blue pool nodes will be deleted.", "properties": { "maxSurge": { "type": "integer", "description": "The maximum number of nodes that can be created beyond the current size of the node pool during the upgrade process.", "format": "int32" }, "blueGreenSettings": { "description": "Settings for blue-green upgrade strategy.", "$ref": "BlueGreenSettings" }, "strategy": { "description": "Update strategy of the node pool.", "enumDescriptions": [ "Default value.", "blue-green upgrade.", "SURGE is the traditional way of upgrade a node pool. max_surge and max_unavailable determines the level of upgrade parallelism." ], "enum": [ "NODE_POOL_UPDATE_STRATEGY_UNSPECIFIED", "BLUE_GREEN", "SURGE" ], "type": "string" }, "maxUnavailable": { "description": "The maximum number of nodes that can be simultaneously unavailable during the upgrade process. A node is considered available if its status is Ready.", "type": "integer", "format": "int32" } } }, "CancelOperationRequest": { "type": "object", "description": "CancelOperationRequest cancels a single operation.", "id": "CancelOperationRequest", "properties": { "name": { "description": "The name (project, location, operation id) of the operation to cancel. Specified in the format `projects/*/locations/*/operations/*`.", "type": "string" }, "operationId": { "description": "Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } } }, "GcpFilestoreCsiDriverConfig": { "id": "GcpFilestoreCsiDriverConfig", "description": "Configuration for the GCP Filestore CSI driver.", "properties": { "enabled": { "type": "boolean", "description": "Whether the GCP Filestore CSI driver is enabled for this cluster." } }, "type": "object" }, "LoggingComponentConfig": { "id": "LoggingComponentConfig", "properties": { "enableComponents": { "type": "array", "description": "Select components to collect logs. An empty set would disable all logging.", "items": { "enum": [ "COMPONENT_UNSPECIFIED", "SYSTEM_COMPONENTS", "WORKLOADS" ], "type": "string", "enumDescriptions": [ "Default value. This shouldn't be used.", "system components", "workloads" ] } } }, "type": "object", "description": "LoggingComponentConfig is cluster logging component configuration." }, "CompleteNodePoolUpgradeRequest": { "properties": {}, "description": "CompleteNodePoolUpgradeRequest sets the name of target node pool to complete upgrade.", "type": "object", "id": "CompleteNodePoolUpgradeRequest" }, "Autopilot": { "description": "Autopilot is the configuration for Autopilot settings on the cluster.", "properties": { "enabled": { "type": "boolean", "description": "Enable Autopilot" } }, "id": "Autopilot", "type": "object" }, "NodeNetworkConfig": { "id": "NodeNetworkConfig", "description": "Parameters for node pool-level network config.", "type": "object", "properties": { "createPodRange": { "type": "boolean", "description": "Input only. Whether to create a new range for pod IPs in this node pool. Defaults are provided for `pod_range` and `pod_ipv4_cidr_block` if they are not specified. If neither `create_pod_range` or `pod_range` are specified, the cluster-level default (`ip_allocation_policy.cluster_ipv4_cidr_block`) is used. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created." }, "networkPerformanceConfig": { "description": "Network bandwidth tier configuration.", "$ref": "NetworkPerformanceConfig" }, "podIpv4CidrBlock": { "type": "string", "description": "The IP address range for pod IPs in this node pool. Only applicable if `create_pod_range` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](https://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) to pick a specific range to use. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created." }, "podRange": { "type": "string", "description": "The ID of the secondary range for pod IPs. If `create_pod_range` is true, this ID is used for the new range. If `create_pod_range` is false, uses an existing secondary range with this ID. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created." } } }, "UpdateInfo": { "id": "UpdateInfo", "properties": { "blueGreenInfo": { "description": "Information of a blue-green upgrade.", "$ref": "BlueGreenInfo" } }, "type": "object", "description": "UpdateInfo contains resource (instance groups, etc), status and other intermediate information relevant to a node pool upgrade." }, "ResourceLimit": { "properties": { "minimum": { "description": "Minimum amount of the resource in the cluster.", "type": "string", "format": "int64" }, "resourceType": { "type": "string", "description": "Resource name \"cpu\", \"memory\" or gpu-specific string." }, "maximum": { "format": "int64", "type": "string", "description": "Maximum amount of the resource in the cluster." } }, "id": "ResourceLimit", "description": "Contains information about amount of some resource in the cluster. For memory, value should be in GB.", "type": "object" }, "ManagedPrometheusConfig": { "properties": { "enabled": { "description": "Enable Managed Collection.", "type": "boolean" } }, "type": "object", "id": "ManagedPrometheusConfig", "description": "ManagedPrometheusConfig defines the configuration for Google Cloud Managed Service for Prometheus." }, "DefaultSnatStatus": { "type": "object", "properties": { "disabled": { "description": "Disables cluster default sNAT rules.", "type": "boolean" } }, "description": "DefaultSnatStatus contains the desired state of whether default sNAT should be disabled on the cluster.", "id": "DefaultSnatStatus" }, "AutoprovisioningNodePoolDefaults": { "description": "AutoprovisioningNodePoolDefaults contains defaults for a node pool created by NAP.", "properties": { "diskSizeGb": { "description": "Size of the disk attached to each node, specified in GB. The smallest allowed disk size is 10GB. If unspecified, the default disk size is 100GB.", "format": "int32", "type": "integer" }, "diskType": { "description": "Type of the disk attached to each node (e.g. 'pd-standard', 'pd-ssd' or 'pd-balanced') If unspecified, the default disk type is 'pd-standard'", "type": "string" }, "serviceAccount": { "description": "The Google Cloud Platform Service Account to be used by the node VMs.", "type": "string" }, "bootDiskKmsKey": { "type": "string", "description": "The Customer Managed Encryption Key used to encrypt the boot disk attached to each node in the node pool. This should be of the form projects/[KEY_PROJECT_ID]/locations/[LOCATION]/keyRings/[RING_NAME]/cryptoKeys/[KEY_NAME]. For more information about protecting resources with Cloud KMS Keys please see: https://cloud.google.com/compute/docs/disks/customer-managed-encryption" }, "imageType": { "description": "The image type to use for NAP created node.", "type": "string" }, "upgradeSettings": { "description": "Specifies the upgrade settings for NAP created node pools", "$ref": "UpgradeSettings" }, "management": { "$ref": "NodeManagement", "description": "Specifies the node management options for NAP created node-pools." }, "oauthScopes": { "description": "Scopes that are used by NAP when creating node pools.", "items": { "type": "string" }, "type": "array" }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "Shielded Instance options." }, "minCpuPlatform": { "type": "string", "description": "Deprecated. Minimum CPU platform to be used for NAP created node pools. The instance may be scheduled on the specified or newer CPU platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: Intel Haswell or minCpuPlatform: Intel Sandy Bridge. For more information, read [how to specify min CPU platform](https://cloud.google.com/compute/docs/instances/specify-min-cpu-platform) This field is deprecated, min_cpu_platform should be specified using cloud.google.com/requested-min-cpu-platform label selector on the pod. To unset the min cpu platform field pass \"automatic\" as field value." } }, "id": "AutoprovisioningNodePoolDefaults", "type": "object" }, "BlueGreenInfo": { "description": "Information relevant to blue-green upgrade.", "properties": { "bluePoolDeletionStartTime": { "type": "string", "description": "Time to start deleting blue pool to complete blue-green upgrade, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "blueInstanceGroupUrls": { "description": "The resource URLs of the [managed instance groups] (/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with blue pool.", "type": "array", "items": { "type": "string" } }, "greenInstanceGroupUrls": { "type": "array", "description": "The resource URLs of the [managed instance groups] (/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with green pool.", "items": { "type": "string" } }, "phase": { "enumDescriptions": [ "Unspecified phase.", "blue-green upgrade has been initiated.", "Start creating green pool nodes.", "Start cordoning blue pool nodes.", "Start draining blue pool nodes.", "Start soaking time after draining entire blue pool.", "Start deleting blue nodes.", "Rollback has been initiated." ], "type": "string", "enum": [ "PHASE_UNSPECIFIED", "UPDATE_STARTED", "CREATING_GREEN_POOL", "CORDONING_BLUE_POOL", "DRAINING_BLUE_POOL", "NODE_POOL_SOAKING", "DELETING_BLUE_POOL", "ROLLBACK_STARTED" ], "description": "Current blue-green upgrade phase." }, "greenPoolVersion": { "description": "Version of green pool.", "type": "string" } }, "id": "BlueGreenInfo", "type": "object" }, "SandboxConfig": { "id": "SandboxConfig", "description": "SandboxConfig contains configurations of the sandbox to use for the node.", "type": "object", "properties": { "type": { "enum": [ "UNSPECIFIED", "GVISOR" ], "enumDescriptions": [ "Default value. This should not be used.", "Run sandbox using gvisor." ], "description": "Type of the sandbox to use for the node.", "type": "string" } } }, "GcePersistentDiskCsiDriverConfig": { "id": "GcePersistentDiskCsiDriverConfig", "properties": { "enabled": { "type": "boolean", "description": "Whether the Compute Engine PD CSI driver is enabled for this cluster." } }, "type": "object", "description": "Configuration for the Compute Engine PD CSI driver." }, "GetJSONWebKeysResponse": { "description": "GetJSONWebKeysResponse is a valid JSON Web Key Set as specififed in rfc 7517", "id": "GetJSONWebKeysResponse", "properties": { "cacheHeader": { "description": "OnePlatform automatically extracts this field and uses it to set the HTTP Cache-Control header.", "$ref": "HttpCacheControlResponseHeader" }, "keys": { "description": "The public component of the keys used by the cluster to sign token requests.", "type": "array", "items": { "$ref": "Jwk" } } }, "type": "object" }, "AuthenticatorGroupsConfig": { "properties": { "enabled": { "description": "Whether this cluster should return group membership lookups during authentication using a group of security groups.", "type": "boolean" }, "securityGroup": { "description": "The name of the security group-of-groups to be used. Only relevant if enabled = true.", "type": "string" } }, "type": "object", "id": "AuthenticatorGroupsConfig", "description": "Configuration for returning group information from authenticators." }, "NodePoolAutoConfig": { "type": "object", "properties": { "networkTags": { "$ref": "NetworkTags", "description": "The list of instance tags applied to all nodes. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during cluster creation. Each tag within the list must comply with RFC1035." } }, "id": "NodePoolAutoConfig", "description": "Node pool configs that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters." }, "Jwk": { "description": "Jwk is a JSON Web Key as specified in RFC 7517", "properties": { "use": { "description": "Permitted uses for the public keys.", "type": "string" }, "y": { "description": "Used for ECDSA keys.", "type": "string" }, "crv": { "description": "Used for ECDSA keys.", "type": "string" }, "kty": { "type": "string", "description": "Key Type." }, "x": { "type": "string", "description": "Used for ECDSA keys." }, "kid": { "type": "string", "description": "Key ID." }, "e": { "type": "string", "description": "Used for RSA keys." }, "alg": { "type": "string", "description": "Algorithm." }, "n": { "description": "Used for RSA keys.", "type": "string" } }, "id": "Jwk", "type": "object" }, "MaintenanceExclusionOptions": { "properties": { "scope": { "enumDescriptions": [ "NO_UPGRADES excludes all upgrades, including patch upgrades and minor upgrades across control planes and nodes. This is the default exclusion behavior.", "NO_MINOR_UPGRADES excludes all minor upgrades for the cluster, only patches are allowed.", "NO_MINOR_OR_NODE_UPGRADES excludes all minor upgrades for the cluster, and also exclude all node pool upgrades. Only control plane patches are allowed." ], "description": "Scope specifies the upgrade scope which upgrades are blocked by the exclusion.", "enum": [ "NO_UPGRADES", "NO_MINOR_UPGRADES", "NO_MINOR_OR_NODE_UPGRADES" ], "type": "string" } }, "description": "Represents the Maintenance exclusion option.", "type": "object", "id": "MaintenanceExclusionOptions" }, "BlueGreenSettings": { "type": "object", "description": "Settings for blue-green upgrade.", "properties": { "standardRolloutPolicy": { "$ref": "StandardRolloutPolicy", "description": "Standard policy for the blue-green upgrade." }, "nodePoolSoakDuration": { "format": "google-duration", "type": "string", "description": "Time needed after draining entire blue pool. After this period, blue pool will be cleaned up." } }, "id": "BlueGreenSettings" }, "CreateNodePoolRequest": { "description": "CreateNodePoolRequest creates a node pool for a cluster.", "id": "CreateNodePoolRequest", "properties": { "nodePool": { "$ref": "NodePool", "description": "Required. The node pool to create." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field." }, "parent": { "type": "string", "description": "The parent (project, location, cluster name) where the node pool will be created. Specified in the format `projects/*/locations/*/clusters/*`." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field." } }, "type": "object" }, "UsableSubnetworkSecondaryRange": { "type": "object", "properties": { "status": { "enum": [ "UNKNOWN", "UNUSED", "IN_USE_SERVICE", "IN_USE_SHAREABLE_POD", "IN_USE_MANAGED_POD" ], "enumDescriptions": [ "UNKNOWN is the zero value of the Status enum. It's not a valid status.", "UNUSED denotes that this range is unclaimed by any cluster.", "IN_USE_SERVICE denotes that this range is claimed by a cluster for services. It cannot be used for other clusters.", "IN_USE_SHAREABLE_POD denotes this range was created by the network admin and is currently claimed by a cluster for pods. It can only be used by other clusters as a pod range.", "IN_USE_MANAGED_POD denotes this range was created by GKE and is claimed for pods. It cannot be used for other clusters." ], "description": "This field is to determine the status of the secondary range programmably.", "type": "string" }, "rangeName": { "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance.", "type": "string" }, "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range.", "type": "string" } }, "description": "Secondary IP range of a usable subnetwork.", "id": "UsableSubnetworkSecondaryRange" }, "UpdateClusterRequest": { "properties": { "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "update": { "$ref": "ClusterUpdate", "description": "Required. A description of the update." }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "UpdateClusterRequest", "description": "UpdateClusterRequest updates the settings of a cluster.", "type": "object" }, "GPUSharingConfig": { "id": "GPUSharingConfig", "description": "GPUSharingConfig represents the GPU sharing configuration for Hardware Accelerators.", "type": "object", "properties": { "gpuSharingStrategy": { "enum": [ "GPU_SHARING_STRATEGY_UNSPECIFIED", "TIME_SHARING" ], "enumDescriptions": [ "Default value.", "GPUs are time-shared between containers." ], "description": "The type of GPU sharing strategy to enable on the GPU node.", "type": "string" }, "maxSharedClientsPerGpu": { "description": "The max number of containers that can share a physical GPU.", "format": "int64", "type": "string" } } }, "ConfigConnectorConfig": { "id": "ConfigConnectorConfig", "description": "Configuration options for the Config Connector add-on.", "properties": { "enabled": { "description": "Whether Cloud Connector is enabled for this cluster.", "type": "boolean" } }, "type": "object" }, "MaxPodsConstraint": { "description": "Constraints applied to pods.", "type": "object", "properties": { "maxPodsPerNode": { "format": "int64", "type": "string", "description": "Constraint enforced on the max num of pods per node." } }, "id": "MaxPodsConstraint" }, "TimeWindow": { "properties": { "maintenanceExclusionOptions": { "description": "MaintenanceExclusionOptions provides maintenance exclusion related options.", "$ref": "MaintenanceExclusionOptions" }, "endTime": { "format": "google-datetime", "description": "The time that the window ends. The end time should take place after the start time.", "type": "string" }, "startTime": { "format": "google-datetime", "description": "The time that the window first starts.", "type": "string" } }, "id": "TimeWindow", "description": "Represents an arbitrary window of time.", "type": "object" }, "NetworkPolicy": { "id": "NetworkPolicy", "description": "Configuration options for the NetworkPolicy feature. https://kubernetes.io/docs/concepts/services-networking/networkpolicies/", "type": "object", "properties": { "provider": { "enum": [ "PROVIDER_UNSPECIFIED", "CALICO" ], "description": "The selected network policy provider.", "enumDescriptions": [ "Not set", "Tigera (Calico Felix)." ], "type": "string" }, "enabled": { "description": "Whether network policy is enabled on the cluster.", "type": "boolean" } } }, "AddonsConfig": { "type": "object", "id": "AddonsConfig", "properties": { "horizontalPodAutoscaling": { "$ref": "HorizontalPodAutoscaling", "description": "Configuration for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods." }, "httpLoadBalancing": { "description": "Configuration for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster.", "$ref": "HttpLoadBalancing" }, "kubernetesDashboard": { "$ref": "KubernetesDashboard", "description": "Configuration for the Kubernetes Dashboard. This addon is deprecated, and will be disabled in 1.15. It is recommended to use the Cloud Console to manage and monitor your Kubernetes clusters, workloads and applications. For more information, see: https://cloud.google.com/kubernetes-engine/docs/concepts/dashboards" }, "cloudRunConfig": { "$ref": "CloudRunConfig", "description": "Configuration for the Cloud Run addon, which allows the user to use a managed Knative service." }, "gcePersistentDiskCsiDriverConfig": { "$ref": "GcePersistentDiskCsiDriverConfig", "description": "Configuration for the Compute Engine Persistent Disk CSI driver." }, "gcpFilestoreCsiDriverConfig": { "description": "Configuration for the GCP Filestore CSI driver.", "$ref": "GcpFilestoreCsiDriverConfig" }, "dnsCacheConfig": { "$ref": "DnsCacheConfig", "description": "Configuration for NodeLocalDNS, a dns cache running on cluster nodes" }, "configConnectorConfig": { "$ref": "ConfigConnectorConfig", "description": "Configuration for the ConfigConnector add-on, a Kubernetes extension to manage hosted GCP services through the Kubernetes API" }, "networkPolicyConfig": { "description": "Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes.", "$ref": "NetworkPolicyConfig" } }, "description": "Configuration for the addons that can be automatically spun up in the cluster, enabling additional functionality." }, "MasterAuth": { "description": "The authentication information for accessing the master endpoint. Authentication can be done using HTTP basic auth or using client certificates.", "properties": { "password": { "description": "The password to use for HTTP basic authentication to the master endpoint. Because the master endpoint is open to the Internet, you should create a strong password. If a password is provided for cluster creation, username must be non-empty. Warning: basic authentication is deprecated, and will be removed in GKE control plane versions 1.19 and newer. For a list of recommended authentication methods, see: https://cloud.google.com/kubernetes-engine/docs/how-to/api-server-authentication", "type": "string" }, "username": { "type": "string", "description": "The username to use for HTTP basic authentication to the master endpoint. For clusters v1.6.0 and later, basic authentication can be disabled by leaving username unspecified (or setting it to the empty string). Warning: basic authentication is deprecated, and will be removed in GKE control plane versions 1.19 and newer. For a list of recommended authentication methods, see: https://cloud.google.com/kubernetes-engine/docs/how-to/api-server-authentication" }, "clientCertificateConfig": { "$ref": "ClientCertificateConfig", "description": "Configuration for client certificate authentication on the cluster. For clusters before v1.12, if no configuration is specified, a client certificate is issued." }, "clientKey": { "description": "[Output only] Base64-encoded private key used by clients to authenticate to the cluster endpoint.", "type": "string" }, "clientCertificate": { "type": "string", "description": "[Output only] Base64-encoded public certificate used by clients to authenticate to the cluster endpoint." }, "clusterCaCertificate": { "type": "string", "description": "[Output only] Base64-encoded public certificate that is the root of trust for the cluster." } }, "type": "object", "id": "MasterAuth" }, "PubSub": { "properties": { "enabled": { "type": "boolean", "description": "Enable notifications for Pub/Sub." }, "topic": { "type": "string", "description": "The desired Pub/Sub topic to which notifications will be sent by GKE. Format is `projects/{project}/topics/{topic}`." }, "filter": { "$ref": "Filter", "description": "Allows filtering to one or more specific event types. If no filter is specified, or if a filter is specified with no event types, all event types will be sent" } }, "type": "object", "id": "PubSub", "description": "Pub/Sub specific notification config." }, "ReleaseChannelConfig": { "type": "object", "properties": { "channel": { "enumDescriptions": [ "No channel specified.", "RAPID channel is offered on an early access basis for customers who want to test new releases. WARNING: Versions available in the RAPID Channel may be subject to unresolved issues with no known workaround and are not subject to any SLAs.", "Clusters subscribed to REGULAR receive versions that are considered GA quality. REGULAR is intended for production users who want to take advantage of new features.", "Clusters subscribed to STABLE receive versions that are known to be stable and reliable in production." ], "enum": [ "UNSPECIFIED", "RAPID", "REGULAR", "STABLE" ], "type": "string", "description": "The release channel this configuration applies to." }, "validVersions": { "description": "List of valid versions for the channel.", "type": "array", "items": { "type": "string" } }, "defaultVersion": { "type": "string", "description": "The default version for newly created clusters on the channel." } }, "id": "ReleaseChannelConfig", "description": "ReleaseChannelConfig exposes configuration for a release channel." }, "Filter": { "id": "Filter", "type": "object", "description": "Allows filtering to one or more specific event types. If event types are present, those and only those event types will be transmitted to the cluster. Other types will be skipped. If no filter is specified, or no event types are present, all event types will be sent", "properties": { "eventType": { "type": "array", "description": "Event types to allowlist.", "items": { "enumDescriptions": [ "Not set, will be ignored.", "Corresponds with UpgradeAvailableEvent.", "Corresponds with UpgradeEvent.", "Corresponds with SecurityBulletinEvent." ], "enum": [ "EVENT_TYPE_UNSPECIFIED", "UPGRADE_AVAILABLE_EVENT", "UPGRADE_EVENT", "SECURITY_BULLETIN_EVENT" ], "type": "string" } } } }, "DNSConfig": { "description": "DNSConfig contains the desired set of options for configuring clusterDNS.", "properties": { "clusterDnsScope": { "description": "cluster_dns_scope indicates the scope of access to cluster DNS records.", "enumDescriptions": [ "Default value, will be inferred as cluster scope.", "DNS records are accessible from within the VPC." ], "enum": [ "DNS_SCOPE_UNSPECIFIED", "VPC_SCOPE" ], "type": "string" }, "clusterDnsDomain": { "type": "string", "description": "cluster_dns_domain is the suffix used for all cluster service records." }, "clusterDns": { "enum": [ "PROVIDER_UNSPECIFIED", "PLATFORM_DEFAULT", "CLOUD_DNS" ], "enumDescriptions": [ "Default value", "Use GKE default DNS provider(kube-dns) for DNS resolution.", "Use CloudDNS for DNS resolution." ], "type": "string", "description": "cluster_dns indicates which in-cluster DNS provider should be used." } }, "id": "DNSConfig", "type": "object" }, "HorizontalPodAutoscaling": { "description": "Configuration options for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods.", "id": "HorizontalPodAutoscaling", "properties": { "disabled": { "description": "Whether the Horizontal Pod Autoscaling feature is enabled in the cluster. When enabled, it ensures that metrics are collected into Stackdriver Monitoring.", "type": "boolean" } }, "type": "object" }, "UsableSubnetwork": { "id": "UsableSubnetwork", "type": "object", "description": "UsableSubnetwork resource returns the subnetwork name, its associated network and the primary CIDR range.", "properties": { "statusMessage": { "type": "string", "description": "A human readable status message representing the reasons for cases where the caller cannot use the secondary ranges under the subnet. For example if the secondary_ip_ranges is empty due to a permission issue, an insufficient permission message will be given by status_message." }, "network": { "description": "Network Name. Example: projects/my-project/global/networks/my-network", "type": "string" }, "secondaryIpRanges": { "items": { "$ref": "UsableSubnetworkSecondaryRange" }, "description": "Secondary IP ranges.", "type": "array" }, "ipCidrRange": { "description": "The range of internal addresses that are owned by this subnetwork.", "type": "string" }, "subnetwork": { "type": "string", "description": "Subnetwork Name. Example: projects/my-project/regions/us-central1/subnetworks/my-subnet" } } }, "KubernetesDashboard": { "properties": { "disabled": { "description": "Whether the Kubernetes Dashboard is enabled for this cluster.", "type": "boolean" } }, "description": "Configuration for the Kubernetes Dashboard.", "id": "KubernetesDashboard", "type": "object" }, "SetMasterAuthRequest": { "description": "SetMasterAuthRequest updates the admin password of a cluster.", "properties": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "action": { "enum": [ "UNKNOWN", "SET_PASSWORD", "GENERATE_PASSWORD", "SET_USERNAME" ], "type": "string", "description": "Required. The exact form of action to be taken on the master auth.", "enumDescriptions": [ "Operation is unknown and will error out.", "Set the password to a user generated value.", "Generate a new password and set it to that.", "Set the username. If an empty username is provided, basic authentication is disabled for the cluster. If a non-empty username is provided, basic authentication is enabled, with either a provided password or a generated one." ] }, "update": { "$ref": "MasterAuth", "description": "Required. A description of the update." }, "name": { "description": "The name (project, location, cluster) of the cluster to set auth. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetMasterAuthRequest", "type": "object" }, "AutoUpgradeOptions": { "id": "AutoUpgradeOptions", "type": "object", "properties": { "description": { "description": "[Output only] This field is set when upgrades are about to commence with the description of the upgrade.", "type": "string" }, "autoUpgradeStartTime": { "description": "[Output only] This field is set when upgrades are about to commence with the approximate start time for the upgrades, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" } }, "description": "AutoUpgradeOptions defines the set of options for the user to control how the Auto Upgrades will proceed." }, "UpgradeAvailableEvent": { "id": "UpgradeAvailableEvent", "type": "object", "description": "UpgradeAvailableEvent is a notification sent to customers when a new available version is released.", "properties": { "resourceType": { "description": "The resource type of the release version.", "type": "string", "enumDescriptions": [ "Default value. This shouldn't be used.", "Master / control plane", "Node pool" ], "enum": [ "UPGRADE_RESOURCE_TYPE_UNSPECIFIED", "MASTER", "NODE_POOL" ] }, "releaseChannel": { "description": "The release channel of the version. If empty, it means a non-channel release.", "$ref": "ReleaseChannel" }, "version": { "description": "The release version available for upgrade.", "type": "string" }, "resource": { "description": "Optional relative path to the resource. For example, the relative path of the node pool.", "type": "string" } } }, "GetOpenIDConfigResponse": { "description": "GetOpenIDConfigResponse is an OIDC discovery document for the cluster. See the OpenID Connect Discovery 1.0 specification for details.", "type": "object", "id": "GetOpenIDConfigResponse", "properties": { "id_token_signing_alg_values_supported": { "items": { "type": "string" }, "description": "supported ID Token signing Algorithms.", "type": "array" }, "subject_types_supported": { "items": { "type": "string" }, "type": "array", "description": "Supported subject types." }, "jwks_uri": { "description": "JSON Web Key uri.", "type": "string" }, "cacheHeader": { "description": "OnePlatform automatically extracts this field and uses it to set the HTTP Cache-Control header.", "$ref": "HttpCacheControlResponseHeader" }, "grant_types": { "type": "array", "description": "Supported grant types.", "items": { "type": "string" } }, "claims_supported": { "type": "array", "description": "Supported claims.", "items": { "type": "string" } }, "response_types_supported": { "description": "Supported response types.", "type": "array", "items": { "type": "string" } }, "issuer": { "description": "OIDC Issuer.", "type": "string" } } }, "LoggingConfig": { "id": "LoggingConfig", "properties": { "componentConfig": { "$ref": "LoggingComponentConfig", "description": "Logging components configuration" } }, "type": "object", "description": "LoggingConfig is cluster logging configuration." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "properties": { "missingZones": { "type": "array", "items": { "type": "string" }, "description": "If any zones are listed here, the list of operations returned may be missing the operations from those zones." }, "operations": { "description": "A list of operations in the project in the specified zone.", "items": { "$ref": "Operation" }, "type": "array" } }, "description": "ListOperationsResponse is the result of ListOperationsRequest.", "type": "object" }, "NodePool": { "type": "object", "description": "NodePool contains the name and configuration for a cluster's node pool. Node pools are a set of nodes (i.e. VM's), with a common configuration and specification, under the control of the cluster master. They may have a set of Kubernetes labels applied to them, which may be used to reference them during pod scheduling. They may also be resized up or down, to accommodate the workload.", "id": "NodePool", "properties": { "management": { "description": "NodeManagement configuration for this NodePool.", "$ref": "NodeManagement" }, "updateInfo": { "readOnly": true, "$ref": "UpdateInfo", "description": "Output only. [Output only] Update info contains relevant information during a node pool update." }, "locations": { "type": "array", "items": { "type": "string" }, "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the NodePool's nodes should be located. If this value is unspecified during node pool creation, the [Cluster.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters#Cluster.FIELDS.locations) value will be used, instead. Warning: changing node pool locations will result in nodes being added and/or removed." }, "maxPodsConstraint": { "$ref": "MaxPodsConstraint", "description": "The constraint on the maximum number of pods that can be run simultaneously on a node in the node pool." }, "networkConfig": { "description": "Networking configuration for this NodePool. If specified, it overrides the cluster-level defaults.", "$ref": "NodeNetworkConfig" }, "autoscaling": { "$ref": "NodePoolAutoscaling", "description": "Autoscaler configuration for this NodePool. Autoscaler is enabled only if a valid configuration is present." }, "upgradeSettings": { "$ref": "UpgradeSettings", "description": "Upgrade settings control disruption and speed of the upgrade." }, "config": { "description": "The node configuration of the pool.", "$ref": "NodeConfig" }, "selfLink": { "type": "string", "description": "[Output only] Server-defined URL for the resource." }, "status": { "description": "[Output only] The status of the nodes in this pool instance.", "enum": [ "STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RUNNING_WITH_ERROR", "RECONCILING", "STOPPING", "ERROR" ], "enumDescriptions": [ "Not set.", "The PROVISIONING state indicates the node pool is being created.", "The RUNNING state indicates the node pool has been created and is fully usable.", "The RUNNING_WITH_ERROR state indicates the node pool has been created and is partially usable. Some error state has occurred and some functionality may be impaired. Customer may need to reissue a request or trigger a new update.", "The RECONCILING state indicates that some work is actively being done on the node pool, such as upgrading node software. Details can be found in the `statusMessage` field.", "The STOPPING state indicates the node pool is being deleted.", "The ERROR state indicates the node pool may be unusable. Details can be found in the `statusMessage` field." ], "type": "string" }, "version": { "description": "The version of the Kubernetes of this node.", "type": "string" }, "statusMessage": { "description": "[Output only] Deprecated. Use conditions instead. Additional information about the current status of this node pool instance, if available.", "type": "string" }, "conditions": { "items": { "$ref": "StatusCondition" }, "type": "array", "description": "Which conditions caused the current node pool state." }, "podIpv4CidrSize": { "description": "[Output only] The pod CIDR block size per node in this node pool.", "type": "integer", "format": "int32" }, "initialNodeCount": { "type": "integer", "format": "int32", "description": "The initial node count for the pool. You must ensure that your Compute Engine [resource quota](https://cloud.google.com/compute/quotas) is sufficient for this number of instances. You must also have available firewall and routes quota." }, "instanceGroupUrls": { "type": "array", "items": { "type": "string" }, "description": "[Output only] The resource URLs of the [managed instance groups](https://cloud.google.com/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with this node pool. During the node pool blue-green upgrade operation, the URLs contain both blue and green resources." }, "name": { "description": "The name of the node pool.", "type": "string" } } }, "SetLabelsRequest": { "properties": { "clusterId": { "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster name) of the cluster to set labels. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "resourceLabels": { "additionalProperties": { "type": "string" }, "description": "Required. The labels to set for that cluster.", "type": "object" }, "labelFingerprint": { "description": "Required. The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Kubernetes Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels. Make a `get()` request to the resource to get the latest fingerprint.", "type": "string" } }, "description": "SetLabelsRequest sets the Google Cloud Platform labels on a Google Container Engine cluster, which will in turn set them for Google Compute Engine resources used by that cluster", "id": "SetLabelsRequest", "type": "object" }, "WorkloadMetadataConfig": { "type": "object", "id": "WorkloadMetadataConfig", "description": "WorkloadMetadataConfig defines the metadata configuration to expose to workloads on the node pool.", "properties": { "mode": { "type": "string", "enum": [ "MODE_UNSPECIFIED", "GCE_METADATA", "GKE_METADATA" ], "description": "Mode is the configuration for how to expose metadata to workloads running on the node pool.", "enumDescriptions": [ "Not set.", "Expose all Compute Engine metadata to pods.", "Run the GKE Metadata Server on this node. The GKE Metadata Server exposes a metadata API to workloads that is compatible with the V1 Compute Metadata APIs exposed by the Compute Engine and App Engine Metadata Servers. This feature can only be enabled if Workload Identity is enabled at the cluster level." ] } } }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status" }, "ClusterAutoscaling": { "properties": { "autoscalingProfile": { "type": "string", "enumDescriptions": [ "No change to autoscaling configuration.", "Prioritize optimizing utilization of resources.", "Use default (balanced) autoscaling configuration." ], "enum": [ "PROFILE_UNSPECIFIED", "OPTIMIZE_UTILIZATION", "BALANCED" ], "description": "Defines autoscaling behaviour." }, "enableNodeAutoprovisioning": { "type": "boolean", "description": "Enables automatic node pool creation and deletion." }, "autoprovisioningNodePoolDefaults": { "description": "AutoprovisioningNodePoolDefaults contains defaults for a node pool created by NAP.", "$ref": "AutoprovisioningNodePoolDefaults" }, "resourceLimits": { "items": { "$ref": "ResourceLimit" }, "type": "array", "description": "Contains global constraints regarding minimum and maximum amount of resources in the cluster." }, "autoprovisioningLocations": { "items": { "type": "string" }, "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the NodePool's nodes can be created by NAP.", "type": "array" } }, "id": "ClusterAutoscaling", "description": "ClusterAutoscaling contains global, per-cluster information required by Cluster Autoscaler to automatically adjust the size of the cluster and create/delete node pools based on the current needs.", "type": "object" }, "SetLegacyAbacRequest": { "description": "SetLegacyAbacRequest enables or disables the ABAC authorization mechanism for a cluster.", "type": "object", "id": "SetLegacyAbacRequest", "properties": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "enabled": { "type": "boolean", "description": "Required. Whether ABAC authorization will be enabled in the cluster." }, "name": { "description": "The name (project, location, cluster name) of the cluster to set legacy abac. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" } } }, "SetNetworkPolicyRequest": { "properties": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to set networking policy. Specified in the format `projects/*/locations/*/clusters/*`." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "networkPolicy": { "description": "Required. Configuration options for the NetworkPolicy feature.", "$ref": "NetworkPolicy" }, "clusterId": { "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" } }, "type": "object", "description": "SetNetworkPolicyRequest enables/disables network policy for a cluster.", "id": "SetNetworkPolicyRequest" }, "NodeTaint": { "properties": { "value": { "type": "string", "description": "Value for taint." }, "key": { "type": "string", "description": "Key for taint." }, "effect": { "description": "Effect for taint.", "type": "string", "enumDescriptions": [ "Not set", "NoSchedule", "PreferNoSchedule", "NoExecute" ], "enum": [ "EFFECT_UNSPECIFIED", "NO_SCHEDULE", "PREFER_NO_SCHEDULE", "NO_EXECUTE" ] } }, "description": "Kubernetes taint is comprised of three fields: key, value, and effect. Effect can only be one of three types: NoSchedule, PreferNoSchedule or NoExecute. See [here](https://kubernetes.io/docs/concepts/configuration/taint-and-toleration) for more information, including usage and the valid values.", "type": "object", "id": "NodeTaint" }, "HttpLoadBalancing": { "type": "object", "description": "Configuration options for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster.", "id": "HttpLoadBalancing", "properties": { "disabled": { "type": "boolean", "description": "Whether the HTTP Load Balancing controller is enabled in the cluster. When enabled, it runs a small pod in the cluster that manages the load balancers." } } }, "SetNodePoolSizeRequest": { "properties": { "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "nodeCount": { "description": "Required. The desired node count for the pool.", "type": "integer", "format": "int32" }, "clusterId": { "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "type": "string", "description": "Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" } }, "type": "object", "id": "SetNodePoolSizeRequest", "description": "SetNodePoolSizeRequest sets the size of a node pool." }, "StartIPRotationRequest": { "description": "StartIPRotationRequest creates a new IP for the cluster and then performs a node upgrade on each node pool to point to the new IP.", "type": "object", "properties": { "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to start IP rotation. Specified in the format `projects/*/locations/*/clusters/*`." }, "rotateCredentials": { "type": "boolean", "description": "Whether to rotate credentials during IP rotation." }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." } }, "id": "StartIPRotationRequest" }, "MaintenanceWindow": { "description": "MaintenanceWindow defines the maintenance window to be used for the cluster.", "properties": { "dailyMaintenanceWindow": { "description": "DailyMaintenanceWindow specifies a daily maintenance operation window.", "$ref": "DailyMaintenanceWindow" }, "maintenanceExclusions": { "description": "Exceptions to maintenance window. Non-emergency maintenance should not occur in these windows.", "type": "object", "additionalProperties": { "$ref": "TimeWindow" } }, "recurringWindow": { "$ref": "RecurringTimeWindow", "description": "RecurringWindow specifies some number of recurring time periods for maintenance to occur. The time windows may be overlapping. If no maintenance windows are set, maintenance can occur at any time." } }, "id": "MaintenanceWindow", "type": "object" }, "UpgradeEvent": { "properties": { "operation": { "description": "The operation associated with this upgrade.", "type": "string" }, "targetVersion": { "type": "string", "description": "The target version for the upgrade." }, "operationStartTime": { "description": "The time when the operation was started.", "type": "string", "format": "google-datetime" }, "resourceType": { "type": "string", "enum": [ "UPGRADE_RESOURCE_TYPE_UNSPECIFIED", "MASTER", "NODE_POOL" ], "description": "The resource type that is upgrading.", "enumDescriptions": [ "Default value. This shouldn't be used.", "Master / control plane", "Node pool" ] }, "resource": { "description": "Optional relative path to the resource. For example in node pool upgrades, the relative path of the node pool.", "type": "string" }, "currentVersion": { "type": "string", "description": "The current version before the upgrade." } }, "id": "UpgradeEvent", "description": "UpgradeEvent is a notification sent to customers by the cluster server when a resource is upgrading.", "type": "object" }, "PrivateClusterMasterGlobalAccessConfig": { "type": "object", "id": "PrivateClusterMasterGlobalAccessConfig", "properties": { "enabled": { "type": "boolean", "description": "Whenever master is accessible globally or not." } }, "description": "Configuration for controlling master global access settings." }, "UpdateNodePoolRequest": { "description": "UpdateNodePoolRequests update a node pool's image and/or version.", "properties": { "upgradeSettings": { "description": "Upgrade settings control disruption and speed of the upgrade.", "$ref": "UpgradeSettings" }, "taints": { "description": "The desired node taints to be applied to all nodes in the node pool. If this field is not present, the taints will not be changed. Otherwise, the existing node taints will be *replaced* with the provided taints.", "$ref": "NodeTaints" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster, node pool) of the node pool to update. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "locations": { "description": "The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the node pool's nodes should be located. Changing the locations for a node pool will result in nodes being either created or removed from the node pool, depending on whether locations are being added or removed.", "type": "array", "items": { "type": "string" } }, "imageType": { "type": "string", "description": "Required. The desired image type for the node pool." }, "kubeletConfig": { "$ref": "NodeKubeletConfig", "description": "Node kubelet configs." }, "tags": { "description": "The desired network tags to be applied to all nodes in the node pool. If this field is not present, the tags will not be changed. Otherwise, the existing network tags will be *replaced* with the provided tags.", "$ref": "NetworkTags" }, "confidentialNodes": { "$ref": "ConfidentialNodes", "description": "Confidential nodes config. All the nodes in the node pool will be Confidential VM once enabled." }, "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "gcfsConfig": { "description": "GCFS config.", "$ref": "GcfsConfig" }, "labels": { "description": "The desired node labels to be applied to all nodes in the node pool. If this field is not present, the labels will not be changed. Otherwise, the existing node labels will be *replaced* with the provided labels.", "$ref": "NodeLabels" }, "linuxNodeConfig": { "$ref": "LinuxNodeConfig", "description": "Parameters that can be configured on Linux nodes." }, "nodeNetworkConfig": { "$ref": "NodeNetworkConfig", "description": "Node network config." }, "nodeVersion": { "type": "string", "description": "Required. The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the Kubernetes master version" }, "workloadMetadataConfig": { "description": "The desired workload metadata config for the node pool.", "$ref": "WorkloadMetadataConfig" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "gvnic": { "$ref": "VirtualNIC", "description": "Enable or disable gvnic on the node pool." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "id": "UpdateNodePoolRequest", "type": "object" }, "GcfsConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Whether to use GCFS." } }, "description": "GcfsConfig contains configurations of Google Container File System (image streaming).", "id": "GcfsConfig" }, "ListNodePoolsResponse": { "type": "object", "description": "ListNodePoolsResponse is the result of ListNodePoolsRequest.", "properties": { "nodePools": { "items": { "$ref": "NodePool" }, "description": "A list of node pools for a cluster.", "type": "array" } }, "id": "ListNodePoolsResponse" }, "Operation": { "description": "This operation resource represents operations that may have happened or are happening on the cluster. All fields are output only.", "id": "Operation", "properties": { "name": { "description": "The server-assigned ID for the operation.", "type": "string" }, "status": { "type": "string", "description": "The current status of the operation.", "enumDescriptions": [ "Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting." ], "enum": [ "STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING" ] }, "error": { "description": "The error result of the operation in case of failure.", "$ref": "Status" }, "startTime": { "type": "string", "description": "[Output only] The time the operation started, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "selfLink": { "type": "string", "description": "Server-defined URL for the resource." }, "nodepoolConditions": { "type": "array", "items": { "$ref": "StatusCondition" }, "description": "Which conditions caused the current node pool state. Deprecated. Use field error instead." }, "zone": { "description": "The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation is taking place. This field is deprecated, use location instead.", "type": "string" }, "targetLink": { "description": "Server-defined URL for the target of the operation.", "type": "string" }, "endTime": { "type": "string", "description": "[Output only] The time the operation completed, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "location": { "type": "string", "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) or [region](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) in which the cluster resides." }, "detail": { "description": "Detailed operation progress, if available.", "type": "string" }, "operationType": { "enum": [ "TYPE_UNSPECIFIED", "CREATE_CLUSTER", "DELETE_CLUSTER", "UPGRADE_MASTER", "UPGRADE_NODES", "REPAIR_CLUSTER", "UPDATE_CLUSTER", "CREATE_NODE_POOL", "DELETE_NODE_POOL", "SET_NODE_POOL_MANAGEMENT", "AUTO_REPAIR_NODES", "AUTO_UPGRADE_NODES", "SET_LABELS", "SET_MASTER_AUTH", "SET_NODE_POOL_SIZE", "SET_NETWORK_POLICY", "SET_MAINTENANCE_POLICY" ], "enumDescriptions": [ "Not set.", "Cluster create.", "Cluster delete.", "A master upgrade.", "A node upgrade.", "Cluster repair.", "Cluster update.", "Node pool create.", "Node pool delete.", "Set node pool management.", "Automatic node pool repair.", "Automatic node upgrade.", "Set labels.", "Set/generate master auth materials", "Set node pool size.", "Updates network policy for a cluster.", "Set the maintenance policy." ], "type": "string", "description": "The operation type." }, "progress": { "readOnly": true, "$ref": "OperationProgress", "description": "Output only. [Output only] Progress information for an operation." }, "statusMessage": { "description": "Output only. If an error has occurred, a textual description of the error. Deprecated. Use the field error instead.", "type": "string", "readOnly": true }, "clusterConditions": { "type": "array", "description": "Which conditions caused the current cluster state. Deprecated. Use field error instead.", "items": { "$ref": "StatusCondition" } } }, "type": "object" }, "DailyMaintenanceWindow": { "id": "DailyMaintenanceWindow", "description": "Time window specified for daily maintenance operations.", "properties": { "duration": { "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario. Duration will be in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) format \"PTnHnMnS\".", "type": "string" }, "startTime": { "description": "Time within the maintenance window to start the maintenance operations. Time format should be in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) format \"HH:MM\", where HH : [00-23] and MM : [00-59] GMT.", "type": "string" } }, "type": "object" }, "MeshCertificates": { "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods.", "properties": { "enableCertificates": { "type": "boolean", "description": "enable_certificates controls issuance of workload mTLS certificates. If set, the GKE Workload Identity Certificates controller and node agent will be deployed in the cluster, which can then be configured by creating a WorkloadCertificateConfig Custom Resource. Requires Workload Identity (workload_pool must be non-empty)." } }, "type": "object", "id": "MeshCertificates" }, "AdvancedMachineFeatures": { "id": "AdvancedMachineFeatures", "type": "object", "description": "Specifies options for controlling advanced machine features.", "properties": { "threadsPerCore": { "type": "string", "description": "The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed.", "format": "int64" } } }, "ConsumptionMeteringConfig": { "type": "object", "description": "Parameters for controlling consumption metering.", "id": "ConsumptionMeteringConfig", "properties": { "enabled": { "type": "boolean", "description": "Whether to enable consumption metering for this cluster. If enabled, a second BigQuery table will be created to hold resource consumption records." } } }, "RollbackNodePoolUpgradeRequest": { "type": "object", "description": "RollbackNodePoolUpgradeRequest rollbacks the previously Aborted or Failed NodePool upgrade. This will be an no-op if the last upgrade successfully completed.", "id": "RollbackNodePoolUpgradeRequest", "properties": { "respectPdb": { "type": "boolean", "description": "Option for rollback to ignore the PodDisruptionBudget. Default value is false." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "nodePoolId": { "type": "string", "description": "Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" } } }, "HttpCacheControlResponseHeader": { "description": "RFC-2616: cache control support", "id": "HttpCacheControlResponseHeader", "properties": { "expires": { "description": "14.21 response cache expires, in RFC 1123 date format", "type": "string" }, "directive": { "description": "14.9 request and response directives", "type": "string" }, "age": { "format": "int64", "type": "string", "description": "14.6 response cache age, in seconds since the response is generated" } }, "type": "object" }, "DatabaseEncryption": { "description": "Configuration of etcd encryption.", "type": "object", "id": "DatabaseEncryption", "properties": { "keyName": { "description": "Name of CloudKMS key to use for the encryption of secrets in etcd. Ex. projects/my-project/locations/global/keyRings/my-ring/cryptoKeys/my-key", "type": "string" }, "state": { "enum": [ "UNKNOWN", "ENCRYPTED", "DECRYPTED" ], "type": "string", "description": "Denotes the state of etcd encryption.", "enumDescriptions": [ "Should never be set", "Secrets in etcd are encrypted.", "Secrets in etcd are stored in plain text (at etcd level) - this is unrelated to Compute Engine level full disk encryption." ] } } }, "NetworkConfig": { "description": "NetworkConfig reports the relative names of network & subnetwork.", "properties": { "defaultSnatStatus": { "description": "Whether the cluster disables default in-node sNAT rules. In-node sNAT rules will be disabled when default_snat_status is disabled. When disabled is set to false, default IP masquerade rules will be applied to the nodes to prevent sNAT on cluster internal traffic.", "$ref": "DefaultSnatStatus" }, "network": { "type": "string", "description": "Output only. The relative name of the Google Compute Engine network(https://cloud.google.com/compute/docs/networks-and-firewalls#networks) to which the cluster is connected. Example: projects/my-project/global/networks/my-network" }, "privateIpv6GoogleAccess": { "type": "string", "enum": [ "PRIVATE_IPV6_GOOGLE_ACCESS_UNSPECIFIED", "PRIVATE_IPV6_GOOGLE_ACCESS_DISABLED", "PRIVATE_IPV6_GOOGLE_ACCESS_TO_GOOGLE", "PRIVATE_IPV6_GOOGLE_ACCESS_BIDIRECTIONAL" ], "description": "The desired state of IPv6 connectivity to Google Services. By default, no private IPv6 access to or from Google Services (all access will be via IPv4)", "enumDescriptions": [ "Default value. Same as DISABLED", "No private access to or from Google Services", "Enables private IPv6 access to Google Services from GKE", "Enables priate IPv6 access to and from Google Services" ] }, "enableIntraNodeVisibility": { "description": "Whether Intra-node visibility is enabled for this cluster. This makes same node pod to pod traffic visible for VPC network.", "type": "boolean" }, "datapathProvider": { "enumDescriptions": [ "Default value.", "Use the IPTables implementation based on kube-proxy.", "Use the eBPF based GKE Dataplane V2 with additional features. See the [GKE Dataplane V2 documentation](https://cloud.google.com/kubernetes-engine/docs/how-to/dataplane-v2) for more." ], "enum": [ "DATAPATH_PROVIDER_UNSPECIFIED", "LEGACY_DATAPATH", "ADVANCED_DATAPATH" ], "description": "The desired datapath provider for this cluster. By default, uses the IPTables-based kube-proxy implementation.", "type": "string" }, "serviceExternalIpsConfig": { "$ref": "ServiceExternalIPsConfig", "description": "ServiceExternalIPsConfig specifies if services with externalIPs field are blocked or not." }, "subnetwork": { "type": "string", "description": "Output only. The relative name of the Google Compute Engine [subnetwork](https://cloud.google.com/compute/docs/vpc) to which the cluster is connected. Example: projects/my-project/regions/us-central1/subnetworks/my-subnet" }, "enableL4ilbSubsetting": { "type": "boolean", "description": "Whether L4ILB Subsetting is enabled for this cluster." }, "dnsConfig": { "$ref": "DNSConfig", "description": "DNSConfig contains clusterDNS config for this cluster." } }, "id": "NetworkConfig", "type": "object" }, "VerticalPodAutoscaling": { "properties": { "enabled": { "description": "Enables vertical pod autoscaling.", "type": "boolean" } }, "description": "VerticalPodAutoscaling contains global, per-cluster information required by Vertical Pod Autoscaler to automatically adjust the resources of pods controlled by it.", "type": "object", "id": "VerticalPodAutoscaling" }, "StatusCondition": { "type": "object", "description": "StatusCondition describes why a cluster or a node pool has a certain status (e.g., ERROR or DEGRADED).", "id": "StatusCondition", "properties": { "code": { "description": "Machine-friendly representation of the condition Deprecated. Use canonical_code instead.", "type": "string", "enum": [ "UNKNOWN", "GCE_STOCKOUT", "GKE_SERVICE_ACCOUNT_DELETED", "GCE_QUOTA_EXCEEDED", "SET_BY_OPERATOR", "CLOUD_KMS_KEY_ERROR", "CA_EXPIRING" ], "enumDescriptions": [ "UNKNOWN indicates a generic condition.", "GCE_STOCKOUT indicates that Google Compute Engine resources are temporarily unavailable.", "GKE_SERVICE_ACCOUNT_DELETED indicates that the user deleted their robot service account.", "Google Compute Engine quota was exceeded.", "Cluster state was manually changed by an SRE due to a system logic error.", "Unable to perform an encrypt operation against the CloudKMS key used for etcd level encryption.", "Cluster CA is expiring soon." ] }, "message": { "type": "string", "description": "Human-friendly representation of the condition" }, "canonicalCode": { "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ], "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "type": "string", "description": "Canonical code of the condition." } } }, "NetworkTags": { "description": "Collection of Compute Engine network tags that can be applied to a node's underlying VM instance.", "id": "NetworkTags", "properties": { "tags": { "description": "List of network tags.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "SetMaintenancePolicyRequest": { "type": "object", "properties": { "maintenancePolicy": { "description": "Required. The maintenance policy to be set for the cluster. An empty field clears the existing maintenance policy.", "$ref": "MaintenancePolicy" }, "zone": { "type": "string", "description": "Required. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides." }, "name": { "description": "The name (project, location, cluster name) of the cluster to set maintenance policy. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "projectId": { "description": "Required. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects).", "type": "string" }, "clusterId": { "description": "Required. The name of the cluster to update.", "type": "string" } }, "id": "SetMaintenancePolicyRequest", "description": "SetMaintenancePolicyRequest sets the maintenance policy for a cluster." }, "NodePoolDefaults": { "description": "Subset of Nodepool message that has defaults.", "properties": { "nodeConfigDefaults": { "$ref": "NodeConfigDefaults", "description": "Subset of NodeConfig message that has defaults." } }, "type": "object", "id": "NodePoolDefaults" } }, "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string" } }, "canonicalName": "Container", "batchPath": "batch", "description": "Builds and manages container-based applications, powered by the open source Kubernetes technology.", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "zones": { "methods": { "getServerconfig": { "httpMethod": "GET", "path": "v1/projects/{projectId}/zones/{zone}/serverconfig", "flatPath": "v1/projects/{projectId}/zones/{zone}/serverconfig", "parameters": { "name": { "type": "string", "location": "query", "description": "The name (project and location) of the server config to get, specified in the format `projects/*/locations/*`." }, "zone": { "location": "path", "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for. This field has been deprecated and replaced by the name field.", "required": true }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns configuration info about the Google Kubernetes Engine service.", "response": { "$ref": "ServerConfig" }, "parameterOrder": [ "projectId", "zone" ], "id": "container.projects.zones.getServerconfig" } }, "resources": { "operations": { "methods": { "cancel": { "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "operationId" ], "id": "container.projects.zones.operations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "path": "v1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "request": { "$ref": "CancelOperationRequest" }, "description": "Cancels the specified operation.", "parameters": { "projectId": { "type": "string", "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path" }, "zone": { "required": true, "location": "path", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "operationId": { "type": "string", "description": "Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "location": "path", "required": true } } }, "list": { "parameterOrder": [ "projectId", "zone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.operations.list", "flatPath": "v1/projects/{projectId}/zones/{zone}/operations", "response": { "$ref": "ListOperationsResponse" }, "httpMethod": "GET", "description": "Lists all operations in a project in a specific zone or all zones.", "path": "v1/projects/{projectId}/zones/{zone}/operations", "parameters": { "zone": { "type": "string", "location": "path", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for, or `-` for all zones. This field has been deprecated and replaced by the parent field.", "required": true }, "parent": { "description": "The parent (project and location) where the operations will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions.", "type": "string", "location": "query" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string", "required": true, "location": "path" } } }, "get": { "path": "v1/projects/{projectId}/zones/{zone}/operations/{operationId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "operationId": { "type": "string", "description": "Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path", "required": true }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "name": { "location": "query", "description": "The name (project, location, operation id) of the operation to get. Specified in the format `projects/*/locations/*/operations/*`.", "type": "string" } }, "flatPath": "v1/projects/{projectId}/zones/{zone}/operations/{operationId}", "description": "Gets the specified operation.", "httpMethod": "GET", "id": "container.projects.zones.operations.get", "parameterOrder": [ "projectId", "zone", "operationId" ], "response": { "$ref": "Operation" } } } }, "clusters": { "resources": { "nodePools": { "methods": { "get": { "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "id": "container.projects.zones.clusters.nodePools.get", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "response": { "$ref": "NodePool" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to get. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string", "location": "query" }, "nodePoolId": { "type": "string", "location": "path", "required": true, "description": "Deprecated. The name of the node pool. This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "required": true, "location": "path", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "location": "path", "required": true } }, "httpMethod": "GET", "description": "Retrieves the requested node pool." }, "rollback": { "parameters": { "clusterId": { "description": "Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "zone": { "type": "string", "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" }, "nodePoolId": { "required": true, "description": "Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback", "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "description": "Rolls back a previously Aborted or Failed NodePool upgrade. This makes no changes if the last upgrade successfully completed.", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.nodePools.rollback" }, "create": { "request": { "$ref": "CreateNodePoolRequest" }, "description": "Creates a node pool for a cluster.", "httpMethod": "POST", "parameters": { "zone": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "clusterId": { "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field.", "type": "string", "required": true, "location": "path" }, "projectId": { "location": "path", "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "id": "container.projects.zones.clusters.nodePools.create" }, "setSize": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "nodePoolId": { "type": "string", "description": "Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "clusterId": { "required": true, "location": "path", "type": "string", "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field." } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "description": "Sets the size for a specific node pool. The new size will be used for all replicas, including future replicas created by modifying NodePool.locations.", "id": "container.projects.zones.clusters.nodePools.setSize", "request": { "$ref": "SetNodePoolSizeRequest" } }, "delete": { "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.nodePools.delete", "description": "Deletes a node pool from a cluster.", "response": { "$ref": "Operation" }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "parameters": { "clusterId": { "location": "path", "type": "string", "required": true, "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path" }, "nodePoolId": { "location": "path", "description": "Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field.", "type": "string", "required": true }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "name": { "type": "string", "location": "query", "description": "The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`." } }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "httpMethod": "DELETE" }, "update": { "parameters": { "clusterId": { "type": "string", "required": true, "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "location": "path" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string", "required": true }, "projectId": { "location": "path", "type": "string", "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path", "required": true } }, "description": "Updates the version and/or image type for the specified node pool.", "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "request": { "$ref": "UpdateNodePoolRequest" }, "id": "container.projects.zones.clusters.nodePools.update", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "autoscaling": { "description": "Sets the autoscaling settings for the specified node pool.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "httpMethod": "POST", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "parameters": { "projectId": { "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "nodePoolId": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field." } }, "id": "container.projects.zones.clusters.nodePools.autoscaling", "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ] }, "list": { "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "description": "Lists the node pools for a cluster.", "id": "container.projects.zones.clusters.nodePools.list", "parameterOrder": [ "projectId", "zone", "clusterId" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "parameters": { "zone": { "type": "string", "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field.", "location": "path" }, "parent": { "location": "query", "type": "string", "description": "The parent (project, location, cluster name) where the node pools will be listed. Specified in the format `projects/*/locations/*/clusters/*`." }, "clusterId": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field." }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "ListNodePoolsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setManagement": { "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "parameters": { "nodePoolId": { "description": "Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field.", "location": "path", "required": true, "type": "string" }, "zone": { "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "clusterId": { "type": "string", "location": "path", "required": true, "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field." } }, "description": "Sets the NodeManagement options for a node pool.", "httpMethod": "POST", "id": "container.projects.zones.clusters.nodePools.setManagement", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNodePoolManagementRequest" }, "response": { "$ref": "Operation" } } } } }, "methods": { "setMaintenancePolicy": { "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ], "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy", "id": "container.projects.zones.clusters.setMaintenancePolicy", "response": { "$ref": "Operation" }, "description": "Sets the maintenance policy for a cluster.", "parameters": { "clusterId": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the cluster to update." }, "zone": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides." }, "projectId": { "type": "string", "description": "Required. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects).", "location": "path", "required": true } }, "request": { "$ref": "SetMaintenancePolicyRequest" } }, "resourceLabels": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "SetLabelsRequest" }, "id": "container.projects.zones.clusters.resourceLabels", "httpMethod": "POST", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels", "response": { "$ref": "Operation" }, "parameters": { "projectId": { "type": "string", "required": true, "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "location": "path", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "required": true, "location": "path", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" } }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels", "description": "Sets labels on a cluster." }, "list": { "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters", "parameterOrder": [ "projectId", "zone" ], "id": "container.projects.zones.clusters.list", "parameters": { "parent": { "type": "string", "location": "query", "description": "The parent (project and location) where the clusters will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions." }, "projectId": { "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string", "required": true }, "zone": { "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides, or \"-\" for all zones. This field has been deprecated and replaced by the parent field.", "location": "path" } }, "response": { "$ref": "ListClustersResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all clusters owned by a project in either the specified zone or all zones.", "path": "v1/projects/{projectId}/zones/{zone}/clusters" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "query", "description": "The name (project, location, cluster) of the cluster to delete. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster to delete. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "zone": { "required": true, "location": "path", "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "required": true } }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "parameterOrder": [ "projectId", "zone", "clusterId" ], "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "id": "container.projects.zones.clusters.delete", "httpMethod": "DELETE", "description": "Deletes the cluster, including the Kubernetes endpoint and all worker nodes. Firewalls and routes that were configured during cluster creation are also deleted. Other Google Compute Engine resources that might be in use by the cluster, such as load balancer resources, are not deleted if they weren't present when the cluster was initially created." }, "get": { "httpMethod": "GET", "parameterOrder": [ "projectId", "zone", "clusterId" ], "id": "container.projects.zones.clusters.get", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "parameters": { "name": { "type": "string", "location": "query", "description": "The name (project, location, cluster) of the cluster to retrieve. Specified in the format `projects/*/locations/*/clusters/*`." }, "projectId": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to retrieve. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "zone": { "location": "path", "type": "string", "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "response": { "$ref": "Cluster" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "description": "Gets the details of a specific cluster." }, "addons": { "request": { "$ref": "SetAddonsConfigRequest" }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "id": "container.projects.zones.clusters.addons", "httpMethod": "POST", "description": "Sets the addons for a specific cluster.", "parameters": { "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "zone": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } } }, "logging": { "id": "container.projects.zones.clusters.logging", "description": "Sets the logging service for a specific cluster.", "parameters": { "zone": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "clusterId": { "required": true, "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path" } }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "SetLoggingServiceRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "update": { "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "description": "Updates the settings of a specific cluster.", "httpMethod": "PUT", "id": "container.projects.zones.clusters.update", "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "UpdateClusterRequest" }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "response": { "$ref": "Operation" }, "parameters": { "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string", "required": true }, "projectId": { "location": "path", "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true }, "zone": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "legacyAbac": { "request": { "$ref": "SetLegacyAbacRequest" }, "id": "container.projects.zones.clusters.legacyAbac", "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ], "response": { "$ref": "Operation" }, "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac", "httpMethod": "POST", "parameters": { "clusterId": { "required": true, "location": "path", "description": "Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "projectId": { "required": true, "type": "string", "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." } } }, "completeIpRotation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "parameterOrder": [ "projectId", "zone", "clusterId" ], "parameters": { "projectId": { "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "location": "path" }, "zone": { "location": "path", "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "required": true, "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" } }, "request": { "$ref": "CompleteIPRotationRequest" }, "httpMethod": "POST", "id": "container.projects.zones.clusters.completeIpRotation", "description": "Completes master IP rotation.", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "response": { "$ref": "Operation" } }, "locations": { "response": { "$ref": "Operation" }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "parameters": { "zone": { "type": "string", "required": true, "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" }, "clusterId": { "location": "path", "type": "string", "required": true, "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "projectId": { "location": "path", "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true } }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetLocationsRequest" }, "id": "container.projects.zones.clusters.locations", "description": "Sets the locations for a specific cluster. Deprecated. Use [projects.locations.clusters.update](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/update) instead." }, "master": { "description": "Updates the master for a specific cluster.", "request": { "$ref": "UpdateMasterRequest" }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master", "id": "container.projects.zones.clusters.master", "parameters": { "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "zone": { "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master" }, "setNetworkPolicy": { "description": "Enables or disables Network Policy for a cluster.", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "projectId": { "required": true, "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "location": "path", "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "required": true } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "parameterOrder": [ "projectId", "zone", "clusterId" ], "id": "container.projects.zones.clusters.setNetworkPolicy", "request": { "$ref": "SetNetworkPolicyRequest" } }, "setMasterAuth": { "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "httpMethod": "POST", "id": "container.projects.zones.clusters.setMasterAuth", "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path", "required": true, "type": "string" }, "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "projectId": { "location": "path", "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true } }, "description": "Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password.", "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "SetMasterAuthRequest" }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "startIpRotation": { "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation", "request": { "$ref": "StartIPRotationRequest" }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation", "id": "container.projects.zones.clusters.startIpRotation", "description": "Starts master IP rotation.", "parameters": { "clusterId": { "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" }, "projectId": { "type": "string", "required": true, "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "create": { "parameterOrder": [ "projectId", "zone" ], "description": "Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project's [default network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks). One firewall is added for the cluster. After cluster creation, the Kubelet creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project's global metadata indicating which CIDR range the cluster is using.", "id": "container.projects.zones.clusters.create", "response": { "$ref": "Operation" }, "parameters": { "zone": { "location": "path", "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "projectId": { "required": true, "location": "path", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string" } }, "request": { "$ref": "CreateClusterRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters", "httpMethod": "POST", "path": "v1/projects/{projectId}/zones/{zone}/clusters" }, "monitoring": { "parameterOrder": [ "projectId", "zone", "clusterId" ], "description": "Sets the monitoring service for a specific cluster.", "parameters": { "clusterId": { "location": "path", "description": "Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "zone": { "required": true, "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string", "required": true } }, "flatPath": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "container.projects.zones.clusters.monitoring", "request": { "$ref": "SetMonitoringServiceRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring" } } } } }, "aggregated": { "resources": { "usableSubnetworks": { "methods": { "list": { "description": "Lists subnetworks that are usable for creating clusters in a project.", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/aggregated/usableSubnetworks", "httpMethod": "GET", "parameters": { "filter": { "description": "Filtering currently only supports equality on the networkProjectId and must be in the form: \"networkProjectId=[PROJECTID]\", where `networkProjectId` is the project which owns the listed subnetworks. This defaults to the parent project ID.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "description": "The max number of results per page that should be returned. If the number of available results is larger than `page_size`, a `next_page_token` is returned which can be used to get the next page of results in subsequent requests. Acceptable values are 0 to 500, inclusive. (Default: 500)", "type": "integer" }, "parent": { "location": "path", "type": "string", "description": "The parent project where subnetworks are usable. Specified in the format `projects/*`.", "pattern": "^projects/[^/]+$", "required": true }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set this to the nextPageToken returned by previous list requests to get the next page of results.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.aggregated.usableSubnetworks.list", "response": { "$ref": "ListUsableSubnetworksResponse" }, "flatPath": "v1/projects/{projectsId}/aggregated/usableSubnetworks" } } } } }, "locations": { "resources": { "clusters": { "resources": { "nodePools": { "methods": { "create": { "request": { "$ref": "CreateNodePoolRequest" }, "id": "container.projects.locations.clusters.nodePools.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "description": "The parent (project, location, cluster name) where the node pool will be created. Specified in the format `projects/*/locations/*/clusters/*`." } }, "response": { "$ref": "Operation" }, "path": "v1/{+parent}/nodePools", "description": "Creates a node pool for a cluster." }, "update": { "request": { "$ref": "UpdateNodePoolRequest" }, "parameters": { "name": { "location": "path", "type": "string", "description": "The name (project, location, cluster, node pool) of the node pool to update. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "id": "container.projects.locations.clusters.nodePools.update", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "httpMethod": "PUT", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Updates the version and/or image type for the specified node pool.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/nodePools", "description": "Lists the node pools for a cluster.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "httpMethod": "GET", "response": { "$ref": "ListNodePoolsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "clusterId": { "type": "string", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field.", "location": "query" }, "parent": { "location": "path", "required": true, "description": "The parent (project, location, cluster name) where the node pools will be listed. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "query", "type": "string" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field.", "location": "query", "type": "string" } }, "id": "container.projects.locations.clusters.nodePools.list" }, "get": { "parameters": { "zone": { "type": "string", "location": "query", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to get. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "required": true, "type": "string" }, "clusterId": { "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "nodePoolId": { "type": "string", "location": "query", "description": "Deprecated. The name of the node pool. This field has been deprecated and replaced by the name field." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "description": "Retrieves the requested node pool.", "response": { "$ref": "NodePool" }, "id": "container.projects.locations.clusters.nodePools.get", "parameterOrder": [ "name" ] }, "rollback": { "httpMethod": "POST", "description": "Rolls back a previously Aborted or Failed NodePool upgrade. This makes no changes if the last upgrade successfully completed.", "response": { "$ref": "Operation" }, "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "path": "v1/{+name}:rollback", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "type": "string", "description": "The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "id": "container.projects.locations.clusters.nodePools.rollback", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:rollback" }, "completeUpgrade": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CompleteNodePoolUpgradeRequest" }, "response": { "$ref": "Empty" }, "description": "CompleteNodePoolUpgrade will signal an on-going node pool upgrade to complete.", "id": "container.projects.locations.clusters.nodePools.completeUpgrade", "parameters": { "name": { "type": "string", "description": "The name (project, location, cluster, node pool id) of the node pool to complete upgrade. Specified in the format 'projects/*/locations/*/clusters/*/nodePools/*'.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "required": true } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:completeUpgrade", "path": "v1/{+name}:completeUpgrade" }, "setSize": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setSize", "request": { "$ref": "SetNodePoolSizeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Sets the size for a specific node pool. The new size will be used for all replicas, including future replicas created by modifying NodePool.locations.", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "description": "The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "location": "path" } }, "httpMethod": "POST", "path": "v1/{+name}:setSize", "id": "container.projects.locations.clusters.nodePools.setSize" }, "setManagement": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.clusters.nodePools.setManagement", "httpMethod": "POST", "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "required": true, "location": "path" } }, "path": "v1/{+name}:setManagement", "parameterOrder": [ "name" ], "description": "Sets the NodeManagement options for a node pool.", "request": { "$ref": "SetNodePoolManagementRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setManagement", "response": { "$ref": "Operation" } }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a node pool from a cluster.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "id": "container.projects.locations.clusters.nodePools.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "description": "The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" }, "nodePoolId": { "description": "Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "clusterId": { "type": "string", "location": "query", "description": "Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" } } }, "setAutoscaling": { "parameters": { "name": { "required": true, "description": "The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "container.projects.locations.clusters.nodePools.setAutoscaling", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:setAutoscaling", "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setAutoscaling", "description": "Sets the autoscaling settings for the specified node pool." } } }, "well-known": { "methods": { "getOpenid-configuration": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/.well-known/openid-configuration", "path": "v1/{+parent}/.well-known/openid-configuration", "id": "container.projects.locations.clusters.well-known.getOpenid-configuration", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The cluster (project, location, cluster name) to get the discovery document for. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Gets the OIDC discovery document for the cluster. See the [OpenID Connect Discovery 1.0 specification](https://openid.net/specs/openid-connect-discovery-1_0.html) for details. This API is not yet intended for general use, and is not available for all clusters.", "response": { "$ref": "GetOpenIDConfigResponse" } } } } }, "methods": { "setAddons": { "description": "Sets the addons for a specific cluster.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true, "description": "The name (project, location, cluster) of the cluster to set addons. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:setAddons", "id": "container.projects.locations.clusters.setAddons", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setAddons", "request": { "$ref": "SetAddonsConfigRequest" } }, "setNetworkPolicy": { "parameterOrder": [ "name" ], "request": { "$ref": "SetNetworkPolicyRequest" }, "description": "Enables or disables Network Policy for a cluster.", "httpMethod": "POST", "path": "v1/{+name}:setNetworkPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setNetworkPolicy", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string", "description": "The name (project, location, cluster name) of the cluster to set networking policy. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "container.projects.locations.clusters.setNetworkPolicy" }, "setLocations": { "parameterOrder": [ "name" ], "id": "container.projects.locations.clusters.setLocations", "response": { "$ref": "Operation" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "The name (project, location, cluster) of the cluster to set locations. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "httpMethod": "POST", "request": { "$ref": "SetLocationsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the locations for a specific cluster. Deprecated. Use [projects.locations.clusters.update](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters/update) instead.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLocations", "path": "v1/{+name}:setLocations" }, "setResourceLabels": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setResourceLabels", "id": "container.projects.locations.clusters.setResourceLabels", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "request": { "$ref": "SetLabelsRequest" }, "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true, "description": "The name (project, location, cluster name) of the cluster to set labels. Specified in the format `projects/*/locations/*/clusters/*`." } }, "path": "v1/{+name}:setResourceLabels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Sets labels on a cluster." }, "completeIpRotation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:completeIpRotation", "parameters": { "name": { "description": "The name (project, location, cluster name) of the cluster to complete IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string", "required": true } }, "path": "v1/{+name}:completeIpRotation", "httpMethod": "POST", "id": "container.projects.locations.clusters.completeIpRotation", "request": { "$ref": "CompleteIPRotationRequest" }, "description": "Completes master IP rotation.", "response": { "$ref": "Operation" } }, "setMonitoring": { "httpMethod": "POST", "path": "v1/{+name}:setMonitoring", "request": { "$ref": "SetMonitoringServiceRequest" }, "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster) of the cluster to set monitoring. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "description": "Sets the monitoring service for a specific cluster.", "id": "container.projects.locations.clusters.setMonitoring", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMonitoring" }, "list": { "response": { "$ref": "ListClustersResponse" }, "parameters": { "zone": { "location": "query", "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides, or \"-\" for all zones. This field has been deprecated and replaced by the parent field." }, "parent": { "location": "path", "type": "string", "description": "The parent (project and location) where the clusters will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "projectId": { "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters", "path": "v1/{+parent}/clusters", "description": "Lists all clusters owned by a project in either the specified zone or all zones.", "id": "container.projects.locations.clusters.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "update": { "description": "Updates the settings of a specific cluster.", "request": { "$ref": "UpdateClusterRequest" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "path": "v1/{+name}", "id": "container.projects.locations.clusters.update", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT", "parameterOrder": [ "name" ] }, "setLegacyAbac": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name (project, location, cluster name) of the cluster to set legacy abac. Specified in the format `projects/*/locations/*/clusters/*`." } }, "httpMethod": "POST", "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "path": "v1/{+name}:setLegacyAbac", "request": { "$ref": "SetLegacyAbacRequest" }, "id": "container.projects.locations.clusters.setLegacyAbac", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLegacyAbac", "parameterOrder": [ "name" ] }, "setLogging": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLogging", "id": "container.projects.locations.clusters.setLogging", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster) of the cluster to set logging. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true, "type": "string" } }, "request": { "$ref": "SetLoggingServiceRequest" }, "path": "v1/{+name}:setLogging", "description": "Sets the logging service for a specific cluster." }, "get": { "id": "container.projects.locations.clusters.get", "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Gets the details of a specific cluster.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "parameters": { "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "projectId": { "type": "string", "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Deprecated. The name of the cluster to retrieve. This field has been deprecated and replaced by the name field.", "location": "query", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to retrieve. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "Cluster" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "setMasterAuth": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMasterAuth", "path": "v1/{+name}:setMasterAuth", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set auth. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "type": "string", "required": true } }, "description": "Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetMasterAuthRequest" }, "id": "container.projects.locations.clusters.setMasterAuth", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "delete": { "httpMethod": "DELETE", "id": "container.projects.locations.clusters.delete", "description": "Deletes the cluster, including the Kubernetes endpoint and all worker nodes. Firewalls and routes that were configured during cluster creation are also deleted. Other Google Compute Engine resources that might be in use by the cluster, such as load balancer resources, are not deleted if they weren't present when the cluster was initially created.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "required": true, "description": "The name (project, location, cluster) of the cluster to delete. Specified in the format `projects/*/locations/*/clusters/*`." }, "clusterId": { "location": "query", "description": "Deprecated. The name of the cluster to delete. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "query" }, "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "response": { "$ref": "Operation" } }, "create": { "id": "container.projects.locations.clusters.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters", "description": "Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project's [default network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks). One firewall is added for the cluster. After cluster creation, the Kubelet creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project's global metadata indicating which CIDR range the cluster is using.", "httpMethod": "POST", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "description": "The parent (project and location) where the cluster will be created. Specified in the format `projects/*/locations/*`." } }, "path": "v1/{+parent}/clusters", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "request": { "$ref": "CreateClusterRequest" } }, "updateMaster": { "path": "v1/{+name}:updateMaster", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:updateMaster", "parameterOrder": [ "name" ], "httpMethod": "POST", "description": "Updates the master for a specific cluster.", "response": { "$ref": "Operation" }, "id": "container.projects.locations.clusters.updateMaster", "parameters": { "name": { "type": "string", "required": true, "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "request": { "$ref": "UpdateMasterRequest" } }, "setMaintenancePolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster name) of the cluster to set maintenance policy. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "SetMaintenancePolicyRequest" }, "description": "Sets the maintenance policy for a cluster.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMaintenancePolicy", "parameterOrder": [ "name" ], "id": "container.projects.locations.clusters.setMaintenancePolicy", "httpMethod": "POST", "path": "v1/{+name}:setMaintenancePolicy" }, "getJwks": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/jwks", "response": { "$ref": "GetJSONWebKeysResponse" }, "id": "container.projects.locations.clusters.getJwks", "httpMethod": "GET", "path": "v1/{+parent}/jwks", "parameters": { "parent": { "description": "The cluster (project, location, cluster name) to get keys for. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true, "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters." }, "startIpRotation": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Starts master IP rotation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:startIpRotation", "id": "container.projects.locations.clusters.startIpRotation", "path": "v1/{+name}:startIpRotation", "parameters": { "name": { "required": true, "description": "The name (project, location, cluster name) of the cluster to start IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "request": { "$ref": "StartIPRotationRequest" } } } }, "operations": { "methods": { "cancel": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "description": "Cancels the specified operation.", "parameterOrder": [ "name" ], "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.operations.cancel", "httpMethod": "POST", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "description": "The name (project, location, operation id) of the operation to cancel. Specified in the format `projects/*/locations/*/operations/*`." } }, "path": "v1/{+name}:cancel", "response": { "$ref": "Empty" } }, "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "operationId": { "location": "query", "type": "string", "description": "Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "query" }, "zone": { "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name (project, location, operation id) of the operation to get. Specified in the format `projects/*/locations/*/operations/*`." } }, "httpMethod": "GET", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "container.projects.locations.operations.get", "description": "Gets the specified operation." }, "list": { "path": "v1/{+parent}/operations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "parameterOrder": [ "parent" ], "parameters": { "projectId": { "location": "query", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string" }, "zone": { "type": "string", "location": "query", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for, or `-` for all zones. This field has been deprecated and replaced by the parent field." }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "The parent (project and location) where the operations will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all operations in a project in a specific zone or all zones.", "httpMethod": "GET", "id": "container.projects.locations.operations.list", "response": { "$ref": "ListOperationsResponse" } } } } }, "methods": { "getServerConfig": { "path": "v1/{+name}/serverConfig", "description": "Returns configuration info about the Google Kubernetes Engine service.", "httpMethod": "GET", "parameters": { "projectId": { "location": "query", "type": "string", "description": "Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project and location) of the server config to get, specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "type": "string" }, "zone": { "location": "query", "description": "Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for. This field has been deprecated and replaced by the name field.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serverConfig", "response": { "$ref": "ServerConfig" }, "parameterOrder": [ "name" ], "id": "container.projects.locations.getServerConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } }, "discoveryVersion": "v1", "ownerName": "Google", "name": "container", "fullyEncodeReservedExpansion": true, "version": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "mtlsRootUrl": "https://container.mtls.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "documentationLink": "https://cloud.google.com/container-engine/" }
]===]))
