local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220615", "baseUrl": "https://container.googleapis.com/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "documentationLink": "https://cloud.google.com/container-engine/", "rootUrl": "https://container.googleapis.com/", "description": "Builds and manages container-based applications, powered by the open source Kubernetes technology.", "fullyEncodeReservedExpansion": true, "resources": { "projects": { "resources": { "aggregated": { "resources": { "usableSubnetworks": { "methods": { "list": { "httpMethod": "GET", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "description": "Required. The parent project where subnetworks are usable. Specified in the format `projects/*`." }, "pageToken": { "description": "Specifies a page token to use. Set this to the nextPageToken returned by previous list requests to get the next page of results.", "type": "string", "location": "query" }, "pageSize": { "description": "The max number of results per page that should be returned. If the number of available results is larger than `page_size`, a `next_page_token` is returned which can be used to get the next page of results in subsequent requests. Acceptable values are 0 to 500, inclusive. (Default: 500)", "location": "query", "format": "int32", "type": "integer" }, "filter": { "type": "string", "description": "Filtering currently only supports equality on the networkProjectId and must be in the form: \"networkProjectId=[PROJECTID]\", where `networkProjectId` is the project which owns the listed subnetworks. This defaults to the parent project ID.", "location": "query" } }, "description": "Lists subnetworks that can be used for creating clusters in a project.", "flatPath": "v1beta1/projects/{projectsId}/aggregated/usableSubnetworks", "response": { "$ref": "ListUsableSubnetworksResponse" }, "id": "container.projects.aggregated.usableSubnetworks.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/aggregated/usableSubnetworks" } } } } }, "zones": { "methods": { "getServerconfig": { "path": "v1beta1/projects/{projectId}/zones/{zone}/serverconfig", "parameters": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "required": true, "type": "string" }, "name": { "description": "The name (project and location) of the server config to get, specified in the format `projects/*/locations/*`.", "type": "string", "location": "query" }, "zone": { "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for. This field has been deprecated and replaced by the name field.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone" ], "response": { "$ref": "ServerConfig" }, "description": "Returns configuration info about the Google Kubernetes Engine service.", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/serverconfig", "id": "container.projects.zones.getServerconfig", "httpMethod": "GET" } }, "resources": { "clusters": { "methods": { "monitoring": { "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring", "parameterOrder": [ "projectId", "zone", "clusterId" ], "id": "container.projects.zones.clusters.monitoring", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/monitoring", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetMonitoringServiceRequest" }, "parameters": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "zone": { "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" } }, "description": "Sets the monitoring service for a specific cluster." }, "setNetworkPolicy": { "parameterOrder": [ "projectId", "zone", "clusterId" ], "id": "container.projects.zones.clusters.setNetworkPolicy", "httpMethod": "POST", "description": "Enables or disables Network Policy for a cluster.", "parameters": { "clusterId": { "location": "path", "type": "string", "required": true, "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true }, "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNetworkPolicyRequest" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setNetworkPolicy", "response": { "$ref": "Operation" } }, "get": { "description": "Gets the details for a specific cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.get", "httpMethod": "GET", "parameters": { "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to retrieve. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "query" }, "zone": { "location": "path", "type": "string", "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "location": "path", "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "required": true, "description": "Required. Deprecated. The name of the cluster to retrieve. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" } }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "parameterOrder": [ "projectId", "zone", "clusterId" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "response": { "$ref": "Cluster" } }, "startIpRotation": { "request": { "$ref": "StartIPRotationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.startIpRotation", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation", "description": "Starts master IP rotation.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "zone": { "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "projectId": { "location": "path", "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "location": "path", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" } }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:startIpRotation" }, "resourceLabels": { "parameterOrder": [ "projectId", "zone", "clusterId" ], "response": { "$ref": "Operation" }, "parameters": { "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels", "description": "Sets labels on a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "SetLabelsRequest" }, "id": "container.projects.zones.clusters.resourceLabels", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/resourceLabels" }, "completeIpRotation": { "description": "Completes master IP rotation.", "id": "container.projects.zones.clusters.completeIpRotation", "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "clusterId" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "zone": { "required": true, "location": "path", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "request": { "$ref": "CompleteIPRotationRequest" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:completeIpRotation", "response": { "$ref": "Operation" } }, "setMaintenancePolicy": { "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy", "parameterOrder": [ "projectId", "zone", "clusterId" ], "id": "container.projects.zones.clusters.setMaintenancePolicy", "httpMethod": "POST", "description": "Sets the maintenance policy for a cluster.", "response": { "$ref": "Operation" }, "parameters": { "zone": { "location": "path", "type": "string", "description": "Required. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides.", "required": true }, "projectId": { "type": "string", "location": "path", "description": "Required. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects).", "required": true }, "clusterId": { "required": true, "type": "string", "description": "Required. The name of the cluster to update.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetMaintenancePolicyRequest" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMaintenancePolicy" }, "legacyAbac": { "parameters": { "zone": { "required": true, "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "required": true, "location": "path", "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "required": true, "location": "path", "type": "string", "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field." } }, "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "SetLegacyAbacRequest" }, "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "container.projects.zones.clusters.legacyAbac", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/legacyAbac" }, "locations": { "parameters": { "zone": { "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" }, "clusterId": { "type": "string", "required": true, "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "location": "path" }, "projectId": { "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "container.projects.zones.clusters.locations", "description": "Sets the locations for a specific cluster. Deprecated. Use [projects.locations.clusters.update](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1beta1/projects.locations.clusters/update) instead.", "parameterOrder": [ "projectId", "zone", "clusterId" ], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/locations", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "SetLocationsRequest" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "parameterOrder": [ "projectId", "zone" ], "httpMethod": "GET", "id": "container.projects.zones.clusters.list", "response": { "$ref": "ListClustersResponse" }, "parameters": { "parent": { "type": "string", "location": "query", "description": "The parent (project and location) where the clusters will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions." }, "projectId": { "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string", "location": "path" }, "zone": { "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides, or \"-\" for all zones. This field has been deprecated and replaced by the parent field.", "location": "path" } }, "description": "Lists all clusters owned by a project in either the specified zone or all zones." }, "update": { "id": "container.projects.zones.clusters.update", "parameterOrder": [ "projectId", "zone", "clusterId" ], "request": { "$ref": "UpdateClusterRequest" }, "parameters": { "zone": { "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "type": "string", "location": "path", "required": true, "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." } }, "description": "Updates the settings for a specific cluster.", "response": { "$ref": "Operation" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}" }, "delete": { "parameters": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "zone": { "location": "path", "type": "string", "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to delete. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "query" }, "clusterId": { "location": "path", "type": "string", "required": true, "description": "Required. Deprecated. The name of the cluster to delete. This field has been deprecated and replaced by the name field." } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "description": "Deletes the cluster, including the Kubernetes endpoint and all worker nodes. Firewalls and routes that were configured during cluster creation are also deleted. Other Google Compute Engine resources that might be in use by the cluster, such as load balancer resources, are not deleted if they weren't present when the cluster was initially created.", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.delete", "parameterOrder": [ "projectId", "zone", "clusterId" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.create", "description": "Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project's [default network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks). One firewall is added for the cluster. After cluster creation, the Kubelet creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project's global metadata indicating which CIDR range the cluster is using.", "parameterOrder": [ "projectId", "zone" ], "request": { "$ref": "CreateClusterRequest" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "projectId": { "type": "string", "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "path" }, "zone": { "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field.", "type": "string", "location": "path" } } }, "setMasterAuth": { "id": "container.projects.zones.clusters.setMasterAuth", "parameterOrder": [ "projectId", "zone", "clusterId" ], "description": "Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "request": { "$ref": "SetMasterAuthRequest" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}:setMasterAuth", "parameters": { "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "location": "path" }, "clusterId": { "location": "path", "required": true, "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "master": { "description": "Updates the master for a specific cluster.", "response": { "$ref": "Operation" }, "request": { "$ref": "UpdateMasterRequest" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master", "parameters": { "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "projectId": { "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "required": true }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "id": "container.projects.zones.clusters.master", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/master", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ] }, "logging": { "id": "container.projects.zones.clusters.logging", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "request": { "$ref": "SetLoggingServiceRequest" }, "httpMethod": "POST", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/logging", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ], "response": { "$ref": "Operation" }, "description": "Sets the logging service for a specific cluster.", "parameters": { "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "projectId": { "required": true, "location": "path", "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." } } }, "addons": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "description": "Sets the addons for a specific cluster.", "id": "container.projects.zones.clusters.addons", "parameters": { "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "location": "path", "required": true }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "SetAddonsConfigRequest" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/addons", "parameterOrder": [ "projectId", "zone", "clusterId" ] } }, "resources": { "nodePools": { "methods": { "rollback": { "description": "Rolls back a previously Aborted or Failed NodePool upgrade. This makes no changes if the last upgrade successfully completed.", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback", "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.zones.clusters.nodePools.rollback", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}:rollback", "parameters": { "projectId": { "location": "path", "required": true, "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "location": "path", "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "nodePoolId": { "location": "path", "description": "Required. Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path", "required": true } } }, "list": { "description": "Lists the node pools for a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "clusterId" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "response": { "$ref": "ListNodePoolsResponse" }, "id": "container.projects.zones.clusters.nodePools.list", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "parameters": { "zone": { "location": "path", "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field.", "type": "string", "location": "path", "required": true }, "parent": { "description": "The parent (project, location, cluster name) where the node pools will be listed. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "location": "query" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "path", "type": "string", "required": true } } }, "create": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "clusterId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "parameters": { "zone": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field." }, "clusterId": { "location": "path", "required": true, "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field.", "type": "string" } }, "id": "container.projects.zones.clusters.nodePools.create", "description": "Creates a node pool for a cluster.", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools", "request": { "$ref": "CreateNodePoolRequest" } }, "update": { "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update", "id": "container.projects.zones.clusters.nodePools.update", "description": "Updates the version and/or image type of a specific node pool.", "request": { "$ref": "UpdateNodePoolRequest" }, "parameters": { "projectId": { "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true, "type": "string" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "zone": { "location": "path", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "required": true }, "nodePoolId": { "required": true, "type": "string", "description": "Required. Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/update" }, "delete": { "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "httpMethod": "DELETE", "parameters": { "name": { "location": "query", "description": "The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "nodePoolId": { "description": "Required. Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path", "required": true }, "projectId": { "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "location": "path" }, "zone": { "location": "path", "required": true, "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "location": "path", "type": "string", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "required": true } }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "id": "container.projects.zones.clusters.nodePools.delete", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Deletes a node pool from a cluster." }, "setSize": { "request": { "$ref": "SetNodePoolSizeRequest" }, "id": "container.projects.zones.clusters.nodePools.setSize", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "httpMethod": "POST", "parameters": { "clusterId": { "required": true, "location": "path", "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "location": "path", "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "required": true }, "zone": { "required": true, "type": "string", "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "nodePoolId": { "type": "string", "description": "Required. Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field.", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "description": "SetNodePoolSizeRequest sets the size of a node pool. The new size will be used for all replicas, including future replicas created by modifying NodePool.locations.", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setSize", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}", "httpMethod": "GET", "description": "Retrieves the requested node pool.", "id": "container.projects.zones.clusters.nodePools.get", "parameters": { "projectId": { "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "zone": { "required": true, "location": "path", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to get. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "query", "type": "string" }, "clusterId": { "location": "path", "required": true, "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "type": "string", "location": "path", "description": "Required. Deprecated. The name of the node pool. This field has been deprecated and replaced by the name field.", "required": true } }, "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "NodePool" } }, "autoscaling": { "id": "container.projects.zones.clusters.nodePools.autoscaling", "httpMethod": "POST", "description": "Sets the autoscaling settings of a specific node pool.", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "response": { "$ref": "Operation" }, "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/autoscaling", "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ], "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "nodePoolId": { "required": true, "description": "Required. Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" }, "zone": { "type": "string", "location": "path", "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "projectId": { "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "required": true } } }, "setManagement": { "id": "container.projects.zones.clusters.nodePools.setManagement", "parameters": { "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "type": "string", "location": "path", "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "required": true }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string", "required": true, "location": "path" }, "nodePoolId": { "description": "Required. Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNodePoolManagementRequest" }, "description": "Sets the NodeManagement options for a node pool.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "path": "v1beta1/projects/{projectId}/zones/{zone}/clusters/{clusterId}/nodePools/{nodePoolId}/setManagement", "httpMethod": "POST", "parameterOrder": [ "projectId", "zone", "clusterId", "nodePoolId" ] } } } } }, "operations": { "methods": { "list": { "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations", "parameters": { "parent": { "description": "The parent (project and location) where the operations will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions.", "type": "string", "location": "query" }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "path", "required": true }, "zone": { "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for, or `-` for all zones. This field has been deprecated and replaced by the parent field.", "required": true, "type": "string" } }, "description": "Lists all operations in a project in the specified zone or all zones.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "projectId", "zone" ], "path": "v1beta1/projects/{projectId}/zones/{zone}/operations", "id": "container.projects.zones.operations.list" }, "cancel": { "id": "container.projects.zones.operations.cancel", "parameters": { "operationId": { "description": "Required. Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "required": true, "location": "path", "type": "string" }, "zone": { "location": "path", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation resides. This field has been deprecated and replaced by the name field.", "type": "string", "required": true }, "projectId": { "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "path", "type": "string" } }, "path": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "description": "Cancels the specified operation.", "request": { "$ref": "CancelOperationRequest" }, "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}:cancel", "httpMethod": "POST", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "operationId" ] }, "get": { "id": "container.projects.zones.operations.get", "flatPath": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "projectId", "zone", "operationId" ], "httpMethod": "GET", "response": { "$ref": "Operation" }, "description": "Gets the specified operation.", "parameters": { "zone": { "location": "path", "required": true, "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, operation id) of the operation to get. Specified in the format `projects/*/locations/*/operations/*`.", "location": "query", "type": "string" }, "projectId": { "location": "path", "required": true, "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "operationId": { "description": "Required. Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "type": "string", "location": "path", "required": true } }, "path": "v1beta1/projects/{projectId}/zones/{zone}/operations/{operationId}" } } } } }, "locations": { "methods": { "getServerConfig": { "httpMethod": "GET", "description": "Returns configuration info about the Google Kubernetes Engine service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.getServerConfig", "response": { "$ref": "ServerConfig" }, "parameterOrder": [ "name" ], "parameters": { "zone": { "type": "string", "location": "query", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "The name (project and location) of the server config to get, specified in the format `projects/*/locations/*`.", "location": "path", "required": true } }, "path": "v1beta1/{+name}/serverConfig", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverConfig" }, "list": { "response": { "$ref": "ListLocationsResponse" }, "parameters": { "parent": { "description": "Required. Contains the name of the resource requested. Specified in the format `projects/*`.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/locations", "flatPath": "v1beta1/projects/{projectsId}/locations", "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Fetches locations that offer Google Kubernetes Engine.", "id": "container.projects.locations.list" } }, "resources": { "clusters": { "resources": { "well-known": { "methods": { "getOpenid-configuration": { "response": { "$ref": "GetOpenIDConfigResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "The cluster (project, location, cluster name) to get the discovery document for. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "id": "container.projects.locations.clusters.well-known.getOpenid-configuration", "path": "v1beta1/{+parent}/.well-known/openid-configuration", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/.well-known/openid-configuration", "description": "Gets the OIDC discovery document for the cluster. See the [OpenID Connect Discovery 1.0 specification](https://openid.net/specs/openid-connect-discovery-1_0.html) for details. This API is not yet intended for general use, and is not available for all clusters." } } }, "nodePools": { "methods": { "setSize": { "description": "SetNodePoolSizeRequest sets the size of a node pool. The new size will be used for all replicas, including future replicas created by modifying NodePool.locations.", "path": "v1beta1/{+name}:setSize", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setSize", "id": "container.projects.locations.clusters.nodePools.setSize", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNodePoolSizeRequest" } }, "update": { "request": { "$ref": "UpdateNodePoolRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}", "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name (project, location, cluster, node pool) of the node pool to update. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "parameterOrder": [ "name" ], "description": "Updates the version and/or image type of a specific node pool.", "id": "container.projects.locations.clusters.nodePools.update" }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Retrieves the requested node pool.", "parameters": { "clusterId": { "location": "query", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to get. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "type": "string", "required": true }, "projectId": { "location": "query", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Required. Deprecated. The name of the node pool. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "zone": { "location": "query", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.clusters.nodePools.get", "response": { "$ref": "NodePool" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}" }, "create": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}/nodePools", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.clusters.nodePools.create", "parameterOrder": [ "parent" ], "description": "Creates a node pool for a cluster.", "parameters": { "parent": { "required": true, "type": "string", "description": "The parent (project, location, cluster name) where the node pool will be created. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path" } }, "request": { "$ref": "CreateNodePoolRequest" } }, "setManagement": { "response": { "$ref": "Operation" }, "description": "Sets the NodeManagement options for a node pool.", "path": "v1beta1/{+name}:setManagement", "httpMethod": "POST", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } }, "id": "container.projects.locations.clusters.nodePools.setManagement", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setManagement", "request": { "$ref": "SetNodePoolManagementRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "query" }, "zone": { "location": "query", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" }, "parent": { "location": "path", "description": "The parent (project, location, cluster name) where the node pools will be listed. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools", "parameterOrder": [ "parent" ], "response": { "$ref": "ListNodePoolsResponse" }, "description": "Lists the node pools for a cluster.", "id": "container.projects.locations.clusters.nodePools.list", "path": "v1beta1/{+parent}/nodePools", "httpMethod": "GET" }, "completeUpgrade": { "path": "v1beta1/{+name}:completeUpgrade", "request": { "$ref": "CompleteNodePoolUpgradeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "container.projects.locations.clusters.nodePools.completeUpgrade", "description": "CompleteNodePoolUpgrade will signal an on-going node pool upgrade to complete.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:completeUpgrade", "httpMethod": "POST", "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster, node pool id) of the node pool to complete upgrade. Specified in the format 'projects/*/locations/*/clusters/*/nodePools/*'.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "type": "string", "required": true } } }, "delete": { "id": "container.projects.locations.clusters.nodePools.delete", "parameters": { "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "location": "query", "type": "string" }, "projectId": { "location": "query", "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "nodePoolId": { "description": "Required. Deprecated. The name of the node pool to delete. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "name": { "location": "path", "type": "string", "required": true, "description": "The name (project, location, cluster, node pool id) of the node pool to delete. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "query", "type": "string" } }, "description": "Deletes a node pool from a cluster.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}" }, "rollback": { "parameterOrder": [ "name" ], "description": "Rolls back a previously Aborted or Failed NodePool upgrade. This makes no changes if the last upgrade successfully completed.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:rollback", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "RollbackNodePoolUpgradeRequest" }, "path": "v1beta1/{+name}:rollback", "id": "container.projects.locations.clusters.nodePools.rollback", "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$" } } }, "setAutoscaling": { "id": "container.projects.locations.clusters.nodePools.setAutoscaling", "description": "Sets the autoscaling settings of a specific node pool.", "path": "v1beta1/{+name}:setAutoscaling", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/nodePools/{nodePoolsId}:setAutoscaling", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+/nodePools/[^/]+$", "required": true, "location": "path", "description": "The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`." } }, "request": { "$ref": "SetNodePoolAutoscalingRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "list": { "httpMethod": "GET", "id": "container.projects.locations.clusters.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters", "parameters": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "type": "string", "location": "query" }, "parent": { "required": true, "location": "path", "description": "The parent (project and location) where the clusters will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides, or \"-\" for all zones. This field has been deprecated and replaced by the parent field.", "location": "query" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "ListClustersResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all clusters owned by a project in either the specified zone or all zones.", "path": "v1beta1/{+parent}/clusters" }, "setResourceLabels": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setResourceLabels", "request": { "$ref": "SetLabelsRequest" }, "id": "container.projects.locations.clusters.setResourceLabels", "parameterOrder": [ "name" ], "httpMethod": "POST", "description": "Sets labels on a cluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster name) of the cluster to set labels. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true } }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:setResourceLabels" }, "setLocations": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "SetLocationsRequest" }, "description": "Sets the locations for a specific cluster. Deprecated. Use [projects.locations.clusters.update](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1beta1/projects.locations.clusters/update) instead.", "httpMethod": "POST", "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set locations. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true } }, "id": "container.projects.locations.clusters.setLocations", "path": "v1beta1/{+name}:setLocations", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLocations" }, "startIpRotation": { "id": "container.projects.locations.clusters.startIpRotation", "response": { "$ref": "Operation" }, "request": { "$ref": "StartIPRotationRequest" }, "parameterOrder": [ "name" ], "description": "Starts master IP rotation.", "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster name) of the cluster to start IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "type": "string", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:startIpRotation", "path": "v1beta1/{+name}:startIpRotation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setMonitoring": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.clusters.setMonitoring", "httpMethod": "POST", "path": "v1beta1/{+name}:setMonitoring", "request": { "$ref": "SetMonitoringServiceRequest" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true, "description": "The name (project, location, cluster) of the cluster to set monitoring. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "location": "path" } }, "description": "Sets the monitoring service for a specific cluster.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMonitoring" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters", "id": "container.projects.locations.clusters.create", "httpMethod": "POST", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "The parent (project and location) where the cluster will be created. Specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}/clusters", "request": { "$ref": "CreateClusterRequest" }, "description": "Creates a cluster, consisting of the specified number and type of Google Compute Engine instances. By default, the cluster is created in the project's [default network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks). One firewall is added for the cluster. After cluster creation, the Kubelet creates routes for each node to allow the containers on that node to communicate with all other instances in the cluster. Finally, an entry is added to the project's global metadata indicating which CIDR range the cluster is using.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setNetworkPolicy": { "description": "Enables or disables Network Policy for a cluster.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetNetworkPolicyRequest" }, "httpMethod": "POST", "path": "v1beta1/{+name}:setNetworkPolicy", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setNetworkPolicy", "id": "container.projects.locations.clusters.setNetworkPolicy", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster name) of the cluster to set networking policy. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "type": "string" } } }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string", "required": true, "description": "The name (project, location, cluster) of the cluster to delete. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "query" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to delete. This field has been deprecated and replaced by the name field.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.clusters.delete", "response": { "$ref": "Operation" }, "description": "Deletes the cluster, including the Kubernetes endpoint and all worker nodes. Firewalls and routes that were configured during cluster creation are also deleted. Other Google Compute Engine resources that might be in use by the cluster, such as load balancer resources, are not deleted if they weren't present when the cluster was initially created.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}" }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to retrieve. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string", "location": "path" }, "projectId": { "location": "query", "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "location": "query" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to retrieve. This field has been deprecated and replaced by the name field.", "type": "string", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "httpMethod": "GET", "id": "container.projects.locations.clusters.get", "description": "Gets the details for a specific cluster.", "response": { "$ref": "Cluster" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}" }, "setMaintenancePolicy": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "The name (project, location, cluster name) of the cluster to set maintenance policy. Specified in the format `projects/*/locations/*/clusters/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Sets the maintenance policy for a cluster.", "path": "v1beta1/{+name}:setMaintenancePolicy", "request": { "$ref": "SetMaintenancePolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMaintenancePolicy", "id": "container.projects.locations.clusters.setMaintenancePolicy" }, "update": { "request": { "$ref": "UpdateClusterRequest" }, "id": "container.projects.locations.clusters.update", "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`." } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "description": "Updates the settings for a specific cluster." }, "setAddons": { "description": "Sets the addons for a specific cluster.", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setAddons", "path": "v1beta1/{+name}:setAddons", "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name (project, location, cluster) of the cluster to set addons. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetAddonsConfigRequest" }, "parameterOrder": [ "name" ], "id": "container.projects.locations.clusters.setAddons" }, "setLogging": { "request": { "$ref": "SetLoggingServiceRequest" }, "path": "v1beta1/{+name}:setLogging", "id": "container.projects.locations.clusters.setLogging", "response": { "$ref": "Operation" }, "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster) of the cluster to set logging. Specified in the format `projects/*/locations/*/clusters/*`." } }, "description": "Sets the logging service for a specific cluster.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLogging", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "completeIpRotation": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to complete IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "request": { "$ref": "CompleteIPRotationRequest" }, "id": "container.projects.locations.clusters.completeIpRotation", "description": "Completes master IP rotation.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:completeIpRotation", "path": "v1beta1/{+name}:completeIpRotation", "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "getJwks": { "description": "Gets the public component of the cluster signing keys in JSON Web Key format. This API is not yet intended for general use, and is not available for all clusters.", "id": "container.projects.locations.clusters.getJwks", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/jwks", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}/jwks", "response": { "$ref": "GetJSONWebKeysResponse" }, "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The cluster (project, location, cluster name) to get keys for. Specified in the format `projects/*/locations/*/clusters/*`." } } }, "setLegacyAbac": { "path": "v1beta1/{+name}:setLegacyAbac", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setLegacyAbac", "id": "container.projects.locations.clusters.setLegacyAbac", "description": "Enables or disables the ABAC authorization mechanism on a cluster.", "parameterOrder": [ "name" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetLegacyAbacRequest" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "location": "path", "type": "string", "description": "The name (project, location, cluster name) of the cluster to set legacy abac. Specified in the format `projects/*/locations/*/clusters/*`." } } }, "updateMaster": { "id": "container.projects.locations.clusters.updateMaster", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:updateMaster", "description": "Updates the master for a specific cluster.", "httpMethod": "POST", "parameters": { "name": { "location": "path", "type": "string", "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:updateMaster", "request": { "$ref": "UpdateMasterRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setMasterAuth": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clusters/{clustersId}:setMasterAuth", "response": { "$ref": "Operation" }, "description": "Sets master auth materials. Currently supports changing the admin password or a specific cluster, either via password generation or explicitly setting the password.", "request": { "$ref": "SetMasterAuthRequest" }, "path": "v1beta1/{+name}:setMasterAuth", "httpMethod": "POST", "id": "container.projects.locations.clusters.setMasterAuth", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clusters/[^/]+$", "description": "The name (project, location, cluster) of the cluster to set auth. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string", "required": true } } } } }, "operations": { "methods": { "list": { "httpMethod": "GET", "id": "container.projects.locations.operations.list", "path": "v1beta1/{+parent}/operations", "description": "Lists all operations in a project in the specified zone or all zones.", "parameterOrder": [ "parent" ], "parameters": { "zone": { "location": "query", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) to return operations for, or `-` for all zones. This field has been deprecated and replaced by the parent field.", "type": "string" }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "The parent (project and location) where the operations will be listed. Specified in the format `projects/*/locations/*`. Location \"-\" matches all zones and all regions.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOperationsResponse" } }, "cancel": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "container.projects.locations.operations.cancel", "description": "Cancels the specified operation.", "parameters": { "name": { "description": "The name (project, location, operation id) of the operation to cancel. Specified in the format `projects/*/locations/*/operations/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true } }, "request": { "$ref": "CancelOperationRequest" }, "httpMethod": "POST", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:cancel" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Operation" }, "description": "Gets the specified operation.", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "container.projects.locations.operations.get", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name (project, location, operation id) of the operation to get. Specified in the format `projects/*/locations/*/operations/*`.", "location": "path", "type": "string" }, "projectId": { "location": "query", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "operationId": { "location": "query", "description": "Required. Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "location": "query", "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } }, "basePath": "", "mtlsRootUrl": "https://container.mtls.googleapis.com/", "ownerName": "Google", "batchPath": "batch", "version": "v1beta1", "title": "Kubernetes Engine API", "name": "container", "ownerDomain": "google.com", "schemas": { "SetLocationsRequest": { "properties": { "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to set locations. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "locations": { "items": { "type": "string" }, "type": "array", "description": "Required. The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. Changing the locations a cluster is in will result in nodes being either created or removed from the cluster, depending on whether locations are being added or removed. This list must always include the cluster's primary zone." } }, "id": "SetLocationsRequest", "description": "SetLocationsRequest sets the locations of the cluster.", "type": "object" }, "Autopilot": { "description": "Autopilot is the configuration for Autopilot settings on the cluster.", "properties": { "enabled": { "description": "Enable Autopilot", "type": "boolean" } }, "type": "object", "id": "Autopilot" }, "AdvancedMachineFeatures": { "properties": { "threadsPerCore": { "type": "string", "format": "int64", "description": "The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed." } }, "type": "object", "id": "AdvancedMachineFeatures", "description": "Specifies options for controlling advanced machine features." }, "NodeManagement": { "description": "NodeManagement defines the set of node management services turned on for the node pool.", "type": "object", "properties": { "autoUpgrade": { "type": "boolean", "description": "Whether the nodes will be automatically upgraded." }, "autoRepair": { "description": "Whether the nodes will be automatically repaired.", "type": "boolean" }, "upgradeOptions": { "$ref": "AutoUpgradeOptions", "description": "Specifies the Auto Upgrade knobs for the node pool." } }, "id": "NodeManagement" }, "Status": { "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } } }, "KubernetesDashboard": { "description": "Configuration for the Kubernetes Dashboard.", "properties": { "disabled": { "description": "Whether the Kubernetes Dashboard is enabled for this cluster.", "type": "boolean" } }, "id": "KubernetesDashboard", "type": "object" }, "CidrBlock": { "properties": { "displayName": { "description": "display_name is an optional field for users to identify CIDR blocks.", "type": "string" }, "cidrBlock": { "description": "cidr_block must be specified in CIDR notation.", "type": "string" } }, "description": "CidrBlock contains an optional name and one CIDR block.", "id": "CidrBlock", "type": "object" }, "WorkloadCertificates": { "type": "object", "id": "WorkloadCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods.", "properties": { "enableCertificates": { "description": "enable_certificates controls issuance of workload mTLS certificates. If set, the GKE Workload Identity Certificates controller and node agent will be deployed in the cluster, which can then be configured by creating a WorkloadCertificateConfig Custom Resource. Requires Workload Identity (workload_pool must be non-empty).", "type": "boolean" } } }, "WorkloadConfig": { "description": "WorkloadConfig defines the flags to enable or disable the workload configurations for the cluster.", "id": "WorkloadConfig", "type": "object", "properties": { "auditMode": { "description": "Sets which mode of auditing should be used for the cluster's workloads.", "enumDescriptions": [ "Default value meaning that no mode has been specified.", "This disables Workload Configuration auditing on the cluster, meaning that nothing is surfaced.", "Applies the default set of policy auditing to a cluster's workloads.", "Surfaces configurations that are not in line with the Pod Security Standard Baseline policy.", "Surfaces configurations that are not in line with the Pod Security Standard Restricted policy." ], "enum": [ "MODE_UNSPECIFIED", "DISABLED", "BASIC", "BASELINE", "RESTRICTED" ], "type": "string" } } }, "SetLoggingServiceRequest": { "type": "object", "properties": { "loggingService": { "type": "string", "description": "Required. The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions." }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to set logging. Specified in the format `projects/*/locations/*/clusters/*`." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." } }, "id": "SetLoggingServiceRequest", "description": "SetLoggingServiceRequest sets the logging service of a cluster." }, "HttpCacheControlResponseHeader": { "description": "RFC-2616: cache control support", "properties": { "directive": { "type": "string", "description": "14.9 request and response directives" }, "expires": { "description": "14.21 response cache expires, in RFC 1123 date format", "type": "string" }, "age": { "description": "14.6 response cache age, in seconds since the response is generated", "format": "int64", "type": "string" } }, "type": "object", "id": "HttpCacheControlResponseHeader" }, "DailyMaintenanceWindow": { "properties": { "duration": { "description": "[Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario.", "type": "string" }, "startTime": { "description": "Time within the maintenance window to start the maintenance operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-59] GMT.", "type": "string" } }, "type": "object", "id": "DailyMaintenanceWindow", "description": "Time window specified for daily maintenance operations." }, "SetMasterAuthRequest": { "properties": { "action": { "enumDescriptions": [ "Operation is unknown and will error out.", "Set the password to a user generated value.", "Generate a new password and set it to that.", "Set the username. If an empty username is provided, basic authentication is disabled for the cluster. If a non-empty username is provided, basic authentication is enabled, with either a provided password or a generated one." ], "enum": [ "UNKNOWN", "SET_PASSWORD", "GENERATE_PASSWORD", "SET_USERNAME" ], "type": "string", "description": "Required. The exact form of action to be taken on the master auth." }, "update": { "$ref": "MasterAuth", "description": "Required. A description of the update." }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to set auth. Specified in the format `projects/*/locations/*/clusters/*`." }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "SetMasterAuthRequest", "description": "SetMasterAuthRequest updates the admin password of a cluster.", "type": "object" }, "MasterAuthorizedNetworksConfig": { "properties": { "cidrBlocks": { "items": { "$ref": "CidrBlock" }, "description": "cidr_blocks define up to 10 external networks that could access Kubernetes master through HTTPS.", "type": "array" }, "enabled": { "description": "Whether or not master authorized networks is enabled.", "type": "boolean" } }, "id": "MasterAuthorizedNetworksConfig", "description": "Configuration options for the master authorized networks feature. Enabled master authorized networks will disallow all external traffic to access Kubernetes master through HTTPS except traffic from the given CIDR blocks, Google Compute Engine Public IPs and Google Prod IPs.", "type": "object" }, "IdentityServiceConfig": { "type": "object", "id": "IdentityServiceConfig", "description": "IdentityServiceConfig is configuration for Identity Service which allows customers to use external identity providers with the K8S API", "properties": { "enabled": { "type": "boolean", "description": "Whether to enable the Identity Service component" } } }, "StandardRolloutPolicy": { "id": "StandardRolloutPolicy", "properties": { "batchNodeCount": { "format": "int32", "type": "integer", "description": "Number of blue nodes to drain in a batch." }, "batchSoakDuration": { "type": "string", "description": "Soak time after each batch gets drained. Default to zero.", "format": "google-duration" }, "batchPercentage": { "description": "Percentage of the bool pool nodes to drain in a batch. The range of this field should be (0.0, 1.0].", "format": "float", "type": "number" } }, "description": "Standard rollout policy is the default policy for blue-green.", "type": "object" }, "DatabaseEncryption": { "type": "object", "description": "Configuration of etcd encryption.", "properties": { "keyName": { "description": "Name of CloudKMS key to use for the encryption of secrets in etcd. Ex. projects/my-project/locations/global/keyRings/my-ring/cryptoKeys/my-key", "type": "string" }, "state": { "enumDescriptions": [ "Should never be set", "Secrets in etcd are encrypted.", "Secrets in etcd are stored in plain text (at etcd level) - this is unrelated to Compute Engine level full disk encryption." ], "description": "Denotes the state of etcd encryption.", "enum": [ "UNKNOWN", "ENCRYPTED", "DECRYPTED" ], "type": "string" } }, "id": "DatabaseEncryption" }, "ListClustersResponse": { "id": "ListClustersResponse", "properties": { "clusters": { "type": "array", "items": { "$ref": "Cluster" }, "description": "A list of clusters in the project in the specified zone, or across all ones." }, "missingZones": { "description": "If any zones are listed here, the list of clusters returned may be missing those zones.", "type": "array", "items": { "type": "string" } } }, "description": "ListClustersResponse is the result of ListClustersRequest.", "type": "object" }, "CreateClusterRequest": { "type": "object", "id": "CreateClusterRequest", "description": "CreateClusterRequest creates a cluster.", "properties": { "cluster": { "$ref": "Cluster", "description": "Required. A [cluster resource](https://cloud.google.com/container-engine/reference/rest/v1beta1/projects.locations.clusters)" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field." }, "parent": { "description": "The parent (project and location) where the cluster will be created. Specified in the format `projects/*/locations/*`.", "type": "string" }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field." } } }, "PlacementPolicy": { "description": "PlacementPolicy defines the placement policy used by the node pool.", "id": "PlacementPolicy", "properties": { "type": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "COMPACT" ], "description": "The type of placement.", "enumDescriptions": [ "TYPE_UNSPECIFIED specifies no requirements on nodes placement.", "COMPACT specifies node placement in the same availability domain to ensure low communication latency." ] } }, "type": "object" }, "UsableSubnetworkSecondaryRange": { "id": "UsableSubnetworkSecondaryRange", "type": "object", "properties": { "rangeName": { "type": "string", "description": "The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance." }, "status": { "enumDescriptions": [ "UNKNOWN is the zero value of the Status enum. It's not a valid status.", "UNUSED denotes that this range is unclaimed by any cluster.", "IN_USE_SERVICE denotes that this range is claimed by a cluster for services. It cannot be used for other clusters.", "IN_USE_SHAREABLE_POD denotes this range was created by the network admin and is currently claimed by a cluster for pods. It can only be used by other clusters as a pod range.", "IN_USE_MANAGED_POD denotes this range was created by GKE and is claimed for pods. It cannot be used for other clusters." ], "description": "This field is to determine the status of the secondary range programmably.", "type": "string", "enum": [ "UNKNOWN", "UNUSED", "IN_USE_SERVICE", "IN_USE_SHAREABLE_POD", "IN_USE_MANAGED_POD" ] }, "ipCidrRange": { "description": "The range of IP addresses belonging to this subnetwork secondary range.", "type": "string" } }, "description": "Secondary IP range of a usable subnetwork." }, "SecurityBulletinEvent": { "description": "SecurityBulletinEvent is a notification sent to customers when a security bulletin has been posted that they are vulnerable to.", "id": "SecurityBulletinEvent", "properties": { "manualStepsRequired": { "type": "boolean", "description": "If this field is specified, it means there are manual steps that the user must take to make their clusters safe." }, "bulletinId": { "type": "string", "description": "The ID of the bulletin corresponding to the vulnerability." }, "patchedVersions": { "description": "The GKE versions where this vulnerability is patched.", "items": { "type": "string" }, "type": "array" }, "briefDescription": { "type": "string", "description": "A brief description of the bulletin. See the bulletin pointed to by the bulletin_uri field for an expanded description." }, "suggestedUpgradeTarget": { "description": "This represents a version selected from the patched_versions field that the cluster receiving this notification should most likely want to upgrade to based on its current version. Note that if this notification is being received by a given cluster, it means that this version is currently available as an upgrade target in that cluster's location.", "type": "string" }, "affectedSupportedMinors": { "items": { "type": "string" }, "type": "array", "description": "The GKE minor versions affected by this vulnerability." }, "bulletinUri": { "description": "The URI link to the bulletin on the website for more information.", "type": "string" }, "severity": { "type": "string", "description": "The severity of this bulletin as it relates to GKE." }, "resourceTypeAffected": { "description": "The resource type (node/control plane) that has the vulnerability. Multiple notifications (1 notification per resource type) will be sent for a vulnerability that affects \u003e 1 resource type.", "type": "string" }, "cveIds": { "items": { "type": "string" }, "description": "The CVEs associated with this bulletin.", "type": "array" } }, "type": "object" }, "UpdateInfo": { "description": "UpdateInfo contains resource (instance groups, etc), status and other intermediate information relevant to a node pool upgrade.", "properties": { "blueGreenInfo": { "$ref": "BlueGreenInfo", "description": "Information of a blue-green upgrade." } }, "type": "object", "id": "UpdateInfo" }, "Empty": { "id": "Empty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "WindowsVersion": { "type": "object", "description": "Windows server version.", "id": "WindowsVersion", "properties": { "supportEndDate": { "$ref": "Date", "description": "Mainstream support end date" }, "imageType": { "type": "string", "description": "Windows server image type" }, "osVersion": { "description": "Windows server build number", "type": "string" } } }, "MonitoringComponentConfig": { "properties": { "enableComponents": { "items": { "type": "string", "enum": [ "COMPONENT_UNSPECIFIED", "SYSTEM_COMPONENTS", "WORKLOADS", "APISERVER", "SCHEDULER", "CONTROLLER_MANAGER" ], "enumDescriptions": [ "Default value. This shouldn't be used.", "system components", "Deprecated: Use Google Cloud Managed Service for Prometheus.", "kube-apiserver", "kube-scheduler", "kube-controller-manager" ] }, "type": "array", "description": "Select components to collect metrics. An empty set would disable all monitoring." } }, "type": "object", "id": "MonitoringComponentConfig", "description": "MonitoringComponentConfig is cluster monitoring component configuration." }, "Filter": { "description": "Allows filtering to one or more specific event types. If event types are present, those and only those event types will be transmitted to the cluster. Other types will be skipped. If no filter is specified, or no event types are present, all event types will be sent", "type": "object", "properties": { "eventType": { "items": { "enumDescriptions": [ "Not set, will be ignored.", "Corresponds with UpgradeAvailableEvent.", "Corresponds with UpgradeEvent.", "Corresponds with SecurityBulletinEvent." ], "type": "string", "enum": [ "EVENT_TYPE_UNSPECIFIED", "UPGRADE_AVAILABLE_EVENT", "UPGRADE_EVENT", "SECURITY_BULLETIN_EVENT" ] }, "type": "array", "description": "Event types to allowlist." } }, "id": "Filter" }, "AutoprovisioningNodePoolDefaults": { "description": "AutoprovisioningNodePoolDefaults contains defaults for a node pool created by NAP.", "id": "AutoprovisioningNodePoolDefaults", "properties": { "diskSizeGb": { "description": "Size of the disk attached to each node, specified in GB. The smallest allowed disk size is 10GB. If unspecified, the default disk size is 100GB.", "type": "integer", "format": "int32" }, "bootDiskKmsKey": { "type": "string", "description": " The Customer Managed Encryption Key used to encrypt the boot disk attached to each node in the node pool. This should be of the form projects/[KEY_PROJECT_ID]/locations/[LOCATION]/keyRings/[RING_NAME]/cryptoKeys/[KEY_NAME]. For more information about protecting resources with Cloud KMS Keys please see: https://cloud.google.com/compute/docs/disks/customer-managed-encryption" }, "minCpuPlatform": { "description": "Deprecated. Minimum CPU platform to be used for NAP created node pools. The instance may be scheduled on the specified or newer CPU platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: Intel Haswell or minCpuPlatform: Intel Sandy Bridge. For more information, read [how to specify min CPU platform](https://cloud.google.com/compute/docs/instances/specify-min-cpu-platform) This field is deprecated, min_cpu_platform should be specified using cloud.google.com/requested-min-cpu-platform label selector on the pod. To unset the min cpu platform field pass \"automatic\" as field value.", "type": "string" }, "upgradeSettings": { "description": "Upgrade settings control disruption and speed of the upgrade.", "$ref": "UpgradeSettings" }, "diskType": { "description": "Type of the disk attached to each node (e.g. 'pd-standard', 'pd-ssd' or 'pd-balanced') If unspecified, the default disk type is 'pd-standard'", "type": "string" }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "Shielded Instance options." }, "imageType": { "type": "string", "description": "The image type to use for NAP created node." }, "serviceAccount": { "type": "string", "description": "The Google Cloud Platform Service Account to be used by the node VMs. Specify the email address of the Service Account; otherwise, if no Service Account is specified, the \"default\" service account is used." }, "oauthScopes": { "items": { "type": "string" }, "type": "array", "description": "The set of Google API scopes to be made available on all of the node VMs under the \"default\" service account. The following scopes are recommended, but not required, and by default are not included: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/compute` is required for mounting persistent storage on your nodes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/devstorage.read_only` is required for communicating with **gcr.io** (the [Google Container Registry](https://cloud.google.com/container-registry/)). If unspecified, no scopes are added, unless Cloud Logging or Cloud Monitoring are enabled, in which case their required scopes will be added." }, "management": { "$ref": "NodeManagement", "description": "NodeManagement configuration for this NodePool." } }, "type": "object" }, "NotificationConfig": { "type": "object", "id": "NotificationConfig", "description": "NotificationConfig is the configuration of notifications.", "properties": { "pubsub": { "description": "Notification config for Pub/Sub.", "$ref": "PubSub" } } }, "AvailableVersion": { "type": "object", "description": "Deprecated.", "id": "AvailableVersion", "properties": { "version": { "description": "Kubernetes version.", "type": "string" }, "reason": { "description": "Reason for availability.", "type": "string" } } }, "Location": { "description": "Location returns the location name, and if the location is recommended for GKE cluster scheduling.", "properties": { "type": { "type": "string", "enumDescriptions": [ "LOCATION_TYPE_UNSPECIFIED means the location type was not determined.", "A GKE Location where Zonal clusters can be created.", "A GKE Location where Regional clusters can be created." ], "enum": [ "LOCATION_TYPE_UNSPECIFIED", "ZONE", "REGION" ], "description": "Contains the type of location this Location is for. Regional or Zonal." }, "recommended": { "type": "boolean", "description": "Whether the location is recomended for GKE cluster scheduling." }, "name": { "description": "Contains the name of the resource requested. Specified in the format `projects/*/locations/*`.", "type": "string" } }, "type": "object", "id": "Location" }, "UsableSubnetwork": { "type": "object", "description": "UsableSubnetwork resource returns the subnetwork name, its associated network and the primary CIDR range.", "properties": { "ipCidrRange": { "type": "string", "description": "The range of internal addresses that are owned by this subnetwork." }, "network": { "description": "Network Name. Example: projects/my-project/global/networks/my-network", "type": "string" }, "subnetwork": { "description": "Subnetwork Name. Example: projects/my-project/regions/us-central1/subnetworks/my-subnet", "type": "string" }, "statusMessage": { "description": "A human readable status message representing the reasons for cases where the caller cannot use the secondary ranges under the subnet. For example if the secondary_ip_ranges is empty due to a permission issue, an insufficient permission message will be given by status_message.", "type": "string" }, "secondaryIpRanges": { "description": "Secondary IP ranges.", "items": { "$ref": "UsableSubnetworkSecondaryRange" }, "type": "array" } }, "id": "UsableSubnetwork" }, "ListUsableSubnetworksResponse": { "properties": { "subnetworks": { "type": "array", "description": "A list of usable subnetworks in the specified network project.", "items": { "$ref": "UsableSubnetwork" } }, "nextPageToken": { "description": "This token allows you to get the next page of results for list requests. If the number of results is larger than `page_size`, use the `next_page_token` as a value for the query parameter `page_token` in the next request. The value will become empty when there are no more pages.", "type": "string" } }, "id": "ListUsableSubnetworksResponse", "type": "object", "description": "ListUsableSubnetworksResponse is the response of ListUsableSubnetworksRequest." }, "SandboxConfig": { "id": "SandboxConfig", "description": "SandboxConfig contains configurations of the sandbox to use for the node.", "properties": { "sandboxType": { "type": "string", "description": "Type of the sandbox to use for the node (e.g. 'gvisor')" }, "type": { "type": "string", "description": "Type of the sandbox to use for the node.", "enumDescriptions": [ "Default value. This should not be used.", "Run sandbox using gvisor." ], "enum": [ "UNSPECIFIED", "GVISOR" ] } }, "type": "object" }, "ListNodePoolsResponse": { "id": "ListNodePoolsResponse", "description": "ListNodePoolsResponse is the result of ListNodePoolsRequest.", "properties": { "nodePools": { "type": "array", "description": "A list of node pools for a cluster.", "items": { "$ref": "NodePool" } } }, "type": "object" }, "NetworkPolicy": { "properties": { "provider": { "type": "string", "enumDescriptions": [ "Not set", "Tigera (Calico Felix)." ], "description": "The selected network policy provider.", "enum": [ "PROVIDER_UNSPECIFIED", "CALICO" ] }, "enabled": { "type": "boolean", "description": "Whether network policy is enabled on the cluster." } }, "id": "NetworkPolicy", "description": "Configuration options for the NetworkPolicy feature. https://kubernetes.io/docs/concepts/services-networking/networkpolicies/", "type": "object" }, "ReleaseChannelConfig": { "type": "object", "properties": { "defaultVersion": { "type": "string", "description": "The default version for newly created clusters on the channel." }, "validVersions": { "description": "List of valid versions for the channel.", "items": { "type": "string" }, "type": "array" }, "availableVersions": { "type": "array", "items": { "$ref": "AvailableVersion" }, "description": "Deprecated. This field has been deprecated and replaced with the valid_versions field." }, "channel": { "enum": [ "UNSPECIFIED", "RAPID", "REGULAR", "STABLE" ], "description": "The release channel this configuration applies to.", "type": "string", "enumDescriptions": [ "No channel specified.", "RAPID channel is offered on an early access basis for customers who want to test new releases. WARNING: Versions available in the RAPID Channel may be subject to unresolved issues with no known workaround and are not subject to any SLAs.", "Clusters subscribed to REGULAR receive versions that are considered GA quality. REGULAR is intended for production users who want to take advantage of new features.", "Clusters subscribed to STABLE receive versions that are known to be stable and reliable in production." ] } }, "description": "ReleaseChannelConfig exposes configuration for a release channel.", "id": "ReleaseChannelConfig" }, "MeshCertificates": { "type": "object", "id": "MeshCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods.", "properties": { "enableCertificates": { "type": "boolean", "description": "enable_certificates controls issuance of workload mTLS certificates. If set, the GKE Workload Identity Certificates controller and node agent will be deployed in the cluster, which can then be configured by creating a WorkloadCertificateConfig Custom Resource. Requires Workload Identity (workload_pool must be non-empty)." } } }, "EphemeralStorageConfig": { "properties": { "localSsdCount": { "description": "Number of local SSDs to use to back ephemeral storage. Uses NVMe interfaces. Each local SSD is 375 GB in size. If zero, it means to disable using local SSDs as ephemeral storage.", "type": "integer", "format": "int32" } }, "type": "object", "description": "EphemeralStorageConfig contains configuration for the ephemeral storage filesystem.", "id": "EphemeralStorageConfig" }, "AuthenticatorGroupsConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether this cluster should return group membership lookups during authentication using a group of security groups." }, "securityGroup": { "type": "string", "description": "The name of the security group-of-groups to be used. Only relevant if enabled = true." } }, "id": "AuthenticatorGroupsConfig", "description": "Configuration for returning group information from authenticators.", "type": "object" }, "VerticalPodAutoscaling": { "description": "VerticalPodAutoscaling contains global, per-cluster information required by Vertical Pod Autoscaler to automatically adjust the resources of pods controlled by it.", "type": "object", "properties": { "enabled": { "description": "Enables vertical pod autoscaling.", "type": "boolean" } }, "id": "VerticalPodAutoscaling" }, "NetworkConfig": { "description": "NetworkConfig reports the relative names of network & subnetwork.", "type": "object", "id": "NetworkConfig", "properties": { "enableL4ilbSubsetting": { "type": "boolean", "description": "Whether L4ILB Subsetting is enabled for this cluster." }, "subnetwork": { "description": "Output only. The relative name of the Google Compute Engine [subnetwork](https://cloud.google.com/compute/docs/vpc) to which the cluster is connected. Example: projects/my-project/regions/us-central1/subnetworks/my-subnet", "type": "string" }, "serviceExternalIpsConfig": { "$ref": "ServiceExternalIPsConfig", "description": "ServiceExternalIPsConfig specifies if services with externalIPs field are blocked or not." }, "enableIntraNodeVisibility": { "type": "boolean", "description": "Whether Intra-node visibility is enabled for this cluster. This makes same node pod to pod traffic visible for VPC network." }, "dnsConfig": { "description": "DNSConfig contains clusterDNS config for this cluster.", "$ref": "DNSConfig" }, "defaultSnatStatus": { "$ref": "DefaultSnatStatus", "description": "Whether the cluster disables default in-node sNAT rules. In-node sNAT rules will be disabled when default_snat_status is disabled. When disabled is set to false, default IP masquerade rules will be applied to the nodes to prevent sNAT on cluster internal traffic." }, "network": { "description": "Output only. The relative name of the Google Compute Engine network(https://cloud.google.com/compute/docs/networks-and-firewalls#networks) to which the cluster is connected. Example: projects/my-project/global/networks/my-network", "type": "string" }, "privateIpv6GoogleAccess": { "type": "string", "description": "The desired state of IPv6 connectivity to Google Services. By default, no private IPv6 access to or from Google Services (all access will be via IPv4)", "enum": [ "PRIVATE_IPV6_GOOGLE_ACCESS_UNSPECIFIED", "PRIVATE_IPV6_GOOGLE_ACCESS_DISABLED", "PRIVATE_IPV6_GOOGLE_ACCESS_TO_GOOGLE", "PRIVATE_IPV6_GOOGLE_ACCESS_BIDIRECTIONAL" ], "enumDescriptions": [ "Default value. Same as DISABLED", "No private access to or from Google Services", "Enables private IPv6 access to Google Services from GKE", "Enables priate IPv6 access to and from Google Services" ] }, "datapathProvider": { "enumDescriptions": [ "Default value.", "Use the IPTables implementation based on kube-proxy.", "Use the eBPF based GKE Dataplane V2 with additional features. See the [GKE Dataplane V2 documentation](https://cloud.google.com/kubernetes-engine/docs/how-to/dataplane-v2) for more." ], "type": "string", "enum": [ "DATAPATH_PROVIDER_UNSPECIFIED", "LEGACY_DATAPATH", "ADVANCED_DATAPATH" ], "description": "The desired datapath provider for this cluster. By default, uses the IPTables-based kube-proxy implementation." } } }, "NodePoolAutoscaling": { "properties": { "maxNodeCount": { "description": "Maximum number of nodes for one location in the NodePool. Must be \u003e= min_node_count. There has to be enough quota to scale up the cluster.", "format": "int32", "type": "integer" }, "minNodeCount": { "format": "int32", "description": "Minimum number of nodes for one location in the NodePool. Must be \u003e= 1 and \u003c= max_node_count.", "type": "integer" }, "totalMaxNodeCount": { "type": "integer", "format": "int32", "description": "Maximum number of nodes in the node pool. Must be greater than total_min_node_count. There has to be enough quota to scale up the cluster. The total_*_node_count fields are mutually exclusive with the *_node_count fields." }, "totalMinNodeCount": { "type": "integer", "format": "int32", "description": "Minimum number of nodes in the node pool. Must be greater than 1 less than total_max_node_count. The total_*_node_count fields are mutually exclusive with the *_node_count fields." }, "enabled": { "description": "Is autoscaling enabled for this node pool.", "type": "boolean" }, "locationPolicy": { "enumDescriptions": [ "Not set.", "BALANCED is a best effort policy that aims to balance the sizes of different zones.", "ANY policy picks zones that have the highest capacity available." ], "description": "Location policy used when scaling up a nodepool.", "enum": [ "LOCATION_POLICY_UNSPECIFIED", "BALANCED", "ANY" ], "type": "string" }, "autoprovisioned": { "description": "Can this node pool be deleted automatically.", "type": "boolean" } }, "id": "NodePoolAutoscaling", "description": "NodePoolAutoscaling contains information required by cluster autoscaler to adjust the size of the node pool to the current cluster usage.", "type": "object" }, "ShieldedNodes": { "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Whether Shielded Nodes features are enabled on all nodes in this cluster." } }, "description": "Configuration of Shielded Nodes feature.", "id": "ShieldedNodes" }, "AutoUpgradeOptions": { "id": "AutoUpgradeOptions", "properties": { "autoUpgradeStartTime": { "type": "string", "description": "[Output only] This field is set when upgrades are about to commence with the approximate start time for the upgrades, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "description": { "description": "[Output only] This field is set when upgrades are about to commence with the description of the upgrade.", "type": "string" } }, "type": "object", "description": "AutoUpgradeOptions defines the set of options for the user to control how the Auto Upgrades will proceed." }, "HorizontalPodAutoscaling": { "type": "object", "id": "HorizontalPodAutoscaling", "description": "Configuration options for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods.", "properties": { "disabled": { "description": "Whether the Horizontal Pod Autoscaling feature is enabled in the cluster. When enabled, it ensures that metrics are collected into Stackdriver Monitoring.", "type": "boolean" } } }, "SetNodePoolManagementRequest": { "type": "object", "properties": { "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "management": { "description": "Required. NodeManagement configuration for the node pool.", "$ref": "NodeManagement" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "nodePoolId": { "type": "string", "description": "Required. Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field." }, "name": { "type": "string", "description": "The name (project, location, cluster, node pool id) of the node pool to set management properties. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`." } }, "description": "SetNodePoolManagementRequest sets the node management properties of a node pool.", "id": "SetNodePoolManagementRequest" }, "CreateNodePoolRequest": { "properties": { "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the parent field." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the parent field." }, "nodePool": { "description": "Required. The node pool to create.", "$ref": "NodePool" }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the parent field.", "type": "string" }, "parent": { "type": "string", "description": "The parent (project, location, cluster name) where the node pool will be created. Specified in the format `projects/*/locations/*/clusters/*`." } }, "type": "object", "id": "CreateNodePoolRequest", "description": "CreateNodePoolRequest creates a node pool for a cluster." }, "GcePersistentDiskCsiDriverConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether the Compute Engine PD CSI driver is enabled for this cluster." } }, "description": "Configuration for the Compute Engine PD CSI driver.", "id": "GcePersistentDiskCsiDriverConfig", "type": "object" }, "ILBSubsettingConfig": { "id": "ILBSubsettingConfig", "description": "ILBSubsettingConfig contains the desired config of L4 Internal LoadBalancer subsetting on this cluster.", "properties": { "enabled": { "description": "Enables l4 ILB subsetting for this cluster", "type": "boolean" } }, "type": "object" }, "ShieldedInstanceConfig": { "properties": { "enableIntegrityMonitoring": { "type": "boolean", "description": "Defines whether the instance has integrity monitoring enabled. Enables monitoring and attestation of the boot integrity of the instance. The attestation is performed against the integrity policy baseline. This baseline is initially derived from the implicitly trusted boot image when the instance is created." }, "enableSecureBoot": { "description": "Defines whether the instance has Secure Boot enabled. Secure Boot helps ensure that the system only runs authentic software by verifying the digital signature of all boot components, and halting the boot process if signature verification fails.", "type": "boolean" } }, "description": "A set of Shielded Instance options.", "id": "ShieldedInstanceConfig", "type": "object" }, "NodeTaint": { "type": "object", "id": "NodeTaint", "properties": { "effect": { "type": "string", "description": "Effect for taint.", "enumDescriptions": [ "Not set", "NoSchedule", "PreferNoSchedule", "NoExecute" ], "enum": [ "EFFECT_UNSPECIFIED", "NO_SCHEDULE", "PREFER_NO_SCHEDULE", "NO_EXECUTE" ] }, "value": { "type": "string", "description": "Value for taint." }, "key": { "description": "Key for taint.", "type": "string" } }, "description": "Kubernetes taint is comprised of three fields: key, value, and effect. Effect can only be one of three types: NoSchedule, PreferNoSchedule or NoExecute. See [here](https://kubernetes.io/docs/concepts/configuration/taint-and-toleration) for more information, including usage and the valid values." }, "NodeConfig": { "type": "object", "description": "Parameters that describe the nodes in a cluster. GKE Autopilot clusters do not recognize parameters in `NodeConfig`. Use AutoprovisioningNodePoolDefaults instead.", "properties": { "preemptible": { "type": "boolean", "description": "Whether the nodes are created as preemptible VM instances. See: https://cloud.google.com/compute/docs/instances/preemptible for more inforamtion about preemptible VM instances." }, "labels": { "description": "The map of Kubernetes labels (key/value pairs) to be applied to each node. These will added in addition to any default label(s) that Kubernetes may apply to the node. In case of conflict in label keys, the applied set may differ depending on the Kubernetes version -- it's best to assume the behavior is undefined and conflicts should be avoided. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/", "additionalProperties": { "type": "string" }, "type": "object" }, "workloadMetadataConfig": { "description": "The workload metadata configuration for this node.", "$ref": "WorkloadMetadataConfig" }, "gcfsConfig": { "$ref": "GcfsConfig", "description": "GCFS (Google Container File System) configs." }, "diskSizeGb": { "type": "integer", "description": "Size of the disk attached to each node, specified in GB. The smallest allowed disk size is 10GB. If unspecified, the default disk size is 100GB.", "format": "int32" }, "linuxNodeConfig": { "description": "Parameters that can be configured on Linux nodes.", "$ref": "LinuxNodeConfig" }, "serviceAccount": { "description": "The Google Cloud Platform Service Account to be used by the node VMs. Specify the email address of the Service Account; otherwise, if no Service Account is specified, the \"default\" service account is used.", "type": "string" }, "reservationAffinity": { "description": "The optional reservation affinity. Setting this field will apply the specified [Zonal Compute Reservation](https://cloud.google.com/compute/docs/instances/reserving-zonal-resources) to this node pool.", "$ref": "ReservationAffinity" }, "nodeGroup": { "description": "Setting this field will assign instances of this pool to run on the specified node group. This is useful for running workloads on [sole tenant nodes](https://cloud.google.com/compute/docs/nodes/sole-tenant-nodes).", "type": "string" }, "accelerators": { "type": "array", "items": { "$ref": "AcceleratorConfig" }, "description": "A list of hardware accelerators to be attached to each node. See https://cloud.google.com/compute/docs/gpus for more information about support for GPUs." }, "imageType": { "description": "The image type to use for this node. Note that for a given image type, the latest version of it will be used.", "type": "string" }, "machineType": { "description": "The name of a Google Compute Engine [machine type](https://cloud.google.com/compute/docs/machine-types). If unspecified, the default machine type is `e2-medium`.", "type": "string" }, "ephemeralStorageConfig": { "$ref": "EphemeralStorageConfig", "description": "Parameters for the ephemeral storage filesystem. If unspecified, ephemeral storage is backed by the boot disk." }, "spot": { "description": "Spot flag for enabling Spot VM, which is a rebrand of the existing preemptible flag.", "type": "boolean" }, "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "Shielded Instance options." }, "confidentialNodes": { "description": "Confidential nodes config. All the nodes in the node pool will be Confidential VM once enabled.", "$ref": "ConfidentialNodes" }, "kubeletConfig": { "$ref": "NodeKubeletConfig", "description": "Node kubelet configs." }, "oauthScopes": { "items": { "type": "string" }, "description": "The set of Google API scopes to be made available on all of the node VMs under the \"default\" service account. The following scopes are recommended, but not required, and by default are not included: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/compute` is required for mounting persistent storage on your nodes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/devstorage.read_only` is required for communicating with **gcr.io** (the [Google Container Registry](https://cloud.google.com/container-registry/)). If unspecified, no scopes are added, unless Cloud Logging or Cloud Monitoring are enabled, in which case their required scopes will be added.", "type": "array" }, "taints": { "items": { "$ref": "NodeTaint" }, "type": "array", "description": "List of kubernetes taints to be applied to each node. For more information, including usage and the valid values, see: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/" }, "tags": { "items": { "type": "string" }, "description": "The list of instance tags applied to all nodes. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during cluster or node pool creation. Each tag within the list must comply with RFC1035.", "type": "array" }, "sandboxConfig": { "$ref": "SandboxConfig", "description": "Sandbox configuration for this node." }, "minCpuPlatform": { "type": "string", "description": "Minimum CPU platform to be used by this instance. The instance may be scheduled on the specified or newer CPU platform. Applicable values are the friendly names of CPU platforms, such as `minCpuPlatform: \"Intel Haswell\"` or `minCpuPlatform: \"Intel Sandy Bridge\"`. For more information, read [how to specify min CPU platform](https://cloud.google.com/compute/docs/instances/specify-min-cpu-platform)" }, "gvnic": { "description": "Enable or disable gvnic on the node pool.", "$ref": "VirtualNIC" }, "localSsdCount": { "format": "int32", "description": "The number of local SSD disks to be attached to the node. The limit for this value is dependent upon the maximum number of disks available on a machine per zone. See: https://cloud.google.com/compute/docs/disks/local-ssd for more information.", "type": "integer" }, "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The metadata key/value pairs assigned to instances in the cluster. Keys must conform to the regexp `[a-zA-Z0-9-_]+` and be less than 128 bytes in length. These are reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project or be one of the reserved keys: - \"cluster-location\" - \"cluster-name\" - \"cluster-uid\" - \"configure-sh\" - \"containerd-configure-sh\" - \"enable-oslogin\" - \"gci-ensure-gke-docker\" - \"gci-metrics-enabled\" - \"gci-update-strategy\" - \"instance-template\" - \"kube-env\" - \"startup-script\" - \"user-data\" - \"disable-address-manager\" - \"windows-startup-script-ps1\" - \"common-psm1\" - \"k8s-node-setup-psm1\" - \"install-ssh-psm1\" - \"user-profile-psm1\" Values are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on them is that each value's size must be less than or equal to 32 KB. The total size of all keys and values must be less than 512 KB." }, "advancedMachineFeatures": { "description": "Advanced features for the Compute Engine VM.", "$ref": "AdvancedMachineFeatures" }, "diskType": { "type": "string", "description": "Type of the disk attached to each node (e.g. 'pd-standard', 'pd-ssd' or 'pd-balanced') If unspecified, the default disk type is 'pd-standard'" }, "bootDiskKmsKey": { "type": "string", "description": " The Customer Managed Encryption Key used to encrypt the boot disk attached to each node in the node pool. This should be of the form projects/[KEY_PROJECT_ID]/locations/[LOCATION]/keyRings/[RING_NAME]/cryptoKeys/[KEY_NAME]. For more information about protecting resources with Cloud KMS Keys please see: https://cloud.google.com/compute/docs/disks/customer-managed-encryption" } }, "id": "NodeConfig" }, "CostManagementConfig": { "type": "object", "properties": { "enabled": { "description": "Whether the feature is enabled or not.", "type": "boolean" } }, "id": "CostManagementConfig", "description": "Configuration for fine-grained cost management feature." }, "GetOpenIDConfigResponse": { "id": "GetOpenIDConfigResponse", "description": "GetOpenIDConfigResponse is an OIDC discovery document for the cluster. See the OpenID Connect Discovery 1.0 specification for details.", "properties": { "issuer": { "description": "OIDC Issuer.", "type": "string" }, "id_token_signing_alg_values_supported": { "items": { "type": "string" }, "description": "supported ID Token signing Algorithms.", "type": "array" }, "cacheHeader": { "$ref": "HttpCacheControlResponseHeader", "description": "OnePlatform automatically extracts this field and uses it to set the HTTP Cache-Control header." }, "subject_types_supported": { "items": { "type": "string" }, "type": "array", "description": "Supported subject types." }, "jwks_uri": { "type": "string", "description": "JSON Web Key uri." }, "claims_supported": { "type": "array", "description": "Supported claims.", "items": { "type": "string" } }, "response_types_supported": { "description": "Supported response types.", "type": "array", "items": { "type": "string" } }, "grant_types": { "description": "Supported grant types.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "UpdateMasterRequest": { "id": "UpdateMasterRequest", "description": "UpdateMasterRequest updates the master of the cluster.", "properties": { "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "masterVersion": { "description": "Required. The Kubernetes version to change the master to. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the default Kubernetes version", "type": "string" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" } }, "type": "object" }, "NodePoolAutoConfig": { "properties": { "networkTags": { "description": "The list of instance tags applied to all nodes. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during cluster creation. Each tag within the list must comply with RFC1035.", "$ref": "NetworkTags" } }, "description": "node pool configs that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters", "id": "NodePoolAutoConfig", "type": "object" }, "NodePoolDefaults": { "id": "NodePoolDefaults", "properties": { "nodeConfigDefaults": { "description": "Subset of NodeConfig message that has defaults.", "$ref": "NodeConfigDefaults" } }, "type": "object", "description": "Subset of Nodepool message that has defaults." }, "LoggingComponentConfig": { "type": "object", "properties": { "enableComponents": { "type": "array", "items": { "enumDescriptions": [ "Default value. This shouldn't be used.", "system components", "workloads" ], "enum": [ "COMPONENT_UNSPECIFIED", "SYSTEM_COMPONENTS", "WORKLOADS" ], "type": "string" }, "description": "Select components to collect logs. An empty set would disable all logging." } }, "description": "LoggingComponentConfig is cluster logging component configuration.", "id": "LoggingComponentConfig" }, "UpdateNodePoolRequest": { "type": "object", "properties": { "nodeNetworkConfig": { "description": "Node network config.", "$ref": "NodeNetworkConfig" }, "labels": { "$ref": "NodeLabels", "description": "The desired node labels to be applied to all nodes in the node pool. If this field is not present, the labels will not be changed. Otherwise, the existing node labels will be *replaced* with the provided labels." }, "gcfsConfig": { "$ref": "GcfsConfig", "description": "GCFS config." }, "nodeVersion": { "type": "string", "description": "Required. The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the Kubernetes master version" }, "workloadMetadataConfig": { "$ref": "WorkloadMetadataConfig", "description": "The desired workload metadata config for the node pool." }, "imageType": { "description": "Required. The desired image type for the node pool.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster, node pool) of the node pool to update. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`." }, "taints": { "description": "The desired node taints to be applied to all nodes in the node pool. If this field is not present, the taints will not be changed. Otherwise, the existing node taints will be *replaced* with the provided taints.", "$ref": "NodeTaints" }, "tags": { "$ref": "NetworkTags", "description": "The desired network tags to be applied to all nodes in the node pool. If this field is not present, the tags will not be changed. Otherwise, the existing network tags will be *replaced* with the provided tags." }, "kubeletConfig": { "description": "Node kubelet configs.", "$ref": "NodeKubeletConfig" }, "upgradeSettings": { "$ref": "UpgradeSettings", "description": "Upgrade settings control disruption and speed of the upgrade." }, "locations": { "items": { "type": "string" }, "type": "array", "description": "The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the node pool's nodes should be located. Changing the locations for a node pool will result in nodes being either created or removed from the node pool, depending on whether locations are being added or removed." }, "gvnic": { "$ref": "VirtualNIC", "description": "Enable or disable gvnic on the node pool." }, "confidentialNodes": { "description": "Confidential nodes config. All the nodes in the node pool will be Confidential VM once enabled.", "$ref": "ConfidentialNodes" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "linuxNodeConfig": { "$ref": "LinuxNodeConfig", "description": "Parameters that can be configured on Linux nodes." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "nodePoolId": { "type": "string", "description": "Required. Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field." }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" } }, "id": "UpdateNodePoolRequest", "description": "SetNodePoolVersionRequest updates the version of a node pool." }, "BigQueryDestination": { "id": "BigQueryDestination", "description": "Parameters for using BigQuery as the destination of resource usage export.", "type": "object", "properties": { "datasetId": { "description": "The ID of a BigQuery Dataset.", "type": "string" } } }, "MasterAuth": { "properties": { "clusterCaCertificate": { "type": "string" }, "username": { "type": "string", "description": "The username to use for HTTP basic authentication to the master endpoint. For clusters v1.6.0 and later, basic authentication can be disabled by leaving username unspecified (or setting it to the empty string). Warning: basic authentication is deprecated, and will be removed in GKE control plane versions 1.19 and newer. For a list of recommended authentication methods, see: https://cloud.google.com/kubernetes-engine/docs/how-to/api-server-authentication" }, "clientCertificate": { "description": "[Output only] Base64-encoded public certificate used by clients to authenticate to the cluster endpoint.", "type": "string" }, "clientCertificateConfig": { "$ref": "ClientCertificateConfig", "description": "Configuration for client certificate authentication on the cluster. For clusters before v1.12, if no configuration is specified, a client certificate is issued." }, "password": { "description": "The password to use for HTTP basic authentication to the master endpoint. Because the master endpoint is open to the Internet, you should create a strong password. If a password is provided for cluster creation, username must be non-empty. Warning: basic authentication is deprecated, and will be removed in GKE control plane versions 1.19 and newer. For a list of recommended authentication methods, see: https://cloud.google.com/kubernetes-engine/docs/how-to/api-server-authentication", "type": "string" }, "clientKey": { "type": "string", "description": "[Output only] Base64-encoded private key used by clients to authenticate to the cluster endpoint." } }, "type": "object", "description": "The authentication information for accessing the master endpoint. Authentication can be done using HTTP basic auth or using client certificates.", "id": "MasterAuth" }, "NodeTaints": { "description": "Collection of Kubernetes [node taints](https://kubernetes.io/docs/concepts/configuration/taint-and-toleration).", "properties": { "taints": { "type": "array", "description": "List of node taints.", "items": { "$ref": "NodeTaint" } } }, "type": "object", "id": "NodeTaints" }, "IPAllocationPolicy": { "id": "IPAllocationPolicy", "properties": { "useIpAliases": { "description": "Whether alias IPs will be used for pod IPs in the cluster. This is used in conjunction with use_routes. It cannot be true if use_routes is true. If both use_ip_aliases and use_routes are false, then the server picks the default IP allocation mode", "type": "boolean" }, "subnetworkName": { "type": "string", "description": "A custom subnetwork name to be used if `create_subnetwork` is true. If this field is empty, then an automatic name will be chosen for the new subnetwork." }, "allowRouteOverlap": { "description": "If true, allow allocation of cluster CIDR ranges that overlap with certain kinds of network routes. By default we do not allow cluster CIDR ranges to intersect with any user declared routes. With allow_route_overlap == true, we allow overlapping with CIDR ranges that are larger than the cluster CIDR range. If this field is set to true, then cluster and services CIDRs must be fully-specified (e.g. `10.96.0.0/14`, but not `/14`), which means: 1) When `use_ip_aliases` is true, `cluster_ipv4_cidr_block` and `services_ipv4_cidr_block` must be fully-specified. 2) When `use_ip_aliases` is false, `cluster.cluster_ipv4_cidr` muse be fully-specified.", "type": "boolean" }, "nodeIpv4CidrBlock": { "type": "string", "description": "The IP address range of the instance IPs in this cluster. This is applicable only if `create_subnetwork` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "servicesIpv6CidrBlock": { "type": "string", "description": "Output only. [Output only] The services IPv6 CIDR block for the cluster.", "readOnly": true }, "servicesIpv4CidrBlock": { "type": "string", "description": "The IP address range of the services IPs in this cluster. If blank, a range will be automatically chosen with the default size. This field is only applicable when `use_ip_aliases` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "subnetIpv6CidrBlock": { "readOnly": true, "type": "string", "description": "Output only. [Output only] The subnet's IPv6 CIDR block used by nodes and pods." }, "tpuIpv4CidrBlock": { "type": "string", "description": "The IP address range of the Cloud TPUs in this cluster. If unspecified, a range will be automatically chosen with the default size. This field is only applicable when `use_ip_aliases` is true. If unspecified, the range will use the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use. This field is deprecated, use cluster.tpu_config.ipv4_cidr_block instead." }, "servicesSecondaryRangeName": { "description": "The name of the secondary range to be used as for the services CIDR block. The secondary range will be used for service ClusterIPs. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases and create_subnetwork is false.", "type": "string" }, "ipv6AccessType": { "description": "The ipv6 access type (internal or external) when create_subnetwork is true", "type": "string", "enum": [ "IPV6_ACCESS_TYPE_UNSPECIFIED", "INTERNAL", "EXTERNAL" ], "enumDescriptions": [ "Default value, will be defaulted as type external.", "Access type internal (all v6 addresses are internal IPs)", "Access type external (all v6 addresses are external IPs)" ] }, "clusterIpv4CidrBlock": { "type": "string", "description": "The IP address range for the cluster pod IPs. If this field is set, then `cluster.cluster_ipv4_cidr` must be left blank. This field is only applicable when `use_ip_aliases` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) from the RFC-1918 private networks (e.g. `10.0.0.0/8`, `172.16.0.0/12`, `192.168.0.0/16`) to pick a specific range to use." }, "useRoutes": { "type": "boolean", "description": "Whether routes will be used for pod IPs in the cluster. This is used in conjunction with use_ip_aliases. It cannot be true if use_ip_aliases is true. If both use_ip_aliases and use_routes are false, then the server picks the default IP allocation mode" }, "stackType": { "type": "string", "description": "IP stack type", "enum": [ "STACK_TYPE_UNSPECIFIED", "IPV4", "IPV4_IPV6" ], "enumDescriptions": [ "By default, the clusters will be IPV4 only", "The value used if the cluster is a IPV4 only", "The value used if the cluster is a dual stack cluster" ] }, "clusterIpv4Cidr": { "type": "string", "description": "This field is deprecated, use cluster_ipv4_cidr_block." }, "nodeIpv4Cidr": { "description": "This field is deprecated, use node_ipv4_cidr_block.", "type": "string" }, "createSubnetwork": { "type": "boolean", "description": "Whether a new subnetwork will be created automatically for the cluster. This field is only applicable when `use_ip_aliases` is true." }, "servicesIpv4Cidr": { "type": "string", "description": "This field is deprecated, use services_ipv4_cidr_block." }, "clusterSecondaryRangeName": { "description": "The name of the secondary range to be used for the cluster CIDR block. The secondary range will be used for pod IP addresses. This must be an existing secondary range associated with the cluster subnetwork. This field is only applicable with use_ip_aliases and create_subnetwork is false.", "type": "string" } }, "description": "Configuration for controlling how IPs are allocated in the cluster.", "type": "object" }, "UpgradeSettings": { "type": "object", "id": "UpgradeSettings", "description": "These upgrade settings configure the upgrade strategy for the node pool. Use strategy to switch between the strategies applied to the node pool. If the strategy is SURGE, use max_surge and max_unavailable to control the level of parallelism and the level of disruption caused by upgrade. 1. maxSurge controls the number of additional nodes that can be added to the node pool temporarily for the time of the upgrade to increase the number of available nodes. 2. maxUnavailable controls the number of nodes that can be simultaneously unavailable. 3. (maxUnavailable + maxSurge) determines the level of parallelism (how many nodes are being upgraded at the same time). If the strategy is BLUE_GREEN, use blue_green_settings to configure the blue-green upgrade related settings. 1. standard_rollout_policy is the default policy. The policy is used to control the way blue pool gets drained. The draining is executed in the batch mode. The batch size could be specified as either percentage of the node pool size or the number of nodes. batch_soak_duration is the soak time after each batch gets drained. 2. node_pool_soak_duration is the soak time after all blue nodes are drained. After this period, the blue pool nodes will be deleted.", "properties": { "blueGreenSettings": { "description": "Settings for blue-green upgrade strategy.", "$ref": "BlueGreenSettings" }, "maxUnavailable": { "type": "integer", "format": "int32", "description": "The maximum number of nodes that can be simultaneously unavailable during the upgrade process. A node is considered available if its status is Ready." }, "strategy": { "type": "string", "enum": [ "NODE_POOL_UPDATE_STRATEGY_UNSPECIFIED", "BLUE_GREEN", "SURGE" ], "description": "Update strategy of the node pool.", "enumDescriptions": [ "Default value.", "blue-green upgrade.", "SURGE is the traditional way of upgrading a node pool. max_surge and max_unavailable determines the level of upgrade parallelism." ] }, "maxSurge": { "description": "The maximum number of nodes that can be created beyond the current size of the node pool during the upgrade process.", "type": "integer", "format": "int32" } } }, "RollbackNodePoolUpgradeRequest": { "properties": { "nodePoolId": { "type": "string", "description": "Required. Deprecated. The name of the node pool to rollback. This field has been deprecated and replaced by the name field." }, "zone": { "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field.", "type": "string" }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to rollback. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "respectPdb": { "type": "boolean", "description": "Option for rollback to ignore the PodDisruptionBudget. Default value is false." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node poll to rollback upgrade. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" } }, "id": "RollbackNodePoolUpgradeRequest", "type": "object", "description": "RollbackNodePoolUpgradeRequest rollbacks the previously Aborted or Failed NodePool upgrade. This will be an no-op if the last upgrade successfully completed." }, "MaxPodsConstraint": { "id": "MaxPodsConstraint", "properties": { "maxPodsPerNode": { "description": "Constraint enforced on the max num of pods per node.", "format": "int64", "type": "string" } }, "type": "object", "description": "Constraints applied to pods." }, "WorkloadMetadataConfig": { "id": "WorkloadMetadataConfig", "description": "WorkloadMetadataConfig defines the metadata configuration to expose to workloads on the node pool.", "type": "object", "properties": { "mode": { "enumDescriptions": [ "Not set.", "Expose all Compute Engine metadata to pods.", "Run the GKE Metadata Server on this node. The GKE Metadata Server exposes a metadata API to workloads that is compatible with the V1 Compute Metadata APIs exposed by the Compute Engine and App Engine Metadata Servers. This feature can only be enabled if Workload Identity is enabled at the cluster level." ], "type": "string", "description": "Mode is the configuration for how to expose metadata to workloads running on the node pool.", "enum": [ "MODE_UNSPECIFIED", "GCE_METADATA", "GKE_METADATA" ] }, "nodeMetadata": { "description": "NodeMetadata is the configuration for how to expose metadata to the workloads running on the node.", "enumDescriptions": [ "Not set.", "Prevent workloads not in hostNetwork from accessing certain VM metadata, specifically kube-env, which contains Kubelet credentials, and the instance identity token. Metadata concealment is a temporary security solution available while the bootstrapping process for cluster nodes is being redesigned with significant security improvements. This feature is scheduled to be deprecated in the future and later removed.", "Expose all VM metadata to pods.", "Run the GKE Metadata Server on this node. The GKE Metadata Server exposes a metadata API to workloads that is compatible with the V1 Compute Metadata APIs exposed by the Compute Engine and App Engine Metadata Servers. This feature can only be enabled if Workload Identity is enabled at the cluster level." ], "type": "string", "enum": [ "UNSPECIFIED", "SECURE", "EXPOSE", "GKE_METADATA_SERVER" ] } } }, "ClusterTelemetry": { "type": "object", "properties": { "type": { "type": "string", "enum": [ "UNSPECIFIED", "DISABLED", "ENABLED", "SYSTEM_ONLY" ], "enumDescriptions": [ "Not set.", "Monitoring integration is disabled.", "Monitoring integration is enabled.", "Only system components are monitored and logged." ], "description": "Type of the integration." } }, "description": "Telemetry integration for the cluster.", "id": "ClusterTelemetry" }, "TpuConfig": { "description": "Configuration for Cloud TPU.", "id": "TpuConfig", "type": "object", "properties": { "useServiceNetworking": { "type": "boolean", "description": "Whether to use service networking for Cloud TPU or not." }, "ipv4CidrBlock": { "description": "IPv4 CIDR block reserved for Cloud TPU in the VPC.", "type": "string" }, "enabled": { "type": "boolean", "description": "Whether Cloud TPU integration is enabled or not." } } }, "MaintenancePolicy": { "description": "MaintenancePolicy defines the maintenance policy to be used for the cluster.", "properties": { "window": { "$ref": "MaintenanceWindow", "description": "Specifies the maintenance window in which maintenance may be performed." }, "resourceVersion": { "description": "A hash identifying the version of this policy, so that updates to fields of the policy won't accidentally undo intermediate changes (and so that users of the API unaware of some fields won't accidentally remove other fields). Make a `get()` request to the cluster to get the current resource version and include it with requests to set the policy.", "type": "string" } }, "type": "object", "id": "MaintenancePolicy" }, "MaintenanceWindow": { "properties": { "dailyMaintenanceWindow": { "$ref": "DailyMaintenanceWindow", "description": "DailyMaintenanceWindow specifies a daily maintenance operation window." }, "maintenanceExclusions": { "description": "Exceptions to maintenance window. Non-emergency maintenance should not occur in these windows.", "type": "object", "additionalProperties": { "$ref": "TimeWindow" } }, "recurringWindow": { "$ref": "RecurringTimeWindow", "description": "RecurringWindow specifies some number of recurring time periods for maintenance to occur. The time windows may be overlapping. If no maintenance windows are set, maintenance can occur at any time." } }, "type": "object", "id": "MaintenanceWindow", "description": "MaintenanceWindow defines the maintenance window to be used for the cluster." }, "MonitoringConfig": { "description": "MonitoringConfig is cluster monitoring configuration.", "properties": { "componentConfig": { "description": "Monitoring components configuration", "$ref": "MonitoringComponentConfig" }, "managedPrometheusConfig": { "$ref": "ManagedPrometheusConfig", "description": "Enable Google Cloud Managed Service for Prometheus in the cluster." } }, "id": "MonitoringConfig", "type": "object" }, "StatusCondition": { "description": "StatusCondition describes why a cluster or a node pool has a certain status (e.g., ERROR or DEGRADED).", "properties": { "message": { "type": "string", "description": "Human-friendly representation of the condition" }, "canonicalCode": { "type": "string", "description": "Canonical code of the condition.", "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ] }, "code": { "enum": [ "UNKNOWN", "GCE_STOCKOUT", "GKE_SERVICE_ACCOUNT_DELETED", "GCE_QUOTA_EXCEEDED", "SET_BY_OPERATOR", "CLOUD_KMS_KEY_ERROR", "CA_EXPIRING" ], "description": "Machine-friendly representation of the condition Deprecated. Use canonical_code instead.", "type": "string", "enumDescriptions": [ "UNKNOWN indicates a generic condition.", "GCE_STOCKOUT indicates that Google Compute Engine resources are temporarily unavailable.", "GKE_SERVICE_ACCOUNT_DELETED indicates that the user deleted their robot service account.", "Google Compute Engine quota was exceeded.", "Cluster state was manually changed by an SRE due to a system logic error.", "Unable to perform an encrypt operation against the CloudKMS key used for etcd level encryption.", "Cluster CA is expiring soon. More codes TBA" ] } }, "id": "StatusCondition", "type": "object" }, "CloudRunConfig": { "description": "Configuration options for the Cloud Run feature.", "properties": { "loadBalancerType": { "enumDescriptions": [ "Load balancer type for Cloud Run is unspecified.", "Install external load balancer for Cloud Run.", "Install internal load balancer for Cloud Run." ], "description": "Which load balancer type is installed for Cloud Run.", "enum": [ "LOAD_BALANCER_TYPE_UNSPECIFIED", "LOAD_BALANCER_TYPE_EXTERNAL", "LOAD_BALANCER_TYPE_INTERNAL" ], "type": "string" }, "disabled": { "description": "Whether Cloud Run addon is enabled for this cluster.", "type": "boolean" } }, "type": "object", "id": "CloudRunConfig" }, "GkeBackupAgentConfig": { "type": "object", "id": "GkeBackupAgentConfig", "properties": { "enabled": { "description": "Whether the Backup for GKE agent is enabled for this cluster.", "type": "boolean" } }, "description": "Configuration for the Backup for GKE Agent." }, "NetworkPerformanceConfig": { "properties": { "externalIpEgressBandwidthTier": { "enumDescriptions": [ "Default value", "Higher bandwidth, actual values based on VM size." ], "description": "Specifies the network bandwidth tier for the NodePool for traffic to external/public IP addresses.", "enum": [ "TIER_UNSPECIFIED", "TIER_1" ], "type": "string" }, "totalEgressBandwidthTier": { "enum": [ "TIER_UNSPECIFIED", "TIER_1" ], "description": "Specifies the total network bandwidth tier for the NodePool.", "type": "string", "enumDescriptions": [ "Default value", "Higher bandwidth, actual values based on VM size." ] } }, "id": "NetworkPerformanceConfig", "type": "object", "description": "Configuration of all network bandwidth tiers" }, "MaintenanceExclusionOptions": { "properties": { "scope": { "enumDescriptions": [ "NO_UPGRADES excludes all upgrades, including patch upgrades and minor upgrades across control planes and nodes. This is the default exclusion behavior.", "NO_MINOR_UPGRADES excludes all minor upgrades for the cluster, only patches are allowed.", "NO_MINOR_OR_NODE_UPGRADES excludes all minor upgrades for the cluster, and also exclude all node pool upgrades. Only control plane patches are allowed." ], "enum": [ "NO_UPGRADES", "NO_MINOR_UPGRADES", "NO_MINOR_OR_NODE_UPGRADES" ], "description": "Scope specifies the upgrade scope which upgrades are blocked by the exclusion.", "type": "string" } }, "type": "object", "description": "Represents the Maintenance exclusion option.", "id": "MaintenanceExclusionOptions" }, "Metric": { "type": "object", "description": "Progress metric is (string, int|float|string) pair.", "properties": { "name": { "type": "string", "description": "Required. Metric name, e.g., \"nodes total\", \"percent done\"." }, "doubleValue": { "type": "number", "format": "double", "description": "For metrics with floating point value." }, "stringValue": { "type": "string", "description": "For metrics with custom values (ratios, visual progress, etc.)." }, "intValue": { "type": "string", "description": "For metrics with integer value.", "format": "int64" } }, "id": "Metric" }, "GetJSONWebKeysResponse": { "properties": { "keys": { "type": "array", "items": { "$ref": "Jwk" }, "description": "The public component of the keys used by the cluster to sign token requests." }, "cacheHeader": { "$ref": "HttpCacheControlResponseHeader", "description": "OnePlatform automatically extracts this field and uses it to set the HTTP Cache-Control header." } }, "description": "GetJSONWebKeysResponse is a valid JSON Web Key Set as specififed in rfc 7517", "type": "object", "id": "GetJSONWebKeysResponse" }, "LinuxNodeConfig": { "type": "object", "id": "LinuxNodeConfig", "description": "Parameters that can be configured on Linux nodes.", "properties": { "sysctls": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The Linux kernel parameters to be applied to the nodes and all pods running on the nodes. The following parameters are supported. net.core.busy_poll net.core.busy_read net.core.netdev_max_backlog net.core.rmem_max net.core.wmem_default net.core.wmem_max net.core.optmem_max net.core.somaxconn net.ipv4.tcp_rmem net.ipv4.tcp_wmem net.ipv4.tcp_tw_reuse" }, "cgroupMode": { "type": "string", "enumDescriptions": [ "CGROUP_MODE_UNSPECIFIED is when unspecified cgroup configuration is used. The default for the GKE node OS image will be used.", "CGROUP_MODE_V1 specifies to use cgroupv1 for the cgroup configuration on the node image.", "CGROUP_MODE_V2 specifies to use cgroupv2 for the cgroup configuration on the node image." ], "enum": [ "CGROUP_MODE_UNSPECIFIED", "CGROUP_MODE_V1", "CGROUP_MODE_V2" ], "description": "cgroup_mode specifies the cgroup mode to be used on the node." } } }, "StartIPRotationRequest": { "type": "object", "id": "StartIPRotationRequest", "properties": { "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "rotateCredentials": { "type": "boolean", "description": "Whether to rotate credentials during IP rotation." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field." }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster name) of the cluster to start IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" } }, "description": "StartIPRotationRequest creates a new IP for the cluster and then performs a node upgrade on each node pool to point to the new IP." }, "PrivateClusterConfig": { "description": "Configuration options for private clusters.", "properties": { "enablePrivateEndpoint": { "type": "boolean", "description": "Whether the master's internal IP address is used as the cluster endpoint." }, "enablePrivateNodes": { "description": "Whether nodes have internal IP addresses only. If enabled, all nodes are given only RFC 1918 private addresses and communicate with the master via private networking.", "type": "boolean" }, "publicEndpoint": { "description": "Output only. The external IP address of this cluster's master endpoint.", "type": "string" }, "masterGlobalAccessConfig": { "$ref": "PrivateClusterMasterGlobalAccessConfig", "description": "Controls master global access settings." }, "peeringName": { "type": "string", "description": "Output only. The peering name in the customer VPC used by this cluster." }, "privateEndpoint": { "description": "Output only. The internal IP address of this cluster's master endpoint.", "type": "string" }, "masterIpv4CidrBlock": { "type": "string", "description": "The IP range in CIDR notation to use for the hosted master network. This range will be used for assigning internal IP addresses to the master or set of masters, as well as the ILB VIP. This range must not overlap with any other ranges in use within the cluster's network." } }, "type": "object", "id": "PrivateClusterConfig" }, "Operation": { "type": "object", "id": "Operation", "properties": { "operationType": { "type": "string", "description": "The operation type.", "enum": [ "TYPE_UNSPECIFIED", "CREATE_CLUSTER", "DELETE_CLUSTER", "UPGRADE_MASTER", "UPGRADE_NODES", "REPAIR_CLUSTER", "UPDATE_CLUSTER", "CREATE_NODE_POOL", "DELETE_NODE_POOL", "SET_NODE_POOL_MANAGEMENT", "AUTO_REPAIR_NODES", "AUTO_UPGRADE_NODES", "SET_LABELS", "SET_MASTER_AUTH", "SET_NODE_POOL_SIZE", "SET_NETWORK_POLICY", "SET_MAINTENANCE_POLICY" ], "enumDescriptions": [ "Not set.", "Cluster create.", "Cluster delete.", "A master upgrade.", "A node upgrade.", "Cluster repair.", "Cluster update.", "Node pool create.", "Node pool delete.", "Set node pool management.", "Automatic node pool repair.", "Automatic node upgrade.", "Set labels.", "Set/generate master auth materials", "Set node pool size.", "Updates network policy for a cluster.", "Set the maintenance policy." ] }, "clusterConditions": { "description": "Which conditions caused the current cluster state. Deprecated. Use field error instead.", "type": "array", "items": { "$ref": "StatusCondition" } }, "startTime": { "type": "string", "description": "[Output only] The time the operation started, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "targetLink": { "description": "Server-defined URL for the target of the operation.", "type": "string" }, "detail": { "type": "string", "description": "Detailed operation progress, if available." }, "selfLink": { "description": "Server-defined URL for the resource.", "type": "string" }, "statusMessage": { "type": "string", "description": "Output only. If an error has occurred, a textual description of the error. Deprecated. Use field error instead.", "readOnly": true }, "nodepoolConditions": { "description": "Which conditions caused the current node pool state. Deprecated. Use field error instead.", "items": { "$ref": "StatusCondition" }, "type": "array" }, "status": { "enumDescriptions": [ "Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting." ], "type": "string", "enum": [ "STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING" ], "description": "The current status of the operation." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure." }, "progress": { "readOnly": true, "$ref": "OperationProgress", "description": "Output only. [Output only] Progress information for an operation." }, "location": { "type": "string", "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) or [region](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) in which the cluster resides." }, "name": { "type": "string", "description": "The server-assigned ID for the operation." }, "endTime": { "type": "string", "description": "[Output only] The time the operation completed, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "zone": { "description": "The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation is taking place. This field is deprecated, use location instead.", "type": "string" } }, "description": "This operation resource represents operations that may have happened or are happening on the cluster. All fields are output only." }, "PubSub": { "description": "Pub/Sub specific notification config.", "properties": { "enabled": { "description": "Enable notifications for Pub/Sub.", "type": "boolean" }, "filter": { "description": "Allows filtering to one or more specific event types. If no filter is specified, or if a filter is specified with no event types, all event types will be sent", "$ref": "Filter" }, "topic": { "type": "string", "description": "The desired Pub/Sub topic to which notifications will be sent by GKE. Format is `projects/{project}/topics/{topic}`." } }, "id": "PubSub", "type": "object" }, "DefaultSnatStatus": { "properties": { "disabled": { "type": "boolean", "description": "Disables cluster default sNAT rules." } }, "description": "DefaultSnatStatus contains the desired state of whether default sNAT should be disabled on the cluster.", "type": "object", "id": "DefaultSnatStatus" }, "RecurringTimeWindow": { "properties": { "recurrence": { "description": "An RRULE (https://tools.ietf.org/html/rfc5545#section-3.8.5.3) for how this window reccurs. They go on for the span of time between the start and end time. For example, to have something repeat every weekday, you'd use: `FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR` To repeat some window daily (equivalent to the DailyMaintenanceWindow): `FREQ=DAILY` For the first weekend of every month: `FREQ=MONTHLY;BYSETPOS=1;BYDAY=SA,SU` This specifies how frequently the window starts. Eg, if you wanted to have a 9-5 UTC-4 window every weekday, you'd use something like: ``` start time = 2019-01-01T09:00:00-0400 end time = 2019-01-01T17:00:00-0400 recurrence = FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR ``` Windows can span multiple days. Eg, to make the window encompass every weekend from midnight Saturday till the last minute of Sunday UTC: ``` start time = 2019-01-05T00:00:00Z end time = 2019-01-07T23:59:00Z recurrence = FREQ=WEEKLY;BYDAY=SA ``` Note the start and end time's specific dates are largely arbitrary except to specify duration of the window and when it first starts. The FREQ values of HOURLY, MINUTELY, and SECONDLY are not supported.", "type": "string" }, "window": { "$ref": "TimeWindow", "description": "The window of the first recurrence." } }, "type": "object", "id": "RecurringTimeWindow", "description": "Represents an arbitrary window of time that recurs." }, "VirtualNIC": { "type": "object", "description": "Configuration of gVNIC feature.", "properties": { "enabled": { "description": "Whether gVNIC features are enabled in the node pool.", "type": "boolean" } }, "id": "VirtualNIC" }, "ReservationAffinity": { "description": "[ReservationAffinity](https://cloud.google.com/compute/docs/instances/reserving-zonal-resources) is the configuration of desired reservation which instances could take capacity from.", "type": "object", "properties": { "key": { "description": "Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify \"googleapis.com/reservation-name\" as the key and specify the name of your reservation as its value.", "type": "string" }, "values": { "type": "array", "description": "Corresponds to the label value(s) of reservation resource(s).", "items": { "type": "string" } }, "consumeReservationType": { "enum": [ "UNSPECIFIED", "NO_RESERVATION", "ANY_RESERVATION", "SPECIFIC_RESERVATION" ], "type": "string", "enumDescriptions": [ "Default value. This should not be used.", "Do not consume from any reserved capacity.", "Consume any reservation available.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations." ], "description": "Corresponds to the type of reservation consumption." } }, "id": "ReservationAffinity" }, "SetNetworkPolicyRequest": { "id": "SetNetworkPolicyRequest", "type": "object", "description": "SetNetworkPolicyRequest enables/disables network policy for a cluster.", "properties": { "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to set networking policy. Specified in the format `projects/*/locations/*/clusters/*`." }, "networkPolicy": { "description": "Required. Configuration options for the NetworkPolicy feature.", "$ref": "NetworkPolicy" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } } }, "OperationProgress": { "type": "object", "description": "Information about operation (or operation stage) progress.", "properties": { "status": { "enumDescriptions": [ "Not set.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed.", "The operation is aborting." ], "enum": [ "STATUS_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "ABORTING" ], "type": "string", "description": "Status of an operation stage. Unset for single-stage operations." }, "metrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Progress metric bundle, for example: metrics: [{name: \"nodes done\", int_value: 15}, {name: \"nodes total\", int_value: 32}] or metrics: [{name: \"progress\", double_value: 0.56}, {name: \"progress scale\", double_value: 1.0}]" }, "name": { "type": "string", "description": "A non-parameterized string describing an operation stage. Unset for single-stage operations." }, "stages": { "type": "array", "description": "Substages of an operation or a stage.", "items": { "$ref": "OperationProgress" } } }, "id": "OperationProgress" }, "KalmConfig": { "description": "Configuration options for the KALM addon.", "properties": { "enabled": { "type": "boolean", "description": "Whether KALM is enabled for this cluster." } }, "type": "object", "id": "KalmConfig" }, "UpgradeEvent": { "id": "UpgradeEvent", "properties": { "resourceType": { "enum": [ "UPGRADE_RESOURCE_TYPE_UNSPECIFIED", "MASTER", "NODE_POOL" ], "description": "The resource type that is upgrading.", "enumDescriptions": [ "Default value. This shouldn't be used.", "Master / control plane", "Node pool" ], "type": "string" }, "operation": { "type": "string", "description": "The operation associated with this upgrade." }, "targetVersion": { "type": "string", "description": "The target version for the upgrade." }, "resource": { "description": "Optional relative path to the resource. For example in node pool upgrades, the relative path of the node pool.", "type": "string" }, "currentVersion": { "type": "string", "description": "The current version before the upgrade." }, "operationStartTime": { "format": "google-datetime", "description": "The time when the operation was started.", "type": "string" } }, "description": "UpgradeEvent is a notification sent to customers by the cluster server when a resource is upgrading.", "type": "object" }, "DnsCacheConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether NodeLocal DNSCache is enabled for this cluster." } }, "id": "DnsCacheConfig", "type": "object", "description": "Configuration for NodeLocal DNSCache" }, "UpgradeAvailableEvent": { "description": "UpgradeAvailableEvent is a notification sent to customers when a new available version is released.", "type": "object", "properties": { "version": { "type": "string", "description": "The release version available for upgrade." }, "resourceType": { "enumDescriptions": [ "Default value. This shouldn't be used.", "Master / control plane", "Node pool" ], "description": "The resource type of the release version.", "type": "string", "enum": [ "UPGRADE_RESOURCE_TYPE_UNSPECIFIED", "MASTER", "NODE_POOL" ] }, "releaseChannel": { "$ref": "ReleaseChannel", "description": "The release channel of the version. If empty, it means a non-channel release." }, "resource": { "description": "Optional relative path to the resource. For example, the relative path of the node pool.", "type": "string" }, "windowsVersions": { "description": "Windows node versions info.", "$ref": "WindowsVersions" } }, "id": "UpgradeAvailableEvent" }, "BlueGreenInfo": { "id": "BlueGreenInfo", "description": "Information relevant to blue-green upgrade.", "type": "object", "properties": { "phase": { "description": "Current blue-green upgrade phase.", "enumDescriptions": [ "Unspecified phase.", "blue-green upgrade has been initiated.", "Start creating green pool nodes.", "Start cordoning blue pool nodes.", "Start draining blue pool nodes.", "Start soaking time after draining entire blue pool.", "Start deleting blue nodes.", "Rollback has been initiated." ], "enum": [ "PHASE_UNSPECIFIED", "UPDATE_STARTED", "CREATING_GREEN_POOL", "CORDONING_BLUE_POOL", "DRAINING_BLUE_POOL", "NODE_POOL_SOAKING", "DELETING_BLUE_POOL", "ROLLBACK_STARTED" ], "type": "string" }, "bluePoolDeletionStartTime": { "description": "Time to start deleting blue pool to complete blue-green upgrade, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "blueInstanceGroupUrls": { "description": "The resource URLs of the [managed instance groups] (/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with blue pool.", "items": { "type": "string" }, "type": "array" }, "greenPoolVersion": { "type": "string", "description": "Version of green pool." }, "greenInstanceGroupUrls": { "items": { "type": "string" }, "type": "array", "description": "The resource URLs of the [managed instance groups] (/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with green pool." } } }, "NetworkTags": { "type": "object", "properties": { "tags": { "type": "array", "items": { "type": "string" }, "description": "List of network tags." } }, "description": "Collection of Compute Engine network tags that can be applied to a node's underlying VM instance. (See `tags` field in [`NodeConfig`](/kubernetes-engine/docs/reference/rest/v1/NodeConfig)).", "id": "NetworkTags" }, "BlueGreenSettings": { "id": "BlueGreenSettings", "properties": { "nodePoolSoakDuration": { "description": "Time needed after draining entire blue pool. After this period, blue pool will be cleaned up.", "type": "string", "format": "google-duration" }, "standardRolloutPolicy": { "description": "Standard policy for the blue-green upgrade.", "$ref": "StandardRolloutPolicy" } }, "type": "object", "description": "Settings for blue-green upgrade." }, "NodeKubeletConfig": { "id": "NodeKubeletConfig", "properties": { "cpuCfsQuota": { "type": "boolean", "description": "Enable CPU CFS quota enforcement for containers that specify CPU limits. This option is enabled by default which makes kubelet use CFS quota (https://www.kernel.org/doc/Documentation/scheduler/sched-bwc.txt) to enforce container CPU limits. Otherwise, CPU limits will not be enforced at all. Disable this option to mitigate CPU throttling problems while still having your pods to be in Guaranteed QoS class by specifying the CPU limits. The default value is 'true' if unspecified." }, "podPidsLimit": { "format": "int64", "description": "Set the Pod PID limits. See https://kubernetes.io/docs/concepts/policy/pid-limiting/#pod-pid-limits Controls the maximum number of processes allowed to run in a pod. The value must be greater than or equal to 1024 and less than 4194304.", "type": "string" }, "cpuManagerPolicy": { "type": "string", "description": "Control the CPU management policy on the node. See https://kubernetes.io/docs/tasks/administer-cluster/cpu-management-policies/ The following values are allowed. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"none\": the default, which represents the existing scheduling behavior. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"static\": allows pods with certain resource characteristics to be granted increased CPU affinity and exclusivity on the node. The default value is 'none' if unspecified." }, "cpuCfsQuotaPeriod": { "description": "Set the CPU CFS quota period value 'cpu.cfs_period_us'. The string must be a sequence of decimal numbers, each with optional fraction and a unit suffix, such as \"300ms\". Valid time units are \"ns\", \"us\" (or \"µs\"), \"ms\", \"s\", \"m\", \"h\". The value must be a positive duration.", "type": "string" } }, "description": "Node kubelet configs.", "type": "object" }, "AcceleratorConfig": { "properties": { "gpuSharingConfig": { "description": "The configuration for GPU sharing options.", "$ref": "GPUSharingConfig" }, "maxTimeSharedClientsPerGpu": { "format": "int64", "type": "string", "description": "The number of time-shared GPU resources to expose for each physical GPU." }, "acceleratorType": { "type": "string", "description": "The accelerator type resource name. List of supported accelerators [here](https://cloud.google.com/compute/docs/gpus)" }, "acceleratorCount": { "description": "The number of the accelerator cards exposed to an instance.", "type": "string", "format": "int64" }, "gpuPartitionSize": { "type": "string", "description": "Size of partitions to create on the GPU. Valid values are described in the NVIDIA [mig user guide](https://docs.nvidia.com/datacenter/tesla/mig-user-guide/#partitioning)." } }, "id": "AcceleratorConfig", "type": "object", "description": "AcceleratorConfig represents a Hardware Accelerator request." }, "BinaryAuthorization": { "properties": { "enabled": { "type": "boolean", "description": "Enable Binary Authorization for this cluster. If enabled, all container images will be validated by Binary Authorization." }, "evaluationMode": { "type": "string", "description": "Mode of operation for binauthz policy evaluation. Currently the only options are equivalent to enable/disable. If unspecified, defaults to DISABLED.", "enumDescriptions": [ "Default value", "Disable BinaryAuthorization", "Enforce Kubernetes admission requests with BinaryAuthorization using the project's singleton policy. This is equivalent to setting the enabled boolean to true." ], "enum": [ "EVALUATION_MODE_UNSPECIFIED", "DISABLED", "PROJECT_SINGLETON_POLICY_ENFORCE" ] } }, "description": "Configuration for Binary Authorization.", "type": "object", "id": "BinaryAuthorization" }, "WorkloadIdentityConfig": { "type": "object", "properties": { "identityNamespace": { "description": "IAM Identity Namespace to attach all Kubernetes Service Accounts to.", "type": "string" }, "identityProvider": { "type": "string", "description": "identity provider is the third party identity provider." }, "workloadPool": { "description": "The workload pool to attach all Kubernetes service accounts to.", "type": "string" } }, "id": "WorkloadIdentityConfig", "description": "Configuration for the use of Kubernetes Service Accounts in GCP IAM policies." }, "ManagedPrometheusConfig": { "properties": { "enabled": { "description": "Enable Managed Collection.", "type": "boolean" } }, "description": "ManagedPrometheusConfig defines the configuration for Google Cloud Managed Service for Prometheus.", "type": "object", "id": "ManagedPrometheusConfig" }, "LoggingConfig": { "properties": { "componentConfig": { "description": "Logging components configuration", "$ref": "LoggingComponentConfig" } }, "id": "LoggingConfig", "type": "object", "description": "LoggingConfig is cluster logging configuration." }, "ResourceUsageExportConfig": { "id": "ResourceUsageExportConfig", "type": "object", "description": "Configuration for exporting cluster resource usages.", "properties": { "enableNetworkEgressMetering": { "type": "boolean", "description": "Whether to enable network egress metering for this cluster. If enabled, a daemonset will be created in the cluster to meter network egress traffic." }, "bigqueryDestination": { "$ref": "BigQueryDestination", "description": "Configuration to use BigQuery as usage export destination." }, "consumptionMeteringConfig": { "$ref": "ConsumptionMeteringConfig", "description": "Configuration to enable resource consumption metering." } } }, "IntraNodeVisibilityConfig": { "properties": { "enabled": { "type": "boolean", "description": "Enables intra node visibility for this cluster." } }, "type": "object", "description": "IntraNodeVisibilityConfig contains the desired config of the intra-node visibility on this cluster.", "id": "IntraNodeVisibilityConfig" }, "ClusterAutoscaling": { "properties": { "autoprovisioningNodePoolDefaults": { "description": "AutoprovisioningNodePoolDefaults contains defaults for a node pool created by NAP.", "$ref": "AutoprovisioningNodePoolDefaults" }, "autoprovisioningLocations": { "items": { "type": "string" }, "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the NodePool's nodes can be created by NAP.", "type": "array" }, "enableNodeAutoprovisioning": { "type": "boolean", "description": "Enables automatic node pool creation and deletion." }, "autoscalingProfile": { "enum": [ "PROFILE_UNSPECIFIED", "OPTIMIZE_UTILIZATION", "BALANCED" ], "type": "string", "enumDescriptions": [ "No change to autoscaling configuration.", "Prioritize optimizing utilization of resources.", "Use default (balanced) autoscaling configuration." ], "description": "Defines autoscaling behaviour." }, "resourceLimits": { "description": "Contains global constraints regarding minimum and maximum amount of resources in the cluster.", "items": { "$ref": "ResourceLimit" }, "type": "array" } }, "type": "object", "description": "ClusterAutoscaling contains global, per-cluster information required by Cluster Autoscaler to automatically adjust the size of the cluster and create/delete node pools based on the current needs.", "id": "ClusterAutoscaling" }, "GPUSharingConfig": { "properties": { "maxSharedClientsPerGpu": { "format": "int64", "description": "The max number of containers that can share a physical GPU.", "type": "string" }, "gpuSharingStrategy": { "enumDescriptions": [ "Default value.", "GPUs are time-shared between containers." ], "enum": [ "GPU_SHARING_STRATEGY_UNSPECIFIED", "TIME_SHARING" ], "type": "string", "description": "The type of GPU sharing strategy to enable on the GPU node." } }, "description": "GPUSharingConfig represents the GPU sharing configuration for Hardware Accelerators.", "type": "object", "id": "GPUSharingConfig" }, "TimeWindow": { "id": "TimeWindow", "description": "Represents an arbitrary window of time.", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "The time that the window ends. The end time should take place after the start time." }, "startTime": { "description": "The time that the window first starts.", "type": "string", "format": "google-datetime" }, "maintenanceExclusionOptions": { "$ref": "MaintenanceExclusionOptions", "description": "MaintenanceExclusionOptions provides maintenance exclusion related options." } }, "type": "object" }, "NodeLabels": { "id": "NodeLabels", "type": "object", "properties": { "labels": { "type": "object", "description": "Map of node label keys and node label values.", "additionalProperties": { "type": "string" } } }, "description": "Collection of node-level [Kubernetes labels](https://kubernetes.io/docs/concepts/overview/working-with-objects/labels)." }, "Master": { "properties": {}, "id": "Master", "description": "Master is the configuration for components on master.", "type": "object" }, "LegacyAbac": { "description": "Configuration for the legacy Attribute Based Access Control authorization mode.", "type": "object", "id": "LegacyAbac", "properties": { "enabled": { "type": "boolean", "description": "Whether the ABAC authorizer is enabled for this cluster. When enabled, identities in the system, including service accounts, nodes, and controllers, will have statically granted permissions beyond those provided by the RBAC configuration or IAM." } } }, "ClusterUpdate": { "type": "object", "id": "ClusterUpdate", "description": "ClusterUpdate describes an update to the cluster. Exactly one update can be applied to a cluster with each request, so at most one field can be provided.", "properties": { "desiredGcfsConfig": { "$ref": "GcfsConfig", "description": "The desired GCFS config for the cluster." }, "desiredWorkloadCertificates": { "$ref": "WorkloadCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods." }, "desiredDatabaseEncryption": { "description": "Configuration of etcd encryption.", "$ref": "DatabaseEncryption" }, "desiredNotificationConfig": { "$ref": "NotificationConfig", "description": "The desired notification configuration." }, "desiredPodSecurityPolicyConfig": { "description": "The desired configuration options for the PodSecurityPolicy feature.", "$ref": "PodSecurityPolicyConfig" }, "desiredLoggingConfig": { "$ref": "LoggingConfig", "description": "The desired logging configuration." }, "desiredMaster": { "$ref": "Master", "description": "Configuration for master components." }, "desiredTpuConfig": { "$ref": "TpuConfig", "description": "The desired Cloud TPU configuration." }, "desiredL4ilbSubsettingConfig": { "description": "The desired L4 Internal Load Balancer Subsetting configuration.", "$ref": "ILBSubsettingConfig" }, "desiredMonitoringService": { "description": "The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions.", "type": "string" }, "desiredClusterAutoscaling": { "description": "Cluster-level autoscaling configuration.", "$ref": "ClusterAutoscaling" }, "desiredNodeVersion": { "type": "string", "description": "The Kubernetes version to change the nodes to (typically an upgrade). Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the Kubernetes master version" }, "desiredLocations": { "description": "The desired list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. This list must always include the cluster's primary zone. Warning: changing cluster locations will update the locations of all node pools and will result in nodes being added and/or removed.", "type": "array", "items": { "type": "string" } }, "desiredMasterAuthorizedNetworksConfig": { "description": "The desired configuration options for master authorized networks feature.", "$ref": "MasterAuthorizedNetworksConfig" }, "desiredNodePoolId": { "description": "The node pool to be upgraded. This field is mandatory if \"desired_node_version\", \"desired_image_family\", \"desired_node_pool_autoscaling\", or \"desired_workload_metadata_config\" is specified and there is more than one node pool on the cluster.", "type": "string" }, "desiredMonitoringConfig": { "$ref": "MonitoringConfig", "description": "The desired monitoring configuration." }, "desiredDefaultSnatStatus": { "description": "The desired status of whether to disable default sNAT for this cluster.", "$ref": "DefaultSnatStatus" }, "desiredCostManagementConfig": { "description": "The desired configuration for the fine-grained cost management feature.", "$ref": "CostManagementConfig" }, "desiredProtectConfig": { "$ref": "ProtectConfig", "description": "Enable/Disable Protect API features for the cluster." }, "desiredAuthenticatorGroupsConfig": { "$ref": "AuthenticatorGroupsConfig", "description": "AuthenticatorGroupsConfig specifies the config for the cluster security groups settings." }, "desiredServiceExternalIpsConfig": { "description": "ServiceExternalIPsConfig specifies the config for the use of Services with ExternalIPs field.", "$ref": "ServiceExternalIPsConfig" }, "desiredMeshCertificates": { "$ref": "MeshCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods." }, "desiredDnsConfig": { "$ref": "DNSConfig", "description": "DNSConfig contains clusterDNS config for this cluster." }, "desiredMasterVersion": { "description": "The Kubernetes version to change the master to. The only valid value is the latest supported version. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"-\": picks the default Kubernetes version", "type": "string" }, "desiredPrivateIpv6GoogleAccess": { "enumDescriptions": [ "Default value. Same as DISABLED", "No private access to or from Google Services", "Enables private IPv6 access to Google Services from GKE", "Enables priate IPv6 access to and from Google Services" ], "description": "The desired state of IPv6 connectivity to Google Services.", "enum": [ "PRIVATE_IPV6_GOOGLE_ACCESS_UNSPECIFIED", "PRIVATE_IPV6_GOOGLE_ACCESS_DISABLED", "PRIVATE_IPV6_GOOGLE_ACCESS_TO_GOOGLE", "PRIVATE_IPV6_GOOGLE_ACCESS_BIDIRECTIONAL" ], "type": "string" }, "desiredImageType": { "description": "The desired image type for the node pool. NOTE: Set the \"desired_node_pool\" field as well.", "type": "string" }, "desiredLoggingService": { "description": "The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions.", "type": "string" }, "desiredShieldedNodes": { "$ref": "ShieldedNodes", "description": "Configuration for Shielded Nodes." }, "desiredPrivateClusterConfig": { "$ref": "PrivateClusterConfig", "description": "The desired private cluster configuration." }, "desiredDatapathProvider": { "enum": [ "DATAPATH_PROVIDER_UNSPECIFIED", "LEGACY_DATAPATH", "ADVANCED_DATAPATH" ], "type": "string", "enumDescriptions": [ "Default value.", "Use the IPTables implementation based on kube-proxy.", "Use the eBPF based GKE Dataplane V2 with additional features. See the [GKE Dataplane V2 documentation](https://cloud.google.com/kubernetes-engine/docs/how-to/dataplane-v2) for more." ], "description": "The desired datapath provider for the cluster." }, "desiredNodePoolAutoConfigNetworkTags": { "description": "The desired network tags that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters.", "$ref": "NetworkTags" }, "desiredBinaryAuthorization": { "$ref": "BinaryAuthorization", "description": "The desired configuration options for the Binary Authorization feature." }, "desiredAddonsConfig": { "$ref": "AddonsConfig", "description": "Configurations for the various addons available to run in the cluster." }, "desiredWorkloadAltsConfig": { "$ref": "WorkloadALTSConfig", "description": "Configuration for direct-path (via ALTS) with workload identity." }, "desiredNodePoolAutoscaling": { "description": "Autoscaler configuration for the node pool specified in desired_node_pool_id. If there is only one pool in the cluster and desired_node_pool_id is not provided then the change applies to that single node pool.", "$ref": "NodePoolAutoscaling" }, "desiredIdentityServiceConfig": { "description": "The desired Identity Service component configuration.", "$ref": "IdentityServiceConfig" }, "desiredVerticalPodAutoscaling": { "description": "Cluster-level Vertical Pod Autoscaling configuration.", "$ref": "VerticalPodAutoscaling" }, "desiredReleaseChannel": { "$ref": "ReleaseChannel", "description": "The desired release channel configuration." }, "desiredIntraNodeVisibilityConfig": { "$ref": "IntraNodeVisibilityConfig", "description": "The desired config of Intra-node visibility." }, "desiredResourceUsageExportConfig": { "description": "The desired configuration for exporting resource usage.", "$ref": "ResourceUsageExportConfig" }, "desiredClusterTelemetry": { "$ref": "ClusterTelemetry", "description": "The desired telemetry integration for the cluster." }, "desiredWorkloadIdentityConfig": { "description": "Configuration for Workload Identity.", "$ref": "WorkloadIdentityConfig" } } }, "DNSConfig": { "description": "DNSConfig contains the desired set of options for configuring clusterDNS.", "properties": { "clusterDnsScope": { "enumDescriptions": [ "Default value, will be inferred as cluster scope.", "DNS records are accessible from within the cluster.", "DNS records are accessible from within the VPC." ], "description": "cluster_dns_scope indicates the scope of access to cluster DNS records.", "enum": [ "DNS_SCOPE_UNSPECIFIED", "CLUSTER_SCOPE", "VPC_SCOPE" ], "type": "string" }, "clusterDnsDomain": { "description": "cluster_dns_domain is the suffix used for all cluster service records.", "type": "string" }, "clusterDns": { "description": "cluster_dns indicates which in-cluster DNS provider should be used.", "type": "string", "enum": [ "PROVIDER_UNSPECIFIED", "PLATFORM_DEFAULT", "CLOUD_DNS" ], "enumDescriptions": [ "Default value", "Use GKE default DNS provider(kube-dns) for DNS resolution.", "Use CloudDNS for DNS resolution." ] } }, "type": "object", "id": "DNSConfig" }, "ServiceExternalIPsConfig": { "description": "Config to block services with externalIPs field.", "properties": { "enabled": { "description": "Whether Services with ExternalIPs field are allowed or not.", "type": "boolean" } }, "id": "ServiceExternalIPsConfig", "type": "object" }, "CompleteNodePoolUpgradeRequest": { "properties": {}, "id": "CompleteNodePoolUpgradeRequest", "type": "object", "description": "CompleteNodePoolUpgradeRequest sets the name of target node pool to complete upgrade." }, "ProtectConfig": { "id": "ProtectConfig", "description": "ProtectConfig defines the flags needed to enable/disable features for the Protect API.", "properties": { "workloadConfig": { "description": "WorkloadConfig defines which actions are enabled for a cluster's workload configurations.", "$ref": "WorkloadConfig" } }, "type": "object" }, "NodeConfigDefaults": { "type": "object", "id": "NodeConfigDefaults", "properties": { "gcfsConfig": { "$ref": "GcfsConfig", "description": "GCFS (Google Container File System, a.k.a. Riptide) options." } }, "description": "Subset of NodeConfig message that has defaults." }, "UpdateClusterRequest": { "id": "UpdateClusterRequest", "description": "UpdateClusterRequest updates the settings of a cluster.", "properties": { "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to update. Specified in the format `projects/*/locations/*/clusters/*`." }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "update": { "description": "Required. A description of the update.", "$ref": "ClusterUpdate" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "type": "object" }, "Jwk": { "id": "Jwk", "description": "Jwk is a JSON Web Key as specified in RFC 7517", "properties": { "kty": { "description": "Key Type.", "type": "string" }, "y": { "description": "Used for ECDSA keys.", "type": "string" }, "e": { "type": "string", "description": "Used for RSA keys." }, "use": { "type": "string", "description": "Permitted uses for the public keys." }, "x": { "type": "string", "description": "Used for ECDSA keys." }, "alg": { "description": "Algorithm.", "type": "string" }, "n": { "description": "Used for RSA keys.", "type": "string" }, "kid": { "description": "Key ID.", "type": "string" }, "crv": { "description": "Used for ECDSA keys.", "type": "string" } }, "type": "object" }, "ResourceLimit": { "properties": { "resourceType": { "type": "string", "description": "Resource name \"cpu\", \"memory\" or gpu-specific string." }, "minimum": { "type": "string", "description": "Minimum amount of the resource in the cluster.", "format": "int64" }, "maximum": { "type": "string", "format": "int64", "description": "Maximum amount of the resource in the cluster." } }, "type": "object", "id": "ResourceLimit", "description": "Contains information about amount of some resource in the cluster. For memory, value should be in GB." }, "Cluster": { "type": "object", "id": "Cluster", "description": "A Google Kubernetes Engine cluster.", "properties": { "privateClusterConfig": { "$ref": "PrivateClusterConfig", "description": "Configuration for private cluster." }, "currentNodeCount": { "format": "int32", "type": "integer", "description": "[Output only] The number of nodes currently in the cluster. Deprecated. Call Kubernetes API directly to retrieve node information." }, "conditions": { "items": { "$ref": "StatusCondition" }, "type": "array", "description": "Which conditions caused the current cluster state." }, "networkPolicy": { "description": "Configuration options for the NetworkPolicy feature.", "$ref": "NetworkPolicy" }, "masterIpv4CidrBlock": { "type": "string", "description": "The IP prefix in CIDR notation to use for the hosted master network. This prefix will be used for assigning private IP addresses to the master or set of masters, as well as the ILB VIP. This field is deprecated, use private_cluster_config.master_ipv4_cidr_block instead." }, "releaseChannel": { "$ref": "ReleaseChannel", "description": "Release channel configuration." }, "masterAuthorizedNetworksConfig": { "$ref": "MasterAuthorizedNetworksConfig", "description": "The configuration options for master authorized networks feature." }, "nodeIpv4CidrSize": { "description": "[Output only] The size of the address space on each node for hosting containers. This is provisioned from within the `container_ipv4_cidr` range. This field will only be set when cluster is in route-based network mode.", "format": "int32", "type": "integer" }, "name": { "type": "string", "description": "The name of this cluster. The name must be unique within this project and location (e.g. zone or region), and can be up to 40 characters with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Lowercase letters, numbers, and hyphens only. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter." }, "locations": { "items": { "type": "string" }, "type": "array", "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the cluster's nodes should be located. This field provides a default value if [NodePool.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters.nodePools#NodePool.FIELDS.locations) are not specified during node pool creation. Warning: changing cluster locations will update the [NodePool.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters.nodePools#NodePool.FIELDS.locations) of all node pools and will result in nodes being added and/or removed." }, "autopilot": { "description": "Autopilot configuration for the cluster.", "$ref": "Autopilot" }, "shieldedNodes": { "$ref": "ShieldedNodes", "description": "Shielded Nodes configuration." }, "selfLink": { "description": "[Output only] Server-defined URL for the resource.", "type": "string" }, "nodePoolDefaults": { "description": "Default NodePool settings for the entire cluster. These settings are overridden if specified on the specific NodePool object.", "$ref": "NodePoolDefaults" }, "clusterIpv4Cidr": { "description": "The IP address range of the container pods in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`). Leave blank to have one automatically chosen or specify a `/14` block in `10.0.0.0/8`.", "type": "string" }, "monitoringService": { "type": "string", "description": "The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions." }, "networkConfig": { "description": "Configuration for cluster networking.", "$ref": "NetworkConfig" }, "status": { "enum": [ "STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RECONCILING", "STOPPING", "ERROR", "DEGRADED" ], "enumDescriptions": [ "Not set.", "The PROVISIONING state indicates the cluster is being created.", "The RUNNING state indicates the cluster has been created and is fully usable.", "The RECONCILING state indicates that some work is actively being done on the cluster, such as upgrading the master or node software. Details can be found in the `statusMessage` field.", "The STOPPING state indicates the cluster is being deleted.", "The ERROR state indicates the cluster may be unusable. Details can be found in the `statusMessage` field.", "The DEGRADED state indicates the cluster requires user action to restore full functionality. Details can be found in the `statusMessage` field." ], "type": "string", "description": "[Output only] The current status of this cluster." }, "resourceUsageExportConfig": { "description": "Configuration for exporting resource usages. Resource usage export is disabled when this config unspecified.", "$ref": "ResourceUsageExportConfig" }, "enableKubernetesAlpha": { "type": "boolean", "description": "Kubernetes alpha features are enabled on this cluster. This includes alpha API groups (e.g. v1beta1) and features that may not be production ready in the kubernetes version of the master and nodes. The cluster has no SLA for uptime and master/node upgrades are disabled. Alpha enabled clusters are automatically deleted thirty days after creation." }, "autoscaling": { "description": "Cluster-level autoscaling configuration.", "$ref": "ClusterAutoscaling" }, "subnetwork": { "description": "The name of the Google Compute Engine [subnetwork](https://cloud.google.com/compute/docs/subnetworks) to which the cluster is connected. On output this shows the subnetwork ID instead of the name.", "type": "string" }, "tpuConfig": { "$ref": "TpuConfig", "description": "Configuration for Cloud TPU support;" }, "id": { "description": "Output only. Unique id for the cluster.", "type": "string", "readOnly": true }, "enableTpu": { "type": "boolean", "description": "Enable the ability to use Cloud TPUs in this cluster. This field is deprecated, use tpu_config.enabled instead." }, "meshCertificates": { "$ref": "MeshCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods." }, "nodePoolAutoConfig": { "description": "Node pool configs that apply to all auto-provisioned node pools in autopilot clusters and node auto-provisioning enabled clusters.", "$ref": "NodePoolAutoConfig" }, "legacyAbac": { "description": "Configuration for the legacy ABAC authorization mode.", "$ref": "LegacyAbac" }, "verticalPodAutoscaling": { "description": "Cluster-level Vertical Pod Autoscaling configuration.", "$ref": "VerticalPodAutoscaling" }, "costManagementConfig": { "$ref": "CostManagementConfig", "description": "Configuration for the fine-grained cost management feature." }, "location": { "type": "string", "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) or [region](https://cloud.google.com/compute/docs/regions-zones/regions-zones#available) in which the cluster resides." }, "network": { "type": "string", "description": "The name of the Google Compute Engine [network](https://cloud.google.com/compute/docs/networks-and-firewalls#networks) to which the cluster is connected. If left unspecified, the `default` network will be used. On output this shows the network ID instead of the name." }, "notificationConfig": { "description": "Notification configuration of the cluster.", "$ref": "NotificationConfig" }, "protectConfig": { "description": "Enable/Disable Protect API features for the cluster.", "$ref": "ProtectConfig" }, "privateCluster": { "type": "boolean", "description": "If this is a private cluster setup. Private clusters are clusters that, by default have no external IP addresses on the nodes and where nodes and the master communicate over private IP addresses. This field is deprecated, use private_cluster_config.enable_private_nodes instead." }, "initialClusterVersion": { "description": "The initial Kubernetes version for this cluster. Valid versions are those found in validMasterVersions returned by getServerConfig. The version can be upgraded over time; such upgrades are reflected in currentMasterVersion and currentNodeVersion. Users may specify either explicit versions offered by Kubernetes Engine or version aliases, which have the following behavior: - \"latest\": picks the highest valid Kubernetes version - \"1.X\": picks the highest valid patch+gke.N patch in the 1.X version - \"1.X.Y\": picks the highest valid gke.N patch in the 1.X.Y version - \"1.X.Y-gke.N\": picks an explicit Kubernetes version - \"\",\"-\": picks the default Kubernetes version", "type": "string" }, "statusMessage": { "type": "string", "description": "[Output only] Deprecated. Use conditions instead. Additional information about the current status of this cluster, if available." }, "createTime": { "description": "[Output only] The time the cluster was created, in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "nodeConfig": { "description": "Parameters used in creating the cluster's nodes. For requests, this field should only be used in lieu of a \"node_pool\" object, since this configuration (along with the \"initial_node_count\") will be used to create a \"NodePool\" object with an auto-generated name. Do not use this and a node_pool at the same time. For responses, this field will be populated with the node configuration of the first node pool. (For configuration of each node pool, see `node_pool.config`) If unspecified, the defaults are used. This field is deprecated, use node_pool.config instead.", "$ref": "NodeConfig" }, "workloadAltsConfig": { "$ref": "WorkloadALTSConfig", "description": "Configuration for direct-path (via ALTS) with workload identity." }, "identityServiceConfig": { "description": "Configuration for Identity Service component.", "$ref": "IdentityServiceConfig" }, "confidentialNodes": { "description": "Configuration of Confidential Nodes. All the nodes in the cluster will be Confidential VM once enabled.", "$ref": "ConfidentialNodes" }, "workloadCertificates": { "$ref": "WorkloadCertificates", "description": "Configuration for issuance of mTLS keys and certificates to Kubernetes pods." }, "maintenancePolicy": { "description": "Configure the maintenance policy for this cluster.", "$ref": "MaintenancePolicy" }, "workloadIdentityConfig": { "$ref": "WorkloadIdentityConfig", "description": "Configuration for the use of Kubernetes Service Accounts in GCP IAM policies." }, "currentMasterVersion": { "type": "string", "description": "[Output only] The current software version of the master endpoint." }, "initialNodeCount": { "description": "The number of nodes to create in this cluster. You must ensure that your Compute Engine [resource quota](https://cloud.google.com/compute/quotas) is sufficient for this number of instances. You must also have available firewall and routes quota. For requests, this field should only be used in lieu of a \"node_pool\" object, since this configuration (along with the \"node_config\") will be used to create a \"NodePool\" object with an auto-generated name. Do not use this and a node_pool at the same time. This field is deprecated, use node_pool.initial_node_count instead.", "format": "int32", "type": "integer" }, "addonsConfig": { "$ref": "AddonsConfig", "description": "Configurations for the various addons available to run in the cluster." }, "podSecurityPolicyConfig": { "description": "Configuration for the PodSecurityPolicy feature.", "$ref": "PodSecurityPolicyConfig" }, "labelFingerprint": { "description": "The fingerprint of the set of labels for this cluster.", "type": "string" }, "ipAllocationPolicy": { "$ref": "IPAllocationPolicy", "description": "Configuration for cluster IP allocation." }, "databaseEncryption": { "description": "Configuration of etcd encryption.", "$ref": "DatabaseEncryption" }, "binaryAuthorization": { "$ref": "BinaryAuthorization", "description": "Configuration for Binary Authorization." }, "authenticatorGroupsConfig": { "$ref": "AuthenticatorGroupsConfig", "description": "Configuration controlling RBAC group membership information." }, "loggingConfig": { "$ref": "LoggingConfig", "description": "Logging configuration for the cluster." }, "tpuIpv4CidrBlock": { "type": "string", "description": "[Output only] The IP address range of the Cloud TPUs in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `1.2.3.4/29`)." }, "servicesIpv4Cidr": { "type": "string", "description": "[Output only] The IP address range of the Kubernetes services in this cluster, in [CIDR](http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `1.2.3.4/29`). Service addresses are typically put in the last `/16` from the container CIDR." }, "defaultMaxPodsConstraint": { "description": "The default constraint on the maximum number of pods that can be run simultaneously on a node in the node pool of this cluster. Only honored if cluster created with IP Alias support.", "$ref": "MaxPodsConstraint" }, "masterAuth": { "description": "The authentication information for accessing the master endpoint. If unspecified, the defaults are used: For clusters before v1.12, if master_auth is unspecified, `username` will be set to \"admin\", a random password will be generated, and a client certificate will be issued.", "$ref": "MasterAuth" }, "loggingService": { "description": "The logging service the cluster should use to write logs. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com/kubernetes` - The Cloud Logging service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `logging.googleapis.com` - The legacy Cloud Logging service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - no logs will be exported from the cluster. If left as an empty string,`logging.googleapis.com/kubernetes` will be used for GKE 1.14+ or `logging.googleapis.com` for earlier versions.", "type": "string" }, "zone": { "description": "[Output only] The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field is deprecated, use location instead.", "type": "string" }, "master": { "$ref": "Master", "description": "Configuration for master components." }, "nodePools": { "description": "The node pools associated with this cluster. This field should not be set if \"node_config\" or \"initial_node_count\" are specified.", "items": { "$ref": "NodePool" }, "type": "array" }, "clusterTelemetry": { "$ref": "ClusterTelemetry", "description": "Telemetry integration for the cluster." }, "currentNodeVersion": { "type": "string", "description": "[Output only] Deprecated, use [NodePool.version](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1beta1/projects.locations.clusters.nodePools) instead. The current version of the node software components. If they are currently at multiple versions because they're in the process of being upgraded, this reflects the minimum version of all nodes." }, "instanceGroupUrls": { "items": { "type": "string" }, "description": "Deprecated. Use node_pools.instance_group_urls.", "type": "array" }, "endpoint": { "type": "string", "description": "[Output only] The IP address of this cluster's master endpoint. The endpoint can be accessed from the internet at `https://username:password@endpoint/`. See the `masterAuth` property of this resource for username and password information." }, "monitoringConfig": { "$ref": "MonitoringConfig", "description": "Monitoring configuration for the cluster." }, "description": { "description": "An optional description of this cluster.", "type": "string" }, "expireTime": { "description": "[Output only] The time the cluster will be automatically deleted in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "type": "string" }, "resourceLabels": { "description": "The resource labels for the cluster to use to annotate any related Google Compute Engine resources.", "additionalProperties": { "type": "string" }, "type": "object" } } }, "GcpFilestoreCsiDriverConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Whether the GCP Filestore CSI driver is enabled for this cluster." } }, "id": "GcpFilestoreCsiDriverConfig", "description": "Configuration for the GCP Filestore CSI driver." }, "ListOperationsResponse": { "type": "object", "id": "ListOperationsResponse", "properties": { "operations": { "description": "A list of operations in the project in the specified zone.", "items": { "$ref": "Operation" }, "type": "array" }, "missingZones": { "items": { "type": "string" }, "description": "If any zones are listed here, the list of operations returned may be missing the operations from those zones.", "type": "array" } }, "description": "ListOperationsResponse is the result of ListOperationsRequest." }, "SetMonitoringServiceRequest": { "type": "object", "id": "SetMonitoringServiceRequest", "properties": { "monitoringService": { "type": "string", "description": "Required. The monitoring service the cluster should use to write metrics. Currently available options: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"monitoring.googleapis.com/kubernetes\" - The Cloud Monitoring service with a Kubernetes-native resource model LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `monitoring.googleapis.com` - The legacy Cloud Monitoring service (no longer available as of GKE 1.15). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `none` - No metrics will be exported from the cluster. If left as an empty string,`monitoring.googleapis.com/kubernetes` will be used for GKE 1.14+ or `monitoring.googleapis.com` for earlier versions." }, "projectId": { "type": "string", "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster) of the cluster to set monitoring. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } }, "description": "SetMonitoringServiceRequest sets the monitoring service of a cluster." }, "Date": { "type": "object", "properties": { "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "format": "int32" }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date" }, "SetNodePoolSizeRequest": { "description": "SetNodePoolSizeRequest sets the size of a node pool.", "properties": { "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "name": { "description": "The name (project, location, cluster, node pool id) of the node pool to set size. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "nodePoolId": { "type": "string", "description": "Required. Deprecated. The name of the node pool to update. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "nodeCount": { "description": "Required. The desired node count for the pool.", "format": "int32", "type": "integer" }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field." } }, "id": "SetNodePoolSizeRequest", "type": "object" }, "ServerConfig": { "type": "object", "id": "ServerConfig", "description": "Kubernetes Engine service configuration.", "properties": { "validMasterVersions": { "description": "List of valid master versions, in descending order.", "type": "array", "items": { "type": "string" } }, "channels": { "type": "array", "items": { "$ref": "ReleaseChannelConfig" }, "description": "List of release channel configurations." }, "defaultImageType": { "type": "string", "description": "Default image type." }, "defaultClusterVersion": { "description": "Version of Kubernetes the service deploys by default.", "type": "string" }, "windowsVersionMaps": { "additionalProperties": { "$ref": "WindowsVersions" }, "description": "Maps of Kubernetes version and supported Windows server versions.", "type": "object" }, "validImageTypes": { "description": "List of valid image types.", "type": "array", "items": { "type": "string" } }, "validNodeVersions": { "items": { "type": "string" }, "description": "List of valid node upgrade target versions, in descending order.", "type": "array" } } }, "ClientCertificateConfig": { "properties": { "issueClientCertificate": { "description": "Issue a client certificate.", "type": "boolean" } }, "type": "object", "id": "ClientCertificateConfig", "description": "Configuration for client certificates on the cluster." }, "WindowsVersions": { "type": "object", "properties": { "windowsVersions": { "type": "array", "items": { "$ref": "WindowsVersion" }, "description": "List of Windows server versions." } }, "id": "WindowsVersions", "description": "Windows server versions." }, "SetLegacyAbacRequest": { "id": "SetLegacyAbacRequest", "type": "object", "description": "SetLegacyAbacRequest enables or disables the ABAC authorization mechanism for a cluster.", "properties": { "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to set legacy abac. Specified in the format `projects/*/locations/*/clusters/*`." }, "clusterId": { "description": "Required. Deprecated. The name of the cluster to update. This field has been deprecated and replaced by the name field.", "type": "string" }, "enabled": { "description": "Required. Whether ABAC authorization will be enabled in the cluster.", "type": "boolean" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } } }, "ConfigConnectorConfig": { "type": "object", "id": "ConfigConnectorConfig", "properties": { "enabled": { "description": "Whether Cloud Connector is enabled for this cluster.", "type": "boolean" } }, "description": "Configuration options for the Config Connector add-on." }, "ReleaseChannel": { "properties": { "channel": { "enum": [ "UNSPECIFIED", "RAPID", "REGULAR", "STABLE" ], "description": "channel specifies which release channel the cluster is subscribed to.", "enumDescriptions": [ "No channel specified.", "RAPID channel is offered on an early access basis for customers who want to test new releases. WARNING: Versions available in the RAPID Channel may be subject to unresolved issues with no known workaround and are not subject to any SLAs.", "Clusters subscribed to REGULAR receive versions that are considered GA quality. REGULAR is intended for production users who want to take advantage of new features.", "Clusters subscribed to STABLE receive versions that are known to be stable and reliable in production." ], "type": "string" } }, "id": "ReleaseChannel", "type": "object", "description": "ReleaseChannel indicates which release channel a cluster is subscribed to. Release channels are arranged in order of risk. When a cluster is subscribed to a release channel, Google maintains both the master version and the node version. Node auto-upgrade defaults to true and cannot be disabled." }, "SetMaintenancePolicyRequest": { "type": "object", "properties": { "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to set maintenance policy. Specified in the format `projects/*/locations/*/clusters/*`." }, "projectId": { "description": "Required. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects).", "type": "string" }, "maintenancePolicy": { "$ref": "MaintenancePolicy", "description": "Required. The maintenance policy to be set for the cluster. An empty field clears the existing maintenance policy." }, "clusterId": { "type": "string", "description": "Required. The name of the cluster to update." }, "zone": { "description": "Required. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides.", "type": "string" } }, "description": "SetMaintenancePolicyRequest sets the maintenance policy for a cluster.", "id": "SetMaintenancePolicyRequest" }, "WorkloadALTSConfig": { "type": "object", "properties": { "enableAlts": { "type": "boolean", "description": "enable_alts controls whether the alts handshaker should be enabled or not for direct-path. Requires Workload Identity (workload_pool must be non-empty)." } }, "id": "WorkloadALTSConfig", "description": "Configuration for direct-path (via ALTS) with workload identity." }, "SetNodePoolAutoscalingRequest": { "properties": { "clusterId": { "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "nodePoolId": { "description": "Required. Deprecated. The name of the node pool to upgrade. This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster, node pool) of the node pool to set autoscaler settings. Specified in the format `projects/*/locations/*/clusters/*/nodePools/*`.", "type": "string" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "autoscaling": { "$ref": "NodePoolAutoscaling", "description": "Required. Autoscaling configuration for the node pool." } }, "id": "SetNodePoolAutoscalingRequest", "type": "object", "description": "SetNodePoolAutoscalingRequest sets the autoscaler settings of a node pool." }, "ConfidentialNodes": { "properties": { "enabled": { "type": "boolean", "description": "Whether Confidential Nodes feature is enabled." } }, "id": "ConfidentialNodes", "type": "object", "description": "ConfidentialNodes is configuration for the confidential nodes feature, which makes nodes run on confidential VMs." }, "PodSecurityPolicyConfig": { "properties": { "enabled": { "description": "Enable the PodSecurityPolicy controller for this cluster. If enabled, pods must be valid under a PodSecurityPolicy to be created.", "type": "boolean" } }, "description": "Configuration for the PodSecurityPolicy feature.", "type": "object", "id": "PodSecurityPolicyConfig" }, "SetAddonsConfigRequest": { "properties": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster) of the cluster to set addons. Specified in the format `projects/*/locations/*/clusters/*`." }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "addonsConfig": { "description": "Required. The desired configurations for the various addons available to run in the cluster.", "$ref": "AddonsConfig" }, "clusterId": { "type": "string", "description": "Required. Deprecated. The name of the cluster to upgrade. This field has been deprecated and replaced by the name field." } }, "description": "SetAddonsRequest sets the addons associated with the cluster.", "type": "object", "id": "SetAddonsConfigRequest" }, "CompleteIPRotationRequest": { "id": "CompleteIPRotationRequest", "type": "object", "description": "CompleteIPRotationRequest moves the cluster master back into single-IP mode.", "properties": { "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "description": "The name (project, location, cluster name) of the cluster to complete IP rotation. Specified in the format `projects/*/locations/*/clusters/*`.", "type": "string" }, "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." } } }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "ListLocationsResponse returns the list of all GKE locations and their recommendation state.", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A full list of GKE locations." }, "nextPageToken": { "description": "Only return ListLocationsResponse that occur after the page_token. This value should be populated from the ListLocationsResponse.next_page_token if that response token was set (which happens when listing more Locations than fit in a single ListLocationsResponse).", "type": "string" } } }, "ConsumptionMeteringConfig": { "id": "ConsumptionMeteringConfig", "properties": { "enabled": { "description": "Whether to enable consumption metering for this cluster. If enabled, a second BigQuery table will be created to hold resource consumption records.", "type": "boolean" } }, "description": "Parameters for controlling consumption metering.", "type": "object" }, "GcfsConfig": { "id": "GcfsConfig", "properties": { "enabled": { "description": "Whether to use GCFS.", "type": "boolean" } }, "type": "object", "description": "GcfsConfig contains configurations of Google Container File System." }, "NodePool": { "description": "NodePool contains the name and configuration for a cluster's node pool. Node pools are a set of nodes (i.e. VM's), with a common configuration and specification, under the control of the cluster master. They may have a set of Kubernetes labels applied to them, which may be used to reference them during pod scheduling. They may also be resized up or down, to accommodate the workload. These upgrade settings control the level of parallelism and the level of disruption caused by an upgrade. maxUnavailable controls the number of nodes that can be simultaneously unavailable. maxSurge controls the number of additional nodes that can be added to the node pool temporarily for the time of the upgrade to increase the number of available nodes. (maxUnavailable + maxSurge) determines the level of parallelism (how many nodes are being upgraded at the same time). Note: upgrades inevitably introduce some disruption since workloads need to be moved from old nodes to new, upgraded ones. Even if maxUnavailable=0, this holds true. (Disruption stays within the limits of PodDisruptionBudget, if it is configured.) Consider a hypothetical node pool with 5 nodes having maxSurge=2, maxUnavailable=1. This means the upgrade process upgrades 3 nodes simultaneously. It creates 2 additional (upgraded) nodes, then it brings down 3 old (not yet upgraded) nodes at the same time. This ensures that there are always at least 4 nodes available.", "type": "object", "id": "NodePool", "properties": { "conditions": { "items": { "$ref": "StatusCondition" }, "type": "array", "description": "Which conditions caused the current node pool state." }, "name": { "type": "string", "description": "The name of the node pool." }, "autoscaling": { "description": "Autoscaler configuration for this NodePool. Autoscaler is enabled only if a valid configuration is present.", "$ref": "NodePoolAutoscaling" }, "config": { "$ref": "NodeConfig", "description": "The node configuration of the pool." }, "upgradeSettings": { "description": "Upgrade settings control disruption and speed of the upgrade.", "$ref": "UpgradeSettings" }, "locations": { "description": "The list of Google Compute Engine [zones](https://cloud.google.com/compute/docs/zones#available) in which the NodePool's nodes should be located. If this value is unspecified during node pool creation, the [Cluster.Locations](https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters#Cluster.FIELDS.locations) value will be used, instead. Warning: changing node pool locations will result in nodes being added and/or removed.", "type": "array", "items": { "type": "string" } }, "podIpv4CidrSize": { "type": "integer", "format": "int32", "description": "[Output only] The pod CIDR block size per node in this node pool." }, "initialNodeCount": { "type": "integer", "format": "int32", "description": "The initial node count for the pool. You must ensure that your Compute Engine [resource quota](https://cloud.google.com/compute/quotas) is sufficient for this number of instances. You must also have available firewall and routes quota." }, "networkConfig": { "$ref": "NodeNetworkConfig", "description": "Networking configuration for this NodePool. If specified, it overrides the cluster-level defaults." }, "version": { "description": "The version of the Kubernetes of this node.", "type": "string" }, "statusMessage": { "type": "string", "description": "[Output only] Deprecated. Use conditions instead. Additional information about the current status of this node pool instance, if available." }, "instanceGroupUrls": { "items": { "type": "string" }, "type": "array", "description": "[Output only] The resource URLs of the [managed instance groups](https://cloud.google.com/compute/docs/instance-groups/creating-groups-of-managed-instances) associated with this node pool. During the node pool blue-green upgrade operation, the URLs contain both blue and green resources." }, "updateInfo": { "$ref": "UpdateInfo", "description": "Output only. [Output only] Update info contains relevant information during a node pool update.", "readOnly": true }, "management": { "$ref": "NodeManagement", "description": "NodeManagement configuration for this NodePool." }, "maxPodsConstraint": { "$ref": "MaxPodsConstraint", "description": "The constraint on the maximum number of pods that can be run simultaneously on a node in the node pool." }, "placementPolicy": { "description": "Specifies the node placement policy.", "$ref": "PlacementPolicy" }, "selfLink": { "type": "string", "description": "[Output only] Server-defined URL for the resource." }, "status": { "enum": [ "STATUS_UNSPECIFIED", "PROVISIONING", "RUNNING", "RUNNING_WITH_ERROR", "RECONCILING", "STOPPING", "ERROR" ], "type": "string", "enumDescriptions": [ "Not set.", "The PROVISIONING state indicates the node pool is being created.", "The RUNNING state indicates the node pool has been created and is fully usable.", "The RUNNING_WITH_ERROR state indicates the node pool has been created and is partially usable. Some error state has occurred and some functionality may be impaired. Customer may need to reissue a request or trigger a new update.", "The RECONCILING state indicates that some work is actively being done on the node pool, such as upgrading node software. Details can be found in the `statusMessage` field.", "The STOPPING state indicates the node pool is being deleted.", "The ERROR state indicates the node pool may be unusable. Details can be found in the `statusMessage` field." ], "description": "[Output only] The status of the nodes in this pool instance." } } }, "NodeNetworkConfig": { "id": "NodeNetworkConfig", "type": "object", "properties": { "createPodRange": { "description": "Input only. Whether to create a new range for pod IPs in this node pool. Defaults are provided for `pod_range` and `pod_ipv4_cidr_block` if they are not specified. If neither `create_pod_range` or `pod_range` are specified, the cluster-level default (`ip_allocation_policy.cluster_ipv4_cidr_block`) is used. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created.", "type": "boolean" }, "podRange": { "type": "string", "description": "The ID of the secondary range for pod IPs. If `create_pod_range` is true, this ID is used for the new range. If `create_pod_range` is false, uses an existing secondary range with this ID. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created." }, "networkPerformanceConfig": { "$ref": "NetworkPerformanceConfig", "description": "Network bandwidth tier configuration." }, "podIpv4CidrBlock": { "description": "The IP address range for pod IPs in this node pool. Only applicable if `create_pod_range` is true. Set to blank to have a range chosen with the default size. Set to /netmask (e.g. `/14`) to have a range chosen with a specific netmask. Set to a [CIDR](https://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing) notation (e.g. `10.96.0.0/14`) to pick a specific range to use. Only applicable if `ip_allocation_policy.use_ip_aliases` is true. This field cannot be changed after the node pool has been created.", "type": "string" } }, "description": "Parameters for node pool-level network config." }, "PrivateClusterMasterGlobalAccessConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whenever master is accessible globally or not." } }, "id": "PrivateClusterMasterGlobalAccessConfig", "description": "Configuration for controlling master global access settings.", "type": "object" }, "AddonsConfig": { "properties": { "gcePersistentDiskCsiDriverConfig": { "$ref": "GcePersistentDiskCsiDriverConfig", "description": "Configuration for the Compute Engine Persistent Disk CSI driver." }, "istioConfig": { "description": "Configuration for Istio, an open platform to connect, manage, and secure microservices.", "$ref": "IstioConfig" }, "gcpFilestoreCsiDriverConfig": { "description": "Configuration for the GCP Filestore CSI driver.", "$ref": "GcpFilestoreCsiDriverConfig" }, "cloudRunConfig": { "$ref": "CloudRunConfig", "description": "Configuration for the Cloud Run addon. The `IstioConfig` addon must be enabled in order to enable Cloud Run addon. This option can only be enabled at cluster creation time." }, "kalmConfig": { "description": "Configuration for the KALM addon, which manages the lifecycle of k8s applications.", "$ref": "KalmConfig" }, "horizontalPodAutoscaling": { "description": "Configuration for the horizontal pod autoscaling feature, which increases or decreases the number of replica pods a replication controller has based on the resource usage of the existing pods.", "$ref": "HorizontalPodAutoscaling" }, "dnsCacheConfig": { "$ref": "DnsCacheConfig", "description": "Configuration for NodeLocalDNS, a dns cache running on cluster nodes" }, "kubernetesDashboard": { "$ref": "KubernetesDashboard", "description": "Configuration for the Kubernetes Dashboard. This addon is deprecated, and will be disabled in 1.15. It is recommended to use the Cloud Console to manage and monitor your Kubernetes clusters, workloads and applications. For more information, see: https://cloud.google.com/kubernetes-engine/docs/concepts/dashboards" }, "configConnectorConfig": { "$ref": "ConfigConnectorConfig", "description": "Configuration for the ConfigConnector add-on, a Kubernetes extension to manage hosted GCP services through the Kubernetes API" }, "httpLoadBalancing": { "$ref": "HttpLoadBalancing", "description": "Configuration for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster." }, "networkPolicyConfig": { "description": "Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes.", "$ref": "NetworkPolicyConfig" }, "gkeBackupAgentConfig": { "$ref": "GkeBackupAgentConfig", "description": "Configuration for the Backup for GKE agent addon." } }, "id": "AddonsConfig", "description": "Configuration for the addons that can be automatically spun up in the cluster, enabling additional functionality.", "type": "object" }, "SetLabelsRequest": { "id": "SetLabelsRequest", "description": "SetLabelsRequest sets the Google Cloud Platform labels on a Google Container Engine cluster, which will in turn set them for Google Compute Engine resources used by that cluster", "properties": { "clusterId": { "description": "Required. Deprecated. The name of the cluster. This field has been deprecated and replaced by the name field.", "type": "string" }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" }, "name": { "type": "string", "description": "The name (project, location, cluster name) of the cluster to set labels. Specified in the format `projects/*/locations/*/clusters/*`." }, "labelFingerprint": { "type": "string", "description": "Required. The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Kubernetes Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels. Make a `get()` request to the resource to get the latest fingerprint." }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the cluster resides. This field has been deprecated and replaced by the name field." }, "resourceLabels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Required. The labels to set for that cluster." } }, "type": "object" }, "NetworkPolicyConfig": { "properties": { "disabled": { "type": "boolean", "description": "Whether NetworkPolicy is enabled for this cluster." } }, "id": "NetworkPolicyConfig", "description": "Configuration for NetworkPolicy. This only tracks whether the addon is enabled or not on the Master, it does not track whether network policy is enabled for the nodes.", "type": "object" }, "HttpLoadBalancing": { "type": "object", "description": "Configuration options for the HTTP (L7) load balancing controller addon, which makes it easy to set up HTTP load balancers for services in a cluster.", "properties": { "disabled": { "type": "boolean", "description": "Whether the HTTP Load Balancing controller is enabled in the cluster. When enabled, it runs a small pod in the cluster that manages the load balancers." } }, "id": "HttpLoadBalancing" }, "IstioConfig": { "id": "IstioConfig", "type": "object", "properties": { "disabled": { "description": "Whether Istio is enabled for this cluster.", "type": "boolean" }, "auth": { "type": "string", "description": "The specified Istio auth mode, either none, or mutual TLS.", "enum": [ "AUTH_NONE", "AUTH_MUTUAL_TLS" ], "enumDescriptions": [ "auth not enabled", "auth mutual TLS enabled" ] } }, "description": "Configuration options for Istio addon." }, "CancelOperationRequest": { "description": "CancelOperationRequest cancels a single operation.", "type": "object", "id": "CancelOperationRequest", "properties": { "name": { "type": "string", "description": "The name (project, location, operation id) of the operation to cancel. Specified in the format `projects/*/locations/*/operations/*`." }, "operationId": { "description": "Required. Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field.", "type": "string" }, "zone": { "type": "string", "description": "Required. Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation resides. This field has been deprecated and replaced by the name field." }, "projectId": { "description": "Required. Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field.", "type": "string" } } } }, "canonicalName": "Container", "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "protocol": "rest", "discoveryVersion": "v1", "id": "container:v1beta1", "version_module": true, "parameters": { "callback": { "location": "query", "type": "string", "description": "JSONP" }, "alt": { "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ] }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" } } }
]===]))
