local decode = require("cjson").new().decode
return assert(decode([===[
{ "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version_module": true, "rootUrl": "https://containeranalysis.googleapis.com/", "batchPath": "batch", "version": "v1", "name": "containeranalysis", "servicePath": "", "discoveryVersion": "v1", "kind": "discovery#restDescription", "fullyEncodeReservedExpansion": true, "revision": "20220624", "documentationLink": "https://cloud.google.com/container-analysis/api/reference/rest/", "ownerDomain": "google.com", "title": "Container Analysis API", "baseUrl": "https://containeranalysis.googleapis.com/", "ownerName": "Google", "mtlsRootUrl": "https://containeranalysis.mtls.googleapis.com/", "protocol": "rest", "schemas": { "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning", "description": "A non-fatal problem encountered during the execution of the build.", "type": "object", "properties": { "priority": { "enum": [ "PRIORITY_UNSPECIFIED", "INFO", "WARNING", "ALERT" ], "enumDescriptions": [ "Should not be used.", "e.g. deprecation warnings and alternative feature highlights.", "e.g. automated detection of possible issues with the build.", "e.g. alerts that a feature used in the build is pending removal" ], "description": "The priority for this warning.", "type": "string" }, "text": { "type": "string", "description": "Explanation of the warning generated." } } }, "SlsaCompleteness": { "properties": { "arguments": { "type": "boolean", "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe." }, "environment": { "type": "boolean", "description": "If true, the builder claims that recipe.environment is claimed to be complete." }, "materials": { "type": "boolean", "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\"." } }, "id": "SlsaCompleteness", "type": "object", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "BuildNote": { "id": "BuildNote", "type": "object", "properties": { "builderVersion": { "type": "string", "description": "Required. Immutable. Version of the builder which produced this build." } }, "description": "Note holding the version of the provider's builder and the signature of the provenance message in the build details occurrence." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption", "type": "object", "properties": { "name": { "description": "The `WorkerPool` resource to execute the build on. You must have `cloudbuild.workerpools.use` on the project hosting the WorkerPool. Format projects/{project}/locations/{location}/workerPools/{workerPoolId}", "type": "string" } }, "description": "Details about how a build should be executed on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information." }, "AttestationOccurrence": { "type": "object", "description": "Occurrence that represents a single \"attestation\". The authenticity of an attestation can be verified using the attached signature. If the verifier trusts the public key of the signer, then verifying the signature is sufficient to establish trust. In this circumstance, the authority to which this attestation is attached is primarily useful for lookup (how to find this attestation if you already know the authority and artifact to be verified) and intent (for which authority this attestation was intended to sign.", "id": "AttestationOccurrence", "properties": { "serializedPayload": { "type": "string", "description": "Required. The serialized payload that is verified by one or more `signatures`.", "format": "byte" }, "signatures": { "items": { "$ref": "Signature" }, "type": "array", "description": "One or more signatures over `serialized_payload`. Verifier implementations should consider this attestation message verified if at least one `signature` verifies `serialized_payload`. See `Signature` in common.proto for more details on signature structure and verification." }, "jwts": { "type": "array", "description": "One or more JWTs encoding a self-contained attestation. Each JWT encodes the payload that it verifies within the JWT itself. Verifier implementation SHOULD ignore the `serialized_payload` field when verifying these JWTs. If only JWTs are present on this AttestationOccurrence, then the `serialized_payload` SHOULD be left empty. Each JWT SHOULD encode a claim specific to the `resource_uri` of this Occurrence, but this is not validated by Grafeas metadata API implementations. The JWT itself is opaque to Grafeas.", "items": { "$ref": "Jwt" } } } }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "type": "object", "description": "Request message for `TestIamPermissions` method." }, "Source": { "id": "Source", "properties": { "fileHashes": { "description": "Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (.tar.gz), the FileHash will be for the single path to that file.", "additionalProperties": { "$ref": "FileHashes" }, "type": "object" }, "context": { "description": "If provided, the source code used for the build came from this location.", "$ref": "SourceContext" }, "artifactStorageSourceUri": { "type": "string", "description": "If provided, the input binary artifacts for the build came from this location." }, "additionalContexts": { "type": "array", "description": "If provided, some of the source code used for the build may be found in these locations, in the case where the source repository had multiple remotes or submodules. This list will not include the context specified in the context field.", "items": { "$ref": "SourceContext" } } }, "type": "object", "description": "Source describes the location of the source used for the build." }, "GerritSourceContext": { "description": "A SourceContext referring to a Gerrit project.", "id": "GerritSourceContext", "type": "object", "properties": { "gerritProject": { "type": "string", "description": "The full project name within the host. Projects may be nested, so \"project/subproject\" is a valid project name. The \"repo name\" is the hostURI/project." }, "aliasContext": { "description": "An alias, which may be a branch or tag.", "$ref": "AliasContext" }, "revisionId": { "type": "string", "description": "A revision (commit) ID." }, "hostUri": { "description": "The URI of a running Gerrit instance.", "type": "string" } } }, "GetIamPolicyRequest": { "type": "object", "id": "GetIamPolicyRequest", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "description": "Request message for `GetIamPolicy` method." }, "VulnerabilityOccurrence": { "description": "An occurrence of a severity vulnerability on a resource.", "type": "object", "id": "VulnerabilityOccurrence", "properties": { "effectiveSeverity": { "type": "string", "description": "The distro assigned severity for this vulnerability when it is available, otherwise this is the note provider assigned severity. When there are multiple PackageIssues for this vulnerability, they can have different effective severities because some might be provided by the distro while others are provided by the language ecosystem for a language pack. For this reason, it is advised to use the effective severity on the PackageIssue level. In the case where multiple PackageIssues have differing effective severities, this field should be the highest severity for any of the PackageIssues.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ] }, "severity": { "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "description": "Output only. The note provider assigned severity of this vulnerability.", "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ] }, "fixAvailable": { "description": "Output only. Whether at least one of the affected packages has a fix available.", "type": "boolean" }, "shortDescription": { "description": "Output only. A one sentence description of this vulnerability.", "type": "string" }, "packageIssue": { "items": { "$ref": "PackageIssue" }, "description": "Required. The set of affected locations and their fixes (if available) within the associated resource.", "type": "array" }, "cvssScore": { "type": "number", "description": "Output only. The CVSS score of this vulnerability. CVSS score is on a scale of 0 - 10 where 0 indicates low severity and 10 indicates high severity.", "format": "float" }, "type": { "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.).", "type": "string" }, "longDescription": { "description": "Output only. A detailed description of this vulnerability.", "type": "string" }, "cvssv3": { "$ref": "CVSS", "description": "The cvss v3 score for the vulnerability." }, "relatedUrls": { "description": "Output only. URLs related to this vulnerability.", "type": "array", "items": { "$ref": "RelatedUrl" } } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig", "type": "object", "description": "ApprovalConfig describes configuration for manual approval of a build.", "properties": { "approvalRequired": { "type": "boolean", "description": "Whether or not approval is needed. If this is set on a build, it will become pending when created, and will need to be explicitly approved to start." } } }, "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata": { "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata", "properties": { "completeness": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness" }, "buildFinishedOn": { "format": "google-datetime", "type": "string" }, "reproducible": { "type": "boolean" }, "buildStartedOn": { "format": "google-datetime", "type": "string" }, "buildInvocationId": { "type": "string" } }, "description": "Other properties of the build.", "type": "object" }, "DiscoveryNote": { "id": "DiscoveryNote", "properties": { "analysisKind": { "description": "Required. Immutable. The kind of analysis that is handled by this discovery.", "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available package upgrade.", "This represents a Compliance Note", "This represents a DSSE attestation Note" ], "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "UPGRADE", "COMPLIANCE", "DSSE_ATTESTATION" ], "type": "string" } }, "type": "object", "description": "A note that indicates a type of analysis a provider would perform. This note exists in a provider's project. A `Discovery` occurrence is created in a consumer's project at the start of analysis." }, "DeploymentNote": { "description": "An artifact that can be deployed in some runtime.", "id": "DeploymentNote", "properties": { "resourceUri": { "type": "array", "description": "Required. Resource URI for the artifact being deployed.", "items": { "type": "string" } } }, "type": "object" }, "InTotoProvenance": { "properties": { "metadata": { "$ref": "Metadata" }, "recipe": { "$ref": "Recipe", "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible). required" }, "builderConfig": { "$ref": "BuilderConfig", "description": "required" }, "materials": { "items": { "type": "string" }, "type": "array", "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty." } }, "id": "InTotoProvenance", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret", "type": "object", "description": "Pairs a set of secret environment variables mapped to encrypted values with the Cloud KMS key to use to decrypt the value.", "properties": { "kmsKeyName": { "type": "string", "description": "Resource name of Cloud KMS crypto key to decrypt the encrypted value. In format: projects/*/locations/*/keyRings/*/cryptoKeys/*" }, "envMap": { "additionalProperties": { "type": "string", "format": "byte" }, "type": "object", "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets." } } }, "Material": { "type": "object", "id": "Material", "properties": { "uri": { "type": "string" }, "digest": { "additionalProperties": { "type": "string" }, "type": "object" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume", "type": "object", "properties": { "name": { "type": "string", "description": "Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps." }, "path": { "type": "string", "description": "Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths." } }, "description": "Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution." }, "BuildOccurrence": { "description": "Details of a build occurrence.", "id": "BuildOccurrence", "type": "object", "properties": { "provenance": { "$ref": "BuildProvenance", "description": "The actual provenance for the build." }, "provenanceBytes": { "description": "Serialized JSON representation of the provenance, used in generating the build signature in the corresponding build note. After verifying the signature, `provenance_bytes` can be unmarshalled and compared to the provenance to confirm that it is unchanged. A base64-encoded string representation of the provenance bytes is used for the signature in order to interoperate with openssl which expects this format for signature verification. The serialized form is captured both to avoid ambiguity in how the provenance is marshalled to json as well to prevent incompatibilities with future changes.", "type": "string" }, "intotoStatement": { "description": "In-toto Statement representation as defined in spec. The intoto_statement can contain any type of provenance. The serialized payload of the statement can be stored and signed in the Occurrence's envelope.", "$ref": "InTotoStatement" }, "intotoProvenance": { "description": "Deprecated. See InTotoStatement for the replacement. In-toto Provenance representation as defined in spec.", "$ref": "InTotoProvenance" } } }, "RelatedUrl": { "description": "Metadata for any related URL information.", "type": "object", "id": "RelatedUrl", "properties": { "label": { "type": "string", "description": "Label to describe usage of the URL." }, "url": { "description": "Specific URL associated with the resource.", "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage": { "properties": { "name": { "type": "string", "description": "Name used to push the container image to Google Container Registry, as presented to `docker push`." }, "pushTiming": { "description": "Output only. Stores timing information for pushing the specified image.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "readOnly": true }, "digest": { "description": "Docker Registry 2.0 digest.", "type": "string" } }, "description": "An image built by the pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage", "type": "object" }, "Expr": { "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "type": "object" }, "Recipe": { "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe.", "properties": { "type": { "type": "string", "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials." }, "environment": { "type": "array", "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy. Since the environment field can greatly vary in structure, depending on the builder and recipe type, this is of form \"Any\".", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "entryPoint": { "type": "string", "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use." }, "arguments": { "type": "array", "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint. Since the arguments field can greatly vary in structure, depending on the builder and recipe type, this is of form \"Any\".", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "definedInMaterial": { "type": "string", "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64.", "format": "int64" } }, "id": "Recipe", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret": { "description": "Pairs a secret environment variable with a SecretVersion in Secret Manager.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret", "properties": { "env": { "description": "Environment variable name to associate with the secret. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step.", "type": "string" }, "versionName": { "description": "Resource name of the SecretVersion. In format: projects/*/secrets/*/versions/*", "type": "string" } }, "type": "object" }, "Identity": { "properties": { "revision": { "description": "The revision number of the update.", "type": "integer", "format": "int32" }, "updateId": { "type": "string", "description": "The revision independent identifier of the update." } }, "type": "object", "id": "Identity", "description": "The unique identifier of the update." }, "UpgradeOccurrence": { "properties": { "distribution": { "$ref": "UpgradeDistribution", "description": "Metadata about the upgrade for available for the specific operating system for the resource_url. This allows efficient filtering, as well as making it easier to use the occurrence." }, "parsedVersion": { "description": "Required for non-Windows OS. The version of the package in a machine + human readable form.", "$ref": "Version" }, "windowsUpdate": { "description": "Required for Windows OS. Represents the metadata about the Windows update.", "$ref": "WindowsUpdate" }, "package": { "type": "string", "description": "Required for non-Windows OS. The package this Upgrade is for." } }, "description": "An Upgrade Occurrence represents that a specific resource_url could install a specific upgrade. This presence is supplied via local sources (i.e. it is present in the mirror and the running system has noticed its availability). For Windows, both distribution and windows_update contain information for the Windows update.", "id": "UpgradeOccurrence", "type": "object" }, "FixableTotalByDigest": { "properties": { "severity": { "description": "The severity for this count. SEVERITY_UNSPECIFIED indicates total across all severities.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "type": "string" }, "totalCount": { "description": "The total number of vulnerabilities associated with this resource.", "type": "string", "format": "int64" }, "resourceUri": { "type": "string", "description": "The affected resource." }, "fixableCount": { "description": "The number of fixable vulnerabilities associated with this resource.", "format": "int64", "type": "string" } }, "type": "object", "id": "FixableTotalByDigest", "description": "Per resource and severity counts of fixable and total vulnerabilities." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes": { "type": "object", "description": "Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes", "properties": { "fileHash": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash" }, "description": "Collection of file hashes." } } }, "ImageOccurrence": { "description": "Details of the derived image portion of the DockerImage relationship. This image would be produced from a Dockerfile with FROM .", "id": "ImageOccurrence", "type": "object", "properties": { "baseResourceUrl": { "description": "Output only. This contains the base image URL for the derived image occurrence.", "type": "string" }, "distance": { "format": "int32", "description": "Output only. The number of layers by which this image differs from the associated image basis.", "type": "integer" }, "fingerprint": { "description": "Required. The fingerprint of the derived image.", "$ref": "Fingerprint" }, "layerInfo": { "type": "array", "description": "This contains layer-specific metadata, if populated it has length \"distance\" and is ordered with [distance] being the layer immediately following the base image and [1] being the final layer.", "items": { "$ref": "Layer" } } } }, "Detail": { "id": "Detail", "type": "object", "description": "A detail for a distro and package affected by this vulnerability and its associated fix (if one is available).", "properties": { "affectedPackage": { "description": "Required. The package this vulnerability affects.", "type": "string" }, "sourceUpdateTime": { "format": "google-datetime", "description": "The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.", "type": "string" }, "source": { "description": "The source from which the information in this Detail was obtained.", "type": "string" }, "isObsolete": { "type": "boolean", "description": "Whether this detail is obsolete. Occurrences are expected not to point to obsolete details." }, "affectedVersionEnd": { "description": "The version number at the end of an interval in which this vulnerability exists. A vulnerability can affect a package between version numbers that are disjoint sets of intervals (example: [1.0.0-1.1.0], [2.4.6-2.4.8] and [4.5.6-4.6.8]) each of which will be represented in its own Detail. If a specific affected version is provided by a vulnerability database, affected_version_start and affected_version_end will be the same in that Detail.", "$ref": "Version" }, "fixedPackage": { "description": "The distro recommended package to update to that contains a fix for this vulnerability. It is possible for this to be different from the affected_package.", "type": "string" }, "vendor": { "type": "string", "description": "The name of the vendor of the product." }, "fixedVersion": { "$ref": "Version", "description": "The distro recommended version to update to that contains a fix for this vulnerability. Setting this to VersionKind.MAXIMUM means no such version is yet available." }, "fixedCpeUri": { "type": "string", "description": "The distro recommended [CPE URI](https://cpe.mitre.org/specification/) to update to that contains a fix for this vulnerability. It is possible for this to be different from the affected_cpe_uri." }, "affectedVersionStart": { "description": "The version number at the start of an interval in which this vulnerability exists. A vulnerability can affect a package between version numbers that are disjoint sets of intervals (example: [1.0.0-1.1.0], [2.4.6-2.4.8] and [4.5.6-4.6.8]) each of which will be represented in its own Detail. If a specific affected version is provided by a vulnerability database, affected_version_start and affected_version_end will be the same in that Detail.", "$ref": "Version" }, "affectedCpeUri": { "description": "Required. The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability affects.", "type": "string" }, "packageType": { "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.).", "type": "string" }, "description": { "type": "string", "description": "A vendor-specific description of this vulnerability." }, "severityName": { "type": "string", "description": "The distro assigned severity of this vulnerability." } } }, "ComplianceVersion": { "description": "Describes the CIS benchmark version that is applicable to a given OS and os version.", "id": "ComplianceVersion", "properties": { "version": { "type": "string", "description": "The version of the benchmark. This is set to the version of the OS-specific CIS document the benchmark is defined in." }, "benchmarkDocument": { "description": "The name of the document that defines this benchmark, e.g. \"CIS Container-Optimized OS\".", "type": "string" }, "cpeUri": { "type": "string", "description": "The CPE URI (https://cpe.mitre.org/specification/) this benchmark is applicable to." } }, "type": "object" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation": { "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation", "type": "object", "properties": { "configSource": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource" }, "parameters": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "environment": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "description": "Identifies the event that kicked off the build." }, "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness": { "type": "object", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness", "properties": { "materials": { "type": "boolean" }, "parameters": { "type": "boolean" }, "environment": { "type": "boolean" } }, "description": "Indicates that the builder claims certain fields in this message to be complete." }, "RepoId": { "properties": { "projectRepoId": { "description": "A combination of a project ID and a repo name.", "$ref": "ProjectRepoId" }, "uid": { "description": "A server-assigned, globally unique identifier.", "type": "string" } }, "id": "RepoId", "description": "A unique identifier for a Cloud Repo.", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash": { "properties": { "value": { "format": "byte", "description": "The hash value.", "type": "string" }, "type": { "type": "string", "enum": [ "NONE", "SHA256", "MD5" ], "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "description": "The type of hash that was performed." } }, "description": "Container message for hash values.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash" }, "ListOccurrencesResponse": { "type": "object", "id": "ListOccurrencesResponse", "description": "Response for listing occurrences.", "properties": { "occurrences": { "items": { "$ref": "Occurrence" }, "description": "The occurrences requested.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results." } } }, "Status": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo": { "properties": { "type": { "enum": [ "FAILURE_TYPE_UNSPECIFIED", "PUSH_FAILED", "PUSH_IMAGE_NOT_FOUND", "PUSH_NOT_AUTHORIZED", "LOGGING_FAILURE", "USER_BUILD_STEP", "FETCH_SOURCE_FAILED" ], "enumDescriptions": [ "Type unspecified", "Unable to push the image to the repository.", "Final image not found.", "Unauthorized push of the final image.", "Backend logging failures. Should retry.", "A build step has failed.", "The source fetching has failed." ], "description": "The name of the failure.", "type": "string" }, "detail": { "description": "Explains the failure issue in more detail using hard-coded text.", "type": "string" } }, "description": "A fatal problem encountered during the execution of the build.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo" }, "Artifact": { "type": "object", "description": "Artifact describes a build product.", "properties": { "checksum": { "description": "Hash or checksum value of a binary, or Docker Registry 2.0 digest of a container.", "type": "string" }, "names": { "items": { "type": "string" }, "type": "array", "description": "Related artifact names. This may be the path to a binary or jar file, or in the case of a container build, the name used to push the container image to Google Container Registry, as presented to `docker push`. Note that a single Artifact ID can have multiple names, for example if two tags are applied to one image." }, "id": { "type": "string", "description": "Artifact ID, if any; for container images, this will be a URL by digest like `gcr.io/projectID/imagename@sha256:123456`." } }, "id": "Artifact" }, "UpgradeDistribution": { "properties": { "cve": { "description": "The cve tied to this Upgrade.", "items": { "type": "string" }, "type": "array" }, "severity": { "description": "The severity as specified by the upstream operating system.", "type": "string" }, "cpeUri": { "description": "Required - The specific operating system this metadata applies to. See https://cpe.mitre.org/specification/.", "type": "string" }, "classification": { "type": "string", "description": "The operating system classification of this Upgrade, as specified by the upstream operating system upgrade feed. For Windows the classification is one of the category_ids listed at https://docs.microsoft.com/en-us/previous-versions/windows/desktop/ff357803(v=vs.85)" } }, "type": "object", "id": "UpgradeDistribution", "description": "The Upgrade Distribution represents metadata about the Upgrade for each operating system (CPE). Some distributions have additional metadata around updates, classifying them into various categories and severities." }, "Distribution": { "properties": { "url": { "description": "The distribution channel-specific homepage for this package.", "type": "string" }, "latestVersion": { "$ref": "Version", "description": "The latest available version of this package in this distribution channel." }, "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "type": "string", "description": "The CPU architecture for which packages in this distribution channel were built." }, "description": { "description": "The distribution channel-specific description of this package.", "type": "string" }, "cpeUri": { "description": "Required. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package.", "type": "string" }, "maintainer": { "type": "string", "description": "A freeform string denoting the maintainer of this package." } }, "id": "Distribution", "description": "This represents a particular channel of distribution for a given package. E.g., Debian's jessie-backports dpkg mirror.", "type": "object" }, "VulnerabilityNote": { "properties": { "windowsDetails": { "type": "array", "items": { "$ref": "WindowsDetail" }, "description": "Windows details get their own format because the information format and model don't match a normal detail. Specifically Windows updates are done as patches, thus Windows vulnerabilities really are a missing package, rather than a package being at an incorrect version." }, "cvssScore": { "format": "float", "type": "number", "description": "The CVSS score of this vulnerability. CVSS score is on a scale of 0 - 10 where 0 indicates low severity and 10 indicates high severity." }, "cvssV3": { "$ref": "CVSSv3", "description": "The full description of the CVSSv3 for this vulnerability." }, "sourceUpdateTime": { "format": "google-datetime", "description": "The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.", "type": "string" }, "severity": { "description": "The note provider assigned severity of this vulnerability.", "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ] }, "details": { "description": "Details of all known distros and packages affected by this vulnerability.", "type": "array", "items": { "$ref": "Detail" } } }, "description": "A security vulnerability that can be found in resources.", "type": "object", "id": "VulnerabilityNote" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "properties": { "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" } }, "id": "Policy" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult": { "properties": { "comment": { "type": "string", "description": "Optional. An optional comment for this manual approval result." }, "decision": { "enum": [ "DECISION_UNSPECIFIED", "APPROVED", "REJECTED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build is approved.", "Build is rejected." ], "description": "Required. The decision of this manual approval.", "type": "string" }, "approvalTime": { "format": "google-datetime", "description": "Output only. The time when the approval decision was made.", "readOnly": true, "type": "string" }, "approverAccount": { "description": "Output only. Email of the user that called the ApproveBuild API to approve or reject a build at the time that the API was called.", "readOnly": true, "type": "string" }, "url": { "description": "Optional. An optional URL tied to this manual approval result. This field is essentially the same as comment, except that it will be rendered by the UI differently. An example use case is a link to an external job that approved this Build.", "type": "string" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult", "type": "object", "description": "ApprovalResult describes the decision and associated metadata of a manual approval of a build." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions": { "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions", "properties": { "dynamicSubstitutions": { "description": "Option to specify whether or not to apply bash style string operations to the substitutions. NOTE: this is always enabled for triggered builds and cannot be overridden in the build configuration file.", "type": "boolean" }, "env": { "items": { "type": "string" }, "type": "array", "description": "A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\"." }, "sourceProvenanceHash": { "description": "Requested hash for SourceProvenance.", "type": "array", "items": { "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "type": "string", "enum": [ "NONE", "SHA256", "MD5" ] } }, "secretEnv": { "description": "A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`. These variables will be available to all build steps in this build.", "type": "array", "items": { "type": "string" } }, "volumes": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "type": "array", "description": "Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration." }, "machineType": { "enumDescriptions": [ "Standard machine type.", "Highcpu machine with 8 CPUs.", "Highcpu machine with 32 CPUs.", "Highcpu e2 machine with 8 CPUs.", "Highcpu e2 machine with 32 CPUs." ], "type": "string", "enum": [ "UNSPECIFIED", "N1_HIGHCPU_8", "N1_HIGHCPU_32", "E2_HIGHCPU_8", "E2_HIGHCPU_32" ], "description": "Compute Engine machine type on which to run the build." }, "logging": { "description": "Option to specify the logging mode, which determines if and where build logs are stored.", "type": "string", "enumDescriptions": [ "The service determines the logging mode. The default is `LEGACY`. Do not rely on the default logging behavior as it may change in the future.", "Build logs are stored in Cloud Logging and Cloud Storage.", "Build logs are stored in Cloud Storage.", "This option is the same as CLOUD_LOGGING_ONLY.", "Build logs are stored in Cloud Logging. Selecting this option will not allow [logs streaming](https://cloud.google.com/sdk/gcloud/reference/builds/log).", "Turn off all logging. No build logs will be captured." ], "enum": [ "LOGGING_UNSPECIFIED", "LEGACY", "GCS_ONLY", "STACKDRIVER_ONLY", "CLOUD_LOGGING_ONLY", "NONE" ] }, "substitutionOption": { "type": "string", "description": "Option to specify behavior when there is an error in the substitution checks. NOTE: this is always set to ALLOW_LOOSE for triggered builds and cannot be overridden in the build configuration file.", "enum": [ "MUST_MATCH", "ALLOW_LOOSE" ], "enumDescriptions": [ "Fails the build if error in substitutions checks, like missing a substitution in the template or in the map.", "Do not fail the build if error in substitutions checks." ] }, "diskSizeGb": { "description": "Requested disk size for the VM that runs the build. Note that this is *NOT* \"disk free\"; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error.", "type": "string", "format": "int64" }, "logStreamingOption": { "enum": [ "STREAM_DEFAULT", "STREAM_ON", "STREAM_OFF" ], "enumDescriptions": [ "Service may automatically determine build log streaming behavior.", "Build logs should be streamed to Google Cloud Storage.", "Build logs should not be streamed to Google Cloud Storage; they will be written when the build is completed." ], "description": "Option to define build log streaming behavior to Google Cloud Storage.", "type": "string" }, "workerPool": { "description": "This field deprecated; please use `pool.name` instead.", "type": "string" }, "pool": { "description": "Optional. Specification for execution on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption" }, "requestedVerifyOption": { "type": "string", "enum": [ "NOT_VERIFIED", "VERIFIED" ], "description": "Requested verifiability options.", "enumDescriptions": [ "Not a verifiable build. (default)", "Verified build." ] } }, "description": "Optional arguments to enable specific features of builds." }, "BuilderConfig": { "id": "BuilderConfig", "type": "object", "properties": { "id": { "type": "string" } } }, "SlsaBuilder": { "type": "object", "properties": { "id": { "type": "string" } }, "id": "SlsaBuilder" }, "SlsaRecipe": { "id": "SlsaRecipe", "type": "object", "properties": { "entryPoint": { "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use.", "type": "string" }, "environment": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy. Depending on the recipe Type, the structure may be different." }, "type": { "type": "string", "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials." }, "definedInMaterial": { "type": "string", "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64.", "format": "int64" }, "arguments": { "type": "object", "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint. Depending on the recipe Type, the structure may be different.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe." }, "DSSEAttestationNote": { "type": "object", "properties": { "hint": { "description": "DSSEHint hints at the purpose of the attestation authority.", "$ref": "DSSEHint" } }, "id": "DSSEAttestationNote" }, "BuildProvenance": { "properties": { "sourceProvenance": { "description": "Details of the Source input to the build.", "$ref": "Source" }, "id": { "type": "string", "description": "Required. Unique identifier of the build." }, "createTime": { "type": "string", "description": "Time at which the build was created.", "format": "google-datetime" }, "builtArtifacts": { "items": { "$ref": "Artifact" }, "description": "Output of the build.", "type": "array" }, "builderVersion": { "description": "Version string of the builder at the time this build was executed.", "type": "string" }, "startTime": { "type": "string", "description": "Time at which execution of the build was started.", "format": "google-datetime" }, "endTime": { "description": "Time at which execution of the build was finished.", "format": "google-datetime", "type": "string" }, "logsUri": { "description": "URI where any logs for this provenance were written.", "type": "string" }, "creator": { "type": "string", "description": "E-mail address of the user who initiated this build. Note that this was the user's e-mail address at the time the build was initiated; this address may not represent the same end-user for all time." }, "commands": { "items": { "$ref": "Command" }, "description": "Commands requested by the build.", "type": "array" }, "buildOptions": { "type": "object", "description": "Special options applied to this build. This is a catch-all field where build providers can enter any desired additional details.", "additionalProperties": { "type": "string" } }, "triggerId": { "type": "string", "description": "Trigger identifier if the build was triggered automatically; empty if not." }, "projectId": { "description": "ID of the project.", "type": "string" } }, "description": "Provenance of a build. Contains all information needed to verify the full details about the build from source to completion.", "id": "BuildProvenance", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance": { "properties": { "fileHashes": { "type": "object", "description": "Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that `FileHashes` will only be populated if `BuildOptions` has requested a `SourceProvenanceHash`. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (`.tar.gz`), the `FileHash` will be for the single path to that file.", "readOnly": true, "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes" } }, "resolvedRepoSource": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "description": "A copy of the build's `source.repo_source`, if exists, with any revisions resolved." }, "resolvedStorageSourceManifest": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "description": "A copy of the build's `source.storage_source_manifest`, if exists, with any revisions resolved. This feature is in Preview." }, "resolvedStorageSource": { "description": "A copy of the build's `source.storage_source`, if exists, with any generations resolved.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" } }, "description": "Provenance of the source. Ways to find the original source, or verify that some source was used for this build.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance" }, "UpgradeNote": { "properties": { "windowsUpdate": { "$ref": "WindowsUpdate", "description": "Required for Windows OS. Represents the metadata about the Windows update." }, "package": { "description": "Required for non-Windows OS. The package this Upgrade is for.", "type": "string" }, "version": { "$ref": "Version", "description": "Required for non-Windows OS. The version of the package in machine + human readable form." }, "distributions": { "description": "Metadata about the upgrade for each specific operating system.", "items": { "$ref": "UpgradeDistribution" }, "type": "array" } }, "description": "An Upgrade Note represents a potential upgrade of a package to a given version. For each package version combination (i.e. bash 4.0, bash 4.1, bash 4.1.2), there will be an Upgrade Note. For Windows, windows_update field represents the information related to the update.", "id": "UpgradeNote", "type": "object" }, "Version": { "type": "object", "id": "Version", "description": "Version contains structured information about the version of a package.", "properties": { "fullName": { "description": "Human readable version string. This string is of the form :- and is only set when kind is NORMAL.", "type": "string" }, "revision": { "type": "string", "description": "The iteration of the package build from the above version." }, "epoch": { "format": "int32", "description": "Used to correct mistakes in the version numbering scheme.", "type": "integer" }, "inclusive": { "type": "boolean", "description": "Whether this version is specifying part of an inclusive range. Grafeas does not have the capability to specify version ranges; instead we have fields that specify start version and end versions. At times this is insufficient - we also need to specify whether the version is included in the range or is excluded from the range. This boolean is expected to be set to true when the version is included in a range." }, "name": { "type": "string", "description": "Required only when version kind is NORMAL. The main part of the version name." }, "kind": { "enumDescriptions": [ "Unknown.", "A standard package version.", "A special version representing negative infinity.", "A special version representing positive infinity." ], "description": "Required. Distinguishes between sentinel MIN/MAX versions and normal versions.", "enum": [ "VERSION_KIND_UNSPECIFIED", "NORMAL", "MINIMUM", "MAXIMUM" ], "type": "string" } } }, "AliasContext": { "type": "object", "properties": { "name": { "type": "string", "description": "The alias name." }, "kind": { "enum": [ "KIND_UNSPECIFIED", "FIXED", "MOVABLE", "OTHER" ], "description": "The alias kind.", "enumDescriptions": [ "Unknown.", "Git tag.", "Git branch.", "Used to specify non-standard aliases. For example, if a Git repo has a ref named \"refs/foo/bar\"." ], "type": "string" } }, "description": "An alias to a repo revision.", "id": "AliasContext" }, "ComplianceNote": { "id": "ComplianceNote", "properties": { "title": { "type": "string", "description": "The title that identifies this compliance check." }, "scanInstructions": { "format": "byte", "type": "string", "description": "Serialized scan instructions with a predefined format." }, "rationale": { "description": "A rationale for the existence of this compliance check.", "type": "string" }, "version": { "description": "The OS and config versions the benchmark applies to.", "items": { "$ref": "ComplianceVersion" }, "type": "array" }, "description": { "type": "string", "description": "A description about this compliance check." }, "cisBenchmark": { "$ref": "CisBenchmark" }, "remediation": { "type": "string", "description": "A description of remediation steps if the compliance check fails." } }, "type": "object" }, "BatchCreateNotesRequest": { "type": "object", "properties": { "notes": { "description": "Required. The notes to create. Max allowed length is 1000.", "type": "object", "additionalProperties": { "$ref": "Note" } } }, "description": "Request to create notes in batch.", "id": "BatchCreateNotesRequest" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder": { "type": "object", "description": "Identifies the entity that executed the recipe, which is trusted to have correctly performed the operation and populated this provenance.", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder", "properties": { "id": { "type": "string" } } }, "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial": { "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on.", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial", "type": "object", "properties": { "digest": { "additionalProperties": { "type": "string" }, "type": "object" }, "uri": { "type": "string" } } }, "Fingerprint": { "type": "object", "description": "A set of properties that uniquely identify a given Docker image.", "properties": { "v1Name": { "type": "string", "description": "Required. The layer ID of the final layer in the Docker image's v1 representation." }, "v2Name": { "description": "Output only. The name of the image's v2 blobs computed via: [bottom] := v2_blobbottom := sha256(v2_blob[N] + \" \" + v2_name[N+1]) Only the name of the final blob is kept.", "type": "string" }, "v2Blob": { "items": { "type": "string" }, "description": "Required. The ordered list of v2 blobs that represent a given image.", "type": "array" } }, "id": "Fingerprint" }, "Category": { "id": "Category", "type": "object", "properties": { "categoryId": { "type": "string", "description": "The identifier of the category." }, "name": { "description": "The localized name of the category.", "type": "string" } }, "description": "The category to which the update belongs." }, "GetPolicyOptions": { "type": "object", "id": "GetPolicyOptions", "description": "Encapsulates settings provided to GetIamPolicy.", "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } }, "PackageIssue": { "description": "A detail for a distro and package this vulnerability occurrence was found in and its associated fix (if one is available).", "id": "PackageIssue", "properties": { "fixedCpeUri": { "type": "string", "description": "The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability was fixed in. It is possible for this to be different from the affected_cpe_uri." }, "affectedVersion": { "description": "Required. The version of the package that is installed on the resource affected by this vulnerability.", "$ref": "Version" }, "fixedVersion": { "$ref": "Version", "description": "Required. The version of the package this vulnerability was fixed in. Setting this to VersionKind.MAXIMUM means no fix is yet available." }, "affectedCpeUri": { "description": "Required. The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability was found in.", "type": "string" }, "packageType": { "type": "string", "description": "The type of package (e.g. OS, MAVEN, GO)." }, "fixAvailable": { "description": "Output only. Whether a fix is available for this package.", "type": "boolean" }, "effectiveSeverity": { "type": "string", "readOnly": true, "description": "Output only. The distro or language system assigned severity for this vulnerability when that is available and note provider assigned severity when it is not available.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ] }, "affectedPackage": { "type": "string", "description": "Required. The package this vulnerability was found in." }, "fileLocation": { "type": "array", "items": { "$ref": "GrafeasV1FileLocation" }, "description": "The location at which this package was found." }, "fixedPackage": { "type": "string", "description": "The package this vulnerability was fixed in. It is possible for this to be different from the affected_package." } }, "type": "object" }, "WindowsUpdate": { "id": "WindowsUpdate", "properties": { "categories": { "type": "array", "description": "The list of categories to which the update belongs.", "items": { "$ref": "Category" } }, "lastPublishedTimestamp": { "type": "string", "description": "The last published timestamp of the update.", "format": "google-datetime" }, "title": { "type": "string", "description": "The localized title of the update." }, "description": { "type": "string", "description": "The localized description of the update." }, "kbArticleIds": { "type": "array", "items": { "type": "string" }, "description": "The Microsoft Knowledge Base article IDs that are associated with the update." }, "identity": { "description": "Required - The unique identifier for the update.", "$ref": "Identity" }, "supportUrl": { "type": "string", "description": "The hyperlink to the support information for the update." } }, "description": "Windows Update represents the metadata about the update for the Windows operating system. The fields in this message come from the Windows Update API documented at https://docs.microsoft.com/en-us/windows/win32/api/wuapi/nn-wuapi-iupdate.", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval", "type": "object", "properties": { "result": { "description": "Output only. Result of manual approval for this Build.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult" }, "config": { "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig", "description": "Output only. Configuration for manual approval of this build." }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "APPROVED", "REJECTED", "CANCELLED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build approval is pending.", "Build approval has been approved.", "Build approval has been rejected.", "Build was cancelled while it was still pending approval." ], "readOnly": true, "description": "Output only. The state of this build's approval.", "type": "string" } }, "description": "BuildApproval describes a build's approval configuration, state, and result." }, "CisBenchmark": { "properties": { "profileLevel": { "type": "integer", "format": "int32" }, "severity": { "type": "string", "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ] } }, "type": "object", "description": "A compliance check that is a CIS benchmark.", "id": "CisBenchmark" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "DSSEAttestationOccurrence": { "type": "object", "id": "DSSEAttestationOccurrence", "properties": { "statement": { "$ref": "InTotoStatement" }, "envelope": { "$ref": "Envelope", "description": "If doing something security critical, make sure to verify the signatures in this metadata." } }, "description": "Deprecated. Prefer to use a regular Occurrence, and populate the Envelope at the top level of the Occurrence." }, "ListNotesResponse": { "type": "object", "properties": { "notes": { "items": { "$ref": "Note" }, "type": "array", "description": "The notes requested." }, "nextPageToken": { "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results.", "type": "string" } }, "id": "ListNotesResponse", "description": "Response for listing notes." }, "Metadata": { "description": "Other properties of the build.", "id": "Metadata", "properties": { "buildStartedOn": { "type": "string", "format": "google-datetime", "description": "The timestamp of when the build started." }, "completeness": { "$ref": "Completeness", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "reproducible": { "type": "boolean", "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output." }, "buildFinishedOn": { "type": "string", "description": "The timestamp of when the build completed.", "format": "google-datetime" }, "buildInvocationId": { "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec.", "type": "string" } }, "type": "object" }, "Command": { "properties": { "dir": { "description": "Working directory (relative to project source root) used when running this command.", "type": "string" }, "waitFor": { "items": { "type": "string" }, "description": "The ID(s) of the command(s) that this command depends on.", "type": "array" }, "id": { "type": "string", "description": "Optional unique identifier for this command, used in wait_for to reference this command as a dependency." }, "name": { "type": "string", "description": "Required. Name of the command, as presented on the command line, or if the command is packaged as a Docker container, as presented to `docker pull`." }, "args": { "description": "Command-line arguments used when executing this command.", "items": { "type": "string" }, "type": "array" }, "env": { "type": "array", "items": { "type": "string" }, "description": "Environment variables set before running this command." } }, "type": "object", "description": "Command describes a step performed as part of the build pipeline.", "id": "Command" }, "Hash": { "description": "Container message for hash values.", "id": "Hash", "properties": { "type": { "type": "string", "description": "Required. The type of hash that was performed, e.g. \"SHA-256\"." }, "value": { "description": "Required. The hash value.", "format": "byte", "type": "string" } }, "type": "object" }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest": { "type": "object", "properties": { "bucket": { "type": "string", "description": "Google Cloud Storage bucket containing the source manifest (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements))." }, "object": { "description": "Google Cloud Storage object containing the source manifest. This object must be a JSON file.", "type": "string" }, "generation": { "type": "string", "format": "int64", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used." } }, "description": "Location of the source manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher).", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest" }, "WindowsDetail": { "type": "object", "properties": { "fixingKbs": { "type": "array", "description": "Required. The names of the KBs which have hotfixes to mitigate this vulnerability. Note that there may be multiple hotfixes (and thus multiple KBs) that mitigate a given vulnerability. Currently any listed KBs presence is considered a fix.", "items": { "$ref": "KnowledgeBase" } }, "description": { "type": "string", "description": "The description of this vulnerability." }, "cpeUri": { "type": "string", "description": "Required. The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability affects." }, "name": { "description": "Required. The name of this vulnerability.", "type": "string" } }, "id": "WindowsDetail" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts": { "properties": { "images": { "type": "array", "description": "A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account's credentials. The digests of the pushed images will be stored in the Build resource's results field. If any of the images fail to be pushed, the build is marked FAILURE.", "items": { "type": "string" } }, "objects": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects", "description": "A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account's credentials. The location and generation of the uploaded objects will be stored in the Build resource's results field. If any objects fail to be pushed, the build is marked FAILURE." } }, "type": "object", "description": "Artifacts produced by a build that should be uploaded upon successful completion of all build steps.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts" }, "SlsaMetadata": { "id": "SlsaMetadata", "type": "object", "properties": { "buildStartedOn": { "type": "string", "format": "google-datetime", "description": "The timestamp of when the build started." }, "reproducible": { "type": "boolean", "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output." }, "buildFinishedOn": { "description": "The timestamp of when the build completed.", "type": "string", "format": "google-datetime" }, "completeness": { "description": "Indicates that the builder claims certain fields in this message to be complete.", "$ref": "SlsaCompleteness" }, "buildInvocationId": { "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec.", "type": "string" } }, "description": "Other properties of the build." }, "GitSourceContext": { "description": "A GitSourceContext denotes a particular revision in a third party Git repository (e.g., GitHub).", "properties": { "revisionId": { "type": "string", "description": "Git commit hash." }, "url": { "description": "Git repository URL.", "type": "string" } }, "id": "GitSourceContext", "type": "object" }, "License": { "description": "License information.", "id": "License", "properties": { "expression": { "description": "Often a single license can be used to represent the licensing terms. Sometimes it is necessary to include a choice of one or more licenses or some combination of license identifiers. Examples: \"LGPL-2.1-only OR MIT\", \"LGPL-2.1-only AND MIT\", \"GPL-2.0-or-later WITH Bison-exception-2.2\".", "type": "string" }, "comments": { "description": "Comments", "type": "string" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Build": { "properties": { "statusDetail": { "readOnly": true, "description": "Output only. Customer-readable message about the current status.", "type": "string" }, "queueTtl": { "format": "google-duration", "type": "string", "description": "TTL in queue for this build. If provided and the build is enqueued longer than this value, the build will expire and the build status will be `EXPIRED`. The TTL starts ticking from create_time." }, "substitutions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Substitutions data for `Build` resource." }, "options": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions", "description": "Special options for this build." }, "warnings": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning" }, "readOnly": true, "description": "Output only. Non-fatal problems encountered during the execution of the build.", "type": "array" }, "sourceProvenance": { "description": "Output only. A permanent fixed identifier for source.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance", "readOnly": true }, "name": { "description": "Output only. The 'Build' name with format: `projects/{project}/locations/{location}/builds/{build}`, where {build} is a unique identifier generated by the service.", "type": "string", "readOnly": true }, "logUrl": { "description": "Output only. URL to logs for this build in Google Cloud Console.", "type": "string", "readOnly": true }, "steps": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep" }, "description": "Required. The operations to be performed on the workspace.", "type": "array" }, "images": { "items": { "type": "string" }, "type": "array", "description": "A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account's credentials. The digests of the pushed images will be stored in the `Build` resource's results field. If any of the images fail to be pushed, the build status is marked `FAILURE`." }, "source": { "description": "The location of the source files to build.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source" }, "availableSecrets": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets", "description": "Secrets and secret environment variables." }, "timing": { "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "type": "object", "description": "Output only. Stores timing information for phases of the build. Valid keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BUILD: time to execute all build steps. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PUSH: time to push all specified images. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FETCHSOURCE: time to fetch source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SETUPBUILD: time to set up build. If the build does not specify source or images, these keys will not be included.", "readOnly": true }, "finishTime": { "readOnly": true, "description": "Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build's execution.", "format": "google-datetime", "type": "string" }, "startTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Time at which execution of the build was started." }, "failureInfo": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo", "readOnly": true, "description": "Output only. Contains information about the build when status=FAILURE." }, "timeout": { "type": "string", "description": "Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be `TIMEOUT`. `timeout` starts ticking from `startTime`. Default time is ten minutes.", "format": "google-duration" }, "approval": { "readOnly": true, "description": "Output only. Describes this build's approval configuration, status, and result.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval" }, "serviceAccount": { "type": "string", "description": "IAM service account whose credentials will be used at build runtime. Must be of the format `projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}`. ACCOUNT can be email address or uniqueId of the service account. " }, "createTime": { "type": "string", "description": "Output only. Time at which the request to create the build was received.", "readOnly": true, "format": "google-datetime" }, "id": { "description": "Output only. Unique identifier of the build.", "type": "string", "readOnly": true }, "buildTriggerId": { "type": "string", "description": "Output only. The ID of the `BuildTrigger` that triggered this build, if it was triggered automatically.", "readOnly": true }, "tags": { "items": { "type": "string" }, "description": "Tags for annotation of a `Build`. These are not docker tags.", "type": "array" }, "logsBucket": { "type": "string", "description": "Google Cloud Storage bucket where logs should be written (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Logs file names will be of the format `${logs_bucket}/log-${build_id}.txt`." }, "results": { "description": "Output only. Results of the build.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results" }, "secrets": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret" }, "description": "Secrets to decrypt using Cloud Key Management Service. Note: Secret Manager is the recommended technique for managing sensitive data with Cloud Build. Use `available_secrets` to configure builds to access secrets from Secret Manager. For instructions, see: https://cloud.google.com/cloud-build/docs/securing-builds/use-secrets" }, "projectId": { "readOnly": true, "description": "Output only. ID of the project.", "type": "string" }, "artifacts": { "description": "Artifacts produced by the build that should be uploaded upon successful completion of all build steps.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts" }, "status": { "readOnly": true, "description": "Output only. Status of the build.", "type": "string", "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ] } }, "type": "object", "description": "A build resource in the Cloud Build API. At a high level, a `Build` describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $PROJECT_NUMBER: the project number of the build. - $LOCATION: the location/region of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Build" }, "Layer": { "type": "object", "id": "Layer", "properties": { "arguments": { "description": "The recovered arguments to the Dockerfile directive.", "type": "string" }, "directive": { "type": "string", "description": "Required. The recovered Dockerfile directive used to construct this layer. See https://docs.docker.com/engine/reference/builder/ for more information." } }, "description": "Layer holds metadata specific to a layer of a Docker image." }, "DeploymentOccurrence": { "id": "DeploymentOccurrence", "type": "object", "properties": { "deployTime": { "description": "Required. Beginning of the lifetime of this deployment.", "type": "string", "format": "google-datetime" }, "config": { "description": "Configuration used to create this deployment.", "type": "string" }, "userEmail": { "type": "string", "description": "Identity of the user that triggered this deployment." }, "undeployTime": { "type": "string", "description": "End of the lifetime of this deployment.", "format": "google-datetime" }, "address": { "type": "string", "description": "Address of the runtime element hosting this deployment." }, "resourceUri": { "type": "array", "items": { "type": "string" }, "description": "Output only. Resource URI for the artifact being deployed taken from the deployable field with the same name." }, "platform": { "description": "Platform hosting this deployment.", "enum": [ "PLATFORM_UNSPECIFIED", "GKE", "FLEX", "CUSTOM" ], "type": "string", "enumDescriptions": [ "Unknown.", "Google Container Engine.", "Google App Engine: Flexible Environment.", "Custom user-defined platform." ] } }, "description": "The period during which some deployable was active in a runtime." }, "Completeness": { "type": "object", "id": "Completeness", "description": "Indicates that the builder claims certain fields in this message to be complete.", "properties": { "environment": { "description": "If true, the builder claims that recipe.environment is claimed to be complete.", "type": "boolean" }, "materials": { "type": "boolean", "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\"." }, "arguments": { "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe.", "type": "boolean" } } }, "PackageOccurrence": { "id": "PackageOccurrence", "type": "object", "description": "Details on how a particular software package was installed on a system.", "properties": { "cpeUri": { "type": "string", "readOnly": true, "description": "Output only. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages." }, "name": { "readOnly": true, "type": "string", "description": "Required. Output only. The name of the installed package." }, "version": { "readOnly": true, "$ref": "Version", "description": "Output only. The version of the package." }, "license": { "$ref": "License", "description": "Licenses that have been declared by the authors of the package." }, "location": { "description": "All of the places within the filesystem versions of this package have been found.", "items": { "$ref": "Location" }, "type": "array" }, "architecture": { "description": "Output only. The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "type": "string", "readOnly": true }, "packageType": { "readOnly": true, "description": "Output only. The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.).", "type": "string" } } }, "ProjectRepoId": { "description": "Selects a repo using a Google Cloud Platform project ID (e.g., winged-cargo-31) and a repo name within that project.", "properties": { "repoName": { "description": "The name of the repo. Leave empty for the default repo.", "type": "string" }, "projectId": { "type": "string", "description": "The ID of the project." } }, "type": "object", "id": "ProjectRepoId" }, "Digest": { "properties": { "algo": { "description": "`SHA1`, `SHA512` etc.", "type": "string" }, "digestBytes": { "type": "string", "description": "Value of the digest.", "format": "byte" } }, "type": "object", "description": "Digest information.", "id": "Digest" }, "ComplianceOccurrence": { "id": "ComplianceOccurrence", "type": "object", "description": "An indication that the compliance checks in the associated ComplianceNote were not satisfied for particular resources or a specified reason.", "properties": { "nonCompliantFiles": { "items": { "$ref": "NonCompliantFile" }, "type": "array" }, "nonComplianceReason": { "type": "string" } } }, "DiscoveryOccurrence": { "id": "DiscoveryOccurrence", "properties": { "lastScanTime": { "type": "string", "format": "google-datetime", "description": "The last time this resource was scanned." }, "cpe": { "description": "The CPE of the resource being scanned.", "type": "string" }, "archiveTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time occurrences related to this discovery occurrence were archived." }, "continuousAnalysis": { "type": "string", "description": "Whether the resource is continuously analyzed.", "enumDescriptions": [ "Unknown.", "The resource is continuously analyzed.", "The resource is ignored for continuous analysis." ], "enum": [ "CONTINUOUS_ANALYSIS_UNSPECIFIED", "ACTIVE", "INACTIVE" ] }, "analysisStatus": { "description": "The status of discovery for the resource.", "enum": [ "ANALYSIS_STATUS_UNSPECIFIED", "PENDING", "SCANNING", "FINISHED_SUCCESS", "FINISHED_FAILED", "FINISHED_UNSUPPORTED" ], "type": "string", "enumDescriptions": [ "Unknown.", "Resource is known but no action has been taken yet.", "Resource is being analyzed.", "Analysis has finished successfully.", "Analysis has finished unsuccessfully, the analysis itself is in a bad state.", "The resource is known not to be supported" ] }, "analysisStatusError": { "description": "When an error is encountered this will contain a LocalizedMessage under details to show to the user. The LocalizedMessage is output only and populated by the API.", "$ref": "Status" } }, "description": "Provides information about the analysis status of a discovered resource.", "type": "object" }, "ImageNote": { "properties": { "resourceUrl": { "type": "string", "description": "Required. Immutable. The resource_url for the resource representing the basis of associated occurrence images." }, "fingerprint": { "$ref": "Fingerprint", "description": "Required. Immutable. The fingerprint of the base image." } }, "type": "object", "description": "Basis describes the base image portion (Note) of the DockerImage relationship. Linked occurrences are derived from this or an equivalent image via: FROM Or an equivalent reference, e.g., a tag of the resource_url.", "id": "ImageNote" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Source": { "description": "Location of the source in a supported storage service.", "type": "object", "properties": { "storageSource": { "description": "If provided, get the source from this location in Google Cloud Storage.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" }, "repoSource": { "description": "If provided, get the source from this location in a Cloud Source Repository.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource" }, "storageSourceManifest": { "description": "If provided, get the source from this manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher).", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source" }, "Occurrence": { "type": "object", "description": "An instance of an analysis type that has been found on a resource.", "properties": { "kind": { "type": "string", "description": "Output only. This explicitly denotes which of the occurrence details are specified. This field can be used as a filter in list requests.", "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available package upgrade.", "This represents a Compliance Note", "This represents a DSSE attestation Note" ], "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "UPGRADE", "COMPLIANCE", "DSSE_ATTESTATION" ] }, "dsseAttestation": { "$ref": "DSSEAttestationOccurrence", "description": "Describes an attestation of an artifact using dsse." }, "image": { "$ref": "ImageOccurrence", "description": "Describes how this resource derives from the basis in the associated note." }, "vulnerability": { "description": "Describes a security vulnerability.", "$ref": "VulnerabilityOccurrence" }, "attestation": { "$ref": "AttestationOccurrence", "description": "Describes an attestation of an artifact." }, "resourceUri": { "description": "Required. Immutable. A URI that represents the resource for which the occurrence applies. For example, `https://gcr.io/project/image@sha256:123abc` for a Docker image.", "type": "string" }, "noteName": { "type": "string", "description": "Required. Immutable. The analysis note associated with this occurrence, in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`. This field can be used as a filter in list requests." }, "compliance": { "$ref": "ComplianceOccurrence", "description": "Describes a compliance violation on a linked resource." }, "upgrade": { "description": "Describes an available package upgrade on the linked resource.", "$ref": "UpgradeOccurrence" }, "build": { "description": "Describes a verifiable build.", "$ref": "BuildOccurrence" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time this occurrence was created." }, "remediation": { "type": "string", "description": "A description of actions that can be taken to remedy the note." }, "envelope": { "$ref": "Envelope", "description": "https://github.com/secure-systems-lab/dsse" }, "deployment": { "description": "Describes the deployment of an artifact on a runtime.", "$ref": "DeploymentOccurrence" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this occurrence was last updated." }, "package": { "description": "Describes the installation of a package on the linked resource.", "$ref": "PackageOccurrence" }, "discovery": { "$ref": "DiscoveryOccurrence", "description": "Describes when a resource was discovered." }, "name": { "type": "string", "description": "Output only. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`." } }, "id": "Occurrence" }, "Binding": { "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "type": "object" }, "EnvelopeSignature": { "properties": { "keyid": { "type": "string" }, "sig": { "type": "string", "format": "byte" } }, "type": "object", "id": "EnvelopeSignature" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource": { "description": "Location of the source in an archive file in Google Cloud Storage.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource", "type": "object", "properties": { "generation": { "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "format": "int64", "type": "string" }, "bucket": { "type": "string", "description": "Google Cloud Storage bucket containing the source (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements))." }, "object": { "type": "string", "description": "Google Cloud Storage object containing the source. This object must be a zipped (`.zip`) or gzipped archive file (`.tar.gz`) containing source to build." } } }, "CloudRepoSourceContext": { "description": "A CloudRepoSourceContext denotes a particular revision in a Google Cloud Source Repo.", "type": "object", "id": "CloudRepoSourceContext", "properties": { "repoId": { "$ref": "RepoId", "description": "The ID of the repo." }, "aliasContext": { "$ref": "AliasContext", "description": "An alias, which may be a branch or tag." }, "revisionId": { "type": "string", "description": "A revision ID." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Results": { "type": "object", "description": "Artifacts created by the build pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results", "properties": { "numArtifacts": { "description": "Number of artifacts uploaded. Only populated when artifacts are uploaded.", "type": "string", "format": "int64" }, "artifactManifest": { "type": "string", "description": "Path to the artifact manifest. Only populated when artifacts are uploaded." }, "images": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage" }, "description": "Container images that were built as a part of the build." }, "artifactTiming": { "description": "Time to push all non-container artifacts.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "buildStepOutputs": { "type": "array", "description": "List of build step outputs, produced by builder images, in the order corresponding to build step indices. [Cloud Builders](https://cloud.google.com/cloud-build/docs/cloud-builders) can produce this output by writing to `$BUILDER_OUTPUT/output`. Only the first 4KB of data is stored.", "items": { "type": "string", "format": "byte" } }, "buildStepImages": { "description": "List of build step digests, in the order corresponding to build step indices.", "type": "array", "items": { "type": "string" } } } }, "DSSEHint": { "id": "DSSEHint", "description": "This submessage provides human-readable hints about the purpose of the authority. Because the name of a note acts as its resource reference, it is important to disambiguate the canonical name of the Note (which might be a UUID for security purposes) from \"readable\" names more suitable for debug output. Note that these hints should not be used to look up authorities in security sensitive contexts, such as when looking up attestations to verify.", "properties": { "humanReadableName": { "description": "Required. The human readable name of this attestation authority, for example \"cloudbuild-prod\".", "type": "string" } }, "type": "object" }, "GrafeasV1FileLocation": { "id": "GrafeasV1FileLocation", "description": "Indicates the location at which a package was found.", "type": "object", "properties": { "filePath": { "type": "string", "description": "For jars that are contained inside .war files, this filepath can indicate the path to war file combined with the path to jar file." } } }, "VulnerabilityOccurrencesSummary": { "description": "A summary of how many vulnerability occurrences there are per resource and severity type.", "type": "object", "id": "VulnerabilityOccurrencesSummary", "properties": { "counts": { "description": "A listing by resource of the number of fixable and total vulnerabilities.", "type": "array", "items": { "$ref": "FixableTotalByDigest" } } } }, "Envelope": { "type": "object", "properties": { "signatures": { "items": { "$ref": "EnvelopeSignature" }, "type": "array" }, "payloadType": { "type": "string" }, "payload": { "type": "string", "format": "byte" } }, "description": "MUST match https://github.com/secure-systems-lab/dsse/blob/master/envelope.proto. An authenticated message of arbitrary type.", "id": "Envelope" }, "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata": { "properties": { "createTime": { "description": "Output only. The time this operation was created.", "format": "google-datetime", "type": "string" }, "endTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time that this operation was marked completed or failed." } }, "type": "object", "description": "Metadata for all operations used and required for all operations that created by Container Analysis Providers", "id": "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata" }, "SetIamPolicyRequest": { "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "id": "SetIamPolicyRequest", "type": "object", "description": "Request message for `SetIamPolicy` method." }, "SlsaProvenance": { "type": "object", "properties": { "builder": { "$ref": "SlsaBuilder", "description": "required" }, "metadata": { "$ref": "SlsaMetadata" }, "materials": { "items": { "$ref": "Material" }, "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty.", "type": "array" }, "recipe": { "$ref": "SlsaRecipe", "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible). required" } }, "id": "SlsaProvenance" }, "CVSS": { "type": "object", "id": "CVSS", "description": "Common Vulnerability Scoring System. For details, see https://www.first.org/cvss/specification-document This is a message we will try to use for storing various versions of CVSS rather than making a separate proto for storing a specific version.", "properties": { "attackVector": { "enumDescriptions": [ "", "", "", "", "" ], "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments.", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ], "type": "string" }, "privilegesRequired": { "type": "string", "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "enumDescriptions": [ "", "", "", "" ] }, "userInteraction": { "type": "string", "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ], "enumDescriptions": [ "", "", "" ] }, "integrityImpact": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string" }, "baseScore": { "format": "float", "type": "number", "description": "The base score is a function of the base metric scores." }, "authentication": { "enum": [ "AUTHENTICATION_UNSPECIFIED", "AUTHENTICATION_MULTIPLE", "AUTHENTICATION_SINGLE", "AUTHENTICATION_NONE" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "availabilityImpact": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] }, "confidentialityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "exploitabilityScore": { "type": "number", "format": "float" }, "scope": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "impactScore": { "type": "number", "format": "float" }, "attackComplexity": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ] } } }, "Hint": { "properties": { "humanReadableName": { "type": "string", "description": "Required. The human readable name of this attestation authority, for example \"qa\"." } }, "id": "Hint", "type": "object", "description": "This submessage provides human-readable hints about the purpose of the authority. Because the name of a note acts as its resource reference, it is important to disambiguate the canonical name of the Note (which might be a UUID for security purposes) from \"readable\" names more suitable for debug output. Note that these hints should not be used to look up authorities in security sensitive contexts, such as when looking up attestations to verify." }, "Note": { "type": "object", "properties": { "discovery": { "$ref": "DiscoveryNote", "description": "A note describing the initial analysis of a resource." }, "image": { "$ref": "ImageNote", "description": "A note describing a base image." }, "package": { "$ref": "PackageNote", "description": "A note describing a package hosted by various package managers." }, "compliance": { "description": "A note describing a compliance check.", "$ref": "ComplianceNote" }, "dsseAttestation": { "description": "A note describing a dsse attestation note.", "$ref": "DSSEAttestationNote" }, "deployment": { "description": "A note describing something that can be deployed.", "$ref": "DeploymentNote" }, "build": { "description": "A note describing build provenance for a verifiable build.", "$ref": "BuildNote" }, "attestation": { "$ref": "AttestationNote", "description": "A note describing an attestation role." }, "kind": { "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available package upgrade.", "This represents a Compliance Note", "This represents a DSSE attestation Note" ], "type": "string", "description": "Output only. The type of analysis. This field can be used as a filter in list requests.", "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "UPGRADE", "COMPLIANCE", "DSSE_ATTESTATION" ] }, "updateTime": { "description": "Output only. The time this note was last updated. This field can be used as a filter in list requests.", "type": "string", "format": "google-datetime" }, "vulnerability": { "$ref": "VulnerabilityNote", "description": "A note describing a package vulnerability." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this note was created. This field can be used as a filter in list requests." }, "expirationTime": { "description": "Time of expiration for this note. Empty if note does not expire.", "format": "google-datetime", "type": "string" }, "upgrade": { "description": "A note describing available package upgrades.", "$ref": "UpgradeNote" }, "relatedNoteNames": { "type": "array", "description": "Other notes related to this note.", "items": { "type": "string" } }, "relatedUrl": { "type": "array", "items": { "$ref": "RelatedUrl" }, "description": "URLs associated with this note." }, "shortDescription": { "type": "string", "description": "A one sentence description of this note." }, "longDescription": { "description": "A detailed description of this note.", "type": "string" }, "name": { "type": "string", "description": "Output only. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`." } }, "description": "A type of analysis that can be done for a resource.", "id": "Note" }, "InTotoStatement": { "description": "Spec defined at https://github.com/in-toto/attestation/tree/main/spec#statement The serialized InTotoStatement will be stored as Envelope.payload. Envelope.payloadType is always \"application/vnd.in-toto+json\".", "type": "object", "id": "InTotoStatement", "properties": { "subject": { "items": { "$ref": "Subject" }, "type": "array" }, "provenance": { "$ref": "InTotoProvenance" }, "_type": { "type": "string", "description": "Always `https://in-toto.io/Statement/v0.1`." }, "predicateType": { "type": "string", "description": "`https://slsa.dev/provenance/v0.1` for SlsaProvenance." }, "slsaProvenanceZeroTwo": { "$ref": "SlsaProvenanceZeroTwo" }, "slsaProvenance": { "$ref": "SlsaProvenance" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects": { "description": "Files in the workspace to upload to Cloud Storage upon successful completion of all build steps.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects", "type": "object", "properties": { "timing": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "description": "Output only. Stores timing information for pushing all artifact objects.", "readOnly": true }, "paths": { "type": "array", "items": { "type": "string" }, "description": "Path globs used to match files in the build's workspace." }, "location": { "description": "Cloud Storage bucket and optional object path, in the form \"gs://bucket/path/to/somewhere/\". (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix.", "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource": { "properties": { "branchName": { "type": "string", "description": "Regex matching branches to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax" }, "substitutions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Substitutions to use in a triggered build. Should only be used with RunBuildTrigger" }, "dir": { "description": "Directory, relative to the source root, in which to run the build. This must be a relative path. If a step's `dir` is specified and is an absolute path, this value is ignored for that step's execution.", "type": "string" }, "invertRegex": { "description": "Only trigger a build if the revision regex does NOT match the revision regex.", "type": "boolean" }, "projectId": { "type": "string", "description": "ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed." }, "repoName": { "description": "Name of the Cloud Source Repository.", "type": "string" }, "commitSha": { "type": "string", "description": "Explicit commit SHA to build." }, "tagName": { "description": "Regex matching tags to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" } }, "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "description": "Location of the source in a Google Cloud Source Repository." }, "Jwt": { "properties": { "compactJwt": { "description": "The compact encoding of a JWS, which is always three base64 encoded strings joined by periods. For details, see: https://tools.ietf.org/html/rfc7515.html#section-3.1", "type": "string" } }, "id": "Jwt", "type": "object" }, "NonCompliantFile": { "description": "Details about files that caused a compliance check to fail. display_command is a single command that can be used to display a list of non compliant files. When there is no such command, we can also iterate a list of non compliant file using 'path'.", "id": "NonCompliantFile", "type": "object", "properties": { "reason": { "description": "Explains why a file is non compliant for a CIS check.", "type": "string" }, "path": { "description": "Empty if `display_command` is set.", "type": "string" }, "displayCommand": { "type": "string", "description": "Command to display the non-compliant files." } } }, "PackageNote": { "properties": { "digest": { "description": "Hash value, typically a file digest, that allows unique identification a specific package.", "type": "array", "items": { "$ref": "Digest" } }, "distribution": { "description": "Deprecated. The various channels by which a package is distributed.", "type": "array", "items": { "$ref": "Distribution" } }, "cpeUri": { "description": "The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages.", "type": "string" }, "description": { "description": "The description of this package.", "type": "string" }, "version": { "$ref": "Version", "description": "The version of the package." }, "url": { "description": "The homepage for this package.", "type": "string" }, "packageType": { "type": "string", "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.)." }, "name": { "description": "Required. Immutable. The name of the package.", "type": "string" }, "license": { "$ref": "License", "description": "Licenses that have been declared by the authors of the package." }, "maintainer": { "description": "A freeform text denoting the maintainer of this package.", "type": "string" }, "architecture": { "description": "The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "type": "string" } }, "type": "object", "id": "PackageNote", "description": "PackageNote represents a particular package version." }, "BatchCreateNotesResponse": { "properties": { "notes": { "type": "array", "items": { "$ref": "Note" }, "description": "The notes that were created." } }, "description": "Response for creating notes in batch.", "type": "object", "id": "BatchCreateNotesResponse" }, "BatchCreateOccurrencesResponse": { "id": "BatchCreateOccurrencesResponse", "type": "object", "properties": { "occurrences": { "type": "array", "items": { "$ref": "Occurrence" }, "description": "The occurrences that were created." } }, "description": "Response for creating occurrences in batch." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep": { "properties": { "id": { "description": "Unique identifier for this build step, used in `wait_for` to reference this build step as a dependency.", "type": "string" }, "status": { "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "type": "string", "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "description": "Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses.", "readOnly": true }, "pullTiming": { "description": "Output only. Stores timing information for pulling this build step's builder image only.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "script": { "type": "string", "description": "A shell script to be executed in the step. When script is provided, the user cannot specify the entrypoint or args." }, "secretEnv": { "type": "array", "description": "A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`.", "items": { "type": "string" } }, "waitFor": { "items": { "type": "string" }, "type": "array", "description": "The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in `wait_for` have completed successfully. If `wait_for` is empty, this build step will start when all previous build steps in the `Build.Steps` list have completed successfully." }, "timeout": { "format": "google-duration", "description": "Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out.", "type": "string" }, "volumes": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "description": "List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration.", "type": "array" }, "env": { "items": { "type": "string" }, "description": "A list of environment variable definitions to be used when running a step. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "type": "array" }, "entrypoint": { "type": "string", "description": "Entrypoint to be used instead of the build step image's default entrypoint. If unset, the image's default entrypoint is used." }, "name": { "type": "string", "description": "Required. The name of the container image that will run this particular build step. If the image is available in the host's Docker daemon's cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account's credentials if necessary. The Docker daemon's cache will already have the latest versions of all of the officially supported build steps ([https://github.com/GoogleCloudPlatform/cloud-builders](https://github.com/GoogleCloudPlatform/cloud-builders)). The Docker daemon will also have cached many of the layers for some popular images, like \"ubuntu\", \"debian\", but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host's Docker daemon's cache and is available to use as the name for a later build step." }, "timing": { "description": "Output only. Stores timing information for executing this build step.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "readOnly": true }, "args": { "type": "array", "description": "A list of arguments that will be presented to the step when it is started. If the image used to run the step's container has an entrypoint, the `args` are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments.", "items": { "type": "string" } }, "dir": { "description": "Working directory to use when running this step's container. If this value is a relative path, it is relative to the build's working directory. If this value is absolute, it may be outside the build's working directory, in which case the contents of the path may not be persisted across build step executions, unless a `volume` for that path is specified. If the build specifies a `RepoSource` with `dir` and a step with a `dir`, which specifies an absolute path, the `RepoSource` `dir` is ignored for the step's execution.", "type": "string" } }, "type": "object", "description": "A step in the build pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep" }, "ListNoteOccurrencesResponse": { "description": "Response for listing occurrences for a note.", "type": "object", "id": "ListNoteOccurrencesResponse", "properties": { "occurrences": { "description": "The occurrences attached to the specified note.", "type": "array", "items": { "$ref": "Occurrence" } }, "nextPageToken": { "description": "Token to provide to skip to a particular spot in the list.", "type": "string" } } }, "Signature": { "type": "object", "properties": { "signature": { "description": "The content of the signature, an opaque bytestring. The payload that this signature verifies MUST be unambiguously provided with the Signature during verification. A wrapper message might provide the payload explicitly. Alternatively, a message might have a canonical serialization that can always be unambiguously computed to derive the payload.", "format": "byte", "type": "string" }, "publicKeyId": { "description": "The identifier for the public key that verifies this signature. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` SHOULD be an RFC3986 conformant URI. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When possible, the `public_key_id` SHOULD be an immutable reference, such as a cryptographic digest. Examples of valid `public_key_id`s: OpenPGP V4 public key fingerprint: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"openpgp4fpr:74FAF3B861BDA0870C7B6DEF607E48D2A663AEEA\" See https://www.iana.org/assignments/uri-schemes/prov/openpgp4fpr for more details on this scheme. RFC6920 digest-named SubjectPublicKeyInfo (digest of the DER serialization): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ni:///sha-256;cD9o9Cq6LG3jD0iKXqEi_vdjJGecm_iXkbqVoScViaU\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nih:///sha-256;703f68f42aba2c6de30f488a5ea122fef76324679c9bf89791ba95a1271589a5\"", "type": "string" } }, "id": "Signature", "description": "Verifiers (e.g. Kritis implementations) MUST verify signatures with respect to the trust anchors defined in policy (e.g. a Kritis policy). Typically this means that the verifier has been configured with a map from `public_key_id` to public key material (and any required parameters, e.g. signing algorithm). In particular, verification implementations MUST NOT treat the signature `public_key_id` as anything more than a key lookup hint. The `public_key_id` DOES NOT validate or authenticate a public key; it only provides a mechanism for quickly selecting a public key ALREADY CONFIGURED on the verifier through a trusted channel. Verification implementations MUST reject signatures in any of the following circumstances: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is not recognized by the verifier. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The public key that `public_key_id` refers to does not verify the signature with respect to the payload. The `signature` contents SHOULD NOT be \"attached\" (where the payload is included with the serialized `signature` bytes). Verifiers MUST ignore any \"attached\" payload and only verify signatures with respect to explicitly provided payload (e.g. a `payload` field on the proto message that holds this Signature, or the canonical serialization of the proto message that holds this signature)." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret": { "description": "Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Note: Use `kmsKeyName` with `available_secrets` instead of using `kmsKeyName` with `secret`. For instructions see: https://cloud.google.com/cloud-build/docs/securing-builds/use-encrypted-credentials.", "properties": { "kmsKeyName": { "description": "Cloud KMS key name to use to decrypt these envs.", "type": "string" }, "secretEnv": { "type": "object", "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets.", "additionalProperties": { "type": "string", "format": "byte" } } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret", "type": "object" }, "FileHashes": { "type": "object", "id": "FileHashes", "properties": { "fileHash": { "description": "Required. Collection of file hashes.", "type": "array", "items": { "$ref": "Hash" } } }, "description": "Container message for hashes of byte content of files, used in source messages to verify integrity of source input to the build." }, "SourceContext": { "id": "SourceContext", "type": "object", "description": "A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory.", "properties": { "gerrit": { "$ref": "GerritSourceContext", "description": "A SourceContext referring to a Gerrit project." }, "git": { "$ref": "GitSourceContext", "description": "A SourceContext referring to any third party Git repo (e.g., GitHub)." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels with user defined metadata.", "type": "object" }, "cloudRepo": { "description": "A SourceContext referring to a revision in a Google Cloud Source Repo.", "$ref": "CloudRepoSourceContext" } } }, "BatchCreateOccurrencesRequest": { "type": "object", "id": "BatchCreateOccurrencesRequest", "description": "Request to create occurrences in batch.", "properties": { "occurrences": { "items": { "$ref": "Occurrence" }, "type": "array", "description": "Required. The occurrences to create. Max allowed length is 1000." } } }, "KnowledgeBase": { "id": "KnowledgeBase", "properties": { "url": { "type": "string", "description": "A link to the KB in the [Windows update catalog] (https://www.catalog.update.microsoft.com/)." }, "name": { "description": "The KB name (generally of the form KB[0-9]+ (e.g., KB123456)).", "type": "string" } }, "type": "object" }, "AttestationNote": { "properties": { "hint": { "$ref": "Hint", "description": "Hint hints at the purpose of the attestation authority." } }, "description": "Note kind that represents a logical attestation \"role\" or \"authority\". For example, an organization might have one `Authority` for \"QA\" and one for \"build\". This note is intended to act strictly as a grouping mechanism for the attached occurrences (Attestations). This grouping mechanism also provides a security boundary, since IAM ACLs gate the ability for a principle to attach an occurrence to a given note. It also provides a single point of lookup to find all attached attestation occurrences, even if they don't all live in the same project.", "id": "AttestationNote", "type": "object" }, "SlsaProvenanceZeroTwo": { "type": "object", "properties": { "buildConfig": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "builder": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder" }, "materials": { "type": "array", "items": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial" } }, "buildType": { "type": "string" }, "metadata": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata" }, "invocation": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation" } }, "description": "See full explanation of fields at slsa.dev/provenance/v0.2.", "id": "SlsaProvenanceZeroTwo" }, "CVSSv3": { "type": "object", "id": "CVSSv3", "properties": { "exploitabilityScore": { "type": "number", "format": "float" }, "availabilityImpact": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string" }, "confidentialityImpact": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] }, "userInteraction": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "integrityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "baseScore": { "type": "number", "description": "The base score is a function of the base metric scores.", "format": "float" }, "impactScore": { "format": "float", "type": "number" }, "privilegesRequired": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ] }, "scope": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "attackComplexity": { "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ], "enumDescriptions": [ "", "", "" ], "type": "string" }, "attackVector": { "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments.", "type": "string", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ], "enumDescriptions": [ "", "", "", "", "" ] } }, "description": "Common Vulnerability Scoring System version 3. For details, see https://www.first.org/cvss/specification-document" }, "Location": { "id": "Location", "description": "An occurrence of a particular package installation found within a system's filesystem. E.g., glibc was found in `/var/lib/dpkg/status`.", "properties": { "path": { "description": "The path from which we gathered that this package/version is installed.", "type": "string" }, "version": { "description": "Deprecated. The version installed at this location.", "$ref": "Version" }, "cpeUri": { "type": "string", "description": "Deprecated. The CPE URI in [CPE format](https://cpe.mitre.org/specification/)" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan": { "description": "Start and end times for a build execution phase.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "type": "object", "properties": { "endTime": { "description": "End of time span.", "type": "string", "format": "google-datetime" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Start of time span." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets": { "properties": { "secretManager": { "description": "Secrets in Secret Manager and associated secret environment variable.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret" }, "type": "array" }, "inline": { "description": "Secrets encrypted with KMS key and the associated secret environment variable.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret" }, "type": "array" } }, "description": "Secrets and secret environment variables.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets", "type": "object" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource": { "description": "Describes where the config file that kicked off the build came from. This is effectively a pointer to the source where buildConfig came from.", "properties": { "digest": { "type": "object", "additionalProperties": { "type": "string" } }, "entryPoint": { "type": "string" }, "uri": { "type": "string" } }, "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource", "type": "object" }, "Subject": { "id": "Subject", "type": "object", "properties": { "digest": { "description": "`\"\": \"\"` Algorithms can be e.g. sha256, sha512 See https://github.com/in-toto/attestation/blob/main/spec/field_types.md#DigestSet", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "type": "string" } } } }, "description": "An implementation of the Grafeas API, which stores, and enables querying and retrieval of critical metadata about all of your software artifacts.", "parameters": { "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" } }, "id": "containeranalysis:v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "resources": { "projects": { "resources": { "occurrences": { "methods": { "testIamPermissions": { "id": "containeranalysis.projects.occurrences.testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "description": "Returns the permissions that a caller has on the specified note or occurrence. Requires list permission on the project (for example, `containeranalysis.notes.list`). The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}:testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "type": "string", "required": true, "location": "path" } } }, "batchCreate": { "httpMethod": "POST", "id": "containeranalysis.projects.occurrences.batchCreate", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "BatchCreateOccurrencesResponse" }, "path": "v1/{+parent}/occurrences:batchCreate", "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the occurrences are to be created.", "location": "path", "pattern": "^projects/[^/]+$" } }, "request": { "$ref": "BatchCreateOccurrencesRequest" }, "flatPath": "v1/projects/{projectsId}/occurrences:batchCreate", "description": "Creates new occurrences in batch." }, "patch": { "description": "Updates the specified occurrence.", "path": "v1/{+name}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "The fields to update.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/occurrences/[^/]+$", "location": "path", "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "type": "string", "required": true } }, "parameterOrder": [ "name" ], "id": "containeranalysis.projects.occurrences.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Occurrence" }, "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}", "response": { "$ref": "Occurrence" } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/occurrences/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}:setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified note or occurrence. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or an occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "id": "containeranalysis.projects.occurrences.setIamPolicy", "httpMethod": "POST" }, "getVulnerabilitySummary": { "response": { "$ref": "VulnerabilityOccurrencesSummary" }, "path": "v1/{+parent}/occurrences:vulnerabilitySummary", "id": "containeranalysis.projects.occurrences.getVulnerabilitySummary", "flatPath": "v1/projects/{projectsId}/occurrences:vulnerabilitySummary", "parameterOrder": [ "parent" ], "description": "Gets a summary of the number and severity of occurrences.", "parameters": { "filter": { "location": "query", "description": "The filter expression.", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the project to get a vulnerability summary for in the form of `projects/[PROJECT_ID]`." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "response": { "$ref": "Occurrence" }, "path": "v1/{+name}", "description": "Gets the specified occurrence.", "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}", "id": "containeranalysis.projects.occurrences.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`." } } }, "list": { "id": "containeranalysis.projects.occurrences.list", "description": "Lists occurrences for the specified project.", "parameters": { "filter": { "type": "string", "location": "query", "description": "The filter expression." }, "pageSize": { "description": "Number of occurrences to return in the list. Must be positive. Max allowed page size is 1000. If not specified, page size defaults to 20.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list.", "location": "query" }, "parent": { "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the project to list occurrences for in the form of `projects/[PROJECT_ID]`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/occurrences", "response": { "$ref": "ListOccurrencesResponse" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/occurrences" }, "create": { "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the occurrence is to be created." } }, "path": "v1/{+parent}/occurrences", "id": "containeranalysis.projects.occurrences.create", "flatPath": "v1/projects/{projectsId}/occurrences", "response": { "$ref": "Occurrence" }, "parameterOrder": [ "parent" ], "request": { "$ref": "Occurrence" }, "description": "Creates a new occurrence.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "GetIamPolicyRequest" }, "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}:getIamPolicy", "id": "containeranalysis.projects.occurrences.getIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "type": "string" } }, "description": "Gets the access control policy for a note or an occurrence resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences." }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the specified occurrence. For example, use this method to delete an occurrence when the occurrence is no longer applicable for the given resource.", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}", "response": { "$ref": "Empty" }, "parameters": { "name": { "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "required": true, "location": "path", "type": "string" } }, "path": "v1/{+name}", "httpMethod": "DELETE", "id": "containeranalysis.projects.occurrences.delete" }, "getNotes": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the note attached to the specified occurrence. Consumer projects can use this method to get a note that belongs to a provider project.", "flatPath": "v1/projects/{projectsId}/occurrences/{occurrencesId}/notes", "httpMethod": "GET", "parameters": { "name": { "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$" } }, "path": "v1/{+name}/notes", "id": "containeranalysis.projects.occurrences.getNotes", "parameterOrder": [ "name" ], "response": { "$ref": "Note" } } } }, "notes": { "methods": { "get": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/notes/{notesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "containeranalysis.projects.notes.get", "description": "Gets the specified note.", "response": { "$ref": "Note" }, "path": "v1/{+name}", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "pattern": "^projects/[^/]+/notes/[^/]+$" } } }, "list": { "path": "v1/{+parent}/notes", "parameters": { "filter": { "description": "The filter expression.", "location": "query", "type": "string" }, "pageToken": { "description": "Token to provide to skip to a particular spot in the list.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "Number of notes to return in the list. Must be positive. Max allowed page size is 1000. If not specified, page size defaults to 20.", "format": "int32" }, "parent": { "location": "path", "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the project to list notes for in the form of `projects/[PROJECT_ID]`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/notes", "httpMethod": "GET", "response": { "$ref": "ListNotesResponse" }, "parameterOrder": [ "parent" ], "id": "containeranalysis.projects.notes.list", "description": "Lists notes for the specified project." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "type": "string", "required": true } }, "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/notes/{notesId}", "response": { "$ref": "Empty" }, "description": "Deletes the specified note.", "path": "v1/{+name}", "id": "containeranalysis.projects.notes.delete", "parameterOrder": [ "name" ] }, "testIamPermissions": { "parameterOrder": [ "resource" ], "id": "containeranalysis.projects.notes.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/notes/{notesId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "description": "Returns the permissions that a caller has on the specified note or occurrence. Requires list permission on the project (for example, `containeranalysis.notes.list`). The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path" } }, "httpMethod": "POST" }, "patch": { "flatPath": "v1/projects/{projectsId}/notes/{notesId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "Note" }, "id": "containeranalysis.projects.notes.patch", "description": "Updates the specified note.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "pattern": "^projects/[^/]+/notes/[^/]+$", "required": true, "type": "string" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The fields to update." } }, "response": { "$ref": "Note" }, "httpMethod": "PATCH" }, "batchCreate": { "description": "Creates new notes in batch.", "id": "containeranalysis.projects.notes.batchCreate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "request": { "$ref": "BatchCreateNotesRequest" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the notes are to be created.", "pattern": "^projects/[^/]+$", "type": "string" } }, "path": "v1/{+parent}/notes:batchCreate", "flatPath": "v1/projects/{projectsId}/notes:batchCreate", "httpMethod": "POST", "response": { "$ref": "BatchCreateNotesResponse" } }, "setIamPolicy": { "description": "Sets the access control policy on the specified note or occurrence. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or an occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "flatPath": "v1/projects/{projectsId}/notes/{notesId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "id": "containeranalysis.projects.notes.setIamPolicy" }, "create": { "path": "v1/{+parent}/notes", "parameterOrder": [ "parent" ], "id": "containeranalysis.projects.notes.create", "description": "Creates a new note.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "noteId": { "type": "string", "location": "query", "description": "Required. The ID to use for this note." }, "parent": { "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the note is to be created.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/notes", "response": { "$ref": "Note" }, "request": { "$ref": "Note" } }, "getIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/notes/{notesId}:getIamPolicy", "httpMethod": "POST", "request": { "$ref": "GetIamPolicyRequest" }, "id": "containeranalysis.projects.notes.getIamPolicy", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "description": "Gets the access control policy for a note or an occurrence resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences." } }, "resources": { "occurrences": { "methods": { "list": { "path": "v1/{+name}/occurrences", "parameterOrder": [ "name" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "The filter expression." }, "pageToken": { "type": "string", "location": "query", "description": "Token to provide to skip to a particular spot in the list." }, "pageSize": { "type": "integer", "description": "Number of occurrences to return in the list.", "location": "query", "format": "int32" }, "name": { "required": true, "description": "Required. The name of the note to list occurrences for in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "pattern": "^projects/[^/]+/notes/[^/]+$", "type": "string", "location": "path" } }, "id": "containeranalysis.projects.notes.occurrences.list", "flatPath": "v1/projects/{projectsId}/notes/{notesId}/occurrences", "httpMethod": "GET", "response": { "$ref": "ListNoteOccurrencesResponse" }, "description": "Lists occurrences referencing the specified note. Provider projects can use this method to get all occurrences across consumer projects referencing the specified note.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } }, "basePath": "", "canonicalName": "Container Analysis" }
]===]))
