local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://containeranalysis.mtls.googleapis.com/", "resources": { "projects": { "resources": { "occurrences": { "methods": { "delete": { "httpMethod": "DELETE", "description": "Deletes the given `Occurrence` from the system. Use this when an `Occurrence` is no longer applicable for the given resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "id": "containeranalysis.projects.occurrences.delete", "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$", "description": "The name of the occurrence in the form of \"projects/{project_id}/occurrences/{OCCURRENCE_ID}\"", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ] }, "testIamPermissions": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}:testIamPermissions", "httpMethod": "POST", "description": "Returns the permissions that a caller has on the specified note or occurrence resource. Requires list permission on the project (for example, \"storage.objects.list\" on the containing bucket for testing permission of an object). Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for `Occurrences` and `projects/{PROJECT_ID}/notes/{NOTE_ID}` for `Notes`", "path": "v1alpha1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "id": "containeranalysis.projects.occurrences.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } }, "list": { "path": "v1alpha1/{+parent}/occurrences", "parameters": { "pageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "description": "This contains the project Id for example: projects/{project_id}.", "required": true, "location": "path", "type": "string" }, "kind": { "enum": [ "KIND_UNSPECIFIED", "PACKAGE_VULNERABILITY", "BUILD_DETAILS", "IMAGE_BASIS", "PACKAGE_MANAGER", "DEPLOYABLE", "DISCOVERY", "ATTESTATION_AUTHORITY", "UPGRADE", "COMPLIANCE", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP", "DSSE_ATTESTATION" ], "type": "string", "enumDescriptions": [ "Unknown", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available software upgrade.", "This represents a compliance check that can be applied to a resource.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship.", "This represents a DSSE attestation Note" ], "description": "The kind of occurrences to filter on.", "location": "query" }, "filter": { "location": "query", "description": "The filter expression.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "Number of occurrences to return in the list.", "format": "int32" }, "name": { "description": "The name field contains the project Id. For example: \"projects/{project_id} @Deprecated", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOccurrencesResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/occurrences", "id": "containeranalysis.projects.occurrences.list", "httpMethod": "GET", "description": "Lists active `Occurrences` for a given project matching the filters.", "parameterOrder": [ "parent" ] }, "getIamPolicy": { "request": { "$ref": "GetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a note or an `Occurrence` resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. Attempting to call this method on a resource without the required permission will result in a `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for occurrences and projects/{PROJECT_ID}/notes/{NOTE_ID} for notes", "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1alpha1/{+resource}:getIamPolicy", "id": "containeranalysis.projects.occurrences.getIamPolicy", "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}:getIamPolicy" }, "get": { "response": { "$ref": "Occurrence" }, "description": "Returns the requested `Occurrence`.", "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$", "description": "The name of the occurrence of the form \"projects/{project_id}/occurrences/{OCCURRENCE_ID}\"" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "containeranalysis.projects.occurrences.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "response": { "$ref": "Occurrence" }, "id": "containeranalysis.projects.occurrences.patch", "path": "v1alpha1/{+name}", "httpMethod": "PATCH", "parameters": { "name": { "required": true, "type": "string", "description": "The name of the occurrence. Should be of the form \"projects/{project_id}/occurrences/{OCCURRENCE_ID}\".", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "location": "path" }, "updateMask": { "type": "string", "description": "The fields to update.", "format": "google-fieldmask", "location": "query" } }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}", "request": { "$ref": "Occurrence" }, "description": "Updates an existing occurrence.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "description": "Creates a new `Occurrence`. Use this method to create `Occurrences` for a resource.", "flatPath": "v1alpha1/projects/{projectsId}/occurrences", "id": "containeranalysis.projects.occurrences.create", "request": { "$ref": "Occurrence" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "This field contains the project Id for example: \"projects/{project_id}\"", "type": "string" }, "name": { "type": "string", "description": "The name of the project. Should be of the form \"projects/{project_id}\". @Deprecated", "location": "query" } }, "path": "v1alpha1/{+parent}/occurrences", "httpMethod": "POST", "response": { "$ref": "Occurrence" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getNotes": { "parameters": { "name": { "description": "The name of the occurrence in the form \"projects/{project_id}/occurrences/{OCCURRENCE_ID}\"", "location": "path", "type": "string", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "required": true } }, "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}/notes", "description": "Gets the `Note` attached to the given `Occurrence`.", "response": { "$ref": "Note" }, "parameterOrder": [ "name" ], "id": "containeranalysis.projects.occurrences.getNotes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1alpha1/{+name}/notes" }, "getVulnerabilitySummary": { "parameters": { "filter": { "location": "query", "description": "The filter expression.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+$", "description": "This contains the project Id for example: projects/{project_id}", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GetVulnzOccurrencesSummaryResponse" }, "id": "containeranalysis.projects.occurrences.getVulnerabilitySummary", "description": "Gets a summary of the number and severity of occurrences.", "path": "v1alpha1/{+parent}/occurrences:vulnerabilitySummary", "flatPath": "v1alpha1/projects/{projectsId}/occurrences:vulnerabilitySummary" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "containeranalysis.projects.occurrences.setIamPolicy", "parameters": { "resource": { "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/occurrences/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/occurrences/{occurrencesId}:setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "description": "Sets the access control policy on the specified `Note` or `Occurrence`. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a `Note` or an `Occurrence`, respectively. Attempting to call this method without these permissions will result in a ` `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has `containeranalysis.notes.list` permission on a `Note` or `containeranalysis.occurrences.list` on an `Occurrence`, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{projectid}/occurrences/{occurrenceid}` for occurrences and projects/{projectid}/notes/{noteid} for notes", "path": "v1alpha1/{+resource}:setIamPolicy" } } }, "scanConfigs": { "methods": { "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "ScanConfig" }, "flatPath": "v1alpha1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "The fields to update.", "format": "google-fieldmask" }, "name": { "required": true, "location": "path", "description": "The scan config to update of the form projects/{project_id}/scanConfigs/{scan_config_id}.", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "type": "string" } }, "id": "containeranalysis.projects.scanConfigs.patch", "path": "v1alpha1/{+name}", "description": "Updates the scan configuration to a new value.", "request": { "$ref": "ScanConfig" } }, "get": { "response": { "$ref": "ScanConfig" }, "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "The name of the ScanConfig in the form projects/{project_id}/scanConfigs/{scan_config_id}", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$" } }, "httpMethod": "GET", "description": "Gets a specific scan configuration for a project.", "flatPath": "v1alpha1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "parameterOrder": [ "name" ], "id": "containeranalysis.projects.scanConfigs.get" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+parent}/scanConfigs", "response": { "$ref": "ListScanConfigsResponse" }, "parameters": { "pageToken": { "description": "The page token to use for the next request.", "location": "query", "type": "string" }, "parent": { "description": "This containers the project Id i.e.: projects/{project_id}", "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "required": true }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The number of items to return." }, "filter": { "location": "query", "type": "string", "description": "The filter expression." } }, "id": "containeranalysis.projects.scanConfigs.list", "httpMethod": "GET", "flatPath": "v1alpha1/projects/{projectsId}/scanConfigs", "parameterOrder": [ "parent" ], "description": "Lists scan configurations for a project." } } }, "notes": { "resources": { "occurrences": { "methods": { "list": { "parameters": { "name": { "description": "The name field will contain the note name for example: \"provider/{provider_id}/notes/{note_id}\"", "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$", "type": "string", "required": true }, "pageSize": { "format": "int32", "location": "query", "description": "Number of notes to return in the list.", "type": "integer" }, "pageToken": { "description": "Token to provide to skip to a particular spot in the list.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "The filter expression." } }, "description": "Lists `Occurrences` referencing the specified `Note`. Use this method to get all occurrences referencing your `Note` across all your customer projects.", "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}/occurrences", "id": "containeranalysis.projects.notes.occurrences.list", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}/occurrences", "response": { "$ref": "ListNoteOccurrencesResponse" } } } } }, "methods": { "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "containeranalysis.projects.notes.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}:testIamPermissions", "httpMethod": "POST", "path": "v1alpha1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Returns the permissions that a caller has on the specified note or occurrence resource. Requires list permission on the project (for example, \"storage.objects.list\" on the containing bucket for testing permission of an object). Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for `Occurrences` and `projects/{PROJECT_ID}/notes/{NOTE_ID}` for `Notes`" }, "patch": { "request": { "$ref": "Note" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}", "description": "Updates an existing `Note`.", "response": { "$ref": "Note" }, "id": "containeranalysis.projects.notes.patch", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The fields to update.", "location": "query" }, "name": { "description": "The name of the note. Should be of the form \"projects/{provider_id}/notes/{note_id}\".", "required": true, "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path", "type": "string" } } }, "list": { "description": "Lists all `Notes` for a given project.", "path": "v1alpha1/{+parent}/notes", "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListNotesResponse" }, "id": "containeranalysis.projects.notes.list", "flatPath": "v1alpha1/projects/{projectsId}/notes", "parameters": { "pageToken": { "location": "query", "description": "Token to provide to skip to a particular spot in the list.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+$", "description": "This field contains the project Id for example: \"projects/{PROJECT_ID}\".", "type": "string", "location": "path", "required": true }, "name": { "description": "The name field will contain the project Id for example: \"providers/{provider_id} @Deprecated", "location": "query", "type": "string" }, "filter": { "description": "The filter expression.", "type": "string", "location": "query" }, "pageSize": { "description": "Number of notes to return in the list.", "format": "int32", "location": "query", "type": "integer" } } }, "setIamPolicy": { "description": "Sets the access control policy on the specified `Note` or `Occurrence`. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a `Note` or an `Occurrence`, respectively. Attempting to call this method without these permissions will result in a ` `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has `containeranalysis.notes.list` permission on a `Note` or `containeranalysis.occurrences.list` on an `Occurrence`, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{projectid}/occurrences/{occurrenceid}` for occurrences and projects/{projectid}/notes/{noteid} for notes", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "id": "containeranalysis.projects.notes.setIamPolicy", "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}:setIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Policy" }, "path": "v1alpha1/{+resource}:setIamPolicy" }, "delete": { "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}", "parameters": { "name": { "description": "The name of the note in the form of \"providers/{provider_id}/notes/{NOTE_ID}\"", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Deletes the given `Note` from the system.", "id": "containeranalysis.projects.notes.delete", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "description": "The name of the note in the form of \"providers/{provider_id}/notes/{NOTE_ID}\"", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Returns the requested `Note`.", "response": { "$ref": "Note" }, "path": "v1alpha1/{+name}", "id": "containeranalysis.projects.notes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "response": { "$ref": "Note" }, "parameterOrder": [ "parent" ], "id": "containeranalysis.projects.notes.create", "flatPath": "v1alpha1/projects/{projectsId}/notes", "path": "v1alpha1/{+parent}/notes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new `Note`.", "request": { "$ref": "Note" }, "parameters": { "name": { "type": "string", "description": "The name of the project. Should be of the form \"providers/{provider_id}\". @Deprecated", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+$", "required": true, "description": "This field contains the project Id for example: \"projects/{project_id}", "location": "path" }, "noteId": { "type": "string", "description": "The ID to use for this note.", "location": "query" } }, "httpMethod": "POST" }, "getIamPolicy": { "response": { "$ref": "Policy" }, "path": "v1alpha1/{+resource}:getIamPolicy", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/notes/[^/]+$", "type": "string", "location": "path" } }, "request": { "$ref": "GetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "containeranalysis.projects.notes.getIamPolicy", "description": "Gets the access control policy for a note or an `Occurrence` resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. Attempting to call this method on a resource without the required permission will result in a `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for occurrences and projects/{PROJECT_ID}/notes/{NOTE_ID} for notes", "flatPath": "v1alpha1/projects/{projectsId}/notes/{notesId}:getIamPolicy" } } }, "operations": { "methods": { "patch": { "request": { "$ref": "UpdateOperationRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates an existing operation returns an error if operation does not exist. The only valid operations are to update mark the done bit change the result.", "httpMethod": "PATCH", "path": "v1alpha1/{+name}", "parameters": { "name": { "type": "string", "description": "The name of the Operation. Should be of the form \"projects/{provider_id}/operations/{operation_id}\".", "required": true, "location": "path", "pattern": "^projects/[^/]+/operations/[^/]+$" } }, "id": "containeranalysis.projects.operations.patch", "response": { "$ref": "Operation" } }, "create": { "httpMethod": "POST", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "The project Id that this operation should be created under." } }, "description": "Creates a new `Operation`.", "request": { "$ref": "CreateOperationRequest" }, "path": "v1alpha1/{+parent}/operations", "parameterOrder": [ "parent" ], "id": "containeranalysis.projects.operations.create", "flatPath": "v1alpha1/projects/{projectsId}/operations", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "providers": { "resources": { "notes": { "methods": { "setIamPolicy": { "description": "Sets the access control policy on the specified `Note` or `Occurrence`. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a `Note` or an `Occurrence`, respectively. Attempting to call this method without these permissions will result in a ` `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has `containeranalysis.notes.list` permission on a `Note` or `containeranalysis.occurrences.list` on an `Occurrence`, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{projectid}/occurrences/{occurrenceid}` for occurrences and projects/{projectid}/notes/{noteid} for notes", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}:setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^providers/[^/]+/notes/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "id": "containeranalysis.providers.notes.setIamPolicy", "path": "v1alpha1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the given `Note` from the system.", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}", "path": "v1alpha1/{+name}", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^providers/[^/]+/notes/[^/]+$", "description": "The name of the note in the form of \"providers/{provider_id}/notes/{NOTE_ID}\"" } }, "id": "containeranalysis.providers.notes.delete" }, "testIamPermissions": { "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^providers/[^/]+/notes/[^/]+$", "type": "string" } }, "description": "Returns the permissions that a caller has on the specified note or occurrence resource. Requires list permission on the project (for example, \"storage.objects.list\" on the containing bucket for testing permission of an object). Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for `Occurrences` and `projects/{PROJECT_ID}/notes/{NOTE_ID}` for `Notes`", "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}:testIamPermissions", "httpMethod": "POST", "path": "v1alpha1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "containeranalysis.providers.notes.testIamPermissions" }, "getIamPolicy": { "description": "Gets the access control policy for a note or an `Occurrence` resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. Attempting to call this method on a resource without the required permission will result in a `PERMISSION_DENIED` error. Attempting to call this method on a non-existent resource will result in a `NOT_FOUND` error if the user has list permission on the project, or a `PERMISSION_DENIED` error otherwise. The resource takes the following formats: `projects/{PROJECT_ID}/occurrences/{OCCURRENCE_ID}` for occurrences and projects/{PROJECT_ID}/notes/{NOTE_ID} for notes", "path": "v1alpha1/{+resource}:getIamPolicy", "id": "containeranalysis.providers.notes.getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^providers/[^/]+/notes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "Policy" } }, "create": { "parameters": { "noteId": { "description": "The ID to use for this note.", "type": "string", "location": "query" }, "name": { "required": true, "location": "path", "type": "string", "description": "The name of the project. Should be of the form \"providers/{provider_id}\". @Deprecated", "pattern": "^providers/[^/]+$" }, "parent": { "description": "This field contains the project Id for example: \"projects/{project_id}", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Creates a new `Note`.", "response": { "$ref": "Note" }, "flatPath": "v1alpha1/providers/{providersId}/notes", "id": "containeranalysis.providers.notes.create", "request": { "$ref": "Note" }, "path": "v1alpha1/{+name}/notes", "httpMethod": "POST" }, "list": { "parameters": { "name": { "location": "path", "required": true, "description": "The name field will contain the project Id for example: \"providers/{provider_id} @Deprecated", "pattern": "^providers/[^/]+$", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Number of notes to return in the list." }, "filter": { "type": "string", "location": "query", "description": "The filter expression." }, "pageToken": { "type": "string", "location": "query", "description": "Token to provide to skip to a particular spot in the list." }, "parent": { "description": "This field contains the project Id for example: \"projects/{PROJECT_ID}\".", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}/notes", "parameterOrder": [ "name" ], "description": "Lists all `Notes` for a given project.", "flatPath": "v1alpha1/providers/{providersId}/notes", "httpMethod": "GET", "response": { "$ref": "ListNotesResponse" }, "id": "containeranalysis.providers.notes.list" }, "get": { "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^providers/[^/]+/notes/[^/]+$", "description": "The name of the note in the form of \"providers/{provider_id}/notes/{NOTE_ID}\"" } }, "response": { "$ref": "Note" }, "id": "containeranalysis.providers.notes.get", "httpMethod": "GET", "description": "Returns the requested `Note`." }, "patch": { "parameters": { "updateMask": { "type": "string", "description": "The fields to update.", "location": "query", "format": "google-fieldmask" }, "name": { "pattern": "^providers/[^/]+/notes/[^/]+$", "type": "string", "location": "path", "description": "The name of the note. Should be of the form \"projects/{provider_id}/notes/{note_id}\".", "required": true } }, "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}", "httpMethod": "PATCH", "path": "v1alpha1/{+name}", "response": { "$ref": "Note" }, "description": "Updates an existing `Note`.", "id": "containeranalysis.providers.notes.patch", "request": { "$ref": "Note" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } }, "resources": { "occurrences": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListNoteOccurrencesResponse" }, "httpMethod": "GET", "id": "containeranalysis.providers.notes.occurrences.list", "parameters": { "pageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list.", "location": "query" }, "name": { "description": "The name field will contain the note name for example: \"provider/{provider_id}/notes/{note_id}\"", "pattern": "^providers/[^/]+/notes/[^/]+$", "type": "string", "required": true, "location": "path" }, "filter": { "location": "query", "type": "string", "description": "The filter expression." }, "pageSize": { "description": "Number of notes to return in the list.", "format": "int32", "location": "query", "type": "integer" } }, "description": "Lists `Occurrences` referencing the specified `Note`. Use this method to get all occurrences referencing your `Note` across all your customer projects.", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/providers/{providersId}/notes/{notesId}/occurrences", "path": "v1alpha1/{+name}/occurrences" } } } } } } } }, "description": "An implementation of the Grafeas API, which stores, and enables querying and retrieval of critical metadata about all of your software artifacts.", "title": "Container Analysis API", "batchPath": "batch", "discoveryVersion": "v1", "parameters": { "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "type": "string", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "revision": "20220624", "schemas": { "Envelope": { "description": "MUST match https://github.com/secure-systems-lab/dsse/blob/master/envelope.proto. An authenticated message of arbitrary type.", "properties": { "payloadType": { "description": "The type of payload being signed", "type": "string" }, "payload": { "description": "The bytes being signed", "type": "string", "format": "byte" }, "signatures": { "description": "The signatures over the payload", "type": "array", "items": { "$ref": "EnvelopeSignature" } } }, "id": "Envelope", "type": "object" }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaBuilder": { "type": "object", "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaBuilder", "properties": { "id": { "type": "string", "description": "URI indicating the builder’s identity." } }, "description": "Identifies the entity that executed the recipe, which is trusted to have correctly performed the operation and populated this provenance." }, "DocumentNote": { "id": "DocumentNote", "properties": { "spdxVersion": { "description": "Provide a reference number that can be used to understand how to parse and interpret the rest of the file", "type": "string" }, "dataLicence": { "description": "Compliance with the SPDX specification includes populating the SPDX fields therein with data related to such fields (\"SPDX-Metadata\")", "type": "string" } }, "description": "DocumentNote represents an SPDX Document Creation Infromation section: https://spdx.github.io/spdx-spec/2-document-creation-information/", "type": "object" }, "InTotoStatement": { "properties": { "slsaProvenanceZeroTwo": { "$ref": "SlsaProvenanceZeroTwo", "description": "SLSA 0.2 provenance." }, "provenance": { "description": "Generic Grafeas provenance.", "$ref": "InTotoProvenance" }, "_type": { "description": "Always \"https://in-toto.io/Statement/v0.1\".", "type": "string" }, "slsaProvenance": { "$ref": "SlsaProvenance", "description": "SLSA 0.1 provenance." }, "subject": { "items": { "$ref": "Subject" }, "type": "array", "description": "subject is the subjects of the intoto statement" }, "predicateType": { "description": "\"https://slsa.dev/provenance/v0.1\" for SlsaProvenance.", "type": "string" } }, "type": "object", "id": "InTotoStatement", "description": "Spec defined at https://github.com/in-toto/attestation/tree/main/spec#statement The serialized InTotoStatement will be stored as Envelope.payload. Envelope.payloadType is always \"application/vnd.in-toto+json\"." }, "DSSEAttestationNote": { "type": "object", "description": "A note describing an attestation", "id": "DSSEAttestationNote", "properties": { "hint": { "$ref": "DSSEHint", "description": "DSSEHint hints at the purpose of the attestation authority." } } }, "RelationshipNote": { "description": "RelationshipNote represents an SPDX Relationship section: https://spdx.github.io/spdx-spec/7-relationships-between-SPDX-elements/", "properties": { "type": { "type": "string", "description": "The type of relationship between the source and target SPDX elements", "enumDescriptions": [ "Unspecified", "Is to be used when SPDXRef-DOCUMENT describes SPDXRef-A", "Is to be used when SPDXRef-A is described by SPDXREF-Document", "Is to be used when SPDXRef-A contains SPDXRef-B", "Is to be used when SPDXRef-A is contained by SPDXRef-B", "Is to be used when SPDXRef-A depends on SPDXRef-B", "Is to be used when SPDXRef-A is dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a manifest file that lists a set of dependencies for SPDXRef-B", "Is to be used when SPDXRef-A is a build dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a development dependency of SPDXRef-B", "Is to be used when SPDXRef-A is an optional dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a to be provided dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a test dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a dependency required for the execution of SPDXRef-B", "Is to be used when SPDXRef-A is an example of SPDXRef-B", "Is to be used when SPDXRef-A generates SPDXRef-B", "Is to be used when SPDXRef-A was generated from SPDXRef-B", "Is to be used when SPDXRef-A is an ancestor (same lineage but pre-dates) SPDXRef-B", "Is to be used when SPDXRef-A is a descendant of (same lineage but postdates) SPDXRef-B", "Is to be used when SPDXRef-A is a variant of (same lineage but not clear which came first) SPDXRef-B", "Is to be used when distributing SPDXRef-A requires that SPDXRef-B also be distributed", "Is to be used when SPDXRef-A is a patch file for (to be applied to) SPDXRef-B", "Is to be used when SPDXRef-A is a patch file that has been applied to SPDXRef-B", "Is to be used when SPDXRef-A is an exact copy of SPDXRef-B", "Is to be used when SPDXRef-A is a file that was added to SPDXRef-B", "Is to be used when SPDXRef-A is a file that was deleted from SPDXRef-B", "Is to be used when SPDXRef-A is a file that was modified from SPDXRef-B", "Is to be used when SPDXRef-A is expanded from the archive SPDXRef-B", "Is to be used when SPDXRef-A dynamically links to SPDXRef-B", "Is to be used when SPDXRef-A statically links to SPDXRef-B", "Is to be used when SPDXRef-A is a data file used in SPDXRef-B", "Is to be used when SPDXRef-A is a test case used in testing SPDXRef-B", "Is to be used when SPDXRef-A is used to build SPDXRef-B", "Is to be used when SPDXRef-A is used as a development tool for SPDXRef-B", "Is to be used when SPDXRef-A is used for testing SPDXRef-B", "Is to be used when SPDXRef-A is used as a test tool for SPDXRef-B", "Is to be used when SPDXRef-A provides documentation of SPDXRef-B", "Is to be used when SPDXRef-A is an optional component of SPDXRef-B", "Is to be used when SPDXRef-A is a metafile of SPDXRef-B", "Is to be used when SPDXRef-A is used as a package as part of SPDXRef-B", "Is to be used when (current) SPDXRef-DOCUMENT amends the SPDX information in SPDXRef-B", "Is to be used when SPDXRef-A is a prerequisite for SPDXRef-B", "Is to be used when SPDXRef-A has as a prerequisite SPDXRef-B", "Is to be used for a relationship which has not been defined in the formal SPDX specification. A description of the relationship should be included in the Relationship comments field" ], "enum": [ "RELATIONSHIP_TYPE_UNSPECIFIED", "DESCRIBES", "DESCRIBED_BY", "CONTAINS", "CONTAINED_BY", "DEPENDS_ON", "DEPENDENCY_OF", "DEPENDENCY_MANIFEST_OF", "BUILD_DEPENDENCY_OF", "DEV_DEPENDENCY_OF", "OPTIONAL_DEPENDENCY_OF", "PROVIDED_DEPENDENCY_OF", "TEST_DEPENDENCY_OF", "RUNTIME_DEPENDENCY_OF", "EXAMPLE_OF", "GENERATES", "GENERATED_FROM", "ANCESTOR_OF", "DESCENDANT_OF", "VARIANT_OF", "DISTRIBUTION_ARTIFACT", "PATCH_FOR", "PATCH_APPLIED", "COPY_OF", "FILE_ADDED", "FILE_DELETED", "FILE_MODIFIED", "EXPANDED_FROM_ARCHIVE", "DYNAMIC_LINK", "STATIC_LINK", "DATA_FILE_OF", "TEST_CASE_OF", "BUILD_TOOL_OF", "DEV_TOOL_OF", "TEST_OF", "TEST_TOOL_OF", "DOCUMENTATION_OF", "OPTIONAL_COMPONENT_OF", "METAFILE_OF", "PACKAGE_OF", "AMENDS", "PREREQUISITE_FOR", "HAS_PREREQUISITE", "OTHER" ] } }, "type": "object", "id": "RelationshipNote" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Source": { "description": "Location of the source in a supported storage service.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source", "properties": { "storageSourceManifest": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "description": "If provided, get the source from this manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher)." }, "storageSource": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource", "description": "If provided, get the source from this location in Google Cloud Storage." }, "repoSource": { "description": "If provided, get the source from this location in a Cloud Source Repository.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning": { "description": "A non-fatal problem encountered during the execution of the build.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning", "properties": { "text": { "description": "Explanation of the warning generated.", "type": "string" }, "priority": { "enumDescriptions": [ "Should not be used.", "e.g. deprecation warnings and alternative feature highlights.", "e.g. automated detection of possible issues with the build.", "e.g. alerts that a feature used in the build is pending removal" ], "type": "string", "enum": [ "PRIORITY_UNSPECIFIED", "INFO", "WARNING", "ALERT" ], "description": "The priority for this warning." } }, "type": "object" }, "CVSS": { "type": "object", "properties": { "scope": { "type": "string", "description": "Defined in CVSS v3", "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ], "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "privilegesRequired": { "description": "Defined in CVSS v3", "type": "string", "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ] }, "availabilityImpact": { "description": "Defined in CVSS v3, CVSS v2", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ], "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ], "type": "string" }, "impactScore": { "format": "float", "type": "number" }, "confidentialityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ], "description": "Defined in CVSS v3, CVSS v2", "type": "string", "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ] }, "userInteraction": { "description": "Defined in CVSS v3", "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ], "type": "string", "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "attackVector": { "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3" ], "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. Defined in CVSS v3, CVSS v2", "type": "string", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ] }, "integrityImpact": { "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ], "description": "Defined in CVSS v3, CVSS v2", "type": "string" }, "baseScore": { "type": "number", "format": "float", "description": "The base score is a function of the base metric scores." }, "attackComplexity": { "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH", "ATTACK_COMPLEXITY_MEDIUM" ], "type": "string", "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2" ], "description": "Defined in CVSS v3, CVSS v2" }, "exploitabilityScore": { "format": "float", "type": "number" }, "authentication": { "enumDescriptions": [ "Defined in CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ], "enum": [ "AUTHENTICATION_UNSPECIFIED", "AUTHENTICATION_MULTIPLE", "AUTHENTICATION_SINGLE", "AUTHENTICATION_NONE" ], "description": "Defined in CVSS v2", "type": "string" } }, "id": "CVSS", "description": "Common Vulnerability Scoring System. This message is compatible with CVSS v2 and v3. For CVSS v2 details, see https://www.first.org/cvss/v2/guide CVSS v2 calculator: https://nvd.nist.gov/vuln-metrics/cvss/v2-calculator For CVSS v3 details, see https://www.first.org/cvss/specification-document CVSS v3 calculator: https://nvd.nist.gov/vuln-metrics/cvss/v3-calculator" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance": { "properties": { "resolvedRepoSource": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "description": "A copy of the build's `source.repo_source`, if exists, with any revisions resolved." }, "resolvedStorageSourceManifest": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "description": "A copy of the build's `source.storage_source_manifest`, if exists, with any revisions resolved. This feature is in Preview." }, "fileHashes": { "type": "object", "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes" }, "readOnly": true, "description": "Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that `FileHashes` will only be populated if `BuildOptions` has requested a `SourceProvenanceHash`. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (`.tar.gz`), the `FileHash` will be for the single path to that file." }, "resolvedStorageSource": { "description": "A copy of the build's `source.storage_source`, if exists, with any generations resolved.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" } }, "description": "Provenance of the source. Ways to find the original source, or verify that some source was used for this build.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects": { "description": "Files in the workspace to upload to Cloud Storage upon successful completion of all build steps.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects", "type": "object", "properties": { "paths": { "type": "array", "description": "Path globs used to match files in the build's workspace.", "items": { "type": "string" } }, "timing": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "description": "Output only. Stores timing information for pushing all artifact objects.", "readOnly": true }, "location": { "description": "Cloud Storage bucket and optional object path, in the form \"gs://bucket/path/to/somewhere/\". (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix.", "type": "string" } } }, "Occurrence": { "description": "`Occurrence` includes information about analysis occurrences for an image.", "properties": { "noteName": { "type": "string", "description": "An analysis note associated with this image, in the form \"providers/{provider_id}/notes/{NOTE_ID}\" This field can be used as a filter in list requests." }, "derivedImage": { "$ref": "Derived", "description": "Describes how this resource derives from the basis in the associated note." }, "remediation": { "type": "string", "description": "A description of actions that can be taken to remedy the `Note`" }, "installation": { "$ref": "Installation", "description": "Describes the installation of a package on the linked resource." }, "deployment": { "$ref": "Deployment", "description": "Describes the deployment of an artifact on a runtime." }, "spdxPackage": { "$ref": "PackageInfoOccurrence", "description": "Describes a specific SPDX Package." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this `Occurrence` was last updated." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this `Occurrence` was created." }, "sbom": { "description": "Describes a specific software bill of materials document.", "$ref": "DocumentOccurrence" }, "spdxFile": { "description": "Describes a specific SPDX File.", "$ref": "FileOccurrence" }, "attestation": { "description": "Describes an attestation of an artifact.", "$ref": "Attestation" }, "buildDetails": { "$ref": "BuildDetails", "description": "Build details for a verifiable build." }, "upgrade": { "description": "Describes an upgrade.", "$ref": "UpgradeOccurrence" }, "dsseAttestation": { "description": "This represents a DSSE attestation occurrence", "$ref": "DSSEAttestationOccurrence" }, "kind": { "type": "string", "enum": [ "KIND_UNSPECIFIED", "PACKAGE_VULNERABILITY", "BUILD_DETAILS", "IMAGE_BASIS", "PACKAGE_MANAGER", "DEPLOYABLE", "DISCOVERY", "ATTESTATION_AUTHORITY", "UPGRADE", "COMPLIANCE", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP", "DSSE_ATTESTATION" ], "enumDescriptions": [ "Unknown", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available software upgrade.", "This represents a compliance check that can be applied to a resource.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship.", "This represents a DSSE attestation Note" ], "description": "Output only. This explicitly denotes which of the `Occurrence` details are specified. This field can be used as a filter in list requests." }, "compliance": { "$ref": "ComplianceOccurrence", "description": "Describes whether or not a resource passes compliance checks." }, "resource": { "$ref": "Resource", "description": " The resource for which the `Occurrence` applies." }, "vulnerabilityDetails": { "$ref": "VulnerabilityDetails", "description": "Details of a security vulnerability note." }, "spdxRelationship": { "$ref": "RelationshipOccurrence", "description": "Describes a specific relationship between SPDX elements." }, "discovered": { "description": "Describes the initial scan status for this resource.", "$ref": "Discovered" }, "envelope": { "description": "https://github.com/secure-systems-lab/dsse", "$ref": "Envelope" }, "name": { "description": "Output only. The name of the `Occurrence` in the form \"projects/{project_id}/occurrences/{OCCURRENCE_ID}\"", "type": "string" }, "resourceUrl": { "description": "The unique URL of the image or the container for which the `Occurrence` applies. For example, https://gcr.io/project/image@sha256:foo This field can be used as a filter in list requests.", "type": "string" } }, "type": "object", "id": "Occurrence" }, "VulnerabilityLocation": { "description": "The location of the vulnerability", "type": "object", "properties": { "fileLocation": { "items": { "$ref": "FileLocation" }, "description": "The file location at which this package was found.", "type": "array" }, "package": { "description": "The package being described.", "type": "string" }, "cpeUri": { "type": "string", "description": "The cpe_uri in [cpe format] (https://cpe.mitre.org/specification/) format. Examples include distro or storage location for vulnerable jar. This field can be used as a filter in list requests." }, "version": { "$ref": "Version", "description": "The version of the package being described. This field can be used as a filter in list requests." } }, "id": "VulnerabilityLocation" }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaConfigSource": { "properties": { "entryPoint": { "type": "string", "description": "String identifying the entry point into the build." }, "digest": { "description": "Collection of cryptographic digests for the contents of the artifact specified by invocation.configSource.uri.", "additionalProperties": { "type": "string" }, "type": "object" }, "uri": { "description": "URI indicating the identity of the source of the config.", "type": "string" } }, "type": "object", "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaConfigSource", "description": "Describes where the config file that kicked off the build came from. This is effectively a pointer to the source where buildConfig came from." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Results": { "description": "Artifacts created by the build pipeline.", "type": "object", "properties": { "artifactTiming": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "description": "Time to push all non-container artifacts." }, "buildStepOutputs": { "description": "List of build step outputs, produced by builder images, in the order corresponding to build step indices. [Cloud Builders](https://cloud.google.com/cloud-build/docs/cloud-builders) can produce this output by writing to `$BUILDER_OUTPUT/output`. Only the first 4KB of data is stored.", "items": { "format": "byte", "type": "string" }, "type": "array" }, "buildStepImages": { "type": "array", "items": { "type": "string" }, "description": "List of build step digests, in the order corresponding to build step indices." }, "artifactManifest": { "type": "string", "description": "Path to the artifact manifest. Only populated when artifacts are uploaded." }, "numArtifacts": { "type": "string", "format": "int64", "description": "Number of artifacts uploaded. Only populated when artifacts are uploaded." }, "images": { "type": "array", "description": "Container images that were built as a part of the build.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage" } } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results" }, "UpgradeNote": { "description": "An Upgrade Note represents a potential upgrade of a package to a given version. For each package version combination (i.e. bash 4.0, bash 4.1, bash 4.1.2), there will be a Upgrade Note.", "id": "UpgradeNote", "properties": { "version": { "description": "Required - The version of the package in machine + human readable form.", "$ref": "Version" }, "package": { "type": "string", "description": "Required - The package this Upgrade is for." }, "distributions": { "description": "Metadata about the upgrade for each specific operating system.", "items": { "$ref": "UpgradeDistribution" }, "type": "array" } }, "type": "object" }, "Discovered": { "properties": { "archiveTime": { "format": "google-datetime", "description": "The time occurrences related to this discovery occurrence were archived.", "type": "string" }, "operation": { "description": "Output only. An operation that indicates the status of the current scan. This field is deprecated, do not use.", "$ref": "Operation" }, "cpe": { "description": "The CPE of the resource being scanned.", "type": "string" }, "analysisStatus": { "enum": [ "ANALYSIS_STATUS_UNSPECIFIED", "PENDING", "SCANNING", "FINISHED_SUCCESS", "FINISHED_FAILED", "FINISHED_UNSUPPORTED" ], "enumDescriptions": [ "Unknown", "Resource is known but no action has been taken yet.", "Resource is being analyzed.", "Analysis has finished successfully.", "Analysis has finished unsuccessfully, the analysis itself is in a bad state.", "The resource is known not to be supported." ], "description": "The status of discovery for the resource.", "type": "string" }, "continuousAnalysis": { "enum": [ "CONTINUOUS_ANALYSIS_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "enumDescriptions": [ "Unknown", "The resource is continuously analyzed.", "The resource is ignored for continuous analysis." ], "description": "Whether the resource is continuously analyzed.", "type": "string" }, "lastScanTime": { "description": "The last time this resource was scanned.", "format": "google-datetime", "type": "string" }, "analysisStatusError": { "description": "When an error is encountered this will contain a LocalizedMessage under details to show to the user. The LocalizedMessage output only and populated by the API.", "$ref": "Status" } }, "description": "Provides information about the scan status of a discovered resource.", "type": "object", "id": "Discovered" }, "RelationshipOccurrence": { "id": "RelationshipOccurrence", "description": "RelationshipOccurrence represents an SPDX Relationship section: https://spdx.github.io/spdx-spec/7-relationships-between-SPDX-elements/", "properties": { "comment": { "type": "string", "description": "A place for the SPDX file creator to record any general comments about the relationship" }, "source": { "description": "Also referred to as SPDXRef-A The source SPDX element (file, package, etc)", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "Unspecified", "Is to be used when SPDXRef-DOCUMENT describes SPDXRef-A", "Is to be used when SPDXRef-A is described by SPDXREF-Document", "Is to be used when SPDXRef-A contains SPDXRef-B", "Is to be used when SPDXRef-A is contained by SPDXRef-B", "Is to be used when SPDXRef-A depends on SPDXRef-B", "Is to be used when SPDXRef-A is dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a manifest file that lists a set of dependencies for SPDXRef-B", "Is to be used when SPDXRef-A is a build dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a development dependency of SPDXRef-B", "Is to be used when SPDXRef-A is an optional dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a to be provided dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a test dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a dependency required for the execution of SPDXRef-B", "Is to be used when SPDXRef-A is an example of SPDXRef-B", "Is to be used when SPDXRef-A generates SPDXRef-B", "Is to be used when SPDXRef-A was generated from SPDXRef-B", "Is to be used when SPDXRef-A is an ancestor (same lineage but pre-dates) SPDXRef-B", "Is to be used when SPDXRef-A is a descendant of (same lineage but postdates) SPDXRef-B", "Is to be used when SPDXRef-A is a variant of (same lineage but not clear which came first) SPDXRef-B", "Is to be used when distributing SPDXRef-A requires that SPDXRef-B also be distributed", "Is to be used when SPDXRef-A is a patch file for (to be applied to) SPDXRef-B", "Is to be used when SPDXRef-A is a patch file that has been applied to SPDXRef-B", "Is to be used when SPDXRef-A is an exact copy of SPDXRef-B", "Is to be used when SPDXRef-A is a file that was added to SPDXRef-B", "Is to be used when SPDXRef-A is a file that was deleted from SPDXRef-B", "Is to be used when SPDXRef-A is a file that was modified from SPDXRef-B", "Is to be used when SPDXRef-A is expanded from the archive SPDXRef-B", "Is to be used when SPDXRef-A dynamically links to SPDXRef-B", "Is to be used when SPDXRef-A statically links to SPDXRef-B", "Is to be used when SPDXRef-A is a data file used in SPDXRef-B", "Is to be used when SPDXRef-A is a test case used in testing SPDXRef-B", "Is to be used when SPDXRef-A is used to build SPDXRef-B", "Is to be used when SPDXRef-A is used as a development tool for SPDXRef-B", "Is to be used when SPDXRef-A is used for testing SPDXRef-B", "Is to be used when SPDXRef-A is used as a test tool for SPDXRef-B", "Is to be used when SPDXRef-A provides documentation of SPDXRef-B", "Is to be used when SPDXRef-A is an optional component of SPDXRef-B", "Is to be used when SPDXRef-A is a metafile of SPDXRef-B", "Is to be used when SPDXRef-A is used as a package as part of SPDXRef-B", "Is to be used when (current) SPDXRef-DOCUMENT amends the SPDX information in SPDXRef-B", "Is to be used when SPDXRef-A is a prerequisite for SPDXRef-B", "Is to be used when SPDXRef-A has as a prerequisite SPDXRef-B", "Is to be used for a relationship which has not been defined in the formal SPDX specification. A description of the relationship should be included in the Relationship comments field" ], "readOnly": true, "enum": [ "RELATIONSHIP_TYPE_UNSPECIFIED", "DESCRIBES", "DESCRIBED_BY", "CONTAINS", "CONTAINED_BY", "DEPENDS_ON", "DEPENDENCY_OF", "DEPENDENCY_MANIFEST_OF", "BUILD_DEPENDENCY_OF", "DEV_DEPENDENCY_OF", "OPTIONAL_DEPENDENCY_OF", "PROVIDED_DEPENDENCY_OF", "TEST_DEPENDENCY_OF", "RUNTIME_DEPENDENCY_OF", "EXAMPLE_OF", "GENERATES", "GENERATED_FROM", "ANCESTOR_OF", "DESCENDANT_OF", "VARIANT_OF", "DISTRIBUTION_ARTIFACT", "PATCH_FOR", "PATCH_APPLIED", "COPY_OF", "FILE_ADDED", "FILE_DELETED", "FILE_MODIFIED", "EXPANDED_FROM_ARCHIVE", "DYNAMIC_LINK", "STATIC_LINK", "DATA_FILE_OF", "TEST_CASE_OF", "BUILD_TOOL_OF", "DEV_TOOL_OF", "TEST_OF", "TEST_TOOL_OF", "DOCUMENTATION_OF", "OPTIONAL_COMPONENT_OF", "METAFILE_OF", "PACKAGE_OF", "AMENDS", "PREREQUISITE_FOR", "HAS_PREREQUISITE", "OTHER" ], "description": "Output only. The type of relationship between the source and target SPDX elements" }, "target": { "type": "string", "description": "Also referred to as SPDXRef-B The target SPDC element (file, package, etc) In cases where there are \"known unknowns\", the use of the keyword NOASSERTION can be used The keywords NONE can be used to indicate that an SPDX element (package/file/snippet) has no other elements connected by some relationship to it" } }, "type": "object" }, "License": { "type": "object", "id": "License", "description": "License information.", "properties": { "expression": { "description": "Often a single license can be used to represent the licensing terms. Sometimes it is necessary to include a choice of one or more licenses or some combination of license identifiers. Examples: \"LGPL-2.1-only OR MIT\", \"LGPL-2.1-only AND MIT\", \"GPL-2.0-or-later WITH Bison-exception-2.2\".", "type": "string" }, "comments": { "description": "Comments", "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Build": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Build", "properties": { "source": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source", "description": "The location of the source files to build." }, "warnings": { "type": "array", "description": "Output only. Non-fatal problems encountered during the execution of the build.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning" }, "readOnly": true }, "sourceProvenance": { "readOnly": true, "description": "Output only. A permanent fixed identifier for source.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance" }, "secrets": { "description": "Secrets to decrypt using Cloud Key Management Service. Note: Secret Manager is the recommended technique for managing sensitive data with Cloud Build. Use `available_secrets` to configure builds to access secrets from Secret Manager. For instructions, see: https://cloud.google.com/cloud-build/docs/securing-builds/use-secrets", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret" }, "type": "array" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Time at which the request to create the build was received." }, "startTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Time at which execution of the build was started." }, "results": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results", "description": "Output only. Results of the build.", "readOnly": true }, "approval": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval", "readOnly": true, "description": "Output only. Describes this build's approval configuration, status, and result." }, "logUrl": { "description": "Output only. URL to logs for this build in Google Cloud Console.", "type": "string", "readOnly": true }, "availableSecrets": { "description": "Secrets and secret environment variables.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets" }, "steps": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep" }, "type": "array", "description": "Required. The operations to be performed on the workspace." }, "artifacts": { "description": "Artifacts produced by the build that should be uploaded upon successful completion of all build steps.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts" }, "images": { "items": { "type": "string" }, "type": "array", "description": "A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account's credentials. The digests of the pushed images will be stored in the `Build` resource's results field. If any of the images fail to be pushed, the build status is marked `FAILURE`." }, "projectId": { "readOnly": true, "type": "string", "description": "Output only. ID of the project." }, "queueTtl": { "type": "string", "format": "google-duration", "description": "TTL in queue for this build. If provided and the build is enqueued longer than this value, the build will expire and the build status will be `EXPIRED`. The TTL starts ticking from create_time." }, "failureInfo": { "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo", "description": "Output only. Contains information about the build when status=FAILURE." }, "logsBucket": { "description": "Google Cloud Storage bucket where logs should be written (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Logs file names will be of the format `${logs_bucket}/log-${build_id}.txt`.", "type": "string" }, "status": { "readOnly": true, "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "type": "string", "description": "Output only. Status of the build." }, "id": { "readOnly": true, "type": "string", "description": "Output only. Unique identifier of the build." }, "buildTriggerId": { "type": "string", "description": "Output only. The ID of the `BuildTrigger` that triggered this build, if it was triggered automatically.", "readOnly": true }, "substitutions": { "additionalProperties": { "type": "string" }, "description": "Substitutions data for `Build` resource.", "type": "object" }, "timeout": { "description": "Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be `TIMEOUT`. `timeout` starts ticking from `startTime`. Default time is ten minutes.", "type": "string", "format": "google-duration" }, "serviceAccount": { "description": "IAM service account whose credentials will be used at build runtime. Must be of the format `projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}`. ACCOUNT can be email address or uniqueId of the service account. ", "type": "string" }, "options": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions", "description": "Special options for this build." }, "name": { "type": "string", "description": "Output only. The 'Build' name with format: `projects/{project}/locations/{location}/builds/{build}`, where {build} is a unique identifier generated by the service.", "readOnly": true }, "statusDetail": { "readOnly": true, "description": "Output only. Customer-readable message about the current status.", "type": "string" }, "finishTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build's execution.", "type": "string" }, "tags": { "description": "Tags for annotation of a `Build`. These are not docker tags.", "type": "array", "items": { "type": "string" } }, "timing": { "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "type": "object", "description": "Output only. Stores timing information for phases of the build. Valid keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BUILD: time to execute all build steps. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PUSH: time to push all specified images. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FETCHSOURCE: time to fetch source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SETUPBUILD: time to set up build. If the build does not specify source or images, these keys will not be included.", "readOnly": true } }, "description": "A build resource in the Cloud Build API. At a high level, a `Build` describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $PROJECT_NUMBER: the project number of the build. - $LOCATION: the location/region of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA.", "type": "object" }, "SlsaMetadata": { "properties": { "reproducible": { "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output.", "type": "boolean" }, "completeness": { "$ref": "SlsaCompleteness", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "buildInvocationId": { "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec.", "type": "string" }, "buildFinishedOn": { "format": "google-datetime", "description": "The timestamp of when the build completed.", "type": "string" }, "buildStartedOn": { "type": "string", "description": "The timestamp of when the build started.", "format": "google-datetime" } }, "type": "object", "id": "SlsaMetadata", "description": "Other properties of the build." }, "ExternalRef": { "type": "object", "id": "ExternalRef", "properties": { "type": { "type": "string", "description": "Type of category (e.g. 'npm' for the PACKAGE_MANAGER category)" }, "locator": { "description": "The unique string with no spaces necessary to access the package-specific information, metadata, or content within the target location", "type": "string" }, "category": { "description": "An External Reference allows a Package to reference an external source of additional information, metadata, enumerations, asset identifiers, or downloadable content believed to be relevant to the Package", "enumDescriptions": [ "Unspecified", "Security (e.g. cpe22Type, cpe23Type)", "Package Manager (e.g. maven-central, npm, nuget, bower, purl)", "Persistent-Id (e.g. swh)", "Other" ], "type": "string", "enum": [ "CATEGORY_UNSPECIFIED", "SECURITY", "PACKAGE_MANAGER", "PERSISTENT_ID", "OTHER" ] }, "comment": { "type": "string", "description": "Human-readable information about the purpose and target of the reference" } }, "description": "An External Reference allows a Package to reference an external source of additional information, metadata, enumerations, asset identifiers, or downloadable content believed to be relevant to the Package" }, "Subject": { "id": "Subject", "description": "Subject refers to the subject of the intoto statement", "properties": { "digest": { "additionalProperties": { "type": "string" }, "description": "\"\": \"\" Algorithms can be e.g. sha256, sha512 See https://github.com/in-toto/attestation/blob/main/spec/field_types.md#DigestSet", "type": "object" }, "name": { "description": "name is the name of the Subject used here", "type": "string" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage": { "properties": { "pushTiming": { "description": "Output only. Stores timing information for pushing the specified image.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "digest": { "description": "Docker Registry 2.0 digest.", "type": "string" }, "name": { "description": "Name used to push the container image to Google Container Registry, as presented to `docker push`.", "type": "string" } }, "type": "object", "description": "An image built by the pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage" }, "SlsaProvenance": { "properties": { "recipe": { "$ref": "SlsaRecipe", "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible)." }, "builder": { "description": "builder is the builder of this provenance", "$ref": "SlsaBuilder" }, "materials": { "items": { "$ref": "Material" }, "type": "array", "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty." }, "metadata": { "$ref": "SlsaMetadata", "description": "metadata is the metadata of the provenance" } }, "id": "SlsaProvenance", "type": "object", "description": "SlsaProvenance is the slsa provenance as defined by the slsa spec." }, "ListScanConfigsResponse": { "properties": { "scanConfigs": { "description": "The set of scan configs.", "items": { "$ref": "ScanConfig" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A page token to pass in order to get more scan configs." } }, "description": "A list of scan configs for the project.", "type": "object", "id": "ListScanConfigsResponse" }, "Status": { "id": "Status", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "GoogleDevtoolsContaineranalysisV1alpha1RepoId": { "type": "object", "id": "GoogleDevtoolsContaineranalysisV1alpha1RepoId", "properties": { "projectRepoId": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1ProjectRepoId", "description": "A combination of a project ID and a repo name." }, "uid": { "type": "string", "description": "A server-assigned, globally unique identifier." } }, "description": "A unique identifier for a Cloud Repo." }, "Fingerprint": { "description": "A set of properties that uniquely identify a given Docker image.", "id": "Fingerprint", "type": "object", "properties": { "v2Blob": { "type": "array", "items": { "type": "string" }, "description": "The ordered list of v2 blobs that represent a given image." }, "v1Name": { "type": "string", "description": "The layer-id of the final layer in the Docker image's v1 representation. This field can be used as a filter in list requests." }, "v2Name": { "type": "string", "description": "Output only. The name of the image's v2 blobs computed via: [bottom] := v2_blobbottom := sha256(v2_blob[N] + \" \" + v2_name[N+1]) Only the name of the final blob is kept. This field can be used as a filter in list requests." } } }, "Derived": { "description": "Derived describes the derived image portion (Occurrence) of the DockerImage relationship. This image would be produced from a Dockerfile with FROM .", "properties": { "baseResourceUrl": { "description": "Output only. This contains the base image URL for the derived image occurrence.", "type": "string" }, "fingerprint": { "description": "The fingerprint of the derived image.", "$ref": "Fingerprint" }, "layerInfo": { "description": "This contains layer-specific metadata, if populated it has length \"distance\" and is ordered with [distance] being the layer immediately following the base image and [1] being the final layer.", "items": { "$ref": "Layer" }, "type": "array" }, "distance": { "type": "integer", "format": "uint32", "description": "Output only. The number of layers by which this image differs from the associated image basis." } }, "type": "object", "id": "Derived" }, "BuildDetails": { "id": "BuildDetails", "properties": { "intotoProvenance": { "$ref": "InTotoProvenance", "description": "Deprecated. See InTotoStatement for the replacement. In-toto Provenance representation as defined in spec." }, "provenanceBytes": { "type": "string", "description": "Serialized JSON representation of the provenance, used in generating the `BuildSignature` in the corresponding Result. After verifying the signature, `provenance_bytes` can be unmarshalled and compared to the provenance to confirm that it is unchanged. A base64-encoded string representation of the provenance bytes is used for the signature in order to interoperate with openssl which expects this format for signature verification. The serialized form is captured both to avoid ambiguity in how the provenance is marshalled to json as well to prevent incompatibilities with future changes." }, "provenance": { "description": "The actual provenance", "$ref": "BuildProvenance" }, "intotoStatement": { "$ref": "InTotoStatement", "description": "In-toto Statement representation as defined in spec. The intoto_statement can contain any type of provenance. The serialized payload of the statement can be stored and signed in the Occurrence's envelope." } }, "type": "object", "description": "Message encapsulating build provenance details." }, "EnvelopeSignature": { "id": "EnvelopeSignature", "type": "object", "description": "A DSSE signature", "properties": { "keyid": { "description": "A reference id to the key being used for signing", "type": "string" }, "sig": { "type": "string", "description": "The signature itself", "format": "byte" } } }, "BuildSignature": { "properties": { "publicKey": { "type": "string", "description": "Public key of the builder which can be used to verify that the related findings are valid and unchanged. If `key_type` is empty, this defaults to PEM encoded public keys. This field may be empty if `key_id` references an external key. For Cloud Build based signatures, this is a PEM encoded public key. To verify the Cloud Build signature, place the contents of this field into a file (public.pem). The signature field is base64-decoded into its binary representation in signature.bin, and the provenance bytes from `BuildDetails` are base64-decoded into a binary representation in signed.bin. OpenSSL can then verify the signature: `openssl sha256 -verify public.pem -signature signature.bin signed.bin`" }, "signature": { "description": "Signature of the related `BuildProvenance`, encoded in a base64 string.", "type": "string" }, "keyType": { "type": "string", "description": "The type of the key, either stored in `public_key` or referenced in `key_id`", "enum": [ "KEY_TYPE_UNSPECIFIED", "PGP_ASCII_ARMORED", "PKIX_PEM" ], "enumDescriptions": [ "`KeyType` is not set.", "`PGP ASCII Armored` public key.", "`PKIX PEM` public key." ] }, "keyId": { "description": "An Id for the key used to sign. This could be either an Id for the key stored in `public_key` (such as the Id or fingerprint for a PGP key, or the CN for a cert), or a reference to an external key (such as a reference to a key in Cloud Key Management Service).", "type": "string" } }, "id": "BuildSignature", "type": "object", "description": "Message encapsulating the signature of the verified build." }, "GetIamPolicyRequest": { "type": "object", "description": "Request message for `GetIamPolicy` method.", "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "id": "GetIamPolicyRequest" }, "Package": { "type": "object", "properties": { "cpeUri": { "description": "The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages.", "type": "string" }, "maintainer": { "description": "A freeform text denoting the maintainer of this package.", "type": "string" }, "version": { "$ref": "Version", "description": "The version of the package." }, "name": { "type": "string", "description": "The name of the package." }, "distribution": { "description": "The various channels by which a package is distributed.", "type": "array", "items": { "$ref": "Distribution" } }, "digest": { "type": "array", "items": { "$ref": "Digest" }, "description": "Hash value, typically a file digest, that allows unique identification a specific package." }, "license": { "description": "Licenses that have been declared by the authors of the package.", "$ref": "License" }, "url": { "description": "The homepage for this package.", "type": "string" }, "description": { "description": "The description of this package.", "type": "string" }, "architecture": { "type": "string", "enumDescriptions": [ "Unknown architecture", "X86 architecture", "X64 architecture" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "description": "The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages." }, "packageType": { "type": "string", "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.)." } }, "id": "Package", "description": "This represents a particular package that is distributed over various channels. e.g. glibc (aka libc6) is distributed by many, at various versions." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "Hash": { "properties": { "value": { "description": "The hash value.", "type": "string", "format": "byte" }, "type": { "type": "string", "enum": [ "NONE", "SHA256" ], "description": "The type of hash that was performed.", "enumDescriptions": [ "No hash requested.", "A sha256 hash." ] } }, "description": "Container message for hash values.", "id": "Hash", "type": "object" }, "ListNotesResponse": { "type": "object", "properties": { "notes": { "items": { "$ref": "Note" }, "type": "array", "description": "The occurrences requested" }, "nextPageToken": { "description": "The next pagination token in the list response. It should be used as page_token for the following request. An empty value means no more result.", "type": "string" } }, "id": "ListNotesResponse", "description": "Response including listed notes." }, "Distribution": { "properties": { "architecture": { "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "enumDescriptions": [ "Unknown architecture", "X86 architecture", "X64 architecture" ], "type": "string", "description": "The CPU architecture for which packages in this distribution channel were built" }, "cpeUri": { "type": "string", "description": "The cpe_uri in [cpe format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package." }, "maintainer": { "type": "string", "description": "A freeform string denoting the maintainer of this package." }, "latestVersion": { "$ref": "Version", "description": "The latest available version of this package in this distribution channel." }, "url": { "type": "string", "description": "The distribution channel-specific homepage for this package." }, "description": { "description": "The distribution channel-specific description of this package.", "type": "string" } }, "description": "This represents a particular channel of distribution for a given package. e.g. Debian's jessie-backports dpkg mirror", "id": "Distribution", "type": "object" }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "TestIamPermissionsRequest" }, "DSSEHint": { "properties": { "humanReadableName": { "type": "string", "description": "Required. The human readable name of this attestation authority, for example \"cloudbuild-prod\"." } }, "type": "object", "description": "This submessage provides human-readable hints about the purpose of the authority. Because the name of a note acts as its resource reference, it is important to disambiguate the canonical name of the Note (which might be a UUID for security purposes) from \"readable\" names more suitable for debug output. Note that these hints should not be used to look up authorities in security sensitive contexts, such as when looking up attestations to verify.", "id": "DSSEHint" }, "Material": { "properties": { "uri": { "type": "string", "description": "uri is the uri of the material" }, "digest": { "type": "object", "additionalProperties": { "type": "string" }, "description": "digest is a map from a hash algorithm (e.g. sha256) to the value in the material" } }, "description": "Material is a material used in the generation of the provenance", "type": "object", "id": "Material" }, "Metadata": { "type": "object", "description": "Other properties of the build.", "id": "Metadata", "properties": { "buildFinishedOn": { "type": "string", "format": "google-datetime", "description": "The timestamp of when the build completed." }, "reproducible": { "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output.", "type": "boolean" }, "buildInvocationId": { "type": "string", "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec." }, "completeness": { "$ref": "Completeness", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "buildStartedOn": { "type": "string", "format": "google-datetime", "description": "The timestamp of when the build started." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval": { "description": "BuildApproval describes a build's approval configuration, state, and result.", "type": "object", "properties": { "result": { "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult", "description": "Output only. Result of manual approval for this Build." }, "config": { "description": "Output only. Configuration for manual approval of this build.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "APPROVED", "REJECTED", "CANCELLED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build approval is pending.", "Build approval has been approved.", "Build approval has been rejected.", "Build was cancelled while it was still pending approval." ], "readOnly": true, "description": "Output only. The state of this build's approval." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval" }, "UpgradeDistribution": { "properties": { "severity": { "description": "The severity as specified by the upstream operating system.", "type": "string" }, "cve": { "items": { "type": "string" }, "type": "array", "description": "The cve that would be resolved by this upgrade." }, "cpeUri": { "description": "Required - The specific operating system this metadata applies to. See https://cpe.mitre.org/specification/.", "type": "string" }, "classification": { "type": "string", "description": "The operating system classification of this Upgrade, as specified by the upstream operating system upgrade feed." } }, "id": "UpgradeDistribution", "type": "object", "description": "The Upgrade Distribution represents metadata about the Upgrade for each operating system (CPE). Some distributions have additional metadata around updates, classifying them into various categories and severities." }, "RepoSource": { "description": "RepoSource describes the location of the source in a Google Cloud Source Repository.", "properties": { "branchName": { "type": "string", "description": "Name of the branch to build." }, "tagName": { "description": "Name of the tag to build.", "type": "string" }, "projectId": { "type": "string", "description": "ID of the project that owns the repo." }, "commitSha": { "type": "string", "description": "Explicit commit SHA to build." }, "repoName": { "type": "string", "description": "Name of the repo." } }, "id": "RepoSource", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption": { "description": "Details about how a build should be executed on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption", "type": "object", "properties": { "name": { "type": "string", "description": "The `WorkerPool` resource to execute the build on. You must have `cloudbuild.workerpools.use` on the project hosting the WorkerPool. Format projects/{project}/locations/{location}/workerPools/{workerPoolId}" } } }, "Basis": { "id": "Basis", "description": "Basis describes the base image portion (Note) of the DockerImage relationship. Linked occurrences are derived from this or an equivalent image via: FROM Or an equivalent reference, e.g. a tag of the resource_url.", "type": "object", "properties": { "fingerprint": { "$ref": "Fingerprint", "description": "The fingerprint of the base image." }, "resourceUrl": { "description": "The resource_url for the resource representing the basis of associated occurrence images.", "type": "string" } } }, "GoogleDevtoolsContaineranalysisV1alpha1GerritSourceContext": { "properties": { "aliasContext": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1AliasContext", "description": "An alias, which may be a branch or tag." }, "hostUri": { "description": "The URI of a running Gerrit instance.", "type": "string" }, "gerritProject": { "description": "The full project name within the host. Projects may be nested, so \"project/subproject\" is a valid project name. The \"repo name\" is the hostURI/project.", "type": "string" }, "revisionId": { "description": "A revision (commit) ID.", "type": "string" } }, "description": "A SourceContext referring to a Gerrit project.", "id": "GoogleDevtoolsContaineranalysisV1alpha1GerritSourceContext", "type": "object" }, "Command": { "id": "Command", "properties": { "env": { "type": "array", "items": { "type": "string" }, "description": "Environment variables set before running this Command." }, "name": { "description": "Name of the command, as presented on the command line, or if the command is packaged as a Docker container, as presented to `docker pull`.", "type": "string" }, "args": { "description": "Command-line arguments used when executing this Command.", "items": { "type": "string" }, "type": "array" }, "id": { "type": "string", "description": "Optional unique identifier for this Command, used in wait_for to reference this Command as a dependency." }, "waitFor": { "items": { "type": "string" }, "description": "The ID(s) of the Command(s) that this Command depends on.", "type": "array" }, "dir": { "type": "string", "description": "Working directory (relative to project source root) used when running this Command." } }, "description": "Command describes a step performed as part of the build pipeline.", "type": "object" }, "Deployable": { "id": "Deployable", "properties": { "resourceUri": { "type": "array", "description": "Resource URI for the artifact being deployed.", "items": { "type": "string" } } }, "type": "object", "description": "An artifact that can be deployed in some runtime." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret": { "properties": { "env": { "type": "string", "description": "Environment variable name to associate with the secret. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step." }, "versionName": { "description": "Resource name of the SecretVersion. In format: projects/*/secrets/*/versions/*", "type": "string" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret", "description": "Pairs a secret environment variable with a SecretVersion in Secret Manager.", "type": "object" }, "ComplianceNote": { "type": "object", "description": "ComplianceNote encapsulates all information about a specific compliance check.", "properties": { "cisBenchmark": { "description": "Right now we only have one compliance type, but we may add additional types in the future.", "$ref": "CisBenchmark" }, "version": { "items": { "$ref": "ComplianceVersion" }, "description": "The OS and config versions the benchmark applies to.", "type": "array" }, "remediation": { "type": "string", "description": "A description of remediation steps if the compliance check fails." }, "scanInstructions": { "format": "byte", "type": "string", "description": "Serialized scan instructions with a predefined format." }, "rationale": { "description": "A rationale for the existence of this compliance check.", "type": "string" }, "description": { "description": "A description about this compliance check.", "type": "string" }, "title": { "description": "The title that identifies this compliance check.", "type": "string" } }, "id": "ComplianceNote" }, "SlsaProvenanceZeroTwo": { "type": "object", "id": "SlsaProvenanceZeroTwo", "description": "SlsaProvenanceZeroTwo is the slsa provenance as defined by the slsa spec. See full explanation of fields at slsa.dev/provenance/v0.2.", "properties": { "buildConfig": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Lists the steps in the build.", "type": "object" }, "builder": { "description": "Identifies the entity that executed the recipe, which is trusted to have correctly performed the operation and populated this provenance.", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaBuilder" }, "invocation": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaInvocation", "description": "Identifies the event that kicked off the build." }, "buildType": { "description": "URI indicating what type of build was performed.", "type": "string" }, "materials": { "type": "array", "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on.", "items": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMaterial" } }, "metadata": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMetadata", "description": "Other properties of the build." } } }, "ComplianceVersion": { "properties": { "version": { "description": "The version of the benchmark. This is set to the version of the OS-specific CIS document the benchmark is defined in.", "type": "string" }, "cpeUri": { "description": "The CPE URI (https://cpe.mitre.org/specification/) this benchmark is applicable to.", "type": "string" } }, "description": "Describes the CIS benchmark version that is applicable to a given OS and os version.", "id": "ComplianceVersion", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "properties": { "endTime": { "type": "string", "description": "End of time span.", "format": "google-datetime" }, "startTime": { "description": "Start of time span.", "format": "google-datetime", "type": "string" } }, "description": "Start and end times for a build execution phase.", "type": "object" }, "RelatedUrl": { "description": "Metadata for any related URL information", "id": "RelatedUrl", "properties": { "label": { "description": "Label to describe usage of the URL", "type": "string" }, "url": { "type": "string", "description": "Specific URL to associate with the note" } }, "type": "object" }, "UpgradeOccurrence": { "id": "UpgradeOccurrence", "properties": { "package": { "type": "string", "description": "Required - The package this Upgrade is for." }, "parsedVersion": { "description": "Required - The version of the package in a machine + human readable form.", "$ref": "Version" }, "distribution": { "description": "Metadata about the upgrade for available for the specific operating system for the resource_url. This allows efficient filtering, as well as making it easier to use the occurrence.", "$ref": "UpgradeDistribution" } }, "description": "An Upgrade Occurrence represents that a specific resource_url could install a specific upgrade. This presence is supplied via local sources (i.e. it is present in the mirror and the running system has noticed its availability).", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource": { "properties": { "tagName": { "description": "Regex matching tags to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" }, "branchName": { "type": "string", "description": "Regex matching branches to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax" }, "projectId": { "description": "ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed.", "type": "string" }, "invertRegex": { "type": "boolean", "description": "Only trigger a build if the revision regex does NOT match the revision regex." }, "substitutions": { "additionalProperties": { "type": "string" }, "description": "Substitutions to use in a triggered build. Should only be used with RunBuildTrigger", "type": "object" }, "commitSha": { "description": "Explicit commit SHA to build.", "type": "string" }, "dir": { "type": "string", "description": "Directory, relative to the source root, in which to run the build. This must be a relative path. If a step's `dir` is specified and is an absolute path, this value is ignored for that step's execution." }, "repoName": { "description": "Name of the Cloud Source Repository.", "type": "string" } }, "description": "Location of the source in a Google Cloud Source Repository.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets": { "description": "Secrets and secret environment variables.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets", "properties": { "secretManager": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret" }, "type": "array", "description": "Secrets in Secret Manager and associated secret environment variable." }, "inline": { "description": "Secrets encrypted with KMS key and the associated secret environment variable.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret" }, "type": "array" } }, "type": "object" }, "BuildType": { "properties": { "signature": { "description": "Signature of the build in Occurrences pointing to the Note containing this `BuilderDetails`.", "$ref": "BuildSignature" }, "builderVersion": { "type": "string", "description": "Version of the builder which produced this Note." } }, "description": "Note holding the version of the provider's builder and the signature of the provenance message in linked BuildDetails.", "id": "BuildType", "type": "object" }, "PackageInfoOccurrence": { "properties": { "comment": { "description": "A place for the SPDX file creator to record any general comments about the package being described", "type": "string" }, "summaryDescription": { "type": "string", "description": "Output only. A short description of the package", "readOnly": true }, "id": { "description": "Uniquely identify any element in an SPDX document which may be referenced by other elements", "type": "string" }, "version": { "type": "string", "description": "Output only. Identify the version of the package", "readOnly": true }, "filename": { "type": "string", "description": "Provide the actual file name of the package, or path of the directory being treated as a package" }, "licenseConcluded": { "$ref": "License", "description": "package or alternative values, if the governing license cannot be determined" }, "sourceInfo": { "type": "string", "description": "Provide a place for the SPDX file creator to record any relevant background information or additional comments about the origin of the package" }, "packageType": { "readOnly": true, "description": "Output only. The type of package: OS, MAVEN, GO, GO_STDLIB, etc.", "type": "string" }, "title": { "type": "string", "readOnly": true, "description": "Output only. Identify the full name of the package as given by the Package Originator" }, "homePage": { "readOnly": true, "type": "string", "description": "Output only. Provide a place for the SPDX file creator to record a web site that serves as the package's home page" } }, "description": "PackageInfoOccurrence represents an SPDX Package Information section: https://spdx.github.io/spdx-spec/3-package-information/", "type": "object", "id": "PackageInfoOccurrence" }, "GetVulnzOccurrencesSummaryResponse": { "type": "object", "properties": { "counts": { "description": "A map of how many occurrences were found for each severity.", "items": { "$ref": "SeverityCount" }, "type": "array" } }, "id": "GetVulnzOccurrencesSummaryResponse", "description": "A summary of how many vulnz occurrences there are per severity type. counts by groups, or if we should have different summary messages like this." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo", "properties": { "detail": { "type": "string", "description": "Explains the failure issue in more detail using hard-coded text." }, "type": { "enumDescriptions": [ "Type unspecified", "Unable to push the image to the repository.", "Final image not found.", "Unauthorized push of the final image.", "Backend logging failures. Should retry.", "A build step has failed.", "The source fetching has failed." ], "description": "The name of the failure.", "enum": [ "FAILURE_TYPE_UNSPECIFIED", "PUSH_FAILED", "PUSH_IMAGE_NOT_FOUND", "PUSH_NOT_AUTHORIZED", "LOGGING_FAILURE", "USER_BUILD_STEP", "FETCH_SOURCE_FAILED" ], "type": "string" } }, "description": "A fatal problem encountered during the execution of the build.", "type": "object" }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } }, "id": "TestIamPermissionsResponse" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions": { "type": "object", "properties": { "logging": { "enumDescriptions": [ "The service determines the logging mode. The default is `LEGACY`. Do not rely on the default logging behavior as it may change in the future.", "Build logs are stored in Cloud Logging and Cloud Storage.", "Build logs are stored in Cloud Storage.", "This option is the same as CLOUD_LOGGING_ONLY.", "Build logs are stored in Cloud Logging. Selecting this option will not allow [logs streaming](https://cloud.google.com/sdk/gcloud/reference/builds/log).", "Turn off all logging. No build logs will be captured." ], "enum": [ "LOGGING_UNSPECIFIED", "LEGACY", "GCS_ONLY", "STACKDRIVER_ONLY", "CLOUD_LOGGING_ONLY", "NONE" ], "type": "string", "description": "Option to specify the logging mode, which determines if and where build logs are stored." }, "secretEnv": { "type": "array", "items": { "type": "string" }, "description": "A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`. These variables will be available to all build steps in this build." }, "machineType": { "type": "string", "enum": [ "UNSPECIFIED", "N1_HIGHCPU_8", "N1_HIGHCPU_32", "E2_HIGHCPU_8", "E2_HIGHCPU_32" ], "enumDescriptions": [ "Standard machine type.", "Highcpu machine with 8 CPUs.", "Highcpu machine with 32 CPUs.", "Highcpu e2 machine with 8 CPUs.", "Highcpu e2 machine with 32 CPUs." ], "description": "Compute Engine machine type on which to run the build." }, "substitutionOption": { "enumDescriptions": [ "Fails the build if error in substitutions checks, like missing a substitution in the template or in the map.", "Do not fail the build if error in substitutions checks." ], "type": "string", "description": "Option to specify behavior when there is an error in the substitution checks. NOTE: this is always set to ALLOW_LOOSE for triggered builds and cannot be overridden in the build configuration file.", "enum": [ "MUST_MATCH", "ALLOW_LOOSE" ] }, "pool": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption", "description": "Optional. Specification for execution on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information." }, "sourceProvenanceHash": { "description": "Requested hash for SourceProvenance.", "items": { "enum": [ "NONE", "SHA256", "MD5" ], "type": "string", "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ] }, "type": "array" }, "dynamicSubstitutions": { "description": "Option to specify whether or not to apply bash style string operations to the substitutions. NOTE: this is always enabled for triggered builds and cannot be overridden in the build configuration file.", "type": "boolean" }, "requestedVerifyOption": { "enumDescriptions": [ "Not a verifiable build. (default)", "Verified build." ], "description": "Requested verifiability options.", "type": "string", "enum": [ "NOT_VERIFIED", "VERIFIED" ] }, "env": { "items": { "type": "string" }, "type": "array", "description": "A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\"." }, "volumes": { "description": "Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "type": "array" }, "logStreamingOption": { "description": "Option to define build log streaming behavior to Google Cloud Storage.", "enumDescriptions": [ "Service may automatically determine build log streaming behavior.", "Build logs should be streamed to Google Cloud Storage.", "Build logs should not be streamed to Google Cloud Storage; they will be written when the build is completed." ], "enum": [ "STREAM_DEFAULT", "STREAM_ON", "STREAM_OFF" ], "type": "string" }, "diskSizeGb": { "format": "int64", "type": "string", "description": "Requested disk size for the VM that runs the build. Note that this is *NOT* \"disk free\"; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error." }, "workerPool": { "description": "This field deprecated; please use `pool.name` instead.", "type": "string" } }, "description": "Optional arguments to enable specific features of builds.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions" }, "AttestationAuthority": { "description": "Note kind that represents a logical attestation \"role\" or \"authority\". For example, an organization might have one `AttestationAuthority` for \"QA\" and one for \"build\". This Note is intended to act strictly as a grouping mechanism for the attached Occurrences (Attestations). This grouping mechanism also provides a security boundary, since IAM ACLs gate the ability for a principle to attach an Occurrence to a given Note. It also provides a single point of lookup to find all attached Attestation Occurrences, even if they don't all live in the same project.", "properties": { "hint": { "$ref": "AttestationAuthorityHint" } }, "id": "AttestationAuthority", "type": "object" }, "CreateOperationRequest": { "description": "Request for creating an operation", "properties": { "operation": { "$ref": "Operation", "description": "The operation to create." }, "operationId": { "description": "The ID to use for this operation.", "type": "string" } }, "id": "CreateOperationRequest", "type": "object" }, "SeverityCount": { "description": "The number of occurrences created for a specific severity.", "id": "SeverityCount", "properties": { "count": { "type": "string", "format": "int64", "description": "The number of occurrences with the severity." }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "type": "string", "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ], "description": "The severity of the occurrences." } }, "type": "object" }, "Version": { "properties": { "epoch": { "format": "int32", "description": "Used to correct mistakes in the version numbering scheme.", "type": "integer" }, "inclusive": { "description": "Whether this version is vulnerable, when defining the version bounds. For example, if the minimum version is 2.0, inclusive=true would say 2.0 is vulnerable, while inclusive=false would say it's not", "type": "boolean" }, "name": { "description": "The main part of the version name.", "type": "string" }, "revision": { "type": "string", "description": "The iteration of the package build from the above version." }, "kind": { "enum": [ "NORMAL", "MINIMUM", "MAXIMUM" ], "description": "Distinguish between sentinel MIN/MAX versions and normal versions. If kind is not NORMAL, then the other fields are ignored.", "enumDescriptions": [ "A standard package version, defined by the other fields.", "A special version representing negative infinity, other fields are ignored.", "A special version representing positive infinity, other fields are ignored." ], "type": "string" } }, "description": "Version contains structured information about the version of the package. For a discussion of this in Debian/Ubuntu: http://serverfault.com/questions/604541/debian-packages-version-convention For a discussion of this in Redhat/Fedora/Centos: http://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/", "type": "object", "id": "Version" }, "Resource": { "properties": { "name": { "type": "string", "description": "The name of the resource. E.g., the name of a Docker image - \"Debian\"." }, "contentHash": { "description": "The hash of the resource content. E.g., the Docker digest.", "$ref": "Hash" }, "uri": { "description": "The unique URI of the resource. E.g., \"https://gcr.io/project/image@sha256:foo\" for a Docker image.", "type": "string" } }, "description": " Resource is an entity that can have metadata. E.g., a Docker image.", "type": "object", "id": "Resource" }, "SlsaCompleteness": { "type": "object", "properties": { "materials": { "type": "boolean", "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\"." }, "environment": { "type": "boolean", "description": "If true, the builder claims that recipe.environment is claimed to be complete." }, "arguments": { "type": "boolean", "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe." } }, "id": "SlsaCompleteness", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash", "properties": { "value": { "description": "The hash value.", "type": "string", "format": "byte" }, "type": { "enum": [ "NONE", "SHA256", "MD5" ], "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "type": "string", "description": "The type of hash that was performed." } }, "description": "Container message for hash values.", "type": "object" }, "VulnerabilityType": { "properties": { "severity": { "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ], "type": "string", "description": "Note provider assigned impact of the vulnerability", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ] }, "cwe": { "description": "A list of CWE for this vulnerability. For details, see: https://cwe.mitre.org/index.html", "type": "array", "items": { "type": "string" } }, "cvssScore": { "type": "number", "format": "float", "description": "The CVSS score for this Vulnerability." }, "cvssV2": { "$ref": "CVSS", "description": "The full description of the CVSS for version 2." }, "details": { "type": "array", "items": { "$ref": "Detail" }, "description": "All information about the package to specifically identify this vulnerability. One entry per (version range and cpe_uri) the package vulnerability has manifested in." } }, "id": "VulnerabilityType", "type": "object", "description": "VulnerabilityType provides metadata about a security vulnerability." }, "Digest": { "properties": { "digestBytes": { "type": "string", "format": "byte", "description": "Value of the digest." }, "algo": { "description": "`SHA1`, `SHA512` etc.", "type": "string" } }, "description": "Digest information.", "id": "Digest", "type": "object" }, "FileNote": { "type": "object", "id": "FileNote", "properties": { "title": { "type": "string", "description": "Identify the full path and filename that corresponds to the file information in this section" }, "checksum": { "items": { "type": "string" }, "type": "array", "description": "Provide a unique identifier to match analysis information on each specific file in a package" }, "fileType": { "enum": [ "FILE_TYPE_UNSPECIFIED", "SOURCE", "BINARY", "ARCHIVE", "APPLICATION", "AUDIO", "IMAGE", "TEXT", "VIDEO", "DOCUMENTATION", "SPDX", "OTHER" ], "type": "string", "enumDescriptions": [ "Unspecified", "The file is human readable source code (.c, .html, etc.)", "The file is a compiled object, target image or binary executable (.o, .a, etc.)", "The file represents an archive (.tar, .jar, etc.)", "The file is associated with a specific application type (MIME type of application/*)", "The file is associated with an audio file (MIME type of audio/* , e.g. .mp3)", "The file is associated with an picture image file (MIME type of image/*, e.g., .jpg, .gif)", "The file is human readable text file (MIME type of text/*)", "The file is associated with a video file type (MIME type of video/*)", "The file serves as documentation", "The file is an SPDX document", "The file doesn't fit into the above categories (generated artifacts, data files, etc.)" ], "description": "This field provides information about the type of file identified" } }, "description": "FileNote represents an SPDX File Information section: https://spdx.github.io/spdx-spec/4-file-information/" }, "DSSEAttestationOccurrence": { "type": "object", "description": "An occurrence describing an attestation on a resource", "id": "DSSEAttestationOccurrence", "properties": { "envelope": { "$ref": "Envelope", "description": "If doing something security critical, make sure to verify the signatures in this metadata." }, "statement": { "$ref": "InTotoStatement" } } }, "PgpSignedAttestation": { "properties": { "contentType": { "enumDescriptions": [ "`ContentType` is not set.", "Atomic format attestation signature. See https://github.com/containers/image/blob/8a5d2f82a6e3263290c8e0276c3e0f64e77723e7/docs/atomic-signature.md The payload extracted from `signature` is a JSON blob conforming to the linked schema." ], "enum": [ "CONTENT_TYPE_UNSPECIFIED", "SIMPLE_SIGNING_JSON" ], "description": "Type (for example schema) of the attestation payload that was signed. The verifier must ensure that the provided type is one that the verifier supports, and that the attestation payload is a valid instantiation of that type (for example by validating a JSON schema).", "type": "string" }, "signature": { "description": "The raw content of the signature, as output by GNU Privacy Guard (GPG) or equivalent. Since this message only supports attached signatures, the payload that was signed must be attached. While the signature format supported is dependent on the verification implementation, currently only ASCII-armored (`--armor` to gpg), non-clearsigned (`--sign` rather than `--clearsign` to gpg) are supported. Concretely, `gpg --sign --armor --output=signature.gpg payload.json` will create the signature content expected in this field in `signature.gpg` for the `payload.json` attestation payload.", "type": "string" }, "pgpKeyId": { "type": "string", "description": "The cryptographic fingerprint of the key used to generate the signature, as output by, e.g. `gpg --list-keys`. This should be the version 4, full 160-bit fingerprint, expressed as a 40 character hexadecimal string. See https://tools.ietf.org/html/rfc4880#section-12.2 for details. Implementations may choose to acknowledge \"LONG\", \"SHORT\", or other abbreviated key IDs, but only the full fingerprint is guaranteed to work. In gpg, the full fingerprint can be retrieved from the `fpr` field returned when calling --list-keys with --with-colons. For example: ``` gpg --with-colons --with-fingerprint --force-v4-certs \\ --list-keys attester@example.com tru::1:1513631572:0:3:1:5 pub:...... fpr:::::::::24FF6481B76AC91E66A00AC657A93A81EF3AE6FB: ``` Above, the fingerprint is `24FF6481B76AC91E66A00AC657A93A81EF3AE6FB`." } }, "type": "object", "description": "An attestation wrapper with a PGP-compatible signature. This message only supports `ATTACHED` signatures, where the payload that is signed is included alongside the signature itself in the same file.", "id": "PgpSignedAttestation" }, "PackageInfoNote": { "id": "PackageInfoNote", "properties": { "detailedDescription": { "description": "A more detailed description of the package", "type": "string" }, "copyright": { "description": "Identify the copyright holders of the package, as well as any dates present", "type": "string" }, "homePage": { "description": "Provide a place for the SPDX file creator to record a web site that serves as the package's home page", "type": "string" }, "verificationCode": { "description": "This field provides an independently reproducible mechanism identifying specific contents of a package based on the actual files (except the SPDX file itself, if it is included in the package) that make up each package and that correlates to the data in this SPDX file", "type": "string" }, "licenseDeclared": { "description": "List the licenses that have been declared by the authors of the package", "$ref": "License" }, "downloadLocation": { "description": "This section identifies the download Universal Resource Locator (URL), or a specific location within a version control system (VCS) for the package at the time that the SPDX file was created", "type": "string" }, "attribution": { "type": "string", "description": "A place for the SPDX data creator to record, at the package level, acknowledgements that may be needed to be communicated in some contexts" }, "title": { "description": "Identify the full name of the package as given by the Package Originator", "type": "string" }, "version": { "type": "string", "description": "Identify the version of the package" }, "supplier": { "type": "string", "description": "Identify the actual distribution source for the package/directory identified in the SPDX file" }, "checksum": { "type": "string", "description": "Provide an independently reproducible mechanism that permits unique identification of a specific package that correlates to the data in this SPDX file" }, "summaryDescription": { "type": "string", "description": "A short description of the package" }, "externalRefs": { "type": "array", "items": { "$ref": "ExternalRef" }, "description": "ExternalRef" }, "filesLicenseInfo": { "description": "Contain the license the SPDX file creator has concluded as governing the This field is to contain a list of all licenses found in the package. The relationship between licenses (i.e., conjunctive, disjunctive) is not specified in this field – it is simply a listing of all licenses found", "type": "array", "items": { "type": "string" } }, "packageType": { "description": "The type of package: OS, MAVEN, GO, GO_STDLIB, etc.", "type": "string" }, "originator": { "description": "If the package identified in the SPDX file originated from a different person or organization than identified as Package Supplier, this field identifies from where or whom the package originally came", "type": "string" }, "analyzed": { "description": "Indicates whether the file content of this package has been available for or subjected to analysis when creating the SPDX document", "type": "boolean" } }, "description": "PackageInfoNote represents an SPDX Package Information section: https://spdx.github.io/spdx-spec/3-package-information/", "type": "object" }, "FileHashes": { "id": "FileHashes", "properties": { "fileHash": { "items": { "$ref": "Hash" }, "type": "array", "description": "Collection of file hashes." } }, "description": "Container message for hashes of byte content of files, used in Source messages to verify integrity of source input to the build.", "type": "object" }, "Policy": { "properties": { "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array", "items": { "$ref": "Binding" } }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "CisBenchmark": { "description": "A compliance check that is a CIS benchmark.", "type": "object", "id": "CisBenchmark", "properties": { "profileLevel": { "description": "The profile level of this CIS benchmark check.", "format": "int32", "type": "integer" }, "severity": { "type": "string", "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ], "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "description": "The severity level of this CIS benchmark check." } } }, "Binding": { "properties": { "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "type": "object" }, "Layer": { "description": "Layer holds metadata specific to a layer of a Docker image.", "properties": { "directive": { "enum": [ "DIRECTIVE_UNSPECIFIED", "MAINTAINER", "RUN", "CMD", "LABEL", "EXPOSE", "ENV", "ADD", "COPY", "ENTRYPOINT", "VOLUME", "USER", "WORKDIR", "ARG", "ONBUILD", "STOPSIGNAL", "HEALTHCHECK", "SHELL" ], "description": "The recovered Dockerfile directive used to construct this layer.", "enumDescriptions": [ "Default value for unsupported/missing directive", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/reference/builder/#copy", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/" ], "type": "string" }, "arguments": { "description": "The recovered arguments to the Dockerfile directive.", "type": "string" } }, "id": "Layer", "type": "object" }, "ListNoteOccurrencesResponse": { "properties": { "occurrences": { "items": { "$ref": "Occurrence" }, "description": "The occurrences attached to the specified note.", "type": "array" }, "nextPageToken": { "description": "Token to receive the next page of notes.", "type": "string" } }, "description": "Response including listed occurrences for a note.", "id": "ListNoteOccurrencesResponse", "type": "object" }, "GoogleDevtoolsContaineranalysisV1alpha1SourceContext": { "properties": { "gerrit": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1GerritSourceContext", "description": "A SourceContext referring to a Gerrit project." }, "cloudRepo": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1CloudRepoSourceContext", "description": "A SourceContext referring to a revision in a Google Cloud Source Repo." }, "git": { "description": "A SourceContext referring to any third party Git repo (e.g., GitHub).", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1GitSourceContext" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels with user defined metadata." } }, "type": "object", "description": "A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory.", "id": "GoogleDevtoolsContaineranalysisV1alpha1SourceContext" }, "FileOccurrence": { "type": "object", "id": "FileOccurrence", "description": "FileOccurrence represents an SPDX File Information section: https://spdx.github.io/spdx-spec/4-file-information/", "properties": { "comment": { "type": "string", "description": "This field provides a place for the SPDX file creator to record any general comments about the file" }, "filesLicenseInfo": { "type": "array", "items": { "type": "string" }, "description": "This field contains the license information actually found in the file, if any" }, "id": { "description": "Uniquely identify any element in an SPDX document which may be referenced by other elements", "type": "string" }, "attributions": { "items": { "type": "string" }, "type": "array", "description": "This field provides a place for the SPDX data creator to record, at the file level, acknowledgements that may be needed to be communicated in some contexts" }, "licenseConcluded": { "$ref": "License", "description": "This field contains the license the SPDX file creator has concluded as governing the file or alternative values if the governing license cannot be determined" }, "copyright": { "description": "Identify the copyright holder of the file, as well as any dates present", "type": "string" }, "notice": { "type": "string", "description": "This field provides a place for the SPDX file creator to record license notices or other such related notices found in the file" }, "contributors": { "items": { "type": "string" }, "type": "array", "description": "This field provides a place for the SPDX file creator to record file contributors" } } }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMaterial": { "properties": { "uri": { "description": "The method by which this artifact was referenced during the build.", "type": "string" }, "digest": { "description": "Collection of cryptographic digests for the contents of this artifact.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMaterial", "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on.", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest": { "description": "Location of the source manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher).", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "properties": { "bucket": { "description": "Google Cloud Storage bucket containing the source manifest (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" }, "generation": { "format": "int64", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "type": "string" }, "object": { "type": "string", "description": "Google Cloud Storage object containing the source manifest. This object must be a JSON file." } } }, "ComplianceOccurrence": { "description": "An indication that the compliance checks in the associated ComplianceNote were not satisfied for particular resources or a specified reason.", "type": "object", "id": "ComplianceOccurrence", "properties": { "nonComplianceReason": { "type": "string", "description": "The reason for non compliance of these files." }, "nonCompliantFiles": { "type": "array", "items": { "$ref": "NonCompliantFile" }, "description": "A list of files which are violating compliance checks." } } }, "SlsaBuilder": { "id": "SlsaBuilder", "type": "object", "properties": { "id": { "type": "string", "description": "id is the id of the slsa provenance builder" } }, "description": "SlsaBuilder encapsulates the identity of the builder of this provenance." }, "Recipe": { "properties": { "arguments": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array", "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint." }, "entryPoint": { "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use.", "type": "string" }, "environment": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy.", "type": "array" }, "definedInMaterial": { "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64.", "format": "int64", "type": "string" }, "type": { "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials.", "type": "string" } }, "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe.", "type": "object", "id": "Recipe" }, "Note": { "type": "object", "description": "Provides a detailed description of a `Note`.", "id": "Note", "properties": { "expirationTime": { "format": "google-datetime", "type": "string", "description": "Time of expiration for this note, null if note does not expire." }, "spdxPackage": { "$ref": "PackageInfoNote", "description": "A note describing an SPDX Package." }, "spdxRelationship": { "description": "A note describing a relationship between SPDX elements.", "$ref": "RelationshipNote" }, "longDescription": { "description": "A detailed description of this `Note`.", "type": "string" }, "sbom": { "$ref": "DocumentNote", "description": "A note describing a software bill of materials." }, "compliance": { "description": "A note describing a compliance check.", "$ref": "ComplianceNote" }, "package": { "description": "A note describing a package hosted by various package managers.", "$ref": "Package" }, "attestationAuthority": { "$ref": "AttestationAuthority", "description": "A note describing an attestation role." }, "buildType": { "description": "Build provenance type for a verifiable build.", "$ref": "BuildType" }, "baseImage": { "$ref": "Basis", "description": "A note describing a base image." }, "deployable": { "description": "A note describing something that can be deployed.", "$ref": "Deployable" }, "kind": { "description": "Output only. This explicitly denotes which kind of note is specified. This field can be used as a filter in list requests.", "type": "string", "enum": [ "KIND_UNSPECIFIED", "PACKAGE_VULNERABILITY", "BUILD_DETAILS", "IMAGE_BASIS", "PACKAGE_MANAGER", "DEPLOYABLE", "DISCOVERY", "ATTESTATION_AUTHORITY", "UPGRADE", "COMPLIANCE", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP", "DSSE_ATTESTATION" ], "enumDescriptions": [ "Unknown", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available software upgrade.", "This represents a compliance check that can be applied to a resource.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship.", "This represents a DSSE attestation Note" ] }, "discovery": { "$ref": "Discovery", "description": "A note describing a provider/analysis type." }, "createTime": { "type": "string", "description": "Output only. The time this note was created. This field can be used as a filter in list requests.", "format": "google-datetime" }, "shortDescription": { "type": "string", "description": "A one sentence description of this `Note`." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time this note was last updated. This field can be used as a filter in list requests." }, "vulnerabilityType": { "$ref": "VulnerabilityType", "description": "A package vulnerability type of note." }, "name": { "description": "The name of the note in the form \"projects/{provider_project_id}/notes/{NOTE_ID}\"", "type": "string" }, "relatedUrl": { "type": "array", "description": "URLs associated with this note", "items": { "$ref": "RelatedUrl" } }, "upgrade": { "description": "A note describing an upgrade.", "$ref": "UpgradeNote" }, "spdxFile": { "$ref": "FileNote", "description": "A note describing an SPDX File." }, "dsseAttestation": { "description": "A note describing a dsse attestation note.", "$ref": "DSSEAttestationNote" } } }, "FileLocation": { "description": "Indicates the location at which a package was found.", "properties": { "filePath": { "description": "For jars that are contained inside .war files, this filepath can indicate the path to war file combined with the path to jar file.", "type": "string" } }, "type": "object", "id": "FileLocation" }, "Location": { "id": "Location", "type": "object", "properties": { "path": { "type": "string", "description": "The path from which we gathered that this package/version is installed." }, "cpeUri": { "type": "string", "description": "Deprecated. The cpe_uri in [cpe format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package." }, "version": { "$ref": "Version", "description": "Deprecated. The version installed at this location." } }, "description": "An occurrence of a particular package installation found within a system's filesystem. e.g. glibc was found in /var/lib/dpkg/status" }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaCompleteness": { "properties": { "materials": { "type": "boolean", "description": "If true, the builder claims that materials is complete." }, "parameters": { "type": "boolean", "description": "If true, the builder claims that invocation.parameters is complete." }, "environment": { "description": "If true, the builder claims that invocation.environment is complete.", "type": "boolean" } }, "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaCompleteness", "description": "Indicates that the builder claims certain fields in this message to be complete.", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret": { "properties": { "envMap": { "additionalProperties": { "type": "string", "format": "byte" }, "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets.", "type": "object" }, "kmsKeyName": { "description": "Resource name of Cloud KMS crypto key to decrypt the encrypted value. In format: projects/*/locations/*/keyRings/*/cryptoKeys/*", "type": "string" } }, "type": "object", "description": "Pairs a set of secret environment variables mapped to encrypted values with the Cloud KMS key to use to decrypt the value.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret" }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaInvocation": { "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaInvocation", "type": "object", "description": "Identifies the event that kicked off the build.", "properties": { "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Collection of all external inputs that influenced the build on top of invocation.configSource.", "type": "object" }, "environment": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Any other builder-controlled inputs necessary for correctly evaluating the build." }, "configSource": { "description": "Describes where the config file that kicked off the build came from.", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaConfigSource" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret": { "description": "Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Note: Use `kmsKeyName` with `available_secrets` instead of using `kmsKeyName` with `secret`. For instructions see: https://cloud.google.com/cloud-build/docs/securing-builds/use-encrypted-credentials.", "properties": { "kmsKeyName": { "type": "string", "description": "Cloud KMS key name to use to decrypt these envs." }, "secretEnv": { "additionalProperties": { "format": "byte", "type": "string" }, "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets.", "type": "object" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig", "properties": { "approvalRequired": { "description": "Whether or not approval is needed. If this is set on a build, it will become pending when created, and will need to be explicitly approved to start.", "type": "boolean" } }, "description": "ApprovalConfig describes configuration for manual approval of a build.", "type": "object" }, "ScanConfig": { "description": "Indicates various scans and whether they are turned on or off.", "type": "object", "id": "ScanConfig", "properties": { "enabled": { "description": "Indicates whether the Scan is enabled.", "type": "boolean" }, "createTime": { "format": "google-datetime", "description": "Output only. The time this scan config was created.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. The time this scan config was last updated.", "type": "string" }, "description": { "description": "Output only. A human-readable description of what the `ScanConfig` does.", "type": "string" }, "name": { "description": "Output only. The name of the ScanConfig in the form “projects/{project_id}/scanConfigs/{scan_config_id}\".", "type": "string" } } }, "Installation": { "id": "Installation", "properties": { "version": { "$ref": "Version", "readOnly": true, "description": "Output only. The version of the package." }, "license": { "description": "Licenses that have been declared by the authors of the package.", "$ref": "License" }, "cpeUri": { "type": "string", "readOnly": true, "description": "Output only. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages." }, "packageType": { "type": "string", "readOnly": true, "description": "Output only. The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.)." }, "architecture": { "type": "string", "readOnly": true, "description": "Output only. The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "enumDescriptions": [ "Unknown architecture", "X86 architecture", "X64 architecture" ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ] }, "name": { "readOnly": true, "type": "string", "description": "Output only. The name of the installed package." }, "location": { "description": "All of the places within the filesystem versions of this package have been found.", "type": "array", "items": { "$ref": "Location" } } }, "description": "This represents how a particular software package may be installed on a system.", "type": "object" }, "VulnerabilityDetails": { "id": "VulnerabilityDetails", "type": "object", "properties": { "effectiveSeverity": { "description": "The distro assigned severity for this vulnerability when that is available and note provider assigned severity when distro has not yet assigned a severity for this vulnerability. When there are multiple package issues for this vulnerability, they can have different effective severities because some might come from the distro and some might come from installed language packs (e.g. Maven JARs or Go binaries). For this reason, it is advised to use the effective severity on the PackageIssue level, as this field may eventually be deprecated. In the case where multiple PackageIssues have different effective severities, the one set here will be the highest severity of any of the PackageIssues.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "type": "string", "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ] }, "type": { "description": "The type of package; whether native or non native(ruby gems, node.js packages etc). This may be deprecated in the future because we can have multiple PackageIssues with different package types.", "type": "string" }, "cvssV3": { "description": "The CVSS v3 score of this vulnerability.", "$ref": "CVSS" }, "cvssScore": { "description": "Output only. The CVSS score of this vulnerability. CVSS score is on a scale of 0-10 where 0 indicates low severity and 10 indicates high severity.", "format": "float", "type": "number" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ], "description": "Output only. The note provider assigned Severity of the vulnerability.", "type": "string" }, "packageIssue": { "type": "array", "description": "The set of affected locations and their fixes (if available) within the associated resource.", "items": { "$ref": "PackageIssue" } } }, "description": "Used by Occurrence to point to where the vulnerability exists and how to fix it." }, "UpdateOperationRequest": { "description": "Request for updating an existing operation", "id": "UpdateOperationRequest", "type": "object", "properties": { "operation": { "$ref": "Operation", "description": "The operation to create." }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The fields to update." } } }, "GoogleDevtoolsContaineranalysisV1alpha1GitSourceContext": { "id": "GoogleDevtoolsContaineranalysisV1alpha1GitSourceContext", "type": "object", "description": "A GitSourceContext denotes a particular revision in a third party Git repository (e.g., GitHub).", "properties": { "revisionId": { "type": "string", "description": "Required. Git commit hash." }, "url": { "type": "string", "description": "Git repository URL." } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "type": "object" }, "NonCompliantFile": { "type": "object", "description": "Details about files that caused a compliance check to fail.", "properties": { "reason": { "description": "Explains why a file is non compliant for a CIS check.", "type": "string" }, "displayCommand": { "description": "Command to display the non-compliant files.", "type": "string" }, "path": { "type": "string", "description": "display_command is a single command that can be used to display a list of non compliant files. When there is no such command, we can also iterate a list of non compliant file using 'path'. Empty if `display_command` is set." } }, "id": "NonCompliantFile" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep": { "type": "object", "description": "A step in the build pipeline.", "properties": { "timing": { "description": "Output only. Stores timing information for executing this build step.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "args": { "items": { "type": "string" }, "type": "array", "description": "A list of arguments that will be presented to the step when it is started. If the image used to run the step's container has an entrypoint, the `args` are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments." }, "dir": { "type": "string", "description": "Working directory to use when running this step's container. If this value is a relative path, it is relative to the build's working directory. If this value is absolute, it may be outside the build's working directory, in which case the contents of the path may not be persisted across build step executions, unless a `volume` for that path is specified. If the build specifies a `RepoSource` with `dir` and a step with a `dir`, which specifies an absolute path, the `RepoSource` `dir` is ignored for the step's execution." }, "env": { "description": "A list of environment variable definitions to be used when running a step. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "type": "array", "items": { "type": "string" } }, "timeout": { "type": "string", "format": "google-duration", "description": "Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out." }, "status": { "description": "Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses.", "readOnly": true, "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "type": "string", "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ] }, "name": { "description": "Required. The name of the container image that will run this particular build step. If the image is available in the host's Docker daemon's cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account's credentials if necessary. The Docker daemon's cache will already have the latest versions of all of the officially supported build steps ([https://github.com/GoogleCloudPlatform/cloud-builders](https://github.com/GoogleCloudPlatform/cloud-builders)). The Docker daemon will also have cached many of the layers for some popular images, like \"ubuntu\", \"debian\", but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host's Docker daemon's cache and is available to use as the name for a later build step.", "type": "string" }, "waitFor": { "description": "The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in `wait_for` have completed successfully. If `wait_for` is empty, this build step will start when all previous build steps in the `Build.Steps` list have completed successfully.", "type": "array", "items": { "type": "string" } }, "entrypoint": { "type": "string", "description": "Entrypoint to be used instead of the build step image's default entrypoint. If unset, the image's default entrypoint is used." }, "pullTiming": { "readOnly": true, "description": "Output only. Stores timing information for pulling this build step's builder image only.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "id": { "type": "string", "description": "Unique identifier for this build step, used in `wait_for` to reference this build step as a dependency." }, "secretEnv": { "type": "array", "description": "A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`.", "items": { "type": "string" } }, "volumes": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "description": "List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration." }, "script": { "type": "string", "description": "A shell script to be executed in the step. When script is provided, the user cannot specify the entrypoint or args." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep" }, "BuildProvenance": { "properties": { "buildOptions": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Special options applied to this build. This is a catch-all field where build providers can enter any desired additional details." }, "projectId": { "type": "string", "description": "ID of the project." }, "startTime": { "description": "Time at which execution of the build was started.", "format": "google-datetime", "type": "string" }, "triggerId": { "description": "Trigger identifier if the build was triggered automatically; empty if not.", "type": "string" }, "logsBucket": { "type": "string", "description": "Google Cloud Storage bucket where logs were written." }, "creator": { "type": "string", "description": "E-mail address of the user who initiated this build. Note that this was the user's e-mail address at the time the build was initiated; this address may not represent the same end-user for all time." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Time at which the build was created." }, "commands": { "items": { "$ref": "Command" }, "description": "Commands requested by the build.", "type": "array" }, "finishTime": { "type": "string", "description": "Time at which execution of the build was finished.", "format": "google-datetime" }, "builderVersion": { "description": "Version string of the builder at the time this build was executed.", "type": "string" }, "sourceProvenance": { "description": "Details of the Source input to the build.", "$ref": "Source" }, "id": { "type": "string", "description": "Unique identifier of the build." }, "builtArtifacts": { "type": "array", "items": { "$ref": "Artifact" }, "description": "Output of the build." } }, "description": "Provenance of a build. Contains all information needed to verify the full details about the build from source to completion.", "type": "object", "id": "BuildProvenance" }, "InTotoProvenance": { "id": "InTotoProvenance", "properties": { "recipe": { "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible). required", "$ref": "Recipe" }, "builderConfig": { "$ref": "BuilderConfig", "description": "required" }, "metadata": { "$ref": "Metadata" }, "materials": { "type": "array", "items": { "type": "string" }, "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty." } }, "type": "object" }, "GetPolicyOptions": { "id": "GetPolicyOptions", "description": "Encapsulates settings provided to GetIamPolicy.", "type": "object", "properties": { "requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } } }, "DocumentOccurrence": { "type": "object", "id": "DocumentOccurrence", "properties": { "licenseListVersion": { "description": "A field for creators of the SPDX file to provide the version of the SPDX License List used when the SPDX file was created", "type": "string" }, "title": { "type": "string", "description": "Identify name of this document as designated by creator" }, "externalDocumentRefs": { "description": "Identify any external SPDX documents referenced within this SPDX document", "items": { "type": "string" }, "type": "array" }, "documentComment": { "description": "A field for creators of the SPDX file content to provide comments to the consumers of the SPDX document", "type": "string" }, "namespace": { "description": "Provide an SPDX document specific namespace as a unique absolute Uniform Resource Identifier (URI) as specified in RFC-3986, with the exception of the ‘#’ delimiter", "type": "string" }, "id": { "description": "Identify the current SPDX document which may be referenced in relationships by other files, packages internally and documents externally", "type": "string" }, "creatorComment": { "type": "string", "description": "A field for creators of the SPDX file to provide general comments about the creation of the SPDX file or any other relevant comment not included in the other fields" }, "createTime": { "format": "google-datetime", "description": "Identify when the SPDX file was originally created. The date is to be specified according to combined date and time in UTC format as specified in ISO 8601 standard", "type": "string" }, "creators": { "items": { "type": "string" }, "type": "array", "description": "Identify who (or what, in the case of a tool) created the SPDX file. If the SPDX file was created by an individual, indicate the person's name" } }, "description": "DocumentOccurrence represents an SPDX Document Creation Information section: https://spdx.github.io/spdx-spec/2-document-creation-information/" }, "Deployment": { "description": "The period during which some deployable was active in a runtime.", "type": "object", "id": "Deployment", "properties": { "platform": { "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "GKE", "FLEX", "CUSTOM" ], "description": "Platform hosting this deployment.", "enumDescriptions": [ "Unknown", "Google Container Engine", "Google App Engine: Flexible Environment", "Custom user-defined platform" ] }, "deployTime": { "type": "string", "description": "Beginning of the lifetime of this deployment.", "format": "google-datetime" }, "undeployTime": { "type": "string", "description": "End of the lifetime of this deployment.", "format": "google-datetime" }, "address": { "type": "string", "description": "Address of the runtime element hosting this deployment." }, "resourceUri": { "type": "array", "description": "Output only. Resource URI for the artifact being deployed taken from the deployable field with the same name.", "items": { "type": "string" } }, "config": { "type": "string", "description": "Configuration used to create this deployment." }, "userEmail": { "description": "Identity of the user that triggered this deployment.", "type": "string" } } }, "StorageSource": { "id": "StorageSource", "properties": { "bucket": { "description": "Google Cloud Storage bucket containing source (see [Bucket Name Requirements] (https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" }, "generation": { "description": "Google Cloud Storage generation for the object.", "format": "int64", "type": "string" }, "object": { "type": "string", "description": "Google Cloud Storage object containing source." } }, "description": "StorageSource describes the location of the source in an archive file in Google Cloud Storage.", "type": "object" }, "Discovery": { "properties": { "analysisKind": { "description": "The kind of analysis that is handled by this discovery.", "type": "string", "enum": [ "KIND_UNSPECIFIED", "PACKAGE_VULNERABILITY", "BUILD_DETAILS", "IMAGE_BASIS", "PACKAGE_MANAGER", "DEPLOYABLE", "DISCOVERY", "ATTESTATION_AUTHORITY", "UPGRADE", "COMPLIANCE", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP", "DSSE_ATTESTATION" ], "enumDescriptions": [ "Unknown", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available software upgrade.", "This represents a compliance check that can be applied to a resource.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship.", "This represents a DSSE attestation Note" ] } }, "type": "object", "description": "A note that indicates a type of analysis a provider would perform. This note exists in a provider's project. A `Discovery` occurrence is created in a consumer's project at the start of analysis. The occurrence's operation will indicate the status of the analysis. Absence of an occurrence linked to this note for a resource indicates that analysis hasn't started.", "id": "Discovery" }, "Detail": { "description": "Identifies all occurrences of this vulnerability in the package for a specific distro/location For example: glibc in cpe:/o:debian:debian_linux:8 for versions 2.1 - 2.2", "id": "Detail", "properties": { "severityName": { "description": "The severity (eg: distro assigned severity) for this vulnerability.", "type": "string" }, "isObsolete": { "type": "boolean", "description": "Whether this Detail is obsolete. Occurrences are expected not to point to obsolete details." }, "minAffectedVersion": { "$ref": "Version", "description": "The min version of the package in which the vulnerability exists." }, "packageType": { "description": "The type of package; whether native or non native(ruby gems, node.js packages etc)", "type": "string" }, "source": { "type": "string", "description": "The source from which the information in this Detail was obtained." }, "vendor": { "type": "string", "description": "The vendor of the product. e.g. \"google\"" }, "description": { "description": "A vendor-specific description of this note.", "type": "string" }, "cpeUri": { "type": "string", "description": "The cpe_uri in [cpe format] (https://cpe.mitre.org/specification/) in which the vulnerability manifests. Examples include distro or storage location for vulnerable jar. This field can be used as a filter in list requests." }, "package": { "description": "The name of the package where the vulnerability was found. This field can be used as a filter in list requests.", "type": "string" }, "fixedLocation": { "$ref": "VulnerabilityLocation", "description": "The fix for this specific package version." }, "maxAffectedVersion": { "$ref": "Version", "description": "The max version of the package in which the vulnerability exists." } }, "type": "object" }, "AttestationAuthorityHint": { "type": "object", "id": "AttestationAuthorityHint", "description": "This submessage provides human-readable hints about the purpose of the AttestationAuthority. Because the name of a Note acts as its resource reference, it is important to disambiguate the canonical name of the Note (which might be a UUID for security purposes) from \"readable\" names more suitable for debug output. Note that these hints should NOT be used to look up AttestationAuthorities in security sensitive contexts, such as when looking up Attestations to verify.", "properties": { "humanReadableName": { "description": "The human readable name of this Attestation Authority, for example \"qa\".", "type": "string" } } }, "SlsaRecipe": { "type": "object", "id": "SlsaRecipe", "properties": { "entryPoint": { "type": "string", "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use." }, "type": { "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials.", "type": "string" }, "definedInMaterial": { "format": "int64", "type": "string", "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64." }, "arguments": { "type": "object", "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint. Depending on the recipe Type, the structure may be different.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "environment": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy. Depending on the recipe Type, the structure may be different.", "type": "object" } }, "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe." }, "Attestation": { "properties": { "pgpSignedAttestation": { "$ref": "PgpSignedAttestation" } }, "id": "Attestation", "type": "object", "description": "Occurrence that represents a single \"attestation\". The authenticity of an Attestation can be verified using the attached signature. If the verifier trusts the public key of the signer, then verifying the signature is sufficient to establish trust. In this circumstance, the AttestationAuthority to which this Attestation is attached is primarily useful for look-up (how to find this Attestation if you already know the Authority and artifact to be verified) and intent (which authority was this attestation intended to sign for)." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes": { "description": "Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes", "type": "object", "properties": { "fileHash": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash" }, "type": "array", "description": "Collection of file hashes." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume": { "description": "Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution.", "properties": { "path": { "type": "string", "description": "Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths." }, "name": { "type": "string", "description": "Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps." } }, "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "Source": { "type": "object", "id": "Source", "properties": { "storageSource": { "$ref": "StorageSource", "description": "If provided, get the source from this location in in Google Cloud Storage." }, "additionalContexts": { "description": "If provided, some of the source code used for the build may be found in these locations, in the case where the source repository had multiple remotes or submodules. This list will not include the context specified in the context field.", "items": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SourceContext" }, "type": "array" }, "context": { "description": "If provided, the source code used for the build came from this location.", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SourceContext" }, "fileHashes": { "type": "object", "additionalProperties": { "$ref": "FileHashes" }, "description": "Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (.tar.gz), the FileHash will be for the single path to that file." }, "repoSource": { "$ref": "RepoSource", "description": "If provided, get source from this location in a Cloud Repo." }, "artifactStorageSource": { "$ref": "StorageSource", "description": "If provided, the input binary artifacts for the build came from this location." } }, "description": "Source describes the location of the source used for the build." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult": { "properties": { "url": { "type": "string", "description": "Optional. An optional URL tied to this manual approval result. This field is essentially the same as comment, except that it will be rendered by the UI differently. An example use case is a link to an external job that approved this Build." }, "approvalTime": { "type": "string", "description": "Output only. The time when the approval decision was made.", "format": "google-datetime", "readOnly": true }, "decision": { "enum": [ "DECISION_UNSPECIFIED", "APPROVED", "REJECTED" ], "description": "Required. The decision of this manual approval.", "type": "string", "enumDescriptions": [ "Default enum type. This should not be used.", "Build is approved.", "Build is rejected." ] }, "approverAccount": { "readOnly": true, "description": "Output only. Email of the user that called the ApproveBuild API to approve or reject a build at the time that the API was called.", "type": "string" }, "comment": { "description": "Optional. An optional comment for this manual approval result.", "type": "string" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult", "description": "ApprovalResult describes the decision and associated metadata of a manual approval of a build.", "type": "object" }, "BuilderConfig": { "properties": { "id": { "type": "string" } }, "type": "object", "id": "BuilderConfig" }, "GoogleDevtoolsContaineranalysisV1alpha1AliasContext": { "properties": { "name": { "description": "The alias name.", "type": "string" }, "kind": { "type": "string", "enumDescriptions": [ "Unknown.", "Git tag.", "Git branch.", "Used to specify non-standard aliases. For example, if a Git repo has a ref named \"refs/foo/bar\"." ], "enum": [ "KIND_UNSPECIFIED", "FIXED", "MOVABLE", "OTHER" ], "description": "The alias kind." } }, "id": "GoogleDevtoolsContaineranalysisV1alpha1AliasContext", "type": "object", "description": "An alias to a repo revision." }, "Completeness": { "properties": { "materials": { "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\".", "type": "boolean" }, "arguments": { "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe.", "type": "boolean" }, "environment": { "description": "If true, the builder claims that recipe.environment is claimed to be complete.", "type": "boolean" } }, "description": "Indicates that the builder claims certain fields in this message to be complete.", "type": "object", "id": "Completeness" }, "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata": { "properties": { "endTime": { "format": "google-datetime", "description": "Output only. The time that this operation was marked completed or failed.", "type": "string" }, "createTime": { "description": "Output only. The time this operation was created.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata", "description": "Metadata for all operations used and required for all operations that created by Container Analysis Providers" }, "GoogleDevtoolsContaineranalysisV1alpha1CloudRepoSourceContext": { "description": "A CloudRepoSourceContext denotes a particular revision in a Google Cloud Source Repo.", "properties": { "revisionId": { "type": "string", "description": "A revision ID." }, "aliasContext": { "description": "An alias, which may be a branch or tag.", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1AliasContext" }, "repoId": { "description": "The ID of the repo.", "$ref": "GoogleDevtoolsContaineranalysisV1alpha1RepoId" } }, "type": "object", "id": "GoogleDevtoolsContaineranalysisV1alpha1CloudRepoSourceContext" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource", "type": "object", "properties": { "generation": { "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "format": "int64", "type": "string" }, "object": { "type": "string", "description": "Google Cloud Storage object containing the source. This object must be a zipped (`.zip`) or gzipped archive file (`.tar.gz`) containing source to build." }, "bucket": { "description": "Google Cloud Storage bucket containing the source (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" } }, "description": "Location of the source in an archive file in Google Cloud Storage." }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "description": "Request message for `SetIamPolicy` method." }, "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMetadata": { "properties": { "reproducible": { "description": "If true, the builder claims that running invocation on materials will produce bit-for-bit identical output.", "type": "boolean" }, "buildInvocationId": { "description": "Identifies this particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis.", "type": "string" }, "completeness": { "$ref": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaCompleteness", "description": "Indicates that the builder claims certain fields in this message to be complete." }, "buildFinishedOn": { "type": "string", "format": "google-datetime", "description": "The timestamp of when the build completed." }, "buildStartedOn": { "description": "The timestamp of when the build started.", "type": "string", "format": "google-datetime" } }, "type": "object", "description": "Other properties of the build.", "id": "GoogleDevtoolsContaineranalysisV1alpha1SlsaProvenanceZeroTwoSlsaMetadata" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts": { "description": "Artifacts produced by a build that should be uploaded upon successful completion of all build steps.", "properties": { "objects": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects", "description": "A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account's credentials. The location and generation of the uploaded objects will be stored in the Build resource's results field. If any objects fail to be pushed, the build is marked FAILURE." }, "images": { "type": "array", "items": { "type": "string" }, "description": "A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account's credentials. The digests of the pushed images will be stored in the Build resource's results field. If any of the images fail to be pushed, the build is marked FAILURE." } }, "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts" }, "GoogleDevtoolsContaineranalysisV1alpha1ProjectRepoId": { "type": "object", "description": "Selects a repo using a Google Cloud Platform project ID (e.g., winged-cargo-31) and a repo name within that project.", "properties": { "projectId": { "type": "string", "description": "The ID of the project." }, "repoName": { "type": "string", "description": "The name of the repo. Leave empty for the default repo." } }, "id": "GoogleDevtoolsContaineranalysisV1alpha1ProjectRepoId" }, "PackageIssue": { "properties": { "packageType": { "type": "string", "description": "The type of package (e.g. OS, MAVEN, GO)." }, "fixedLocation": { "$ref": "VulnerabilityLocation", "description": "The location of the available fix for vulnerability." }, "affectedLocation": { "$ref": "VulnerabilityLocation", "description": "The location of the vulnerability." }, "severityName": { "type": "string" }, "effectiveSeverity": { "type": "string", "readOnly": true, "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown Impact", "Minimal Impact", "Low Impact", "Medium Impact", "High Impact", "Critical Impact" ], "description": "Output only. The distro or language system assigned severity for this vulnerability when that is available and note provider assigned severity when distro or language system has not yet assigned a severity for this vulnerability." } }, "id": "PackageIssue", "description": "This message wraps a location affected by a vulnerability and its associated fix (if one is available).", "type": "object" }, "Artifact": { "type": "object", "properties": { "names": { "description": "Related artifact names. This may be the path to a binary or jar file, or in the case of a container build, the name used to push the container image to Google Container Registry, as presented to `docker push`. Note that a single Artifact ID can have multiple names, for example if two tags are applied to one image.", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Name of the artifact. This may be the path to a binary or jar file, or in the case of a container build, the name used to push the container image to Google Container Registry, as presented to `docker push`. This field is deprecated in favor of the plural `names` field; it continues to exist here to allow existing BuildProvenance serialized to json in google.devtools.containeranalysis.v1alpha1.BuildDetails.provenance_bytes to deserialize back into proto.", "type": "string" }, "id": { "description": "Artifact ID, if any; for container images, this will be a URL by digest like gcr.io/projectID/imagename@sha256:123456", "type": "string" }, "checksum": { "type": "string", "description": "Hash or checksum value of a binary, or Docker Registry 2.0 digest of a container." } }, "description": "Artifact describes a build product.", "id": "Artifact" }, "ListOccurrencesResponse": { "description": "Response including listed active occurrences.", "type": "object", "id": "ListOccurrencesResponse", "properties": { "nextPageToken": { "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results.", "type": "string" }, "occurrences": { "items": { "$ref": "Occurrence" }, "type": "array", "description": "The occurrences requested." } } } }, "baseUrl": "https://containeranalysis.googleapis.com/", "documentationLink": "https://cloud.google.com/container-analysis/api/reference/rest/", "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "id": "containeranalysis:v1alpha1", "canonicalName": "Container Analysis", "name": "containeranalysis", "basePath": "", "version": "v1alpha1", "servicePath": "", "rootUrl": "https://containeranalysis.googleapis.com/", "ownerName": "Google", "version_module": true, "protocol": "rest" }
]===]))
