local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "alt": { "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "enum": [ "1", "2" ], "description": "V1 error format." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." } }, "canonicalName": "Container Analysis", "description": "An implementation of the Grafeas API, which stores, and enables querying and retrieval of critical metadata about all of your software artifacts.", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "mtlsRootUrl": "https://containeranalysis.mtls.googleapis.com/", "name": "containeranalysis", "title": "Container Analysis API", "kind": "discovery#restDescription", "protocol": "rest", "resources": { "projects": { "resources": { "occurrences": { "methods": { "patch": { "id": "containeranalysis.projects.occurrences.patch", "request": { "$ref": "Occurrence" }, "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "The fields to update.", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}", "response": { "$ref": "Occurrence" }, "description": "Updates the specified occurrence." }, "create": { "parameters": { "parent": { "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the occurrence is to be created.", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "location": "path" } }, "id": "containeranalysis.projects.occurrences.create", "flatPath": "v1beta1/projects/{projectsId}/occurrences", "request": { "$ref": "Occurrence" }, "parameterOrder": [ "parent" ], "description": "Creates a new occurrence.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/occurrences", "httpMethod": "POST", "response": { "$ref": "Occurrence" } }, "batchCreate": { "flatPath": "v1beta1/projects/{projectsId}/occurrences:batchCreate", "description": "Creates new occurrences in batch.", "parameterOrder": [ "parent" ], "response": { "$ref": "BatchCreateOccurrencesResponse" }, "id": "containeranalysis.projects.occurrences.batchCreate", "parameters": { "parent": { "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the occurrences are to be created.", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path" } }, "request": { "$ref": "BatchCreateOccurrencesRequest" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/occurrences:batchCreate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "description": "Returns the permissions that a caller has on the specified note or occurrence. Requires list permission on the project (for example, `containeranalysis.notes.list`). The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "id": "containeranalysis.projects.occurrences.testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "TestIamPermissionsResponse" } }, "setIamPolicy": { "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "required": true, "type": "string" } }, "description": "Sets the access control policy on the specified note or occurrence. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or an occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "path": "v1beta1/{+resource}:setIamPolicy", "id": "containeranalysis.projects.occurrences.setIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" } }, "delete": { "description": "Deletes the specified occurrence. For example, use this method to delete an occurrence when the occurrence is no longer applicable for the given resource.", "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}", "parameterOrder": [ "name" ], "id": "containeranalysis.projects.occurrences.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$" } }, "path": "v1beta1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "Empty" } }, "get": { "parameterOrder": [ "name" ], "description": "Gets the specified occurrence.", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "pattern": "^projects/[^/]+/occurrences/[^/]+$" } }, "id": "containeranalysis.projects.occurrences.get", "response": { "$ref": "Occurrence" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "getNotes": { "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "pattern": "^projects/[^/]+/occurrences/[^/]+$", "required": true } }, "path": "v1beta1/{+name}/notes", "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}/notes", "description": "Gets the note attached to the specified occurrence. Consumer projects can use this method to get a note that belongs to a provider project.", "httpMethod": "GET", "response": { "$ref": "Note" }, "parameterOrder": [ "name" ], "id": "containeranalysis.projects.occurrences.getNotes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a note or an occurrence resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/occurrences/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/occurrences/{occurrencesId}:getIamPolicy", "httpMethod": "POST", "request": { "$ref": "GetIamPolicyRequest" }, "path": "v1beta1/{+resource}:getIamPolicy", "id": "containeranalysis.projects.occurrences.getIamPolicy" }, "list": { "flatPath": "v1beta1/projects/{projectsId}/occurrences", "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "description": "Required. The name of the project to list occurrences for in the form of `projects/[PROJECT_ID]`.", "type": "string" }, "filter": { "type": "string", "description": "The filter expression.", "location": "query" }, "pageSize": { "description": "Number of occurrences to return in the list. Must be positive. Max allowed page size is 1000. If not specified, page size defaults to 20.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "description": "Token to provide to skip to a particular spot in the list.", "location": "query", "type": "string" } }, "path": "v1beta1/{+parent}/occurrences", "response": { "$ref": "ListOccurrencesResponse" }, "id": "containeranalysis.projects.occurrences.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists occurrences for the specified project.", "httpMethod": "GET", "parameterOrder": [ "parent" ] }, "getVulnerabilitySummary": { "id": "containeranalysis.projects.occurrences.getVulnerabilitySummary", "response": { "$ref": "VulnerabilityOccurrencesSummary" }, "description": "Gets a summary of the number and severity of occurrences.", "path": "v1beta1/{+parent}/occurrences:vulnerabilitySummary", "flatPath": "v1beta1/projects/{projectsId}/occurrences:vulnerabilitySummary", "parameters": { "parent": { "description": "Required. The name of the project to get a vulnerability summary for in the form of `projects/[PROJECT_ID]`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$" }, "filter": { "description": "The filter expression.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET" } } }, "scanConfigs": { "methods": { "list": { "id": "containeranalysis.projects.scanConfigs.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/scanConfigs", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/scanConfigs", "response": { "$ref": "ListScanConfigsResponse" }, "parameters": { "pageSize": { "description": "The number of scan configs to return in the list.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. The name of the project to list scan configurations for in the form of `projects/[PROJECT_ID]`.", "required": true, "pattern": "^projects/[^/]+$" }, "filter": { "location": "query", "description": "Required. The filter expression.", "type": "string" }, "pageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list.", "location": "query" } }, "httpMethod": "GET", "description": "Lists scan configurations for the specified project." }, "update": { "response": { "$ref": "ScanConfig" }, "id": "containeranalysis.projects.scanConfigs.update", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$", "required": true, "description": "Required. The name of the scan configuration in the form of `projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "httpMethod": "PUT", "parameterOrder": [ "name" ], "description": "Updates the specified scan configuration.", "request": { "$ref": "ScanConfig" } }, "get": { "id": "containeranalysis.projects.scanConfigs.get", "flatPath": "v1beta1/projects/{projectsId}/scanConfigs/{scanConfigsId}", "response": { "$ref": "ScanConfig" }, "description": "Gets the specified scan configuration.", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the scan configuration in the form of `projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`.", "pattern": "^projects/[^/]+/scanConfigs/[^/]+$" } }, "httpMethod": "GET" } } }, "notes": { "resources": { "occurrences": { "methods": { "list": { "httpMethod": "GET", "id": "containeranalysis.projects.notes.occurrences.list", "response": { "$ref": "ListNoteOccurrencesResponse" }, "parameters": { "pageSize": { "description": "Number of occurrences to return in the list.", "type": "integer", "location": "query", "format": "int32" }, "filter": { "type": "string", "location": "query", "description": "The filter expression." }, "pageToken": { "location": "query", "description": "Token to provide to skip to a particular spot in the list.", "type": "string" }, "name": { "location": "path", "description": "Required. The name of the note to list occurrences for in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "pattern": "^projects/[^/]+/notes/[^/]+$", "required": true, "type": "string" } }, "path": "v1beta1/{+name}/occurrences", "description": "Lists occurrences referencing the specified note. Provider projects can use this method to get all occurrences across consumer projects referencing the specified note.", "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}/occurrences", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "get": { "id": "containeranalysis.projects.notes.get", "parameters": { "name": { "type": "string", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "description": "Gets the specified note.", "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}", "response": { "$ref": "Note" }, "parameterOrder": [ "name" ], "httpMethod": "GET" }, "list": { "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/notes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Number of notes to return in the list. Must be positive. Max allowed page size is 1000. If not specified, page size defaults to 20." }, "filter": { "description": "The filter expression.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "description": "Required. The name of the project to list notes for in the form of `projects/[PROJECT_ID]`.", "required": true, "location": "path", "type": "string" } }, "id": "containeranalysis.projects.notes.list", "description": "Lists notes for the specified project.", "flatPath": "v1beta1/projects/{projectsId}/notes", "response": { "$ref": "ListNotesResponse" }, "httpMethod": "GET" }, "batchCreate": { "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the notes are to be created.", "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "required": true } }, "id": "containeranalysis.projects.notes.batchCreate", "path": "v1beta1/{+parent}/notes:batchCreate", "description": "Creates new notes in batch.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/notes:batchCreate", "request": { "$ref": "BatchCreateNotesRequest" }, "response": { "$ref": "BatchCreateNotesResponse" } }, "delete": { "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "description": "Deletes the specified note.", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`.", "type": "string" } }, "id": "containeranalysis.projects.notes.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}" }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}:getIamPolicy", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/notes/[^/]+$", "location": "path" } }, "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "id": "containeranalysis.projects.notes.getIamPolicy", "httpMethod": "POST", "description": "Gets the access control policy for a note or an occurrence resource. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences." }, "setIamPolicy": { "description": "Sets the access control policy on the specified note or occurrence. Requires `containeranalysis.notes.setIamPolicy` or `containeranalysis.occurrences.setIamPolicy` permission if the resource is a note or an occurrence, respectively. The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST", "id": "containeranalysis.projects.notes.setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/notes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } } }, "testIamPermissions": { "httpMethod": "POST", "id": "containeranalysis.projects.notes.testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}:testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns the permissions that a caller has on the specified note or occurrence. Requires list permission on the project (for example, `containeranalysis.notes.list`). The resource takes the format `projects/[PROJECT_ID]/notes/[NOTE_ID]` for notes and `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]` for occurrences.", "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/notes/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates the specified note.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/notes/[^/]+$", "description": "Required. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`." }, "updateMask": { "type": "string", "description": "The fields to update.", "format": "google-fieldmask", "location": "query" } }, "path": "v1beta1/{+name}", "httpMethod": "PATCH", "response": { "$ref": "Note" }, "id": "containeranalysis.projects.notes.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Note" }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/notes/{notesId}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "containeranalysis.projects.notes.create", "flatPath": "v1beta1/projects/{projectsId}/notes", "path": "v1beta1/{+parent}/notes", "httpMethod": "POST", "description": "Creates a new note.", "request": { "$ref": "Note" }, "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the project in the form of `projects/[PROJECT_ID]`, under which the note is to be created.", "pattern": "^projects/[^/]+$" }, "noteId": { "location": "query", "description": "Required. The ID to use for this note.", "type": "string" } }, "response": { "$ref": "Note" } } } } } } }, "version_module": true, "fullyEncodeReservedExpansion": true, "ownerDomain": "google.com", "id": "containeranalysis:v1beta1", "revision": "20220624", "ownerName": "Google", "rootUrl": "https://containeranalysis.googleapis.com/", "batchPath": "batch", "baseUrl": "https://containeranalysis.googleapis.com/", "version": "v1beta1", "schemas": { "Basis": { "id": "Basis", "type": "object", "description": "Basis describes the base image portion (Note) of the DockerImage relationship. Linked occurrences are derived from this or an equivalent image via: FROM Or an equivalent reference, e.g. a tag of the resource_url.", "properties": { "resourceUrl": { "type": "string", "description": "Required. Immutable. The resource_url for the resource representing the basis of associated occurrence images." }, "fingerprint": { "description": "Required. Immutable. The fingerprint of the base image.", "$ref": "Fingerprint" } } }, "ListOccurrencesResponse": { "type": "object", "properties": { "nextPageToken": { "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results.", "type": "string" }, "occurrences": { "description": "The occurrences requested.", "type": "array", "items": { "$ref": "Occurrence" } } }, "description": "Response for listing occurrences.", "id": "ListOccurrencesResponse" }, "Resource": { "description": "An entity that can have metadata. For example, a Docker image.", "id": "Resource", "properties": { "name": { "type": "string", "description": "Deprecated, do not use. Use uri instead. The name of the resource. For example, the name of a Docker image - \"Debian\"." }, "contentHash": { "$ref": "Hash", "description": "Deprecated, do not use. Use uri instead. The hash of the resource content. For example, the Docker digest." }, "uri": { "description": "Required. The unique URI of the resource. For example, `https://gcr.io/project/image@sha256:foo` for a Docker image.", "type": "string" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes": { "type": "object", "properties": { "fileHash": { "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash" }, "type": "array", "description": "Collection of file hashes." } }, "description": "Container message for hashes of byte content of files, used in SourceProvenance messages to verify integrity of source input to the build.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes" }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Hash", "properties": { "value": { "format": "byte", "description": "The hash value.", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "enum": [ "NONE", "SHA256", "MD5" ], "description": "The type of hash that was performed." } }, "type": "object", "description": "Container message for hash values." }, "Installation": { "properties": { "license": { "$ref": "License", "description": "Licenses that have been declared by the authors of the package." }, "cpeUri": { "type": "string", "readOnly": true, "description": "Output only. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages." }, "name": { "type": "string", "readOnly": true, "description": "Required. Output only. The name of the installed package." }, "architecture": { "description": "Output only. The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ], "type": "string", "readOnly": true }, "location": { "type": "array", "description": "All of the places within the filesystem versions of this package have been found.", "items": { "$ref": "Location" } }, "version": { "description": "Output only. The version of the package.", "readOnly": true, "$ref": "Version" }, "packageType": { "readOnly": true, "type": "string", "description": "Output only. The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.)." } }, "description": "This represents how a particular software package may be installed on a system.", "type": "object", "id": "Installation" }, "Version": { "id": "Version", "properties": { "inclusive": { "description": "Whether this version is specifying part of an inclusive range. Grafeas does not have the capability to specify version ranges; instead we have fields that specify start version and end versions. At times this is insufficient - we also need to specify whether the version is included in the range or is excluded from the range. This boolean is expected to be set to true when the version is included in a range.", "type": "boolean" }, "name": { "description": "Required only when version kind is NORMAL. The main part of the version name.", "type": "string" }, "epoch": { "format": "int32", "type": "integer", "description": "Used to correct mistakes in the version numbering scheme." }, "revision": { "type": "string", "description": "The iteration of the package build from the above version." }, "kind": { "enum": [ "VERSION_KIND_UNSPECIFIED", "NORMAL", "MINIMUM", "MAXIMUM" ], "description": "Required. Distinguishes between sentinel MIN/MAX versions and normal versions.", "enumDescriptions": [ "Unknown.", "A standard package version.", "A special version representing negative infinity.", "A special version representing positive infinity." ], "type": "string" } }, "description": "Version contains structured information about the version of a package.", "type": "object" }, "FixableTotalByDigest": { "id": "FixableTotalByDigest", "type": "object", "properties": { "fixableCount": { "format": "int64", "type": "string", "description": "The number of fixable vulnerabilities associated with this resource." }, "resource": { "$ref": "Resource", "description": "The affected resource." }, "totalCount": { "description": "The total number of vulnerabilities associated with this resource.", "format": "int64", "type": "string" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "description": "The severity for this count. SEVERITY_UNSPECIFIED indicates total across all severities.", "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "type": "string" } }, "description": "Per resource and severity counts of fixable and total vulnerabilities." }, "EnvelopeSignature": { "type": "object", "id": "EnvelopeSignature", "properties": { "sig": { "type": "string", "format": "byte" }, "keyid": { "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions": { "description": "Optional arguments to enable specific features of builds.", "properties": { "secretEnv": { "type": "array", "description": "A list of global environment variables, which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`. These variables will be available to all build steps in this build.", "items": { "type": "string" } }, "sourceProvenanceHash": { "description": "Requested hash for SourceProvenance.", "items": { "enumDescriptions": [ "No hash requested.", "Use a sha256 hash.", "Use a md5 hash." ], "enum": [ "NONE", "SHA256", "MD5" ], "type": "string" }, "type": "array" }, "pool": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption", "description": "Optional. Specification for execution on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information." }, "dynamicSubstitutions": { "description": "Option to specify whether or not to apply bash style string operations to the substitutions. NOTE: this is always enabled for triggered builds and cannot be overridden in the build configuration file.", "type": "boolean" }, "requestedVerifyOption": { "enum": [ "NOT_VERIFIED", "VERIFIED" ], "description": "Requested verifiability options.", "type": "string", "enumDescriptions": [ "Not a verifiable build. (default)", "Verified build." ] }, "workerPool": { "description": "This field deprecated; please use `pool.name` instead.", "type": "string" }, "logStreamingOption": { "enum": [ "STREAM_DEFAULT", "STREAM_ON", "STREAM_OFF" ], "description": "Option to define build log streaming behavior to Google Cloud Storage.", "type": "string", "enumDescriptions": [ "Service may automatically determine build log streaming behavior.", "Build logs should be streamed to Google Cloud Storage.", "Build logs should not be streamed to Google Cloud Storage; they will be written when the build is completed." ] }, "machineType": { "enumDescriptions": [ "Standard machine type.", "Highcpu machine with 8 CPUs.", "Highcpu machine with 32 CPUs.", "Highcpu e2 machine with 8 CPUs.", "Highcpu e2 machine with 32 CPUs." ], "type": "string", "description": "Compute Engine machine type on which to run the build.", "enum": [ "UNSPECIFIED", "N1_HIGHCPU_8", "N1_HIGHCPU_32", "E2_HIGHCPU_8", "E2_HIGHCPU_32" ] }, "volumes": { "description": "Global list of volumes to mount for ALL build steps Each volume is created as an empty volume prior to starting the build process. Upon completion of the build, volumes and their contents are discarded. Global volume names and paths cannot conflict with the volumes defined a build step. Using a global volume in a build with only one step is not valid as it is indicative of a build request with an incorrect configuration.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "type": "array" }, "env": { "items": { "type": "string" }, "description": "A list of global environment variable definitions that will exist for all build steps in this build. If a variable is defined in both globally and in a build step, the variable will use the build step value. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "type": "array" }, "diskSizeGb": { "format": "int64", "description": "Requested disk size for the VM that runs the build. Note that this is *NOT* \"disk free\"; some of the space will be used by the operating system and build utilities. Also note that this is the minimum disk size that will be allocated for the build -- the build may run with a larger disk than requested. At present, the maximum disk size is 1000GB; builds that request more than the maximum are rejected with an error.", "type": "string" }, "substitutionOption": { "type": "string", "enum": [ "MUST_MATCH", "ALLOW_LOOSE" ], "enumDescriptions": [ "Fails the build if error in substitutions checks, like missing a substitution in the template or in the map.", "Do not fail the build if error in substitutions checks." ], "description": "Option to specify behavior when there is an error in the substitution checks. NOTE: this is always set to ALLOW_LOOSE for triggered builds and cannot be overridden in the build configuration file." }, "logging": { "enumDescriptions": [ "The service determines the logging mode. The default is `LEGACY`. Do not rely on the default logging behavior as it may change in the future.", "Build logs are stored in Cloud Logging and Cloud Storage.", "Build logs are stored in Cloud Storage.", "This option is the same as CLOUD_LOGGING_ONLY.", "Build logs are stored in Cloud Logging. Selecting this option will not allow [logs streaming](https://cloud.google.com/sdk/gcloud/reference/builds/log).", "Turn off all logging. No build logs will be captured." ], "description": "Option to specify the logging mode, which determines if and where build logs are stored.", "enum": [ "LOGGING_UNSPECIFIED", "LEGACY", "GCS_ONLY", "STACKDRIVER_ONLY", "CLOUD_LOGGING_ONLY", "NONE" ], "type": "string" } }, "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions" }, "Details": { "properties": { "attestation": { "description": "Required. Attestation for the resource.", "$ref": "Attestation" } }, "description": "Details of an attestation occurrence.", "type": "object", "id": "Details" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig": { "description": "ApprovalConfig describes configuration for manual approval of a build.", "properties": { "approvalRequired": { "type": "boolean", "description": "Whether or not approval is needed. If this is set on a build, it will become pending when created, and will need to be explicitly approved to start." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig", "type": "object" }, "Discovered": { "description": "Provides information about the analysis status of a discovered resource.", "type": "object", "properties": { "analysisStatusError": { "description": "When an error is encountered this will contain a LocalizedMessage under details to show to the user. The LocalizedMessage is output only and populated by the API.", "$ref": "Status" }, "continuousAnalysis": { "enumDescriptions": [ "Unknown.", "The resource is continuously analyzed.", "The resource is ignored for continuous analysis." ], "type": "string", "enum": [ "CONTINUOUS_ANALYSIS_UNSPECIFIED", "ACTIVE", "INACTIVE" ], "description": "Whether the resource is continuously analyzed." }, "lastAnalysisTime": { "format": "google-datetime", "description": "The last time continuous analysis was done for this resource. Deprecated, do not use.", "type": "string" }, "analysisStatus": { "description": "The status of discovery for the resource.", "enumDescriptions": [ "Unknown.", "Resource is known but no action has been taken yet.", "Resource is being analyzed.", "Analysis has finished successfully.", "Analysis has finished unsuccessfully, the analysis itself is in a bad state.", "The resource is known not to be supported" ], "type": "string", "enum": [ "ANALYSIS_STATUS_UNSPECIFIED", "PENDING", "SCANNING", "FINISHED_SUCCESS", "FINISHED_FAILED", "FINISHED_UNSUPPORTED" ] } }, "id": "Discovered" }, "GrafeasV1beta1BuildDetails": { "id": "GrafeasV1beta1BuildDetails", "properties": { "provenance": { "$ref": "BuildProvenance", "description": "Required. The actual provenance for the build." }, "provenanceBytes": { "type": "string", "description": "Serialized JSON representation of the provenance, used in generating the build signature in the corresponding build note. After verifying the signature, `provenance_bytes` can be unmarshalled and compared to the provenance to confirm that it is unchanged. A base64-encoded string representation of the provenance bytes is used for the signature in order to interoperate with openssl which expects this format for signature verification. The serialized form is captured both to avoid ambiguity in how the provenance is marshalled to json as well to prevent incompatibilities with future changes." } }, "type": "object", "description": "Details of a build occurrence." }, "ListScanConfigsResponse": { "properties": { "scanConfigs": { "description": "The scan configurations requested.", "type": "array", "items": { "$ref": "ScanConfig" } }, "nextPageToken": { "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results.", "type": "string" } }, "type": "object", "description": "Response for listing scan configurations.", "id": "ListScanConfigsResponse" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret": { "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret", "description": "Pairs a set of secret environment variables mapped to encrypted values with the Cloud KMS key to use to decrypt the value.", "properties": { "envMap": { "additionalProperties": { "format": "byte", "type": "string" }, "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets.", "type": "object" }, "kmsKeyName": { "description": "Resource name of Cloud KMS crypto key to decrypt the encrypted value. In format: projects/*/locations/*/keyRings/*/cryptoKeys/*", "type": "string" } } }, "ListNotesResponse": { "properties": { "nextPageToken": { "description": "The next pagination token in the list response. It should be used as `page_token` for the following request. An empty value means no more results.", "type": "string" }, "notes": { "type": "array", "description": "The notes requested.", "items": { "$ref": "Note" } } }, "type": "object", "id": "ListNotesResponse", "description": "Response for listing notes." }, "CloudRepoSourceContext": { "properties": { "repoId": { "description": "The ID of the repo.", "$ref": "RepoId" }, "revisionId": { "type": "string", "description": "A revision ID." }, "aliasContext": { "description": "An alias, which may be a branch or tag.", "$ref": "AliasContext" } }, "id": "CloudRepoSourceContext", "description": "A CloudRepoSourceContext denotes a particular revision in a Google Cloud Source Repo.", "type": "object" }, "GerritSourceContext": { "type": "object", "id": "GerritSourceContext", "description": "A SourceContext referring to a Gerrit project.", "properties": { "revisionId": { "description": "A revision (commit) ID.", "type": "string" }, "hostUri": { "description": "The URI of a running Gerrit instance.", "type": "string" }, "gerritProject": { "type": "string", "description": "The full project name within the host. Projects may be nested, so \"project/subproject\" is a valid project name. The \"repo name\" is the hostURI/project." }, "aliasContext": { "$ref": "AliasContext", "description": "An alias, which may be a branch or tag." } } }, "Digest": { "id": "Digest", "type": "object", "properties": { "digestBytes": { "format": "byte", "description": "Value of the digest.", "type": "string" }, "algo": { "description": "`SHA1`, `SHA512` etc.", "type": "string" } }, "description": "Digest information." }, "ByProducts": { "id": "ByProducts", "description": "Defines an object for the byproducts field in in-toto links. The suggested fields are \"stderr\", \"stdout\", and \"return-value\".", "type": "object", "properties": { "customValues": { "type": "object", "additionalProperties": { "type": "string" } } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts", "properties": { "objects": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects", "description": "A list of objects to be uploaded to Cloud Storage upon successful completion of all build steps. Files in the workspace matching specified paths globs will be uploaded to the specified Cloud Storage location using the builder service account's credentials. The location and generation of the uploaded objects will be stored in the Build resource's results field. If any objects fail to be pushed, the build is marked FAILURE." }, "images": { "items": { "type": "string" }, "description": "A list of images to be pushed upon the successful completion of all build steps. The images will be pushed using the builder service account's credentials. The digests of the pushed images will be stored in the Build resource's results field. If any of the images fail to be pushed, the build is marked FAILURE.", "type": "array" } }, "type": "object", "description": "Artifacts produced by a build that should be uploaded upon successful completion of all build steps." }, "Occurrence": { "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this occurrence was last updated." }, "sbom": { "$ref": "DocumentOccurrence", "description": "Describes a specific software bill of materials document." }, "spdxRelationship": { "description": "Describes a specific SPDX Relationship.", "$ref": "RelationshipOccurrence" }, "spdxPackage": { "description": "Describes a specific SPDX Package.", "$ref": "PackageInfoOccurrence" }, "vulnerability": { "$ref": "GrafeasV1beta1VulnerabilityDetails", "description": "Describes a security vulnerability." }, "intoto": { "description": "Describes a specific in-toto link.", "$ref": "GrafeasV1beta1IntotoDetails" }, "resource": { "description": "Required. Immutable. The resource for which the occurrence applies.", "$ref": "Resource" }, "deployment": { "$ref": "GrafeasV1beta1DeploymentDetails", "description": "Describes the deployment of an artifact on a runtime." }, "build": { "$ref": "GrafeasV1beta1BuildDetails", "description": "Describes a verifiable build." }, "spdxFile": { "$ref": "FileOccurrence", "description": "Describes a specific SPDX File." }, "kind": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an in-toto link.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship." ], "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "INTOTO", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP" ], "description": "Output only. This explicitly denotes which of the occurrence details are specified. This field can be used as a filter in list requests." }, "envelope": { "description": "https://github.com/secure-systems-lab/dsse", "$ref": "Envelope" }, "noteName": { "description": "Required. Immutable. The analysis note associated with this occurrence, in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`. This field can be used as a filter in list requests.", "type": "string" }, "derivedImage": { "description": "Describes how this resource derives from the basis in the associated note.", "$ref": "GrafeasV1beta1ImageDetails" }, "discovered": { "description": "Describes when a resource was discovered.", "$ref": "GrafeasV1beta1DiscoveryDetails" }, "name": { "description": "Output only. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`.", "type": "string" }, "attestation": { "$ref": "Details", "description": "Describes an attestation of an artifact." }, "remediation": { "description": "A description of actions that can be taken to remedy the note.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time this occurrence was created." }, "installation": { "$ref": "GrafeasV1beta1PackageDetails", "description": "Describes the installation of a package on the linked resource." } }, "description": "An instance of an analysis type that has been found on a resource.", "id": "Occurrence", "type": "object" }, "ArtifactRule": { "properties": { "artifactRule": { "type": "array", "items": { "type": "string" } } }, "id": "ArtifactRule", "type": "object", "description": "Defines an object to declare an in-toto artifact rule" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Build": { "description": "A build resource in the Cloud Build API. At a high level, a `Build` describes where to find source code, how to build it (for example, the builder image to run on the source), and where to store the built artifacts. Fields can include the following variables, which will be expanded when the build is created: - $PROJECT_ID: the project ID of the build. - $PROJECT_NUMBER: the project number of the build. - $LOCATION: the location/region of the build. - $BUILD_ID: the autogenerated ID of the build. - $REPO_NAME: the source repository name specified by RepoSource. - $BRANCH_NAME: the branch name specified by RepoSource. - $TAG_NAME: the tag name specified by RepoSource. - $REVISION_ID or $COMMIT_SHA: the commit SHA specified by RepoSource or resolved from the specified branch or tag. - $SHORT_SHA: first 7 characters of $REVISION_ID or $COMMIT_SHA.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Build", "properties": { "options": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptions", "description": "Special options for this build." }, "steps": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep" }, "description": "Required. The operations to be performed on the workspace." }, "secrets": { "type": "array", "description": "Secrets to decrypt using Cloud Key Management Service. Note: Secret Manager is the recommended technique for managing sensitive data with Cloud Build. Use `available_secrets` to configure builds to access secrets from Secret Manager. For instructions, see: https://cloud.google.com/cloud-build/docs/securing-builds/use-secrets", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret" } }, "finishTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Time at which execution of the build was finished. The difference between finish_time and start_time is the duration of the build's execution.", "type": "string" }, "availableSecrets": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets", "description": "Secrets and secret environment variables." }, "buildTriggerId": { "type": "string", "description": "Output only. The ID of the `BuildTrigger` that triggered this build, if it was triggered automatically.", "readOnly": true }, "timeout": { "format": "google-duration", "type": "string", "description": "Amount of time that this build should be allowed to run, to second granularity. If this amount of time elapses, work on the build will cease and the build status will be `TIMEOUT`. `timeout` starts ticking from `startTime`. Default time is ten minutes." }, "images": { "items": { "type": "string" }, "description": "A list of images to be pushed upon the successful completion of all build steps. The images are pushed using the builder service account's credentials. The digests of the pushed images will be stored in the `Build` resource's results field. If any of the images fail to be pushed, the build status is marked `FAILURE`.", "type": "array" }, "timing": { "readOnly": true, "description": "Output only. Stores timing information for phases of the build. Valid keys are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BUILD: time to execute all build steps. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PUSH: time to push all specified images. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FETCHSOURCE: time to fetch source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SETUPBUILD: time to set up build. If the build does not specify source or images, these keys will not be included.", "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "type": "object" }, "logUrl": { "type": "string", "description": "Output only. URL to logs for this build in Google Cloud Console.", "readOnly": true }, "failureInfo": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo", "description": "Output only. Contains information about the build when status=FAILURE.", "readOnly": true }, "sourceProvenance": { "readOnly": true, "description": "Output only. A permanent fixed identifier for source.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance" }, "statusDetail": { "readOnly": true, "description": "Output only. Customer-readable message about the current status.", "type": "string" }, "createTime": { "description": "Output only. Time at which the request to create the build was received.", "format": "google-datetime", "type": "string", "readOnly": true }, "projectId": { "readOnly": true, "description": "Output only. ID of the project.", "type": "string" }, "startTime": { "description": "Output only. Time at which execution of the build was started.", "readOnly": true, "format": "google-datetime", "type": "string" }, "artifacts": { "description": "Artifacts produced by the build that should be uploaded upon successful completion of all build steps.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Artifacts" }, "logsBucket": { "description": "Google Cloud Storage bucket where logs should be written (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Logs file names will be of the format `${logs_bucket}/log-${build_id}.txt`.", "type": "string" }, "approval": { "description": "Output only. Describes this build's approval configuration, status, and result.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval", "readOnly": true }, "status": { "description": "Output only. Status of the build.", "type": "string", "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ], "readOnly": true }, "queueTtl": { "format": "google-duration", "type": "string", "description": "TTL in queue for this build. If provided and the build is enqueued longer than this value, the build will expire and the build status will be `EXPIRED`. The TTL starts ticking from create_time." }, "id": { "type": "string", "readOnly": true, "description": "Output only. Unique identifier of the build." }, "serviceAccount": { "description": "IAM service account whose credentials will be used at build runtime. Must be of the format `projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}`. ACCOUNT can be email address or uniqueId of the service account. ", "type": "string" }, "source": { "description": "The location of the source files to build.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source" }, "tags": { "items": { "type": "string" }, "type": "array", "description": "Tags for annotation of a `Build`. These are not docker tags." }, "substitutions": { "additionalProperties": { "type": "string" }, "description": "Substitutions data for `Build` resource.", "type": "object" }, "results": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results", "description": "Output only. Results of the build.", "readOnly": true }, "warnings": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning" }, "readOnly": true, "description": "Output only. Non-fatal problems encountered during the execution of the build." }, "name": { "description": "Output only. The 'Build' name with format: `projects/{project}/locations/{location}/builds/{build}`, where {build} is a unique identifier generated by the service.", "type": "string", "readOnly": true } } }, "VulnerabilityOccurrencesSummary": { "properties": { "counts": { "type": "array", "items": { "$ref": "FixableTotalByDigest" }, "description": "A listing by resource of the number of fixable and total vulnerabilities." } }, "description": "A summary of how many vulnerability occurrences there are per resource and severity type.", "id": "VulnerabilityOccurrencesSummary", "type": "object" }, "Policy": { "properties": { "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } } }, "type": "object", "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "Link": { "properties": { "command": { "type": "array", "items": { "type": "string" }, "description": "This field contains the full command executed for the step. This can also be empty if links are generated for operations that aren't directly mapped to a specific command. Each term in the command is an independent string in the list. An example of a command in the in-toto metadata field is: \"command\": [\"git\", \"clone\", \"https://github.com/in-toto/demo-project.git\"]" }, "byproducts": { "description": "ByProducts are data generated as part of a software supply chain step, but are not the actual result of the step.", "$ref": "ByProducts" }, "products": { "type": "array", "items": { "$ref": "GrafeasV1beta1IntotoArtifact" }, "description": "Products are the supply chain artifacts generated as a result of the step. The structure is identical to that of materials." }, "materials": { "type": "array", "items": { "$ref": "GrafeasV1beta1IntotoArtifact" }, "description": "Materials are the supply chain artifacts that go into the step and are used for the operation performed. The key of the map is the path of the artifact and the structure contains the recorded hash information. An example is: \"materials\": [ { \"resource_uri\": \"foo/bar\", \"hashes\": { \"sha256\": \"ebebf...\", : } } ]" }, "environment": { "description": "This is a field that can be used to capture information about the environment. It is suggested for this field to contain information that details environment variables, filesystem information, and the present working directory. The recommended structure of this field is: \"environment\": { \"custom_values\": { \"variables\": \"\", \"filesystem\": \"\", \"workdir\": \"\", \"\": \"...\" } }", "$ref": "Environment" } }, "id": "Link", "type": "object", "description": "This corresponds to an in-toto link." }, "RelationshipOccurrence": { "type": "object", "description": "RelationshipOccurrence represents an SPDX Relationship section: https://spdx.github.io/spdx-spec/7-relationships-between-SPDX-elements/", "id": "RelationshipOccurrence", "properties": { "source": { "description": "Also referred to as SPDXRef-A The source SPDX element (file, package, etc)", "type": "string" }, "comment": { "description": "A place for the SPDX file creator to record any general comments about the relationship", "type": "string" }, "target": { "type": "string", "description": "Also referred to as SPDXRef-B The target SPDC element (file, package, etc) In cases where there are \"known unknowns\", the use of the keyword NOASSERTION can be used The keywords NONE can be used to indicate that an SPDX element (package/file/snippet) has no other elements connected by some relationship to it" }, "type": { "description": "Output only. The type of relationship between the source and target SPDX elements", "readOnly": true, "type": "string", "enum": [ "RELATIONSHIP_TYPE_UNSPECIFIED", "DESCRIBES", "DESCRIBED_BY", "CONTAINS", "CONTAINED_BY", "DEPENDS_ON", "DEPENDENCY_OF", "DEPENDENCY_MANIFEST_OF", "BUILD_DEPENDENCY_OF", "DEV_DEPENDENCY_OF", "OPTIONAL_DEPENDENCY_OF", "PROVIDED_DEPENDENCY_OF", "TEST_DEPENDENCY_OF", "RUNTIME_DEPENDENCY_OF", "EXAMPLE_OF", "GENERATES", "GENERATED_FROM", "ANCESTOR_OF", "DESCENDANT_OF", "VARIANT_OF", "DISTRIBUTION_ARTIFACT", "PATCH_FOR", "PATCH_APPLIED", "COPY_OF", "FILE_ADDED", "FILE_DELETED", "FILE_MODIFIED", "EXPANDED_FROM_ARCHIVE", "DYNAMIC_LINK", "STATIC_LINK", "DATA_FILE_OF", "TEST_CASE_OF", "BUILD_TOOL_OF", "DEV_TOOL_OF", "TEST_OF", "TEST_TOOL_OF", "DOCUMENTATION_OF", "OPTIONAL_COMPONENT_OF", "METAFILE_OF", "PACKAGE_OF", "AMENDS", "PREREQUISITE_FOR", "HAS_PREREQUISITE", "OTHER" ], "enumDescriptions": [ "Unspecified", "Is to be used when SPDXRef-DOCUMENT describes SPDXRef-A", "Is to be used when SPDXRef-A is described by SPDXREF-Document", "Is to be used when SPDXRef-A contains SPDXRef-B", "Is to be used when SPDXRef-A is contained by SPDXRef-B", "Is to be used when SPDXRef-A depends on SPDXRef-B", "Is to be used when SPDXRef-A is dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a manifest file that lists a set of dependencies for SPDXRef-B", "Is to be used when SPDXRef-A is a build dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a development dependency of SPDXRef-B", "Is to be used when SPDXRef-A is an optional dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a to be provided dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a test dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a dependency required for the execution of SPDXRef-B", "Is to be used when SPDXRef-A is an example of SPDXRef-B", "Is to be used when SPDXRef-A generates SPDXRef-B", "Is to be used when SPDXRef-A was generated from SPDXRef-B", "Is to be used when SPDXRef-A is an ancestor (same lineage but pre-dates) SPDXRef-B", "Is to be used when SPDXRef-A is a descendant of (same lineage but postdates) SPDXRef-B", "Is to be used when SPDXRef-A is a variant of (same lineage but not clear which came first) SPDXRef-B", "Is to be used when distributing SPDXRef-A requires that SPDXRef-B also be distributed", "Is to be used when SPDXRef-A is a patch file for (to be applied to) SPDXRef-B", "Is to be used when SPDXRef-A is a patch file that has been applied to SPDXRef-B", "Is to be used when SPDXRef-A is an exact copy of SPDXRef-B", "Is to be used when SPDXRef-A is a file that was added to SPDXRef-B", "Is to be used when SPDXRef-A is a file that was deleted from SPDXRef-B", "Is to be used when SPDXRef-A is a file that was modified from SPDXRef-B", "Is to be used when SPDXRef-A is expanded from the archive SPDXRef-B", "Is to be used when SPDXRef-A dynamically links to SPDXRef-B", "Is to be used when SPDXRef-A statically links to SPDXRef-B", "Is to be used when SPDXRef-A is a data file used in SPDXRef-B", "Is to be used when SPDXRef-A is a test case used in testing SPDXRef-B", "Is to be used when SPDXRef-A is used to build SPDXRef-B", "Is to be used when SPDXRef-A is used as a development tool for SPDXRef-B", "Is to be used when SPDXRef-A is used for testing SPDXRef-B", "Is to be used when SPDXRef-A is used as a test tool for SPDXRef-B", "Is to be used when SPDXRef-A provides documentation of SPDXRef-B", "Is to be used when SPDXRef-A is an optional component of SPDXRef-B", "Is to be used when SPDXRef-A is a metafile of SPDXRef-B", "Is to be used when SPDXRef-A is used as a package as part of SPDXRef-B", "Is to be used when (current) SPDXRef-DOCUMENT amends the SPDX information in SPDXRef-B", "Is to be used when SPDXRef-A is a prerequisite for SPDXRef-B", "Is to be used when SPDXRef-A has as a prerequisite SPDXRef-B", "Is to be used for a relationship which has not been defined in the formal SPDX specification. A description of the relationship should be included in the Relationship comments field" ] } } }, "GrafeasV1beta1VulnerabilityDetails": { "id": "GrafeasV1beta1VulnerabilityDetails", "type": "object", "description": "Details of a vulnerability Occurrence.", "properties": { "cvssScore": { "type": "number", "description": "Output only. The CVSS score of this vulnerability. CVSS score is on a scale of 0-10 where 0 indicates low severity and 10 indicates high severity.", "format": "float" }, "longDescription": { "description": "Output only. A detailed description of this vulnerability.", "type": "string" }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "type": "string", "description": "Output only. The note provider assigned Severity of the vulnerability.", "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ] }, "type": { "description": "The type of package; whether native or non native(ruby gems, node.js packages etc)", "type": "string" }, "packageIssue": { "type": "array", "items": { "$ref": "PackageIssue" }, "description": "Required. The set of affected locations and their fixes (if available) within the associated resource." }, "shortDescription": { "description": "Output only. A one sentence description of this vulnerability.", "type": "string" }, "effectiveSeverity": { "type": "string", "description": "The distro assigned severity for this vulnerability when it is available, and note provider assigned severity when distro has not yet assigned a severity for this vulnerability. When there are multiple PackageIssues for this vulnerability, they can have different effective severities because some might be provided by the distro while others are provided by the language ecosystem for a language pack. For this reason, it is advised to use the effective severity on the PackageIssue level. In the case where multiple PackageIssues have differing effective severities, this field should be the highest severity for any of the PackageIssues.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ] }, "relatedUrls": { "items": { "$ref": "RelatedUrl" }, "description": "Output only. URLs related to this vulnerability.", "type": "array" } } }, "Environment": { "id": "Environment", "description": "Defines an object for the environment field in in-toto links. The suggested fields are \"variables\", \"filesystem\", and \"workdir\".", "properties": { "customValues": { "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object" }, "Discovery": { "description": "A note that indicates a type of analysis a provider would perform. This note exists in a provider's project. A `Discovery` occurrence is created in a consumer's project at the start of analysis.", "properties": { "analysisKind": { "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "INTOTO", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP" ], "description": "Required. Immutable. The kind of analysis that is handled by this discovery.", "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an in-toto link.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship." ], "type": "string" } }, "type": "object", "id": "Discovery" }, "WindowsDetail": { "properties": { "cpeUri": { "description": "Required. The CPE URI in [cpe format](https://cpe.mitre.org/specification/) in which the vulnerability manifests. Examples include distro or storage location for vulnerable jar.", "type": "string" }, "name": { "type": "string", "description": "Required. The name of the vulnerability." }, "description": { "type": "string", "description": "The description of the vulnerability." }, "fixingKbs": { "description": "Required. The names of the KBs which have hotfixes to mitigate this vulnerability. Note that there may be multiple hotfixes (and thus multiple KBs) that mitigate a given vulnerability. Currently any listed kb's presence is considered a fix.", "items": { "$ref": "KnowledgeBase" }, "type": "array" } }, "type": "object", "id": "WindowsDetail" }, "Vulnerability": { "id": "Vulnerability", "properties": { "details": { "description": "All information about the package to specifically identify this vulnerability. One entry per (version range and cpe_uri) the package vulnerability has manifested in.", "items": { "$ref": "Detail" }, "type": "array" }, "cvssV3": { "description": "The full description of the CVSS for version 3.", "$ref": "CVSSv3" }, "windowsDetails": { "type": "array", "description": "Windows details get their own format because the information format and model don't match a normal detail. Specifically Windows updates are done as patches, thus Windows vulnerabilities really are a missing package, rather than a package being at an incorrect version.", "items": { "$ref": "WindowsDetail" } }, "cwe": { "type": "array", "items": { "type": "string" }, "description": "A list of CWE for this vulnerability. For details, see: https://cwe.mitre.org/index.html" }, "cvssScore": { "format": "float", "type": "number", "description": "The CVSS score for this vulnerability." }, "cvssV2": { "$ref": "CVSS", "description": "The full description of the CVSS for version 2." }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "type": "string", "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "description": "Note provider assigned impact of the vulnerability." }, "sourceUpdateTime": { "type": "string", "description": "The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.", "format": "google-datetime" } }, "description": "Vulnerability provides metadata about a security vulnerability in a Note.", "type": "object" }, "CVSSv3": { "id": "CVSSv3", "description": "Deprecated. Common Vulnerability Scoring System version 3. For details, see https://www.first.org/cvss/specification-document", "type": "object", "properties": { "baseScore": { "type": "number", "format": "float", "description": "The base score is a function of the base metric scores." }, "impactScore": { "type": "number", "format": "float" }, "attackComplexity": { "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ], "type": "string", "enumDescriptions": [ "", "", "" ] }, "privilegesRequired": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ] }, "confidentialityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "attackVector": { "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments.", "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ] }, "scope": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "userInteraction": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "integrityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "exploitabilityScore": { "format": "float", "type": "number" }, "availabilityImpact": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] } } }, "FileHashes": { "type": "object", "description": "Container message for hashes of byte content of files, used in source messages to verify integrity of source input to the build.", "properties": { "fileHash": { "description": "Required. Collection of file hashes.", "type": "array", "items": { "$ref": "Hash" } } }, "id": "FileHashes" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects": { "properties": { "timing": { "readOnly": true, "description": "Output only. Stores timing information for pushing all artifact objects.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "paths": { "items": { "type": "string" }, "type": "array", "description": "Path globs used to match files in the build's workspace." }, "location": { "type": "string", "description": "Cloud Storage bucket and optional object path, in the form \"gs://bucket/path/to/somewhere/\". (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)). Files in the workspace matching any path pattern will be uploaded to Cloud Storage with this location as a prefix." } }, "description": "Files in the workspace to upload to Cloud Storage upon successful completion of all build steps.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ArtifactsArtifactObjects" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource": { "type": "object", "description": "Location of the source in a Google Cloud Source Repository.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "properties": { "dir": { "type": "string", "description": "Directory, relative to the source root, in which to run the build. This must be a relative path. If a step's `dir` is specified and is an absolute path, this value is ignored for that step's execution." }, "invertRegex": { "description": "Only trigger a build if the revision regex does NOT match the revision regex.", "type": "boolean" }, "substitutions": { "additionalProperties": { "type": "string" }, "description": "Substitutions to use in a triggered build. Should only be used with RunBuildTrigger", "type": "object" }, "branchName": { "description": "Regex matching branches to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" }, "projectId": { "description": "ID of the project that owns the Cloud Source Repository. If omitted, the project ID requesting the build is assumed.", "type": "string" }, "commitSha": { "description": "Explicit commit SHA to build.", "type": "string" }, "repoName": { "type": "string", "description": "Name of the Cloud Source Repository." }, "tagName": { "description": "Regex matching tags to build. The syntax of the regular expressions accepted is the syntax accepted by RE2 and described at https://github.com/google/re2/wiki/Syntax", "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage": { "description": "An image built by the pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage", "type": "object", "properties": { "name": { "description": "Name used to push the container image to Google Container Registry, as presented to `docker push`.", "type": "string" }, "pushTiming": { "readOnly": true, "description": "Output only. Stores timing information for pushing the specified image.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "digest": { "type": "string", "description": "Docker Registry 2.0 digest." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets": { "type": "object", "properties": { "inline": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1InlineSecret" }, "description": "Secrets encrypted with KMS key and the associated secret environment variable." }, "secretManager": { "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret" }, "description": "Secrets in Secret Manager and associated secret environment variable." } }, "description": "Secrets and secret environment variables.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secrets" }, "Derived": { "type": "object", "description": "Derived describes the derived image portion (Occurrence) of the DockerImage relationship. This image would be produced from a Dockerfile with FROM .", "properties": { "baseResourceUrl": { "description": "Output only. This contains the base image URL for the derived image occurrence.", "type": "string" }, "distance": { "description": "Output only. The number of layers by which this image differs from the associated image basis.", "format": "int32", "type": "integer" }, "layerInfo": { "items": { "$ref": "Layer" }, "description": "This contains layer-specific metadata, if populated it has length \"distance\" and is ordered with [distance] being the layer immediately following the base image and [1] being the final layer.", "type": "array" }, "fingerprint": { "description": "Required. The fingerprint of the derived image.", "$ref": "Fingerprint" } }, "id": "Derived" }, "GrafeasV1beta1IntotoDetails": { "id": "GrafeasV1beta1IntotoDetails", "properties": { "signatures": { "items": { "$ref": "GrafeasV1beta1IntotoSignature" }, "type": "array" }, "signed": { "$ref": "Link" } }, "description": "This corresponds to a signed in-toto link - it is made up of one or more signatures and the in-toto link itself. This is used for occurrences of a Grafeas in-toto note.", "type": "object" }, "BuildProvenance": { "id": "BuildProvenance", "type": "object", "properties": { "builtArtifacts": { "description": "Output of the build.", "type": "array", "items": { "$ref": "Artifact" } }, "startTime": { "type": "string", "format": "google-datetime", "description": "Time at which execution of the build was started." }, "sourceProvenance": { "description": "Details of the Source input to the build.", "$ref": "Source" }, "logsUri": { "type": "string", "description": "URI where any logs for this provenance were written." }, "commands": { "description": "Commands requested by the build.", "items": { "$ref": "Command" }, "type": "array" }, "builderVersion": { "type": "string", "description": "Version string of the builder at the time this build was executed." }, "createTime": { "description": "Time at which the build was created.", "format": "google-datetime", "type": "string" }, "triggerId": { "type": "string", "description": "Trigger identifier if the build was triggered automatically; empty if not." }, "endTime": { "type": "string", "format": "google-datetime", "description": "Time at which execution of the build was finished." }, "projectId": { "type": "string", "description": "ID of the project." }, "creator": { "type": "string", "description": "E-mail address of the user who initiated this build. Note that this was the user's e-mail address at the time the build was initiated; this address may not represent the same end-user for all time." }, "buildOptions": { "additionalProperties": { "type": "string" }, "description": "Special options applied to this build. This is a catch-all field where build providers can enter any desired additional details.", "type": "object" }, "id": { "description": "Required. Unique identifier of the build.", "type": "string" } }, "description": "Provenance of a build. Contains all information needed to verify the full details about the build from source to completion." }, "GrafeasV1beta1ImageDetails": { "id": "GrafeasV1beta1ImageDetails", "properties": { "derivedImage": { "$ref": "Derived", "description": "Required. Immutable. The child image derived from the base image." } }, "type": "object", "description": "Details of an image occurrence." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep": { "type": "object", "description": "A step in the build pipeline.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildStep", "properties": { "waitFor": { "type": "array", "items": { "type": "string" }, "description": "The ID(s) of the step(s) that this build step depends on. This build step will not start until all the build steps in `wait_for` have completed successfully. If `wait_for` is empty, this build step will start when all previous build steps in the `Build.Steps` list have completed successfully." }, "volumes": { "description": "List of volumes to mount into the build step. Each volume is created as an empty volume prior to execution of the build step. Upon completion of the build, volumes and their contents are discarded. Using a named volume in only one step is not valid as it is indicative of a build request with an incorrect configuration.", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume" }, "type": "array" }, "status": { "enum": [ "STATUS_UNKNOWN", "PENDING", "QUEUED", "WORKING", "SUCCESS", "FAILURE", "INTERNAL_ERROR", "TIMEOUT", "CANCELLED", "EXPIRED" ], "description": "Output only. Status of the build step. At this time, build step status is only updated on build completion; step status is not updated in real-time as the build progresses.", "readOnly": true, "type": "string", "enumDescriptions": [ "Status of the build is unknown.", "Build has been created and is pending execution and queuing. It has not been queued.", "Build or step is queued; work has not yet begun.", "Build or step is being executed.", "Build or step finished successfully.", "Build or step failed to complete successfully.", "Build or step failed due to an internal cause.", "Build or step took longer than was allowed.", "Build or step was canceled by a user.", "Build was enqueued for longer than the value of `queue_ttl`." ] }, "env": { "description": "A list of environment variable definitions to be used when running a step. The elements are of the form \"KEY=VALUE\" for the environment variable \"KEY\" being given the value \"VALUE\".", "type": "array", "items": { "type": "string" } }, "args": { "type": "array", "items": { "type": "string" }, "description": "A list of arguments that will be presented to the step when it is started. If the image used to run the step's container has an entrypoint, the `args` are used as arguments to that entrypoint. If the image does not define an entrypoint, the first element in args is used as the entrypoint, and the remainder will be used as arguments." }, "secretEnv": { "items": { "type": "string" }, "type": "array", "description": "A list of environment variables which are encrypted using a Cloud Key Management Service crypto key. These values must be specified in the build's `Secret`." }, "script": { "type": "string", "description": "A shell script to be executed in the step. When script is provided, the user cannot specify the entrypoint or args." }, "id": { "description": "Unique identifier for this build step, used in `wait_for` to reference this build step as a dependency.", "type": "string" }, "timeout": { "type": "string", "description": "Time limit for executing this build step. If not defined, the step has no time limit and will be allowed to continue to run until either it completes or the build itself times out.", "format": "google-duration" }, "pullTiming": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "description": "Output only. Stores timing information for pulling this build step's builder image only.", "readOnly": true }, "name": { "type": "string", "description": "Required. The name of the container image that will run this particular build step. If the image is available in the host's Docker daemon's cache, it will be run directly. If not, the host will attempt to pull the image first, using the builder service account's credentials if necessary. The Docker daemon's cache will already have the latest versions of all of the officially supported build steps ([https://github.com/GoogleCloudPlatform/cloud-builders](https://github.com/GoogleCloudPlatform/cloud-builders)). The Docker daemon will also have cached many of the layers for some popular images, like \"ubuntu\", \"debian\", but they will be refreshed at the time you attempt to use them. If you built an image in a previous build step, it will be stored in the host's Docker daemon's cache and is available to use as the name for a later build step." }, "timing": { "description": "Output only. Stores timing information for executing this build step.", "readOnly": true, "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan" }, "dir": { "description": "Working directory to use when running this step's container. If this value is a relative path, it is relative to the build's working directory. If this value is absolute, it may be outside the build's working directory, in which case the contents of the path may not be persisted across build step executions, unless a `volume` for that path is specified. If the build specifies a `RepoSource` with `dir` and a step with a `dir`, which specifies an absolute path, the `RepoSource` `dir` is ignored for the step's execution.", "type": "string" }, "entrypoint": { "description": "Entrypoint to be used instead of the build step image's default entrypoint. If unset, the image's default entrypoint is used.", "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume": { "type": "object", "description": "Volume describes a Docker container volume which is mounted into build steps in order to persist files across build step execution.", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Volume", "properties": { "path": { "description": "Path at which to mount the volume. Paths must be absolute and cannot conflict with other volume paths on the same build step or with certain reserved volume paths.", "type": "string" }, "name": { "type": "string", "description": "Name of the volume to mount. Volume names must be unique per build step and must be valid names for Docker volumes. Each named volume must be used by at least two build steps." } } }, "GrafeasV1beta1IntotoSignature": { "properties": { "sig": { "type": "string" }, "keyid": { "type": "string" } }, "id": "GrafeasV1beta1IntotoSignature", "description": "A signature object consists of the KeyID used and the signature itself.", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Results": { "description": "Artifacts created by the build pipeline.", "properties": { "artifactManifest": { "type": "string", "description": "Path to the artifact manifest. Only populated when artifacts are uploaded." }, "numArtifacts": { "description": "Number of artifacts uploaded. Only populated when artifacts are uploaded.", "format": "int64", "type": "string" }, "buildStepImages": { "description": "List of build step digests, in the order corresponding to build step indices.", "items": { "type": "string" }, "type": "array" }, "artifactTiming": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "description": "Time to push all non-container artifacts." }, "images": { "description": "Container images that were built as a part of the build.", "type": "array", "items": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuiltImage" } }, "buildStepOutputs": { "items": { "type": "string", "format": "byte" }, "type": "array", "description": "List of build step outputs, produced by builder images, in the order corresponding to build step indices. [Cloud Builders](https://cloud.google.com/cloud-build/docs/cloud-builders) can produce this output by writing to `$BUILDER_OUTPUT/output`. Only the first 4KB of data is stored." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Results", "type": "object" }, "RelationshipNote": { "description": "RelationshipNote represents an SPDX Relationship section: https://spdx.github.io/spdx-spec/7-relationships-between-SPDX-elements/", "id": "RelationshipNote", "type": "object", "properties": { "type": { "enum": [ "RELATIONSHIP_TYPE_UNSPECIFIED", "DESCRIBES", "DESCRIBED_BY", "CONTAINS", "CONTAINED_BY", "DEPENDS_ON", "DEPENDENCY_OF", "DEPENDENCY_MANIFEST_OF", "BUILD_DEPENDENCY_OF", "DEV_DEPENDENCY_OF", "OPTIONAL_DEPENDENCY_OF", "PROVIDED_DEPENDENCY_OF", "TEST_DEPENDENCY_OF", "RUNTIME_DEPENDENCY_OF", "EXAMPLE_OF", "GENERATES", "GENERATED_FROM", "ANCESTOR_OF", "DESCENDANT_OF", "VARIANT_OF", "DISTRIBUTION_ARTIFACT", "PATCH_FOR", "PATCH_APPLIED", "COPY_OF", "FILE_ADDED", "FILE_DELETED", "FILE_MODIFIED", "EXPANDED_FROM_ARCHIVE", "DYNAMIC_LINK", "STATIC_LINK", "DATA_FILE_OF", "TEST_CASE_OF", "BUILD_TOOL_OF", "DEV_TOOL_OF", "TEST_OF", "TEST_TOOL_OF", "DOCUMENTATION_OF", "OPTIONAL_COMPONENT_OF", "METAFILE_OF", "PACKAGE_OF", "AMENDS", "PREREQUISITE_FOR", "HAS_PREREQUISITE", "OTHER" ], "description": "The type of relationship between the source and target SPDX elements", "enumDescriptions": [ "Unspecified", "Is to be used when SPDXRef-DOCUMENT describes SPDXRef-A", "Is to be used when SPDXRef-A is described by SPDXREF-Document", "Is to be used when SPDXRef-A contains SPDXRef-B", "Is to be used when SPDXRef-A is contained by SPDXRef-B", "Is to be used when SPDXRef-A depends on SPDXRef-B", "Is to be used when SPDXRef-A is dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a manifest file that lists a set of dependencies for SPDXRef-B", "Is to be used when SPDXRef-A is a build dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a development dependency of SPDXRef-B", "Is to be used when SPDXRef-A is an optional dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a to be provided dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a test dependency of SPDXRef-B", "Is to be used when SPDXRef-A is a dependency required for the execution of SPDXRef-B", "Is to be used when SPDXRef-A is an example of SPDXRef-B", "Is to be used when SPDXRef-A generates SPDXRef-B", "Is to be used when SPDXRef-A was generated from SPDXRef-B", "Is to be used when SPDXRef-A is an ancestor (same lineage but pre-dates) SPDXRef-B", "Is to be used when SPDXRef-A is a descendant of (same lineage but postdates) SPDXRef-B", "Is to be used when SPDXRef-A is a variant of (same lineage but not clear which came first) SPDXRef-B", "Is to be used when distributing SPDXRef-A requires that SPDXRef-B also be distributed", "Is to be used when SPDXRef-A is a patch file for (to be applied to) SPDXRef-B", "Is to be used when SPDXRef-A is a patch file that has been applied to SPDXRef-B", "Is to be used when SPDXRef-A is an exact copy of SPDXRef-B", "Is to be used when SPDXRef-A is a file that was added to SPDXRef-B", "Is to be used when SPDXRef-A is a file that was deleted from SPDXRef-B", "Is to be used when SPDXRef-A is a file that was modified from SPDXRef-B", "Is to be used when SPDXRef-A is expanded from the archive SPDXRef-B", "Is to be used when SPDXRef-A dynamically links to SPDXRef-B", "Is to be used when SPDXRef-A statically links to SPDXRef-B", "Is to be used when SPDXRef-A is a data file used in SPDXRef-B", "Is to be used when SPDXRef-A is a test case used in testing SPDXRef-B", "Is to be used when SPDXRef-A is used to build SPDXRef-B", "Is to be used when SPDXRef-A is used as a development tool for SPDXRef-B", "Is to be used when SPDXRef-A is used for testing SPDXRef-B", "Is to be used when SPDXRef-A is used as a test tool for SPDXRef-B", "Is to be used when SPDXRef-A provides documentation of SPDXRef-B", "Is to be used when SPDXRef-A is an optional component of SPDXRef-B", "Is to be used when SPDXRef-A is a metafile of SPDXRef-B", "Is to be used when SPDXRef-A is used as a package as part of SPDXRef-B", "Is to be used when (current) SPDXRef-DOCUMENT amends the SPDX information in SPDXRef-B", "Is to be used when SPDXRef-A is a prerequisite for SPDXRef-B", "Is to be used when SPDXRef-A has as a prerequisite SPDXRef-B", "Is to be used for a relationship which has not been defined in the formal SPDX specification. A description of the relationship should be included in the Relationship comments field" ], "type": "string" } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption": { "description": "Details about how a build should be executed on a `WorkerPool`. See [running builds in a private pool](https://cloud.google.com/build/docs/private-pools/run-builds-in-private-pool) for more information.", "type": "object", "properties": { "name": { "description": "The `WorkerPool` resource to execute the build on. You must have `cloudbuild.workerpools.use` on the project hosting the WorkerPool. Format projects/{project}/locations/{location}/workerPools/{workerPoolId}", "type": "string" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildOptionsPoolOption" }, "GrafeasV1beta1DiscoveryDetails": { "description": "Details of a discovery occurrence.", "id": "GrafeasV1beta1DiscoveryDetails", "properties": { "discovered": { "description": "Required. Analysis status for the discovered resource.", "$ref": "Discovered" } }, "type": "object" }, "ExternalRef": { "type": "object", "id": "ExternalRef", "properties": { "category": { "type": "string", "enumDescriptions": [ "Unspecified", "Security (e.g. cpe22Type, cpe23Type)", "Package Manager (e.g. maven-central, npm, nuget, bower, purl)", "Persistent-Id (e.g. swh)", "Other" ], "enum": [ "CATEGORY_UNSPECIFIED", "SECURITY", "PACKAGE_MANAGER", "PERSISTENT_ID", "OTHER" ], "description": "An External Reference allows a Package to reference an external source of additional information, metadata, enumerations, asset identifiers, or downloadable content believed to be relevant to the Package" }, "comment": { "type": "string", "description": "Human-readable information about the purpose and target of the reference" }, "locator": { "description": "The unique string with no spaces necessary to access the package-specific information, metadata, or content within the target location", "type": "string" }, "type": { "type": "string", "description": "Type of category (e.g. 'npm' for the PACKAGE_MANAGER category)" } }, "description": "An External Reference allows a Package to reference an external source of additional information, metadata, enumerations, asset identifiers, or downloadable content believed to be relevant to the Package" }, "ListNoteOccurrencesResponse": { "description": "Response for listing occurrences for a note.", "properties": { "occurrences": { "description": "The occurrences attached to the specified note.", "type": "array", "items": { "$ref": "Occurrence" } }, "nextPageToken": { "type": "string", "description": "Token to provide to skip to a particular spot in the list." } }, "id": "ListNoteOccurrencesResponse", "type": "object" }, "Layer": { "properties": { "arguments": { "type": "string", "description": "The recovered arguments to the Dockerfile directive." }, "directive": { "enumDescriptions": [ "Default value for unsupported/missing directive.", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/", "https://docs.docker.com/engine/reference/builder/" ], "type": "string", "enum": [ "DIRECTIVE_UNSPECIFIED", "MAINTAINER", "RUN", "CMD", "LABEL", "EXPOSE", "ENV", "ADD", "COPY", "ENTRYPOINT", "VOLUME", "USER", "WORKDIR", "ARG", "ONBUILD", "STOPSIGNAL", "HEALTHCHECK", "SHELL" ], "description": "Required. The recovered Dockerfile directive used to construct this layer." } }, "type": "object", "id": "Layer", "description": "Layer holds metadata specific to a layer of a Docker image." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "type": "object", "properties": { "generation": { "format": "int64", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used.", "type": "string" }, "bucket": { "description": "Google Cloud Storage bucket containing the source manifest (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements)).", "type": "string" }, "object": { "description": "Google Cloud Storage object containing the source manifest. This object must be a JSON file.", "type": "string" } }, "description": "Location of the source manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher)." }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" } }, "id": "Status" }, "DocumentNote": { "type": "object", "description": "DocumentNote represents an SPDX Document Creation Information section: https://spdx.github.io/spdx-spec/2-document-creation-information/", "properties": { "dataLicence": { "type": "string", "description": "Compliance with the SPDX specification includes populating the SPDX fields therein with data related to such fields (\"SPDX-Metadata\")" }, "spdxVersion": { "description": "Provide a reference number that can be used to understand how to parse and interpret the rest of the file", "type": "string" } }, "id": "DocumentNote" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "type": "object" }, "GetIamPolicyRequest": { "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GetPolicyOptions" } }, "description": "Request message for `GetIamPolicy` method.", "id": "GetIamPolicyRequest", "type": "object" }, "VulnerabilityLocation": { "id": "VulnerabilityLocation", "type": "object", "description": "The location of the vulnerability.", "properties": { "package": { "description": "Required. The package being described.", "type": "string" }, "version": { "$ref": "Version", "description": "Required. The version of the package being described." }, "cpeUri": { "description": "Required. The CPE URI in [cpe format](https://cpe.mitre.org/specification/) format. Examples include distro or storage location for vulnerable jar.", "type": "string" } } }, "License": { "type": "object", "description": "License information.", "properties": { "expression": { "description": "Often a single license can be used to represent the licensing terms. Sometimes it is necessary to include a choice of one or more licenses or some combination of license identifiers. Examples: \"LGPL-2.1-only OR MIT\", \"LGPL-2.1-only AND MIT\", \"GPL-2.0-or-later WITH Bison-exception-2.2\".", "type": "string" }, "comments": { "description": "Comments", "type": "string" } }, "id": "License" }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "SetIamPolicyRequest" }, "Artifact": { "type": "object", "description": "Artifact describes a build product.", "properties": { "names": { "description": "Related artifact names. This may be the path to a binary or jar file, or in the case of a container build, the name used to push the container image to Google Container Registry, as presented to `docker push`. Note that a single Artifact ID can have multiple names, for example if two tags are applied to one image.", "items": { "type": "string" }, "type": "array" }, "id": { "description": "Artifact ID, if any; for container images, this will be a URL by digest like `gcr.io/projectID/imagename@sha256:123456`.", "type": "string" }, "checksum": { "type": "string", "description": "Hash or checksum value of a binary, or Docker Registry 2.0 digest of a container." } }, "id": "Artifact" }, "Hint": { "type": "object", "description": "This submessage provides human-readable hints about the purpose of the authority. Because the name of a note acts as its resource reference, it is important to disambiguate the canonical name of the Note (which might be a UUID for security purposes) from \"readable\" names more suitable for debug output. Note that these hints should not be used to look up authorities in security sensitive contexts, such as when looking up attestations to verify.", "properties": { "humanReadableName": { "description": "Required. The human readable name of this attestation authority, for example \"qa\".", "type": "string" } }, "id": "Hint" }, "BuildSignature": { "properties": { "keyId": { "description": "An ID for the key used to sign. This could be either an ID for the key stored in `public_key` (such as the ID or fingerprint for a PGP key, or the CN for a cert), or a reference to an external key (such as a reference to a key in Cloud Key Management Service).", "type": "string" }, "keyType": { "description": "The type of the key, either stored in `public_key` or referenced in `key_id`.", "type": "string", "enum": [ "KEY_TYPE_UNSPECIFIED", "PGP_ASCII_ARMORED", "PKIX_PEM" ], "enumDescriptions": [ "`KeyType` is not set.", "`PGP ASCII Armored` public key.", "`PKIX PEM` public key." ] }, "signature": { "description": "Required. Signature of the related `BuildProvenance`. In JSON, this is base-64 encoded.", "format": "byte", "type": "string" }, "publicKey": { "description": "Public key of the builder which can be used to verify that the related findings are valid and unchanged. If `key_type` is empty, this defaults to PEM encoded public keys. This field may be empty if `key_id` references an external key. For Cloud Build based signatures, this is a PEM encoded public key. To verify the Cloud Build signature, place the contents of this field into a file (public.pem). The signature field is base64-decoded into its binary representation in signature.bin, and the provenance bytes from `BuildDetails` are base64-decoded into a binary representation in signed.bin. OpenSSL can then verify the signature: `openssl sha256 -verify public.pem -signature signature.bin signed.bin`", "type": "string" } }, "type": "object", "description": "Message encapsulating the signature of the verified build.", "id": "BuildSignature" }, "Hash": { "description": "Container message for hash values.", "type": "object", "id": "Hash", "properties": { "type": { "enumDescriptions": [ "Unknown.", "A SHA-256 hash." ], "enum": [ "HASH_TYPE_UNSPECIFIED", "SHA256" ], "type": "string", "description": "Required. The type of hash that was performed." }, "value": { "type": "string", "format": "byte", "description": "Required. The hash value." } } }, "PgpSignedAttestation": { "properties": { "signature": { "type": "string", "description": "Required. The raw content of the signature, as output by GNU Privacy Guard (GPG) or equivalent. Since this message only supports attached signatures, the payload that was signed must be attached. While the signature format supported is dependent on the verification implementation, currently only ASCII-armored (`--armor` to gpg), non-clearsigned (`--sign` rather than `--clearsign` to gpg) are supported. Concretely, `gpg --sign --armor --output=signature.gpg payload.json` will create the signature content expected in this field in `signature.gpg` for the `payload.json` attestation payload." }, "pgpKeyId": { "type": "string", "description": "The cryptographic fingerprint of the key used to generate the signature, as output by, e.g. `gpg --list-keys`. This should be the version 4, full 160-bit fingerprint, expressed as a 40 character hexadecimal string. See https://tools.ietf.org/html/rfc4880#section-12.2 for details. Implementations may choose to acknowledge \"LONG\", \"SHORT\", or other abbreviated key IDs, but only the full fingerprint is guaranteed to work. In gpg, the full fingerprint can be retrieved from the `fpr` field returned when calling --list-keys with --with-colons. For example: ``` gpg --with-colons --with-fingerprint --force-v4-certs \\ --list-keys attester@example.com tru::1:1513631572:0:3:1:5 pub:...... fpr:::::::::24FF6481B76AC91E66A00AC657A93A81EF3AE6FB: ``` Above, the fingerprint is `24FF6481B76AC91E66A00AC657A93A81EF3AE6FB`." }, "contentType": { "description": "Type (for example schema) of the attestation payload that was signed. The verifier must ensure that the provided type is one that the verifier supports, and that the attestation payload is a valid instantiation of that type (for example by validating a JSON schema).", "enumDescriptions": [ "`ContentType` is not set.", "Atomic format attestation signature. See https://github.com/containers/image/blob/8a5d2f82a6e3263290c8e0276c3e0f64e77723e7/docs/atomic-signature.md The payload extracted from `signature` is a JSON blob conforming to the linked schema." ], "enum": [ "CONTENT_TYPE_UNSPECIFIED", "SIMPLE_SIGNING_JSON" ], "type": "string" } }, "id": "PgpSignedAttestation", "type": "object", "description": "An attestation wrapper with a PGP-compatible signature. This message only supports `ATTACHED` signatures, where the payload that is signed is included alongside the signature itself in the same file." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SourceProvenance", "properties": { "resolvedRepoSource": { "description": "A copy of the build's `source.repo_source`, if exists, with any revisions resolved.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource" }, "fileHashes": { "description": "Output only. Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. Note that `FileHashes` will only be populated if `BuildOptions` has requested a `SourceProvenanceHash`. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (`.tar.gz`), the `FileHash` will be for the single path to that file.", "additionalProperties": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1FileHashes" }, "readOnly": true, "type": "object" }, "resolvedStorageSource": { "description": "A copy of the build's `source.storage_source`, if exists, with any generations resolved.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" }, "resolvedStorageSourceManifest": { "description": "A copy of the build's `source.storage_source_manifest`, if exists, with any revisions resolved. This feature is in Preview.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest" } }, "type": "object", "description": "Provenance of the source. Ways to find the original source, or verify that some source was used for this build." }, "Build": { "id": "Build", "type": "object", "properties": { "builderVersion": { "type": "string", "description": "Required. Immutable. Version of the builder which produced this build." }, "signature": { "description": "Signature of the build in occurrences pointing to this build note containing build details.", "$ref": "BuildSignature" } }, "description": "Note holding the version of the provider's builder and the signature of the provenance message in the build details occurrence." }, "Deployable": { "properties": { "resourceUri": { "items": { "type": "string" }, "type": "array", "description": "Required. Resource URI for the artifact being deployed." } }, "description": "An artifact that can be deployed in some runtime.", "id": "Deployable", "type": "object" }, "Command": { "description": "Command describes a step performed as part of the build pipeline.", "properties": { "env": { "description": "Environment variables set before running this command.", "type": "array", "items": { "type": "string" } }, "id": { "type": "string", "description": "Optional unique identifier for this command, used in wait_for to reference this command as a dependency." }, "waitFor": { "type": "array", "items": { "type": "string" }, "description": "The ID(s) of the command(s) that this command depends on." }, "args": { "description": "Command-line arguments used when executing this command.", "type": "array", "items": { "type": "string" } }, "dir": { "description": "Working directory (relative to project source root) used when running this command.", "type": "string" }, "name": { "type": "string", "description": "Required. Name of the command, as presented on the command line, or if the command is packaged as a Docker container, as presented to `docker pull`." } }, "type": "object", "id": "Command" }, "ArtifactHashes": { "properties": { "sha256": { "type": "string" } }, "description": "Defines a hash object for use in Materials and Products.", "id": "ArtifactHashes", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult": { "properties": { "approverAccount": { "type": "string", "readOnly": true, "description": "Output only. Email of the user that called the ApproveBuild API to approve or reject a build at the time that the API was called." }, "url": { "type": "string", "description": "Optional. An optional URL tied to this manual approval result. This field is essentially the same as comment, except that it will be rendered by the UI differently. An example use case is a link to an external job that approved this Build." }, "comment": { "type": "string", "description": "Optional. An optional comment for this manual approval result." }, "decision": { "type": "string", "description": "Required. The decision of this manual approval.", "enum": [ "DECISION_UNSPECIFIED", "APPROVED", "REJECTED" ], "enumDescriptions": [ "Default enum type. This should not be used.", "Build is approved.", "Build is rejected." ] }, "approvalTime": { "type": "string", "readOnly": true, "description": "Output only. The time when the approval decision was made.", "format": "google-datetime" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult", "description": "ApprovalResult describes the decision and associated metadata of a manual approval of a build.", "type": "object" }, "BatchCreateNotesRequest": { "id": "BatchCreateNotesRequest", "description": "Request to create notes in batch.", "type": "object", "properties": { "notes": { "type": "object", "description": "Required. The notes to create, the key is expected to be the note ID. Max allowed length is 1000.", "additionalProperties": { "$ref": "Note" } } } }, "Fingerprint": { "type": "object", "id": "Fingerprint", "description": "A set of properties that uniquely identify a given Docker image.", "properties": { "v2Name": { "description": "Output only. The name of the image's v2 blobs computed via: [bottom] := v2_blobbottom := sha256(v2_blob[N] + \" \" + v2_name[N+1]) Only the name of the final blob is kept.", "type": "string" }, "v2Blob": { "type": "array", "items": { "type": "string" }, "description": "Required. The ordered list of v2 blobs that represent a given image." }, "v1Name": { "description": "Required. The layer ID of the final layer in the Docker image's v1 representation.", "type": "string" } } }, "BatchCreateOccurrencesResponse": { "id": "BatchCreateOccurrencesResponse", "description": "Response for creating occurrences in batch.", "type": "object", "properties": { "occurrences": { "type": "array", "items": { "$ref": "Occurrence" }, "description": "The occurrences that were created." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning": { "type": "object", "properties": { "priority": { "enum": [ "PRIORITY_UNSPECIFIED", "INFO", "WARNING", "ALERT" ], "description": "The priority for this warning.", "enumDescriptions": [ "Should not be used.", "e.g. deprecation warnings and alternative feature highlights.", "e.g. automated detection of possible issues with the build.", "e.g. alerts that a feature used in the build is pending removal" ], "type": "string" }, "text": { "description": "Explanation of the warning generated.", "type": "string" } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildWarning", "description": "A non-fatal problem encountered during the execution of the build." }, "Envelope": { "type": "object", "id": "Envelope", "properties": { "payload": { "type": "string", "format": "byte" }, "payloadType": { "type": "string" }, "signatures": { "items": { "$ref": "EnvelopeSignature" }, "type": "array" } }, "description": "MUST match https://github.com/secure-systems-lab/dsse/blob/master/envelope.proto. An authenticated message of arbitrary type." }, "InToto": { "description": "This contains the fields corresponding to the definition of a software supply chain step in an in-toto layout. This information goes into a Grafeas note.", "properties": { "signingKeys": { "type": "array", "description": "This field contains the public keys that can be used to verify the signatures on the step metadata.", "items": { "$ref": "SigningKey" } }, "expectedCommand": { "items": { "type": "string" }, "type": "array", "description": "This field contains the expected command used to perform the step." }, "threshold": { "type": "string", "description": "This field contains a value that indicates the minimum number of keys that need to be used to sign the step's in-toto link.", "format": "int64" }, "expectedProducts": { "items": { "$ref": "ArtifactRule" }, "type": "array" }, "stepName": { "description": "This field identifies the name of the step in the supply chain.", "type": "string" }, "expectedMaterials": { "type": "array", "description": "The following fields contain in-toto artifact rules identifying the artifacts that enter this supply chain step, and exit the supply chain step, i.e. materials and products of the step.", "items": { "$ref": "ArtifactRule" } } }, "type": "object", "id": "InToto" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan": { "description": "Start and end times for a build execution phase.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1TimeSpan", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "End of time span." }, "startTime": { "type": "string", "format": "google-datetime", "description": "Start of time span." } } }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo": { "properties": { "detail": { "type": "string", "description": "Explains the failure issue in more detail using hard-coded text." }, "type": { "type": "string", "description": "The name of the failure.", "enumDescriptions": [ "Type unspecified", "Unable to push the image to the repository.", "Final image not found.", "Unauthorized push of the final image.", "Backend logging failures. Should retry.", "A build step has failed.", "The source fetching has failed." ], "enum": [ "FAILURE_TYPE_UNSPECIFIED", "PUSH_FAILED", "PUSH_IMAGE_NOT_FOUND", "PUSH_NOT_AUTHORIZED", "LOGGING_FAILURE", "USER_BUILD_STEP", "FETCH_SOURCE_FAILED" ] } }, "description": "A fatal problem encountered during the execution of the build.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildFailureInfo" }, "RelatedUrl": { "description": "Metadata for any related URL information.", "type": "object", "properties": { "url": { "type": "string", "description": "Specific URL associated with the resource." }, "label": { "description": "Label to describe usage of the URL.", "type": "string" } }, "id": "RelatedUrl" }, "FileNote": { "properties": { "title": { "description": "Identify the full path and filename that corresponds to the file information in this section", "type": "string" }, "fileType": { "type": "string", "description": "This field provides information about the type of file identified", "enumDescriptions": [ "Unspecified", "The file is human readable source code (.c, .html, etc.)", "The file is a compiled object, target image or binary executable (.o, .a, etc.)", "The file represents an archive (.tar, .jar, etc.)", "The file is associated with a specific application type (MIME type of application/*)", "The file is associated with an audio file (MIME type of audio/* , e.g. .mp3)", "The file is associated with an picture image file (MIME type of image/*, e.g., .jpg, .gif)", "The file is human readable text file (MIME type of text/*)", "The file is associated with a video file type (MIME type of video/*)", "The file serves as documentation", "The file is an SPDX document", "The file doesn't fit into the above categories (generated artifacts, data files, etc.)" ], "enum": [ "FILE_TYPE_UNSPECIFIED", "SOURCE", "BINARY", "ARCHIVE", "APPLICATION", "AUDIO", "IMAGE", "TEXT", "VIDEO", "DOCUMENTATION", "SPDX", "OTHER" ] }, "checksum": { "description": "Provide a unique identifier to match analysis information on each specific file in a package", "type": "array", "items": { "type": "string" } } }, "description": "FileNote represents an SPDX File Information section: https://spdx.github.io/spdx-spec/4-file-information/", "id": "FileNote", "type": "object" }, "Detail": { "properties": { "packageType": { "type": "string", "description": "The type of package; whether native or non native(ruby gems, node.js packages etc)." }, "maxAffectedVersion": { "description": "The max version of the package in which the vulnerability exists.", "$ref": "Version" }, "vendor": { "description": "The name of the vendor of the product.", "type": "string" }, "sourceUpdateTime": { "description": "The time this information was last changed at the source. This is an upstream timestamp from the underlying information source - e.g. Ubuntu security tracker.", "type": "string", "format": "google-datetime" }, "description": { "description": "A vendor-specific description of this note.", "type": "string" }, "isObsolete": { "type": "boolean", "description": "Whether this detail is obsolete. Occurrences are expected not to point to obsolete details." }, "minAffectedVersion": { "description": "The min version of the package in which the vulnerability exists.", "$ref": "Version" }, "fixedLocation": { "$ref": "VulnerabilityLocation", "description": "The fix for this specific package version." }, "severityName": { "type": "string", "description": "The severity (eg: distro assigned severity) for this vulnerability." }, "cpeUri": { "description": "Required. The CPE URI in [cpe format](https://cpe.mitre.org/specification/) in which the vulnerability manifests. Examples include distro or storage location for vulnerable jar.", "type": "string" }, "source": { "description": "The source from which the information in this Detail was obtained.", "type": "string" }, "package": { "type": "string", "description": "Required. The name of the package where the vulnerability was found." } }, "description": "Identifies all appearances of this vulnerability in the package for a specific distro/location. For example: glibc in cpe:/o:debian:debian_linux:8 for versions 2.1 - 2.2", "id": "Detail", "type": "object" }, "AliasContext": { "id": "AliasContext", "type": "object", "description": "An alias to a repo revision.", "properties": { "kind": { "enumDescriptions": [ "Unknown.", "Git tag.", "Git branch.", "Used to specify non-standard aliases. For example, if a Git repo has a ref named \"refs/foo/bar\"." ], "enum": [ "KIND_UNSPECIFIED", "FIXED", "MOVABLE", "OTHER" ], "description": "The alias kind.", "type": "string" }, "name": { "type": "string", "description": "The alias name." } } }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "type": "object", "description": "Request message for `TestIamPermissions` method." }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Source": { "properties": { "storageSource": { "description": "If provided, get the source from this location in Google Cloud Storage.", "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" }, "storageSourceManifest": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSourceManifest", "description": "If provided, get the source from this manifest in Google Cloud Storage. This feature is in Preview; see description [here](https://github.com/GoogleCloudPlatform/cloud-builders/tree/master/gcs-fetcher)." }, "repoSource": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1RepoSource", "description": "If provided, get the source from this location in a Cloud Source Repository." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Source", "description": "Location of the source in a supported storage service.", "type": "object" }, "PackageInfoOccurrence": { "id": "PackageInfoOccurrence", "description": "PackageInfoOccurrence represents an SPDX Package Information section: https://spdx.github.io/spdx-spec/3-package-information/", "properties": { "version": { "type": "string", "description": "Output only. Identify the version of the package", "readOnly": true }, "summaryDescription": { "type": "string", "description": "Output only. A short description of the package", "readOnly": true }, "filename": { "description": "Provide the actual file name of the package, or path of the directory being treated as a package", "type": "string" }, "homePage": { "description": "Output only. Provide a place for the SPDX file creator to record a web site that serves as the package's home page", "readOnly": true, "type": "string" }, "sourceInfo": { "type": "string", "description": "Provide a place for the SPDX file creator to record any relevant background information or additional comments about the origin of the package" }, "id": { "type": "string", "description": "Uniquely identify any element in an SPDX document which may be referenced by other elements" }, "licenseConcluded": { "$ref": "License", "description": "package or alternative values, if the governing license cannot be determined" }, "comment": { "description": "A place for the SPDX file creator to record any general comments about the package being described", "type": "string" }, "title": { "type": "string", "description": "Output only. Identify the full name of the package as given by the Package Originator", "readOnly": true }, "packageType": { "type": "string", "readOnly": true, "description": "Output only. The type of package: OS, MAVEN, GO, GO_STDLIB, etc." } }, "type": "object" }, "Note": { "description": "A type of analysis that can be done for a resource.", "id": "Note", "properties": { "shortDescription": { "type": "string", "description": "A one sentence description of this note." }, "updateTime": { "description": "Output only. The time this note was last updated. This field can be used as a filter in list requests.", "type": "string", "format": "google-datetime" }, "kind": { "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an in-toto link.", "This represents a software bill of materials.", "This represents an SPDX Package.", "This represents an SPDX File.", "This represents an SPDX Relationship." ], "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "INTOTO", "SBOM", "SPDX_PACKAGE", "SPDX_FILE", "SPDX_RELATIONSHIP" ], "description": "Output only. The type of analysis. This field can be used as a filter in list requests.", "type": "string" }, "intoto": { "$ref": "InToto", "description": "A note describing an in-toto link." }, "spdxPackage": { "description": "A note describing an SPDX Package.", "$ref": "PackageInfoNote" }, "attestationAuthority": { "description": "A note describing an attestation role.", "$ref": "Authority" }, "vulnerability": { "description": "A note describing a package vulnerability.", "$ref": "Vulnerability" }, "expirationTime": { "type": "string", "format": "google-datetime", "description": "Time of expiration for this note. Empty if note does not expire." }, "baseImage": { "$ref": "Basis", "description": "A note describing a base image." }, "build": { "description": "A note describing build provenance for a verifiable build.", "$ref": "Build" }, "discovery": { "$ref": "Discovery", "description": "A note describing the initial analysis of a resource." }, "longDescription": { "type": "string", "description": "A detailed description of this note." }, "relatedUrl": { "items": { "$ref": "RelatedUrl" }, "description": "URLs associated with this note.", "type": "array" }, "relatedNoteNames": { "description": "Other notes related to this note.", "items": { "type": "string" }, "type": "array" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time this note was created. This field can be used as a filter in list requests." }, "spdxRelationship": { "description": "A note describing an SPDX File.", "$ref": "RelationshipNote" }, "deployable": { "description": "A note describing something that can be deployed.", "$ref": "Deployable" }, "package": { "description": "A note describing a package hosted by various package managers.", "$ref": "Package" }, "name": { "type": "string", "description": "Output only. The name of the note in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`." }, "spdxFile": { "description": "A note describing an SPDX File.", "$ref": "FileNote" }, "sbom": { "$ref": "DocumentNote", "description": "A note describing a software bill of materials." } }, "type": "object" }, "GrafeasV1beta1DeploymentDetails": { "description": "Details of a deployment occurrence.", "id": "GrafeasV1beta1DeploymentDetails", "properties": { "deployment": { "description": "Required. Deployment history for the resource.", "$ref": "Deployment" } }, "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource": { "description": "Location of the source in an archive file in Google Cloud Storage.", "type": "object", "properties": { "object": { "type": "string", "description": "Google Cloud Storage object containing the source. This object must be a zipped (`.zip`) or gzipped archive file (`.tar.gz`) containing source to build." }, "generation": { "type": "string", "format": "int64", "description": "Google Cloud Storage generation for the object. If the generation is omitted, the latest generation will be used." }, "bucket": { "type": "string", "description": "Google Cloud Storage bucket containing the source (see [Bucket Name Requirements](https://cloud.google.com/storage/docs/bucket-naming#requirements))." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1StorageSource" }, "GrafeasV1beta1IntotoArtifact": { "properties": { "resourceUri": { "type": "string" }, "hashes": { "$ref": "ArtifactHashes" } }, "id": "GrafeasV1beta1IntotoArtifact", "type": "object" }, "Attestation": { "type": "object", "properties": { "genericSignedAttestation": { "$ref": "GenericSignedAttestation" }, "pgpSignedAttestation": { "description": "A PGP signed attestation.", "$ref": "PgpSignedAttestation" } }, "description": "Occurrence that represents a single \"attestation\". The authenticity of an attestation can be verified using the attached signature. If the verifier trusts the public key of the signer, then verifying the signature is sufficient to establish trust. In this circumstance, the authority to which this attestation is attached is primarily useful for look-up (how to find this attestation if you already know the authority and artifact to be verified) and intent (which authority was this attestation intended to sign for).", "id": "Attestation" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret": { "properties": { "versionName": { "type": "string", "description": "Resource name of the SecretVersion. In format: projects/*/secrets/*/versions/*" }, "env": { "description": "Environment variable name to associate with the secret. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step.", "type": "string" } }, "description": "Pairs a secret environment variable with a SecretVersion in Secret Manager.", "type": "object", "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1SecretManagerSecret" }, "BatchCreateNotesResponse": { "type": "object", "properties": { "notes": { "type": "array", "description": "The notes that were created.", "items": { "$ref": "Note" } } }, "id": "BatchCreateNotesResponse", "description": "Response for creating notes in batch." }, "Package": { "description": "Package represents a particular package version.", "properties": { "distribution": { "type": "array", "items": { "$ref": "Distribution" }, "description": "The various channels by which a package is distributed." }, "version": { "$ref": "Version", "description": "The version of the package." }, "url": { "type": "string", "description": "The homepage for this package." }, "architecture": { "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "description": "The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "type": "string", "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ] }, "license": { "$ref": "License", "description": "Licenses that have been declared by the authors of the package." }, "digest": { "description": "Hash value, typically a file digest, that allows unique identification a specific package.", "items": { "$ref": "Digest" }, "type": "array" }, "packageType": { "type": "string", "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.)." }, "cpeUri": { "description": "The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages.", "type": "string" }, "name": { "type": "string", "description": "Required. Immutable. The name of the package." }, "maintainer": { "type": "string", "description": "A freeform text denoting the maintainer of this package." }, "description": { "type": "string", "description": "The description of this package." } }, "type": "object", "id": "Package" }, "ProjectRepoId": { "type": "object", "id": "ProjectRepoId", "properties": { "projectId": { "type": "string", "description": "The ID of the project." }, "repoName": { "description": "The name of the repo. Leave empty for the default repo.", "type": "string" } }, "description": "Selects a repo using a Google Cloud Platform project ID (e.g., winged-cargo-31) and a repo name within that project." }, "Authority": { "properties": { "hint": { "description": "Hint hints at the purpose of the attestation authority.", "$ref": "Hint" } }, "description": "Note kind that represents a logical attestation \"role\" or \"authority\". For example, an organization might have one `Authority` for \"QA\" and one for \"build\". This note is intended to act strictly as a grouping mechanism for the attached occurrences (Attestations). This grouping mechanism also provides a security boundary, since IAM ACLs gate the ability for a principle to attach an occurrence to a given note. It also provides a single point of lookup to find all attached attestation occurrences, even if they don't all live in the same project.", "id": "Authority", "type": "object" }, "Deployment": { "id": "Deployment", "type": "object", "description": "The period during which some deployable was active in a runtime.", "properties": { "platform": { "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "GKE", "FLEX", "CUSTOM" ], "enumDescriptions": [ "Unknown.", "Google Container Engine.", "Google App Engine: Flexible Environment.", "Custom user-defined platform." ], "description": "Platform hosting this deployment." }, "userEmail": { "description": "Identity of the user that triggered this deployment.", "type": "string" }, "deployTime": { "description": "Required. Beginning of the lifetime of this deployment.", "type": "string", "format": "google-datetime" }, "resourceUri": { "description": "Output only. Resource URI for the artifact being deployed taken from the deployable field with the same name.", "items": { "type": "string" }, "type": "array" }, "config": { "description": "Configuration used to create this deployment.", "type": "string" }, "undeployTime": { "type": "string", "description": "End of the lifetime of this deployment.", "format": "google-datetime" }, "address": { "type": "string", "description": "Address of the runtime element hosting this deployment." } } }, "SigningKey": { "properties": { "keyScheme": { "description": "This field contains the corresponding signature scheme. Eg: \"rsassa-pss-sha256\".", "type": "string" }, "keyType": { "type": "string", "description": "This field identifies the specific signing method. Eg: \"rsa\", \"ed25519\", and \"ecdsa\"." }, "keyId": { "type": "string", "description": "key_id is an identifier for the signing key." }, "publicKeyValue": { "type": "string", "description": "This field contains the actual public key." } }, "description": "This defines the format used to record keys used in the software supply chain. An in-toto link is attested using one or more keys defined in the in-toto layout. An example of this is: { \"key_id\": \"776a00e29f3559e0141b3b096f696abc6cfb0c657ab40f441132b345b0...\", \"key_type\": \"rsa\", \"public_key_value\": \"-----BEGIN PUBLIC KEY-----\\nMIIBojANBgkqhkiG9w0B...\", \"key_scheme\": \"rsassa-pss-sha256\" } The format for in-toto's key definition can be found in section 4.2 of the in-toto specification.", "type": "object", "id": "SigningKey" }, "GitSourceContext": { "type": "object", "properties": { "url": { "type": "string", "description": "Git repository URL." }, "revisionId": { "description": "Git commit hash.", "type": "string" } }, "id": "GitSourceContext", "description": "A GitSourceContext denotes a particular revision in a third party Git repository (e.g., GitHub)." }, "GrafeasV1beta1PackageDetails": { "id": "GrafeasV1beta1PackageDetails", "type": "object", "description": "Details of a package occurrence.", "properties": { "installation": { "$ref": "Installation", "description": "Required. Where the package was installed." } } }, "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata": { "id": "GoogleDevtoolsContaineranalysisV1alpha1OperationMetadata", "properties": { "createTime": { "description": "Output only. The time this operation was created.", "format": "google-datetime", "type": "string" }, "endTime": { "type": "string", "description": "Output only. The time that this operation was marked completed or failed.", "format": "google-datetime" } }, "description": "Metadata for all operations used and required for all operations that created by Container Analysis Providers", "type": "object" }, "RepoId": { "description": "A unique identifier for a Cloud Repo.", "properties": { "uid": { "type": "string", "description": "A server-assigned, globally unique identifier." }, "projectRepoId": { "description": "A combination of a project ID and a repo name.", "$ref": "ProjectRepoId" } }, "id": "RepoId", "type": "object" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval": { "type": "object", "properties": { "config": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalConfig", "readOnly": true, "description": "Output only. Configuration for manual approval of this build." }, "state": { "type": "string", "readOnly": true, "description": "Output only. The state of this build's approval.", "enumDescriptions": [ "Default enum type. This should not be used.", "Build approval is pending.", "Build approval has been approved.", "Build approval has been rejected.", "Build was cancelled while it was still pending approval." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "APPROVED", "REJECTED", "CANCELLED" ] }, "result": { "$ref": "ContaineranalysisGoogleDevtoolsCloudbuildV1ApprovalResult", "readOnly": true, "description": "Output only. Result of manual approval for this Build." } }, "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1BuildApproval", "description": "BuildApproval describes a build's approval configuration, state, and result." }, "CVSS": { "description": "Common Vulnerability Scoring System. This message is compatible with CVSS v2 and v3. For CVSS v2 details, see https://www.first.org/cvss/v2/guide CVSS v2 calculator: https://nvd.nist.gov/vuln-metrics/cvss/v2-calculator For CVSS v3 details, see https://www.first.org/cvss/specification-document CVSS v3 calculator: https://nvd.nist.gov/vuln-metrics/cvss/v3-calculator", "type": "object", "properties": { "impactScore": { "format": "float", "type": "number" }, "privilegesRequired": { "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ], "description": "Defined in CVSS v3", "type": "string" }, "exploitabilityScore": { "format": "float", "type": "number" }, "attackVector": { "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ], "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments. Defined in CVSS v3, CVSS v2", "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3" ], "type": "string" }, "authentication": { "type": "string", "enumDescriptions": [ "Defined in CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ], "enum": [ "AUTHENTICATION_UNSPECIFIED", "AUTHENTICATION_MULTIPLE", "AUTHENTICATION_SINGLE", "AUTHENTICATION_NONE" ], "description": "Defined in CVSS v2" }, "integrityImpact": { "type": "string", "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ], "description": "Defined in CVSS v3, CVSS v2", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ] }, "scope": { "type": "string", "description": "Defined in CVSS v3", "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ], "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "attackComplexity": { "description": "Defined in CVSS v3, CVSS v2", "type": "string", "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH", "ATTACK_COMPLEXITY_MEDIUM" ], "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2" ] }, "userInteraction": { "type": "string", "description": "Defined in CVSS v3", "enumDescriptions": [ "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3" ], "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "availabilityImpact": { "description": "Defined in CVSS v3, CVSS v2", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ], "type": "string", "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ] }, "baseScore": { "description": "The base score is a function of the base metric scores.", "type": "number", "format": "float" }, "confidentialityImpact": { "type": "string", "description": "Defined in CVSS v3, CVSS v2", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE", "IMPACT_PARTIAL", "IMPACT_COMPLETE" ], "enumDescriptions": [ "Defined in CVSS v3, CVSS v2", "Defined in CVSS v3", "Defined in CVSS v3", "Defined in CVSS v3, CVSS v2", "Defined in CVSS v2", "Defined in CVSS v2" ] } }, "id": "CVSS" }, "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret": { "id": "ContaineranalysisGoogleDevtoolsCloudbuildV1Secret", "properties": { "secretEnv": { "type": "object", "additionalProperties": { "format": "byte", "type": "string" }, "description": "Map of environment variable name to its encrypted value. Secret environment variables must be unique across all of a build's secrets, and must be used by at least one build step. Values can be at most 64 KB in size. There can be at most 100 secret values across all of a build's secrets." }, "kmsKeyName": { "type": "string", "description": "Cloud KMS key name to use to decrypt these envs." } }, "description": "Pairs a set of secret environment variables containing encrypted values with the Cloud KMS key to use to decrypt the value. Note: Use `kmsKeyName` with `available_secrets` instead of using `kmsKeyName` with `secret`. For instructions see: https://cloud.google.com/cloud-build/docs/securing-builds/use-encrypted-credentials.", "type": "object" }, "GenericSignedAttestation": { "id": "GenericSignedAttestation", "type": "object", "description": "An attestation wrapper that uses the Grafeas `Signature` message. This attestation must define the `serialized_payload` that the `signatures` verify and any metadata necessary to interpret that plaintext. The signatures should always be over the `serialized_payload` bytestring.", "properties": { "signatures": { "items": { "$ref": "Signature" }, "type": "array", "description": "One or more signatures over `serialized_payload`. Verifier implementations should consider this attestation message verified if at least one `signature` verifies `serialized_payload`. See `Signature` in common.proto for more details on signature structure and verification." }, "contentType": { "type": "string", "enumDescriptions": [ "`ContentType` is not set.", "Atomic format attestation signature. See https://github.com/containers/image/blob/8a5d2f82a6e3263290c8e0276c3e0f64e77723e7/docs/atomic-signature.md The payload extracted in `plaintext` is a JSON blob conforming to the linked schema." ], "description": "Type (for example schema) of the attestation payload that was signed. The verifier must ensure that the provided type is one that the verifier supports, and that the attestation payload is a valid instantiation of that type (for example by validating a JSON schema).", "enum": [ "CONTENT_TYPE_UNSPECIFIED", "SIMPLE_SIGNING_JSON" ] }, "serializedPayload": { "type": "string", "description": "The serialized payload that is verified by one or more `signatures`. The encoding and semantic meaning of this payload must match what is set in `content_type`.", "format": "byte" } } }, "ScanConfig": { "id": "ScanConfig", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The name of the scan configuration in the form of `projects/[PROJECT_ID]/scanConfigs/[SCAN_CONFIG_ID]`." }, "updateTime": { "description": "Output only. The time this scan config was last updated.", "format": "google-datetime", "type": "string" }, "enabled": { "description": "Whether the scan is enabled.", "type": "boolean" }, "description": { "description": "Output only. A human-readable description of what the scan configuration does.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time this scan config was created." } }, "description": "A scan configuration specifies whether Cloud components in a project have a particular type of analysis being run. For example, it can configure whether vulnerability scanning is being done on Docker images or not." }, "Signature": { "type": "object", "id": "Signature", "description": "Verifiers (e.g. Kritis implementations) MUST verify signatures with respect to the trust anchors defined in policy (e.g. a Kritis policy). Typically this means that the verifier has been configured with a map from `public_key_id` to public key material (and any required parameters, e.g. signing algorithm). In particular, verification implementations MUST NOT treat the signature `public_key_id` as anything more than a key lookup hint. The `public_key_id` DOES NOT validate or authenticate a public key; it only provides a mechanism for quickly selecting a public key ALREADY CONFIGURED on the verifier through a trusted channel. Verification implementations MUST reject signatures in any of the following circumstances: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is not recognized by the verifier. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The public key that `public_key_id` refers to does not verify the signature with respect to the payload. The `signature` contents SHOULD NOT be \"attached\" (where the payload is included with the serialized `signature` bytes). Verifiers MUST ignore any \"attached\" payload and only verify signatures with respect to explicitly provided payload (e.g. a `payload` field on the proto message that holds this Signature, or the canonical serialization of the proto message that holds this signature).", "properties": { "publicKeyId": { "type": "string", "description": "The identifier for the public key that verifies this signature. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` SHOULD be an RFC3986 conformant URI. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When possible, the `public_key_id` SHOULD be an immutable reference, such as a cryptographic digest. Examples of valid `public_key_id`s: OpenPGP V4 public key fingerprint: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"openpgp4fpr:74FAF3B861BDA0870C7B6DEF607E48D2A663AEEA\" See https://www.iana.org/assignments/uri-schemes/prov/openpgp4fpr for more details on this scheme. RFC6920 digest-named SubjectPublicKeyInfo (digest of the DER serialization): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ni:///sha-256;cD9o9Cq6LG3jD0iKXqEi_vdjJGecm_iXkbqVoScViaU\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nih:///sha-256;703f68f42aba2c6de30f488a5ea122fef76324679c9bf89791ba95a1271589a5\"" }, "signature": { "description": "The content of the signature, an opaque bytestring. The payload that this signature verifies MUST be unambiguously provided with the Signature during verification. A wrapper message might provide the payload explicitly. Alternatively, a message might have a canonical serialization that can always be unambiguously computed to derive the payload.", "type": "string", "format": "byte" } } }, "SourceContext": { "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels with user defined metadata." }, "gerrit": { "$ref": "GerritSourceContext", "description": "A SourceContext referring to a Gerrit project." }, "cloudRepo": { "description": "A SourceContext referring to a revision in a Google Cloud Source Repo.", "$ref": "CloudRepoSourceContext" }, "git": { "$ref": "GitSourceContext", "description": "A SourceContext referring to any third party Git repo (e.g., GitHub)." } }, "type": "object", "description": "A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory.", "id": "SourceContext" }, "FileOccurrence": { "id": "FileOccurrence", "type": "object", "properties": { "comment": { "description": "This field provides a place for the SPDX file creator to record any general comments about the file", "type": "string" }, "licenseConcluded": { "$ref": "License", "description": "This field contains the license the SPDX file creator has concluded as governing the file or alternative values if the governing license cannot be determined" }, "attributions": { "type": "array", "description": "This field provides a place for the SPDX data creator to record, at the file level, acknowledgements that may be needed to be communicated in some contexts", "items": { "type": "string" } }, "id": { "description": "Uniquely identify any element in an SPDX document which may be referenced by other elements", "type": "string" }, "contributors": { "items": { "type": "string" }, "description": "This field provides a place for the SPDX file creator to record file contributors", "type": "array" }, "filesLicenseInfo": { "description": "This field contains the license information actually found in the file, if any", "items": { "type": "string" }, "type": "array" }, "notice": { "type": "string", "description": "This field provides a place for the SPDX file creator to record license notices or other such related notices found in the file" }, "copyright": { "description": "Identify the copyright holder of the file, as well as any dates present", "type": "string" } }, "description": "FileOccurrence represents an SPDX File Information section: https://spdx.github.io/spdx-spec/4-file-information/" }, "Distribution": { "type": "object", "properties": { "cpeUri": { "description": "Required. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package.", "type": "string" }, "url": { "type": "string", "description": "The distribution channel-specific homepage for this package." }, "description": { "description": "The distribution channel-specific description of this package.", "type": "string" }, "latestVersion": { "description": "The latest available version of this package in this distribution channel.", "$ref": "Version" }, "architecture": { "type": "string", "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "description": "The CPU architecture for which packages in this distribution channel were built.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ] }, "maintainer": { "description": "A freeform string denoting the maintainer of this package.", "type": "string" } }, "description": "This represents a particular channel of distribution for a given package. E.g., Debian's jessie-backports dpkg mirror.", "id": "Distribution" }, "DocumentOccurrence": { "description": "DocumentOccurrence represents an SPDX Document Creation Information section: https://spdx.github.io/spdx-spec/2-document-creation-information/", "properties": { "documentComment": { "description": "A field for creators of the SPDX file content to provide comments to the consumers of the SPDX document", "type": "string" }, "createTime": { "description": "Identify when the SPDX file was originally created. The date is to be specified according to combined date and time in UTC format as specified in ISO 8601 standard", "format": "google-datetime", "type": "string" }, "title": { "description": "Identify name of this document as designated by creator", "type": "string" }, "creators": { "description": "Identify who (or what, in the case of a tool) created the SPDX file. If the SPDX file was created by an individual, indicate the person's name", "type": "array", "items": { "type": "string" } }, "externalDocumentRefs": { "type": "array", "description": "Identify any external SPDX documents referenced within this SPDX document", "items": { "type": "string" } }, "creatorComment": { "description": "A field for creators of the SPDX file to provide general comments about the creation of the SPDX file or any other relevant comment not included in the other fields", "type": "string" }, "id": { "type": "string", "description": "Identify the current SPDX document which may be referenced in relationships by other files, packages internally and documents externally" }, "namespace": { "description": "Provide an SPDX document specific namespace as a unique absolute Uniform Resource Identifier (URI) as specified in RFC-3986, with the exception of the ‘#’ delimiter", "type": "string" }, "licenseListVersion": { "description": "A field for creators of the SPDX file to provide the version of the SPDX License List used when the SPDX file was created", "type": "string" } }, "id": "DocumentOccurrence", "type": "object" }, "PackageIssue": { "type": "object", "properties": { "effectiveSeverity": { "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "description": "Output only. The distro or language system assigned severity for this vulnerability when that is available and note provider assigned severity when it is not available.", "readOnly": true, "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "type": "string" }, "fixedLocation": { "$ref": "VulnerabilityLocation", "description": "The location of the available fix for vulnerability." }, "severityName": { "description": "Deprecated, use Details.effective_severity instead The severity (e.g., distro assigned severity) for this vulnerability.", "type": "string" }, "packageType": { "type": "string", "description": "The type of package (e.g. OS, MAVEN, GO)." }, "affectedLocation": { "$ref": "VulnerabilityLocation", "description": "Required. The location of the vulnerability." } }, "description": "This message wraps a location affected by a vulnerability and its associated fix (if one is available).", "id": "PackageIssue" }, "PackageInfoNote": { "type": "object", "description": "PackageInfoNote represents an SPDX Package Information section: https://spdx.github.io/spdx-spec/3-package-information/", "properties": { "downloadLocation": { "description": "This section identifies the download Universal Resource Locator (URL), or a specific location within a version control system (VCS) for the package at the time that the SPDX file was created", "type": "string" }, "summaryDescription": { "type": "string", "description": "A short description of the package" }, "analyzed": { "type": "boolean", "description": "Indicates whether the file content of this package has been available for or subjected to analysis when creating the SPDX document" }, "detailedDescription": { "description": "A more detailed description of the package", "type": "string" }, "title": { "type": "string", "description": "Identify the full name of the package as given by the Package Originator" }, "attribution": { "type": "string", "description": "A place for the SPDX data creator to record, at the package level, acknowledgements that may be needed to be communicated in some contexts" }, "verificationCode": { "type": "string", "description": "This field provides an independently reproducible mechanism identifying specific contents of a package based on the actual files (except the SPDX file itself, if it is included in the package) that make up each package and that correlates to the data in this SPDX file" }, "version": { "type": "string", "description": "Identify the version of the package" }, "copyright": { "description": "Identify the copyright holders of the package, as well as any dates present", "type": "string" }, "originator": { "description": "If the package identified in the SPDX file originated from a different person or organization than identified as Package Supplier, this field identifies from where or whom the package originally came", "type": "string" }, "packageType": { "type": "string", "description": "The type of package: OS, MAVEN, GO, GO_STDLIB, etc." }, "filesLicenseInfo": { "items": { "type": "string" }, "description": "Contain the license the SPDX file creator has concluded as governing the This field is to contain a list of all licenses found in the package. The relationship between licenses (i.e., conjunctive, disjunctive) is not specified in this field – it is simply a listing of all licenses found", "type": "array" }, "licenseDeclared": { "$ref": "License", "description": "List the licenses that have been declared by the authors of the package" }, "externalRefs": { "items": { "$ref": "ExternalRef" }, "type": "array", "description": "ExternalRef" }, "homePage": { "description": "Provide a place for the SPDX file creator to record a web site that serves as the package's home page", "type": "string" }, "checksum": { "type": "string", "description": "Provide an independently reproducible mechanism that permits unique identification of a specific package that correlates to the data in this SPDX file" }, "supplier": { "description": "Identify the actual distribution source for the package/directory identified in the SPDX file", "type": "string" } }, "id": "PackageInfoNote" }, "Location": { "properties": { "version": { "$ref": "Version", "description": "Deprecated. The version installed at this location." }, "cpeUri": { "description": "Deprecated. The CPE URI in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package.", "type": "string" }, "path": { "description": "The path from which we gathered that this package/version is installed.", "type": "string" } }, "description": "An occurrence of a particular package installation found within a system's filesystem. E.g., glibc was found in `/var/lib/dpkg/status`.", "type": "object", "id": "Location" }, "BatchCreateOccurrencesRequest": { "type": "object", "properties": { "occurrences": { "type": "array", "items": { "$ref": "Occurrence" }, "description": "Required. The occurrences to create. Max allowed length is 1000." } }, "id": "BatchCreateOccurrencesRequest", "description": "Request to create occurrences in batch." }, "GetPolicyOptions": { "type": "object", "properties": { "requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "description": "Encapsulates settings provided to GetIamPolicy.", "id": "GetPolicyOptions" }, "Binding": { "id": "Binding", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } }, "type": "object", "description": "Associates `members`, or principals, with a `role`." }, "KnowledgeBase": { "type": "object", "id": "KnowledgeBase", "properties": { "name": { "type": "string", "description": "The KB name (generally of the form KB[0-9]+ i.e. KB123456)." }, "url": { "description": "A link to the KB in the Windows update catalog - https://www.catalog.update.microsoft.com/", "type": "string" } } }, "Source": { "type": "object", "description": "Source describes the location of the source used for the build.", "properties": { "context": { "$ref": "SourceContext", "description": "If provided, the source code used for the build came from this location." }, "additionalContexts": { "items": { "$ref": "SourceContext" }, "type": "array", "description": "If provided, some of the source code used for the build may be found in these locations, in the case where the source repository had multiple remotes or submodules. This list will not include the context specified in the context field." }, "fileHashes": { "additionalProperties": { "$ref": "FileHashes" }, "type": "object", "description": "Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (.tar.gz), the FileHash will be for the single path to that file." }, "artifactStorageSourceUri": { "description": "If provided, the input binary artifacts for the build came from this location.", "type": "string" } }, "id": "Source" }, "Expr": { "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "type": "object" } }, "basePath": "", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/container-analysis/api/reference/rest/" }
]===]))
