local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220706", "description": "Manage your product listings and accounts for Google Shopping", "version": "v2.1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "kind": "discovery#restDescription", "schemas": { "SettlementReport": { "description": " Settlement reports detail order-level and item-level credits and debits between you and Google.", "id": "SettlementReport", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#settlementReport`\"" }, "endDate": { "type": "string", "description": "The end date on which all transactions are included in the report, in ISO 8601 format." }, "previousBalance": { "description": "The residual amount from the previous invoice. This is set only if the previous invoices are not paid because of negative balance.", "$ref": "Price" }, "transferAmount": { "description": "The money due to the merchant.", "$ref": "Price" }, "startDate": { "description": "The start date on which all transactions are included in the report, in ISO 8601 format.", "type": "string" }, "transferDate": { "description": "Date on which transfer for this payment was initiated by Google, in ISO 8601 format.", "type": "string" }, "settlementId": { "type": "string", "description": "The ID of the settlement report." }, "transferIds": { "items": { "type": "string" }, "description": "The list of bank identifiers used for the transfer. For example, Trace ID for Federal Automated Clearing House (ACH). This may also be known as the Wire ID.", "type": "array" } } }, "LiasettingsCustomBatchResponseEntry": { "id": "LiasettingsCustomBatchResponseEntry", "properties": { "liaSettings": { "description": "The retrieved or updated Lia settings.", "$ref": "LiaSettings" }, "gmbAccounts": { "$ref": "GmbAccounts", "description": "The list of accessible Business Profiles." }, "posDataProviders": { "type": "array", "items": { "$ref": "PosDataProviders" }, "description": "The list of POS data providers." }, "errors": { "$ref": "Errors", "description": "A list of errors defined if, and only if, the request failed." }, "batchId": { "description": "The ID of the request entry to which this entry responds.", "type": "integer", "format": "uint32" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsCustomBatchResponseEntry`\"", "type": "string" } }, "type": "object" }, "DateTime": { "id": "DateTime", "type": "object", "properties": { "year": { "format": "int32", "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "type": "integer" }, "hours": { "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer", "format": "int32" }, "timeZone": { "description": "Time zone.", "$ref": "TimeZone" }, "nanos": { "type": "integer", "format": "int32", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." }, "utcOffset": { "format": "google-duration", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "type": "string" }, "month": { "description": "Required. Month of year. Must be from 1 to 12.", "type": "integer", "format": "int32" }, "day": { "format": "int32", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month.", "type": "integer" }, "minutes": { "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "type": "integer", "format": "int32" }, "seconds": { "format": "int32", "type": "integer", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." } }, "description": "Represents civil time (or occasionally physical time). This type can represent a civil time in one of a few possible ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When utc_offset is set and time_zone is unset: a civil time on a calendar day with a particular offset from UTC. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When time_zone is set and utc_offset is unset: a civil time on a calendar day in a particular time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When neither time_zone nor utc_offset is set: a civil time on a calendar day in local time. The date is relative to the Proleptic Gregorian Calendar. If year is 0, the DateTime is considered not to have a specific year. month and day must have valid, non-zero values. This type may also be used to represent a physical time if all the date and time fields are set and either case of the `time_offset` oneof is set. Consider using `Timestamp` message for physical time instead. If your use case also would like to store the user's timezone, that can be done in another field. This type is more flexible than some applications may want. Make sure to document and validate your application's limitations." }, "RepricingRuleRestrictionBoundary": { "id": "RepricingRuleRestrictionBoundary", "description": "Definition of a boundary.", "properties": { "percentageDelta": { "type": "integer", "format": "int32", "description": "The percentage delta relative to the offer selling price. This field is signed. It must be negative in floor. When it is used in floor, it should be \u003e -100. For example, if an offer is selling at $10 and this field is -30 in floor, the repricing rule only applies if the calculated new price is \u003e= $7." }, "priceDelta": { "type": "string", "description": "The price micros relative to the offer selling price. This field is signed. It must be negative in floor. For example, if an offer is selling at $10 and this field is -$2 in floor, the repricing rule only applies if the calculated new price is \u003e= $8." } }, "type": "object" }, "OrderLineItemAdjustment": { "type": "object", "properties": { "type": { "type": "string", "description": "Type of this adjustment. Acceptable values are: - \"`promotion`\" " }, "taxAdjustment": { "$ref": "Price", "description": "Adjustment for total tax of the line item." }, "priceAdjustment": { "$ref": "Price", "description": "Adjustment for total price of the line item." } }, "id": "OrderLineItemAdjustment" }, "AccountImageImprovementsSettings": { "id": "AccountImageImprovementsSettings", "properties": { "allowAutomaticImageImprovements": { "description": "Enables automatic image improvements.", "type": "boolean" } }, "type": "object", "description": "Settings for the Automatic Image Improvements." }, "AccountsCustomBatchResponse": { "id": "AccountsCustomBatchResponse", "type": "object", "properties": { "entries": { "items": { "$ref": "AccountsCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests.", "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsCustomBatchResponse`\".", "type": "string" } } }, "SearchResponse": { "properties": { "results": { "items": { "$ref": "ReportRow" }, "description": "Rows that matched the search query.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token which can be sent as `page_token` to retrieve the next page. If omitted, there are no subsequent pages." } }, "type": "object", "id": "SearchResponse", "description": "Response message for the ReportService.Search method." }, "OrderCustomer": { "id": "OrderCustomer", "type": "object", "properties": { "invoiceReceivingEmail": { "description": "Email address for the merchant to send value-added tax or invoice documentation of the order. Only the last document sent is made available to the customer. For more information, see About automated VAT invoicing for Buy on Google.", "type": "string" }, "fullName": { "description": "Full name of the customer.", "type": "string" }, "loyaltyInfo": { "$ref": "OrderCustomerLoyaltyInfo", "description": "Loyalty program information." }, "marketingRightsInfo": { "$ref": "OrderCustomerMarketingRightsInfo", "description": "Customer's marketing preferences. Contains the marketing opt-in information that is current at the time that the merchant call. User preference selections can change from one order to the next so preferences must be checked with every order." } } }, "TestOrderAddress": { "id": "TestOrderAddress", "properties": { "recipientName": { "type": "string", "description": "Name of the recipient." }, "locality": { "description": "City, town or commune. May also include dependent localities or sublocalities (for example, neighborhoods or suburbs).", "type": "string" }, "isPostOfficeBox": { "type": "boolean", "description": "Whether the address is a post office box." }, "country": { "description": "CLDR country code (for example, \"US\").", "type": "string" }, "streetAddress": { "items": { "type": "string" }, "type": "array", "description": "Street-level part of the address. Use `\\n` to add a second line." }, "fullAddress": { "type": "array", "description": "Strings representing the lines of the printed label for mailing the order, for example: John Smith 1600 Amphitheatre Parkway Mountain View, CA, 94043 United States ", "items": { "type": "string" } }, "region": { "description": "Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\").", "type": "string" }, "postalCode": { "description": "Postal Code or ZIP (for example, \"94043\").", "type": "string" } }, "type": "object" }, "AccountTax": { "id": "AccountTax", "properties": { "accountId": { "type": "string", "description": "Required. The ID of the account to which these account tax settings belong.", "format": "uint64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountTax`\".", "type": "string" }, "rules": { "items": { "$ref": "AccountTaxTaxRule" }, "type": "array", "description": "Tax rules. Updating the tax rules will enable \"US\" taxes (not reversible). Defining no rules is equivalent to not charging tax at all." } }, "type": "object", "description": "The tax settings of a merchant account. All methods require the admin role." }, "ReturnpolicyCustomBatchRequest": { "type": "object", "properties": { "entries": { "type": "array", "description": "The request entries to be processed in the batch.", "items": { "$ref": "ReturnpolicyCustomBatchRequestEntry" } } }, "id": "ReturnpolicyCustomBatchRequest" }, "ReturnPolicyOnlinePolicy": { "type": "object", "id": "ReturnPolicyOnlinePolicy", "properties": { "days": { "format": "int64", "description": "The number of days items can be returned after delivery, where one day is defined to be 24 hours after the delivery timestamp. Required for `numberOfDaysAfterDelivery` returns.", "type": "string" }, "type": { "enumDescriptions": [ "Default value. This value is unused.", "Number of days after a return is delivered.", "No returns.", "Life time returns." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "NUMBER_OF_DAYS_AFTER_DELIVERY", "NO_RETURNS", "LIFETIME_RETURNS" ], "description": "Policy type." } }, "description": "The available policies." }, "OrdersAcknowledgeResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersAcknowledgeResponse`\".", "type": "string" }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "type": "object", "id": "OrdersAcknowledgeResponse" }, "LocationIdSet": { "id": "LocationIdSet", "properties": { "locationIds": { "items": { "type": "string" }, "description": "A non-empty list of location IDs. They must all be of the same location type (for example, state).", "type": "array" } }, "type": "object" }, "RequestPhoneVerificationRequest": { "id": "RequestPhoneVerificationRequest", "properties": { "phoneNumber": { "description": "Phone number to be verified.", "type": "string" }, "languageCode": { "type": "string", "description": "Language code [IETF BCP 47 syntax](https://tools.ietf.org/html/bcp47) (for example, en-US). Language code is used to provide localized `SMS` and `PHONE_CALL`. Default language used is en-US if not provided." }, "phoneRegionCode": { "type": "string", "description": "Required. Two letter country code for the phone number, for example `CA` for Canadian numbers. See the [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) officially assigned codes." }, "phoneVerificationMethod": { "enum": [ "PHONE_VERIFICATION_METHOD_UNSPECIFIED", "SMS", "PHONE_CALL" ], "description": "Verification method to receive verification code.", "enumDescriptions": [ "Unknown method.", "Receive verification code by SMS.", "Receive verification code by phone call." ], "type": "string" } }, "description": "Request message for the RequestPhoneVerification method.", "type": "object" }, "LiaInventorySettings": { "properties": { "inventoryVerificationContactName": { "description": "The name of the contact for the inventory verification process.", "type": "string" }, "inventoryVerificationContactStatus": { "description": "The status of the verification contact. Acceptable values are: - \"`active`\" - \"`inactive`\" - \"`pending`\" ", "type": "string" }, "inventoryVerificationContactEmail": { "type": "string", "description": "The email of the contact for the inventory verification process." }, "status": { "type": "string", "description": "The status of the inventory verification process. Acceptable values are: - \"`active`\" - \"`inactive`\" - \"`pending`\" " } }, "id": "LiaInventorySettings", "type": "object" }, "DatafeedstatusesCustomBatchResponse": { "type": "object", "id": "DatafeedstatusesCustomBatchResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedstatusesCustomBatchResponse`\"." }, "entries": { "type": "array", "description": "The result of the execution of the batch requests.", "items": { "$ref": "DatafeedstatusesCustomBatchResponseEntry" } } } }, "LiasettingsCustomBatchRequestEntry": { "id": "LiasettingsCustomBatchRequestEntry", "properties": { "accountId": { "format": "uint64", "description": "The ID of the account for which to get/update account LIA settings.", "type": "string" }, "posDataProviderId": { "description": "The ID of POS data provider. Required only for SetPosProvider.", "format": "uint64", "type": "string" }, "liaSettings": { "$ref": "LiaSettings", "description": "The account Lia settings to update. Only defined if the method is `update`." }, "batchId": { "format": "uint32", "description": "An entry ID, unique within the batch request.", "type": "integer" }, "gmbEmail": { "type": "string", "description": "The Business Profile. Required only for RequestGmbAccess." }, "country": { "type": "string", "description": "The country code. Required only for RequestInventoryVerification." }, "contactEmail": { "description": "Inventory validation contact email. Required only for SetInventoryValidationContact.", "type": "string" }, "method": { "description": "The method of the batch entry. Acceptable values are: - \"`get`\" - \"`getAccessibleGmbAccounts`\" - \"`requestGmbAccess`\" - \"`requestInventoryVerification`\" - \"`setInventoryVerificationContact`\" - \"`update`\" ", "type": "string" }, "contactName": { "type": "string", "description": "Inventory validation contact name. Required only for SetInventoryValidationContact." }, "posExternalAccountId": { "type": "string", "description": "The account ID by which this merchant is known to the POS provider." }, "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the managing account." } }, "type": "object" }, "ProductDeliveryTimeAreaDeliveryTime": { "properties": { "deliveryTime": { "description": "Required. The delivery time associated with `deliveryArea` for this product.", "$ref": "ProductDeliveryTimeAreaDeliveryTimeDeliveryTime" }, "deliveryArea": { "$ref": "DeliveryArea", "description": "Required. The delivery area associated with `deliveryTime` for this product." } }, "id": "ProductDeliveryTimeAreaDeliveryTime", "type": "object", "description": "A pairing of `DeliveryArea` associated with a `DeliveryTime` for this product." }, "ShoppingAdsProgramStatus": { "properties": { "regionStatuses": { "description": "Status of the program in each region. Regions with the same status and review eligibility are grouped together in `regionCodes`.", "type": "array", "items": { "$ref": "ShoppingAdsProgramStatusRegionStatus" } }, "globalState": { "type": "string", "description": "State of the program. `ENABLED` if there are offers for at least one region.", "enumDescriptions": [ "State is unknown.", "Program is not enabled for any country.", "No products have been uploaded for any region. Upload products to Merchant Center.", "Program is enabled and offers are uploaded for at least one country." ], "enum": [ "PROGRAM_STATE_UNSPECIFIED", "NOT_ENABLED", "NO_OFFERS_UPLOADED", "ENABLED" ] } }, "description": "Response message for GetShoppingAdsProgramStatus.", "type": "object", "id": "ShoppingAdsProgramStatus" }, "OrderreturnsCreateOrderReturnResponse": { "properties": { "orderReturn": { "description": "Created order return.", "$ref": "MerchantOrderReturn" }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreturnsCreateOrderReturnResponse`\"." } }, "id": "OrderreturnsCreateOrderReturnResponse", "type": "object" }, "ProductUnitPricingBaseMeasure": { "id": "ProductUnitPricingBaseMeasure", "type": "object", "properties": { "value": { "type": "string", "description": "The denominator of the unit price.", "format": "int64" }, "unit": { "description": "The unit of the denominator.", "type": "string" } } }, "OrderRefund": { "type": "object", "id": "OrderRefund", "properties": { "reasonText": { "description": "The explanation of the reason.", "type": "string" }, "creationDate": { "type": "string", "description": "Date on which the item has been created, in ISO 8601 format." }, "reason": { "type": "string", "description": "The reason for the refund. Acceptable values are: - \"`adjustment`\" - \"`autoPostInternal`\" - \"`autoPostInvalidBillingAddress`\" - \"`autoPostNoInventory`\" - \"`autoPostPriceError`\" - \"`autoPostUndeliverableShippingAddress`\" - \"`couponAbuse`\" - \"`courtesyAdjustment`\" - \"`customerCanceled`\" - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`customerSupportRequested`\" - \"`deliveredLateByCarrier`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`failToPushOrderGoogleError`\" - \"`failToPushOrderMerchantError`\" - \"`failToPushOrderMerchantFulfillmentError`\" - \"`failToPushOrderToMerchant`\" - \"`failToPushOrderToMerchantOutOfStock`\" - \"`feeAdjustment`\" - \"`invalidCoupon`\" - \"`lateShipmentCredit`\" - \"`malformedShippingAddress`\" - \"`merchantDidNotShipOnTime`\" - \"`noInventory`\" - \"`orderTimeout`\" - \"`other`\" - \"`paymentAbuse`\" - \"`paymentDeclined`\" - \"`priceAdjustment`\" - \"`priceError`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`promoReallocation`\" - \"`qualityNotAsExpected`\" - \"`returnRefundAbuse`\" - \"`shippingCostAdjustment`\" - \"`shippingPriceError`\" - \"`taxAdjustment`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " }, "actor": { "description": "The actor that created the refund. Acceptable values are: - \"`customer`\" - \"`googleBot`\" - \"`googleCustomerService`\" - \"`googlePayments`\" - \"`googleSabre`\" - \"`merchant`\" ", "type": "string" }, "amount": { "description": "The amount that is refunded.", "$ref": "Price" } } }, "RequestReviewBuyOnGoogleProgramRequest": { "id": "RequestReviewBuyOnGoogleProgramRequest", "properties": {}, "type": "object", "description": "Request message for the RequestReviewProgram method." }, "ProductShippingDimension": { "type": "object", "properties": { "unit": { "description": "The unit of value.", "type": "string" }, "value": { "format": "double", "description": "The dimension of the product used to calculate the shipping cost of the item.", "type": "number" } }, "id": "ProductShippingDimension" }, "OnboardBuyOnGoogleProgramRequest": { "id": "OnboardBuyOnGoogleProgramRequest", "description": "Request message for the OnboardProgram method.", "properties": { "customerServiceEmail": { "type": "string", "description": "The customer service email." } }, "type": "object" }, "PosListResponse": { "type": "object", "id": "PosListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posListResponse`\".", "type": "string" }, "resources": { "items": { "$ref": "PosStore" }, "type": "array" } } }, "ProductId": { "id": "ProductId", "description": "The Content API ID of the product.", "type": "object", "properties": { "productId": { "description": "The Content API ID of the product, in the form `channel:contentLanguage:targetCountry:offerId`.", "type": "string" } } }, "DatafeedStatusExample": { "properties": { "lineNumber": { "format": "uint64", "type": "string", "description": "Line number in the data feed where the example is found." }, "itemId": { "description": "The ID of the example item.", "type": "string" }, "value": { "type": "string", "description": "The problematic value." } }, "type": "object", "description": "An example occurrence for a particular error.", "id": "DatafeedStatusExample" }, "MerchantRejectionReason": { "id": "MerchantRejectionReason", "properties": { "reasonCode": { "type": "string", "description": "Code of the rejection reason." }, "description": { "description": "Description of the reason.", "type": "string" } }, "type": "object" }, "OrderShipmentScheduledDeliveryDetails": { "type": "object", "properties": { "carrierPhoneNumber": { "description": "The phone number of the carrier fulfilling the delivery. The phone number is formatted as the international notation in ITU-T Recommendation E.123 (for example, \"+41 44 668 1800\").", "type": "string" }, "scheduledDate": { "description": "The date a shipment is scheduled for delivery, in ISO 8601 format.", "type": "string" } }, "id": "OrderShipmentScheduledDeliveryDetails" }, "AccountBusinessInformation": { "id": "AccountBusinessInformation", "type": "object", "properties": { "address": { "description": "The address of the business. Use `\\n` to add a second address line.", "$ref": "AccountAddress" }, "koreanBusinessRegistrationNumber": { "description": "The 10-digit [Korean business registration number](https://support.google.com/merchants/answer/9037766) separated with dashes in the format: XXX-XX-XXXXX. This field will only be updated if explicitly set.", "type": "string" }, "customerService": { "$ref": "AccountCustomerService", "description": "The customer service information of the business." }, "phoneVerificationStatus": { "type": "string", "description": "Verification status of the phone number of the business. This status is read only and can be updated only by successful phone verification. Acceptable values are: - \"`verified`\" - \"`unverified`\" " }, "phoneNumber": { "type": "string", "description": "The phone number of the business. This can only be updated if a verified phone number is not already set. To replace a verified phone number use the `Accounts.requestphoneverification` and `Accounts.verifyphonenumber`." } } }, "RequestReviewShoppingAdsRequest": { "type": "object", "properties": { "regionCode": { "type": "string", "description": "The code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) of the country for which review is to be requested." } }, "id": "RequestReviewShoppingAdsRequest", "description": "Request message for the RequestReviewShoppingAds program method." }, "PaymentServiceProviderLinkInfo": { "id": "PaymentServiceProviderLinkInfo", "properties": { "externalAccountBusinessCountry": { "type": "string", "description": "The business country of the merchant account as identified by the third party service provider." }, "externalAccountId": { "description": "The id used by the third party service provider to identify the merchant.", "type": "string" } }, "type": "object", "description": "Additional information required for PAYMENT_SERVICE_PROVIDER link type." }, "ProductstatusesCustomBatchResponse": { "id": "ProductstatusesCustomBatchResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productstatusesCustomBatchResponse`\".", "type": "string" }, "entries": { "description": "The result of the execution of the batch requests.", "items": { "$ref": "ProductstatusesCustomBatchResponseEntry" }, "type": "array" } } }, "PosInventoryResponse": { "properties": { "price": { "$ref": "Price", "description": "Required. The current price of the item." }, "quantity": { "format": "int64", "type": "string", "description": "Required. The available quantity of the item." }, "targetCountry": { "description": "Required. The CLDR territory code for the item.", "type": "string" }, "timestamp": { "description": "Required. The inventory timestamp, in ISO 8601 format.", "type": "string" }, "itemId": { "description": "Required. A unique identifier for the item.", "type": "string" }, "contentLanguage": { "type": "string", "description": "Required. The two-letter ISO 639-1 language code for the item." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posInventoryResponse`\"." }, "gtin": { "type": "string", "description": "Global Trade Item Number." }, "storeCode": { "type": "string", "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile." } }, "id": "PosInventoryResponse", "type": "object" }, "CustomAttribute": { "type": "object", "properties": { "value": { "description": "The value of the attribute.", "type": "string" }, "groupValues": { "type": "array", "items": { "$ref": "CustomAttribute" }, "description": "Subattributes within this attribute group. Exactly one of value or groupValues must be provided." }, "name": { "type": "string", "description": "The name of the attribute. Underscores will be replaced by spaces upon insertion." } }, "id": "CustomAttribute" }, "ProductTax": { "properties": { "taxShip": { "description": "Should be set to true if tax is charged on shipping.", "type": "boolean" }, "rate": { "format": "double", "type": "number", "description": "The percentage of tax rate that applies to the item price." }, "region": { "description": "The geographic region to which the tax rate applies.", "type": "string" }, "country": { "type": "string", "description": "The country within which the item is taxed, specified as a CLDR territory code." }, "locationId": { "type": "string", "description": "The numeric ID of a location that the tax rate applies to as defined in the AdWords API.", "format": "int64" }, "postalCode": { "description": "The postal code range that the tax rate applies to, represented by a ZIP code, a ZIP code prefix using LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh wildcard, a range between two ZIP codes or two ZIP code prefixes of equal length. Examples: 94114, 94*, 94002-95460, 94*-95*.", "type": "string" } }, "type": "object", "id": "ProductTax" }, "ReturnPolicyOnlineReturnShippingFee": { "id": "ReturnPolicyOnlineReturnShippingFee", "properties": { "fixedFee": { "$ref": "PriceAmount", "description": "Fixed return shipping fee amount. This value is only applicable when type is FIXED. We will treat the return shipping fee as free if type is FIXED and this value is not set." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "FIXED", "CUSTOMER_PAYING_ACTUAL_FEE" ], "enumDescriptions": [ "Default value. This value is unused.", "The return shipping fee is a fixed value.", "Customer will pay the actual return shipping fee." ], "description": "Type of return shipping fee.", "type": "string" } }, "type": "object", "description": "The return shipping fee. This can either be a fixed fee or a boolean to indicate that the customer pays the actual shipping cost." }, "OrderreturnsProcessRequest": { "type": "object", "id": "OrderreturnsProcessRequest", "properties": { "fullChargeReturnShippingCost": { "type": "boolean", "description": "Option to charge the customer return shipping cost." }, "operationId": { "description": "[required] The ID of the operation, unique across all operations for a given order return.", "type": "string" }, "refundShippingFee": { "$ref": "OrderreturnsRefundOperation", "description": "Refunds for original shipping fee." }, "returnItems": { "type": "array", "items": { "$ref": "OrderreturnsReturnItem" }, "description": "The list of items to return." } } }, "LocalinventoryCustomBatchRequestEntry": { "description": "Batch entry encoding a single local inventory update request.", "id": "LocalinventoryCustomBatchRequestEntry", "properties": { "method": { "type": "string", "description": "Method of the batch request entry. Acceptable values are: - \"`insert`\" " }, "batchId": { "type": "integer", "description": "An entry ID, unique within the batch request.", "format": "uint32" }, "productId": { "description": "The ID of the product for which to update local inventory.", "type": "string" }, "merchantId": { "format": "uint64", "description": "The ID of the managing account.", "type": "string" }, "localInventory": { "$ref": "LocalInventory", "description": "Local inventory of the product." } }, "type": "object" }, "OrderOrderAnnotation": { "properties": { "key": { "description": "Key for additional google provided (as key-value pairs) annotation.", "type": "string" }, "value": { "description": "Value for additional google provided (as key-value pairs) annotation.", "type": "string" } }, "id": "OrderOrderAnnotation", "type": "object" }, "ReturnpolicyListResponse": { "id": "ReturnpolicyListResponse", "properties": { "resources": { "type": "array", "items": { "$ref": "ReturnPolicy" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnpolicyListResponse`\".", "type": "string" } }, "type": "object" }, "RateGroup": { "id": "RateGroup", "type": "object", "properties": { "applicableShippingLabels": { "description": "A list of shipping labels defining the products to which this rate group applies to. This is a disjunction: only one of the labels has to match for the rate group to apply. May only be empty for the last rate group of a service. Required.", "items": { "type": "string" }, "type": "array" }, "carrierRates": { "description": "A list of carrier rates that can be referred to by `mainTable` or `singleValue`.", "type": "array", "items": { "$ref": "CarrierRate" } }, "subtables": { "items": { "$ref": "Table" }, "description": "A list of subtables referred to by `mainTable`. Can only be set if `mainTable` is set.", "type": "array" }, "singleValue": { "description": "The value of the rate group (for example, flat rate $10). Can only be set if `mainTable` and `subtables` are not set.", "$ref": "Value" }, "name": { "description": "Name of the rate group. Optional. If set has to be unique within shipping service.", "type": "string" }, "mainTable": { "$ref": "Table", "description": "A table defining the rate group, when `singleValue` is not expressive enough. Can only be set if `singleValue` is not set." } } }, "DatafeedsFetchNowResponse": { "id": "DatafeedsFetchNowResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedsFetchNowResponse`\".", "type": "string" } } }, "LiasettingsListResponse": { "type": "object", "id": "LiasettingsListResponse", "properties": { "resources": { "type": "array", "items": { "$ref": "LiaSettings" } }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of LIA settings." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsListResponse`\".", "type": "string" } } }, "GmbAccounts": { "properties": { "gmbAccounts": { "items": { "$ref": "GmbAccountsGmbAccount" }, "type": "array", "description": "A list of Business Profiles which are available to the merchant." }, "accountId": { "type": "string", "description": "The ID of the Merchant Center account.", "format": "uint64" } }, "id": "GmbAccounts", "type": "object" }, "PosCustomBatchRequestEntry": { "properties": { "store": { "description": "The store information to submit. This should be set only if the method is `insert`.", "$ref": "PosStore" }, "sale": { "description": "The sale information to submit. This should be set only if the method is `sale`.", "$ref": "PosSale" }, "targetMerchantId": { "description": "The ID of the account for which to get/submit data.", "format": "uint64", "type": "string" }, "method": { "description": "The method of the batch entry. Acceptable values are: - \"`delete`\" - \"`get`\" - \"`insert`\" - \"`inventory`\" - \"`sale`\" ", "type": "string" }, "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the POS data provider." }, "storeCode": { "description": "The store code. This should be set only if the method is `delete` or `get`.", "type": "string" }, "inventory": { "description": "The inventory to submit. This should be set only if the method is `inventory`.", "$ref": "PosInventory" }, "batchId": { "type": "integer", "format": "uint32", "description": "An entry ID, unique within the batch request." } }, "id": "PosCustomBatchRequestEntry", "type": "object" }, "LiasettingsRequestGmbAccessResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsRequestGmbAccessResponse`\".", "type": "string" } }, "id": "LiasettingsRequestGmbAccessResponse" }, "ProductsCustomBatchResponse": { "id": "ProductsCustomBatchResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productsCustomBatchResponse`\".", "type": "string" }, "entries": { "items": { "$ref": "ProductsCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests.", "type": "array" } }, "type": "object" }, "OrderPickupDetails": { "id": "OrderPickupDetails", "properties": { "locationId": { "description": "ID of the pickup location.", "type": "string" }, "pickupType": { "description": "The pickup type of this order. Acceptable values are: - \"`merchantStore`\" - \"`merchantStoreCurbside`\" - \"`merchantStoreLocker`\" - \"`thirdPartyPickupPoint`\" - \"`thirdPartyLocker`\" ", "type": "string" }, "collectors": { "description": "Collectors authorized to pick up shipment from the pickup location.", "items": { "$ref": "OrderPickupDetailsCollector" }, "type": "array" }, "address": { "description": "Address of the pickup location where the shipment should be sent. Note that `recipientName` in the address is the name of the business at the pickup location.", "$ref": "OrderAddress" } }, "type": "object" }, "RepricingRuleEligibleOfferMatcherStringMatcher": { "properties": { "strAttributes": { "items": { "type": "string" }, "description": "String attributes, as long as such attribute of an offer is one of the string attribute values, the offer is considered as passing the matcher. The string matcher checks an offer for inclusivity in the string attributes, not equality. Only literal string matching is supported, no regex.", "type": "array" } }, "id": "RepricingRuleEligibleOfferMatcherStringMatcher", "type": "object", "description": "Matcher by string attributes." }, "LiaCountrySettings": { "id": "LiaCountrySettings", "properties": { "about": { "description": "The settings for the About page.", "$ref": "LiaAboutPageSettings" }, "storePickupActive": { "description": "The status of the \"Store pickup\" feature.", "type": "boolean" }, "inventory": { "$ref": "LiaInventorySettings", "description": "LIA inventory verification settings." }, "hostedLocalStorefrontActive": { "type": "boolean", "description": "The status of the \"Merchant hosted local storefront\" feature." }, "posDataProvider": { "$ref": "LiaPosDataProvider", "description": "The POS data provider linked with this country." }, "country": { "description": "Required. CLDR country code (for example, \"US\").", "type": "string" }, "onDisplayToOrder": { "description": "LIA \"On Display To Order\" settings.", "$ref": "LiaOnDisplayToOrderSettings" } }, "type": "object" }, "AccountShippingImprovements": { "id": "AccountShippingImprovements", "description": "Not available for MCAs [accounts](https://support.google.com/merchants/answer/188487). By turning on [automatic shipping improvements](https://support.google.com/merchants/answer/10027038), you are allowing Google to improve the accuracy of your delivery times shown to shoppers using Google. More accurate delivery times, especially when faster, typically lead to better conversion rates. Google will improve your estimated delivery times based on various factors: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Delivery address of an order LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Current handling time and shipping time settings LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Estimated weekdays or business days LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Parcel tracking data", "properties": { "allowShippingImprovements": { "description": "Enables automatic shipping improvements.", "type": "boolean" } }, "type": "object" }, "LocalInventory": { "id": "LocalInventory", "type": "object", "properties": { "salePriceEffectiveDate": { "description": "A date range represented by a pair of ISO 8601 dates separated by a space, comma, or slash. Both dates may be specified as 'null' if undecided.", "type": "string" }, "pickupSla": { "type": "string", "description": "Expected date that an order will be ready for pickup relative to the order date. Must be submitted together with `pickupMethod`. For accepted attribute values, see the local product inventory feed specification." }, "quantity": { "format": "uint32", "description": "Quantity of the product. Must be nonnegative.", "type": "integer" }, "price": { "description": "Price of the product.", "$ref": "Price" }, "salePrice": { "$ref": "Price", "description": "Sale price of the product. Mandatory if `sale_price_effective_date` is defined." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#localInventory`\"", "type": "string" }, "storeCode": { "description": "Required. Store code of this local inventory resource.", "type": "string" }, "pickupMethod": { "description": "Supported pickup method for this offer. Unless the value is \"not supported\", this field must be submitted together with `pickupSla`. For accepted attribute values, see the local product inventory feed specification.", "type": "string" }, "availability": { "type": "string", "description": "Availability of the product. For accepted attribute values, see the local product inventory feed specification." }, "instoreProductLocation": { "description": "In-store product location.", "type": "string" } }, "description": "Local inventory resource. For accepted attribute values, see the local product inventory feed specification." }, "ReturnpolicyCustomBatchResponseEntry": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnpolicyCustomBatchResponseEntry`\"" }, "returnPolicy": { "description": "The retrieved return policy.", "$ref": "ReturnPolicy" }, "errors": { "$ref": "Errors", "description": "A list of errors defined if, and only if, the request failed." }, "batchId": { "type": "integer", "format": "uint32", "description": "The ID of the request entry to which this entry responds." } }, "id": "ReturnpolicyCustomBatchResponseEntry", "type": "object" }, "RepricingRuleReportBuyboxWinningRuleStats": { "id": "RepricingRuleReportBuyboxWinningRuleStats", "type": "object", "description": "Stats specific to buybox winning rules for rule report.", "properties": { "buyboxWonProductCount": { "description": "Number of unique products that won the buybox with this rule during this period of time.", "type": "integer", "format": "int32" } } }, "LocalinventoryCustomBatchResponse": { "id": "LocalinventoryCustomBatchResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#localinventoryCustomBatchResponse`\".", "type": "string" }, "entries": { "items": { "$ref": "LocalinventoryCustomBatchResponseEntry" }, "type": "array", "description": "The result of the execution of the batch requests." } } }, "AccountsUpdateLabelsResponse": { "id": "AccountsUpdateLabelsResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsUpdateLabelsResponse`\".", "type": "string" } } }, "SettlementTransactionAmountCommission": { "id": "SettlementTransactionAmountCommission", "type": "object", "properties": { "rate": { "type": "string", "description": "Rate of the commission in percentage." }, "category": { "type": "string", "description": "The category of the commission. Acceptable values are: - \"`animalsAndPetSupplies`\" - \"`dogCatFoodAndCatLitter`\" - \"`apparelAndAccessories`\" - \"`shoesHandbagsAndSunglasses`\" - \"`costumesAndAccessories`\" - \"`jewelry`\" - \"`watches`\" - \"`hobbiesArtsAndCrafts`\" - \"`homeAndGarden`\" - \"`entertainmentCollectibles`\" - \"`collectibleCoins`\" - \"`sportsCollectibles`\" - \"`sportingGoods`\" - \"`toysAndGames`\" - \"`musicalInstruments`\" - \"`giftCards`\" - \"`babyAndToddler`\" - \"`babyFoodWipesAndDiapers`\" - \"`businessAndIndustrial`\" - \"`camerasOpticsAndPhotography`\" - \"`consumerElectronics`\" - \"`electronicsAccessories`\" - \"`personalComputers`\" - \"`videoGameConsoles`\" - \"`foodAndGrocery`\" - \"`beverages`\" - \"`tobaccoProducts`\" - \"`furniture`\" - \"`hardware`\" - \"`buildingMaterials`\" - \"`tools`\" - \"`healthAndPersonalCare`\" - \"`beauty`\" - \"`householdSupplies`\" - \"`kitchenAndDining`\" - \"`majorAppliances`\" - \"`luggageAndBags`\" - \"`media`\" - \"`officeSupplies`\" - \"`softwareAndVideoGames`\" - \"`vehiclePartsAndAccessories`\" - \"`vehicleTiresAndWheels`\" - \"`vehicles`\" - \"`everythingElse`\" " } } }, "OrderCustomerLoyaltyInfo": { "type": "object", "properties": { "name": { "description": "Name of card/membership holder, this field will be populated when", "type": "string" }, "loyaltyNumber": { "description": "The loyalty card/membership number.", "type": "string" } }, "id": "OrderCustomerLoyaltyInfo" }, "OrdersInStoreRefundLineItemRequest": { "type": "object", "id": "OrdersInStoreRefundLineItemRequest", "properties": { "productId": { "description": "The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required.", "type": "string" }, "quantity": { "description": "The quantity to return and refund.", "format": "uint32", "type": "integer" }, "priceAmount": { "$ref": "Price", "description": "The amount to be refunded. This may be pre-tax or post-tax depending on the location of the order. Required." }, "reason": { "type": "string", "description": "The reason for the return. Acceptable values are: - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`other`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`qualityNotAsExpected`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" }, "taxAmount": { "$ref": "Price", "description": "The amount of tax to be refunded. Required." }, "reasonText": { "type": "string", "description": "The explanation of the reason." }, "lineItemId": { "description": "The ID of the line item to return. Either lineItemId or productId is required.", "type": "string" } } }, "AccountAddress": { "properties": { "region": { "type": "string", "description": "Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")." }, "country": { "type": "string", "description": "CLDR country code (for example, \"US\"). All MCA sub-accounts inherit the country of their parent MCA by default, however the country can be updated for individual sub-accounts." }, "streetAddress": { "description": "Street-level part of the address. Use `\\n` to add a second line.", "type": "string" }, "locality": { "type": "string", "description": "City, town or commune. May also include dependent localities or sublocalities (for example, neighborhoods or suburbs)." }, "postalCode": { "description": "Postal code or ZIP (for example, \"94043\").", "type": "string" } }, "type": "object", "id": "AccountAddress" }, "SettlementreportsListResponse": { "id": "SettlementreportsListResponse", "properties": { "resources": { "type": "array", "items": { "$ref": "SettlementReport" } }, "nextPageToken": { "description": "The token for the retrieval of the next page of returns.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#settlementreportsListResponse`\"." } }, "type": "object" }, "AccountsLinkRequest": { "id": "AccountsLinkRequest", "type": "object", "properties": { "eCommercePlatformLinkInfo": { "$ref": "ECommercePlatformLinkInfo", "description": "Additional information required for `eCommercePlatform` link type." }, "services": { "items": { "type": "string" }, "type": "array", "description": " Acceptable values are: - \"`shoppingAdsProductManagement`\" - \"`shoppingActionsProductManagement`\" - \"`shoppingActionsOrderManagement`\" - \"`paymentProcessing`\" " }, "action": { "type": "string", "description": "Action to perform for this link. The `\"request\"` action is only available to select merchants. Acceptable values are: - \"`approve`\" - \"`remove`\" - \"`request`\" " }, "paymentServiceProviderLinkInfo": { "$ref": "PaymentServiceProviderLinkInfo", "description": "Additional information required for `paymentServiceProvider` link type." }, "linkedAccountId": { "type": "string", "description": "The ID of the linked account." }, "linkType": { "description": "Type of the link between the two accounts. Acceptable values are: - \"`channelPartner`\" - \"`eCommercePlatform`\" - \"`paymentServiceProvider`\" ", "type": "string" } } }, "FreeListingsProgramStatusReviewIneligibilityReasonDetails": { "description": "Additional details for review ineligibility reasons.", "id": "FreeListingsProgramStatusReviewIneligibilityReasonDetails", "properties": { "cooldownTime": { "format": "google-datetime", "type": "string", "description": "This timestamp represents end of cooldown period for review ineligbility reason `IN_COOLDOWN_PERIOD`." } }, "type": "object" }, "AccounttaxListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accounttaxListResponse`\".", "type": "string" }, "resources": { "items": { "$ref": "AccountTax" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of account tax settings." } }, "type": "object", "id": "AccounttaxListResponse" }, "Value": { "id": "Value", "description": "The single value of a rate group or the value of a rate group table's cell. Exactly one of `noShipping`, `flatRate`, `pricePercentage`, `carrierRateName`, `subtableName` must be set.", "properties": { "flatRate": { "$ref": "Price", "description": "A flat rate. Can only be set if all other fields are not set." }, "pricePercentage": { "type": "string", "description": "A percentage of the price represented as a number in decimal notation (for example, `\"5.4\"`). Can only be set if all other fields are not set." }, "noShipping": { "description": "If true, then the product can't ship. Must be true when set, can only be set if all other fields are not set.", "type": "boolean" }, "subtableName": { "type": "string", "description": "The name of a subtable. Can only be set in table cells (not for single values), and only if all other fields are not set." }, "carrierRateName": { "description": "The name of a carrier rate referring to a carrier rate defined in the same rate group. Can only be set if all other fields are not set.", "type": "string" } }, "type": "object" }, "PosSaleRequest": { "type": "object", "properties": { "timestamp": { "type": "string", "description": "Required. The inventory timestamp, in ISO 8601 format." }, "saleId": { "description": "A unique ID to group items from the same sale event.", "type": "string" }, "itemId": { "description": "Required. A unique identifier for the item.", "type": "string" }, "targetCountry": { "description": "Required. The CLDR territory code for the item.", "type": "string" }, "quantity": { "format": "int64", "type": "string", "description": "Required. The relative change of the available quantity. Negative for items returned." }, "storeCode": { "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile.", "type": "string" }, "gtin": { "type": "string", "description": "Global Trade Item Number." }, "contentLanguage": { "description": "Required. The two-letter ISO 639-1 language code for the item.", "type": "string" }, "price": { "$ref": "Price", "description": "Required. The price of the item." } }, "id": "PosSaleRequest" }, "LiasettingsCustomBatchRequest": { "id": "LiasettingsCustomBatchRequest", "type": "object", "properties": { "entries": { "items": { "$ref": "LiasettingsCustomBatchRequestEntry" }, "type": "array", "description": "The request entries to be processed in the batch." } } }, "CarrierRate": { "id": "CarrierRate", "properties": { "carrierService": { "type": "string", "description": "Carrier service, such as `\"ground\"` or `\"2 days\"`. The list of supported services for a carrier can be retrieved through the `getSupportedCarriers` method. Required." }, "name": { "description": "Name of the carrier rate. Must be unique per rate group. Required.", "type": "string" }, "flatAdjustment": { "$ref": "Price", "description": "Additive shipping rate modifier. Can be negative. For example `{ \"value\": \"1\", \"currency\" : \"USD\" }` adds $1 to the rate, `{ \"value\": \"-3\", \"currency\" : \"USD\" }` removes $3 from the rate. Optional." }, "carrierName": { "description": "Carrier service, such as `\"UPS\"` or `\"Fedex\"`. The list of supported carriers can be retrieved through the `getSupportedCarriers` method. Required.", "type": "string" }, "originPostalCode": { "description": "Shipping origin for this carrier rate. Required.", "type": "string" }, "percentageAdjustment": { "type": "string", "description": "Multiplicative shipping rate modifier as a number in decimal notation. Can be negative. For example `\"5.4\"` increases the rate by 5.4%, `\"-3\"` decreases the rate by 3%. Optional." } }, "type": "object" }, "ListReturnPolicyOnlineResponse": { "description": "Response message for the `ListReturnPolicyOnline` method.", "type": "object", "id": "ListReturnPolicyOnlineResponse", "properties": { "returnPolicies": { "items": { "$ref": "ReturnPolicyOnline" }, "description": "The retrieved return policies.", "type": "array" } } }, "AccountStatusAccountLevelIssue": { "properties": { "title": { "description": "Short description of the issue.", "type": "string" }, "id": { "description": "Issue identifier.", "type": "string" }, "destination": { "type": "string", "description": "The destination the issue applies to. If this field is empty then the issue applies to all available destinations." }, "severity": { "type": "string", "description": "Severity of the issue. Acceptable values are: - \"`critical`\" - \"`error`\" - \"`suggestion`\" " }, "country": { "type": "string", "description": "Country for which this issue is reported." }, "documentation": { "type": "string", "description": "The URL of a web page to help resolving this issue." }, "detail": { "type": "string", "description": "Additional details about the issue." } }, "type": "object", "id": "AccountStatusAccountLevelIssue" }, "TestOrder": { "properties": { "predefinedDeliveryAddress": { "description": "Required. Identifier of one of the predefined delivery addresses for the delivery. Acceptable values are: - \"`dwight`\" - \"`jim`\" - \"`pam`\" ", "type": "string" }, "predefinedEmail": { "type": "string", "description": "Required. Email address of the customer. Acceptable values are: - \"`pog.dwight.schrute@gmail.com`\" - \"`pog.jim.halpert@gmail.com`\" - \"`penpog.pam.beesly@gmail.comding`\" " }, "deliveryDetails": { "description": "Overrides the predefined delivery details if provided.", "$ref": "TestOrderDeliveryDetails" }, "notificationMode": { "type": "string", "description": "Restricted. Do not use." }, "pickupDetails": { "description": "Overrides the predefined pickup details if provided.", "$ref": "TestOrderPickupDetails" }, "promotions": { "items": { "$ref": "OrderPromotion" }, "type": "array", "description": "Promotions associated with the order." }, "predefinedPickupDetails": { "description": "Identifier of one of the predefined pickup details. Required for orders containing line items with shipping type `pickup`. Acceptable values are: - \"`dwight`\" - \"`jim`\" - \"`pam`\" ", "type": "string" }, "shippingOption": { "description": "Required. The requested shipping option. Acceptable values are: - \"`economy`\" - \"`expedited`\" - \"`oneDay`\" - \"`sameDay`\" - \"`standard`\" - \"`twoDay`\" ", "type": "string" }, "shippingCost": { "description": "Required. The price of shipping for all items. Shipping tax is automatically calculated for orders where marketplace facilitator tax laws are applicable. Otherwise, tax settings from Merchant Center are applied. Note that shipping is not taxed in certain states.", "$ref": "Price" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#testOrder`\"" }, "lineItems": { "type": "array", "description": "Required. Line items that are ordered. At least one line item must be provided.", "items": { "$ref": "TestOrderLineItem" } }, "predefinedBillingAddress": { "description": "Required. The billing address. Acceptable values are: - \"`dwight`\" - \"`jim`\" - \"`pam`\" ", "type": "string" }, "enableOrderinvoices": { "description": "Whether the orderinvoices service should support this order.", "type": "boolean" } }, "id": "TestOrder", "type": "object" }, "AccountAdsLink": { "type": "object", "properties": { "status": { "description": "Status of the link between this Merchant Center account and the Ads account. Upon retrieval, it represents the actual status of the link and can be either `active` if it was approved in Google Ads or `pending` if it's pending approval. Upon insertion, it represents the *intended* status of the link. Re-uploading a link with status `active` when it's still pending or with status `pending` when it's already active will have no effect: the status will remain unchanged. Re-uploading a link with deprecated status `inactive` is equivalent to not submitting the link at all and will delete the link if it was active or cancel the link request if it was pending. Acceptable values are: - \"`active`\" - \"`pending`\" ", "type": "string" }, "adsId": { "type": "string", "format": "uint64", "description": "Customer ID of the Ads account." } }, "id": "AccountAdsLink" }, "ShipmentInvoice": { "id": "ShipmentInvoice", "properties": { "lineItemInvoices": { "items": { "$ref": "ShipmentInvoiceLineItemInvoice" }, "type": "array", "description": "[required] Invoice details per line item." }, "invoiceSummary": { "$ref": "InvoiceSummary", "description": "[required] Invoice summary." }, "shipmentGroupId": { "description": "[required] ID of the shipment group. It is assigned by the merchant in the `shipLineItems` method and is used to group multiple line items that have the same kind of shipping charges.", "type": "string" } }, "type": "object" }, "LocalinventoryCustomBatchRequest": { "properties": { "entries": { "items": { "$ref": "LocalinventoryCustomBatchRequestEntry" }, "type": "array", "description": "The request entries to be processed in the batch." } }, "id": "LocalinventoryCustomBatchRequest", "type": "object" }, "AccountItemUpdates": { "type": "object", "id": "AccountItemUpdates", "properties": { "effectiveAllowAvailabilityUpdates": { "description": "Output only. The effective value of allow_availability_updates. If account_item_updates_settings is present, then this value is the same. Otherwise, it represents the inherited value of the parent account. Read-only.", "type": "boolean", "readOnly": true }, "effectiveAllowStrictAvailabilityUpdates": { "description": "Output only. The effective value of allow_strict_availability_updates. If account_item_updates_settings is present, then this value is the same. Otherwise, it represents the inherited value of the parent account. Read-only.", "type": "boolean", "readOnly": true }, "accountItemUpdatesSettings": { "$ref": "AccountItemUpdatesSettings", "description": "Determines which attributes of the items should be automatically updated. If this field is not present, then the settings will be deleted. If there are no settings for subaccount, they are inherited from aggregator." }, "effectiveAllowPriceUpdates": { "type": "boolean", "readOnly": true, "description": "Output only. The effective value of allow_price_updates. If account_item_updates_settings is present, then this value is the same. Otherwise, it represents the inherited value of the parent account. Read-only." }, "effectiveAllowConditionUpdates": { "description": "Output only. The effective value of allow_condition_updates. If account_item_updates_settings is present, then this value is the same. Otherwise, it represents the inherited value of the parent account. Read-only.", "readOnly": true, "type": "boolean" } }, "description": "Turning on [item updates](https://support.google.com/merchants/answer/3246284) allows Google to automatically update items for you. When item updates are on, Google uses the structured data markup on the website and advanced data extractors to update the price and availability of the items. When the item updates are off, items with mismatched data aren't shown." }, "Order": { "description": "Order. Production access (all methods) requires the order manager role. Sandbox access does not.", "type": "object", "id": "Order", "properties": { "paymentStatus": { "description": "The status of the payment. Acceptable values are: - \"`paymentCaptured`\" - \"`paymentRejected`\" - \"`paymentSecured`\" - \"`pendingAuthorization`\" ", "type": "string" }, "taxCollector": { "type": "string", "description": "The party responsible for collecting and remitting taxes. Acceptable values are: - \"`marketplaceFacilitator`\" - \"`merchant`\" " }, "billingAddress": { "$ref": "OrderAddress", "description": "The billing address." }, "status": { "description": "The status of the order. Acceptable values are: - \"`canceled`\" - \"`delivered`\" - \"`inProgress`\" - \"`partiallyDelivered`\" - \"`partiallyReturned`\" - \"`partiallyShipped`\" - \"`pendingShipment`\" - \"`returned`\" - \"`shipped`\" ", "type": "string" }, "netTaxAmount": { "description": "The net amount for the order (tax part). Note that in certain cases due to taxable base adjustment `netTaxAmount` might not match to a sum of tax field across all lineItems and refunds.", "$ref": "Price" }, "lineItems": { "description": "Line items that are ordered.", "items": { "$ref": "OrderLineItem" }, "type": "array" }, "shippingCostTax": { "description": "The tax for the total shipping cost.", "$ref": "Price" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#order`\"", "type": "string" }, "promotions": { "description": "Promotions associated with the order. To determine which promotions apply to which products, check the `Promotions[].appliedItems[].lineItemId` field against the `LineItems[].id` field for each promotion. If a promotion is applied to more than 1 offerId, divide the discount value by the number of affected offers to determine how much discount to apply to each offerId. Examples: 1. To calculate price paid by the customer for a single line item including the discount: For each promotion, subtract the `LineItems[].adjustments[].priceAdjustment.value` amount from the `LineItems[].Price.value`. 2. To calculate price paid by the customer for a single line item including the discount in case of multiple quantity: For each promotion, divide the `LineItems[].adjustments[].priceAdjustment.value` by the quantity of products then subtract the resulting value from the `LineItems[].Product.Price.value` for each quantity item. Only 1 promotion can be applied to an offerId in a given order. To refund an item which had a promotion applied to it, make sure to refund the amount after first subtracting the promotion discount from the item price. More details about the program are here.", "type": "array", "items": { "$ref": "OrderPromotion" } }, "annotations": { "type": "array", "description": "List of key-value pairs that are attached to a given order.", "items": { "$ref": "OrderOrderAnnotation" } }, "customer": { "description": "The details of the customer who placed the order.", "$ref": "OrderCustomer" }, "pickupDetails": { "description": "Pickup details for shipments of type `pickup`.", "$ref": "OrderPickupDetails" }, "deliveryDetails": { "$ref": "OrderDeliveryDetails", "description": "Delivery details for shipments of type `delivery`." }, "shippingCost": { "description": "The total cost of shipping for all items.", "$ref": "Price" }, "shipments": { "description": "Shipments of the order.", "items": { "$ref": "OrderShipment" }, "type": "array" }, "merchantId": { "type": "string", "format": "uint64" }, "placedDate": { "type": "string", "description": "The date when the order was placed, in ISO 8601 format." }, "merchantOrderId": { "description": "Merchant-provided ID of the order.", "type": "string" }, "acknowledged": { "type": "boolean", "description": "Whether the order was acknowledged." }, "refunds": { "type": "array", "description": "Refunds for the order.", "items": { "$ref": "OrderRefund" } }, "id": { "type": "string", "description": "The REST ID of the order. Globally unique." }, "netPriceAmount": { "description": "The net amount for the order (price part). For example, if an order was originally for $100 and a refund was issued for $20, the net amount will be $80.", "$ref": "Price" } } }, "OrdersAdvanceTestOrderResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersAdvanceTestOrderResponse`\".", "type": "string" } }, "id": "OrdersAdvanceTestOrderResponse" }, "ProductUnitPricingMeasure": { "type": "object", "properties": { "value": { "description": "The measure of an item.", "format": "double", "type": "number" }, "unit": { "description": "The unit of the measure.", "type": "string" } }, "id": "ProductUnitPricingMeasure" }, "OrderreturnsRefundOperation": { "properties": { "paymentType": { "type": "string", "description": "The payment way of issuing refund. Default value is ORIGINAL_FOP if not set." }, "fullRefund": { "description": "If true, the item will be fully refunded. Allowed only when payment_type is FOP. Merchant can choose this refund option to indicate the full remaining amount of corresponding object to be refunded to the customer through FOP.", "type": "boolean" }, "reasonText": { "description": "The explanation of the reason.", "type": "string" }, "partialRefund": { "description": "If this is set, the item will be partially refunded. Merchant can choose this refund option to specify the customized amount that to be refunded to the customer.", "$ref": "OrderreturnsPartialRefund" }, "returnRefundReason": { "type": "string", "description": "Code of the refund reason." } }, "id": "OrderreturnsRefundOperation", "type": "object" }, "AccounttaxCustomBatchResponseEntry": { "type": "object", "id": "AccounttaxCustomBatchResponseEntry", "description": "A batch entry encoding a single non-batch accounttax response.", "properties": { "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." }, "accountTax": { "$ref": "AccountTax", "description": "The retrieved or updated account tax settings." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accounttaxCustomBatchResponseEntry`\"" }, "batchId": { "description": "The ID of the request entry this entry responds to.", "type": "integer", "format": "uint32" } } }, "AccountsUpdateLabelsRequest": { "properties": { "labelIds": { "items": { "type": "string", "format": "uint64" }, "type": "array", "description": "The IDs of labels that should be assigned to the account." } }, "id": "AccountsUpdateLabelsRequest", "type": "object" }, "RegionalinventoryCustomBatchRequestEntry": { "type": "object", "description": "A batch entry encoding a single non-batch regional inventory request.", "properties": { "regionalInventory": { "description": "Price and availability of the product.", "$ref": "RegionalInventory" }, "batchId": { "type": "integer", "format": "uint32", "description": "An entry ID, unique within the batch request." }, "method": { "description": "Method of the batch request entry. Acceptable values are: - \"`insert`\" ", "type": "string" }, "productId": { "description": "The ID of the product for which to update price and availability.", "type": "string" }, "merchantId": { "type": "string", "description": "The ID of the managing account.", "format": "uint64" } }, "id": "RegionalinventoryCustomBatchRequestEntry" }, "ShippingsettingsGetSupportedCarriersResponse": { "id": "ShippingsettingsGetSupportedCarriersResponse", "type": "object", "properties": { "carriers": { "description": "A list of supported carriers. May be empty.", "items": { "$ref": "CarriersCarrier" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsGetSupportedCarriersResponse`\"." } } }, "RegionalinventoryCustomBatchRequest": { "type": "object", "properties": { "entries": { "description": "The request entries to be processed in the batch.", "type": "array", "items": { "$ref": "RegionalinventoryCustomBatchRequestEntry" } } }, "id": "RegionalinventoryCustomBatchRequest" }, "BusinessDayConfig": { "type": "object", "properties": { "businessDays": { "items": { "type": "string" }, "description": "Regular business days, such as '\"monday\"'. May not be empty.", "type": "array" } }, "id": "BusinessDayConfig" }, "AccountYouTubeChannelLink": { "properties": { "channelId": { "description": "Channel ID.", "type": "string" }, "status": { "type": "string", "description": "Status of the link between this Merchant Center account and the YouTube channel. Upon retrieval, it represents the actual status of the link and can be either `active` if it was approved in YT Creator Studio or `pending` if it's pending approval. Upon insertion, it represents the *intended* status of the link. Re-uploading a link with status `active` when it's still pending or with status `pending` when it's already active will have no effect: the status will remain unchanged. Re-uploading a link with deprecated status `inactive` is equivalent to not submitting the link at all and will delete the link if it was active or cancel the link request if it was pending." } }, "id": "AccountYouTubeChannelLink", "type": "object" }, "CollectionStatusDestinationStatus": { "properties": { "status": { "description": "The status for the specified destination.", "type": "string" }, "destination": { "type": "string", "description": "The name of the destination" } }, "id": "CollectionStatusDestinationStatus", "type": "object", "description": "Destination status message." }, "AccountsCustomBatchRequest": { "type": "object", "properties": { "entries": { "description": "The request entries to be processed in the batch.", "items": { "$ref": "AccountsCustomBatchRequestEntry" }, "type": "array" } }, "id": "AccountsCustomBatchRequest" }, "OrdersCreateTestReturnResponse": { "properties": { "returnId": { "type": "string", "description": "The ID of the newly created test order return." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersCreateTestReturnResponse`\"." } }, "id": "OrdersCreateTestReturnResponse", "type": "object" }, "OrdersListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersListResponse`\"." }, "resources": { "type": "array", "items": { "$ref": "Order" } }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of orders." } }, "id": "OrdersListResponse", "type": "object" }, "AccountstatusesListResponse": { "properties": { "resources": { "items": { "$ref": "AccountStatus" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountstatusesListResponse`\"." }, "nextPageToken": { "description": "The token for the retrieval of the next page of account statuses.", "type": "string" } }, "type": "object", "id": "AccountstatusesListResponse" }, "LoyaltyPoints": { "type": "object", "properties": { "ratio": { "description": "The ratio of a point when converted to currency. Google assumes currency based on Merchant Center settings. If ratio is left out, it defaults to 1.0.", "type": "number", "format": "double" }, "name": { "type": "string", "description": "Name of loyalty points program. It is recommended to limit the name to 12 full-width characters or 24 Roman characters." }, "pointsValue": { "description": "The retailer's loyalty points in absolute value.", "format": "int64", "type": "string" } }, "id": "LoyaltyPoints" }, "RegionPostalCodeArea": { "type": "object", "description": "A list of postal codes that defines the region area. Note: All regions defined using postal codes are accessible via the account's `ShippingSettings.postalCodeGroups` resource.", "id": "RegionPostalCodeArea", "properties": { "regionCode": { "type": "string", "description": "Required. CLDR territory code or the country the postal code group applies to." }, "postalCodes": { "items": { "$ref": "RegionPostalCodeAreaPostalCodeRange" }, "type": "array", "description": "Required. A range of postal codes." } } }, "DatafeedFormat": { "id": "DatafeedFormat", "type": "object", "properties": { "columnDelimiter": { "type": "string", "description": "Delimiter for the separation of values in a delimiter-separated values feed. If not specified, the delimiter will be auto-detected. Ignored for non-DSV data feeds. Acceptable values are: - \"`pipe`\" - \"`tab`\" - \"`tilde`\" " }, "quotingMode": { "description": "Specifies how double quotes are interpreted. If not specified, the mode will be auto-detected. Ignored for non-DSV data feeds. Acceptable values are: - \"`normal character`\" - \"`value quoting`\" ", "type": "string" }, "fileEncoding": { "description": "Character encoding scheme of the data feed. If not specified, the encoding will be auto-detected. Acceptable values are: - \"`latin-1`\" - \"`utf-16be`\" - \"`utf-16le`\" - \"`utf-8`\" - \"`windows-1252`\" ", "type": "string" } } }, "ListRegionsResponse": { "description": "Response message for the `ListRegions` method.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "regions": { "items": { "$ref": "Region" }, "type": "array", "description": "The regions from the specified merchant." } }, "id": "ListRegionsResponse" }, "DatafeedstatusesListResponse": { "type": "object", "id": "DatafeedstatusesListResponse", "properties": { "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of datafeed statuses." }, "resources": { "items": { "$ref": "DatafeedStatus" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedstatusesListResponse`\"." } } }, "AccountsLinkResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsLinkResponse`\".", "type": "string" } }, "id": "AccountsLinkResponse", "type": "object" }, "ListCollectionStatusesResponse": { "description": "Response message for the ListCollectionStatuses method.", "id": "ListCollectionStatusesResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "resources": { "type": "array", "description": "The collectionstatuses listed.", "items": { "$ref": "CollectionStatus" } } } }, "RepricingRuleEffectiveTime": { "id": "RepricingRuleEffectiveTime", "type": "object", "properties": { "fixedTimePeriods": { "description": "A list of fixed time periods combined with OR. The maximum number of entries is limited to 5.", "items": { "$ref": "RepricingRuleEffectiveTimeFixedTimePeriod" }, "type": "array" } } }, "OrderinvoicesCreateRefundInvoiceResponse": { "type": "object", "properties": { "executionStatus": { "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" ", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderinvoicesCreateRefundInvoiceResponse`\".", "type": "string" } }, "id": "OrderinvoicesCreateRefundInvoiceResponse" }, "OrdersCustomBatchRequestEntryRefundItemShipping": { "properties": { "amount": { "description": "The amount that is refunded. If this is not the first refund for the shipment, this should be the newly refunded amount.", "$ref": "Price" }, "fullRefund": { "type": "boolean", "description": "If set to true, all shipping costs for the order will be refunded. If this is true, amount shouldn't be provided and will be ignored. If set to false, submit the amount of the partial shipping refund, excluding the shipping tax. The shipping tax is calculated and handled on Google's side." } }, "type": "object", "id": "OrdersCustomBatchRequestEntryRefundItemShipping" }, "TimeZone": { "type": "object", "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "id": "TimeZone", "properties": { "id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" }, "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." } } }, "OrderReportDisbursement": { "description": "Order disbursement. All methods require the payment analyst role.", "properties": { "merchantId": { "type": "string", "description": "The ID of the managing account.", "format": "uint64" }, "disbursementId": { "type": "string", "description": "The ID of the disbursement." }, "disbursementDate": { "description": "The date the disbursement was initiated, in ISO 8601 format.", "type": "string" }, "disbursementAmount": { "$ref": "Price", "description": "The disbursement amount." }, "disbursementCreationDate": { "description": "The disbursement date, in ISO 8601 format.", "type": "string" } }, "id": "OrderReportDisbursement", "type": "object" }, "ECommercePlatformLinkInfo": { "properties": { "externalAccountId": { "type": "string", "description": "The id used by the third party service provider to identify the merchant." } }, "id": "ECommercePlatformLinkInfo", "type": "object", "description": "Additional information required for E_COMMERCE_PLATFORM link type." }, "TransitTable": { "type": "object", "properties": { "rows": { "items": { "$ref": "TransitTableTransitTimeRow" }, "type": "array" }, "transitTimeLabels": { "description": "A list of transit time labels. The last value can be `\"all other labels\"`. Example: `[\"food\", \"electronics\", \"all other labels\"]`.", "type": "array", "items": { "type": "string" } }, "postalCodeGroupNames": { "description": "A list of postal group names. The last value can be `\"all other locations\"`. Example: `[\"zone 1\", \"zone 2\", \"all other locations\"]`. The referred postal code groups must match the delivery country of the service.", "type": "array", "items": { "type": "string" } } }, "id": "TransitTable" }, "OrdersCancelLineItemRequest": { "properties": { "reasonText": { "type": "string", "description": "The explanation of the reason." }, "reason": { "type": "string", "description": "The reason for the cancellation. Acceptable values are: - \"`customerInitiatedCancel`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`noInventory`\" - \"`other`\" - \"`priceError`\" - \"`shippingPriceError`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`failedToCaptureFunds`\" " }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" }, "productId": { "type": "string", "description": "The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required." }, "quantity": { "format": "uint32", "description": "The quantity to cancel.", "type": "integer" }, "lineItemId": { "type": "string", "description": "The ID of the line item to cancel. Either lineItemId or productId is required." } }, "type": "object", "id": "OrdersCancelLineItemRequest" }, "ListRepricingRuleReportsResponse": { "id": "ListRepricingRuleReportsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token for retrieving the next page. Its absence means there is no subsequent page." }, "repricingRuleReports": { "description": "Daily reports for the given Repricing rule.", "type": "array", "items": { "$ref": "RepricingRuleReport" } } }, "description": "Response message for the ListRepricingRuleReports method.", "type": "object" }, "LiasettingsCustomBatchResponse": { "id": "LiasettingsCustomBatchResponse", "type": "object", "properties": { "entries": { "type": "array", "items": { "$ref": "LiasettingsCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsCustomBatchResponse`\".", "type": "string" } } }, "LiaAboutPageSettings": { "properties": { "url": { "description": "The URL for the About page.", "type": "string" }, "status": { "description": "The status of the verification process for the About page. Acceptable values are: - \"`active`\" - \"`inactive`\" - \"`pending`\" ", "type": "string" } }, "type": "object", "id": "LiaAboutPageSettings" }, "OrdersRefundItemRequest": { "id": "OrdersRefundItemRequest", "properties": { "shipping": { "description": "The refund on shipping. Optional, but either Item or Shipping must be provided in the request.", "$ref": "OrdersCustomBatchRequestEntryRefundItemShipping" }, "reason": { "description": "The reason for the refund. Acceptable values are: - \"`shippingCostAdjustment`\" - \"`priceAdjustment`\" - \"`taxAdjustment`\" - \"`feeAdjustment`\" - \"`courtesyAdjustment`\" - \"`adjustment`\" - \"`customerCancelled`\" - \"`noInventory`\" - \"`productNotAsDescribed`\" - \"`undeliverableShippingAddress`\" - \"`wrongProductShipped`\" - \"`lateShipmentCredit`\" - \"`deliveredLateByCarrier`\" - \"`productArrivedDamaged`\" ", "type": "string" }, "reasonText": { "type": "string", "description": "The explanation of the reason." }, "items": { "description": "The items that are refunded. Either Item or Shipping must be provided in the request.", "items": { "$ref": "OrdersCustomBatchRequestEntryRefundItemItem" }, "type": "array" }, "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." } }, "type": "object" }, "AccountTaxTaxRule": { "properties": { "ratePercent": { "type": "string", "description": "Explicit tax rate in percent, represented as a floating point number without the percentage character. Must not be negative." }, "country": { "type": "string", "description": "Country code in which tax is applicable." }, "useGlobalRate": { "type": "boolean", "description": "Whether the tax rate is taken from a global tax table or specified explicitly." }, "locationId": { "type": "string", "description": "Required. State (or province) is which the tax is applicable, described by its location ID (also called criteria ID).", "format": "uint64" }, "shippingTaxed": { "description": "If true, shipping charges are also taxed.", "type": "boolean" } }, "id": "AccountTaxTaxRule", "description": "Tax calculation rule to apply in a state or province (US only).", "type": "object" }, "OrderinvoicesCreateChargeInvoiceResponse": { "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderinvoicesCreateChargeInvoiceResponse`\".", "type": "string" } }, "type": "object", "id": "OrderinvoicesCreateChargeInvoiceResponse" }, "Product": { "type": "object", "description": " Required product attributes are primarily defined by the products data specification. See the Products Data Specification Help Center article for information. Product data. After inserting, updating, or deleting a product, it may take several minutes before changes take effect.", "id": "Product", "properties": { "shippingWeight": { "$ref": "ProductShippingWeight", "description": "Weight of the item for shipping." }, "link": { "description": "URL directly linking to your item's page on your website.", "type": "string" }, "material": { "type": "string", "description": "The material of which the item is made." }, "productHighlights": { "type": "array", "description": "Bullet points describing the most relevant highlights of a product.", "items": { "type": "string" } }, "customLabel4": { "type": "string", "description": "Custom label 4 for custom grouping of items in a Shopping campaign." }, "price": { "description": "Price of the item.", "$ref": "Price" }, "shippingLabel": { "type": "string", "description": "The shipping label of the product, used to group product in account-level shipping rules." }, "salePriceEffectiveDate": { "description": "Date range during which the item is on sale (see products data specification ).", "type": "string" }, "productHeight": { "$ref": "ProductDimension", "description": "The height of the product in the units provided. The value must be between 0 (exclusive) and 3000 (inclusive)." }, "includedDestinations": { "items": { "type": "string" }, "description": "The list of destinations to include for this target (corresponds to checked check boxes in Merchant Center). Default destinations are always included unless provided in `excludedDestinations`.", "type": "array" }, "displayAdsId": { "description": "An identifier for an item for dynamic remarketing campaigns.", "type": "string" }, "pause": { "type": "string", "description": "Publication of this item should be temporarily paused. Acceptable values are: - \"`ads`\" " }, "ageGroup": { "description": "Target age group of the item.", "type": "string" }, "customLabel3": { "type": "string", "description": "Custom label 3 for custom grouping of items in a Shopping campaign." }, "customAttributes": { "description": "A list of custom (merchant-provided) attributes. It can also be used for submitting any attribute of the feed specification in its generic form (for example, `{ \"name\": \"size type\", \"value\": \"regular\" }`). This is useful for submitting attributes not explicitly exposed by the API, such as additional attributes used for Buy on Google (formerly known as Shopping Actions).", "type": "array", "items": { "$ref": "CustomAttribute" } }, "identifierExists": { "type": "boolean", "description": "False when the item does not have unique product identifiers appropriate to its category, such as GTIN, MPN, and brand. Required according to the Unique Product Identifier Rules for all target countries except for Canada." }, "unitPricingMeasure": { "$ref": "ProductUnitPricingMeasure", "description": "The measure and dimension of an item." }, "adsRedirect": { "description": "Allows advertisers to override the item URL when the product is shown within the context of Product Ads.", "type": "string" }, "pickupSla": { "description": "Item store pickup timeline. Acceptable values are: - \"`same day`\" - \"`next day`\" - \"`2-day`\" - \"`3-day`\" - \"`4-day`\" - \"`5-day`\" - \"`6-day`\" - \"`7-day`\" - \"`multi-week`\" ", "type": "string" }, "gender": { "description": "Target gender of the item.", "type": "string" }, "availability": { "type": "string", "description": "Availability status of the item." }, "productWeight": { "description": "The weight of the product in the units provided. The value must be between 0 (exclusive) and 2000 (inclusive).", "$ref": "ProductWeight" }, "contentLanguage": { "description": "Required. The two-letter ISO 639-1 language code for the item.", "type": "string" }, "customLabel1": { "description": "Custom label 1 for custom grouping of items in a Shopping campaign.", "type": "string" }, "unitPricingBaseMeasure": { "$ref": "ProductUnitPricingBaseMeasure", "description": "The preference of the denominator of the unit price." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#product`\"" }, "pattern": { "description": "The item's pattern (for example, polka dots).", "type": "string" }, "minHandlingTime": { "description": "Minimal product handling time (in business days).", "type": "string", "format": "int64" }, "itemGroupId": { "type": "string", "description": "Shared identifier for all variants of the same product." }, "mobileLink": { "type": "string", "description": "URL for the mobile-optimized version of your item's landing page." }, "minEnergyEfficiencyClass": { "description": "The energy efficiency class as defined in EU directive 2010/30/EU.", "type": "string" }, "productTypes": { "type": "array", "items": { "type": "string" }, "description": "Categories of the item (formatted as in products data specification)." }, "linkTemplate": { "type": "string", "description": "URL template for merchant hosted local storefront." }, "id": { "description": "The REST ID of the product. Content API methods that operate on products take this as their `productId` parameter. The REST ID for a product is of the form channel:contentLanguage: targetCountry: offerId.", "type": "string" }, "taxes": { "description": "Tax information.", "items": { "$ref": "ProductTax" }, "type": "array" }, "imageLink": { "type": "string", "description": "URL of an image of the item." }, "sizeSystem": { "type": "string", "description": "System in which the size is specified. Recommended for apparel items." }, "gtin": { "description": "Global Trade Item Number (GTIN) of the item.", "type": "string" }, "availabilityDate": { "type": "string", "description": "The day a pre-ordered product becomes available for delivery, in ISO 8601 format." }, "shippingLength": { "$ref": "ProductShippingDimension", "description": "Length of the item for shipping." }, "sizes": { "description": "Size of the item. Only one value is allowed. For variants with different sizes, insert a separate product for each size with the same `itemGroupId` value (see size definition).", "type": "array", "items": { "type": "string" } }, "description": { "description": "Description of the item.", "type": "string" }, "displayAdsSimilarIds": { "type": "array", "description": "Advertiser-specified recommendations.", "items": { "type": "string" } }, "additionalImageLinks": { "description": "Additional URLs of images of the item.", "type": "array", "items": { "type": "string" } }, "sizeType": { "type": "string", "description": "The cut of the item. Recommended for apparel items." }, "productLength": { "description": "The length of the product in the units provided. The value must be between 0 (exclusive) and 3000 (inclusive).", "$ref": "ProductDimension" }, "salePrice": { "$ref": "Price", "description": "Advertised sale price of the item." }, "adsGrouping": { "description": "Used to group items in an arbitrary way. Only for CPA%, discouraged otherwise.", "type": "string" }, "brand": { "type": "string", "description": "Brand of the item." }, "promotionIds": { "items": { "type": "string" }, "type": "array", "description": "The unique ID of a promotion." }, "taxCategory": { "type": "string", "description": "The tax category of the product, used to configure detailed tax nexus in account-level tax settings." }, "energyEfficiencyClass": { "type": "string", "description": "The energy efficiency class as defined in EU directive 2010/30/EU." }, "title": { "type": "string", "description": "Title of the item." }, "installment": { "description": "Number and amount of installments to pay for an item.", "$ref": "Installment" }, "transitTimeLabel": { "type": "string", "description": "The transit time label of the product, used to group product in account-level transit time tables." }, "expirationDate": { "description": "Date on which the item should expire, as specified upon insertion, in ISO 8601 format. The actual expiration date in Google Shopping is exposed in `productstatuses` as `googleExpirationDate` and might be earlier if `expirationDate` is too far in the future.", "type": "string" }, "mobileLinkTemplate": { "description": "URL template for merchant hosted local storefront optimized for mobile devices.", "type": "string" }, "pickupMethod": { "description": "The pick up option for the item. Acceptable values are: - \"`buy`\" - \"`reserve`\" - \"`ship to store`\" - \"`not supported`\" ", "type": "string" }, "sellOnGoogleQuantity": { "format": "int64", "type": "string", "description": "The quantity of the product that is available for selling on Google. Supported only for online products." }, "multipack": { "description": "The number of identical products in a merchant-defined multipack.", "type": "string", "format": "int64" }, "maxHandlingTime": { "format": "int64", "type": "string", "description": "Maximal product handling time (in business days)." }, "costOfGoodsSold": { "$ref": "Price", "description": "Cost of goods sold. Used for gross profit reporting." }, "customLabel0": { "description": "Custom label 0 for custom grouping of items in a Shopping campaign.", "type": "string" }, "source": { "description": "The source of the offer, that is, how the offer was created. Acceptable values are: - \"`api`\" - \"`crawl`\" - \"`feed`\" ", "type": "string" }, "productDetails": { "type": "array", "description": "Technical specification or additional product details.", "items": { "$ref": "ProductProductDetail" } }, "offerId": { "description": "Required. A unique identifier for the item. Leading and trailing whitespaces are stripped and multiple whitespaces are replaced by a single whitespace upon submission. Only valid unicode characters are accepted. See the products feed specification for details. *Note:* Content API methods that operate on products take the REST ID of the product, *not* this identifier.", "type": "string" }, "shippingWidth": { "$ref": "ProductShippingDimension", "description": "Width of the item for shipping." }, "color": { "type": "string", "description": "Color of the item." }, "additionalSizeType": { "description": "Additional cut of the item. Used together with size_type to represent combined size types for apparel items.", "type": "string" }, "targetCountry": { "description": "Required. The CLDR territory code for the item.", "type": "string" }, "shipping": { "items": { "$ref": "ProductShipping" }, "description": "Shipping rules.", "type": "array" }, "externalSellerId": { "description": "Required for multi-seller accounts. Use this attribute if you're a marketplace uploading products for various sellers to your multi-seller account.", "type": "string" }, "adult": { "type": "boolean", "description": "Should be set to true if the item is targeted towards adults." }, "canonicalLink": { "description": "URL for the canonical version of your item's landing page.", "type": "string" }, "subscriptionCost": { "description": "Number of periods (months or years) and amount of payment per period for an item with an associated subscription contract.", "$ref": "ProductSubscriptionCost" }, "displayAdsLink": { "type": "string", "description": "URL directly to your item's landing page for dynamic remarketing campaigns." }, "customLabel2": { "type": "string", "description": "Custom label 2 for custom grouping of items in a Shopping campaign." }, "channel": { "type": "string", "description": "Required. The item's channel (online or local). Acceptable values are: - \"`local`\" - \"`online`\" " }, "adsLabels": { "description": "Similar to ads_grouping, but only works on CPC.", "type": "array", "items": { "type": "string" } }, "excludedDestinations": { "description": "The list of destinations to exclude for this target (corresponds to cleared check boxes in Merchant Center).", "items": { "type": "string" }, "type": "array" }, "displayAdsValue": { "type": "number", "format": "double", "description": "Offer margin for dynamic remarketing campaigns." }, "displayAdsTitle": { "type": "string", "description": "Title of an item for dynamic remarketing campaigns." }, "maxEnergyEfficiencyClass": { "description": "The energy efficiency class as defined in EU directive 2010/30/EU.", "type": "string" }, "mpn": { "type": "string", "description": "Manufacturer Part Number (MPN) of the item." }, "googleProductCategory": { "type": "string", "description": "Google's category of the item (see [Google product taxonomy](https://support.google.com/merchants/answer/1705911)). When querying products, this field will contain the user provided value. There is currently no way to get back the auto assigned google product categories through the API." }, "isBundle": { "type": "boolean", "description": "Whether the item is a merchant-defined bundle. A bundle is a custom grouping of different products sold by a merchant for a single price." }, "shoppingAdsExcludedCountries": { "type": "array", "description": "List of country codes (ISO 3166-1 alpha-2) to exclude the offer from Shopping Ads destination. Countries from this list are removed from countries configured in MC feed settings.", "items": { "type": "string" } }, "shippingHeight": { "description": "Height of the item for shipping.", "$ref": "ProductShippingDimension" }, "condition": { "description": "Condition or state of the item.", "type": "string" }, "loyaltyPoints": { "description": "Loyalty points that users receive after purchasing the item. Japan only.", "$ref": "LoyaltyPoints" }, "productWidth": { "description": "The width of the product in the units provided. The value must be between 0 (exclusive) and 3000 (inclusive).", "$ref": "ProductDimension" } } }, "OrdersRefundOrderRequest": { "type": "object", "properties": { "fullRefund": { "description": "If true, the full order will be refunded, including shipping. If this is true, amount shouldn't be provided and will be ignored.", "type": "boolean" }, "amount": { "description": "The amount that is refunded. If this is not the first refund for the order, this should be the newly refunded amount.", "$ref": "MonetaryAmount" }, "reason": { "description": "The reason for the refund. Acceptable values are: - \"`courtesyAdjustment`\" - \"`other`\" ", "type": "string" }, "reasonText": { "type": "string", "description": "The explanation of the reason." }, "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." } }, "id": "OrdersRefundOrderRequest" }, "PosInventory": { "id": "PosInventory", "properties": { "price": { "description": "Required. The current price of the item.", "$ref": "Price" }, "quantity": { "type": "string", "format": "int64", "description": "Required. The available quantity of the item." }, "itemId": { "type": "string", "description": "Required. A unique identifier for the item." }, "storeCode": { "type": "string", "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile." }, "gtin": { "description": "Global Trade Item Number.", "type": "string" }, "timestamp": { "description": "Required. The inventory timestamp, in ISO 8601 format.", "type": "string" }, "contentLanguage": { "type": "string", "description": "Required. The two-letter ISO 639-1 language code for the item." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posInventory`\"", "type": "string" }, "targetCountry": { "type": "string", "description": "Required. The CLDR territory code for the item." } }, "description": "The absolute quantity of an item available at the given store.", "type": "object" }, "Table": { "properties": { "rowHeaders": { "$ref": "Headers", "description": "Headers of the table's rows. Required." }, "rows": { "type": "array", "items": { "$ref": "Row" }, "description": "The list of rows that constitute the table. Must have the same length as `rowHeaders`. Required." }, "name": { "description": "Name of the table. Required for subtables, ignored for the main table.", "type": "string" }, "columnHeaders": { "description": "Headers of the table's columns. Optional: if not set then the table has only one dimension.", "$ref": "Headers" } }, "type": "object", "id": "Table" }, "Price": { "id": "Price", "type": "object", "properties": { "value": { "description": "The price represented as a number.", "type": "string" }, "currency": { "type": "string", "description": "The currency of the price." } } }, "Headers": { "type": "object", "id": "Headers", "description": "A non-empty list of row or column headers for a table. Exactly one of `prices`, `weights`, `numItems`, `postalCodeGroupNames`, or `location` must be set.", "properties": { "weights": { "type": "array", "items": { "$ref": "Weight" }, "description": "A list of inclusive order weight upper bounds. The last weight's value can be `\"infinity\"`. For example `[{\"value\": \"10\", \"unit\": \"kg\"}, {\"value\": \"50\", \"unit\": \"kg\"}, {\"value\": \"infinity\", \"unit\": \"kg\"}]` represents the headers \"\u003c= 10kg\", \"\u003c= 50kg\", and \"\u003e 50kg\". All weights within a service must have the same unit. Must be non-empty. Can only be set if all other fields are not set." }, "postalCodeGroupNames": { "items": { "type": "string" }, "type": "array", "description": "A list of postal group names. The last value can be `\"all other locations\"`. Example: `[\"zone 1\", \"zone 2\", \"all other locations\"]`. The referred postal code groups must match the delivery country of the service. Must be non-empty. Can only be set if all other fields are not set." }, "numberOfItems": { "type": "array", "description": "A list of inclusive number of items upper bounds. The last value can be `\"infinity\"`. For example `[\"10\", \"50\", \"infinity\"]` represents the headers \"\u003c= 10 items\", \"\u003c= 50 items\", and \"\u003e 50 items\". Must be non-empty. Can only be set if all other fields are not set.", "items": { "type": "string" } }, "locations": { "description": "A list of location ID sets. Must be non-empty. Can only be set if all other fields are not set.", "items": { "$ref": "LocationIdSet" }, "type": "array" }, "prices": { "type": "array", "items": { "$ref": "Price" }, "description": "A list of inclusive order price upper bounds. The last price's value can be `\"infinity\"`. For example `[{\"value\": \"10\", \"currency\": \"USD\"}, {\"value\": \"500\", \"currency\": \"USD\"}, {\"value\": \"infinity\", \"currency\": \"USD\"}]` represents the headers \"\u003c= $10\", \"\u003c= $500\", and \"\u003e $500\". All prices within a service must have the same currency. Must be non-empty. Can only be set if all other fields are not set." } } }, "PosCustomBatchRequest": { "type": "object", "id": "PosCustomBatchRequest", "properties": { "entries": { "description": "The request entries to be processed in the batch.", "items": { "$ref": "PosCustomBatchRequestEntry" }, "type": "array" } } }, "OrdersRefundOrderResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersRefundOrderResponse`\"." }, "executionStatus": { "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" ", "type": "string" } }, "type": "object", "id": "OrdersRefundOrderResponse" }, "CarriersCarrier": { "id": "CarriersCarrier", "type": "object", "properties": { "country": { "description": "The CLDR country code of the carrier (for example, \"US\"). Always present.", "type": "string" }, "eddServices": { "items": { "type": "string" }, "description": "A list of services supported for EDD (Estimated Delivery Date) calculation. This is the list of valid values for WarehouseBasedDeliveryTime.carrierService.", "type": "array" }, "services": { "type": "array", "items": { "type": "string" }, "description": "A list of supported services (for example, `\"ground\"`) for that carrier. Contains at least one service. This is the list of valid values for CarrierRate.carrierService." }, "name": { "description": "The name of the carrier (for example, `\"UPS\"`). Always present.", "type": "string" } } }, "ProductShipping": { "properties": { "region": { "description": "The geographic region to which a shipping rate applies.", "type": "string" }, "country": { "description": "The CLDR territory code of the country to which an item will ship.", "type": "string" }, "maxTransitTime": { "format": "int64", "description": "Maximum transit time (inclusive) between when the order has shipped and when it's delivered in business days. 0 means that the order is delivered on the same day as it ships. Both maxHandlingTime and maxTransitTime are required if providing shipping speeds.", "type": "string" }, "locationId": { "format": "int64", "description": "The numeric ID of a location that the shipping rate applies to as defined in the AdWords API.", "type": "string" }, "maxHandlingTime": { "type": "string", "format": "int64", "description": "Maximum handling time (inclusive) between when the order is received and shipped in business days. 0 means that the order is shipped on the same day as it's received if it happens before the cut-off time. Both maxHandlingTime and maxTransitTime are required if providing shipping speeds." }, "postalCode": { "description": "The postal code range that the shipping rate applies to, represented by a postal code, a postal code prefix followed by a LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh wildcard, a range between two postal codes or two postal code prefixes of equal length.", "type": "string" }, "minTransitTime": { "description": "Minimum transit time (inclusive) between when the order has shipped and when it's delivered in business days. 0 means that the order is delivered on the same day as it ships. minTransitTime can only be present together with maxTransitTime; but it's not required if maxTransitTime is present.", "type": "string", "format": "int64" }, "locationGroupName": { "description": "The location where the shipping is applicable, represented by a location group name.", "type": "string" }, "minHandlingTime": { "description": "Minimum handling time (inclusive) between when the order is received and shipped in business days. 0 means that the order is shipped on the same day as it's received if it happens before the cut-off time. minHandlingTime can only be present together with maxHandlingTime; but it's not required if maxHandlingTime is present.", "type": "string", "format": "int64" }, "price": { "$ref": "Price", "description": "Fixed shipping price, represented as a number." }, "service": { "description": "A free-form description of the service class or delivery speed.", "type": "string" } }, "id": "ProductShipping", "type": "object" }, "DeliveryAreaPostalCodeRange": { "description": "A range of postal codes that defines the delivery area. Only set `firstPostalCode` when specifying a single postal code.", "properties": { "firstPostalCode": { "description": "Required. A postal code or a pattern of the form prefix* denoting the inclusive lower bound of the range defining the area. Examples values: `\"94108\"`, `\"9410*\"`, `\"9*\"`.", "type": "string" }, "lastPostalCode": { "description": "A postal code or a pattern of the form prefix* denoting the inclusive upper bound of the range defining the area (for example [070* - 078*] results in the range [07000 - 07899]). It must have the same length as `firstPostalCode`: if `firstPostalCode` is a postal code then `lastPostalCode` must be a postal code too; if firstPostalCode is a pattern then `lastPostalCode` must be a pattern with the same prefix length. Ignored if not set, then the area is defined as being all the postal codes matching `firstPostalCode`.", "type": "string" } }, "id": "DeliveryAreaPostalCodeRange", "type": "object" }, "TransitTableTransitTimeRowTransitTimeValue": { "type": "object", "properties": { "maxTransitTimeInDays": { "description": "Must be greater than or equal to `minTransitTimeInDays`.", "format": "uint32", "type": "integer" }, "minTransitTimeInDays": { "format": "uint32", "type": "integer", "description": "Transit time range (min-max) in business days. 0 means same day delivery, 1 means next day delivery." } }, "id": "TransitTableTransitTimeRowTransitTimeValue" }, "WarehouseBasedDeliveryTime": { "type": "object", "id": "WarehouseBasedDeliveryTime", "properties": { "originCountry": { "type": "string", "description": "Shipping origin's country represented as a [CLDR territory code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml)." }, "originStreetAddress": { "type": "string", "description": "Shipping origin's street address." }, "originPostalCode": { "description": "Shipping origin.", "type": "string" }, "warehouseName": { "type": "string", "description": "The name of the warehouse. Warehouse name need to be matched with name. If warehouseName is set, the below fields will be ignored. The warehouse info will be read from warehouse." }, "carrier": { "description": "Required. Carrier, such as `\"UPS\"` or `\"Fedex\"`. The list of supported carriers can be retrieved through the `listSupportedCarriers` method.", "type": "string" }, "originCity": { "type": "string", "description": "Shipping origin's city." }, "originAdministrativeArea": { "description": "Shipping origin's state.", "type": "string" }, "carrierService": { "type": "string", "description": "Required. Carrier service, such as `\"ground\"` or `\"2 days\"`. The list of supported services for a carrier can be retrieved through the `listSupportedCarriers` method. The name of the service must be in the eddSupportedServices list." } } }, "AccountStatusProducts": { "properties": { "itemLevelIssues": { "items": { "$ref": "AccountStatusItemLevelIssue" }, "type": "array", "description": "List of item-level issues." }, "channel": { "description": "The channel the data applies to. Acceptable values are: - \"`local`\" - \"`online`\" ", "type": "string" }, "destination": { "description": "The destination the data applies to.", "type": "string" }, "country": { "type": "string", "description": "The country the data applies to." }, "statistics": { "$ref": "AccountStatusStatistics", "description": "Aggregated product statistics." } }, "id": "AccountStatusProducts", "type": "object" }, "ProductStatusDestinationStatus": { "id": "ProductStatusDestinationStatus", "type": "object", "properties": { "pendingCountries": { "description": "List of country codes (ISO 3166-1 alpha-2) where the offer is pending approval.", "items": { "type": "string" }, "type": "array" }, "disapprovedCountries": { "description": "List of country codes (ISO 3166-1 alpha-2) where the offer is disapproved.", "items": { "type": "string" }, "type": "array" }, "status": { "description": "Destination approval status in `targetCountry` of the offer.", "type": "string" }, "destination": { "description": "The name of the destination", "type": "string" }, "approvedCountries": { "items": { "type": "string" }, "description": "List of country codes (ISO 3166-1 alpha-2) where the offer is approved.", "type": "array" } } }, "Collection": { "properties": { "language": { "description": "The language of a collection and the language of any featured products linked to the collection. [language attribute](https://support.google.com/merchants/answer/9673781)", "type": "string" }, "link": { "description": "A collection’s landing page. URL directly linking to your collection's page on your website. [link attribute](https://support.google.com/merchants/answer/9673983)", "type": "string" }, "id": { "type": "string", "description": "Required. The REST ID of the collection. Content API methods that operate on collections take this as their collectionId parameter. The REST ID for a collection is of the form collectionId. [id attribute](https://support.google.com/merchants/answer/9649290)" }, "featuredProduct": { "items": { "$ref": "CollectionFeaturedProduct" }, "type": "array", "description": "This identifies one or more products associated with the collection. Used as a lookup to the corresponding product ID in your product feeds. Provide a maximum of 100 featuredProduct (for collections). Provide up to 10 featuredProduct (for Shoppable Images only) with ID and X and Y coordinates. [featured_product attribute](https://support.google.com/merchants/answer/9703736)" }, "customLabel2": { "description": "Label that you assign to a collection to help organize bidding and reporting in Shopping campaigns.", "type": "string" }, "imageLink": { "type": "array", "description": "The URL of a collection’s image. [image_link attribute](https://support.google.com/merchants/answer/9703236)", "items": { "type": "string" } }, "headline": { "description": "Your collection's name. [headline attribute](https://support.google.com/merchants/answer/9673580)", "type": "array", "items": { "type": "string" } }, "customLabel0": { "description": "Label that you assign to a collection to help organize bidding and reporting in Shopping campaigns. [Custom label](https://support.google.com/merchants/answer/9674217)", "type": "string" }, "productCountry": { "type": "string", "description": "[product_country attribute](https://support.google.com/merchants/answer/9674155)" }, "customLabel4": { "type": "string", "description": "Label that you assign to a collection to help organize bidding and reporting in Shopping campaigns." }, "mobileLink": { "description": "A collection’s mobile-optimized landing page when you have a different URL for mobile and desktop traffic. [mobile_link attribute](https://support.google.com/merchants/answer/9646123)", "type": "string" }, "customLabel1": { "type": "string", "description": "Label that you assign to a collection to help organize bidding and reporting in Shopping campaigns." }, "customLabel3": { "type": "string", "description": "Label that you assign to a collection to help organize bidding and reporting in Shopping campaigns." } }, "type": "object", "id": "Collection", "description": "The collection message." }, "AccountItemUpdatesSettings": { "id": "AccountItemUpdatesSettings", "type": "object", "properties": { "allowStrictAvailabilityUpdates": { "type": "boolean", "description": "If allow_availability_updates is enabled, items are automatically updated in all your Shopping target countries. By default, availability updates will only be applied to items that are 'out of stock' on your website but 'in stock' on Shopping. Set this to true to also update items that are 'in stock' on your website, but 'out of stock' on Google Shopping. In order for this field to have an effect, you must also allow availability updates." }, "allowConditionUpdates": { "description": "If condition updates are enabled, Google always updates item condition with the condition detected from the details of your product.", "type": "boolean" }, "allowPriceUpdates": { "description": "If price updates are enabled, Google always updates the active price with the crawled information.", "type": "boolean" }, "allowAvailabilityUpdates": { "description": "If availability updates are enabled, any previous availability values get overwritten if Google finds an out-of-stock annotation on the offer's page. If additionally `allow_availability_updates` field is set to true, values get overwritten if Google finds an in-stock annotation on the offer’s page.", "type": "boolean" } }, "description": "Settings for the Automatic Item Updates." }, "Metrics": { "description": "Performance metrics. Values are only set for metrics requested explicitly in the request's search query.", "type": "object", "id": "Metrics", "properties": { "orders": { "description": "Number of placed orders. Excludes customer cancellations that happened within 30 minutes of placing the order. **This metric cannot be segmented by product dimensions and customer_country_code.**", "type": "string", "format": "int64" }, "daysToShip": { "type": "number", "description": "Average number of days between an order being placed and the order being fully shipped, reported on the last shipment date. **This metric cannot be segmented by product dimensions and customer_country_code.**", "format": "double" }, "conversionRate": { "description": "Number of conversions divided by the number of clicks, reported on the impression date. The metric is currently available only for the FREE_PRODUCT_LISTING program.", "format": "double", "type": "number" }, "itemDaysToShip": { "format": "double", "description": "Average number of days between an item being ordered and the item being **This metric cannot be segmented by customer_country_code.**", "type": "number" }, "rejectedItems": { "description": "Number of ordered items canceled by the merchant, reported on the order date. **This metric cannot be segmented by customer_country_code.**", "format": "int64", "type": "string" }, "shippedItemSalesMicros": { "format": "int64", "description": "Total price of shipped items, reported on the order date. Excludes shipping and taxes (US only). The currency of the returned value is stored in the currency_code segment. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response. **This metric cannot be segmented by customer_country_code.**", "type": "string" }, "returnRate": { "description": "Total price of returned items divided by the total price of shipped items, reported on the order date. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response. **This metric cannot be segmented by customer_country_code.**", "type": "number", "format": "double" }, "shippedOrders": { "description": "Number of fully shipped orders, reported on the last shipment date. **This metric cannot be segmented by product dimensions and customer_country_code.**", "format": "int64", "type": "string" }, "conversionValueMicros": { "format": "int64", "type": "string", "description": "Value of conversions in micros attributed to the product, reported on the conversion date. The metric is currently available only for the FREE_PRODUCT_LISTING program. The currency of the returned value is stored in the currency_code segment. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response." }, "returnsMicros": { "format": "int64", "type": "string", "description": "Total price of ordered items sent back for return, reported on the date when the merchant accepted the return. The currency of the returned value is stored in the currency_code segment. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response. **This metric cannot be segmented by customer_country_code.**" }, "orderedItems": { "format": "int64", "description": "Number of ordered items. Excludes customer cancellations that happened within 30 minutes of placing the order. **This metric cannot be segmented by customer_country_code.**", "type": "string" }, "unshippedItems": { "type": "number", "format": "double", "description": "Number of ordered items not shipped up until the end of the queried day. If a multi-day period is specified in the search query, the returned value is the average number of unshipped items over the days in the queried period. **This metric cannot be segmented by customer_country_code.**" }, "returnedItems": { "format": "int64", "type": "string", "description": "Number of ordered items sent back for return, reported on the date when the merchant accepted the return. **This metric cannot be segmented by customer_country_code.**" }, "ctr": { "description": "Click-through rate - the number of clicks merchant's products receive (clicks) divided by the number of times the products are shown (impressions).", "type": "number", "format": "double" }, "shippedItems": { "type": "string", "format": "int64", "description": "Number of shipped items, reported on the shipment date. **This metric cannot be segmented by customer_country_code.**" }, "aos": { "description": "Average order size - the average number of items in an order. **This metric cannot be segmented by product dimensions and customer_country_code.**", "format": "double", "type": "number" }, "aovMicros": { "format": "double", "type": "number", "description": "Average order value - the average value (total price of items) of all placed orders. The currency of the returned value is stored in the currency_code segment. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response. **This metric cannot be segmented by product dimensions and customer_country_code.**" }, "itemFillRate": { "format": "double", "type": "number", "description": "Percentage of shipped items in relation to all finalized items (shipped or rejected by the merchant; unshipped items are not taken into account), reported on the order date. Item fill rate is lowered by merchant rejections. **This metric cannot be segmented by customer_country_code.**" }, "impressions": { "type": "string", "description": "Number of times merchant's products are shown.", "format": "int64" }, "clicks": { "format": "int64", "type": "string", "description": "Number of clicks." }, "conversions": { "type": "number", "description": "Number of conversions attributed to the product, reported on the conversion date. Depending on the attribution model, a conversion might be distributed across multiple clicks, where each click gets its own credit assigned. This metric is a sum of all such credits. The metric is currently available only for the FREE_PRODUCT_LISTING program.", "format": "double" }, "unshippedOrders": { "description": "Number of orders not shipped or partially shipped up until the end of the queried day. If a multi-day period is specified in the search query, the returned value is the average number of unshipped orders over the days in the queried period. **This metric cannot be segmented by product dimensions and customer_country_code.**", "format": "double", "type": "number" }, "orderedItemSalesMicros": { "format": "int64", "type": "string", "description": "Total price of ordered items. Excludes shipping, taxes (US only), and customer cancellations that happened within 30 minutes of placing the order. The currency of the returned value is stored in the currency_code segment. If this metric is selected, 'segments.currency_code' is automatically added to the SELECT clause in the search query (unless it is explicitly selected by the user) and the currency_code segment is populated in the response. **This metric cannot be segmented by customer_country_code.**" } } }, "OrderCustomerMarketingRightsInfo": { "properties": { "explicitMarketingPreference": { "description": "Last known customer selection regarding marketing preferences. In certain cases this selection might not be known, so this field would be empty. If a customer selected `granted` in their most recent order, they can be subscribed to marketing emails. Customers who have chosen `denied` must not be subscribed, or must be unsubscribed if already opted-in. Acceptable values are: - \"`denied`\" - \"`granted`\" ", "type": "string" }, "lastUpdatedTimestamp": { "type": "string", "description": "Timestamp when last time marketing preference was updated. Could be empty, if user wasn't offered a selection yet." }, "marketingEmailAddress": { "type": "string", "description": "Email address that can be used for marketing purposes. The field may be empty even if `explicitMarketingPreference` is 'granted'. This happens when retrieving an old order from the customer who deleted their account." } }, "type": "object", "id": "OrderCustomerMarketingRightsInfo" }, "ReturnaddressCustomBatchResponse": { "properties": { "entries": { "items": { "$ref": "ReturnaddressCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests.", "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnaddressCustomBatchResponse`\"." } }, "type": "object", "id": "ReturnaddressCustomBatchResponse" }, "AccountCredentials": { "description": "Credentials allowing Google to call a partner's API on behalf of a merchant.", "id": "AccountCredentials", "type": "object", "properties": { "purpose": { "description": "Indicates to Google how Google should use these OAuth tokens.", "type": "string", "enum": [ "ACCOUNT_CREDENTIALS_PURPOSE_UNSPECIFIED", "SHOPIFY_ORDER_MANAGEMENT", "SHOPIFY_INTEGRATION" ], "enumDescriptions": [ "Unknown purpose.", "The credentials allow Google to manage Shopify orders on behalf of the merchant (deprecated).", "The credentials allow Google to manage Shopify integration on behalf of the merchant." ] }, "expiresIn": { "description": "The amount of time, in seconds, after which the access token is no longer valid.", "type": "string", "format": "int64" }, "accessToken": { "description": "An OAuth access token.", "type": "string" } } }, "OrderreturnsReturnItem": { "properties": { "refund": { "description": "Refunds the item.", "$ref": "OrderreturnsRefundOperation" }, "returnItemId": { "description": "Unit level ID for the return item. Different units of the same product will have different IDs.", "type": "string" }, "reject": { "$ref": "OrderreturnsRejectOperation", "description": "Rejects the item." } }, "type": "object", "id": "OrderreturnsReturnItem" }, "Datafeed": { "id": "Datafeed", "type": "object", "properties": { "targets": { "description": "The targets this feed should apply to (country, language, destinations).", "items": { "$ref": "DatafeedTarget" }, "type": "array" }, "contentType": { "description": "Required. The type of data feed. For product inventory feeds, only feeds for local stores, not online stores, are supported. Acceptable values are: - \"`local products`\" - \"`product inventory`\" - \"`products`\" ", "type": "string" }, "fileName": { "type": "string", "description": "Required. The filename of the feed. All feeds must have a unique file name." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeed`\"", "type": "string" }, "attributeLanguage": { "type": "string", "description": "The two-letter ISO 639-1 language in which the attributes are defined in the data feed." }, "fetchSchedule": { "$ref": "DatafeedFetchSchedule", "description": "Fetch schedule for the feed file." }, "format": { "description": "Format of the feed file.", "$ref": "DatafeedFormat" }, "name": { "type": "string", "description": "Required for insert. A descriptive name of the data feed." }, "id": { "type": "string", "format": "int64", "description": "Required for update. The ID of the data feed." } }, "description": "Datafeed configuration data." }, "AccountStatus": { "description": "The status of an account, that is, information about its products, which is computed offline and not returned immediately at insertion time.", "id": "AccountStatus", "properties": { "websiteClaimed": { "description": "Whether the account's website is claimed or not.", "type": "boolean" }, "accountId": { "description": "The ID of the account for which the status is reported.", "type": "string" }, "accountLevelIssues": { "items": { "$ref": "AccountStatusAccountLevelIssue" }, "type": "array", "description": "A list of account level issues." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountStatus`\"", "type": "string" }, "accountManagement": { "type": "string", "description": "How the account is managed. Acceptable values are: - \"`manual`\" - \"`automatic`\" " }, "products": { "items": { "$ref": "AccountStatusProducts" }, "type": "array", "description": "List of product-related data by channel, destination, and country. Data in this field may be delayed by up to 30 minutes." } }, "type": "object" }, "OrderTrackingSignalShippingInfo": { "properties": { "latestDeliveryPromiseTime": { "description": "The latest delivery promised time. Include the year and timezone string, if available. This field is required, if one of the following fields is absent: tracking_id or carrier_name.", "$ref": "DateTime" }, "originRegionCode": { "description": "The [CLDR territory code] (http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) for the shipping origin.", "type": "string" }, "carrierServiceName": { "type": "string", "description": "The service type for fulfillment, e.g., GROUND, FIRST_CLASS, etc." }, "carrierName": { "type": "string", "description": "The name of the shipping carrier for the delivery. This field is required if one of the following fields is absent: earliest_delivery_promise_time, latest_delivery_promise_time, and actual_delivery_time." }, "shippingStatus": { "enumDescriptions": [ "The shipping status is not known to merchant.", "All items are shipped.", "The shipment is already delivered." ], "type": "string", "enum": [ "SHIPPING_STATE_UNSPECIFIED", "SHIPPED", "DELIVERED" ], "description": "The status of the shipment." }, "originPostalCode": { "description": "The origin postal code, as a continuous string without spaces or dashes, e.g. \"95016\". This field will be anonymized in returned OrderTrackingSignal creation response.", "type": "string" }, "earliestDeliveryPromiseTime": { "description": "The earliest delivery promised time. Include the year and timezone string, if available. This field is required, if one of the following fields is absent: tracking_id or carrier_name.", "$ref": "DateTime" }, "shipmentId": { "description": "Required. The shipment ID. This field will be hashed in returned OrderTrackingSignal creation response.", "type": "string" }, "shippedTime": { "$ref": "DateTime", "description": "The time when the shipment was shipped. Include the year and timezone string, if available." }, "actualDeliveryTime": { "description": "The time when the shipment was actually delivered. Include the year and timezone string, if available. This field is required, if one of the following fields is absent: tracking_id or carrier_name.", "$ref": "DateTime" }, "trackingId": { "type": "string", "description": "The tracking ID of the shipment. This field is required if one of the following fields is absent: earliest_delivery_promise_time, latest_delivery_promise_time, and actual_delivery_time." } }, "id": "OrderTrackingSignalShippingInfo", "type": "object", "description": "The shipping information for the order." }, "OrdersSetLineItemMetadataRequest": { "id": "OrdersSetLineItemMetadataRequest", "type": "object", "properties": { "lineItemId": { "description": "The ID of the line item to set metadata. Either lineItemId or productId is required.", "type": "string" }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" }, "productId": { "description": "The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required.", "type": "string" }, "annotations": { "items": { "$ref": "OrderMerchantProvidedAnnotation" }, "type": "array" } } }, "PosCustomBatchResponseEntry": { "properties": { "errors": { "description": "A list of errors defined if, and only if, the request failed.", "$ref": "Errors" }, "batchId": { "type": "integer", "description": "The ID of the request entry to which this entry responds.", "format": "uint32" }, "sale": { "$ref": "PosSale", "description": "The updated sale information." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posCustomBatchResponseEntry`\"", "type": "string" }, "store": { "$ref": "PosStore", "description": "The retrieved or updated store information." }, "inventory": { "$ref": "PosInventory", "description": "The updated inventory information." } }, "type": "object", "id": "PosCustomBatchResponseEntry" }, "AccountUser": { "type": "object", "properties": { "reportingManager": { "description": "Whether user is a reporting manager.", "type": "boolean" }, "paymentsAnalyst": { "type": "boolean", "description": "Whether user can access payment statements." }, "orderManager": { "description": "Whether user is an order manager.", "type": "boolean" }, "emailAddress": { "description": "User's email address.", "type": "string" }, "admin": { "description": "Whether user is an admin.", "type": "boolean" }, "paymentsManager": { "type": "boolean", "description": "Whether user can manage payment settings." } }, "id": "AccountUser" }, "AccountStatusStatistics": { "id": "AccountStatusStatistics", "properties": { "active": { "type": "string", "description": "Number of active offers.", "format": "int64" }, "disapproved": { "format": "int64", "type": "string", "description": "Number of disapproved offers." }, "pending": { "format": "int64", "description": "Number of pending offers.", "type": "string" }, "expiring": { "description": "Number of expiring offers.", "type": "string", "format": "int64" } }, "type": "object" }, "RequestReviewFreeListingsRequest": { "description": "Request message for the RequestReviewFreeListings Program method.", "properties": { "regionCode": { "description": "The code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) of the country for which review is to be requested.", "type": "string" } }, "id": "RequestReviewFreeListingsRequest", "type": "object" }, "ShipmentTrackingInfo": { "id": "ShipmentTrackingInfo", "properties": { "trackingNumber": { "type": "string", "description": "The tracking number for the package." }, "carrier": { "description": "The shipping carrier that handles the package. Acceptable values are: - \"`boxtal`\" - \"`bpost`\" - \"`chronopost`\" - \"`colisPrive`\" - \"`colissimo`\" - \"`cxt`\" - \"`deliv`\" - \"`dhl`\" - \"`dpd`\" - \"`dynamex`\" - \"`eCourier`\" - \"`easypost`\" - \"`efw`\" - \"`fedex`\" - \"`fedexSmartpost`\" - \"`geodis`\" - \"`gls`\" - \"`googleCourier`\" - \"`gsx`\" - \"`jdLogistics`\" - \"`laPoste`\" - \"`lasership`\" - \"`manual`\" - \"`mpx`\" - \"`onTrac`\" - \"`other`\" - \"`tnt`\" - \"`uds`\" - \"`ups`\" - \"`usps`\" ", "type": "string" } }, "type": "object" }, "Installment": { "type": "object", "id": "Installment", "properties": { "amount": { "description": "The amount the buyer has to pay per month.", "$ref": "Price" }, "months": { "description": "The number of installments the buyer has to pay.", "type": "string", "format": "int64" } } }, "OrderLineItemProductVariantAttribute": { "type": "object", "id": "OrderLineItemProductVariantAttribute", "properties": { "value": { "description": "The value for the dimension.", "type": "string" }, "dimension": { "type": "string", "description": "The dimension of the variant." } } }, "OrdersCustomBatchRequestEntryCreateTestReturnReturnItem": { "type": "object", "id": "OrdersCustomBatchRequestEntryCreateTestReturnReturnItem", "properties": { "lineItemId": { "description": "The ID of the line item to return.", "type": "string" }, "quantity": { "description": "Quantity that is returned.", "type": "integer", "format": "uint32" } } }, "OrderreportsListTransactionsResponse": { "type": "object", "id": "OrderreportsListTransactionsResponse", "properties": { "transactions": { "items": { "$ref": "OrderReportTransaction" }, "type": "array", "description": "The list of transactions." }, "nextPageToken": { "description": "The token for the retrieval of the next page of transactions.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreportsListTransactionsResponse`\"." } } }, "OrdersGetTestOrderTemplateResponse": { "id": "OrdersGetTestOrderTemplateResponse", "type": "object", "properties": { "template": { "description": "The requested test order template.", "$ref": "TestOrder" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersGetTestOrderTemplateResponse`\"." } } }, "Segments": { "description": "Dimensions according to which metrics are segmented in the response. Values of product dimensions, such as `offer_id`, reflect the state of a product at the time of the corresponding event, for example, impression or order. Segment fields cannot be selected in queries without also selecting at least one metric field. Values are only set for dimensions requested explicitly in the request's search query.", "type": "object", "id": "Segments", "properties": { "program": { "enum": [ "PROGRAM_UNSPECIFIED", "SHOPPING_ADS", "FREE_PRODUCT_LISTING", "FREE_LOCAL_PRODUCT_LISTING", "BUY_ON_GOOGLE_LISTING" ], "description": "Program to which metrics apply, for example, Free Product Listing.", "type": "string", "enumDescriptions": [ "Not specified.", "Shopping Ads.", "Free Product Listing.", "Free Local Product Listing.", "Buy on Google Listing." ] }, "categoryL5": { "description": "[Product category (5th level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in Google's product taxonomy.", "type": "string" }, "date": { "description": "Date in the merchant timezone to which metrics apply.", "$ref": "Date" }, "categoryL1": { "description": "[Product category (1st level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in Google's product taxonomy.", "type": "string" }, "week": { "$ref": "Date", "description": "First day of the week (Monday) of the metrics date in the merchant timezone." }, "customLabel0": { "description": "Custom label 0 for custom grouping of products.", "type": "string" }, "categoryL3": { "description": "[Product category (3rd level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in Google's product taxonomy.", "type": "string" }, "customerCountryCode": { "description": "Code of the country where the customer is located at the time of the event. Represented in the ISO 3166 format. If the customer country cannot be determined, a special 'ZZ' code is returned.", "type": "string" }, "productTypeL5": { "type": "string", "description": "[Product type (5th level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in merchant's own product taxonomy." }, "currencyCode": { "description": "Currency in which price metrics are represented, for example, if you select `ordered_item_sales_micros`, the returned value will be represented by this currency.", "type": "string" }, "customLabel4": { "description": "Custom label 4 for custom grouping of products.", "type": "string" }, "productTypeL4": { "type": "string", "description": "[Product type (4th level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in merchant's own product taxonomy." }, "offerId": { "description": "Merchant-provided id of the product.", "type": "string" }, "customLabel2": { "description": "Custom label 2 for custom grouping of products.", "type": "string" }, "categoryL4": { "type": "string", "description": "[Product category (4th level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in Google's product taxonomy." }, "productTypeL1": { "description": "[Product type (1st level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in merchant's own product taxonomy.", "type": "string" }, "brand": { "type": "string", "description": "Brand of the product." }, "productTypeL2": { "description": "[Product type (2nd level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in merchant's own product taxonomy.", "type": "string" }, "categoryL2": { "description": "[Product category (2nd level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in Google's product taxonomy.", "type": "string" }, "customLabel3": { "description": "Custom label 3 for custom grouping of products.", "type": "string" }, "title": { "type": "string", "description": "Title of the product." }, "productTypeL3": { "type": "string", "description": "[Product type (3rd level)](https://developers.google.com/shopping-content/guides/reports/segmentation#category_and_product_type) in merchant's own product taxonomy." }, "customLabel1": { "type": "string", "description": "Custom label 1 for custom grouping of products." } } }, "DatafeedFetchSchedule": { "id": "DatafeedFetchSchedule", "description": "The required fields vary based on the frequency of fetching. For a monthly fetch schedule, day_of_month and hour are required. For a weekly fetch schedule, weekday and hour are required. For a daily fetch schedule, only hour is required.", "properties": { "timeZone": { "type": "string", "description": "Time zone used for schedule. UTC by default. For example, \"America/Los_Angeles\"." }, "username": { "type": "string", "description": "An optional user name for fetch_url." }, "weekday": { "type": "string", "description": "The day of the week the feed file should be fetched. Acceptable values are: - \"`monday`\" - \"`tuesday`\" - \"`wednesday`\" - \"`thursday`\" - \"`friday`\" - \"`saturday`\" - \"`sunday`\" " }, "hour": { "type": "integer", "description": "The hour of the day the feed file should be fetched (0-23).", "format": "uint32" }, "dayOfMonth": { "type": "integer", "description": "The day of the month the feed file should be fetched (1-31).", "format": "uint32" }, "minuteOfHour": { "format": "uint32", "description": "The minute of the hour the feed file should be fetched (0-59). Read-only.", "type": "integer" }, "password": { "type": "string", "description": "An optional password for fetch_url." }, "paused": { "description": "Whether the scheduled fetch is paused or not.", "type": "boolean" }, "fetchUrl": { "description": "The URL where the feed file can be fetched. Google Merchant Center will support automatic scheduled uploads using the HTTP, HTTPS, FTP, or SFTP protocols, so the value will need to be a valid link using one of those four protocols.", "type": "string" } }, "type": "object" }, "AccountIdentifier": { "id": "AccountIdentifier", "type": "object", "properties": { "merchantId": { "type": "string", "description": "The merchant account ID, set for individual accounts and subaccounts.", "format": "uint64" }, "aggregatorId": { "description": "The aggregator ID, set for aggregators and subaccounts (in that case, it represents the aggregator of the subaccount).", "format": "uint64", "type": "string" } } }, "ProductsCustomBatchRequest": { "id": "ProductsCustomBatchRequest", "properties": { "entries": { "description": "The request entries to be processed in the batch.", "items": { "$ref": "ProductsCustomBatchRequestEntry" }, "type": "array" } }, "type": "object" }, "DatafeedsListResponse": { "id": "DatafeedsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of datafeeds." }, "resources": { "type": "array", "items": { "$ref": "Datafeed" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedsListResponse`\".", "type": "string" } }, "type": "object" }, "AccountsClaimWebsiteResponse": { "id": "AccountsClaimWebsiteResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsClaimWebsiteResponse`\".", "type": "string" } }, "type": "object" }, "ReturnpolicyCustomBatchRequestEntry": { "type": "object", "id": "ReturnpolicyCustomBatchRequestEntry", "properties": { "batchId": { "type": "integer", "description": "An entry ID, unique within the batch request.", "format": "uint32" }, "returnPolicy": { "$ref": "ReturnPolicy", "description": "The return policy to submit. This should be set only if the method is `insert`." }, "returnPolicyId": { "type": "string", "description": "The return policy ID. This should be set only if the method is `delete` or `get`." }, "merchantId": { "description": "The Merchant Center account ID.", "format": "uint64", "type": "string" }, "method": { "type": "string", "description": "Method of the batch request entry. Acceptable values are: - \"`delete`\" - \"`get`\" - \"`insert`\" " } } }, "LiaPosDataProvider": { "id": "LiaPosDataProvider", "properties": { "posDataProviderId": { "description": "The ID of the POS data provider.", "type": "string", "format": "uint64" }, "posExternalAccountId": { "description": "The account ID by which this merchant is known to the POS data provider.", "type": "string" } }, "type": "object" }, "FreeListingsProgramStatusRegionStatus": { "type": "object", "description": "Status of program and region.", "properties": { "regionCodes": { "description": "The two-letter [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) codes for all the regions with the same `eligibilityStatus` and `reviewEligibility`.", "items": { "type": "string" }, "type": "array" }, "onboardingIssues": { "items": { "type": "string" }, "type": "array", "description": "Issues that must be fixed to be eligible for review." }, "reviewIneligibilityReasonDescription": { "description": "Reason a program in a specific region isn’t eligible for review. Only visible if `reviewEligibilityStatus` is `INELIGIBLE`.", "type": "string" }, "reviewIneligibilityReasonDetails": { "$ref": "FreeListingsProgramStatusReviewIneligibilityReasonDetails", "description": "Additional information for ineligibility. If `reviewIneligibilityReason` is `IN_COOLDOWN_PERIOD`, a timestamp for the end of the cooldown period is provided." }, "disapprovalDate": { "description": "Date by which eligibilityStatus will go from `WARNING` to `DISAPPROVED`. Only visible when your eligibilityStatus is WARNING. In [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DD`.", "type": "string" }, "eligibilityStatus": { "enum": [ "STATE_UNSPECIFIED", "APPROVED", "DISAPPROVED", "WARNING", "UNDER_REVIEW", "PENDING_REVIEW", "ONBOARDING" ], "type": "string", "enumDescriptions": [ "State is not known.", "If the account has no issues and review is completed successfully.", "There are one or more issues that needs to be resolved for account to be active for the program. Detailed list of account issues are available in [accountstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses) API.", "If account has issues but offers are servable. Some of the issue can make account DISAPPROVED after a certain deadline.", "Account is under review.", "Account is waiting for review to start.", "Program is currently onboarding. Upload valid offers to complete onboarding." ], "description": "Eligibility status of the standard free listing program." }, "reviewIssues": { "items": { "type": "string" }, "type": "array", "description": "Issues evaluated in the review process. Fix all issues before requesting a review." }, "reviewEligibilityStatus": { "type": "string", "enum": [ "REVIEW_ELIGIBILITY_UNSPECIFIED", "ELIGIBLE", "INELIGIBLE" ], "description": "If a program is eligible for review in a specific region. Only visible if `eligibilityStatus` is `DISAPPROVED`.", "enumDescriptions": [ "Review eligibility state is unknown.", "Account is eligible for review for a specified region code.", "Account is not eligible for review for a specified region code." ] }, "reviewIneligibilityReason": { "enum": [ "REVIEW_INELIGIBILITY_REASON_UNSPECIFIED", "ONBOARDING_ISSUES", "NOT_ENOUGH_OFFERS", "IN_COOLDOWN_PERIOD", "ALREADY_UNDER_REVIEW", "NO_REVIEW_REQUIRED", "WILL_BE_REVIEWED_AUTOMATICALLY", "IS_RETIRED", "ALREADY_REVIEWED" ], "type": "string", "enumDescriptions": [ "Requesting a review from Google is not possible.", "All onboarding issues needs to be fixed.", "Not enough offers uploaded for this country.", "Cooldown period applies. Wait until cooldown period ends.", "Account is already under review.", "No issues available to review.", "Account will be automatically reviewed at the end of the grace period.", "Account is retired. Should not appear in MC.", "Account was already reviewd." ], "description": "Review ineligibility reason if account is not eligible for review." } }, "id": "FreeListingsProgramStatusRegionStatus" }, "OrderTrackingSignal": { "properties": { "merchantId": { "format": "int64", "description": "The Google merchant ID of this order tracking signal. This value is optional. If left unset, the caller's merchant ID is used. You must request access in order to provide data on behalf of another merchant. For more information, see [Submitting Order Tracking Signals](/shopping-content/guides/order-tracking-signals).", "type": "string" }, "orderCreatedTime": { "$ref": "DateTime", "description": "Required. The time when the order was created on the merchant side. Include the year and timezone string, if available." }, "customerShippingFee": { "$ref": "PriceAmount", "description": "The shipping fee of the order; this value should be set to zero in the case of free shipping." }, "deliveryRegionCode": { "type": "string", "description": "Required. The [CLDR territory code] (http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) for the shipping destination." }, "orderTrackingSignalId": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The ID that uniquely identifies this order tracking signal." }, "lineItems": { "type": "array", "description": "Information about line items in the order.", "items": { "$ref": "OrderTrackingSignalLineItemDetails" } }, "deliveryPostalCode": { "description": "Required. The delivery postal code, as a continuous string without spaces or dashes, e.g. \"95016\". This field will be anonymized in returned OrderTrackingSignal creation response.", "type": "string" }, "shippingInfo": { "type": "array", "description": "The shipping information for the order.", "items": { "$ref": "OrderTrackingSignalShippingInfo" } }, "orderId": { "description": "Required. The ID of the order on the merchant side. This field will be hashed in returned OrderTrackingSignal creation response.", "type": "string" }, "shipmentLineItemMapping": { "type": "array", "description": "The mapping of the line items to the shipment information.", "items": { "$ref": "OrderTrackingSignalShipmentLineItemMapping" } } }, "description": "Represents a merchant trade from which signals are extracted, e.g. shipping.", "id": "OrderTrackingSignal", "type": "object" }, "OrdersShipLineItemsResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersShipLineItemsResponse`\".", "type": "string" }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "id": "OrdersShipLineItemsResponse", "type": "object" }, "TestOrderPickupDetails": { "properties": { "pickupPersons": { "description": "Required. all pickup persons set by users.", "items": { "$ref": "TestOrderPickupDetailsPickupPerson" }, "type": "array" }, "pickupLocationAddress": { "description": "Required. Pickup location address.", "$ref": "TestOrderAddress" }, "locationCode": { "description": "Required. Code of the location defined by provider or merchant.", "type": "string" }, "pickupLocationType": { "type": "string", "description": "Pickup location type. Acceptable values are: - \"`locker`\" - \"`store`\" - \"`curbside`\" " } }, "type": "object", "id": "TestOrderPickupDetails" }, "OrdersReturnRefundLineItemRequest": { "type": "object", "properties": { "reason": { "type": "string", "description": "The reason for the return. Acceptable values are: - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`other`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`qualityNotAsExpected`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " }, "productId": { "type": "string", "description": "The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required." }, "reasonText": { "type": "string", "description": "The explanation of the reason." }, "lineItemId": { "description": "The ID of the line item to return. Either lineItemId or productId is required.", "type": "string" }, "quantity": { "description": "The quantity to return and refund. Quantity is required.", "format": "uint32", "type": "integer" }, "priceAmount": { "$ref": "Price", "description": "The amount to be refunded. This may be pre-tax or post-tax depending on the location of the order. If omitted, refundless return is assumed." }, "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." }, "taxAmount": { "description": "The amount of tax to be refunded. Optional, but if filled, then priceAmount must be set. Calculated automatically if not provided.", "$ref": "Price" } }, "id": "OrdersReturnRefundLineItemRequest" }, "TimePeriod": { "properties": { "startTime": { "description": "The starting timestamp.", "type": "string", "format": "google-datetime" }, "endTime": { "description": "The ending timestamp.", "type": "string", "format": "google-datetime" } }, "id": "TimePeriod", "type": "object", "description": "A message that represents a time period." }, "RefundReason": { "id": "RefundReason", "properties": { "reasonCode": { "type": "string", "description": "Code of the refund reason. Acceptable values are: - \"`adjustment`\" - \"`autoPostInternal`\" - \"`autoPostInvalidBillingAddress`\" - \"`autoPostNoInventory`\" - \"`autoPostPriceError`\" - \"`autoPostUndeliverableShippingAddress`\" - \"`couponAbuse`\" - \"`courtesyAdjustment`\" - \"`customerCanceled`\" - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`customerSupportRequested`\" - \"`deliveredLateByCarrier`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`failToPushOrderGoogleError`\" - \"`failToPushOrderMerchantError`\" - \"`failToPushOrderMerchantFulfillmentError`\" - \"`failToPushOrderToMerchant`\" - \"`failToPushOrderToMerchantOutOfStock`\" - \"`feeAdjustment`\" - \"`invalidCoupon`\" - \"`lateShipmentCredit`\" - \"`malformedShippingAddress`\" - \"`merchantDidNotShipOnTime`\" - \"`noInventory`\" - \"`orderTimeout`\" - \"`other`\" - \"`paymentAbuse`\" - \"`paymentDeclined`\" - \"`priceAdjustment`\" - \"`priceError`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`promoReallocation`\" - \"`qualityNotAsExpected`\" - \"`returnRefundAbuse`\" - \"`shippingCostAdjustment`\" - \"`shippingPriceError`\" - \"`taxAdjustment`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " }, "description": { "description": "Description of the reason.", "type": "string" } }, "type": "object" }, "OrderPickupDetailsCollector": { "id": "OrderPickupDetailsCollector", "type": "object", "properties": { "name": { "description": "Name of the person picking up the shipment.", "type": "string" }, "phoneNumber": { "type": "string", "description": "Phone number of the person picking up the shipment." } } }, "MinimumOrderValueTable": { "id": "MinimumOrderValueTable", "properties": { "storeCodeSetWithMovs": { "items": { "$ref": "MinimumOrderValueTableStoreCodeSetWithMov" }, "type": "array" } }, "type": "object" }, "DatafeedsCustomBatchRequestEntry": { "type": "object", "properties": { "merchantId": { "type": "string", "format": "uint64", "description": "The ID of the managing account." }, "batchId": { "type": "integer", "description": "An entry ID, unique within the batch request.", "format": "uint32" }, "datafeedId": { "format": "uint64", "type": "string", "description": "The ID of the data feed to get, delete or fetch." }, "datafeed": { "$ref": "Datafeed", "description": "The data feed to insert." }, "method": { "type": "string", "description": "The method of the batch entry. Acceptable values are: - \"`delete`\" - \"`fetchNow`\" - \"`get`\" - \"`insert`\" - \"`update`\" " } }, "description": "A batch entry encoding a single non-batch datafeeds request.", "id": "DatafeedsCustomBatchRequestEntry" }, "RepricingRuleRestriction": { "type": "object", "id": "RepricingRuleRestriction", "properties": { "useAutoPricingMinPrice": { "description": "If true, use the AUTO_PRICING_MIN_PRICE offer attribute as the lower bound of the rule. If use_auto_pricing_min_price is true, then only offers with `AUTO_PRICING_MIN_PRICE` existing on the offer will get Repricer treatment, even if a floor value is set on the rule. Also, if use_auto_pricing_min_price is true, the floor restriction will be ignored.", "type": "boolean" }, "floor": { "description": "The inclusive floor lower bound. The repricing rule only applies when new price \u003e= floor.", "$ref": "RepricingRuleRestrictionBoundary" } }, "description": "Definition of a rule restriction. At least one of the following needs to be true: (1) use_auto_pricing_min_price is true (2) floor.price_delta exists (3) floor.percentage_delta exists If floor.price_delta and floor.percentage_delta are both set on a rule, the highest value will be chosen by the Repricer. In other words, for a product with a price of $50, if the `floor.percentage_delta` is \"-10\" and the floor.price_delta is \"-12\", the offer price will only be lowered $5 (10% lower than the original offer price)." }, "PostalCodeGroup": { "properties": { "name": { "description": "The name of the postal code group, referred to in headers. Required.", "type": "string" }, "country": { "type": "string", "description": "The CLDR territory code of the country the postal code group applies to. Required." }, "postalCodeRanges": { "items": { "$ref": "PostalCodeRange" }, "type": "array", "description": "A range of postal codes. Required." } }, "type": "object", "id": "PostalCodeGroup" }, "ShippingsettingsGetSupportedHolidaysResponse": { "id": "ShippingsettingsGetSupportedHolidaysResponse", "type": "object", "properties": { "holidays": { "items": { "$ref": "HolidaysHoliday" }, "type": "array", "description": "A list of holidays applicable for delivery guarantees. May be empty." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsGetSupportedHolidaysResponse`\"." } } }, "PauseBuyOnGoogleProgramRequest": { "type": "object", "id": "PauseBuyOnGoogleProgramRequest", "description": "Request message for the PauseProgram method.", "properties": {} }, "AccountsCustomBatchRequestEntry": { "description": "A batch entry encoding a single non-batch accounts request.", "id": "AccountsCustomBatchRequestEntry", "properties": { "force": { "description": "Whether the account should be deleted if the account has offers. Only applicable if the method is `delete`.", "type": "boolean" }, "merchantId": { "description": "The ID of the managing account.", "format": "uint64", "type": "string" }, "accountId": { "type": "string", "description": "The ID of the targeted account. Only defined if the method is not `insert`.", "format": "uint64" }, "view": { "description": "Controls which fields are visible. Only applicable if the method is 'get'.", "type": "string" }, "overwrite": { "description": "Only applicable if the method is `claimwebsite`. Indicates whether or not to take the claim from another account in case there is a conflict.", "type": "boolean" }, "account": { "$ref": "Account", "description": "The account to create or update. Only defined if the method is `insert` or `update`." }, "labelIds": { "description": "Label IDs for the 'updatelabels' request.", "type": "array", "items": { "type": "string", "format": "uint64" } }, "linkRequest": { "description": "Details about the `link` request.", "$ref": "AccountsCustomBatchRequestEntryLinkRequest" }, "method": { "description": "The method of the batch entry. Acceptable values are: - \"`claimWebsite`\" - \"`delete`\" - \"`get`\" - \"`insert`\" - \"`link`\" - \"`update`\" ", "type": "string" }, "batchId": { "format": "uint32", "description": "An entry ID, unique within the batch request.", "type": "integer" } }, "type": "object" }, "LiasettingsGetAccessibleGmbAccountsResponse": { "id": "LiasettingsGetAccessibleGmbAccountsResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsGetAccessibleGmbAccountsResponse`\".", "type": "string" }, "accountId": { "description": "The ID of the Merchant Center account.", "format": "uint64", "type": "string" }, "gmbAccounts": { "items": { "$ref": "GmbAccountsGmbAccount" }, "type": "array", "description": "A list of Business Profiles which are available to the merchant." } }, "type": "object" }, "OrderTrackingSignalShipmentLineItemMapping": { "id": "OrderTrackingSignalShipmentLineItemMapping", "type": "object", "properties": { "quantity": { "description": "The line item quantity in the shipment.", "type": "string", "format": "int64" }, "shipmentId": { "type": "string", "description": "Required. The shipment ID. This field will be hashed in returned OrderTrackingSignal creation response." }, "lineItemId": { "type": "string", "description": "Required. The line item ID." } }, "description": "Represents how many items are in the shipment for the given shipment_id and line_item_id." }, "ShippingsettingsListResponse": { "properties": { "resources": { "type": "array", "items": { "$ref": "ShippingSettings" } }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of shipping settings." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsListResponse`\".", "type": "string" } }, "id": "ShippingsettingsListResponse", "type": "object" }, "DatafeedstatusesCustomBatchRequest": { "type": "object", "id": "DatafeedstatusesCustomBatchRequest", "properties": { "entries": { "items": { "$ref": "DatafeedstatusesCustomBatchRequestEntry" }, "type": "array", "description": "The request entries to be processed in the batch." } } }, "DatafeedTarget": { "id": "DatafeedTarget", "type": "object", "properties": { "excludedDestinations": { "type": "array", "items": { "type": "string" }, "description": "The list of destinations to exclude for this target (corresponds to cleared check boxes in Merchant Center)." }, "language": { "type": "string", "description": "The two-letter ISO 639-1 language of the items in the feed. Must be a valid language for `targets[].country`." }, "includedDestinations": { "type": "array", "description": "The list of destinations to include for this target (corresponds to checked check boxes in Merchant Center). Default destinations are always included unless provided in `excludedDestinations`.", "items": { "type": "string" } }, "country": { "type": "string", "description": "The country where the items in the feed will be included in the search index, represented as a CLDR territory code." } } }, "OrderreturnsAcknowledgeResponse": { "id": "OrderreturnsAcknowledgeResponse", "type": "object", "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreturnsAcknowledgeResponse`\"." } } }, "CutoffTime": { "properties": { "minute": { "description": "Minute of the cutoff time until which an order has to be placed to be processed in the same day. Required.", "format": "uint32", "type": "integer" }, "hour": { "format": "uint32", "type": "integer", "description": "Hour of the cutoff time until which an order has to be placed to be processed in the same day. Required." }, "timezone": { "description": "Timezone identifier for the cutoff time (for example, \"Europe/Zurich\"). List of identifiers. Required.", "type": "string" } }, "id": "CutoffTime", "type": "object" }, "ListCollectionsResponse": { "properties": { "resources": { "description": "The collections listed.", "items": { "$ref": "Collection" }, "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "description": "Response message for the ListCollections method.", "type": "object", "id": "ListCollectionsResponse" }, "RegionalInventory": { "type": "object", "properties": { "customAttributes": { "description": "A list of custom (merchant-provided) attributes. It can also be used for submitting any attribute of the feed specification in its generic form.", "items": { "$ref": "CustomAttribute" }, "type": "array" }, "salePriceEffectiveDate": { "type": "string", "description": "A date range represented by a pair of ISO 8601 dates separated by a space, comma, or slash. Both dates might be specified as 'null' if undecided." }, "availability": { "description": "The availability of the product.", "type": "string" }, "regionId": { "type": "string", "description": "The ID uniquely identifying each region." }, "salePrice": { "description": "The sale price of the product. Mandatory if `sale_price_effective_date` is defined.", "$ref": "Price" }, "price": { "$ref": "Price", "description": "The price of the product." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#regionalInventory`\"." } }, "id": "RegionalInventory", "description": "Regional inventory resource. contains the regional name and all attributes which are overridden for the specified region." }, "DatafeedstatusesCustomBatchRequestEntry": { "properties": { "batchId": { "format": "uint32", "description": "An entry ID, unique within the batch request.", "type": "integer" }, "merchantId": { "description": "The ID of the managing account.", "format": "uint64", "type": "string" }, "method": { "description": "The method of the batch entry. Acceptable values are: - \"`get`\" ", "type": "string" }, "datafeedId": { "format": "uint64", "description": "The ID of the data feed to get.", "type": "string" }, "language": { "type": "string", "description": "The language for which to get the datafeed status. If this parameter is provided then country must also be provided. Note that for multi-target datafeeds this parameter is required." }, "country": { "description": "The country for which to get the datafeed status. If this parameter is provided then language must also be provided. Note that for multi-target datafeeds this parameter is required.", "type": "string" } }, "description": "A batch entry encoding a single non-batch datafeedstatuses request.", "id": "DatafeedstatusesCustomBatchRequestEntry", "type": "object" }, "ReturnaddressCustomBatchRequest": { "properties": { "entries": { "items": { "$ref": "ReturnaddressCustomBatchRequestEntry" }, "type": "array", "description": "The request entries to be processed in the batch." } }, "id": "ReturnaddressCustomBatchRequest", "type": "object" }, "OrdersCancelRequest": { "properties": { "reason": { "type": "string", "description": "The reason for the cancellation. Acceptable values are: - \"`customerInitiatedCancel`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`noInventory`\" - \"`other`\" - \"`priceError`\" - \"`shippingPriceError`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`failedToCaptureFunds`\" " }, "reasonText": { "description": "The explanation of the reason.", "type": "string" }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" } }, "id": "OrdersCancelRequest", "type": "object" }, "AccountsAuthInfoResponse": { "id": "AccountsAuthInfoResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsAuthInfoResponse`\"." }, "accountIdentifiers": { "items": { "$ref": "AccountIdentifier" }, "type": "array", "description": "The account identifiers corresponding to the authenticated user. - For an individual account: only the merchant ID is defined - For an aggregator: only the aggregator ID is defined - For a subaccount of an MCA: both the merchant ID and the aggregator ID are defined. " } }, "type": "object" }, "ReturnaddressCustomBatchRequestEntry": { "type": "object", "properties": { "returnAddress": { "description": "The return address to submit. This should be set only if the method is `insert`.", "$ref": "ReturnAddress" }, "batchId": { "description": "An entry ID, unique within the batch request.", "type": "integer", "format": "uint32" }, "method": { "type": "string", "description": "Method of the batch request entry. Acceptable values are: - \"`delete`\" - \"`get`\" - \"`insert`\" " }, "returnAddressId": { "type": "string", "description": "The return address ID. This should be set only if the method is `delete` or `get`." }, "merchantId": { "type": "string", "format": "uint64", "description": "The Merchant Center account ID." } }, "id": "ReturnaddressCustomBatchRequestEntry" }, "OrderinvoicesCreateRefundInvoiceRequest": { "type": "object", "properties": { "shipmentInvoices": { "description": "Invoice details for different shipment groups.", "items": { "$ref": "ShipmentInvoice" }, "type": "array" }, "refundOnlyOption": { "description": "Option to create a refund-only invoice. Exactly one of `refundOnlyOption` or `returnOption` must be provided.", "$ref": "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption" }, "operationId": { "description": "[required] The ID of the operation, unique across all operations for a given order.", "type": "string" }, "returnOption": { "$ref": "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption", "description": "Option to create an invoice for a refund and mark all items within the invoice as returned. Exactly one of `refundOnlyOption` or `returnOption` must be provided." }, "invoiceId": { "type": "string", "description": "[required] The ID of the invoice." } }, "id": "OrderinvoicesCreateRefundInvoiceRequest" }, "OrderLineItem": { "type": "object", "id": "OrderLineItem", "properties": { "quantityCanceled": { "type": "integer", "description": "Number of items canceled.", "format": "uint32" }, "shippingDetails": { "description": "Details of the requested shipping for the line item.", "$ref": "OrderLineItemShippingDetails" }, "price": { "description": "Total price for the line item. For example, if two items for $10 are purchased, the total price will be $20.", "$ref": "Price" }, "quantityDelivered": { "type": "integer", "format": "uint32", "description": "Number of items delivered." }, "quantityOrdered": { "format": "uint32", "description": "Number of items ordered.", "type": "integer" }, "quantityReturned": { "description": "Number of items returned.", "type": "integer", "format": "uint32" }, "adjustments": { "type": "array", "items": { "$ref": "OrderLineItemAdjustment" }, "description": "Price and tax adjustments applied on the line item." }, "annotations": { "items": { "$ref": "OrderMerchantProvidedAnnotation" }, "type": "array", "description": "Annotations that are attached to the line item." }, "tax": { "$ref": "Price", "description": "Total tax amount for the line item. For example, if two items are purchased, and each have a cost tax of $2, the total tax amount will be $4." }, "id": { "description": "The ID of the line item.", "type": "string" }, "quantityPending": { "type": "integer", "description": "Number of items pending.", "format": "uint32" }, "quantityShipped": { "description": "Number of items shipped.", "format": "uint32", "type": "integer" }, "returnInfo": { "$ref": "OrderLineItemReturnInfo", "description": "Details of the return policy for the line item." }, "quantityReadyForPickup": { "type": "integer", "format": "uint32", "description": "Number of items ready for pickup." }, "quantityUndeliverable": { "type": "integer", "description": "Number of items undeliverable.", "format": "uint32" }, "product": { "description": "Product data as seen by customer from the time of the order placement. Note that certain attributes values (for example, title or gtin) might be reformatted and no longer match values submitted through product feed.", "$ref": "OrderLineItemProduct" }, "cancellations": { "type": "array", "description": "Cancellations of the line item.", "items": { "$ref": "OrderCancellation" } }, "returns": { "items": { "$ref": "OrderReturn" }, "description": "Returns of the line item.", "type": "array" } } }, "ReturnAddressAddress": { "properties": { "recipientName": { "type": "string", "description": "Name of the recipient to address returns to." }, "streetAddress": { "description": "Street-level part of the address. May be up to two lines, each line specified as an array element.", "type": "array", "items": { "type": "string" } }, "region": { "type": "string", "description": "Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")." }, "country": { "type": "string", "description": "CLDR country code (for example, \"US\")." }, "locality": { "type": "string", "description": "City, town or commune. May also include dependent localities or sublocalities (for example, neighborhoods or suburbs)." }, "postalCode": { "type": "string", "description": "Postal code or ZIP (for example, \"94043\")." } }, "id": "ReturnAddressAddress", "type": "object" }, "MerchantOrderReturnItem": { "id": "MerchantOrderReturnItem", "type": "object", "properties": { "state": { "description": "State of the item. Acceptable values are: - \"`canceled`\" - \"`new`\" - \"`received`\" - \"`refunded`\" - \"`rejected`\" ", "type": "string" }, "customerReturnReason": { "description": "The reason that the customer chooses to return an item.", "$ref": "CustomerReturnReason" }, "refundableAmount": { "description": "Maximum amount that can be refunded for this return item.", "$ref": "MonetaryAmount" }, "itemId": { "description": "Product level item ID. If the returned items are of the same product, they will have the same ID.", "type": "string" }, "merchantRejectionReason": { "description": "The reason that the merchant chose to reject an item return.", "$ref": "MerchantRejectionReason" }, "shipmentGroupId": { "type": "string", "description": "ID of the original shipment group. Provided for shipments with invoice support." }, "returnShipmentIds": { "items": { "type": "string" }, "description": "IDs of the return shipments that this return item belongs to.", "type": "array" }, "shipmentUnitId": { "type": "string", "description": "ID of the shipment unit assigned by the merchant. Provided for shipments with invoice support." }, "product": { "description": "Product data from the time of the order placement.", "$ref": "OrderLineItemProduct" }, "merchantReturnReason": { "$ref": "RefundReason", "description": "The reason that merchant chooses to accept a return item." }, "returnItemId": { "type": "string", "description": "Unit level ID for the return item. Different units of the same product will have different IDs." } } }, "OrdersSetLineItemMetadataResponse": { "id": "OrdersSetLineItemMetadataResponse", "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersSetLineItemMetadataResponse`\".", "type": "string" } }, "type": "object" }, "OrderReportTransaction": { "id": "OrderReportTransaction", "properties": { "orderId": { "description": "The ID of the order.", "type": "string" }, "disbursementDate": { "type": "string", "description": "The date the disbursement was initiated, in ISO 8601 format." }, "disbursementId": { "description": "The ID of the disbursement.", "type": "string" }, "merchantId": { "type": "string", "description": "The ID of the managing account.", "format": "uint64" }, "transactionDate": { "description": "The date of the transaction, in ISO 8601 format.", "type": "string" }, "merchantOrderId": { "description": "Merchant-provided ID of the order.", "type": "string" }, "productAmount": { "description": "Total amount for the items.", "$ref": "ProductAmount" }, "disbursementAmount": { "$ref": "Price", "description": "The disbursement amount." }, "disbursementCreationDate": { "description": "The date the disbursement was created, in ISO 8601 format.", "type": "string" } }, "type": "object" }, "OrderreportsListDisbursementsResponse": { "type": "object", "id": "OrderreportsListDisbursementsResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreportsListDisbursementsResponse`\".", "type": "string" }, "disbursements": { "description": "The list of disbursements.", "type": "array", "items": { "$ref": "OrderReportDisbursement" } }, "nextPageToken": { "description": "The token for the retrieval of the next page of disbursements.", "type": "string" } } }, "SettlementtransactionsListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#settlementtransactionsListResponse`\".", "type": "string" }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of returns." }, "resources": { "type": "array", "items": { "$ref": "SettlementTransaction" } } }, "type": "object", "id": "SettlementtransactionsListResponse" }, "ReturnPolicyOnline": { "type": "object", "id": "ReturnPolicyOnline", "description": "Return policy online object. This is currently used to represent return policies for ads and free listings programs.", "properties": { "policy": { "description": "The return policy.", "$ref": "ReturnPolicyOnlinePolicy" }, "label": { "type": "string", "description": "The unique user-defined label of the return policy. The same label cannot be used in different return policies for the same country. Policies with the label 'default' will apply to all products, unless a product specifies a return_policy_label attribute." }, "name": { "type": "string", "description": "The name of the policy as shown in Merchant Center." }, "returnPolicyId": { "type": "string", "description": "Output only. Return policy ID generated by Google.", "readOnly": true }, "restockingFee": { "description": "The restocking fee that applies to all return reason categories. This would be treated as a free restocking fee if the value is not set.", "$ref": "ReturnPolicyOnlineRestockingFee" }, "returnReasonCategoryInfo": { "type": "array", "items": { "$ref": "ReturnPolicyOnlineReturnReasonCategoryInfo" }, "description": "The return reason category information. This required to not be empty unless the type of return policy is noReturns." }, "returnMethods": { "type": "array", "description": "The return methods of how customers can return an item. This value is required to not be empty unless the type of return policy is noReturns.", "items": { "enum": [ "RETURN_METHOD_UNSPECIFIED", "BY_MAIL", "IN_STORE", "AT_A_KIOSK" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "By mail.", "In store.", "At a kiosk." ] } }, "countries": { "description": "The countries of sale where the return policy is applicable. The values must be a valid 2 letter ISO 3166 code, e.g. \"US\".", "items": { "type": "string" }, "type": "array" }, "itemConditions": { "type": "array", "items": { "enum": [ "ITEM_CONDITION_UNSPECIFIED", "NEW", "USED" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "New.", "Used." ] }, "description": "The item conditions that are accepted for returns. This is required to not be empty unless the type of return policy is noReturns." }, "returnPolicyUri": { "description": "The return policy uri. This can used by Google to do a sanity check for the policy.", "type": "string" } } }, "OrderreturnsProcessResponse": { "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreturnsProcessResponse`\"." } }, "id": "OrderreturnsProcessResponse", "type": "object" }, "WarehouseCutoffTime": { "properties": { "minute": { "format": "int32", "type": "integer", "description": "Required. Minute of the cutoff time until which an order has to be placed to be processed in the same day by the warehouse. Minute is based on the timezone of warehouse." }, "hour": { "description": "Required. Hour (24-hour clock) of the cutoff time until which an order has to be placed to be processed in the same day by the warehouse. Hour is based on the timezone of warehouse.", "type": "integer", "format": "int32" } }, "type": "object", "id": "WarehouseCutoffTime" }, "DatafeedsCustomBatchResponseEntry": { "type": "object", "description": "A batch entry encoding a single non-batch datafeeds response.", "properties": { "batchId": { "type": "integer", "format": "uint32", "description": "The ID of the request entry this entry responds to." }, "datafeed": { "description": "The requested data feed. Defined if and only if the request was successful.", "$ref": "Datafeed" }, "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." } }, "id": "DatafeedsCustomBatchResponseEntry" }, "DatafeedstatusesCustomBatchResponseEntry": { "id": "DatafeedstatusesCustomBatchResponseEntry", "description": "A batch entry encoding a single non-batch datafeedstatuses response.", "properties": { "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." }, "datafeedStatus": { "description": "The requested data feed status. Defined if and only if the request was successful.", "$ref": "DatafeedStatus" }, "batchId": { "description": "The ID of the request entry this entry responds to.", "type": "integer", "format": "uint32" } }, "type": "object" }, "InvoiceSummaryAdditionalChargeSummary": { "id": "InvoiceSummaryAdditionalChargeSummary", "type": "object", "properties": { "totalAmount": { "$ref": "Amount", "description": "[required] Total additional charge for this type." }, "type": { "description": "[required] Type of the additional charge. Acceptable values are: - \"`shipping`\" ", "type": "string" } } }, "AccountstatusesCustomBatchResponseEntry": { "type": "object", "id": "AccountstatusesCustomBatchResponseEntry", "description": "A batch entry encoding a single non-batch accountstatuses response.", "properties": { "accountStatus": { "$ref": "AccountStatus", "description": "The requested account status. Defined if and only if the request was successful." }, "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." }, "batchId": { "description": "The ID of the request entry this entry responds to.", "format": "uint32", "type": "integer" } } }, "OrderLineItemProduct": { "id": "OrderLineItemProduct", "type": "object", "properties": { "variantAttributes": { "type": "array", "description": "Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.", "items": { "$ref": "OrderLineItemProductVariantAttribute" } }, "itemGroupId": { "type": "string", "description": "Shared identifier for all variants of the same product." }, "brand": { "type": "string", "description": "Brand of the item." }, "price": { "$ref": "Price", "description": "Price of the item." }, "condition": { "description": "Condition or state of the item. Acceptable values are: - \"`new`\" - \"`refurbished`\" - \"`used`\" ", "type": "string" }, "gtin": { "description": "Global Trade Item Number (GTIN) of the item.", "type": "string" }, "mpn": { "description": "Manufacturer Part Number (MPN) of the item.", "type": "string" }, "shownImage": { "type": "string", "description": "URL to the cached image shown to the user when order was placed." }, "offerId": { "type": "string", "description": "An identifier of the item." }, "id": { "type": "string", "description": "The REST ID of the product." }, "title": { "type": "string", "description": "The title of the product." }, "imageLink": { "type": "string", "description": "URL of an image of the item." }, "fees": { "description": "Associated fees at order creation time.", "items": { "$ref": "OrderLineItemProductFee" }, "type": "array" }, "contentLanguage": { "type": "string", "description": "The two-letter ISO 639-1 language code for the item." }, "targetCountry": { "type": "string", "description": "The CLDR territory code of the target country of the product." } } }, "Region": { "properties": { "shippingEligible": { "description": "Output only. Indicates if the region is eligible to use in the Shipping Services configuration.", "readOnly": true, "type": "boolean" }, "postalCodeArea": { "$ref": "RegionPostalCodeArea", "description": "A list of postal codes that defines the region area." }, "regionId": { "readOnly": true, "description": "Output only. Immutable. The ID uniquely identifying each region.", "type": "string" }, "merchantId": { "readOnly": true, "description": "Output only. Immutable. Merchant that owns the region.", "format": "int64", "type": "string" }, "displayName": { "type": "string", "description": "The display name of the region." }, "geotargetArea": { "$ref": "RegionGeoTargetArea", "description": "A list of geotargets that defines the region area." }, "regionalInventoryEligible": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates if the region is eligible to use in the Regional Inventory configuration." } }, "type": "object", "id": "Region", "description": "Represents a geographic region that you can use as a target with both the `RegionalInventory` and `ShippingSettings` services. You can define regions as collections of either postal codes or, in some countries, using predefined geotargets." }, "LiaOnDisplayToOrderSettings": { "id": "LiaOnDisplayToOrderSettings", "properties": { "status": { "type": "string", "description": "The status of the ?On display to order? feature. Acceptable values are: - \"`active`\" - \"`inactive`\" - \"`pending`\" " }, "shippingCostPolicyUrl": { "type": "string", "description": "Shipping cost and policy URL." } }, "type": "object" }, "ReturnPolicyPolicy": { "type": "object", "id": "ReturnPolicyPolicy", "properties": { "numberOfDays": { "format": "int64", "description": "The number of days items can be returned after delivery, where one day is defined to be 24 hours after the delivery timestamp. When specifying the return window like this, set the policy type to \"numberOfDaysAfterDelivery\". Acceptable values are 30, 45, 60, 90, 100, 180, 270 and 365 for the default policy. Additional policies further allow 14, 15, 21 and 28 days, but note that for most items a minimum of 30 days is required for returns. Exceptions may be made for electronics. A policy of less than 30 days can only be applied to those items.", "type": "string" }, "lastReturnDate": { "type": "string", "description": "Required. Last day for returning the items. In ISO 8601 format. When specifying the return window like this, set the policy type to \"lastReturnDate\". Use this for seasonal overrides only." }, "type": { "type": "string", "description": "Policy type. Use \"lastReturnDate\" for seasonal overrides only. Note that for most items a minimum of 30 days is required for returns. Exceptions may be made for electronics or non-returnable items such as food, perishables, and living things. A policy of less than 30 days can only be applied to those items. Acceptable values are: - \"`lastReturnDate`\" - \"`lifetimeReturns`\" - \"`noReturns`\" - \"`numberOfDaysAfterDelivery`\" " } } }, "AccounttaxCustomBatchRequestEntry": { "id": "AccounttaxCustomBatchRequestEntry", "type": "object", "description": "A batch entry encoding a single non-batch accounttax request.", "properties": { "accountId": { "description": "The ID of the account for which to get/update account tax settings.", "format": "uint64", "type": "string" }, "merchantId": { "description": "The ID of the managing account.", "format": "uint64", "type": "string" }, "batchId": { "type": "integer", "description": "An entry ID, unique within the batch request.", "format": "uint32" }, "accountTax": { "description": "The account tax settings to update. Only defined if the method is `update`.", "$ref": "AccountTax" }, "method": { "type": "string", "description": "The method of the batch entry. Acceptable values are: - \"`get`\" - \"`update`\" " } } }, "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption": { "type": "object", "properties": { "description": { "type": "string", "description": "Optional description of the return reason." }, "reason": { "description": "[required] Reason for the return. Acceptable values are: - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`other`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`qualityNotAsExpected`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" ", "type": "string" } }, "id": "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption" }, "AccountImageImprovements": { "type": "object", "description": "This improvement will attempt to automatically correct submitted images if they don't meet the [image requirements](https://support.google.com/merchants/answer/6324350), for example, removing overlays. If successful, the image will be replaced and approved. This improvement is only applied to images of disapproved offers. For more information see: [Automatic image improvements](https://support.google.com/merchants/answer/9242973)", "id": "AccountImageImprovements", "properties": { "effectiveAllowAutomaticImageImprovements": { "readOnly": true, "type": "boolean", "description": "Output only. The effective value of allow_automatic_image_improvements. If account_image_improvements_settings is present, then this value is the same. Otherwise, it represents the inherited value of the parent account. Read-only." }, "accountImageImprovementsSettings": { "$ref": "AccountImageImprovementsSettings", "description": "Determines how the images should be automatically updated. If this field is not present, then the settings will be deleted. If there are no settings for subaccount, they are inherited from aggregator." } } }, "OrderLineItemShippingDetailsMethod": { "type": "object", "id": "OrderLineItemShippingDetailsMethod", "properties": { "carrier": { "description": "The carrier for the shipping. Optional. See `shipments[].carrier` for a list of acceptable values.", "type": "string" }, "minDaysInTransit": { "type": "integer", "format": "uint32", "description": "Required. Minimum transit time." }, "maxDaysInTransit": { "description": "Required. Maximum transit time.", "type": "integer", "format": "uint32" }, "methodName": { "type": "string", "description": "Required. The name of the shipping method." } } }, "ReturnpolicyCustomBatchResponse": { "type": "object", "id": "ReturnpolicyCustomBatchResponse", "properties": { "entries": { "description": "The result of the execution of the batch requests.", "type": "array", "items": { "$ref": "ReturnpolicyCustomBatchResponseEntry" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnpolicyCustomBatchResponse`\"." } } }, "MonetaryAmount": { "type": "object", "id": "MonetaryAmount", "properties": { "priceAmount": { "$ref": "Price", "description": "The pre-tax or post-tax price depends on the location of the order. - For countries (for example, \"US\". where price attribute excludes tax, this field corresponds to the pre-tax value. - For coutries (for example, \"France\") where price attribute includes tax, this field corresponds to the post-tax value ." }, "taxAmount": { "description": "Tax value, present only for countries where price attribute excludes tax (for example, \"US\". No tax is referenced as 0 value with the corresponding `currency`.", "$ref": "Price" } } }, "OrdersCustomBatchRequestEntryUpdateShipmentScheduledDeliveryDetails": { "properties": { "scheduledDate": { "description": "The date a shipment is scheduled for delivery, in ISO 8601 format.", "type": "string" }, "carrierPhoneNumber": { "description": "The phone number of the carrier fulfilling the delivery. The phone number should be formatted as the international notation in", "type": "string" } }, "id": "OrdersCustomBatchRequestEntryUpdateShipmentScheduledDeliveryDetails", "type": "object", "description": "ScheduledDeliveryDetails used to update the scheduled delivery order." }, "ProductsCustomBatchRequestEntry": { "id": "ProductsCustomBatchRequestEntry", "type": "object", "description": "A batch entry encoding a single non-batch products request.", "properties": { "batchId": { "description": "An entry ID, unique within the batch request.", "type": "integer", "format": "uint32" }, "method": { "description": "The method of the batch entry. Acceptable values are: - \"`delete`\" - \"`get`\" - \"`insert`\" - \"`update`\" ", "type": "string" }, "product": { "$ref": "Product", "description": "The product to insert or update. Only required if the method is `insert` or `update`. If the `update` method is used with `updateMask` only to delete a field, then this isn't required. For example, setting `salePrice` on the `updateMask` and not providing a `product` will result in an existing sale price on the product specified by `productId` being deleted." }, "merchantId": { "format": "uint64", "description": "The ID of the managing account.", "type": "string" }, "updateMask": { "description": "The comma-separated list of product attributes to be updated. Example: `\"title,salePrice\"`. Attributes specified in the update mask without a value specified in the body will be deleted from the product. Only top-level product attributes can be updated. If not defined, product attributes with set values will be updated and other attributes will stay unchanged. Only defined if the method is `update`.", "format": "google-fieldmask", "type": "string" }, "feedId": { "description": "The Content API Supplemental Feed ID. If present then product insertion or deletion applies to a supplemental feed instead of primary Content API feed.", "format": "uint64", "type": "string" }, "productId": { "description": "The ID of the product to get or mutate. Only defined if the method is `get`, `delete`, or `update`.", "type": "string" } } }, "OrderPromotion": { "properties": { "title": { "type": "string", "description": "Required. The title of the promotion." }, "subtype": { "description": "Required. The category of the promotion. Only `moneyOff` is supported for `orders.createtestorder`. Acceptable values are: - \"`buyMGetMoneyOff`\" - \"`buyMGetNMoneyOff`\" - \"`buyMGetNPercentOff`\" - \"`buyMGetPercentOff`\" - \"`freeGift`\" - \"`freeGiftWithItemId`\" - \"`freeGiftWithValue`\" - \"`freeShippingOvernight`\" - \"`freeShippingStandard`\" - \"`freeShippingTwoDay`\" - \"`moneyOff`\" - \"`percentOff`\" - \"`rewardPoints`\" - \"`salePrice`\" ", "type": "string" }, "shortTitle": { "type": "string", "description": "A short title of the promotion to be shown on the checkout page. Do not provide for `orders.createtestorder`." }, "funder": { "type": "string", "description": "Required. The party funding the promotion. Only `merchant` is supported for `orders.createtestorder`. Acceptable values are: - \"`google`\" - \"`merchant`\" " }, "appliedItems": { "items": { "$ref": "OrderPromotionItem" }, "description": "Items that this promotion have been applied to. Do not provide for `orders.createtestorder`. This field will be empty for shipping promotions because shipping is not tied to any specific item.", "type": "array" }, "type": { "description": "Required. The scope of the promotion. Only `product` is supported for `orders.createtestorder`. Acceptable values are: - \"`product`\" - \"`shipping`\" ", "type": "string" }, "taxValue": { "$ref": "Price", "description": "Estimated discount applied to tax (if allowed by law). Do not provide for `orders.createtestorder`." }, "merchantPromotionId": { "description": "Required. This field is used to identify promotions within merchants' own systems.", "type": "string" }, "startTime": { "type": "string", "description": "Promotion start time in ISO 8601 format. Date, time, and offset required, for example, \"2020-01-02T09:00:00+01:00\" or \"2020-01-02T09:00:00Z\"." }, "endTime": { "description": "Promotion end time in ISO 8601 format. Date, time, and offset required, for example, \"2020-01-02T09:00:00+01:00\" or \"2020-01-02T09:00:00Z\".", "type": "string" }, "priceValue": { "$ref": "Price", "description": "Estimated discount applied to price. Amount is pre-tax or post-tax depending on location of order." }, "applicableItems": { "items": { "$ref": "OrderPromotionItem" }, "description": "Items that this promotion may be applied to. If empty, there are no restrictions on applicable items and quantity. This field will also be empty for shipping promotions because shipping is not tied to any specific item.", "type": "array" } }, "type": "object", "id": "OrderPromotion" }, "PosSaleResponse": { "id": "PosSaleResponse", "type": "object", "properties": { "gtin": { "type": "string", "description": "Global Trade Item Number." }, "saleId": { "description": "A unique ID to group items from the same sale event.", "type": "string" }, "contentLanguage": { "description": "Required. The two-letter ISO 639-1 language code for the item.", "type": "string" }, "quantity": { "description": "Required. The relative change of the available quantity. Negative for items returned.", "type": "string", "format": "int64" }, "price": { "$ref": "Price", "description": "Required. The price of the item." }, "storeCode": { "type": "string", "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile." }, "timestamp": { "type": "string", "description": "Required. The inventory timestamp, in ISO 8601 format." }, "itemId": { "description": "Required. A unique identifier for the item.", "type": "string" }, "targetCountry": { "description": "Required. The CLDR territory code for the item.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posSaleResponse`\"." } } }, "RepricingRuleEligibleOfferMatcher": { "description": "Matcher that specifies eligible offers. When the USE_FEED_ATTRIBUTE option is selected, only the repricing_rule_id attribute on the product feed is used to specify offer-rule mapping. When the CUSTOM_FILTER option is selected, only the *_matcher fields are used to filter the offers for offer-rule mapping. If the CUSTOM_FILTER option is selected, an offer needs to satisfy each custom filter matcher to be eligible for a rule. Size limit: the sum of the number of entries in all the matchers should not exceed 20. For example, there can be 15 product ids and 5 brands, but not 10 product ids and 11 brands.", "type": "object", "id": "RepricingRuleEligibleOfferMatcher", "properties": { "offerIdMatcher": { "$ref": "RepricingRuleEligibleOfferMatcherStringMatcher", "description": "Filter by the offer id." }, "brandMatcher": { "description": "Filter by the brand.", "$ref": "RepricingRuleEligibleOfferMatcherStringMatcher" }, "matcherOption": { "enum": [ "MATCHER_OPTION_UNSPECIFIED", "MATCHER_OPTION_CUSTOM_FILTER", "MATCHER_OPTION_USE_FEED_ATTRIBUTE", "MATCHER_OPTION_ALL_PRODUCTS" ], "enumDescriptions": [ "Unused.", "Use custom filters.", "Use repricing_rule_id feed attribute on the product resource to specify offer-rule mapping.", "Matching all products." ], "description": "Determines whether to use the custom matchers or the product feed attribute \"repricing_rule_id\" to specify offer-rule mapping.", "type": "string" }, "skipWhenOnPromotion": { "description": "When true, the rule won't be applied to offers with active promotions.", "type": "boolean" }, "itemGroupIdMatcher": { "description": "Filter by the item group id.", "$ref": "RepricingRuleEligibleOfferMatcherStringMatcher" } } }, "RepricingRuleEffectiveTimeFixedTimePeriod": { "description": "Definition of a fixed time period.", "properties": { "startTime": { "format": "google-datetime", "description": "The start time (inclusive) of the period. It can only be hour granularity.", "type": "string" }, "endTime": { "type": "string", "format": "google-datetime", "description": "The end time (exclusive) of the period. It can only be hour granularity." } }, "id": "RepricingRuleEffectiveTimeFixedTimePeriod", "type": "object" }, "OrdersCreateTestReturnRequest": { "properties": { "items": { "type": "array", "description": "Returned items.", "items": { "$ref": "OrdersCustomBatchRequestEntryCreateTestReturnReturnItem" } } }, "type": "object", "id": "OrdersCreateTestReturnRequest" }, "OrderreturnsAcknowledgeRequest": { "properties": { "operationId": { "description": "[required] The ID of the operation, unique across all operations for a given order return.", "type": "string" } }, "type": "object", "id": "OrderreturnsAcknowledgeRequest" }, "ListRepricingProductReportsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "A token for retrieving the next page. Its absence means there is no subsequent page.", "type": "string" }, "repricingProductReports": { "items": { "$ref": "RepricingProductReport" }, "type": "array", "description": "Periodic reports for the given Repricing product." } }, "id": "ListRepricingProductReportsResponse", "description": "Response message for the ListRepricingProductReports method." }, "BuyOnGoogleProgramStatus": { "properties": { "customerServicePendingPhoneRegionCode": { "description": "Two letter country code for the pending phone number, for example `CA` for Canadian numbers. See the [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) officially assigned codes. In order to update this field the customer_service_pending_phone_number must also be set. After verification this field becomes empty.", "type": "string" }, "customerServicePendingEmail": { "description": "The customer service pending email. After verification this field becomes empty.", "type": "string" }, "participationStage": { "type": "string", "description": "Output only. The current participation stage for the program.", "enumDescriptions": [ "Default value when participation stage is not set.", "Merchant is not eligible for onboarding to a given program in a specific region code.", "Merchant is eligible for onboarding to a given program in a specific region code.", "Merchant is onboarding to a given program in a specific region code.", "Merchant fulfilled all the requirements and is ready to request review in a specific region code.", "Merchant is waiting for the review to be completed in a specific region code.", "The review for a merchant has been rejected in a specific region code.", "Merchant's program participation is active for a specific region code.", "Participation has been paused." ], "readOnly": true, "enum": [ "PROGRAM_PARTICIPATION_STAGE_UNSPECIFIED", "NOT_ELIGIBLE", "ELIGIBLE", "ONBOARDING", "ELIGIBLE_FOR_REVIEW", "PENDING_REVIEW", "REVIEW_DISAPPROVED", "ACTIVE", "PAUSED" ] }, "customerServicePendingPhoneNumber": { "type": "string", "description": "The pending phone number specified for BuyOnGoogle program. It might be different than account level phone number. In order to update this field the customer_service_pending_phone_region_code must also be set. After verification this field becomes empty." }, "customerServiceVerifiedPhoneNumber": { "readOnly": true, "description": "Output only. The verified phone number specified for BuyOnGoogle program. It might be different than account level phone number.", "type": "string" }, "businessModel": { "type": "array", "items": { "enumDescriptions": [ "Default value when business model is not set.", "Merchant is a manufacturer.", "Merchant is an importer.", "Merchant is a reseller.", "Merchant has a different business model." ], "enum": [ "BUSINESS_MODEL_UNSPECIFIED", "MANUFACTURER", "IMPORTER", "RESELLER", "OTHER" ], "type": "string" }, "description": "The business models in which merchant participates." }, "customerServiceVerifiedEmail": { "description": "Output only. The customer service verified email.", "readOnly": true, "type": "string" }, "customerServiceVerifiedPhoneRegionCode": { "description": "Output only. Two letter country code for the verified phone number, for example `CA` for Canadian numbers. See the [ISO 3166-1 alpha-2](https://wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) officially assigned codes.", "readOnly": true, "type": "string" }, "onlineSalesChannel": { "enum": [ "ONLINE_SALES_CHANNEL_UNSPECIFIED", "GOOGLE_EXCLUSIVE", "GOOGLE_AND_OTHER_WEBSITES" ], "description": "The channels through which the merchant is selling.", "type": "string", "enumDescriptions": [ "Default value when online sales channel is not set.", "Merchant is selling exclusively on Google.", "Merchant is selling on Google and other websites." ] } }, "description": "Response message for the GetProgramStatus method.", "type": "object", "id": "BuyOnGoogleProgramStatus" }, "ListAccountReturnCarrierResponse": { "properties": { "accountReturnCarriers": { "items": { "$ref": "AccountReturnCarrier" }, "description": "List of all available account return carriers for the merchant.", "type": "array" } }, "id": "ListAccountReturnCarrierResponse", "description": "Response for listing account return carriers.", "type": "object" }, "TransitTableTransitTimeRow": { "properties": { "values": { "items": { "$ref": "TransitTableTransitTimeRowTransitTimeValue" }, "type": "array" } }, "type": "object", "id": "TransitTableTransitTimeRow" }, "OrdersUpdateMerchantOrderIdRequest": { "id": "OrdersUpdateMerchantOrderIdRequest", "type": "object", "properties": { "merchantOrderId": { "description": "The merchant order id to be assigned to the order. Must be unique per merchant.", "type": "string" }, "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." } } }, "PickupCarrierService": { "type": "object", "id": "PickupCarrierService", "properties": { "serviceName": { "type": "string", "description": "The name of the pickup service (for example, `\"Access point\"`). Required." }, "carrierName": { "description": "The name of the pickup carrier (for example, `\"UPS\"`). Required.", "type": "string" } } }, "ReturnPolicy": { "description": "Return policy resource.", "id": "ReturnPolicy", "properties": { "label": { "type": "string", "description": "Required. The user-defined label of the return policy. For the default policy, use the label \"default\"." }, "name": { "description": "Required. The name of the policy as shown in Merchant Center.", "type": "string" }, "returnPolicyId": { "type": "string", "description": "Return policy ID generated by Google." }, "country": { "type": "string", "description": "Required. The country of sale where the return policy is applicable." }, "policy": { "$ref": "ReturnPolicyPolicy", "description": "Required. The policy." }, "returnShippingFee": { "$ref": "Price", "description": "The return shipping fee that will apply to non free return reasons." }, "seasonalOverrides": { "description": "An optional list of seasonal overrides.", "type": "array", "items": { "$ref": "ReturnPolicySeasonalOverride" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnPolicy`\"" }, "nonFreeReturnReasons": { "items": { "type": "string" }, "type": "array", "description": "Return reasons that will incur return fees." } }, "type": "object" }, "OrderReturn": { "id": "OrderReturn", "type": "object", "properties": { "creationDate": { "type": "string", "description": "Date on which the item has been created, in ISO 8601 format." }, "actor": { "type": "string", "description": "The actor that created the refund. Acceptable values are: - \"`customer`\" - \"`googleBot`\" - \"`googleCustomerService`\" - \"`googlePayments`\" - \"`googleSabre`\" - \"`merchant`\" " }, "reasonText": { "description": "The explanation of the reason.", "type": "string" }, "quantity": { "format": "uint32", "description": "Quantity that is returned.", "type": "integer" }, "reason": { "type": "string", "description": "The reason for the return. Acceptable values are: - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`other`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`qualityNotAsExpected`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " } } }, "OrdersUpdateMerchantOrderIdResponse": { "id": "OrdersUpdateMerchantOrderIdResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersUpdateMerchantOrderIdResponse`\".", "type": "string" }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "type": "object" }, "OrdersCancelTestOrderByCustomerResponse": { "type": "object", "id": "OrdersCancelTestOrderByCustomerResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersCancelTestOrderByCustomerResponse`\".", "type": "string" } } }, "ProductWeight": { "properties": { "value": { "description": "Required. The weight represented as a number. The weight can have a maximum precision of four decimal places.", "type": "number", "format": "double" }, "unit": { "description": "Required. The weight unit. Acceptable values are: - \"`g`\" - \"`kg`\" - \"`oz`\" - \"`lb`\" ", "type": "string" } }, "id": "ProductWeight", "type": "object" }, "OrdersUpdateLineItemShippingDetailsResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersUpdateLineItemShippingDetailsResponse`\".", "type": "string" }, "executionStatus": { "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" ", "type": "string" } }, "id": "OrdersUpdateLineItemShippingDetailsResponse" }, "Service": { "type": "object", "properties": { "deliveryTime": { "$ref": "DeliveryTime", "description": "Time spent in various aspects from order to the delivery of the product. Required." }, "active": { "type": "boolean", "description": "A boolean exposing the active status of the shipping service. Required." }, "name": { "description": "Free-form name of the service. Must be unique within target account. Required.", "type": "string" }, "currency": { "type": "string", "description": "The CLDR code of the currency to which this service applies. Must match that of the prices in rate groups." }, "rateGroups": { "description": "Shipping rate group definitions. Only the last one is allowed to have an empty `applicableShippingLabels`, which means \"everything else\". The other `applicableShippingLabels` must not overlap.", "type": "array", "items": { "$ref": "RateGroup" } }, "pickupService": { "description": "The carrier-service pair delivering items to collection points. The list of supported pickup services can be retrieved through the `getSupportedPickupServices` method. Required if and only if the service delivery type is `pickup`.", "$ref": "PickupCarrierService" }, "eligibility": { "type": "string", "description": "Eligibility for this service. Acceptable values are: - \"`All scenarios`\" - \"`All scenarios except Shopping Actions`\" - \"`Shopping Actions`\" " }, "minimumOrderValue": { "$ref": "Price", "description": "Minimum order value for this service. If set, indicates that customers will have to spend at least this amount. All prices within a service must have the same currency. Cannot be set together with minimum_order_value_table." }, "shipmentType": { "description": "Type of locations this service ships orders to. Acceptable values are: - \"`delivery`\" - \"`pickup`\" ", "type": "string" }, "deliveryCountry": { "description": "The CLDR territory code of the country to which the service applies. Required.", "type": "string" }, "minimumOrderValueTable": { "$ref": "MinimumOrderValueTable", "description": "Table of per store minimum order values for the pickup fulfillment type. Cannot be set together with minimum_order_value." } }, "id": "Service" }, "InapplicabilityDetails": { "properties": { "inapplicableCount": { "type": "string", "description": "Count of this inapplicable reason code.", "format": "int64" }, "inapplicableReason": { "type": "string", "enum": [ "INAPPLICABLE_REASON_UNSPECIFIED", "CANNOT_BEAT_BUYBOX_WINNER", "ALREADY_WINNING_BUYBOX", "TRIUMPHED_OVER_BY_SAME_TYPE_RULE", "TRIUMPHED_OVER_BY_OTHER_RULE_ON_OFFER", "RESTRICTIONS_NOT_MET", "UNCATEGORIZED", "INVALID_AUTO_PRICE_MIN", "INVALID_FLOOR_CONFIG" ], "enumDescriptions": [ "Default value. Should not be used.", "The rule set for this product cannot beat the buybox winner.", "This product can already win the buybox without rule.", "Another rule of the same type takes precedence over this one.", "Another rule of a different type takes precedence over this one.", "The rule restrictions are not met. For example, this may be the case if the calculated rule price is lower than floor price in the restriction.", "The reason is not categorized to any known reason.", "The auto_pricing_min_price is invalid. For example, it is missing or \u003c 0.", "The floor defined in the rule is invalid. For example, it has the wrong sign which results in a floor \u003c 0." ], "description": "Reason code this rule was not applicable." } }, "description": "Map of inapplicability details.", "id": "InapplicabilityDetails", "type": "object" }, "OrdersReturnRefundLineItemResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersReturnRefundLineItemResponse`\"." }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "id": "OrdersReturnRefundLineItemResponse", "type": "object" }, "RequestPhoneVerificationResponse": { "properties": { "verificationId": { "type": "string", "description": "The verification ID to use in subsequent calls to `verifyphonenumber`." } }, "description": "Response message for the RequestPhoneVerification method.", "id": "RequestPhoneVerificationResponse", "type": "object" }, "RepricingRuleStatsBasedRule": { "properties": { "priceDelta": { "description": "The price delta against the above price target. A positive value means the price should be adjusted to be above statistical measure, and a negative value means below. Currency code must not be included.", "type": "string" }, "percentageDelta": { "type": "integer", "format": "int32", "description": "The percent change against the price target. Valid from 0 to 100 inclusively." } }, "id": "RepricingRuleStatsBasedRule", "type": "object", "description": "Definition of stats based rule." }, "ShippingSettings": { "properties": { "accountId": { "format": "uint64", "description": "The ID of the account to which these account shipping settings belong. Ignored upon update, always present in get request responses.", "type": "string" }, "postalCodeGroups": { "type": "array", "description": "A list of postal code groups that can be referred to in `services`. Optional.", "items": { "$ref": "PostalCodeGroup" } }, "services": { "items": { "$ref": "Service" }, "type": "array", "description": "The target account's list of services. Optional." }, "warehouses": { "description": "Optional. A list of warehouses which can be referred to in `services`.", "type": "array", "items": { "$ref": "Warehouse" } } }, "id": "ShippingSettings", "description": "The merchant account's shipping settings. All methods except getsupportedcarriers and getsupportedholidays require the admin role.", "type": "object" }, "AccountCustomerService": { "id": "AccountCustomerService", "type": "object", "properties": { "phoneNumber": { "description": "Customer service phone number.", "type": "string" }, "url": { "type": "string", "description": "Customer service URL." }, "email": { "type": "string", "description": "Customer service email." } } }, "ShoppingAdsProgramStatusReviewIneligibilityReasonDetails": { "id": "ShoppingAdsProgramStatusReviewIneligibilityReasonDetails", "description": "Additional details for review ineligibility reasons.", "type": "object", "properties": { "cooldownTime": { "type": "string", "format": "google-datetime", "description": "This timestamp represents end of cooldown period for review ineligbility reason `IN_COOLDOWN_PERIOD`." } } }, "OrdersUpdateShipmentRequest": { "id": "OrdersUpdateShipmentRequest", "type": "object", "properties": { "readyPickupDate": { "description": "Date on which the shipment has been ready for pickup, in ISO 8601 format. Optional and can be provided only if `status` is `ready for pickup`.", "type": "string" }, "status": { "type": "string", "description": "New status for the shipment. Not updated if missing. Acceptable values are: - \"`delivered`\" - \"`undeliverable`\" - \"`readyForPickup`\" " }, "lastPickupDate": { "type": "string", "description": "Date after which the pickup will expire, in ISO 8601 format. Required only when order is buy-online-pickup-in-store(BOPIS) and `status` is `ready for pickup`." }, "scheduledDeliveryDetails": { "$ref": "OrdersCustomBatchRequestEntryUpdateShipmentScheduledDeliveryDetails", "description": "Delivery details of the shipment if scheduling is needed." }, "shipmentId": { "description": "The ID of the shipment.", "type": "string" }, "trackingId": { "description": "The tracking ID for the shipment. Not updated if missing.", "type": "string" }, "undeliveredDate": { "description": "Date on which the shipment has been undeliverable, in ISO 8601 format. Optional and can be provided only if `status` is `undeliverable`.", "type": "string" }, "deliveryDate": { "description": "Date on which the shipment has been delivered, in ISO 8601 format. Optional and can be provided only if `status` is `delivered`.", "type": "string" }, "carrier": { "description": "The carrier handling the shipment. Not updated if missing. See `shipments[].carrier` in the Orders resource representation for a list of acceptable values.", "type": "string" }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" } } }, "ProductstatusesListResponse": { "type": "object", "id": "ProductstatusesListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productstatusesListResponse`\"." }, "nextPageToken": { "description": "The token for the retrieval of the next page of products statuses.", "type": "string" }, "resources": { "items": { "$ref": "ProductStatus" }, "type": "array" } } }, "OrderPromotionItem": { "id": "OrderPromotionItem", "properties": { "quantity": { "description": "The quantity of the associated product. Do not provide for `orders.createtestorder`.", "type": "integer", "format": "int32" }, "offerId": { "description": "Required. Offer ID of a product. Only for `orders.createtestorder`.", "type": "string" }, "productId": { "description": "`orders.createtestorder`.", "type": "string" }, "lineItemId": { "type": "string", "description": "The line item ID of a product. Do not provide for `orders.createtestorder`." } }, "type": "object" }, "SearchRequest": { "type": "object", "properties": { "query": { "description": "Required. Query that defines performance metrics to retrieve and dimensions according to which the metrics are to be segmented. For details on how to construct your query, see the [Query Language guide](https://developers.google.com/shopping-content/guides/reports/query-language/overview).", "type": "string" }, "pageToken": { "description": "Token of the page to retrieve. If not specified, the first page of results is returned. In order to request the next page of results, the value obtained from `next_page_token` in the previous response should be used.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Number of ReportRows to retrieve in a single page. Defaults to the maximum of 1000. Values above 1000 are coerced to 1000." } }, "description": "Request message for the ReportService.Search method.", "id": "SearchRequest" }, "Promotion": { "type": "object", "description": "Represents a promotion. See the following articles for more details. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Promotions feed specification](https://support.google.com/merchants/answer/2906014) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Local promotions feed specification](https://support.google.com/merchants/answer/10146130) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Promotions on Buy on Google product data specification](https://support.google.com/merchants/answer/9173673)", "properties": { "itemIdExclusion": { "items": { "type": "string" }, "description": "Product filter by item ID exclusion for the promotion.", "type": "array" }, "promotionDisplayTimePeriod": { "description": "`TimePeriod` representation of the promotion's display dates.", "$ref": "TimePeriod" }, "offerType": { "type": "string", "description": "Required. Type of the promotion.", "enumDescriptions": [ "Unknown offer type.", "Offer type without a code.", "Offer type with a code." ], "enum": [ "OFFER_TYPE_UNSPECIFIED", "NO_CODE", "GENERIC_CODE" ] }, "moneyBudget": { "description": "Cost cap for the promotion.", "$ref": "PriceAmount" }, "limitValue": { "$ref": "PriceAmount", "description": "Maximum purchase value for the promotion." }, "itemGroupIdExclusion": { "description": "Product filter by item group ID exclusion for the promotion.", "type": "array", "items": { "type": "string" } }, "redemptionChannel": { "type": "array", "items": { "enum": [ "REDEMPTION_CHANNEL_UNSPECIFIED", "IN_STORE", "ONLINE" ], "enumDescriptions": [ "Indicates that the channel is unspecified.", "Indicates that the channel is in store.", "Indicates that the channel is online." ], "type": "string" }, "description": "Required. Redemption channel for the promotion. At least one channel is required." }, "longTitle": { "type": "string", "description": "Required. Long title for the promotion." }, "shippingServiceNames": { "items": { "type": "string" }, "type": "array", "description": "Shipping service names for the promotion." }, "itemId": { "description": "Product filter by item ID for the promotion.", "type": "array", "items": { "type": "string" } }, "minimumPurchaseQuantity": { "type": "integer", "description": "Minimum purchase quantity for the promotion.", "format": "int32" }, "couponValueType": { "description": "Required. Coupon value type for the promotion.", "enum": [ "COUPON_VALUE_TYPE_UNSPECIFIED", "MONEY_OFF", "PERCENT_OFF", "BUY_M_GET_N_MONEY_OFF", "BUY_M_GET_N_PERCENT_OFF", "BUY_M_GET_MONEY_OFF", "BUY_M_GET_PERCENT_OFF", "FREE_GIFT", "FREE_GIFT_WITH_VALUE", "FREE_GIFT_WITH_ITEM_ID", "FREE_SHIPPING_STANDARD", "FREE_SHIPPING_OVERNIGHT", "FREE_SHIPPING_TWO_DAY" ], "enumDescriptions": [ "Indicates that the coupon value type is unspecified.", "Money off coupon value type.", "Percent off coupon value type.", "Buy M quantity, get N money off coupon value type. `buy_this_quantity` and `get_this_quantity` must be present. `money_off_amount` must also be present.", "Buy M quantity, get N percent off coupon value type. `buy_this_quantity` and `get_this_quantity` must be present. `percent_off_percentage` must also be present.", "Buy M quantity, get money off. `buy_this_quantity` and `money_off_amount` must be present.", "Buy M quantity, get money off. `buy_this_quantity` and `percent_off_percentage` must be present.", "Free gift with description only.", "Free gift with value (description is optional).", "Free gift with item ID (description is optional).", "Standard free shipping coupon value type.", "Overnight free shipping coupon value type.", "Two day free shipping coupon value type." ], "type": "string" }, "orderLimit": { "type": "integer", "description": "Order limit for the promotion.", "format": "int32" }, "brandExclusion": { "type": "array", "items": { "type": "string" }, "description": "Product filter by brand exclusion for the promotion." }, "percentOff": { "format": "int32", "type": "integer", "description": "The percentage discount offered in the promotion." }, "promotionDestinationIds": { "type": "array", "description": "Destination ID for the promotion.", "items": { "type": "string" } }, "itemGroupId": { "description": "Product filter by item group ID for the promotion.", "type": "array", "items": { "type": "string" } }, "productTypeExclusion": { "description": "Product filter by product type exclusion for the promotion.", "type": "array", "items": { "type": "string" } }, "limitQuantity": { "format": "int32", "type": "integer", "description": "Maximum purchase quantity for the promotion." }, "promotionEffectiveTimePeriod": { "description": "Required. `TimePeriod` representation of the promotion's effective dates.", "$ref": "TimePeriod" }, "brand": { "description": "Product filter by brand for the promotion.", "type": "array", "items": { "type": "string" } }, "id": { "readOnly": true, "description": "Required. Output only. The REST promotion ID to uniquely identify the promotion. Content API methods that operate on promotions take this as their `promotionId` parameter. The REST ID for a promotion is of the form channel:contentLanguage:targetCountry:promotionId The `channel` field has a value of `\"online\"`, `\"in_store\"`, or `\"online_in_store\"`.", "type": "string" }, "promotionDisplayDates": { "description": "String representation of the promotion display dates. Deprecated. Use `promotion_display_time_period` instead.", "type": "string" }, "freeGiftItemId": { "type": "string", "description": "Free gift item ID for the promotion." }, "minimumPurchaseAmount": { "description": "Minimum purchase amount for the promotion.", "$ref": "PriceAmount" }, "getThisQuantityDiscounted": { "format": "int32", "description": "The number of items discounted in the promotion.", "type": "integer" }, "promotionEffectiveDates": { "description": "String representation of the promotion effective dates. Deprecated. Use `promotion_effective_time_period` instead.", "type": "string" }, "freeGiftValue": { "$ref": "PriceAmount", "description": "Free gift value for the promotion." }, "promotionId": { "description": "Required. The user provided promotion ID to uniquely identify the promotion.", "type": "string" }, "moneyOffAmount": { "$ref": "PriceAmount", "description": "The money off amount offered in the promotion." }, "productApplicability": { "type": "string", "description": "Required. Applicability of the promotion to either all products or only specific products.", "enum": [ "PRODUCT_APPLICABILITY_UNSPECIFIED", "ALL_PRODUCTS", "SPECIFIC_PRODUCTS" ], "enumDescriptions": [ "Which products the promotion applies to is unknown.", "Applicable to all products.", "Applicable to only a single product or list of products." ] }, "targetCountry": { "type": "string", "description": "Required. The target country used as part of the unique identifier. Can be `AU`, `CA`, `DE`, `FR`, `GB`, `IN` or `US`." }, "contentLanguage": { "description": "Required. The content language used as part of the unique identifier. `en` content language is available for all target countries. `fr` content language is available for `CA` and `FR` target countries, and `de` content language is available for `DE` target country.", "type": "string" }, "freeGiftDescription": { "type": "string", "description": "Free gift description for the promotion." }, "productType": { "type": "array", "items": { "type": "string" }, "description": "Product filter by product type for the promotion." }, "genericRedemptionCode": { "type": "string", "description": "Generic redemption code for the promotion. To be used with the `offerType` field." } }, "id": "Promotion" }, "RepricingRuleReport": { "description": "Resource that represents a daily Repricing rule report. Next ID: 11", "id": "RepricingRuleReport", "type": "object", "properties": { "impactedProducts": { "type": "array", "items": { "type": "string" }, "description": "List of product ids that are impacted by this rule during this reporting period. Out of stock products and products not searched for by customers are examples of non-impacted products." }, "type": { "enumDescriptions": [ "Unused.", "Statistical measurement based rules among Google SA merchants. If this rule is chosen, repricer will adjust the offer price based on statistical metrics (currently only min is available) among other merchants who sell the same product. Details need to be provdided in the RuleDefinition.", "Cost of goods sale based rule. Repricer will adjust the offer price based on the offer's sale cost which is provided by the merchant.", "Sales volume based rule. Repricer will adjust the offer price based on the offer's sales volume in the past period of time defined within the rule.", "Competitive price rule. Repricer will adjust the offer price based on the min price from a list of unnamed big competitors." ], "enum": [ "REPRICING_RULE_TYPE_UNSPECIFIED", "TYPE_STATS_BASED", "TYPE_COGS_BASED", "TYPE_SALES_VOLUME_BASED", "TYPE_COMPETITIVE_PRICE" ], "description": "Type of the rule.", "type": "string" }, "orderItemCount": { "type": "integer", "description": "Total unit count of impacted products ordered while the rule was active on the date of the report. This count includes all orders that were started while the rule was active, even if the rule was no longer active when the order was completed.", "format": "int32" }, "inapplicabilityDetails": { "items": { "$ref": "InapplicabilityDetails" }, "type": "array", "description": "List of all reasons the rule did not apply to the inapplicable products during the specified reporting period." }, "buyboxWinningRuleStats": { "$ref": "RepricingRuleReportBuyboxWinningRuleStats", "description": "Stats specific to buybox winning rules for rule report (deprecated)." }, "date": { "$ref": "Date", "description": "Date of the stats in this report. The report starts and ends according to the merchant's timezone." }, "inapplicableProducts": { "items": { "type": "string" }, "description": "List of product ids that are inapplicable to this rule during this reporting period. To get the inapplicable reason for a specific product, see RepricingProductReport.", "type": "array" }, "ruleId": { "type": "string", "description": "Id of the Repricing rule for this report." }, "totalGmv": { "$ref": "PriceAmount", "description": "Total GMV generated by impacted products while the rule was active on the date of the report. This value includes all orders that were started while the rule was active, even if the rule was no longer active when the order was completed." } } }, "OrdersAcknowledgeRequest": { "id": "OrdersAcknowledgeRequest", "properties": { "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." } }, "type": "object" }, "MinimumOrderValueTableStoreCodeSetWithMov": { "properties": { "storeCodes": { "type": "array", "items": { "type": "string" }, "description": "A list of unique store codes or empty for the catch all." }, "value": { "$ref": "Price", "description": "The minimum order value for the given stores." } }, "type": "object", "description": "A list of store code sets sharing the same minimum order value. At least two sets are required and the last one must be empty, which signifies 'MOV for all other stores'. Each store code can only appear once across all the sets. All prices within a service must have the same currency.", "id": "MinimumOrderValueTableStoreCodeSetWithMov" }, "LinkedAccount": { "id": "LinkedAccount", "type": "object", "properties": { "services": { "description": "List of provided services.", "type": "array", "items": { "$ref": "LinkService" } }, "linkedAccountId": { "description": "The ID of the linked account.", "type": "string" } } }, "RepricingProductReportBuyboxWinningProductStats": { "id": "RepricingProductReportBuyboxWinningProductStats", "description": "Stats specific to buybox winning rules for product report.", "properties": { "buyboxWinsCount": { "format": "int32", "description": "Number of times this product won the buybox with these rules during this time period.", "type": "integer" } }, "type": "object" }, "OrdersGetByMerchantOrderIdResponse": { "id": "OrdersGetByMerchantOrderIdResponse", "type": "object", "properties": { "order": { "description": "The requested order.", "$ref": "Order" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersGetByMerchantOrderIdResponse`\".", "type": "string" } } }, "OrdersRejectReturnLineItemResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersRejectReturnLineItemResponse`\".", "type": "string" }, "executionStatus": { "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" ", "type": "string" } }, "id": "OrdersRejectReturnLineItemResponse" }, "AccountGoogleMyBusinessLink": { "type": "object", "properties": { "gmbEmail": { "description": "The Business Profile email address of a specific account within a Business Profile. A sample account within a Business Profile could be a business account with set of locations, managed under the Business Profile.", "type": "string" }, "gmbAccountId": { "description": "The ID of the Business Profile. If this is provided, then `gmbEmail` is ignored. The value of this field should match the `accountId` used by the Business Profile API.", "type": "string" }, "status": { "type": "string", "description": "Status of the link between this Merchant Center account and the Business Profile. Acceptable values are: - \"`active`\" - \"`pending`\" " } }, "id": "AccountGoogleMyBusinessLink" }, "RepricingRule": { "id": "RepricingRule", "properties": { "title": { "description": "The title for the rule.", "type": "string" }, "countryCode": { "type": "string", "description": "Required. Immutable. [CLDR country code](http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) (e.g. \"US\")." }, "languageCode": { "description": "Required. Immutable. The two-letter ISO 639-1 language code associated with the repricing rule.", "type": "string" }, "effectiveTimePeriod": { "description": "Required. Time period when the rule should take effect.", "$ref": "RepricingRuleEffectiveTime" }, "cogsBasedRule": { "description": "The rule definition for TYPE_COGS_BASED. Required when the rule type is TYPE_COGS_BASED.", "$ref": "RepricingRuleCostOfGoodsSaleRule" }, "eligibleOfferMatcher": { "description": "Required. Match criteria for the eligible offers.", "$ref": "RepricingRuleEligibleOfferMatcher" }, "type": { "type": "string", "description": "Required. Immutable. The type of the rule.", "enum": [ "REPRICING_RULE_TYPE_UNSPECIFIED", "TYPE_STATS_BASED", "TYPE_COGS_BASED", "TYPE_SALES_VOLUME_BASED", "TYPE_COMPETITIVE_PRICE" ], "enumDescriptions": [ "Unused.", "Statistical measurement based rules among Google SA merchants. If this rule is chosen, repricer will adjust the offer price based on statistical metrics (currently only min is available) among other merchants who sell the same product. Details need to be provdided in the RuleDefinition.", "Cost of goods sale based rule. Repricer will adjust the offer price based on the offer's sale cost which is provided by the merchant.", "Sales volume based rule. Repricer will adjust the offer price based on the offer's sales volume in the past period of time defined within the rule.", "Competitive price rule. Repricer will adjust the offer price based on the min price from a list of unnamed big competitors." ] }, "statsBasedRule": { "$ref": "RepricingRuleStatsBasedRule", "description": "The rule definition for TYPE_STATS_BASED. Required when the rule type is TYPE_STATS_BASED." }, "ruleId": { "description": "Output only. Immutable. The ID to uniquely identify each repricing rule.", "readOnly": true, "type": "string" }, "restriction": { "$ref": "RepricingRuleRestriction", "description": "Required. Restriction of the rule appliance." }, "paused": { "type": "boolean", "description": "Represents whether a rule is paused. A paused rule will behave like a non-paused rule within CRUD operations, with the major difference that a paused rule will not be evaluated and will have no effect on offers." }, "merchantId": { "format": "int64", "description": "Output only. Immutable. Merchant that owns the repricing rule.", "type": "string", "readOnly": true } }, "type": "object", "description": "Represents a repricing rule. A repricing rule is used by shopping serving to adjust transactable offer prices if conditions are met. Next ID: 24" }, "ProductStatusItemLevelIssue": { "type": "object", "id": "ProductStatusItemLevelIssue", "properties": { "code": { "description": "The error code of the issue.", "type": "string" }, "documentation": { "type": "string", "description": "The URL of a web page to help with resolving this issue." }, "attributeName": { "type": "string", "description": "The attribute's name, if the issue is caused by a single attribute." }, "destination": { "description": "The destination the issue applies to.", "type": "string" }, "resolution": { "type": "string", "description": "Whether the issue can be resolved by the merchant." }, "detail": { "type": "string", "description": "A detailed issue description in English." }, "servability": { "type": "string", "description": "How this issue affects serving of the offer." }, "description": { "description": "A short issue description in English.", "type": "string" }, "applicableCountries": { "description": "List of country codes (ISO 3166-1 alpha-2) where issue applies to the offer.", "type": "array", "items": { "type": "string" } } } }, "AccountStatusItemLevelIssue": { "id": "AccountStatusItemLevelIssue", "properties": { "numItems": { "format": "int64", "description": "Number of items with this issue.", "type": "string" }, "code": { "type": "string", "description": "The error code of the issue." }, "servability": { "type": "string", "description": "How this issue affects serving of the offer." }, "detail": { "type": "string", "description": "A detailed issue description in English." }, "attributeName": { "type": "string", "description": "The attribute's name, if the issue is caused by a single attribute." }, "documentation": { "description": "The URL of a web page to help with resolving this issue.", "type": "string" }, "description": { "type": "string", "description": "A short issue description in English." }, "resolution": { "description": "Whether the issue can be resolved by the merchant.", "type": "string" } }, "type": "object" }, "OrderreturnsListResponse": { "id": "OrderreturnsListResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of returns." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#orderreturnsListResponse`\".", "type": "string" }, "resources": { "type": "array", "items": { "$ref": "MerchantOrderReturn" } } } }, "OrderLineItemReturnInfo": { "type": "object", "id": "OrderLineItemReturnInfo", "properties": { "policyUrl": { "type": "string", "description": "Required. URL of the item return policy." }, "isReturnable": { "description": "Required. Whether the item is returnable.", "type": "boolean" }, "daysToReturn": { "description": "Required. How many days later the item can be returned.", "type": "integer", "format": "int32" } } }, "OrdersRejectReturnLineItemRequest": { "id": "OrdersRejectReturnLineItemRequest", "type": "object", "properties": { "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." }, "reason": { "type": "string", "description": "The reason for the return. Acceptable values are: - \"`damagedOrUsed`\" - \"`missingComponent`\" - \"`notEligible`\" - \"`other`\" - \"`outOfReturnWindow`\" " }, "quantity": { "description": "The quantity to return and refund.", "format": "uint32", "type": "integer" }, "reasonText": { "description": "The explanation of the reason.", "type": "string" }, "lineItemId": { "description": "The ID of the line item to return. Either lineItemId or productId is required.", "type": "string" }, "productId": { "type": "string", "description": "The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required." } } }, "SettlementTransactionIdentifiers": { "id": "SettlementTransactionIdentifiers", "properties": { "shipmentIds": { "description": "The shipment ids for the item.", "items": { "type": "string" }, "type": "array" }, "orderItemId": { "description": "The identifier of the item.", "type": "string" }, "transactionId": { "type": "string", "description": "The Google transaction ID." }, "merchantOrderId": { "type": "string", "description": "The merchant provided order ID." }, "adjustmentId": { "description": "The identifier of the adjustments, if it's available.", "type": "string" }, "settlementEntryId": { "type": "string", "description": "The unique ID of the settlement transaction entry." } }, "type": "object" }, "CollectionFeaturedProduct": { "id": "CollectionFeaturedProduct", "type": "object", "description": "The message for FeaturedProduct. [FeaturedProduct](https://support.google.com/merchants/answer/9703736)", "properties": { "x": { "description": "Required. X-coordinate of the product callout on the Shoppable Image.", "format": "float", "type": "number" }, "offerId": { "description": "The unique identifier for the product item.", "type": "string" }, "y": { "type": "number", "format": "float", "description": "Required. Y-coordinate of the product callout on the Shoppable Image." } } }, "OrderreturnsPartialRefund": { "id": "OrderreturnsPartialRefund", "properties": { "taxAmount": { "$ref": "Price", "description": "Tax amount to be refunded. Note: This has different meaning depending on the location of the order." }, "priceAmount": { "description": "The pre-tax or post-tax amount to be refunded, depending on the location of the order.", "$ref": "Price" } }, "type": "object" }, "OrdersCancelTestOrderByCustomerRequest": { "properties": { "reason": { "type": "string", "description": "The reason for the cancellation. Acceptable values are: - \"`changedMind`\" - \"`orderedWrongItem`\" - \"`other`\" " } }, "type": "object", "id": "OrdersCancelTestOrderByCustomerRequest" }, "AccounttaxCustomBatchResponse": { "id": "AccounttaxCustomBatchResponse", "type": "object", "properties": { "entries": { "type": "array", "items": { "$ref": "AccounttaxCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accounttaxCustomBatchResponse`\".", "type": "string" } } }, "AccountstatusesCustomBatchRequest": { "type": "object", "id": "AccountstatusesCustomBatchRequest", "properties": { "entries": { "items": { "$ref": "AccountstatusesCustomBatchRequestEntry" }, "description": "The request entries to be processed in the batch.", "type": "array" } } }, "MerchantOrderReturn": { "id": "MerchantOrderReturn", "type": "object", "properties": { "returnItems": { "type": "array", "description": "Items of the return.", "items": { "$ref": "MerchantOrderReturnItem" } }, "orderReturnId": { "type": "string", "description": "Order return ID generated by Google." }, "merchantOrderId": { "description": "Merchant defined order ID.", "type": "string" }, "orderId": { "type": "string", "description": "Google order ID." }, "creationDate": { "description": "The date of creation of the return, in ISO 8601 format.", "type": "string" }, "returnPricingInfo": { "$ref": "ReturnPricingInfo", "description": "Information about shipping costs." }, "returnShipments": { "type": "array", "description": "Shipments of the return.", "items": { "$ref": "ReturnShipment" } } }, "description": "Order return. Production access (all methods) requires the order manager role. Sandbox access does not." }, "DatafeedsCustomBatchResponse": { "properties": { "entries": { "description": "The result of the execution of the batch requests.", "items": { "$ref": "DatafeedsCustomBatchResponseEntry" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedsCustomBatchResponse`\"." } }, "type": "object", "id": "DatafeedsCustomBatchResponse" }, "ListRepricingRulesResponse": { "type": "object", "id": "ListRepricingRulesResponse", "description": "Response message for the `ListRepricingRules` method.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "repricingRules": { "description": "The rules from the specified merchant.", "type": "array", "items": { "$ref": "RepricingRule" } } } }, "OrderLineItemShippingDetails": { "properties": { "type": { "type": "string", "description": "Type of shipment. Indicates whether `deliveryDetails` or `pickupDetails` is applicable for this shipment. Acceptable values are: - \"`delivery`\" - \"`pickup`\" " }, "method": { "description": "Required. Details of the shipping method.", "$ref": "OrderLineItemShippingDetailsMethod" }, "pickupPromiseInMinutes": { "type": "integer", "description": "The promised time in minutes in which the order will be ready for pickup. This only applies to buy-online-pickup-in-store same-day order.", "format": "uint32" }, "shipByDate": { "description": "Required. The ship by date, in ISO 8601 format.", "type": "string" }, "deliverByDate": { "description": "Required. The delivery by date, in ISO 8601 format.", "type": "string" } }, "type": "object", "id": "OrderLineItemShippingDetails" }, "OrderDeliveryDetails": { "properties": { "phoneNumber": { "type": "string", "description": "The phone number of the person receiving the delivery." }, "address": { "$ref": "OrderAddress", "description": "The delivery address" } }, "type": "object", "id": "OrderDeliveryDetails" }, "OrderinvoicesCreateChargeInvoiceRequest": { "id": "OrderinvoicesCreateChargeInvoiceRequest", "properties": { "lineItemInvoices": { "items": { "$ref": "ShipmentInvoiceLineItemInvoice" }, "description": "[required] Invoice details per line item.", "type": "array" }, "invoiceSummary": { "description": "[required] Invoice summary.", "$ref": "InvoiceSummary" }, "invoiceId": { "type": "string", "description": "[required] The ID of the invoice." }, "operationId": { "description": "[required] The ID of the operation, unique across all operations for a given order.", "type": "string" }, "shipmentGroupId": { "type": "string", "description": "[required] ID of the shipment group. It is assigned by the merchant in the `shipLineItems` method and is used to group multiple line items that have the same kind of shipping charges." } }, "type": "object" }, "ProductsCustomBatchResponseEntry": { "description": "A batch entry encoding a single non-batch products response.", "type": "object", "id": "ProductsCustomBatchResponseEntry", "properties": { "batchId": { "type": "integer", "format": "uint32", "description": "The ID of the request entry this entry responds to." }, "product": { "$ref": "Product", "description": "The inserted product. Only defined if the method is `insert` and if the request was successful." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productsCustomBatchResponseEntry`\"" }, "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." } } }, "PosDataProvidersPosDataProvider": { "id": "PosDataProvidersPosDataProvider", "properties": { "fullName": { "description": "The full name of this POS data Provider.", "type": "string" }, "providerId": { "description": "The ID of the account.", "type": "string", "format": "uint64" }, "displayName": { "type": "string", "description": "The display name of Pos data Provider." } }, "type": "object" }, "OrdersInStoreRefundLineItemResponse": { "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersInStoreRefundLineItemResponse`\"." } }, "id": "OrdersInStoreRefundLineItemResponse", "type": "object" }, "LiasettingsListPosDataProvidersResponse": { "id": "LiasettingsListPosDataProvidersResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsListPosDataProvidersResponse`\".", "type": "string" }, "posDataProviders": { "items": { "$ref": "PosDataProviders" }, "type": "array", "description": "The list of POS data providers for each eligible country" } }, "type": "object" }, "DatafeedsCustomBatchRequest": { "type": "object", "id": "DatafeedsCustomBatchRequest", "properties": { "entries": { "items": { "$ref": "DatafeedsCustomBatchRequestEntry" }, "description": "The request entries to be processed in the batch.", "type": "array" } } }, "Account": { "description": "Account data. After the creation of a new account it may take a few minutes before it's fully operational. The methods delete, insert, and update require the admin role.", "id": "Account", "properties": { "automaticImprovements": { "description": "The automatic improvements of the account can be used to automatically update items, improve images and shipping. Each section inside AutomaticImprovements is updated separately.", "$ref": "AccountAutomaticImprovements" }, "adsLinks": { "description": "Linked Ads accounts that are active or pending approval. To create a new link request, add a new link with status `active` to the list. It will remain in a `pending` state until approved or rejected either in the Ads interface or through the AdWords API. To delete an active link, or to cancel a link request, remove it from the list.", "type": "array", "items": { "$ref": "AccountAdsLink" } }, "automaticLabelIds": { "description": "Automatically created label IDs that are assigned to the account by CSS Center.", "type": "array", "items": { "type": "string", "format": "uint64" } }, "youtubeChannelLinks": { "type": "array", "description": "Linked YouTube channels that are active or pending approval. To create a new link request, add a new link with status `active` to the list. It will remain in a `pending` state until approved or rejected in the YT Creator Studio interface. To delete an active link, or to cancel a link request, remove it from the list.", "items": { "$ref": "AccountYouTubeChannelLink" } }, "accountManagement": { "description": "Output only. How the account is managed. Acceptable values are: - \"`manual`\" - \"`automatic`\" ", "readOnly": true, "type": "string" }, "labelIds": { "type": "array", "description": "Manually created label IDs that are assigned to the account by CSS.", "items": { "type": "string", "format": "uint64" } }, "googleMyBusinessLink": { "$ref": "AccountGoogleMyBusinessLink", "description": "The Business Profile which is linked or in the process of being linked with the Merchant Center account." }, "users": { "description": "Users with access to the account. Every account (except for subaccounts) must have at least one admin user.", "type": "array", "items": { "$ref": "AccountUser" } }, "name": { "type": "string", "description": "Required. Display name for the account." }, "businessInformation": { "$ref": "AccountBusinessInformation", "description": "The business information of the account." }, "adultContent": { "description": "Indicates whether the merchant sells adult content.", "type": "boolean" }, "sellerId": { "description": "Client-specific, locally-unique, internal ID for the child account.", "type": "string" }, "cssId": { "type": "string", "description": "ID of CSS the account belongs to.", "format": "uint64" }, "websiteUrl": { "type": "string", "description": "The merchant's website." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#account`\"." }, "id": { "type": "string", "description": "Required for update. Merchant Center account ID.", "format": "uint64" } }, "type": "object" }, "ReportRow": { "properties": { "segments": { "$ref": "Segments", "description": "Segmentation dimensions requested by the merchant in the query. Dimension values are only set for dimensions requested explicitly in the query." }, "metrics": { "description": "Metrics requested by the merchant in the query. Metric values are only set for metrics requested explicitly in the query.", "$ref": "Metrics" } }, "type": "object", "description": "Result row returned from the search query.", "id": "ReportRow" }, "ProductStatus": { "type": "object", "description": "The status of a product, that is, information about a product computed asynchronously.", "properties": { "productId": { "type": "string", "description": "The ID of the product for which status is reported." }, "itemLevelIssues": { "items": { "$ref": "ProductStatusItemLevelIssue" }, "type": "array", "description": "A list of all issues associated with the product." }, "lastUpdateDate": { "description": "Date on which the item has been last updated, in ISO 8601 format.", "type": "string" }, "title": { "type": "string", "description": "The title of the product." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productStatus`\"", "type": "string" }, "creationDate": { "description": "Date on which the item has been created, in ISO 8601 format.", "type": "string" }, "googleExpirationDate": { "type": "string", "description": "Date on which the item expires in Google Shopping, in ISO 8601 format." }, "link": { "type": "string", "description": "The link to the product." }, "destinationStatuses": { "description": "The intended destinations for the product.", "type": "array", "items": { "$ref": "ProductStatusDestinationStatus" } } }, "id": "ProductStatus" }, "Address": { "type": "object", "properties": { "streetAddress": { "description": "Street-level part of the address. Use `\\n` to add a second line.", "type": "string" }, "postalCode": { "description": "Required. Postal code or ZIP (for example, \"94043\").", "type": "string" }, "city": { "description": "Required. City, town or commune. May also include dependent localities or sublocalities (for example, neighborhoods or suburbs).", "type": "string" }, "country": { "type": "string", "description": "Required. [CLDR country code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml) (for example, \"US\")." }, "administrativeArea": { "type": "string", "description": "Required. Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")." } }, "id": "Address" }, "RegionGeoTargetArea": { "description": "A list of geotargets that defines the region area.", "properties": { "geotargetCriteriaIds": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "Required. A non-empty list of [location IDs](https://developers.google.com/adwords/api/docs/appendix/geotargeting). They must all be of the same location type (e.g., state)." } }, "type": "object", "id": "RegionGeoTargetArea" }, "HolidaysHoliday": { "type": "object", "id": "HolidaysHoliday", "properties": { "countryCode": { "type": "string", "description": "The CLDR territory code of the country in which the holiday is available. For example, \"US\", \"DE\", \"GB\". A holiday cutoff can only be configured in a shipping settings service with matching delivery country. Always present." }, "deliveryGuaranteeHour": { "type": "string", "description": "Hour of the day in the delivery location's timezone on the guaranteed delivery date by which the order has to arrive at the customer's. Possible values are: 0 (midnight), 1, ..., 12 (noon), 13, ..., 23. Always present.", "format": "uint64" }, "type": { "type": "string", "description": "The holiday type. Always present. Acceptable values are: - \"`Christmas`\" - \"`Easter`\" - \"`Father's Day`\" - \"`Halloween`\" - \"`Independence Day (USA)`\" - \"`Mother's Day`\" - \"`Thanksgiving`\" - \"`Valentine's Day`\" " }, "date": { "type": "string", "description": "Date of the holiday, in ISO 8601 format. For example, \"2016-12-25\" for Christmas 2016. Always present." }, "deliveryGuaranteeDate": { "type": "string", "description": "Date on which the order has to arrive at the customer's, in ISO 8601 format. For example, \"2016-12-24\" for 24th December 2016. Always present." }, "id": { "type": "string", "description": "Unique identifier for the holiday to be used when configuring holiday cutoffs. Always present." } } }, "OrdersCustomBatchRequestEntryRefundItemItem": { "id": "OrdersCustomBatchRequestEntryRefundItemItem", "type": "object", "properties": { "fullRefund": { "type": "boolean", "description": "If true, the full item will be refunded. If this is true, amount shouldn't be provided and will be ignored." }, "lineItemId": { "type": "string", "description": "The ID of the line item. Either lineItemId or productId is required." }, "quantity": { "format": "int32", "description": "The number of products that are refunded.", "type": "integer" }, "productId": { "type": "string", "description": "The ID of the product. This is the REST ID used in the products service. Either lineItemId or productId is required." }, "amount": { "$ref": "MonetaryAmount", "description": "The total amount that is refunded. (for example, refunding $5 each for 2 products should be done by setting quantity to 2 and amount to 10$) In case of multiple refunds, this should be the amount you currently want to refund to the customer." } } }, "AccounttaxCustomBatchRequest": { "type": "object", "properties": { "entries": { "type": "array", "description": "The request entries to be processed in the batch.", "items": { "$ref": "AccounttaxCustomBatchRequestEntry" } } }, "id": "AccounttaxCustomBatchRequest" }, "AccountsCustomBatchRequestEntryLinkRequest": { "id": "AccountsCustomBatchRequestEntryLinkRequest", "type": "object", "properties": { "linkType": { "type": "string", "description": "Type of the link between the two accounts. Acceptable values are: - \"`channelPartner`\" - \"`eCommercePlatform`\" - \"`paymentServiceProvider`\" " }, "linkedAccountId": { "type": "string", "description": "The ID of the linked account." }, "action": { "type": "string", "description": "Action to perform for this link. The `\"request\"` action is only available to select merchants. Acceptable values are: - \"`approve`\" - \"`remove`\" - \"`request`\" " }, "services": { "items": { "type": "string" }, "description": "Provided services. Acceptable values are: - \"`shoppingAdsProductManagement`\" - \"`shoppingActionsProductManagement`\" - \"`shoppingActionsOrderManagement`\" - \"`paymentProcessing`\" ", "type": "array" } } }, "OrdersCreateTestOrderResponse": { "id": "OrdersCreateTestOrderResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersCreateTestOrderResponse`\"." }, "orderId": { "type": "string", "description": "The ID of the newly created test order." } }, "type": "object" }, "UnitInvoice": { "id": "UnitInvoice", "properties": { "additionalCharges": { "type": "array", "items": { "$ref": "UnitInvoiceAdditionalCharge" }, "description": "Additional charges for a unit, for example, shipping costs." }, "unitPriceTaxes": { "description": "Tax amounts to apply to the unit price.", "type": "array", "items": { "$ref": "UnitInvoiceTaxLine" } }, "unitPrice": { "$ref": "Price", "description": "[required] Pre-tax or post-tax price of one unit depending on the locality of the order. *Note:* Invoicing works on a per unit basis. The `unitPrice` is the price of a single unit, and will be multiplied by the number of entries in `shipmentUnitId`." } }, "type": "object" }, "ListCssesResponse": { "description": "The response message for the `ListCsses` method", "id": "ListCssesResponse", "properties": { "csses": { "description": "The CSS domains affiliated with the specified CSS group.", "items": { "$ref": "Css" }, "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "type": "object" }, "TestOrderPickupDetailsPickupPerson": { "type": "object", "properties": { "phoneNumber": { "description": "Required. The phone number of the person picking up the items.", "type": "string" }, "name": { "description": "Required. Full name of the pickup person.", "type": "string" } }, "id": "TestOrderPickupDetailsPickupPerson" }, "ReturnAddress": { "id": "ReturnAddress", "description": "Return address resource.", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnAddress`\"" }, "returnAddressId": { "description": "Return address ID generated by Google.", "type": "string" }, "label": { "description": "Required. The user-defined label of the return address. For the default address, use the label \"default\".", "type": "string" }, "phoneNumber": { "type": "string", "description": "Required. The merchant's contact phone number regarding the return." }, "address": { "description": "Required. The address.", "$ref": "ReturnAddressAddress" }, "country": { "type": "string", "description": "Required. The country of sale where the return address is applicable." } }, "type": "object" }, "OrdersUpdateLineItemShippingDetailsRequest": { "type": "object", "properties": { "deliverByDate": { "description": "Updated delivery by date, in ISO 8601 format. If not specified only ship by date is updated. Provided date should be within 1 year timeframe and can't be a date in the past.", "type": "string" }, "lineItemId": { "type": "string", "description": "The ID of the line item to set metadata. Either lineItemId or productId is required." }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" }, "productId": { "description": "The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required.", "type": "string" }, "shipByDate": { "type": "string", "description": "Updated ship by date, in ISO 8601 format. If not specified only deliver by date is updated. Provided date should be within 1 year timeframe and can't be a date in the past." } }, "id": "OrdersUpdateLineItemShippingDetailsRequest" }, "OrderShipment": { "type": "object", "id": "OrderShipment", "properties": { "id": { "description": "The ID of the shipment.", "type": "string" }, "carrier": { "description": "The carrier handling the shipment. For supported carriers, Google includes the carrier name and tracking URL in emails to customers. For select supported carriers, Google also automatically updates the shipment status based on the provided shipment ID. *Note:* You can also use unsupported carriers, but emails to customers won't include the carrier name or tracking URL, and there will be no automatic order status updates. Supported carriers for \"US\" are: - \"`ups`\" (United Parcel Service) *automatic status updates* - \"`usps`\" (United States Postal Service) *automatic status updates* - \"`fedex`\" (FedEx) *automatic status updates LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh - \"`dhl`\" (DHL eCommerce) *automatic status updates* (US only) - \"`ontrac`\" (OnTrac) *automatic status updates LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh - \"`dhl express`\" (DHL Express) - \"`deliv`\" (Deliv) - \"`dynamex`\" (TForce) - \"`lasership`\" (LaserShip) - \"`mpx`\" (Military Parcel Xpress) - \"`uds`\" (United Delivery Service) - \"`efw`\" (Estes Forwarding Worldwide) - \"`jd logistics`\" (JD Logistics) - \"`yunexpress`\" (YunExpress) - \"`china post`\" (China Post) - \"`china ems`\" (China Post Express Mail Service) - \"`singapore post`\" (Singapore Post) - \"`pos malaysia`\" (Pos Malaysia) - \"`postnl`\" (PostNL) - \"`ptt`\" (PTT Turkish Post) - \"`eub`\" (ePacket) - \"`chukou1`\" (Chukou1 Logistics) - \"`bestex`\" (Best Express) - \"`canada post`\" (Canada Post) - \"`purolator`\" (Purolator) - \"`canpar`\" (Canpar) - \"`india post`\" (India Post) - \"`blue dart`\" (Blue Dart) - \"`delhivery`\" (Delhivery) - \"`dtdc`\" (DTDC) - \"`tpc india`\" (TPC India) - \"`lso`\" (Lone Star Overnight) - \"`tww`\" (Team Worldwide) - \"`deliver-it`\" (Deliver-IT) - \"`cdl last mile`\" (CDL Last Mile) Supported carriers for FR are: - \"`la poste`\" (La Poste) *automatic status updates LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh - \"`colissimo`\" (Colissimo by La Poste) *automatic status updates* - \"`ups`\" (United Parcel Service) *automatic status updates LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh - \"`chronopost`\" (Chronopost by La Poste) - \"`gls`\" (General Logistics Systems France) - \"`dpd`\" (DPD Group by GeoPost) - \"`bpost`\" (Belgian Post Group) - \"`colis prive`\" (Colis Privé) - \"`boxtal`\" (Boxtal) - \"`geodis`\" (GEODIS) - \"`tnt`\" (TNT) - \"`db schenker`\" (DB Schenker) - \"`aramex`\" (Aramex) ", "type": "string" }, "scheduledDeliveryDetails": { "description": "Delivery details of the shipment if scheduling is needed.", "$ref": "OrderShipmentScheduledDeliveryDetails" }, "creationDate": { "description": "Date on which the shipment has been created, in ISO 8601 format.", "type": "string" }, "trackingId": { "type": "string", "description": "The tracking ID for the shipment." }, "status": { "type": "string", "description": "The status of the shipment. Acceptable values are: - \"`delivered`\" - \"`readyForPickup`\" - \"`shipped`\" - \"`undeliverable`\" " }, "lineItems": { "description": "The line items that are shipped.", "type": "array", "items": { "$ref": "OrderShipmentLineItemShipment" } }, "deliveryDate": { "type": "string", "description": "Date on which the shipment has been delivered, in ISO 8601 format. Present only if `status` is `delivered`" }, "shipmentGroupId": { "description": "The shipment group ID of the shipment. This is set in shiplineitems request.", "type": "string" } } }, "OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo": { "type": "object", "properties": { "trackingId": { "description": "The tracking ID for the shipment.", "type": "string" }, "shipmentId": { "description": "Required. The ID of the shipment. This is assigned by the merchant and is unique to each shipment.", "type": "string" }, "carrier": { "type": "string", "description": "The carrier handling the shipment. See `shipments[].carrier` in the Orders resource representation for a list of acceptable values." } }, "id": "OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo" }, "ReturnPolicyOnlineReturnReasonCategoryInfo": { "description": "The return reason category info wrapper.", "properties": { "returnShippingFee": { "$ref": "ReturnPolicyOnlineReturnShippingFee", "description": "The corresponding return shipping fee. This is only applicable when returnLabelSource is not the customer's responsibility." }, "returnLabelSource": { "enum": [ "RETURN_LABEL_SOURCE_UNSPECIFIED", "DOWNLOAD_AND_PRINT", "IN_THE_BOX", "CUSTOMER_RESPONSIBILITY" ], "enumDescriptions": [ "Default value. This value is unused.", "Download and print the label.", "Label in the box.", "Customers' responsibility to get the label." ], "description": "The corresponding return label source.", "type": "string" }, "returnReasonCategory": { "description": "The return reason category.", "enum": [ "RETURN_REASON_CATEGORY_UNSPECIFIED", "BUYER_REMORSE", "ITEM_DEFECT" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Buyer remorse.", "Item defect." ] } }, "id": "ReturnPolicyOnlineReturnReasonCategoryInfo", "type": "object" }, "LiasettingsSetPosDataProviderResponse": { "type": "object", "id": "LiasettingsSetPosDataProviderResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsSetPosDataProviderResponse`\".", "type": "string" } } }, "PosCustomBatchResponse": { "id": "PosCustomBatchResponse", "type": "object", "properties": { "entries": { "type": "array", "description": "The result of the execution of the batch requests.", "items": { "$ref": "PosCustomBatchResponseEntry" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posCustomBatchResponse`\".", "type": "string" } } }, "PosSale": { "properties": { "targetCountry": { "description": "Required. The CLDR territory code for the item.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posSale`\"" }, "price": { "$ref": "Price", "description": "Required. The price of the item." }, "gtin": { "type": "string", "description": "Global Trade Item Number." }, "itemId": { "description": "Required. A unique identifier for the item.", "type": "string" }, "saleId": { "description": "A unique ID to group items from the same sale event.", "type": "string" }, "storeCode": { "type": "string", "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile." }, "timestamp": { "description": "Required. The inventory timestamp, in ISO 8601 format.", "type": "string" }, "contentLanguage": { "type": "string", "description": "Required. The two-letter ISO 639-1 language code for the item." }, "quantity": { "type": "string", "format": "int64", "description": "Required. The relative change of the available quantity. Negative for items returned." } }, "id": "PosSale", "description": "The change of the available quantity of an item at the given store.", "type": "object" }, "OrdersRefundItemResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersRefundItemResponse`\"." }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "id": "OrdersRefundItemResponse", "type": "object" }, "ReturnPricingInfo": { "properties": { "totalRefundedAmount": { "description": "Total amount already refunded by the merchant. It includes all types of refunds (items, shipping, etc.) Not provided if no refund has been applied yet.", "$ref": "MonetaryAmount" }, "refundableItemsTotalAmount": { "$ref": "MonetaryAmount", "description": "Total amount that can be refunded for the items in this return. It represents the total amount received by the merchant for the items, after applying merchant coupons." }, "chargeReturnShippingFee": { "description": "Default option for whether merchant should charge the customer for return shipping costs, based on customer selected return reason and merchant's return policy for the items being returned.", "type": "boolean" }, "maxReturnShippingFee": { "description": "Maximum return shipping costs that may be charged to the customer depending on merchant's assessment of the return reason and the merchant's return policy for the items being returned.", "$ref": "MonetaryAmount" }, "refundableShippingAmount": { "$ref": "MonetaryAmount", "description": "Maximum amount that can be refunded for the original shipping fee." } }, "id": "ReturnPricingInfo", "type": "object" }, "PosInventoryRequest": { "properties": { "storeCode": { "description": "Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile.", "type": "string" }, "itemId": { "description": "Required. A unique identifier for the item.", "type": "string" }, "gtin": { "type": "string", "description": "Global Trade Item Number." }, "contentLanguage": { "type": "string", "description": "Required. The two-letter ISO 639-1 language code for the item." }, "targetCountry": { "type": "string", "description": "Required. The CLDR territory code for the item." }, "timestamp": { "type": "string", "description": "Required. The inventory timestamp, in ISO 8601 format." }, "quantity": { "description": "Required. The available quantity of the item.", "format": "int64", "type": "string" }, "price": { "description": "Required. The current price of the item.", "$ref": "Price" } }, "type": "object", "id": "PosInventoryRequest" }, "ProductsListResponse": { "properties": { "resources": { "type": "array", "items": { "$ref": "Product" } }, "nextPageToken": { "type": "string", "description": "The token for the retrieval of the next page of products." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productsListResponse`\"." } }, "type": "object", "id": "ProductsListResponse" }, "VerifyPhoneNumberRequest": { "type": "object", "id": "VerifyPhoneNumberRequest", "properties": { "phoneVerificationMethod": { "enumDescriptions": [ "Unknown method.", "Receive verification code by SMS.", "Receive verification code by phone call." ], "enum": [ "PHONE_VERIFICATION_METHOD_UNSPECIFIED", "SMS", "PHONE_CALL" ], "description": "Verification method used to receive verification code.", "type": "string" }, "verificationId": { "type": "string", "description": "The verification ID returned by `requestphoneverification`." }, "verificationCode": { "description": "The verification code that was sent to the phone number for validation.", "type": "string" } }, "description": "Request message for the VerifyPhoneNumber method." }, "PickupServicesPickupService": { "type": "object", "id": "PickupServicesPickupService", "properties": { "serviceName": { "type": "string", "description": "The name of the pickup service (for example, `\"Access point\"`). Always present." }, "carrierName": { "description": "The name of the carrier (for example, `\"UPS\"`). Always present.", "type": "string" }, "country": { "description": "The CLDR country code of the carrier (for example, \"US\"). Always present.", "type": "string" } } }, "ProductstatusesCustomBatchRequestEntry": { "type": "object", "description": "A batch entry encoding a single non-batch productstatuses request.", "id": "ProductstatusesCustomBatchRequestEntry", "properties": { "batchId": { "description": "An entry ID, unique within the batch request.", "type": "integer", "format": "uint32" }, "productId": { "description": "The ID of the product whose status to get.", "type": "string" }, "includeAttributes": { "type": "boolean", "description": "Deprecated: Setting this field has no effect and attributes are never included." }, "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the managing account." }, "destinations": { "items": { "type": "string" }, "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "type": "array" }, "method": { "type": "string", "description": "The method of the batch entry. Acceptable values are: - \"`get`\" " } } }, "ShippingsettingsCustomBatchRequest": { "id": "ShippingsettingsCustomBatchRequest", "properties": { "entries": { "type": "array", "items": { "$ref": "ShippingsettingsCustomBatchRequestEntry" }, "description": "The request entries to be processed in the batch." } }, "type": "object" }, "SettlementTransactionTransaction": { "id": "SettlementTransactionTransaction", "properties": { "postDate": { "description": "The time on which the event occurred in ISO 8601 format.", "type": "string" }, "type": { "description": "The type of the transaction that occurred. Acceptable values are: - \"`order`\" - \"`reversal`\" - \"`orderRefund`\" - \"`reversalRefund`\" - \"`issueRelatedRefundAndReplacement`\" - \"`returnLabelShippingFeeTransaction`\" - \"`reversalIssueRelatedRefundAndReplacement`\" - \"`reversalReturnLabelShippingFeeTransaction`\" - \"`lumpSumCorrectionTransaction`\" ", "type": "string" } }, "type": "object" }, "TestOrderLineItemProduct": { "id": "TestOrderLineItemProduct", "properties": { "gtin": { "type": "string", "description": "Global Trade Item Number (GTIN) of the item. Optional." }, "fees": { "items": { "$ref": "OrderLineItemProductFee" }, "description": "Fees for the item. Optional.", "type": "array" }, "imageLink": { "type": "string", "description": "Required. URL of an image of the item." }, "condition": { "type": "string", "description": "Required. Condition or state of the item. Acceptable values are: - \"`new`\" " }, "contentLanguage": { "description": "Required. The two-letter ISO 639-1 language code for the item. Acceptable values are: - \"`en`\" - \"`fr`\" ", "type": "string" }, "brand": { "description": "Required. Brand of the item.", "type": "string" }, "targetCountry": { "description": "Required. The CLDR territory code of the target country of the product.", "type": "string" }, "title": { "description": "Required. The title of the product.", "type": "string" }, "offerId": { "description": "Required. An identifier of the item.", "type": "string" }, "itemGroupId": { "type": "string", "description": "Shared identifier for all variants of the same product. Optional." }, "mpn": { "type": "string", "description": "Manufacturer Part Number (MPN) of the item. Optional." }, "price": { "$ref": "Price", "description": "Required. The price for the product. Tax is automatically calculated for orders where marketplace facilitator tax laws are applicable. Otherwise, tax settings from Merchant Center are applied." }, "variantAttributes": { "items": { "$ref": "OrderLineItemProductVariantAttribute" }, "description": "Variant attributes for the item. Optional.", "type": "array" } }, "type": "object" }, "Error": { "description": "An error returned by the API.", "id": "Error", "type": "object", "properties": { "domain": { "description": "The domain of the error.", "type": "string" }, "message": { "description": "A description of the error.", "type": "string" }, "reason": { "type": "string", "description": "The error code." } } }, "OrdersCancelResponse": { "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersCancelResponse`\".", "type": "string" } }, "type": "object", "id": "OrdersCancelResponse" }, "DeliveryArea": { "description": "A delivery area for the product. Only one of `countryCode` or `postalCodeRange` must be set.", "properties": { "countryCode": { "type": "string", "description": "Required. The country that the product can be delivered to. Submit a [unicode CLDR region](http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) such as `US` or `CH`." }, "regionCode": { "type": "string", "description": "A state, territory, or prefecture. This is supported for the United States, Australia, and Japan. Provide a subdivision code from the ISO 3166-2 code tables ([US](https://en.wikipedia.org/wiki/ISO_3166-2:US), [AU](https://en.wikipedia.org/wiki/ISO_3166-2:AU), or [JP](https://en.wikipedia.org/wiki/ISO_3166-2:JP)) without country prefix (for example, `\"NY\"`, `\"NSW\"`, `\"03\"`)." }, "postalCodeRange": { "$ref": "DeliveryAreaPostalCodeRange", "description": "A postal code, postal code range or postal code prefix that defines this area. Limited to US and AUS." } }, "type": "object", "id": "DeliveryArea" }, "AccountsListResponse": { "properties": { "resources": { "type": "array", "items": { "$ref": "Account" } }, "nextPageToken": { "description": "The token for the retrieval of the next page of accounts.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsListResponse`\"." } }, "type": "object", "id": "AccountsListResponse" }, "AccountReturnCarrier": { "properties": { "carrierAccountNumber": { "description": "Number of the carrier account.", "type": "string" }, "carrierCode": { "enumDescriptions": [ "Carrier not specified", "FedEx carrier", "UPS carrier" ], "description": "The carrier code enum. Accepts the values FEDEX or UPS.", "type": "string", "enum": [ "CARRIER_CODE_UNSPECIFIED", "FEDEX", "UPS" ] }, "carrierAccountName": { "description": "Name of the carrier account.", "type": "string" }, "carrierAccountId": { "readOnly": true, "type": "string", "description": "Output only. Immutable. The Google-provided unique carrier ID, used to update the resource.", "format": "int64" } }, "id": "AccountReturnCarrier", "description": " The return carrier information. This service is designed for merchants enrolled in the Buy on Google program. ", "type": "object" }, "LiasettingsRequestInventoryVerificationResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsRequestInventoryVerificationResponse`\"." } }, "id": "LiasettingsRequestInventoryVerificationResponse", "type": "object" }, "Css": { "properties": { "cssDomainId": { "readOnly": true, "type": "string", "description": "Output only. Immutable. The CSS domain ID.", "format": "int64" }, "displayName": { "type": "string", "description": "Output only. Immutable. The CSS domain's display name, used when space is constrained.", "readOnly": true }, "cssGroupId": { "description": "Output only. Immutable. The ID of the CSS group this CSS domain is affiliated with. Only populated for CSS group users.", "type": "string", "format": "int64", "readOnly": true }, "homepageUri": { "type": "string", "description": "Output only. Immutable. The CSS domain's homepage.", "readOnly": true }, "fullName": { "readOnly": true, "description": "Output only. Immutable. The CSS domain's full name.", "type": "string" }, "labelIds": { "description": "A list of label IDs that are assigned to this CSS domain by its CSS group. Only populated for CSS group users.", "items": { "type": "string", "format": "int64" }, "type": "array" } }, "type": "object", "description": "Information about CSS domain.", "id": "Css" }, "ProductstatusesCustomBatchRequest": { "id": "ProductstatusesCustomBatchRequest", "type": "object", "properties": { "entries": { "description": "The request entries to be processed in the batch.", "items": { "$ref": "ProductstatusesCustomBatchRequestEntry" }, "type": "array" } } }, "VerifyPhoneNumberResponse": { "properties": { "verifiedPhoneNumber": { "description": "Verified phone number if verification is successful. This phone number can only be replaced by another verified phone number.", "type": "string" } }, "id": "VerifyPhoneNumberResponse", "description": "Response message for the VerifyPhoneNumber method.", "type": "object" }, "ProductProductDetail": { "properties": { "sectionName": { "type": "string", "description": "The section header used to group a set of product details." }, "attributeValue": { "description": "The value of the product detail.", "type": "string" }, "attributeName": { "description": "The name of the product detail.", "type": "string" } }, "type": "object", "id": "ProductProductDetail" }, "ShippingsettingsCustomBatchResponseEntry": { "type": "object", "id": "ShippingsettingsCustomBatchResponseEntry", "description": "A batch entry encoding a single non-batch shipping settings response.", "properties": { "shippingSettings": { "description": "The retrieved or updated account shipping settings.", "$ref": "ShippingSettings" }, "batchId": { "format": "uint32", "description": "The ID of the request entry to which this entry responds.", "type": "integer" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsCustomBatchResponseEntry`\"" }, "errors": { "description": "A list of errors defined if, and only if, the request failed.", "$ref": "Errors" } } }, "ProductDeliveryTimeAreaDeliveryTimeDeliveryTime": { "type": "object", "id": "ProductDeliveryTimeAreaDeliveryTimeDeliveryTime", "description": "A delivery time for this product.", "properties": { "minHandlingTimeDays": { "type": "integer", "description": "Required. The minimum number of business days (inclusive) between when an order is placed and when the product ships. If a product ships in the same day, set this value to 0.", "format": "int32" }, "maxHandlingTimeDays": { "description": "Required. The maximum number of business days (inclusive) between when an order is placed and when the product ships. If a product ships in the same day, set this value to 0.", "format": "int32", "type": "integer" }, "maxTransitTimeDays": { "type": "integer", "description": "Required. The maximum number of business days (inclusive) between when the product ships and when the product is delivered.", "format": "int32" }, "minTransitTimeDays": { "description": "Required. The minimum number of business days (inclusive) between when the product ships and when the product is delivered.", "format": "int32", "type": "integer" } } }, "HolidayCutoff": { "id": "HolidayCutoff", "type": "object", "properties": { "visibleFromDate": { "description": "Date on which the deadline will become visible to consumers in ISO 8601 format. For example, \"2016-10-31\" for 31st October 2016. Required.", "type": "string" }, "deadlineTimezone": { "description": "Timezone identifier for the deadline hour (for example, \"Europe/Zurich\"). List of identifiers. Required.", "type": "string" }, "deadlineDate": { "type": "string", "description": "Date of the order deadline, in ISO 8601 format. For example, \"2016-11-29\" for 29th November 2016. Required." }, "holidayId": { "description": "Unique identifier for the holiday. Required.", "type": "string" }, "deadlineHour": { "format": "uint32", "type": "integer", "description": "Hour of the day on the deadline date until which the order has to be placed to qualify for the delivery guarantee. Possible values are: 0 (midnight), 1, ..., 12 (noon), 13, ..., 23. Required." } } }, "ProductDeliveryTime": { "type": "object", "properties": { "productId": { "$ref": "ProductId", "description": "Required. The `id` of the product." }, "areaDeliveryTimes": { "description": "Required. A set of associations between `DeliveryArea` and `DeliveryTime` entries. The total number of `areaDeliveryTimes` can be at most 100.", "type": "array", "items": { "$ref": "ProductDeliveryTimeAreaDeliveryTime" } } }, "description": "The estimated days to deliver a product after an order is placed. Only authorized shipping signals partners working with a merchant can use this resource. Merchants should use the [`products`](https://developers.google.com/shopping-content/reference/rest/v2.1/products#productshipping) resource instead.", "id": "ProductDeliveryTime" }, "OrderreturnsLineItem": { "id": "OrderreturnsLineItem", "type": "object", "properties": { "productId": { "description": "The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required.", "type": "string" }, "quantity": { "type": "integer", "format": "uint32", "description": "The quantity of this line item." }, "lineItemId": { "type": "string", "description": "The ID of the line item. This value is assigned by Google when an order is created. Either lineItemId or productId is required." } } }, "ListAccountLabelsResponse": { "description": "Response message for the `ListAccountLabels` method.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "accountLabels": { "type": "array", "description": "The labels from the specified account.", "items": { "$ref": "AccountLabel" } } }, "id": "ListAccountLabelsResponse" }, "RegionalinventoryCustomBatchResponse": { "id": "RegionalinventoryCustomBatchResponse", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#regionalinventoryCustomBatchResponse`\"." }, "entries": { "type": "array", "items": { "$ref": "RegionalinventoryCustomBatchResponseEntry" }, "description": "The result of the execution of the batch requests." } } }, "ReturnaddressListResponse": { "properties": { "nextPageToken": { "description": "The token for the retrieval of the next page of addresses.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnaddressListResponse`\"." }, "resources": { "items": { "$ref": "ReturnAddress" }, "type": "array" } }, "id": "ReturnaddressListResponse", "type": "object" }, "PubsubNotificationSettings": { "id": "PubsubNotificationSettings", "type": "object", "properties": { "cloudTopicName": { "type": "string", "description": "Cloud pub/sub topic to which notifications are sent (read-only)." }, "registeredEvents": { "items": { "type": "string" }, "type": "array", "description": "List of event types. Acceptable values are: - \"`orderPendingShipment`\" " }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#pubsubNotificationSettings`\"", "type": "string" } }, "description": "Settings for Pub/Sub notifications, all methods require that the caller is a direct user of the merchant center account." }, "PriceAmount": { "description": "The price represented as a number and currency.", "type": "object", "properties": { "value": { "description": "The price represented as a number.", "type": "string" }, "currency": { "description": "The currency of the price.", "type": "string" } }, "id": "PriceAmount" }, "AccountLabel": { "type": "object", "description": "Label assigned by CSS domain or CSS group to one of its sub-accounts.", "properties": { "description": { "description": "The description of this label.", "type": "string" }, "labelType": { "type": "string", "enumDescriptions": [ "Unknown label type.", "Indicates that the label was created manually.", "Indicates that the label was created automatically by CSS Center." ], "enum": [ "LABEL_TYPE_UNSPECIFIED", "MANUAL", "AUTOMATIC" ], "readOnly": true, "description": "Output only. The type of this label." }, "name": { "type": "string", "description": "The display name of this label." }, "accountId": { "description": "Immutable. The ID of account this label belongs to.", "type": "string", "format": "int64" }, "labelId": { "description": "Output only. The ID of the label.", "format": "int64", "type": "string", "readOnly": true } }, "id": "AccountLabel" }, "PosDataProviders": { "id": "PosDataProviders", "type": "object", "properties": { "country": { "type": "string", "description": "Country code." }, "posDataProviders": { "type": "array", "items": { "$ref": "PosDataProvidersPosDataProvider" }, "description": "A list of POS data providers." } } }, "AccountAutomaticImprovements": { "id": "AccountAutomaticImprovements", "properties": { "shippingImprovements": { "description": "Not available for MCAs [accounts](https://support.google.com/merchants/answer/188487). By turning on [automatic shipping improvements](https://support.google.com/merchants/answer/10027038), you are allowing Google to improve the accuracy of your delivery times shown to shoppers using Google. More accurate delivery times, especially when faster, typically lead to better conversion rates. Google will improve your estimated delivery times based on various factors: - Delivery address of an order - Current handling time and shipping time settings - Estimated weekdays or business days - Parcel tracking data This field is only updated (cleared) if provided.", "$ref": "AccountShippingImprovements" }, "itemUpdates": { "description": "Turning on [item updates](https://support.google.com/merchants/answer/3246284) allows Google to automatically update items for you. When item updates are on, Google uses the structured data markup on the website and advanced data extractors to update the price and availability of the items. When the item updates are off, items with mismatched data aren't shown. This field is only updated (cleared) if provided.", "$ref": "AccountItemUpdates" }, "imageImprovements": { "$ref": "AccountImageImprovements", "description": "This improvement will attempt to automatically correct submitted images if they don't meet the [image requirements](https://support.google.com/merchants/answer/6324350), for example, removing overlays. If successful, the image will be replaced and approved. This improvement is only applied to images of disapproved offers. For more information see: [Automatic image improvements](https://support.google.com/merchants/answer/9242973) This field is only updated (cleared) if provided." } }, "type": "object", "description": "The automatic improvements of the account can be used to automatically update items, improve images and shipping." }, "OrderCancellation": { "type": "object", "id": "OrderCancellation", "properties": { "creationDate": { "type": "string", "description": "Date on which the cancellation has been created, in ISO 8601 format." }, "quantity": { "type": "integer", "description": "The quantity that was canceled.", "format": "uint32" }, "actor": { "description": "The actor that created the cancellation. Acceptable values are: - \"`customer`\" - \"`googleBot`\" - \"`googleCustomerService`\" - \"`googlePayments`\" - \"`googleSabre`\" - \"`merchant`\" ", "type": "string" }, "reason": { "description": "The reason for the cancellation. Orders that are canceled with a noInventory reason will lead to the removal of the product from Buy on Google until you make an update to that product. This won't affect your Shopping ads. Acceptable values are: - \"`autoPostInternal`\" - \"`autoPostInvalidBillingAddress`\" - \"`autoPostNoInventory`\" - \"`autoPostPriceError`\" - \"`autoPostUndeliverableShippingAddress`\" - \"`couponAbuse`\" - \"`customerCanceled`\" - \"`customerInitiatedCancel`\" - \"`customerSupportRequested`\" - \"`failToPushOrderGoogleError`\" - \"`failToPushOrderMerchantError`\" - \"`failToPushOrderMerchantFulfillmentError`\" - \"`failToPushOrderToMerchant`\" - \"`failToPushOrderToMerchantOutOfStock`\" - \"`invalidCoupon`\" - \"`malformedShippingAddress`\" - \"`merchantDidNotShipOnTime`\" - \"`noInventory`\" - \"`orderTimeout`\" - \"`other`\" - \"`paymentAbuse`\" - \"`paymentDeclined`\" - \"`priceError`\" - \"`returnRefundAbuse`\" - \"`shippingPriceError`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`failedToCaptureFunds`\" ", "type": "string" }, "reasonText": { "description": "The explanation of the reason.", "type": "string" } } }, "ShipmentInvoiceLineItemInvoice": { "id": "ShipmentInvoiceLineItemInvoice", "properties": { "unitInvoice": { "$ref": "UnitInvoice", "description": "[required] Invoice details for a single unit." }, "productId": { "type": "string", "description": "ID of the product. This is the REST ID used in the products service. Either lineItemId or productId must be set." }, "shipmentUnitIds": { "items": { "type": "string" }, "description": "[required] The shipment unit ID is assigned by the merchant and defines individual quantities within a line item. The same ID can be assigned to units that are the same while units that differ must be assigned a different ID (for example: free or promotional units).", "type": "array" }, "lineItemId": { "description": "ID of the line item. Either lineItemId or productId must be set.", "type": "string" } }, "type": "object" }, "ShippingsettingsGetSupportedPickupServicesResponse": { "id": "ShippingsettingsGetSupportedPickupServicesResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsGetSupportedPickupServicesResponse`\".", "type": "string" }, "pickupServices": { "description": "A list of supported pickup services. May be empty.", "type": "array", "items": { "$ref": "PickupServicesPickupService" } } } }, "ShippingsettingsCustomBatchRequestEntry": { "description": "A batch entry encoding a single non-batch shippingsettings request.", "properties": { "method": { "type": "string", "description": "The method of the batch entry. Acceptable values are: - \"`get`\" - \"`update`\" " }, "merchantId": { "type": "string", "format": "uint64", "description": "The ID of the managing account." }, "batchId": { "format": "uint32", "type": "integer", "description": "An entry ID, unique within the batch request." }, "accountId": { "description": "The ID of the account for which to get/update account shipping settings.", "format": "uint64", "type": "string" }, "shippingSettings": { "description": "The account shipping settings to update. Only defined if the method is `update`.", "$ref": "ShippingSettings" } }, "id": "ShippingsettingsCustomBatchRequestEntry", "type": "object" }, "TestOrderDeliveryDetails": { "type": "object", "id": "TestOrderDeliveryDetails", "properties": { "address": { "description": "The delivery address", "$ref": "TestOrderAddress" }, "isScheduledDelivery": { "type": "boolean", "description": "Whether the order is scheduled delivery order." }, "phoneNumber": { "description": "The phone number of the person receiving the delivery.", "type": "string" } } }, "OrderreturnsRejectOperation": { "properties": { "reason": { "type": "string", "description": "The reason for the return." }, "reasonText": { "type": "string", "description": "The explanation of the reason." } }, "id": "OrderreturnsRejectOperation", "type": "object" }, "AccountstatusesCustomBatchResponse": { "id": "AccountstatusesCustomBatchResponse", "properties": { "entries": { "type": "array", "description": "The result of the execution of the batch requests.", "items": { "$ref": "AccountstatusesCustomBatchResponseEntry" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountstatusesCustomBatchResponse`\".", "type": "string" } }, "type": "object" }, "GmbAccountsGmbAccount": { "type": "object", "id": "GmbAccountsGmbAccount", "properties": { "email": { "description": "The email which identifies the Business Profile.", "type": "string" }, "type": { "type": "string", "description": "The type of the Business Profile (User or Business)." }, "name": { "type": "string", "description": "The name of the Business Profile." }, "listingCount": { "description": "Number of listings under this account.", "format": "uint64", "type": "string" } } }, "TestOrderLineItem": { "type": "object", "properties": { "quantityOrdered": { "type": "integer", "description": "Required. Number of items ordered.", "format": "uint32" }, "shippingDetails": { "$ref": "OrderLineItemShippingDetails", "description": "Required. Details of the requested shipping for the line item." }, "returnInfo": { "$ref": "OrderLineItemReturnInfo", "description": "Required. Details of the return policy for the line item." }, "product": { "description": "Required. Product data from the time of the order placement.", "$ref": "TestOrderLineItemProduct" } }, "id": "TestOrderLineItem" }, "Date": { "id": "Date", "properties": { "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" }, "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." } }, "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "LiaSettings": { "id": "LiaSettings", "type": "object", "description": "Local Inventory ads (LIA) settings. All methods except listposdataproviders require the admin role.", "properties": { "accountId": { "description": "The ID of the account to which these LIA settings belong. Ignored upon update, always present in get request responses.", "type": "string", "format": "uint64" }, "countrySettings": { "description": "The LIA settings for each country.", "items": { "$ref": "LiaCountrySettings" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liaSettings`\"" } } }, "ProductDimension": { "type": "object", "id": "ProductDimension", "properties": { "value": { "format": "double", "type": "number", "description": "Required. The length value represented as a number. The value can have a maximum precision of four decimal places." }, "unit": { "description": "Required. The length units. Acceptable values are: - \"`in`\" - \"`cm`\" ", "type": "string" } } }, "CollectionStatusItemLevelIssue": { "id": "CollectionStatusItemLevelIssue", "type": "object", "description": "Issue associated with the collection.", "properties": { "code": { "description": "The error code of the issue.", "type": "string" }, "attributeName": { "description": "The attribute's name, if the issue is caused by a single attribute.", "type": "string" }, "servability": { "type": "string", "description": "How this issue affects the serving of the collection." }, "description": { "type": "string", "description": "A short issue description in English." }, "resolution": { "description": "Whether the issue can be resolved by the merchant.", "type": "string" }, "detail": { "description": "A detailed issue description in English.", "type": "string" }, "documentation": { "description": "The URL of a web page to help with resolving this issue.", "type": "string" }, "destination": { "type": "string", "description": "The destination the issue applies to." } } }, "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption": { "id": "OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption", "properties": { "reason": { "type": "string", "description": "[required] Reason for the refund. Acceptable values are: - \"`adjustment`\" - \"`autoPostInternal`\" - \"`autoPostInvalidBillingAddress`\" - \"`autoPostNoInventory`\" - \"`autoPostPriceError`\" - \"`autoPostUndeliverableShippingAddress`\" - \"`couponAbuse`\" - \"`courtesyAdjustment`\" - \"`customerCanceled`\" - \"`customerDiscretionaryReturn`\" - \"`customerInitiatedMerchantCancel`\" - \"`customerSupportRequested`\" - \"`deliveredLateByCarrier`\" - \"`deliveredTooLate`\" - \"`expiredItem`\" - \"`failToPushOrderGoogleError`\" - \"`failToPushOrderMerchantError`\" - \"`failToPushOrderMerchantFulfillmentError`\" - \"`failToPushOrderToMerchant`\" - \"`failToPushOrderToMerchantOutOfStock`\" - \"`feeAdjustment`\" - \"`invalidCoupon`\" - \"`lateShipmentCredit`\" - \"`malformedShippingAddress`\" - \"`merchantDidNotShipOnTime`\" - \"`noInventory`\" - \"`orderTimeout`\" - \"`other`\" - \"`paymentAbuse`\" - \"`paymentDeclined`\" - \"`priceAdjustment`\" - \"`priceError`\" - \"`productArrivedDamaged`\" - \"`productNotAsDescribed`\" - \"`promoReallocation`\" - \"`qualityNotAsExpected`\" - \"`returnRefundAbuse`\" - \"`shippingCostAdjustment`\" - \"`shippingPriceError`\" - \"`taxAdjustment`\" - \"`taxError`\" - \"`undeliverableShippingAddress`\" - \"`unsupportedPoBoxAddress`\" - \"`wrongProductShipped`\" " }, "description": { "type": "string", "description": "Optional description of the refund reason." } }, "type": "object" }, "OrdersUpdateShipmentResponse": { "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersUpdateShipmentResponse`\"." } }, "id": "OrdersUpdateShipmentResponse", "type": "object" }, "Amount": { "id": "Amount", "properties": { "priceAmount": { "description": "[required] The pre-tax or post-tax price depending on the location of the order.", "$ref": "Price" }, "taxAmount": { "$ref": "Price", "description": "[required] Tax value." } }, "type": "object" }, "ReturnShipment": { "id": "ReturnShipment", "type": "object", "properties": { "state": { "description": "State of the shipment. Acceptable values are: - \"`completed`\" - \"`new`\" - \"`shipped`\" - \"`undeliverable`\" - \"`pending`\" ", "type": "string" }, "returnMethodType": { "type": "string", "description": "Type of the return method. Acceptable values are: - \"`byMail`\" - \"`contactCustomerSupport`\" - \"`returnless`\" - \"`inStore`\" " }, "creationDate": { "description": "The date of creation of the shipment, in ISO 8601 format.", "type": "string" }, "shippingDate": { "description": "The date of shipping of the shipment, in ISO 8601 format.", "type": "string" }, "deliveryDate": { "type": "string", "description": "The date of delivery of the shipment, in ISO 8601 format." }, "shipmentId": { "description": "Shipment ID generated by Google.", "type": "string" }, "shipmentTrackingInfos": { "type": "array", "items": { "$ref": "ShipmentTrackingInfo" }, "description": "Tracking information of the shipment. One return shipment might be handled by several shipping carriers sequentially." } } }, "RepricingRuleCostOfGoodsSaleRule": { "description": "A repricing rule that changes the sale price based on cost of goods sale.", "type": "object", "properties": { "priceDelta": { "type": "string", "description": "The price delta against the COGS. E.g. 2 means $2 more of the COGS." }, "percentageDelta": { "type": "integer", "description": "The percent change against the COGS. Ex: 20 would mean to set the adjusted price 1.2X of the COGS data.", "format": "int32" } }, "id": "RepricingRuleCostOfGoodsSaleRule" }, "AccountsListLinksResponse": { "type": "object", "properties": { "links": { "type": "array", "description": "The list of available links.", "items": { "$ref": "LinkedAccount" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsListLinksResponse`\".", "type": "string" }, "nextPageToken": { "description": "The token for the retrieval of the next page of links.", "type": "string" } }, "id": "AccountsListLinksResponse" }, "AccountstatusesCustomBatchRequestEntry": { "type": "object", "description": "A batch entry encoding a single non-batch accountstatuses request.", "properties": { "merchantId": { "description": "The ID of the managing account.", "type": "string", "format": "uint64" }, "accountId": { "type": "string", "format": "uint64", "description": "The ID of the (sub-)account whose status to get." }, "batchId": { "format": "uint32", "description": "An entry ID, unique within the batch request.", "type": "integer" }, "method": { "type": "string", "description": "The method of the batch entry. Acceptable values are: - \"`get`\" " }, "destinations": { "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "items": { "type": "string" }, "type": "array" } }, "id": "AccountstatusesCustomBatchRequestEntry" }, "Row": { "type": "object", "id": "Row", "properties": { "cells": { "type": "array", "description": "The list of cells that constitute the row. Must have the same length as `columnHeaders` for two-dimensional tables, a length of 1 for one-dimensional tables. Required.", "items": { "$ref": "Value" } } } }, "Errors": { "type": "object", "description": "A list of errors returned by a failed batch entry.", "id": "Errors", "properties": { "errors": { "type": "array", "items": { "$ref": "Error" }, "description": "A list of errors." }, "message": { "type": "string", "description": "The message of the first error in `errors`." }, "code": { "description": "The HTTP status of the first error in `errors`.", "format": "uint32", "type": "integer" } } }, "OrdersCancelLineItemResponse": { "id": "OrdersCancelLineItemResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#ordersCancelLineItemResponse`\"." }, "executionStatus": { "type": "string", "description": "The status of the execution. Acceptable values are: - \"`duplicate`\" - \"`executed`\" " } }, "type": "object" }, "OrderAddress": { "type": "object", "properties": { "region": { "description": "Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\").", "type": "string" }, "recipientName": { "description": "Name of the recipient.", "type": "string" }, "postalCode": { "description": "Postal Code or ZIP (for example, \"94043\").", "type": "string" }, "country": { "description": "CLDR country code (for example, \"US\").", "type": "string" }, "isPostOfficeBox": { "description": "Whether the address is a post office box.", "type": "boolean" }, "locality": { "type": "string", "description": "City, town or commune. May also include dependent localities or sublocalities (for example, neighborhoods or suburbs)." }, "fullAddress": { "items": { "type": "string" }, "description": "Strings representing the lines of the printed label for mailing the order, for example: John Smith 1600 Amphitheatre Parkway Mountain View, CA, 94043 United States ", "type": "array" }, "streetAddress": { "description": "Street-level part of the address. Use `\\n` to add a second line.", "items": { "type": "string" }, "type": "array" } }, "id": "OrderAddress" }, "RegionalinventoryCustomBatchResponseEntry": { "properties": { "errors": { "$ref": "Errors", "description": "A list of errors defined if and only if the request failed." }, "batchId": { "format": "uint32", "description": "The ID of the request entry this entry responds to.", "type": "integer" }, "regionalInventory": { "description": "Price and availability of the product.", "$ref": "RegionalInventory" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#regionalinventoryCustomBatchResponseEntry`\"." } }, "type": "object", "description": "A batch entry encoding a single non-batch regional inventory response.", "id": "RegionalinventoryCustomBatchResponseEntry" }, "ReturnPolicyOnlineRestockingFee": { "id": "ReturnPolicyOnlineRestockingFee", "description": "The restocking fee. This can either be a fixed fee or a micro percent.", "type": "object", "properties": { "microPercent": { "description": "Percent of total price in micros. 15,000,000 means 15% of the total price would be charged.", "type": "integer", "format": "int32" }, "fixedFee": { "$ref": "PriceAmount", "description": "Fixed restocking fee." } } }, "LiasettingsSetInventoryVerificationContactResponse": { "type": "object", "id": "LiasettingsSetInventoryVerificationContactResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#liasettingsSetInventoryVerificationContactResponse`\".", "type": "string" } } }, "ReturnaddressCustomBatchResponseEntry": { "id": "ReturnaddressCustomBatchResponseEntry", "type": "object", "properties": { "batchId": { "description": "The ID of the request entry to which this entry responds.", "type": "integer", "format": "uint32" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#returnaddressCustomBatchResponseEntry`\"" }, "returnAddress": { "$ref": "ReturnAddress", "description": "The retrieved return address." }, "errors": { "description": "A list of errors defined if, and only if, the request failed.", "$ref": "Errors" } } }, "ProductShippingWeight": { "type": "object", "id": "ProductShippingWeight", "properties": { "value": { "description": "The weight of the product used to calculate the shipping cost of the item.", "type": "number", "format": "double" }, "unit": { "description": "The unit of value.", "type": "string" } } }, "ActivateBuyOnGoogleProgramRequest": { "properties": {}, "description": "Request message for the ActivateProgram method.", "type": "object", "id": "ActivateBuyOnGoogleProgramRequest" }, "FreeListingsProgramStatus": { "type": "object", "properties": { "globalState": { "type": "string", "enum": [ "PROGRAM_STATE_UNSPECIFIED", "NOT_ENABLED", "NO_OFFERS_UPLOADED", "ENABLED" ], "description": "State of the program. `ENABLED` if there are offers for at least one region.", "enumDescriptions": [ "State is unknown.", "Program is not enabled for any country.", "No products have been uploaded for any region. Upload products to Merchant Center.", "Program is enabled and offers are uploaded for at least one country." ] }, "regionStatuses": { "items": { "$ref": "FreeListingsProgramStatusRegionStatus" }, "description": "Status of the program in each region. Regions with the same status and review eligibility are grouped together in `regionCodes`.", "type": "array" } }, "description": "Response message for GetFreeListingsProgramStatus.", "id": "FreeListingsProgramStatus" }, "Warehouse": { "properties": { "name": { "type": "string", "description": "Required. The name of the warehouse. Must be unique within account." }, "cutoffTime": { "$ref": "WarehouseCutoffTime", "description": "Required. The latest time of day that an order can be accepted and begin processing. Later orders will be processed in the next day. The time is based on the warehouse postal code." }, "handlingDays": { "format": "int64", "description": "Required. The number of days it takes for this warehouse to pack up and ship an item. This is on the warehouse level, but can be overridden on the offer level based on the attributes of an item.", "type": "string" }, "businessDayConfig": { "description": "Business days of the warehouse. If not set, will be Monday to Friday by default.", "$ref": "BusinessDayConfig" }, "shippingAddress": { "$ref": "Address", "description": "Required. Shipping address of the warehouse." } }, "description": "A fulfillment warehouse, which stores and handles inventory.", "id": "Warehouse", "type": "object" }, "DeliveryTime": { "id": "DeliveryTime", "type": "object", "properties": { "minHandlingTimeInDays": { "format": "uint32", "type": "integer", "description": "Minimum number of business days spent before an order is shipped. 0 means same day shipped, 1 means next day shipped." }, "transitTimeTable": { "$ref": "TransitTable", "description": "Transit time table, number of business days spent in transit based on row and column dimensions. Either `{min,max}TransitTimeInDays` or `transitTimeTable` can be set, but not both." }, "minTransitTimeInDays": { "description": "Minimum number of business days that are spent in transit. 0 means same day delivery, 1 means next day delivery. Either `{min,max}TransitTimeInDays` or `transitTimeTable` must be set, but not both.", "type": "integer", "format": "uint32" }, "transitBusinessDayConfig": { "description": "The business days during which orders can be in-transit. If not provided, Monday to Friday business days will be assumed.", "$ref": "BusinessDayConfig" }, "cutoffTime": { "$ref": "CutoffTime", "description": "Business days cutoff time definition. If not configured the cutoff time will be defaulted to 8AM PST." }, "handlingBusinessDayConfig": { "$ref": "BusinessDayConfig", "description": "The business days during which orders can be handled. If not provided, Monday to Friday business days will be assumed." }, "maxTransitTimeInDays": { "type": "integer", "format": "uint32", "description": "Maximum number of business days that are spent in transit. 0 means same day delivery, 1 means next day delivery. Must be greater than or equal to `minTransitTimeInDays`." }, "maxHandlingTimeInDays": { "type": "integer", "description": "Maximum number of business days spent before an order is shipped. 0 means same day shipped, 1 means next day shipped. Must be greater than or equal to `minHandlingTimeInDays`.", "format": "uint32" }, "holidayCutoffs": { "items": { "$ref": "HolidayCutoff" }, "description": "Holiday cutoff definitions. If configured, they specify order cutoff times for holiday-specific shipping.", "type": "array" }, "warehouseBasedDeliveryTimes": { "type": "array", "description": "Indicates that the delivery time should be calculated per warehouse (shipping origin location) based on the settings of the selected carrier. When set, no other transit time related field in DeliveryTime should be set.", "items": { "$ref": "WarehouseBasedDeliveryTime" } } } }, "PostalCodeRange": { "id": "PostalCodeRange", "properties": { "postalCodeRangeEnd": { "description": "A postal code or a pattern of the form `prefix*` denoting the inclusive upper bound of the range defining the area. It must have the same length as `postalCodeRangeBegin`: if `postalCodeRangeBegin` is a postal code then `postalCodeRangeEnd` must be a postal code too; if `postalCodeRangeBegin` is a pattern then `postalCodeRangeEnd` must be a pattern with the same prefix length. Optional: if not set, then the area is defined as being all the postal codes matching `postalCodeRangeBegin`.", "type": "string" }, "postalCodeRangeBegin": { "type": "string", "description": "A postal code or a pattern of the form `prefix*` denoting the inclusive lower bound of the range defining the area. Examples values: `\"94108\"`, `\"9410*\"`, `\"9*\"`. Required." } }, "type": "object" }, "DatafeedStatusError": { "properties": { "message": { "type": "string", "description": "The error message, for example, \"Invalid price\"." }, "count": { "description": "The number of occurrences of the error in the feed.", "format": "uint64", "type": "string" }, "examples": { "description": "A list of example occurrences of the error, grouped by product.", "items": { "$ref": "DatafeedStatusExample" }, "type": "array" }, "code": { "type": "string", "description": "The code of the error, for example, \"validation/invalid_value\"." } }, "id": "DatafeedStatusError", "type": "object", "description": "An error occurring in the feed, like \"invalid price\"." }, "LinkService": { "properties": { "service": { "description": "Service provided to or by the linked account. Acceptable values are: - \"`shoppingActionsOrderManagement`\" - \"`shoppingActionsProductManagement`\" - \"`shoppingAdsProductManagement`\" - \"`paymentProcessing`\" ", "type": "string" }, "status": { "description": "Status of the link Acceptable values are: - \"`active`\" - \"`inactive`\" - \"`pending`\" ", "type": "string" } }, "type": "object", "id": "LinkService" }, "LocalinventoryCustomBatchResponseEntry": { "description": "Batch entry encoding a single local inventory update response.", "properties": { "batchId": { "type": "integer", "description": "The ID of the request entry this entry responds to.", "format": "uint32" }, "errors": { "description": "A list of errors defined if and only if the request failed.", "$ref": "Errors" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#localinventoryCustomBatchResponseEntry`\"" } }, "type": "object", "id": "LocalinventoryCustomBatchResponseEntry" }, "CustomerReturnReason": { "id": "CustomerReturnReason", "properties": { "reasonCode": { "type": "string", "description": "Code of the return reason. Acceptable values are: - \"`betterPriceFound`\" - \"`changedMind`\" - \"`damagedOrDefectiveItem`\" - \"`didNotMatchDescription`\" - \"`doesNotFit`\" - \"`expiredItem`\" - \"`incorrectItemReceived`\" - \"`noLongerNeeded`\" - \"`notSpecified`\" - \"`orderedWrongItem`\" - \"`other`\" - \"`qualityNotExpected`\" - \"`receivedTooLate`\" - \"`undeliverable`\" " }, "description": { "type": "string", "description": "Description of the reason." } }, "type": "object" }, "OrderTrackingSignalLineItemDetails": { "description": "The line items of the order.", "properties": { "productId": { "description": "Required. The Content API REST ID of the product, in the form channel:contentLanguage:targetCountry:offerId.", "type": "string" }, "quantity": { "description": "The quantity of the line item in the order.", "type": "string", "format": "int64" }, "lineItemId": { "type": "string", "description": "Required. The ID for this line item." }, "productTitle": { "type": "string", "description": "Plain text title of this product." }, "productDescription": { "type": "string", "description": "Plain text description of this product (deprecated: Please use product_title instead)." }, "upc": { "description": "Universal product code for this item (deprecated: Please use GTIN instead).", "type": "string" }, "gtin": { "type": "string", "description": "The Global Trade Item Number." }, "brand": { "description": "Brand of the product.", "type": "string" }, "mpn": { "type": "string", "description": "The manufacturer part number." }, "sku": { "type": "string", "description": "Merchant SKU for this item (deprecated)." } }, "id": "OrderTrackingSignalLineItemDetails", "type": "object" }, "SettlementTransactionAmount": { "id": "SettlementTransactionAmount", "properties": { "description": { "type": "string", "description": "The description of the event. Acceptable values are: - \"`taxWithhold`\" - \"`principal`\" - \"`principalAdjustment`\" - \"`shippingFee`\" - \"`merchantRemittedSalesTax`\" - \"`googleRemittedSalesTax`\" - \"`merchantCoupon`\" - \"`merchantCouponTax`\" - \"`merchantRemittedDisposalTax`\" - \"`googleRemittedDisposalTax`\" - \"`merchantRemittedRedemptionFee`\" - \"`googleRemittedRedemptionFee`\" - \"`eeeEcoFee`\" - \"`furnitureEcoFee`\" - \"`copyPrivateFee`\" - \"`eeeEcoFeeCommission`\" - \"`furnitureEcoFeeCommission`\" - \"`copyPrivateFeeCommission`\" - \"`principalRefund`\" - \"`principalRefundTax`\" - \"`itemCommission`\" - \"`adjustmentCommission`\" - \"`shippingFeeCommission`\" - \"`commissionRefund`\" - \"`damaged`\" - \"`damagedOrDefectiveItem`\" - \"`expiredItem`\" - \"`faultyItem`\" - \"`incorrectItemReceived`\" - \"`itemMissing`\" - \"`qualityNotExpected`\" - \"`receivedTooLate`\" - \"`storePackageMissing`\" - \"`transitPackageMissing`\" - \"`unsuccessfulDeliveryUndeliverable`\" - \"`wrongChargeInStore`\" - \"`wrongItem`\" - \"`returns`\" - \"`undeliverable`\" - \"`issueRelatedRefundAndReplacementAmountDescription`\" - \"`refundFromMerchant`\" - \"`returnLabelShippingFee`\" - \"`lumpSumCorrection`\" - \"`pspFee`\" - \"`principalRefundDoesNotFit`\" - \"`principalRefundOrderedWrongItem`\" - \"`principalRefundQualityNotExpected`\" - \"`principalRefundBetterPriceFound`\" - \"`principalRefundNoLongerNeeded`\" - \"`principalRefundChangedMind`\" - \"`principalRefundReceivedTooLate`\" - \"`principalRefundIncorrectItemReceived`\" - \"`principalRefundDamagedOrDefectiveItem`\" - \"`principalRefundDidNotMatchDescription`\" - \"`principalRefundExpiredItem`\" " }, "transactionAmount": { "description": "The amount that contributes to the line item price.", "$ref": "Price" }, "type": { "type": "string", "description": "The type of the amount. Acceptable values are: - \"`itemPrice`\" - \"`orderPrice`\" - \"`refund`\" - \"`earlyRefund`\" - \"`courtesyRefund`\" - \"`returnRefund`\" - \"`returnLabelShippingFeeAmount`\" - \"`lumpSumCorrectionAmount`\" " }, "commission": { "$ref": "SettlementTransactionAmountCommission" } }, "type": "object" }, "ShoppingAdsProgramStatusRegionStatus": { "id": "ShoppingAdsProgramStatusRegionStatus", "properties": { "onboardingIssues": { "type": "array", "items": { "type": "string" }, "description": "Issues that must be fixed to be eligible for review." }, "disapprovalDate": { "description": "Date by which eligibilityStatus will go from `WARNING` to `DISAPPROVED`. Only visible when your eligibilityStatus is WARNING. In [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DD`.", "type": "string" }, "reviewIneligibilityReasonDetails": { "$ref": "ShoppingAdsProgramStatusReviewIneligibilityReasonDetails", "description": "Additional information for ineligibility. If `reviewIneligibilityReason` is `IN_COOLDOWN_PERIOD`, a timestamp for the end of the cooldown period is provided." }, "regionCodes": { "description": "The two-letter [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) codes for all the regions with the same `eligibilityStatus` and `reviewEligibility`.", "items": { "type": "string" }, "type": "array" }, "eligibilityStatus": { "enumDescriptions": [ "State is not known.", "If the account has no issues and review is completed successfully.", "There are one or more issues that needs to be resolved for account to be active for the program. Detailed list of account issues are available in [accountstatuses](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses) API.", "If account has issues but offers are servable. Some of the issue can make account DISAPPROVED after a certain deadline.", "Account is under review.", "Account is waiting for review to start.", "Program is currently onboarding. Upload valid offers to complete onboarding." ], "description": "Eligibility status of the Shopping Ads program.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "APPROVED", "DISAPPROVED", "WARNING", "UNDER_REVIEW", "PENDING_REVIEW", "ONBOARDING" ] }, "reviewIneligibilityReasonDescription": { "description": "Reason a program in a specific region isn’t eligible for review. Only visible if `reviewEligibilityStatus` is `INELIGIBLE`.", "type": "string" }, "reviewIssues": { "items": { "type": "string" }, "type": "array", "description": "Issues evaluated in the review process. Fix all issues before requesting a review." }, "reviewIneligibilityReason": { "description": "Review ineligibility reason if account is not eligible for review.", "enum": [ "REVIEW_INELIGIBILITY_REASON_UNSPECIFIED", "ONBOARDING_ISSUES", "NOT_ENOUGH_OFFERS", "IN_COOLDOWN_PERIOD", "ALREADY_UNDER_REVIEW", "NO_REVIEW_REQUIRED", "WILL_BE_REVIEWED_AUTOMATICALLY", "IS_RETIRED", "ALREADY_REVIEWED" ], "type": "string", "enumDescriptions": [ "Requesting a review from Google is not possible.", "All onboarding issues needs to be fixed.", "Not enough offers uploaded for this country.", "Cooldown period applies. Wait until cooldown period ends.", "Account is already under review.", "No issues available to review.", "Account will be automatically reviewed at the end of the grace period.", "Account is retired. Should not appear in MC.", "Account was already reviewd." ] }, "reviewEligibilityStatus": { "enum": [ "REVIEW_ELIGIBILITY_UNSPECIFIED", "ELIGIBLE", "INELIGIBLE" ], "enumDescriptions": [ "Review eligibility state is unknown.", "Account is eligible for review for a specified region code.", "Account is not eligible for review for a specified region code." ], "type": "string", "description": "If a program is eligible for review in a specific region. Only visible if `eligibilityStatus` is `DISAPPROVED`." } }, "type": "object", "description": "Status of program and region." }, "OrderShipmentLineItemShipment": { "type": "object", "properties": { "lineItemId": { "description": "The ID of the line item that is shipped. This value is assigned by Google when an order is created. Either lineItemId or productId is required.", "type": "string" }, "quantity": { "description": "The quantity that is shipped.", "type": "integer", "format": "uint32" }, "productId": { "type": "string", "description": "The ID of the product to ship. This is the REST ID used in the products service. Either lineItemId or productId is required." } }, "id": "OrderShipmentLineItemShipment" }, "RegionPostalCodeAreaPostalCodeRange": { "type": "object", "id": "RegionPostalCodeAreaPostalCodeRange", "properties": { "begin": { "type": "string", "description": "Required. A postal code or a pattern of the form prefix* denoting the inclusive lower bound of the range defining the area. Examples values: \"94108\", \"9410*\", \"9*\"." }, "end": { "description": "Optional. A postal code or a pattern of the form prefix* denoting the inclusive upper bound of the range defining the area. It must have the same length as postalCodeRangeBegin: if postalCodeRangeBegin is a postal code then postalCodeRangeEnd must be a postal code too; if postalCodeRangeBegin is a pattern then postalCodeRangeEnd must be a pattern with the same prefix length. Optional: if not set, then the area is defined as being all the postal codes matching postalCodeRangeBegin.", "type": "string" } }, "description": "A range of postal codes that defines the region area." }, "CaptureOrderResponse": { "id": "CaptureOrderResponse", "description": "Response message for the CaptureOrder method.", "properties": { "executionStatus": { "type": "string", "description": "The status of the execution. Only defined if the request was successful. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"duplicate\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"executed\"", "enum": [ "EXECUTION_STATUS_UNSPECIFIED", "EXECUTED", "DUPLICATE" ], "enumDescriptions": [ "Default value. This value is unused.", "The request was completed successfully.", "The request was not performed because it already executed once successfully." ] } }, "type": "object" }, "UnitInvoiceAdditionalCharge": { "properties": { "type": { "description": "[required] Type of the additional charge. Acceptable values are: - \"`shipping`\" ", "type": "string" }, "additionalChargeAmount": { "$ref": "Amount", "description": "[required] Amount of the additional charge per unit. *Note:* Invoicing works on a per unit bases. The `additionalChargeAmount` is the amount charged per unit, and will be multiplied by the number of entries in `shipmentUnitID`." } }, "id": "UnitInvoiceAdditionalCharge", "type": "object" }, "RepricingProductReport": { "id": "RepricingProductReport", "type": "object", "properties": { "lowWatermark": { "$ref": "PriceAmount", "description": "Minimum displayed price after repriced during this reporting period." }, "totalGmv": { "$ref": "PriceAmount", "description": "Total GMV generated by impacted products while the rule was active on the date of the report. This value includes all orders that were started while the rule was active, even if the rule was no longer active when the order was completed." }, "ruleIds": { "description": "Ids of the Repricing rule for this report.", "items": { "type": "string" }, "type": "array" }, "date": { "$ref": "Date", "description": "Date of the stats in this report. The report starts and ends according to the merchant's timezone." }, "highWatermark": { "description": "Maximum displayed price after repriced during this reporting period.", "$ref": "PriceAmount" }, "type": { "enumDescriptions": [ "Unused.", "Statistical measurement based rules among Google SA merchants. If this rule is chosen, repricer will adjust the offer price based on statistical metrics (currently only min is available) among other merchants who sell the same product. Details need to be provdided in the RuleDefinition.", "Cost of goods sale based rule. Repricer will adjust the offer price based on the offer's sale cost which is provided by the merchant.", "Sales volume based rule. Repricer will adjust the offer price based on the offer's sales volume in the past period of time defined within the rule.", "Competitive price rule. Repricer will adjust the offer price based on the min price from a list of unnamed big competitors." ], "type": "string", "description": "Type of the rule.", "enum": [ "REPRICING_RULE_TYPE_UNSPECIFIED", "TYPE_STATS_BASED", "TYPE_COGS_BASED", "TYPE_SALES_VOLUME_BASED", "TYPE_COMPETITIVE_PRICE" ] }, "buyboxWinningProductStats": { "$ref": "RepricingProductReportBuyboxWinningProductStats", "description": "Stats specific to buybox winning rules for product report (deprecated)." }, "inapplicabilityDetails": { "items": { "$ref": "InapplicabilityDetails" }, "description": "List of all reasons the rule did not apply to the product during the specified reporting period.", "type": "array" }, "applicationCount": { "type": "string", "format": "int64", "description": "Total count of Repricer applications. This value captures how many times the rule of this type was applied to this product during this reporting period." }, "orderItemCount": { "description": "Total unit count of impacted products ordered while the rule was active on the date of the report. This count includes all orders that were started while the rule was active, even if the rule was no longer active when the order was completed.", "type": "integer", "format": "int32" } }, "description": "Resource that represents a daily Repricing product report. Each report contains stats for a single type of Repricing rule for a single product on a given day. If there are multiple rules of the same type for the product on that day, the report lists all the rules by rule ids, combines the stats, and paginates the results by date. To retrieve the stats of a particular rule, provide the rule_id in the request." }, "AccountsCustomBatchResponseEntry": { "type": "object", "description": "A batch entry encoding a single non-batch accounts response.", "id": "AccountsCustomBatchResponseEntry", "properties": { "account": { "description": "The retrieved, created, or updated account. Not defined if the method was `delete`, `claimwebsite` or `link`.", "$ref": "Account" }, "errors": { "description": "A list of errors defined if and only if the request failed.", "$ref": "Errors" }, "batchId": { "description": "The ID of the request entry this entry responds to.", "format": "uint32", "type": "integer" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#accountsCustomBatchResponseEntry`\"", "type": "string" } } }, "OrderMerchantProvidedAnnotation": { "type": "object", "id": "OrderMerchantProvidedAnnotation", "properties": { "value": { "description": "Value for additional merchant provided (as key-value pairs) annotation about the line item.", "type": "string" }, "key": { "description": "Key for additional merchant provided (as key-value pairs) annotation about the line item.", "type": "string" } } }, "Weight": { "id": "Weight", "type": "object", "properties": { "unit": { "type": "string", "description": "Required. The weight unit. Acceptable values are: - \"`kg`\" - \"`lb`\" " }, "value": { "type": "string", "description": "Required. The weight represented as a number. The weight can have a maximum precision of four decimal places." } } }, "ProductSubscriptionCost": { "type": "object", "properties": { "period": { "type": "string", "description": "The type of subscription period." }, "periodLength": { "description": "The number of subscription periods the buyer has to pay.", "format": "int64", "type": "string" }, "amount": { "$ref": "Price", "description": "The amount the buyer has to pay per subscription period." } }, "id": "ProductSubscriptionCost" }, "InvoiceSummary": { "type": "object", "properties": { "additionalChargeSummaries": { "type": "array", "description": "Summary of the total amounts of the additional charges.", "items": { "$ref": "InvoiceSummaryAdditionalChargeSummary" } }, "productTotal": { "description": "[required] Total price for the product.", "$ref": "Amount" } }, "id": "InvoiceSummary" }, "ShippingsettingsCustomBatchResponse": { "type": "object", "properties": { "entries": { "description": "The result of the execution of the batch requests.", "type": "array", "items": { "$ref": "ShippingsettingsCustomBatchResponseEntry" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#shippingsettingsCustomBatchResponse`\".", "type": "string" } }, "id": "ShippingsettingsCustomBatchResponse" }, "ProductAmount": { "properties": { "priceAmount": { "description": "The pre-tax or post-tax price depending on the location of the order.", "$ref": "Price" }, "remittedTaxAmount": { "description": "Remitted tax value.", "$ref": "Price" }, "taxAmount": { "$ref": "Price", "description": "Tax value." } }, "id": "ProductAmount", "type": "object" }, "CollectionStatus": { "description": "The collectionstatus message.", "id": "CollectionStatus", "properties": { "id": { "type": "string", "description": "Required. The ID of the collection for which status is reported." }, "creationDate": { "type": "string", "description": "Date on which the collection has been created in [ISO 8601](http://en.wikipedia.org/wiki/ISO_8601) format: Date, time, and offset, e.g. \"2020-01-02T09:00:00+01:00\" or \"2020-01-02T09:00:00Z\"" }, "destinationStatuses": { "items": { "$ref": "CollectionStatusDestinationStatus" }, "description": "The intended destinations for the collection.", "type": "array" }, "lastUpdateDate": { "type": "string", "description": "Date on which the collection has been last updated in [ISO 8601](http://en.wikipedia.org/wiki/ISO_8601) format: Date, time, and offset, e.g. \"2020-01-02T09:00:00+01:00\" or \"2020-01-02T09:00:00Z\"" }, "collectionLevelIssuses": { "items": { "$ref": "CollectionStatusItemLevelIssue" }, "description": "A list of all issues associated with the collection.", "type": "array" } }, "type": "object" }, "UnitInvoiceTaxLine": { "type": "object", "id": "UnitInvoiceTaxLine", "properties": { "taxAmount": { "$ref": "Price", "description": "[required] Tax amount for the tax type." }, "taxType": { "type": "string", "description": "[required] Type of the tax. Acceptable values are: - \"`otherFee`\" - \"`otherFeeTax`\" - \"`sales`\" " }, "taxName": { "type": "string", "description": "Optional name of the tax type. This should only be provided if `taxType` is `otherFeeTax`." } } }, "DatafeedStatus": { "properties": { "warnings": { "type": "array", "description": "The list of errors occurring in the feed.", "items": { "$ref": "DatafeedStatusError" } }, "country": { "type": "string", "description": "The country for which the status is reported, represented as a CLDR territory code." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#datafeedStatus`\"" }, "language": { "description": "The two-letter ISO 639-1 language for which the status is reported.", "type": "string" }, "datafeedId": { "type": "string", "format": "uint64", "description": "The ID of the feed for which the status is reported." }, "itemsTotal": { "description": "The number of items in the feed that were processed.", "format": "uint64", "type": "string" }, "lastUploadDate": { "type": "string", "description": "The last date at which the feed was uploaded." }, "itemsValid": { "description": "The number of items in the feed that were valid.", "format": "uint64", "type": "string" }, "errors": { "description": "The list of errors occurring in the feed.", "items": { "$ref": "DatafeedStatusError" }, "type": "array" }, "processingStatus": { "type": "string", "description": "The processing status of the feed. Acceptable values are: - \"`\"`failure`\": The feed could not be processed or all items had errors.`\" - \"`in progress`\": The feed is being processed. - \"`none`\": The feed has not yet been processed. For example, a feed that has never been uploaded will have this processing status. - \"`success`\": The feed was processed successfully, though some items might have had errors. " } }, "id": "DatafeedStatus", "type": "object", "description": "The status of a datafeed, that is, the result of the last retrieval of the datafeed computed asynchronously when the feed processing is finished." }, "OrdersCreateTestOrderRequest": { "type": "object", "properties": { "templateName": { "description": "The test order template to use. Specify as an alternative to `testOrder` as a shortcut for retrieving a template and then creating an order using that template. Acceptable values are: - \"`template1`\" - \"`template1a`\" - \"`template1b`\" - \"`template2`\" - \"`template3`\" ", "type": "string" }, "country": { "description": "The CLDR territory code of the country of the test order to create. Affects the currency and addresses of orders created through `template_name`, or the addresses of orders created through `test_order`. Acceptable values are: - \"`US`\" - \"`FR`\" Defaults to \"`US`\".", "type": "string" }, "testOrder": { "$ref": "TestOrder", "description": "The test order to create." } }, "id": "OrdersCreateTestOrderRequest" }, "LabelIds": { "id": "LabelIds", "properties": { "labelIds": { "description": "The list of label IDs.", "items": { "format": "int64", "type": "string" }, "type": "array" } }, "type": "object", "description": "The IDs of labels that should be assigned to the CSS domain." }, "OrdersShipLineItemsRequest": { "properties": { "lineItems": { "description": "Line items to ship.", "items": { "$ref": "OrderShipmentLineItemShipment" }, "type": "array" }, "shipmentGroupId": { "description": "ID of the shipment group. Required for orders that use the orderinvoices service.", "type": "string" }, "operationId": { "description": "The ID of the operation. Unique across all operations for a given order.", "type": "string" }, "shipmentInfos": { "items": { "$ref": "OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo" }, "type": "array", "description": "Shipment information. This field is repeated because a single line item can be shipped in several packages (and have several tracking IDs)." } }, "id": "OrdersShipLineItemsRequest", "type": "object" }, "ReturnShippingLabel": { "type": "object", "properties": { "labelUri": { "type": "string", "description": "The URL for the return shipping label in PDF format" }, "trackingId": { "type": "string", "description": "The tracking id of this return label." }, "carrier": { "type": "string", "description": "Name of the carrier." } }, "id": "ReturnShippingLabel", "description": "Return shipping label for a Buy on Google merchant-managed return." }, "CaptureOrderRequest": { "id": "CaptureOrderRequest", "properties": {}, "type": "object", "description": "Request message for the CaptureOrder method." }, "OrderLineItemProductFee": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the fee." }, "amount": { "$ref": "Price", "description": "Amount of the fee." } }, "id": "OrderLineItemProductFee" }, "ProductstatusesCustomBatchResponseEntry": { "id": "ProductstatusesCustomBatchResponseEntry", "properties": { "errors": { "$ref": "Errors", "description": "A list of errors, if the request failed." }, "productStatus": { "$ref": "ProductStatus", "description": "The requested product status. Only defined if the request was successful." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#productstatusesCustomBatchResponseEntry`\"" }, "batchId": { "description": "The ID of the request entry this entry responds to.", "type": "integer", "format": "uint32" } }, "type": "object", "description": "A batch entry encoding a single non-batch productstatuses response." }, "SettlementTransaction": { "id": "SettlementTransaction", "type": "object", "properties": { "transaction": { "$ref": "SettlementTransactionTransaction", "description": "Details of the transaction." }, "amount": { "description": "The amount for the transaction.", "$ref": "SettlementTransactionAmount" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#settlementTransaction`\"" }, "identifiers": { "description": "Identifiers of the transaction.", "$ref": "SettlementTransactionIdentifiers" } }, "description": "Settlement transactions give a detailed breakdown of the settlement report." }, "ReturnPolicySeasonalOverride": { "type": "object", "id": "ReturnPolicySeasonalOverride", "properties": { "startDate": { "type": "string", "description": "Required. First day on which the override applies. In ISO 8601 format." }, "name": { "description": "Required. The name of the seasonal override as shown in Merchant Center.", "type": "string" }, "policy": { "$ref": "ReturnPolicyPolicy", "description": "Required. The policy which is in effect during that time." }, "endDate": { "type": "string", "description": "Required. Last day on which the override applies. In ISO 8601 format." } } }, "PosStore": { "properties": { "storeCode": { "description": "Required. A store identifier that is unique for the given merchant.", "type": "string" }, "phoneNumber": { "type": "string", "description": "The store phone number." }, "storeName": { "type": "string", "description": "The merchant or store name." }, "websiteUrl": { "description": "The website url for the store or merchant.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"`content#posStore`\"" }, "gcidCategory": { "items": { "type": "string" }, "description": "The business type of the store.", "type": "array" }, "storeAddress": { "description": "Required. The street address of the store.", "type": "string" }, "placeId": { "type": "string", "description": "The Google Place Id of the store location." } }, "type": "object", "description": "Store resource.", "id": "PosStore" }, "OrderreturnsCreateOrderReturnRequest": { "type": "object", "id": "OrderreturnsCreateOrderReturnRequest", "properties": { "returnMethodType": { "description": "The way of the package being returned.", "type": "string" }, "orderId": { "description": "The ID of the order.", "type": "string" }, "lineItems": { "items": { "$ref": "OrderreturnsLineItem" }, "description": "The list of line items to return.", "type": "array" }, "operationId": { "type": "string", "description": "The ID of the operation. Unique across all operations for a given order." } } } }, "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "rootUrl": "https://shoppingcontent.googleapis.com/", "fullyEncodeReservedExpansion": true, "documentationLink": "https://developers.google.com/shopping-content/v2/", "servicePath": "content/v2.1/", "batchPath": "batch", "discoveryVersion": "v1", "id": "content:v2.1", "ownerName": "Google", "ownerDomain": "google.com", "basePath": "/content/v2.1/", "resources": { "pos": { "methods": { "sale": { "parameters": { "merchantId": { "type": "string", "required": true, "format": "uint64", "location": "path", "description": "The ID of the POS or inventory data provider." }, "targetMerchantId": { "required": true, "format": "uint64", "type": "string", "location": "path", "description": "The ID of the target merchant." } }, "parameterOrder": [ "merchantId", "targetMerchantId" ], "description": "Submit a sale event for the given merchant.", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "PosSaleRequest" }, "flatPath": "{merchantId}/pos/{targetMerchantId}/sale", "path": "{merchantId}/pos/{targetMerchantId}/sale", "response": { "$ref": "PosSaleResponse" }, "id": "content.pos.sale", "httpMethod": "POST" }, "insert": { "id": "content.pos.insert", "request": { "$ref": "PosStore" }, "path": "{merchantId}/pos/{targetMerchantId}/store", "parameterOrder": [ "merchantId", "targetMerchantId" ], "httpMethod": "POST", "parameters": { "targetMerchantId": { "format": "uint64", "type": "string", "location": "path", "description": "The ID of the target merchant.", "required": true }, "merchantId": { "location": "path", "required": true, "type": "string", "description": "The ID of the POS or inventory data provider.", "format": "uint64" } }, "response": { "$ref": "PosStore" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Creates a store for the given merchant.", "flatPath": "{merchantId}/pos/{targetMerchantId}/store" }, "inventory": { "description": "Submit inventory for the given merchant.", "id": "content.pos.inventory", "flatPath": "{merchantId}/pos/{targetMerchantId}/inventory", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "parameterOrder": [ "merchantId", "targetMerchantId" ], "request": { "$ref": "PosInventoryRequest" }, "response": { "$ref": "PosInventoryResponse" }, "path": "{merchantId}/pos/{targetMerchantId}/inventory", "parameters": { "merchantId": { "format": "uint64", "description": "The ID of the POS or inventory data provider.", "location": "path", "required": true, "type": "string" }, "targetMerchantId": { "type": "string", "location": "path", "description": "The ID of the target merchant.", "format": "uint64", "required": true } } }, "list": { "parameters": { "targetMerchantId": { "type": "string", "location": "path", "format": "uint64", "description": "The ID of the target merchant.", "required": true }, "merchantId": { "type": "string", "description": "The ID of the POS or inventory data provider.", "location": "path", "required": true, "format": "uint64" } }, "httpMethod": "GET", "response": { "$ref": "PosListResponse" }, "parameterOrder": [ "merchantId", "targetMerchantId" ], "description": "Lists the stores of the target merchant.", "flatPath": "{merchantId}/pos/{targetMerchantId}/store", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/pos/{targetMerchantId}/store", "id": "content.pos.list" }, "get": { "description": "Retrieves information about the given store.", "parameters": { "targetMerchantId": { "type": "string", "required": true, "location": "path", "format": "uint64", "description": "The ID of the target merchant." }, "merchantId": { "location": "path", "required": true, "type": "string", "description": "The ID of the POS or inventory data provider.", "format": "uint64" }, "storeCode": { "description": "A store code that is unique per merchant.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET", "path": "{merchantId}/pos/{targetMerchantId}/store/{storeCode}", "response": { "$ref": "PosStore" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.pos.get", "flatPath": "{merchantId}/pos/{targetMerchantId}/store/{storeCode}", "parameterOrder": [ "merchantId", "targetMerchantId", "storeCode" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Deletes a store for the given merchant.", "httpMethod": "DELETE", "path": "{merchantId}/pos/{targetMerchantId}/store/{storeCode}", "parameterOrder": [ "merchantId", "targetMerchantId", "storeCode" ], "flatPath": "{merchantId}/pos/{targetMerchantId}/store/{storeCode}", "id": "content.pos.delete", "parameters": { "merchantId": { "format": "uint64", "required": true, "description": "The ID of the POS or inventory data provider.", "location": "path", "type": "string" }, "storeCode": { "location": "path", "type": "string", "description": "A store code that is unique per merchant.", "required": true }, "targetMerchantId": { "format": "uint64", "location": "path", "required": true, "description": "The ID of the target merchant.", "type": "string" } } }, "custombatch": { "httpMethod": "POST", "parameters": {}, "flatPath": "pos/batch", "description": "Batches multiple POS-related calls in a single request.", "parameterOrder": [], "response": { "$ref": "PosCustomBatchResponse" }, "path": "pos/batch", "request": { "$ref": "PosCustomBatchRequest" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.pos.custombatch" } } }, "settlementtransactions": { "methods": { "list": { "flatPath": "{merchantId}/settlementreports/{settlementId}/transactions", "httpMethod": "GET", "parameters": { "transactionIds": { "location": "query", "type": "string", "repeated": true, "description": "The list of transactions to return. If not set, all transactions will be returned." }, "merchantId": { "location": "path", "format": "uint64", "required": true, "type": "string", "description": "The Merchant Center account to list transactions for." }, "settlementId": { "description": "The Google-provided ID of the settlement.", "required": true, "type": "string", "location": "path" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" }, "maxResults": { "description": "The maximum number of transactions to return in the response, used for paging. The default value is 200 transactions per page, and the maximum allowed value is 5000 transactions per page.", "location": "query", "type": "integer", "format": "uint32" } }, "id": "content.settlementtransactions.list", "response": { "$ref": "SettlementtransactionsListResponse" }, "parameterOrder": [ "merchantId", "settlementId" ], "description": "Retrieves a list of transactions for the settlement.", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/settlementreports/{settlementId}/transactions" } } }, "ordertrackingsignals": { "methods": { "create": { "httpMethod": "POST", "parameters": { "merchantId": { "required": true, "type": "string", "description": "The ID of the merchant for which the order signal is created.", "format": "int64", "location": "path" } }, "id": "content.ordertrackingsignals.create", "parameterOrder": [ "merchantId" ], "response": { "$ref": "OrderTrackingSignal" }, "request": { "$ref": "OrderTrackingSignal" }, "description": "Creates new order tracking signal.", "path": "{merchantId}/ordertrackingsignals", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/ordertrackingsignals" } } }, "promotions": { "methods": { "create": { "request": { "$ref": "Promotion" }, "description": "Inserts a promotion for your Merchant Center account. If the promotion already exists, then it updates the promotion instead.", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "Promotion" }, "flatPath": "{merchantId}/promotions", "path": "{merchantId}/promotions", "httpMethod": "POST", "id": "content.promotions.create", "parameterOrder": [ "merchantId" ], "parameters": { "merchantId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "Required. The ID of the account that contains the collection." } } }, "get": { "flatPath": "{merchantId}/promotions/{id}", "httpMethod": "GET", "parameters": { "merchantId": { "description": "Required. The ID of the account that contains the collection.", "location": "path", "format": "int64", "required": true, "type": "string" }, "id": { "type": "string", "location": "path", "required": true, "description": "Required. REST ID of the promotion to retrieve." } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/promotions/{id}", "id": "content.promotions.get", "response": { "$ref": "Promotion" }, "parameterOrder": [ "merchantId", "id" ], "description": "Retrieves a promotion from your Merchant Center account." } } }, "orderreturns": { "methods": { "process": { "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "returnId": { "required": true, "location": "path", "type": "string", "description": "The ID of the return." }, "merchantId": { "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "merchantId", "returnId" ], "request": { "$ref": "OrderreturnsProcessRequest" }, "id": "content.orderreturns.process", "flatPath": "{merchantId}/orderreturns/{returnId}/process", "path": "{merchantId}/orderreturns/{returnId}/process", "httpMethod": "POST", "response": { "$ref": "OrderreturnsProcessResponse" }, "description": "Processes return in your Merchant Center account." }, "acknowledge": { "httpMethod": "POST", "parameterOrder": [ "merchantId", "returnId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.orderreturns.acknowledge", "response": { "$ref": "OrderreturnsAcknowledgeResponse" }, "parameters": { "returnId": { "required": true, "location": "path", "type": "string", "description": "The ID of the return." }, "merchantId": { "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "required": true, "type": "string" } }, "description": "Acks an order return in your Merchant Center account.", "flatPath": "{merchantId}/orderreturns/{returnId}/acknowledge", "request": { "$ref": "OrderreturnsAcknowledgeRequest" }, "path": "{merchantId}/orderreturns/{returnId}/acknowledge" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "OrderreturnsListResponse" }, "id": "content.orderreturns.list", "parameterOrder": [ "merchantId" ], "flatPath": "{merchantId}/orderreturns", "description": "Lists order returns in your Merchant Center account.", "path": "{merchantId}/orderreturns", "parameters": { "googleOrderIds": { "description": "Obtains order returns with the specified order ids. If this parameter is provided, createdStartDate, createdEndDate, shipmentType, shipmentStatus, shipmentState and acknowledged parameters must be not set. Note: if googleOrderId and shipmentTrackingNumber parameters are provided, the obtained results will include all order returns that either match the specified order id or the specified tracking number.", "location": "query", "repeated": true, "type": "string" }, "shipmentTrackingNumbers": { "description": "Obtains order returns with the specified tracking numbers. If this parameter is provided, createdStartDate, createdEndDate, shipmentType, shipmentStatus, shipmentState and acknowledged parameters must be not set. Note: if googleOrderId and shipmentTrackingNumber parameters are provided, the obtained results will include all order returns that either match the specified order id or the specified tracking number.", "type": "string", "repeated": true, "location": "query" }, "shipmentTypes": { "enumDescriptions": [ "Return shipments with type `byMail` only.", "Return shipments with type `returnless` only.", "Return shipments with type `contactCustomerSupport` only." ], "description": "Obtains order returns that match any shipment type provided in this parameter. When this parameter is not provided, order returns are obtained regardless of their shipment types.", "enum": [ "BY_MAIL", "RETURNLESS", "CONTACT_CUSTOMER_SUPPORT" ], "type": "string", "location": "query", "repeated": true }, "createdStartDate": { "location": "query", "description": "Obtains order returns created after this date (inclusively), in ISO 8601 format.", "type": "string" }, "orderBy": { "type": "string", "enum": [ "RETURN_CREATION_TIME_DESC", "RETURN_CREATION_TIME_ASC" ], "description": "Return the results in the specified order.", "enumDescriptions": [ "Return results in descending order.", "Return results in ascending order." ], "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "createdEndDate": { "description": "Obtains order returns created before this date (inclusively), in ISO 8601 format.", "location": "query", "type": "string" }, "shipmentStatus": { "type": "string", "enumDescriptions": [ "Return shipments with `new` status only.", "Return shipments with `inProgress` status only.", "Return shipments with `processed` status only." ], "description": "Obtains order returns that match any shipment status provided in this parameter. When this parameter is not provided, order returns are obtained regardless of their shipment statuses.", "enum": [ "NEW", "IN_PROGRESS", "PROCESSED" ], "repeated": true, "location": "query" }, "shipmentStates": { "enumDescriptions": [ "Return shipments with `new` state only.", "Return shipments with `shipped` state only.", "Return shipments with `completed` state only.", "Return shipments with `undeliverable` state only.", "Return shipments with `pending` state only." ], "enum": [ "NEW", "SHIPPED", "COMPLETED", "UNDELIVERABLE", "PENDING" ], "location": "query", "repeated": true, "description": "Obtains order returns that match any shipment state provided in this parameter. When this parameter is not provided, order returns are obtained regardless of their shipment states.", "type": "string" }, "acknowledged": { "location": "query", "type": "boolean", "description": "Obtains order returns that match the acknowledgement status. When set to true, obtains order returns that have been acknowledged. When false, obtains order returns that have not been acknowledged. When not provided, obtains order returns regardless of their acknowledgement status. We recommend using this filter set to `false`, in conjunction with the `acknowledge` call, such that only un-acknowledged order returns are returned. " }, "merchantId": { "required": true, "location": "path", "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string" }, "maxResults": { "location": "query", "description": "The maximum number of order returns to return in the response, used for paging. The default value is 25 returns per page, and the maximum allowed value is 250 returns per page.", "format": "uint32", "type": "integer" } } }, "get": { "parameterOrder": [ "merchantId", "returnId" ], "path": "{merchantId}/orderreturns/{returnId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "returnId": { "location": "path", "description": "Merchant order return ID generated by Google.", "type": "string", "required": true }, "merchantId": { "format": "uint64", "required": true, "location": "path", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account." } }, "flatPath": "{merchantId}/orderreturns/{returnId}", "description": "Retrieves an order return from your Merchant Center account.", "httpMethod": "GET", "id": "content.orderreturns.get", "response": { "$ref": "MerchantOrderReturn" } }, "createorderreturn": { "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "parameters": { "merchantId": { "type": "string", "required": true, "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "format": "uint64" } }, "parameterOrder": [ "merchantId" ], "description": "Create return in your Merchant Center account.", "id": "content.orderreturns.createorderreturn", "request": { "$ref": "OrderreturnsCreateOrderReturnRequest" }, "flatPath": "{merchantId}/orderreturns/createOrderReturn", "path": "{merchantId}/orderreturns/createOrderReturn", "response": { "$ref": "OrderreturnsCreateOrderReturnResponse" } } }, "resources": { "labels": { "methods": { "create": { "httpMethod": "POST", "id": "content.orderreturns.labels.create", "response": { "$ref": "ReturnShippingLabel" }, "flatPath": "{merchantId}/orderreturns/{returnId}/labels", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "ReturnShippingLabel" }, "parameterOrder": [ "merchantId", "returnId" ], "path": "{merchantId}/orderreturns/{returnId}/labels", "description": "Links a return shipping label to a return id. You can only create one return label per return id. Since the label is sent to the buyer, the linked return label cannot be updated or deleted. If you try to create multiple return shipping labels for a single return id, every create request except the first will fail.", "parameters": { "returnId": { "description": "Required. Provide the Google-generated merchant order return ID.", "type": "string", "location": "path", "required": true }, "merchantId": { "location": "path", "description": "Required. The merchant the Return Shipping Label belongs to.", "format": "int64", "type": "string", "required": true } } } } } } }, "orderreports": { "methods": { "listtransactions": { "parameterOrder": [ "merchantId", "disbursementId" ], "httpMethod": "GET", "parameters": { "maxResults": { "format": "uint32", "location": "query", "description": "The maximum number of disbursements to return in the response, used for paging.", "type": "integer" }, "transactionEndDate": { "location": "query", "description": "The last date in which transaction occurred. In ISO 8601 format. Default: current date.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "transactionStartDate": { "description": "The first date in which transaction occurred. In ISO 8601 format.", "type": "string", "location": "query" }, "merchantId": { "location": "path", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "format": "uint64" }, "disbursementId": { "location": "path", "description": "The Google-provided ID of the disbursement (found in Wallet).", "required": true, "type": "string" } }, "response": { "$ref": "OrderreportsListTransactionsResponse" }, "flatPath": "{merchantId}/orderreports/disbursements/{disbursementId}/transactions", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/orderreports/disbursements/{disbursementId}/transactions", "id": "content.orderreports.listtransactions", "description": "Retrieves a list of transactions for a disbursement from your Merchant Center account." }, "listdisbursements": { "parameterOrder": [ "merchantId" ], "id": "content.orderreports.listdisbursements", "httpMethod": "GET", "parameters": { "maxResults": { "location": "query", "description": "The maximum number of disbursements to return in the response, used for paging.", "type": "integer", "format": "uint32" }, "disbursementEndDate": { "location": "query", "type": "string", "description": "The last date which disbursements occurred. In ISO 8601 format. Default: current date." }, "pageToken": { "description": "The token returned by the previous request.", "type": "string", "location": "query" }, "disbursementStartDate": { "type": "string", "description": "The first date which disbursements occurred. In ISO 8601 format.", "location": "query" }, "merchantId": { "required": true, "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "format": "uint64", "type": "string" } }, "path": "{merchantId}/orderreports/disbursements", "response": { "$ref": "OrderreportsListDisbursementsResponse" }, "description": "Retrieves a report for disbursements from your Merchant Center account.", "flatPath": "{merchantId}/orderreports/disbursements", "scopes": [ "https://www.googleapis.com/auth/content" ] } } }, "regions": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Lists the regions in your Merchant Center account.", "parameterOrder": [ "merchantId" ], "httpMethod": "GET", "parameters": { "merchantId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Required. The id of the merchant for which to list region definitions." }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListRegions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListRegions` must match the call that provided the page token." }, "pageSize": { "description": "The maximum number of regions to return. The service may return fewer than this value. If unspecified, at most 50 rules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" } }, "flatPath": "{merchantId}/regions", "response": { "$ref": "ListRegionsResponse" }, "id": "content.regions.list", "path": "{merchantId}/regions" }, "create": { "description": "Creates a region definition in your Merchant Center account.", "id": "content.regions.create", "flatPath": "{merchantId}/regions", "request": { "$ref": "Region" }, "response": { "$ref": "Region" }, "path": "{merchantId}/regions", "httpMethod": "POST", "parameterOrder": [ "merchantId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantId": { "format": "int64", "location": "path", "type": "string", "required": true, "description": "Required. The id of the merchant for which to create region definition." }, "regionId": { "description": "Required. The id of the region to create.", "type": "string", "location": "query" } } }, "delete": { "parameterOrder": [ "merchantId", "regionId" ], "parameters": { "regionId": { "type": "string", "required": true, "description": "Required. The id of the region to delete.", "location": "path" }, "merchantId": { "format": "int64", "description": "Required. The id of the merchant for which to delete region definition.", "location": "path", "type": "string", "required": true } }, "path": "{merchantId}/regions/{regionId}", "flatPath": "{merchantId}/regions/{regionId}", "httpMethod": "DELETE", "id": "content.regions.delete", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Deletes a region definition from your Merchant Center account." }, "get": { "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves a region defined in your Merchant Center account.", "parameters": { "regionId": { "type": "string", "description": "Required. The id of the region to retrieve.", "location": "path", "required": true }, "merchantId": { "format": "int64", "type": "string", "description": "Required. The id of the merchant for which to retrieve region definition.", "required": true, "location": "path" } }, "id": "content.regions.get", "response": { "$ref": "Region" }, "path": "{merchantId}/regions/{regionId}", "httpMethod": "GET", "parameterOrder": [ "merchantId", "regionId" ], "flatPath": "{merchantId}/regions/{regionId}" }, "patch": { "parameterOrder": [ "merchantId", "regionId" ], "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Optional. The comma-separated field mask indicating the fields to update. Example: `\"displayName,postalCodeArea.regionCode\"`.", "location": "query", "type": "string" }, "merchantId": { "location": "path", "required": true, "format": "int64", "description": "Required. The id of the merchant for which to update region definition.", "type": "string" }, "regionId": { "description": "Required. The id of the region to update.", "required": true, "location": "path", "type": "string" } }, "httpMethod": "PATCH", "response": { "$ref": "Region" }, "description": "Updates a region definition in your Merchant Center account.", "id": "content.regions.patch", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "Region" }, "flatPath": "{merchantId}/regions/{regionId}", "path": "{merchantId}/regions/{regionId}" } } }, "returnpolicyonline": { "methods": { "patch": { "request": { "$ref": "ReturnPolicyOnline" }, "response": { "$ref": "ReturnPolicyOnline" }, "flatPath": "{merchantId}/returnpolicyonline/{returnPolicyId}", "id": "content.returnpolicyonline.patch", "httpMethod": "PATCH", "path": "{merchantId}/returnpolicyonline/{returnPolicyId}", "parameters": { "returnPolicyId": { "location": "path", "description": "Required. The id of the return policy to update.", "type": "string", "required": true }, "merchantId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Required. The id of the merchant for which to retrieve the return policy online object." } }, "description": "Updates an existing return policy.", "parameterOrder": [ "merchantId", "returnPolicyId" ], "scopes": [ "https://www.googleapis.com/auth/content" ] }, "list": { "flatPath": "{merchantId}/returnpolicyonline", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/returnpolicyonline", "httpMethod": "GET", "parameters": { "merchantId": { "description": "Required. The id of the merchant for which to retrieve the return policy online object.", "required": true, "location": "path", "type": "string", "format": "int64" } }, "description": "Lists all existing return policies.", "response": { "$ref": "ListReturnPolicyOnlineResponse" }, "parameterOrder": [ "merchantId" ], "id": "content.returnpolicyonline.list" }, "get": { "description": "Gets an existing return policy.", "parameters": { "returnPolicyId": { "description": "Required. The id of the return policy to retrieve.", "location": "path", "required": true, "type": "string" }, "merchantId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "Required. The id of the merchant for which to retrieve the return policy online object." } }, "path": "{merchantId}/returnpolicyonline/{returnPolicyId}", "flatPath": "{merchantId}/returnpolicyonline/{returnPolicyId}", "response": { "$ref": "ReturnPolicyOnline" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "returnPolicyId" ], "id": "content.returnpolicyonline.get", "httpMethod": "GET" }, "delete": { "path": "{merchantId}/returnpolicyonline/{returnPolicyId}", "id": "content.returnpolicyonline.delete", "flatPath": "{merchantId}/returnpolicyonline/{returnPolicyId}", "parameterOrder": [ "merchantId", "returnPolicyId" ], "parameters": { "returnPolicyId": { "required": true, "type": "string", "location": "path", "description": "Required. The id of the return policy to delete." }, "merchantId": { "description": "Required. The id of the merchant for which to retrieve the return policy online object.", "required": true, "format": "int64", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Deletes an existing return policy." }, "create": { "path": "{merchantId}/returnpolicyonline", "parameters": { "merchantId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "Required. The id of the merchant for which to retrieve the return policy online object." } }, "description": "Creates a new return policy.", "id": "content.returnpolicyonline.create", "parameterOrder": [ "merchantId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ReturnPolicyOnline" }, "request": { "$ref": "ReturnPolicyOnline" }, "httpMethod": "POST", "flatPath": "{merchantId}/returnpolicyonline" } } }, "datafeeds": { "methods": { "get": { "response": { "$ref": "Datafeed" }, "flatPath": "{merchantId}/datafeeds/{datafeedId}", "path": "{merchantId}/datafeeds/{datafeedId}", "parameters": { "datafeedId": { "description": "The ID of the datafeed.", "format": "uint64", "type": "string", "required": true, "location": "path" }, "merchantId": { "format": "uint64", "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account.", "location": "path", "type": "string", "required": true } }, "description": "Retrieves a datafeed configuration from your Merchant Center account.", "id": "content.datafeeds.get", "parameterOrder": [ "merchantId", "datafeedId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET" }, "list": { "path": "{merchantId}/datafeeds", "parameterOrder": [ "merchantId" ], "id": "content.datafeeds.list", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "DatafeedsListResponse" }, "flatPath": "{merchantId}/datafeeds", "parameters": { "merchantId": { "required": true, "format": "uint64", "description": "The ID of the account that manages the datafeeds. This account cannot be a multi-client account.", "location": "path", "type": "string" }, "maxResults": { "type": "integer", "format": "uint32", "description": "The maximum number of products to return in the response, used for paging.", "location": "query" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" } }, "httpMethod": "GET", "description": "Lists the configurations for datafeeds in your Merchant Center account." }, "custombatch": { "path": "datafeeds/batch", "description": "Deletes, fetches, gets, inserts and updates multiple datafeeds in a single request.", "response": { "$ref": "DatafeedsCustomBatchResponse" }, "id": "content.datafeeds.custombatch", "parameters": {}, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "datafeeds/batch", "request": { "$ref": "DatafeedsCustomBatchRequest" }, "httpMethod": "POST" }, "fetchnow": { "description": "Invokes a fetch for the datafeed in your Merchant Center account. If you need to call this method more than once per day, we recommend you use the [Products service](https://developers.google.com/shopping-content/reference/rest/v2.1/products) to update your product data.", "httpMethod": "POST", "response": { "$ref": "DatafeedsFetchNowResponse" }, "parameters": { "datafeedId": { "type": "string", "format": "uint64", "description": "The ID of the datafeed to be fetched.", "required": true, "location": "path" }, "merchantId": { "required": true, "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account.", "location": "path", "type": "string", "format": "uint64" } }, "flatPath": "{merchantId}/datafeeds/{datafeedId}/fetchNow", "path": "{merchantId}/datafeeds/{datafeedId}/fetchNow", "id": "content.datafeeds.fetchnow", "parameterOrder": [ "merchantId", "datafeedId" ], "scopes": [ "https://www.googleapis.com/auth/content" ] }, "insert": { "description": "Registers a datafeed configuration with your Merchant Center account.", "parameterOrder": [ "merchantId" ], "httpMethod": "POST", "response": { "$ref": "Datafeed" }, "id": "content.datafeeds.insert", "request": { "$ref": "Datafeed" }, "path": "{merchantId}/datafeeds", "parameters": { "merchantId": { "location": "path", "format": "uint64", "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/datafeeds" }, "delete": { "parameterOrder": [ "merchantId", "datafeedId" ], "path": "{merchantId}/datafeeds/{datafeedId}", "description": "Deletes a datafeed configuration from your Merchant Center account.", "parameters": { "datafeedId": { "location": "path", "type": "string", "required": true, "format": "uint64", "description": "The ID of the datafeed." }, "merchantId": { "required": true, "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account.", "type": "string", "format": "uint64", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "DELETE", "id": "content.datafeeds.delete", "flatPath": "{merchantId}/datafeeds/{datafeedId}" }, "update": { "id": "content.datafeeds.update", "parameterOrder": [ "merchantId", "datafeedId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/datafeeds/{datafeedId}", "request": { "$ref": "Datafeed" }, "parameters": { "merchantId": { "format": "uint64", "type": "string", "location": "path", "required": true, "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account." }, "datafeedId": { "description": "The ID of the datafeed.", "format": "uint64", "required": true, "location": "path", "type": "string" } }, "description": "Updates a datafeed configuration of your Merchant Center account. Any fields that are not provided are deleted from the resource.", "response": { "$ref": "Datafeed" }, "httpMethod": "PUT", "flatPath": "{merchantId}/datafeeds/{datafeedId}" } } }, "productdeliverytime": { "methods": { "delete": { "path": "{merchantId}/productdeliverytime/{productId}", "description": "Deletes the delivery time of a product.", "flatPath": "{merchantId}/productdeliverytime/{productId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "productId" ], "parameters": { "merchantId": { "format": "int64", "description": "Required. The Google merchant ID of the account that contains the product. This account cannot be a multi-client account.", "location": "path", "required": true, "type": "string" }, "productId": { "description": "Required. The Content API ID of the product, in the form `channel:contentLanguage:targetCountry:offerId`.", "type": "string", "required": true, "location": "path" } }, "id": "content.productdeliverytime.delete", "httpMethod": "DELETE" }, "get": { "id": "content.productdeliverytime.get", "description": "Gets `productDeliveryTime` by `productId`.", "parameters": { "merchantId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "Required. The Google merchant ID of the account that contains the product. This account cannot be a multi-client account." }, "productId": { "required": true, "type": "string", "description": "Required. The Content API ID of the product, in the form `channel:contentLanguage:targetCountry:offerId`.", "location": "path" } }, "flatPath": "{merchantId}/productdeliverytime/{productId}", "path": "{merchantId}/productdeliverytime/{productId}", "response": { "$ref": "ProductDeliveryTime" }, "parameterOrder": [ "merchantId", "productId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET" }, "create": { "parameters": { "merchantId": { "required": true, "location": "path", "description": "The Google merchant ID of the account that contains the product. This account cannot be a multi-client account.", "type": "string", "format": "int64" } }, "id": "content.productdeliverytime.create", "flatPath": "{merchantId}/productdeliverytime", "path": "{merchantId}/productdeliverytime", "response": { "$ref": "ProductDeliveryTime" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "ProductDeliveryTime" }, "parameterOrder": [ "merchantId" ], "httpMethod": "POST", "description": "Creates or updates the delivery time of a product." } } }, "pubsubnotificationsettings": { "methods": { "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves a Merchant Center account's pubsub notification settings.", "parameterOrder": [ "merchantId" ], "response": { "$ref": "PubsubNotificationSettings" }, "id": "content.pubsubnotificationsettings.get", "flatPath": "{merchantId}/pubsubnotificationsettings", "parameters": { "merchantId": { "description": "The ID of the account for which to get pubsub notification settings.", "location": "path", "required": true, "format": "uint64", "type": "string" } }, "path": "{merchantId}/pubsubnotificationsettings" }, "update": { "parameters": { "merchantId": { "format": "uint64", "type": "string", "required": true, "location": "path", "description": "The ID of the account." } }, "flatPath": "{merchantId}/pubsubnotificationsettings", "description": "Register a Merchant Center account for pubsub notifications. Note that cloud topic name shouldn't be provided as part of the request.", "path": "{merchantId}/pubsubnotificationsettings", "id": "content.pubsubnotificationsettings.update", "response": { "$ref": "PubsubNotificationSettings" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "PUT", "parameterOrder": [ "merchantId" ], "request": { "$ref": "PubsubNotificationSettings" } } } }, "freelistingsprogram": { "methods": { "requestreview": { "path": "{merchantId}/freelistingsprogram/requestreview", "httpMethod": "POST", "request": { "$ref": "RequestReviewFreeListingsRequest" }, "flatPath": "{merchantId}/freelistingsprogram/requestreview", "id": "content.freelistingsprogram.requestreview", "description": "Requests a review of free listings in a specific region. This method is only available to selected merchants.", "parameterOrder": [ "merchantId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "Required. The ID of the account." } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.freelistingsprogram.get", "flatPath": "{merchantId}/freelistingsprogram", "parameterOrder": [ "merchantId" ], "path": "{merchantId}/freelistingsprogram", "httpMethod": "GET", "parameters": { "merchantId": { "description": "Required. The ID of the account.", "required": true, "format": "int64", "location": "path", "type": "string" } }, "description": "Retrieves the status and review eligibility for the free listing program.", "response": { "$ref": "FreeListingsProgramStatus" } } } }, "repricingrules": { "methods": { "list": { "parameterOrder": [ "merchantId" ], "httpMethod": "GET", "flatPath": "{merchantId}/repricingrules", "description": "Lists the repricing rules in your Merchant Center account.", "id": "content.repricingrules.list", "parameters": { "merchantId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Required. The id of the merchant who owns the repricing rule." }, "languageCode": { "type": "string", "location": "query", "description": "The two-letter ISO 639-1 language code associated with the repricing rule, used as a filter." }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListRepricingRules` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListRepricingRules` must match the call that provided the page token." }, "countryCode": { "description": "[CLDR country code](http://www.unicode.org/repos/cldr/tags/latest/common/main/en.xml) (e.g. \"US\"), used as a filter on repricing rules.", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of repricing rules to return. The service may return fewer than this value. If unspecified, at most 50 rules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" } }, "path": "{merchantId}/repricingrules", "response": { "$ref": "ListRepricingRulesResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ] }, "get": { "description": "Retrieves a repricing rule from your Merchant Center account.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "RepricingRule" }, "parameterOrder": [ "merchantId", "ruleId" ], "id": "content.repricingrules.get", "parameters": { "merchantId": { "required": true, "location": "path", "description": "Required. The id of the merchant who owns the repricing rule.", "format": "int64", "type": "string" }, "ruleId": { "location": "path", "description": "Required. The id of the rule to retrieve.", "type": "string", "required": true } }, "path": "{merchantId}/repricingrules/{ruleId}", "flatPath": "{merchantId}/repricingrules/{ruleId}" }, "delete": { "parameters": { "merchantId": { "type": "string", "required": true, "description": "Required. The id of the merchant who owns the repricing rule.", "location": "path", "format": "int64" }, "ruleId": { "type": "string", "description": "Required. The id of the rule to Delete.", "location": "path", "required": true } }, "path": "{merchantId}/repricingrules/{ruleId}", "parameterOrder": [ "merchantId", "ruleId" ], "httpMethod": "DELETE", "description": "Deletes a repricing rule in your Merchant Center account.", "id": "content.repricingrules.delete", "flatPath": "{merchantId}/repricingrules/{ruleId}", "scopes": [ "https://www.googleapis.com/auth/content" ] }, "patch": { "flatPath": "{merchantId}/repricingrules/{ruleId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Updates a repricing rule in your Merchant Center account. All mutable fields will be overwritten in each update request. In each update, you must provide all required mutable fields, or an error will be thrown. If you do not provide an optional field in the update request, if that field currently exists, it will be deleted from the rule.", "parameterOrder": [ "merchantId", "ruleId" ], "id": "content.repricingrules.patch", "request": { "$ref": "RepricingRule" }, "response": { "$ref": "RepricingRule" }, "httpMethod": "PATCH", "path": "{merchantId}/repricingrules/{ruleId}", "parameters": { "merchantId": { "required": true, "location": "path", "description": "Required. The id of the merchant who owns the repricing rule.", "type": "string", "format": "int64" }, "ruleId": { "required": true, "location": "path", "type": "string", "description": "Required. The id of the rule to update." } } }, "create": { "flatPath": "{merchantId}/repricingrules", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "request": { "$ref": "RepricingRule" }, "response": { "$ref": "RepricingRule" }, "description": "Creates a repricing rule for your Merchant Center account.", "parameterOrder": [ "merchantId" ], "id": "content.repricingrules.create", "parameters": { "merchantId": { "description": "Required. The id of the merchant who owns the repricing rule.", "location": "path", "required": true, "type": "string", "format": "int64" }, "ruleId": { "description": "Required. The id of the rule to create.", "location": "query", "type": "string" } }, "path": "{merchantId}/repricingrules" } }, "resources": { "repricingreports": { "methods": { "list": { "path": "{merchantId}/repricingrules/{ruleId}/repricingreports", "httpMethod": "GET", "description": "Lists the metrics report for a given Repricing rule.", "flatPath": "{merchantId}/repricingrules/{ruleId}/repricingreports", "response": { "$ref": "ListRepricingRuleReportsResponse" }, "id": "content.repricingrules.repricingreports.list", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum number of daily reports to return. Each report includes data from a single 24-hour period. The page size defaults to 50 and values above 1000 are coerced to 1000. This service may return fewer days than this value, for example, if the time between your start and end date is less than page size." }, "startDate": { "type": "string", "location": "query", "description": "Gets Repricing reports on and after this date in the merchant's timezone, up to one year ago. Do not use a start date later than 7 days ago (default). Format: YYYY-MM-DD." }, "endDate": { "description": "Gets Repricing reports on and before this date in the merchant's timezone. You can only retrieve data up to 7 days ago (default) or earlier. Format: YYYY-MM-DD.", "type": "string", "location": "query" }, "ruleId": { "type": "string", "required": true, "description": "Required. Id of the Repricing rule.", "location": "path" }, "merchantId": { "location": "path", "format": "int64", "description": "Required. Id of the merchant who owns the Repricing rule.", "type": "string", "required": true } }, "parameterOrder": [ "merchantId", "ruleId" ] } } } } }, "csses": { "methods": { "list": { "httpMethod": "GET", "id": "content.csses.list", "description": "Lists CSS domains affiliated with a CSS group.", "path": "{cssGroupId}/csses", "flatPath": "{cssGroupId}/csses", "parameters": { "pageToken": { "type": "string", "description": "A page token, received from a previous `ListCsses` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListCsses` must match the call that provided the page token.", "location": "query" }, "cssGroupId": { "location": "path", "type": "string", "required": true, "format": "int64", "description": "Required. The CSS group ID of CSS domains to be listed." }, "pageSize": { "description": "The maximum number of CSS domains to return. The service may return fewer than this value. If unspecified, at most 50 CSS domains will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "location": "query", "format": "int32" } }, "parameterOrder": [ "cssGroupId" ], "response": { "$ref": "ListCssesResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ] }, "updatelabels": { "parameterOrder": [ "cssGroupId", "cssDomainId" ], "request": { "$ref": "LabelIds" }, "id": "content.csses.updatelabels", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "cssGroupId": { "description": "Required. The CSS group ID of the updated CSS domain.", "format": "int64", "location": "path", "type": "string", "required": true }, "cssDomainId": { "type": "string", "format": "int64", "required": true, "description": "Required. The ID of the updated CSS domain.", "location": "path" } }, "httpMethod": "POST", "description": "Updates labels that are assigned to a CSS domain by its CSS group.", "path": "{cssGroupId}/csses/{cssDomainId}/updatelabels", "response": { "$ref": "Css" }, "flatPath": "{cssGroupId}/csses/{cssDomainId}/updatelabels" }, "get": { "flatPath": "{cssGroupId}/csses/{cssDomainId}", "path": "{cssGroupId}/csses/{cssDomainId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "cssGroupId": { "location": "path", "type": "string", "description": "Required. The ID of the managing account. If this parameter is not the same as [cssDomainId](#cssDomainId), then this ID must be a CSS group ID and `cssDomainId` must be the ID of a CSS domain affiliated with this group.", "format": "int64", "required": true }, "cssDomainId": { "location": "path", "description": "Required. The ID of the CSS domain to return.", "type": "string", "format": "int64", "required": true } }, "httpMethod": "GET", "description": "Retrieves a single CSS domain by ID.", "response": { "$ref": "Css" }, "parameterOrder": [ "cssGroupId", "cssDomainId" ], "id": "content.csses.get" } } }, "settlementreports": { "methods": { "list": { "httpMethod": "GET", "id": "content.settlementreports.list", "path": "{merchantId}/settlementreports", "parameterOrder": [ "merchantId" ], "description": "Retrieves a list of settlement reports from your Merchant Center account.", "flatPath": "{merchantId}/settlementreports", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The token returned by the previous request." }, "merchantId": { "format": "uint64", "type": "string", "description": "The Merchant Center account to list settlements for.", "required": true, "location": "path" }, "transferEndDate": { "location": "query", "description": "Obtains settlements which have transactions before this date (inclusively), in ISO 8601 format.", "type": "string" }, "transferStartDate": { "location": "query", "type": "string", "description": "Obtains settlements which have transactions after this date (inclusively), in ISO 8601 format." }, "maxResults": { "format": "uint32", "location": "query", "type": "integer", "description": "The maximum number of settlements to return in the response, used for paging. The default value is 200 returns per page, and the maximum allowed value is 5000 returns per page." } }, "response": { "$ref": "SettlementreportsListResponse" } }, "get": { "parameterOrder": [ "merchantId", "settlementId" ], "response": { "$ref": "SettlementReport" }, "description": "Retrieves a settlement report from your Merchant Center account.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "settlementId": { "description": "The Google-provided ID of the settlement.", "location": "path", "required": true, "type": "string" }, "merchantId": { "location": "path", "format": "uint64", "required": true, "type": "string", "description": "The Merchant Center account of the settlement report." } }, "id": "content.settlementreports.get", "flatPath": "{merchantId}/settlementreports/{settlementId}", "path": "{merchantId}/settlementreports/{settlementId}" } } }, "datafeedstatuses": { "methods": { "custombatch": { "parameterOrder": [], "description": "Gets multiple Merchant Center datafeed statuses in a single request.", "response": { "$ref": "DatafeedstatusesCustomBatchResponse" }, "flatPath": "datafeedstatuses/batch", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "DatafeedstatusesCustomBatchRequest" }, "id": "content.datafeedstatuses.custombatch", "parameters": {}, "httpMethod": "POST", "path": "datafeedstatuses/batch" }, "get": { "path": "{merchantId}/datafeedstatuses/{datafeedId}", "parameterOrder": [ "merchantId", "datafeedId" ], "id": "content.datafeedstatuses.get", "parameters": { "language": { "location": "query", "type": "string", "description": "The language for which to get the datafeed status. If this parameter is provided then country must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target." }, "merchantId": { "type": "string", "description": "The ID of the account that manages the datafeed. This account cannot be a multi-client account.", "format": "uint64", "required": true, "location": "path" }, "datafeedId": { "description": "The ID of the datafeed.", "format": "uint64", "required": true, "location": "path", "type": "string" }, "country": { "type": "string", "location": "query", "description": "The country for which to get the datafeed status. If this parameter is provided then language must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target." } }, "flatPath": "{merchantId}/datafeedstatuses/{datafeedId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves the status of a datafeed from your Merchant Center account.", "response": { "$ref": "DatafeedStatus" } }, "list": { "path": "{merchantId}/datafeedstatuses", "flatPath": "{merchantId}/datafeedstatuses", "response": { "$ref": "DatafeedstatusesListResponse" }, "parameters": { "maxResults": { "location": "query", "description": "The maximum number of products to return in the response, used for paging.", "format": "uint32", "type": "integer" }, "merchantId": { "format": "uint64", "type": "string", "required": true, "location": "path", "description": "The ID of the account that manages the datafeeds. This account cannot be a multi-client account." }, "pageToken": { "type": "string", "location": "query", "description": "The token returned by the previous request." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId" ], "id": "content.datafeedstatuses.list", "description": "Lists the statuses of the datafeeds in your Merchant Center account." } } }, "collectionstatuses": { "methods": { "list": { "response": { "$ref": "ListCollectionStatusesResponse" }, "id": "content.collectionstatuses.list", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token." }, "pageSize": { "location": "query", "description": "The maximum number of collection statuses to return in the response, used for paging. Defaults to 50; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32" }, "merchantId": { "location": "path", "format": "int64", "type": "string", "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "required": true } }, "httpMethod": "GET", "path": "{merchantId}/collectionstatuses", "parameterOrder": [ "merchantId" ], "description": "Lists the statuses of the collections in your Merchant Center account.", "flatPath": "{merchantId}/collectionstatuses" }, "get": { "parameterOrder": [ "merchantId", "collectionId" ], "parameters": { "merchantId": { "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "type": "string", "location": "path", "format": "int64", "required": true }, "collectionId": { "type": "string", "description": "Required. The collectionId of the collection. CollectionId is the same as the REST ID of the collection.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "description": "Gets the status of a collection from your Merchant Center account.", "path": "{merchantId}/collectionstatuses/{collectionId}", "id": "content.collectionstatuses.get", "flatPath": "{merchantId}/collectionstatuses/{collectionId}", "response": { "$ref": "CollectionStatus" } } } }, "localinventory": { "methods": { "insert": { "response": { "$ref": "LocalInventory" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/products/{productId}/localinventory", "request": { "$ref": "LocalInventory" }, "parameters": { "merchantId": { "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "type": "string", "required": true, "location": "path", "format": "uint64" }, "productId": { "type": "string", "required": true, "location": "path", "description": "The REST ID of the product for which to update local inventory." } }, "id": "content.localinventory.insert", "path": "{merchantId}/products/{productId}/localinventory", "description": "Updates the local inventory of a product in your Merchant Center account.", "httpMethod": "POST", "parameterOrder": [ "merchantId", "productId" ] }, "custombatch": { "parameterOrder": [], "id": "content.localinventory.custombatch", "httpMethod": "POST", "flatPath": "localinventory/batch", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "LocalinventoryCustomBatchResponse" }, "path": "localinventory/batch", "request": { "$ref": "LocalinventoryCustomBatchRequest" }, "description": "Updates local inventory for multiple products or stores in a single request.", "parameters": {} } } }, "buyongoogleprograms": { "methods": { "activate": { "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/buyongoogleprograms/{regionCode}/activate", "id": "content.buyongoogleprograms.activate", "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}/activate", "parameterOrder": [ "merchantId", "regionCode" ], "httpMethod": "POST", "description": "Reactivates the BoG program in your Merchant Center account. Moves the program to the active state when allowed, for example, when paused. This method is only available to selected merchants.", "request": { "$ref": "ActivateBuyOnGoogleProgramRequest" }, "parameters": { "merchantId": { "location": "path", "format": "int64", "type": "string", "description": "Required. The ID of the account.", "required": true }, "regionCode": { "description": "Required. The program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available.", "type": "string", "required": true, "location": "path" } } }, "requestreview": { "httpMethod": "POST", "description": "Requests review and then activates the BoG program in your Merchant Center account for the first time. Moves the program to the REVIEW_PENDING state. This method is only available to selected merchants.", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "RequestReviewBuyOnGoogleProgramRequest" }, "parameters": { "merchantId": { "format": "int64", "required": true, "description": "Required. The ID of the account.", "location": "path", "type": "string" }, "regionCode": { "location": "path", "description": "Required. The program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available.", "type": "string", "required": true } }, "path": "{merchantId}/buyongoogleprograms/{regionCode}/requestreview", "id": "content.buyongoogleprograms.requestreview", "parameterOrder": [ "merchantId", "regionCode" ], "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}/requestreview" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "BuyOnGoogleProgramStatus" }, "httpMethod": "PATCH", "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}", "description": "Updates the status of the BoG program for your Merchant Center account.", "request": { "$ref": "BuyOnGoogleProgramStatus" }, "parameters": { "merchantId": { "type": "string", "required": true, "description": "Required. The ID of the account.", "location": "path", "format": "int64" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The list of fields to update. If the update mask is not provided, then all the fields set in buyOnGoogleProgramStatus will be updated. Clearing fields is only possible if update mask is provided.", "location": "query" }, "regionCode": { "description": "Required. The program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available.", "required": true, "type": "string", "location": "path" } }, "id": "content.buyongoogleprograms.patch", "parameterOrder": [ "merchantId", "regionCode" ], "path": "{merchantId}/buyongoogleprograms/{regionCode}" }, "onboard": { "request": { "$ref": "OnboardBuyOnGoogleProgramRequest" }, "httpMethod": "POST", "id": "content.buyongoogleprograms.onboard", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "regionCode" ], "parameters": { "merchantId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "Required. The ID of the account." }, "regionCode": { "type": "string", "description": "Required. The program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available.", "location": "path", "required": true } }, "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}/onboard", "description": "Onboards the BoG program in your Merchant Center account. By using this method, you agree to the [Terms of Service](https://merchants.google.com/mc/termsofservice/transactions/US/latest). Calling this method is only possible if the authenticated account is the same as the merchant id in the request. Calling this method multiple times will only accept Terms of Service if the latest version is not currently signed.", "path": "{merchantId}/buyongoogleprograms/{regionCode}/onboard" }, "pause": { "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}/pause", "id": "content.buyongoogleprograms.pause", "httpMethod": "POST", "parameters": { "merchantId": { "location": "path", "description": "Required. The ID of the account.", "format": "int64", "type": "string", "required": true }, "regionCode": { "required": true, "description": "Required. The program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available.", "type": "string", "location": "path" } }, "path": "{merchantId}/buyongoogleprograms/{regionCode}/pause", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "PauseBuyOnGoogleProgramRequest" }, "description": "Pauses the BoG program in your Merchant Center account. This method is only available to selected merchants.", "parameterOrder": [ "merchantId", "regionCode" ] }, "get": { "httpMethod": "GET", "parameters": { "regionCode": { "type": "string", "location": "path", "required": true, "description": "Required. The Program region code [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Currently only US is available." }, "merchantId": { "location": "path", "description": "Required. The ID of the account.", "required": true, "type": "string", "format": "int64" } }, "parameterOrder": [ "merchantId", "regionCode" ], "response": { "$ref": "BuyOnGoogleProgramStatus" }, "flatPath": "{merchantId}/buyongoogleprograms/{regionCode}", "path": "{merchantId}/buyongoogleprograms/{regionCode}", "id": "content.buyongoogleprograms.get", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves a status of the BoG program for your Merchant Center account." } } }, "orders": { "methods": { "list": { "flatPath": "{merchantId}/orders", "parameterOrder": [ "merchantId" ], "parameters": { "placedDateStart": { "type": "string", "location": "query", "description": "Obtains orders placed after this date (inclusively), in ISO 8601 format." }, "statuses": { "location": "query", "type": "string", "repeated": true, "enumDescriptions": [ "Return orders with status `active`. The `active` status includes `pendingShipment` and `partiallyShipped` orders.", "Return orders with status `completed`. The `completed` status includes `shipped`, `partiallyDelivered`, `delivered`, `partiallyReturned`, `returned`, and `canceled` orders.", "Return orders with status `canceled`.", "Return orders with status `inProgress`.", "Return orders with status `pendingShipment`.", "Return orders with status `partiallyShipped`.", "Return orders with status `shipped`.", "Return orders with status `partiallyDelivered`.", "Return orders with status `delivered`.", "Return orders with status `partiallyReturned`.", "Return orders with status `returned`." ], "description": "Obtains orders that match any of the specified statuses. Note that `active` is a shortcut for `pendingShipment` and `partiallyShipped`, and `completed` is a shortcut for `shipped`, `partiallyDelivered`, `delivered`, `partiallyReturned`, `returned`, and `canceled`.", "enum": [ "ACTIVE", "COMPLETED", "CANCELED", "IN_PROGRESS", "PENDING_SHIPMENT", "PARTIALLY_SHIPPED", "SHIPPED", "PARTIALLY_DELIVERED", "DELIVERED", "PARTIALLY_RETURNED", "RETURNED" ] }, "maxResults": { "description": "The maximum number of orders to return in the response, used for paging. The default value is 25 orders per page, and the maximum allowed value is 250 orders per page.", "location": "query", "format": "uint32", "type": "integer" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" }, "merchantId": { "format": "uint64", "required": true, "location": "path", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account." }, "orderBy": { "location": "query", "type": "string", "description": "Order results by placement date in descending or ascending order. Acceptable values are: - placedDateAsc - placedDateDesc " }, "acknowledged": { "type": "boolean", "description": "Obtains orders that match the acknowledgement status. When set to true, obtains orders that have been acknowledged. When false, obtains orders that have not been acknowledged. We recommend using this filter set to `false`, in conjunction with the `acknowledge` call, such that only un-acknowledged orders are returned. ", "location": "query" }, "placedDateEnd": { "location": "query", "type": "string", "description": "Obtains orders placed before this date (exclusively), in ISO 8601 format." } }, "description": "Lists the orders in your Merchant Center account.", "path": "{merchantId}/orders", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "id": "content.orders.list", "response": { "$ref": "OrdersListResponse" } }, "shiplineitems": { "request": { "$ref": "OrdersShipLineItemsRequest" }, "parameters": { "orderId": { "type": "string", "location": "path", "required": true, "description": "The ID of the order." }, "merchantId": { "type": "string", "required": true, "location": "path", "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account." } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "orderId" ], "flatPath": "{merchantId}/orders/{orderId}/shipLineItems", "httpMethod": "POST", "path": "{merchantId}/orders/{orderId}/shipLineItems", "id": "content.orders.shiplineitems", "response": { "$ref": "OrdersShipLineItemsResponse" }, "description": "Marks line item(s) as shipped." }, "get": { "parameters": { "orderId": { "description": "The ID of the order.", "type": "string", "required": true, "location": "path" }, "merchantId": { "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "format": "uint64", "required": true } }, "path": "{merchantId}/orders/{orderId}", "description": "Retrieves an order from your Merchant Center account.", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "orderId" ], "flatPath": "{merchantId}/orders/{orderId}", "response": { "$ref": "Order" }, "id": "content.orders.get", "httpMethod": "GET" }, "acknowledge": { "httpMethod": "POST", "response": { "$ref": "OrdersAcknowledgeResponse" }, "request": { "$ref": "OrdersAcknowledgeRequest" }, "flatPath": "{merchantId}/orders/{orderId}/acknowledge", "parameterOrder": [ "merchantId", "orderId" ], "description": "Marks an order as acknowledged.", "path": "{merchantId}/orders/{orderId}/acknowledge", "parameters": { "orderId": { "required": true, "description": "The ID of the order.", "type": "string", "location": "path" }, "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "format": "uint64", "location": "path", "type": "string" } }, "id": "content.orders.acknowledge", "scopes": [ "https://www.googleapis.com/auth/content" ] }, "getbymerchantorderid": { "flatPath": "{merchantId}/ordersbymerchantid/{merchantOrderId}", "description": "Retrieves an order using merchant order ID.", "response": { "$ref": "OrdersGetByMerchantOrderIdResponse" }, "path": "{merchantId}/ordersbymerchantid/{merchantOrderId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantOrderId": { "type": "string", "description": "The merchant order ID to be looked for.", "location": "path", "required": true }, "merchantId": { "required": true, "location": "path", "type": "string", "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account." } }, "id": "content.orders.getbymerchantorderid", "httpMethod": "GET", "parameterOrder": [ "merchantId", "merchantOrderId" ] }, "updateshipment": { "httpMethod": "POST", "request": { "$ref": "OrdersUpdateShipmentRequest" }, "path": "{merchantId}/orders/{orderId}/updateShipment", "response": { "$ref": "OrdersUpdateShipmentResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Updates a shipment's status, carrier, and/or tracking ID.", "id": "content.orders.updateshipment", "parameters": { "orderId": { "type": "string", "description": "The ID of the order.", "required": true, "location": "path" }, "merchantId": { "required": true, "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "format": "uint64", "type": "string" } }, "flatPath": "{merchantId}/orders/{orderId}/updateShipment", "parameterOrder": [ "merchantId", "orderId" ] }, "refundorder": { "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantId": { "required": true, "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "type": "string", "format": "uint64" }, "orderId": { "description": "The ID of the order to refund.", "required": true, "location": "path", "type": "string" } }, "flatPath": "{merchantId}/orders/{orderId}/refundorder", "parameterOrder": [ "merchantId", "orderId" ], "response": { "$ref": "OrdersRefundOrderResponse" }, "id": "content.orders.refundorder", "request": { "$ref": "OrdersRefundOrderRequest" }, "path": "{merchantId}/orders/{orderId}/refundorder", "httpMethod": "POST", "description": "Issues a partial or total refund for an order." }, "instorerefundlineitem": { "parameters": { "merchantId": { "format": "uint64", "location": "path", "required": true, "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string" }, "orderId": { "location": "path", "required": true, "description": "The ID of the order.", "type": "string" } }, "request": { "$ref": "OrdersInStoreRefundLineItemRequest" }, "path": "{merchantId}/orders/{orderId}/inStoreRefundLineItem", "response": { "$ref": "OrdersInStoreRefundLineItemResponse" }, "parameterOrder": [ "merchantId", "orderId" ], "description": "Deprecated. Notifies that item return and refund was handled directly by merchant outside of Google payments processing (for example, cash refund done in store). Note: We recommend calling the returnrefundlineitem method to refund in-store returns. We will issue the refund directly to the customer. This helps to prevent possible differences arising between merchant and Google transaction records. We also recommend having the point of sale system communicate with Google to ensure that customers do not receive a double refund by first refunding through Google then through an in-store return.", "flatPath": "{merchantId}/orders/{orderId}/inStoreRefundLineItem", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.orders.instorerefundlineitem" }, "captureOrder": { "parameterOrder": [ "merchantId", "orderId" ], "id": "content.orders.captureOrder", "parameters": { "merchantId": { "description": "Required. The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string", "required": true, "format": "int64", "location": "path" }, "orderId": { "location": "path", "required": true, "description": "Required. The ID of the Order.", "type": "string" } }, "description": "Capture funds from the customer for the current order total. This method should be called after the merchant verifies that they are able and ready to start shipping the order. This method blocks until a response is received from the payment processsor. If this method succeeds, the merchant is guaranteed to receive funds for the order after shipment. If the request fails, it can be retried or the order may be cancelled. This method cannot be called after the entire order is already shipped. A rejected error code is returned when the payment service provider has declined the charge. This indicates a problem between the PSP and either the merchant's or customer's account. Sometimes this error will be resolved by the customer. We recommend retrying these errors once per day or cancelling the order with reason `failedToCaptureFunds` if the items cannot be held.", "request": { "$ref": "CaptureOrderRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "CaptureOrderResponse" }, "path": "{merchantId}/orders/{orderId}/captureOrder", "flatPath": "{merchantId}/orders/{orderId}/captureOrder" }, "refunditem": { "httpMethod": "POST", "request": { "$ref": "OrdersRefundItemRequest" }, "response": { "$ref": "OrdersRefundItemResponse" }, "id": "content.orders.refunditem", "path": "{merchantId}/orders/{orderId}/refunditem", "flatPath": "{merchantId}/orders/{orderId}/refunditem", "description": "Issues a partial or total refund for items and shipment.", "parameterOrder": [ "merchantId", "orderId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "format": "uint64", "type": "string", "location": "path" }, "orderId": { "description": "The ID of the order to refund.", "location": "path", "required": true, "type": "string" } } }, "updatelineitemshippingdetails": { "flatPath": "{merchantId}/orders/{orderId}/updateLineItemShippingDetails", "parameterOrder": [ "merchantId", "orderId" ], "request": { "$ref": "OrdersUpdateLineItemShippingDetailsRequest" }, "parameters": { "orderId": { "required": true, "location": "path", "description": "The ID of the order.", "type": "string" }, "merchantId": { "location": "path", "required": true, "format": "uint64", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account." } }, "path": "{merchantId}/orders/{orderId}/updateLineItemShippingDetails", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "OrdersUpdateLineItemShippingDetailsResponse" }, "httpMethod": "POST", "id": "content.orders.updatelineitemshippingdetails", "description": "Updates ship by and delivery by dates for a line item." }, "cancel": { "httpMethod": "POST", "description": "Cancels all line items in an order, making a full refund.", "parameters": { "merchantId": { "type": "string", "location": "path", "required": true, "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account." }, "orderId": { "required": true, "type": "string", "location": "path", "description": "The ID of the order to cancel." } }, "path": "{merchantId}/orders/{orderId}/cancel", "response": { "$ref": "OrdersCancelResponse" }, "parameterOrder": [ "merchantId", "orderId" ], "request": { "$ref": "OrdersCancelRequest" }, "id": "content.orders.cancel", "flatPath": "{merchantId}/orders/{orderId}/cancel", "scopes": [ "https://www.googleapis.com/auth/content" ] }, "createtestorder": { "id": "content.orders.createtestorder", "response": { "$ref": "OrdersCreateTestOrderResponse" }, "parameterOrder": [ "merchantId" ], "description": "Sandbox only. Creates a test order.", "path": "{merchantId}/testorders", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/testorders", "request": { "$ref": "OrdersCreateTestOrderRequest" }, "parameters": { "merchantId": { "required": true, "format": "uint64", "location": "path", "type": "string", "description": "The ID of the account that should manage the order. This cannot be a multi-client account." } } }, "setlineitemmetadata": { "request": { "$ref": "OrdersSetLineItemMetadataRequest" }, "httpMethod": "POST", "parameters": { "orderId": { "required": true, "type": "string", "location": "path", "description": "The ID of the order." }, "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string", "format": "uint64", "required": true, "location": "path" } }, "description": "Sets (or overrides if it already exists) merchant provided annotations in the form of key-value pairs. A common use case would be to supply us with additional structured information about a line item that cannot be provided through other methods. Submitted key-value pairs can be retrieved as part of the orders resource.", "response": { "$ref": "OrdersSetLineItemMetadataResponse" }, "id": "content.orders.setlineitemmetadata", "path": "{merchantId}/orders/{orderId}/setLineItemMetadata", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/orders/{orderId}/setLineItemMetadata", "parameterOrder": [ "merchantId", "orderId" ] }, "updatemerchantorderid": { "description": "Updates the merchant order ID for a given order.", "path": "{merchantId}/orders/{orderId}/updateMerchantOrderId", "parameterOrder": [ "merchantId", "orderId" ], "response": { "$ref": "OrdersUpdateMerchantOrderIdResponse" }, "httpMethod": "POST", "flatPath": "{merchantId}/orders/{orderId}/updateMerchantOrderId", "id": "content.orders.updatemerchantorderid", "request": { "$ref": "OrdersUpdateMerchantOrderIdRequest" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "orderId": { "location": "path", "type": "string", "required": true, "description": "The ID of the order." }, "merchantId": { "format": "uint64", "location": "path", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true } } }, "cancellineitem": { "flatPath": "{merchantId}/orders/{orderId}/cancelLineItem", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.orders.cancellineitem", "description": "Cancels a line item, making a full refund.", "response": { "$ref": "OrdersCancelLineItemResponse" }, "request": { "$ref": "OrdersCancelLineItemRequest" }, "httpMethod": "POST", "parameterOrder": [ "merchantId", "orderId" ], "path": "{merchantId}/orders/{orderId}/cancelLineItem", "parameters": { "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "type": "string", "format": "uint64", "location": "path" }, "orderId": { "required": true, "location": "path", "type": "string", "description": "The ID of the order." } } }, "gettestordertemplate": { "parameters": { "country": { "description": "The country of the template to retrieve. Defaults to \"`US`\".", "location": "query", "type": "string" }, "templateName": { "type": "string", "enum": [ "TEMPLATE1", "TEMPLATE2", "TEMPLATE1A", "TEMPLATE1B", "TEMPLATE3", "TEMPLATE4" ], "enumDescriptions": [ "Get `template1`.", "Get `template2`.", "Get `template1A`.", "Get `template1B`.", "Get `template3`.", "Get `template4`." ], "location": "path", "description": "The name of the template to retrieve.", "required": true }, "merchantId": { "format": "uint64", "required": true, "description": "The ID of the account that should manage the order. This cannot be a multi-client account.", "type": "string", "location": "path" } }, "response": { "$ref": "OrdersGetTestOrderTemplateResponse" }, "parameterOrder": [ "merchantId", "templateName" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "flatPath": "{merchantId}/testordertemplates/{templateName}", "description": "Sandbox only. Retrieves an order template that can be used to quickly create a new order in sandbox.", "path": "{merchantId}/testordertemplates/{templateName}", "id": "content.orders.gettestordertemplate" }, "advancetestorder": { "path": "{merchantId}/testorders/{orderId}/advance", "id": "content.orders.advancetestorder", "parameterOrder": [ "merchantId", "orderId" ], "httpMethod": "POST", "response": { "$ref": "OrdersAdvanceTestOrderResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/testorders/{orderId}/advance", "description": "Sandbox only. Moves a test order from state \"`inProgress`\" to state \"`pendingShipment`\".", "parameters": { "orderId": { "type": "string", "required": true, "location": "path", "description": "The ID of the test order to modify." }, "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "format": "uint64", "type": "string", "required": true, "location": "path" } } }, "returnrefundlineitem": { "httpMethod": "POST", "flatPath": "{merchantId}/orders/{orderId}/returnRefundLineItem", "id": "content.orders.returnrefundlineitem", "description": "Returns and refunds a line item. Note that this method can only be called on fully shipped orders. The Orderreturns API is the preferred way to handle returns after you receive a return from a customer. You can use Orderreturns.list or Orderreturns.get to search for the return, and then use Orderreturns.processreturn to issue the refund. If the return cannot be found, then we recommend using this API to issue a refund.", "path": "{merchantId}/orders/{orderId}/returnRefundLineItem", "parameters": { "merchantId": { "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "location": "path", "type": "string" }, "orderId": { "type": "string", "description": "The ID of the order.", "required": true, "location": "path" } }, "request": { "$ref": "OrdersReturnRefundLineItemRequest" }, "response": { "$ref": "OrdersReturnRefundLineItemResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "orderId" ] }, "canceltestorderbycustomer": { "description": "Sandbox only. Cancels a test order for customer-initiated cancellation.", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "OrdersCancelTestOrderByCustomerResponse" }, "httpMethod": "POST", "id": "content.orders.canceltestorderbycustomer", "flatPath": "{merchantId}/testorders/{orderId}/cancelByCustomer", "parameters": { "orderId": { "location": "path", "required": true, "type": "string", "description": "The ID of the test order to cancel." }, "merchantId": { "location": "path", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string", "format": "uint64", "required": true } }, "parameterOrder": [ "merchantId", "orderId" ], "path": "{merchantId}/testorders/{orderId}/cancelByCustomer", "request": { "$ref": "OrdersCancelTestOrderByCustomerRequest" } }, "createtestreturn": { "parameters": { "orderId": { "location": "path", "description": "The ID of the order.", "required": true, "type": "string" }, "merchantId": { "required": true, "location": "path", "type": "string", "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account." } }, "id": "content.orders.createtestreturn", "path": "{merchantId}/orders/{orderId}/testreturn", "description": "Sandbox only. Creates a test return.", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "orderId" ], "request": { "$ref": "OrdersCreateTestReturnRequest" }, "flatPath": "{merchantId}/orders/{orderId}/testreturn", "response": { "$ref": "OrdersCreateTestReturnResponse" }, "httpMethod": "POST" }, "rejectreturnlineitem": { "parameterOrder": [ "merchantId", "orderId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "OrdersRejectReturnLineItemRequest" }, "description": "Rejects return on an line item.", "path": "{merchantId}/orders/{orderId}/rejectReturnLineItem", "id": "content.orders.rejectreturnlineitem", "flatPath": "{merchantId}/orders/{orderId}/rejectReturnLineItem", "httpMethod": "POST", "response": { "$ref": "OrdersRejectReturnLineItemResponse" }, "parameters": { "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "required": true, "format": "uint64", "location": "path", "type": "string" }, "orderId": { "location": "path", "description": "The ID of the order.", "type": "string", "required": true } } } } }, "returnaddress": { "methods": { "get": { "parameterOrder": [ "merchantId", "returnAddressId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ReturnAddress" }, "path": "{merchantId}/returnaddress/{returnAddressId}", "description": "Gets a return address of the Merchant Center account.", "parameters": { "returnAddressId": { "type": "string", "description": "Return address ID generated by Google.", "location": "path", "required": true }, "merchantId": { "format": "uint64", "description": "The Merchant Center account to get a return address for.", "required": true, "type": "string", "location": "path" } }, "id": "content.returnaddress.get", "flatPath": "{merchantId}/returnaddress/{returnAddressId}" }, "custombatch": { "response": { "$ref": "ReturnaddressCustomBatchResponse" }, "httpMethod": "POST", "request": { "$ref": "ReturnaddressCustomBatchRequest" }, "parameters": {}, "description": "Batches multiple return address related calls in a single request.", "id": "content.returnaddress.custombatch", "flatPath": "returnaddress/batch", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "returnaddress/batch", "parameterOrder": [] }, "insert": { "path": "{merchantId}/returnaddress", "request": { "$ref": "ReturnAddress" }, "httpMethod": "POST", "parameters": { "merchantId": { "format": "uint64", "description": "The Merchant Center account to insert a return address for.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ReturnAddress" }, "parameterOrder": [ "merchantId" ], "id": "content.returnaddress.insert", "flatPath": "{merchantId}/returnaddress", "description": "Inserts a return address for the Merchant Center account." }, "list": { "response": { "$ref": "ReturnaddressListResponse" }, "parameters": { "maxResults": { "description": "The maximum number of addresses in the response, used for paging.", "format": "uint32", "location": "query", "type": "integer" }, "country": { "description": "List only return addresses applicable to the given country of sale. When omitted, all return addresses are listed.", "location": "query", "type": "string" }, "merchantId": { "description": "The Merchant Center account to list return addresses for.", "required": true, "format": "uint64", "location": "path", "type": "string" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" } }, "parameterOrder": [ "merchantId" ], "httpMethod": "GET", "flatPath": "{merchantId}/returnaddress", "description": "Lists the return addresses of the Merchant Center account.", "path": "{merchantId}/returnaddress", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.returnaddress.list" }, "delete": { "httpMethod": "DELETE", "flatPath": "{merchantId}/returnaddress/{returnAddressId}", "parameterOrder": [ "merchantId", "returnAddressId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Deletes a return address for the given Merchant Center account.", "id": "content.returnaddress.delete", "path": "{merchantId}/returnaddress/{returnAddressId}", "parameters": { "returnAddressId": { "location": "path", "type": "string", "description": "Return address ID generated by Google.", "required": true }, "merchantId": { "location": "path", "format": "uint64", "type": "string", "required": true, "description": "The Merchant Center account from which to delete the given return address." } } } } }, "returnpolicy": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ReturnpolicyListResponse" }, "flatPath": "{merchantId}/returnpolicy", "httpMethod": "GET", "parameters": { "merchantId": { "format": "uint64", "type": "string", "description": "The Merchant Center account to list return policies for.", "required": true, "location": "path" } }, "description": "Lists the return policies of the Merchant Center account.", "path": "{merchantId}/returnpolicy", "id": "content.returnpolicy.list", "parameterOrder": [ "merchantId" ] }, "custombatch": { "description": "Batches multiple return policy related calls in a single request.", "request": { "$ref": "ReturnpolicyCustomBatchRequest" }, "response": { "$ref": "ReturnpolicyCustomBatchResponse" }, "path": "returnpolicy/batch", "id": "content.returnpolicy.custombatch", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": {}, "httpMethod": "POST", "flatPath": "returnpolicy/batch" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "parameters": { "merchantId": { "format": "uint64", "type": "string", "location": "path", "description": "The Merchant Center account to insert a return policy for.", "required": true } }, "parameterOrder": [ "merchantId" ], "description": "Inserts a return policy for the Merchant Center account.", "path": "{merchantId}/returnpolicy", "response": { "$ref": "ReturnPolicy" }, "flatPath": "{merchantId}/returnpolicy", "id": "content.returnpolicy.insert", "request": { "$ref": "ReturnPolicy" } }, "get": { "parameters": { "returnPolicyId": { "description": "Return policy ID generated by Google.", "required": true, "type": "string", "location": "path" }, "merchantId": { "description": "The Merchant Center account to get a return policy for.", "location": "path", "required": true, "format": "uint64", "type": "string" } }, "id": "content.returnpolicy.get", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "path": "{merchantId}/returnpolicy/{returnPolicyId}", "flatPath": "{merchantId}/returnpolicy/{returnPolicyId}", "description": "Gets a return policy of the Merchant Center account.", "response": { "$ref": "ReturnPolicy" }, "parameterOrder": [ "merchantId", "returnPolicyId" ] }, "delete": { "path": "{merchantId}/returnpolicy/{returnPolicyId}", "parameterOrder": [ "merchantId", "returnPolicyId" ], "parameters": { "returnPolicyId": { "required": true, "type": "string", "description": "Return policy ID generated by Google.", "location": "path" }, "merchantId": { "description": "The Merchant Center account from which to delete the given return policy.", "format": "uint64", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.returnpolicy.delete", "httpMethod": "DELETE", "description": "Deletes a return policy for the given Merchant Center account.", "flatPath": "{merchantId}/returnpolicy/{returnPolicyId}" } } }, "accountstatusesbyexternalsellerid": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/accountstatusesbyexternalsellerid/{externalSellerId}", "parameterOrder": [ "merchantId", "externalSellerId" ], "parameters": { "merchantId": { "location": "path", "format": "int64", "description": "Required. The ID of the MCA containing the seller.", "type": "string", "required": true }, "externalSellerId": { "description": "Required. The External Seller ID of the seller account to be retrieved.", "type": "string", "required": true, "location": "path" }, "destinations": { "type": "string", "location": "query", "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "repeated": true } }, "description": "Gets status of the account with the specified external_seller_id belonging to the MCA with the specified merchant_id.", "flatPath": "{merchantId}/accountstatusesbyexternalsellerid/{externalSellerId}", "id": "content.accountstatusesbyexternalsellerid.get", "response": { "$ref": "AccountStatus" }, "httpMethod": "GET" } } }, "liasettings": { "methods": { "getaccessiblegmbaccounts": { "id": "content.liasettings.getaccessiblegmbaccounts", "description": "Retrieves the list of accessible Business Profiles.", "response": { "$ref": "LiasettingsGetAccessibleGmbAccountsResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "accountId" ], "flatPath": "{merchantId}/liasettings/{accountId}/accessiblegmbaccounts", "parameters": { "accountId": { "location": "path", "type": "string", "format": "uint64", "required": true, "description": "The ID of the account for which to retrieve accessible Business Profiles." }, "merchantId": { "type": "string", "format": "uint64", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "required": true, "location": "path" } }, "path": "{merchantId}/liasettings/{accountId}/accessiblegmbaccounts", "httpMethod": "GET" }, "setinventoryverificationcontact": { "parameterOrder": [ "merchantId", "accountId", "country", "language", "contactName", "contactEmail" ], "parameters": { "merchantId": { "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "required": true, "location": "path", "type": "string", "format": "uint64" }, "country": { "required": true, "type": "string", "location": "query", "description": "The country for which inventory verification is requested." }, "contactName": { "description": "The name of the inventory verification contact.", "required": true, "type": "string", "location": "query" }, "language": { "type": "string", "required": true, "description": "The language for which inventory verification is requested.", "location": "query" }, "accountId": { "required": true, "location": "path", "format": "uint64", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account." }, "contactEmail": { "required": true, "description": "The email of the inventory verification contact.", "location": "query", "type": "string" } }, "id": "content.liasettings.setinventoryverificationcontact", "description": "Sets the inventory verification contract for the specified country.", "flatPath": "{merchantId}/liasettings/{accountId}/setinventoryverificationcontact", "httpMethod": "POST", "response": { "$ref": "LiasettingsSetInventoryVerificationContactResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/liasettings/{accountId}/setinventoryverificationcontact" }, "update": { "parameterOrder": [ "merchantId", "accountId" ], "response": { "$ref": "LiaSettings" }, "description": "Updates the LIA settings of the account. Any fields that are not provided are deleted from the resource.", "flatPath": "{merchantId}/liasettings/{accountId}", "path": "{merchantId}/liasettings/{accountId}", "httpMethod": "PUT", "request": { "$ref": "LiaSettings" }, "id": "content.liasettings.update", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "accountId": { "required": true, "location": "path", "type": "string", "description": "The ID of the account for which to get or update LIA settings.", "format": "uint64" }, "merchantId": { "required": true, "type": "string", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "format": "uint64", "location": "path" } } }, "listposdataproviders": { "httpMethod": "GET", "response": { "$ref": "LiasettingsListPosDataProvidersResponse" }, "parameters": {}, "parameterOrder": [], "id": "content.liasettings.listposdataproviders", "description": "Retrieves the list of POS data providers that have active settings for the all eiligible countries.", "path": "liasettings/posdataproviders", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "liasettings/posdataproviders" }, "list": { "id": "content.liasettings.list", "flatPath": "{merchantId}/liasettings", "path": "{merchantId}/liasettings", "response": { "$ref": "LiasettingsListResponse" }, "description": "Lists the LIA settings of the sub-accounts in your Merchant Center account.", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId" ], "parameters": { "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the managing account. This must be a multi-client account.", "location": "path", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "maxResults": { "type": "integer", "description": "The maximum number of LIA settings to return in the response, used for paging.", "location": "query", "format": "uint32" } }, "httpMethod": "GET" }, "setposdataprovider": { "description": "Sets the POS data provider for the specified country.", "parameters": { "country": { "type": "string", "description": "The country for which the POS data provider is selected.", "location": "query", "required": true }, "posDataProviderId": { "format": "uint64", "location": "query", "type": "string", "description": "The ID of POS data provider." }, "accountId": { "required": true, "type": "string", "description": "The ID of the account for which to retrieve accessible Business Profiles.", "format": "uint64", "location": "path" }, "posExternalAccountId": { "type": "string", "location": "query", "description": "The account ID by which this merchant is known to the POS data provider." }, "merchantId": { "type": "string", "required": true, "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "format": "uint64", "location": "path" } }, "parameterOrder": [ "merchantId", "accountId", "country" ], "response": { "$ref": "LiasettingsSetPosDataProviderResponse" }, "path": "{merchantId}/liasettings/{accountId}/setposdataprovider", "flatPath": "{merchantId}/liasettings/{accountId}/setposdataprovider", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.liasettings.setposdataprovider" }, "custombatch": { "response": { "$ref": "LiasettingsCustomBatchResponse" }, "request": { "$ref": "LiasettingsCustomBatchRequest" }, "id": "content.liasettings.custombatch", "parameters": {}, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves and/or updates the LIA settings of multiple accounts in a single request.", "httpMethod": "POST", "flatPath": "liasettings/batch", "path": "liasettings/batch" }, "get": { "httpMethod": "GET", "response": { "$ref": "LiaSettings" }, "id": "content.liasettings.get", "parameterOrder": [ "merchantId", "accountId" ], "flatPath": "{merchantId}/liasettings/{accountId}", "path": "{merchantId}/liasettings/{accountId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "accountId": { "required": true, "description": "The ID of the account for which to get or update LIA settings.", "location": "path", "type": "string", "format": "uint64" }, "merchantId": { "location": "path", "type": "string", "format": "uint64", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "required": true } }, "description": "Retrieves the LIA settings of the account." }, "requestgmbaccess": { "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/liasettings/{accountId}/requestgmbaccess", "httpMethod": "POST", "parameters": { "merchantId": { "required": true, "format": "uint64", "type": "string", "location": "path", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account." }, "gmbEmail": { "type": "string", "description": "The email of the Business Profile.", "required": true, "location": "query" }, "accountId": { "location": "path", "type": "string", "description": "The ID of the account for which Business Profile access is requested.", "required": true, "format": "uint64" } }, "path": "{merchantId}/liasettings/{accountId}/requestgmbaccess", "response": { "$ref": "LiasettingsRequestGmbAccessResponse" }, "description": "Requests access to a specified Business Profile.", "parameterOrder": [ "merchantId", "accountId", "gmbEmail" ], "id": "content.liasettings.requestgmbaccess" }, "requestinventoryverification": { "parameters": { "merchantId": { "location": "path", "type": "string", "format": "uint64", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "required": true }, "accountId": { "required": true, "format": "uint64", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "type": "string", "location": "path" }, "country": { "type": "string", "location": "path", "required": true, "description": "The country for which inventory validation is requested." } }, "parameterOrder": [ "merchantId", "accountId", "country" ], "description": "Requests inventory validation for the specified country.", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/liasettings/{accountId}/requestinventoryverification/{country}", "flatPath": "{merchantId}/liasettings/{accountId}/requestinventoryverification/{country}", "response": { "$ref": "LiasettingsRequestInventoryVerificationResponse" }, "httpMethod": "POST", "id": "content.liasettings.requestinventoryverification" } } }, "productstatuses": { "resources": { "repricingreports": { "methods": { "list": { "flatPath": "{merchantId}/productstatuses/{productId}/repricingreports", "httpMethod": "GET", "path": "{merchantId}/productstatuses/{productId}/repricingreports", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ListRepricingProductReportsResponse" }, "id": "content.productstatuses.repricingreports.list", "description": "Lists the metrics report for a given Repricing product.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token." }, "endDate": { "type": "string", "description": "Gets Repricing reports on and before this date in the merchant's timezone. You can only retrieve data up to 7 days ago (default) or earlier. Format is YYYY-MM-DD.", "location": "query" }, "ruleId": { "type": "string", "description": "Id of the Repricing rule. If specified, only gets this rule's reports.", "location": "query" }, "pageSize": { "type": "integer", "description": "Maximum number of days of reports to return. There can be more than one rule report returned per day. For example, if 3 rule types got applied to the same product within a 24-hour period, then a page_size of 1 will return 3 rule reports. The page size defaults to 50 and values above 1000 are coerced to 1000. This service may return fewer days of reports than this value, for example, if the time between your start and end date is less than the page size.", "location": "query", "format": "int32" }, "startDate": { "description": "Gets Repricing reports on and after this date in the merchant's timezone, up to one year ago. Do not use a start date later than 7 days ago (default). Format is YYYY-MM-DD.", "type": "string", "location": "query" }, "productId": { "location": "path", "description": "Required. Id of the Repricing product. Also known as the [REST_ID](https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product.FIELDS.id)", "required": true, "type": "string" }, "merchantId": { "format": "int64", "required": true, "location": "path", "type": "string", "description": "Required. Id of the merchant who owns the Repricing rule." } }, "parameterOrder": [ "merchantId", "productId" ] } } } }, "methods": { "list": { "path": "{merchantId}/productstatuses", "parameterOrder": [ "merchantId" ], "flatPath": "{merchantId}/productstatuses", "response": { "$ref": "ProductstatusesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "destinations": { "type": "string", "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "repeated": true, "location": "query" }, "merchantId": { "type": "string", "required": true, "description": "The ID of the account that contains the products. This account cannot be a multi-client account.", "format": "uint64", "location": "path" }, "pageToken": { "description": "The token returned by the previous request.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "description": "The maximum number of product statuses to return in the response, used for paging.", "location": "query", "format": "uint32" } }, "description": "Lists the statuses of the products in your Merchant Center account.", "id": "content.productstatuses.list", "httpMethod": "GET" }, "get": { "parameters": { "destinations": { "type": "string", "repeated": true, "location": "query", "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination." }, "productId": { "location": "path", "description": "The REST ID of the product.", "required": true, "type": "string" }, "merchantId": { "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "location": "path", "type": "string", "required": true, "format": "uint64" } }, "flatPath": "{merchantId}/productstatuses/{productId}", "id": "content.productstatuses.get", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ProductStatus" }, "description": "Gets the status of a product from your Merchant Center account.", "httpMethod": "GET", "parameterOrder": [ "merchantId", "productId" ], "path": "{merchantId}/productstatuses/{productId}" }, "custombatch": { "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "id": "content.productstatuses.custombatch", "path": "productstatuses/batch", "parameterOrder": [], "description": "Gets the statuses of multiple products in a single request.", "parameters": {}, "request": { "$ref": "ProductstatusesCustomBatchRequest" }, "flatPath": "productstatuses/batch", "response": { "$ref": "ProductstatusesCustomBatchResponse" } } } }, "accounts": { "methods": { "link": { "response": { "$ref": "AccountsLinkResponse" }, "id": "content.accounts.link", "request": { "$ref": "AccountsLinkRequest" }, "path": "{merchantId}/accounts/{accountId}/link", "flatPath": "{merchantId}/accounts/{accountId}/link", "description": "Performs an action on a link between two Merchant Center accounts, namely accountId and linkedAccountId.", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "accountId" ], "httpMethod": "POST", "parameters": { "accountId": { "format": "uint64", "required": true, "description": "The ID of the account that should be linked.", "type": "string", "location": "path" }, "merchantId": { "required": true, "type": "string", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "location": "path", "format": "uint64" } } }, "update": { "description": "Updates a Merchant Center account. Any fields that are not provided are deleted from the resource.", "parameters": { "merchantId": { "format": "uint64", "required": true, "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "location": "path", "type": "string" }, "accountId": { "location": "path", "required": true, "format": "uint64", "description": "The ID of the account.", "type": "string" } }, "response": { "$ref": "Account" }, "request": { "$ref": "Account" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.accounts.update", "parameterOrder": [ "merchantId", "accountId" ], "flatPath": "{merchantId}/accounts/{accountId}", "httpMethod": "PUT", "path": "{merchantId}/accounts/{accountId}" }, "insert": { "parameters": { "merchantId": { "description": "The ID of the managing account. This must be a multi-client account.", "type": "string", "required": true, "format": "uint64", "location": "path" } }, "id": "content.accounts.insert", "response": { "$ref": "Account" }, "request": { "$ref": "Account" }, "parameterOrder": [ "merchantId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/accounts", "flatPath": "{merchantId}/accounts", "description": "Creates a Merchant Center sub-account.", "httpMethod": "POST" }, "requestphoneverification": { "request": { "$ref": "RequestPhoneVerificationRequest" }, "id": "content.accounts.requestphoneverification", "description": "Request verification code to start phone verification.", "flatPath": "{merchantId}/accounts/{accountId}/requestphoneverification", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/accounts/{accountId}/requestphoneverification", "parameters": { "accountId": { "format": "int64", "location": "path", "description": "Required. The ID of the account.", "type": "string", "required": true }, "merchantId": { "description": "Required. The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.", "type": "string", "required": true, "format": "int64", "location": "path" } }, "response": { "$ref": "RequestPhoneVerificationResponse" }, "parameterOrder": [ "merchantId", "accountId" ] }, "delete": { "httpMethod": "DELETE", "parameters": { "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the managing account. This must be a multi-client account, and accountId must be the ID of a sub-account of this account.", "location": "path", "required": true }, "accountId": { "description": "The ID of the account.", "required": true, "location": "path", "format": "uint64", "type": "string" }, "force": { "default": "false", "description": "Option to delete sub-accounts with products. The default value is false.", "type": "boolean", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/accounts/{accountId}", "id": "content.accounts.delete", "flatPath": "{merchantId}/accounts/{accountId}", "description": "Deletes a Merchant Center sub-account.", "parameterOrder": [ "merchantId", "accountId" ] }, "verifyphonenumber": { "response": { "$ref": "VerifyPhoneNumberResponse" }, "description": "Validates verification code to verify phone number for the account. If successful this will overwrite the value of `accounts.businessinformation.phoneNumber`. Only verified phone number will replace an existing verified phone number.", "request": { "$ref": "VerifyPhoneNumberRequest" }, "flatPath": "{merchantId}/accounts/{accountId}/verifyphonenumber", "parameterOrder": [ "merchantId", "accountId" ], "parameters": { "accountId": { "format": "int64", "required": true, "location": "path", "description": "Required. The ID of the account.", "type": "string" }, "merchantId": { "required": true, "format": "int64", "description": "Required. The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account.", "location": "path", "type": "string" } }, "path": "{merchantId}/accounts/{accountId}/verifyphonenumber", "httpMethod": "POST", "id": "content.accounts.verifyphonenumber", "scopes": [ "https://www.googleapis.com/auth/content" ] }, "list": { "path": "{merchantId}/accounts", "flatPath": "{merchantId}/accounts", "parameters": { "name": { "location": "query", "description": "If set, only the accounts with the given name (case sensitive) will be returned.", "type": "string" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" }, "merchantId": { "description": "The ID of the managing account. This must be a multi-client account.", "format": "uint64", "location": "path", "required": true, "type": "string" }, "maxResults": { "description": "The maximum number of accounts to return in the response, used for paging.", "type": "integer", "format": "uint32", "location": "query" }, "view": { "type": "string", "enumDescriptions": [ "Default. View is populated with Merchant Center fields.", "View is populated with Comparison Shopping Services fields." ], "description": "Controls which fields will be populated. Acceptable values are: \"merchant\" and \"css\". The default value is \"merchant\".", "enum": [ "MERCHANT", "CSS" ], "location": "query" }, "label": { "type": "string", "location": "query", "description": "If view is set to \"css\", only return accounts that are assigned label with given ID.", "format": "uint64" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Lists the sub-accounts in your Merchant Center account.", "id": "content.accounts.list", "response": { "$ref": "AccountsListResponse" }, "parameterOrder": [ "merchantId" ], "httpMethod": "GET" }, "authinfo": { "parameters": {}, "flatPath": "accounts/authinfo", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Returns information about the authenticated user.", "httpMethod": "GET", "response": { "$ref": "AccountsAuthInfoResponse" }, "id": "content.accounts.authinfo", "path": "accounts/authinfo" }, "get": { "response": { "$ref": "Account" }, "flatPath": "{merchantId}/accounts/{accountId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "accountId" ], "description": "Retrieves a Merchant Center account.", "parameters": { "merchantId": { "type": "string", "format": "uint64", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "required": true, "location": "path" }, "accountId": { "required": true, "type": "string", "description": "The ID of the account.", "format": "uint64", "location": "path" }, "view": { "location": "query", "description": "Controls which fields will be populated. Acceptable values are: \"merchant\" and \"css\". The default value is \"merchant\".", "enum": [ "MERCHANT", "CSS" ], "enumDescriptions": [ "Default. View is populated with Merchant Center fields.", "View is populated with Comparison Shopping Services fields." ], "type": "string" } }, "path": "{merchantId}/accounts/{accountId}", "id": "content.accounts.get", "httpMethod": "GET" }, "listlinks": { "parameterOrder": [ "merchantId", "accountId" ], "parameters": { "maxResults": { "location": "query", "description": "The maximum number of links to return in the response, used for pagination. The minimum allowed value is 5 results per page. If provided value is lower than 5, it will be automatically increased to 5.", "format": "uint32", "type": "integer" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" }, "merchantId": { "required": true, "location": "path", "format": "uint64", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "type": "string" }, "accountId": { "description": "The ID of the account for which to list links.", "type": "string", "location": "path", "format": "uint64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/accounts/{accountId}/listlinks", "path": "{merchantId}/accounts/{accountId}/listlinks", "httpMethod": "GET", "id": "content.accounts.listlinks", "description": "Returns the list of accounts linked to your Merchant Center account.", "response": { "$ref": "AccountsListLinksResponse" } }, "claimwebsite": { "id": "content.accounts.claimwebsite", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Claims the website of a Merchant Center sub-account.", "path": "{merchantId}/accounts/{accountId}/claimwebsite", "parameterOrder": [ "merchantId", "accountId" ], "response": { "$ref": "AccountsClaimWebsiteResponse" }, "httpMethod": "POST", "flatPath": "{merchantId}/accounts/{accountId}/claimwebsite", "parameters": { "merchantId": { "type": "string", "format": "uint64", "required": true, "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "location": "path" }, "overwrite": { "location": "query", "description": "Only available to selected merchants, for example multi-client accounts (MCAs) and their sub-accounts. When set to `True`, this option removes any existing claim on the requested website and replaces it with a claim from the account that makes the request.", "type": "boolean" }, "accountId": { "required": true, "description": "The ID of the account whose website is claimed.", "location": "path", "type": "string", "format": "uint64" } } }, "updatelabels": { "request": { "$ref": "AccountsUpdateLabelsRequest" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "AccountsUpdateLabelsResponse" }, "path": "{merchantId}/accounts/{accountId}/updatelabels", "httpMethod": "POST", "id": "content.accounts.updatelabels", "parameters": { "merchantId": { "description": "The ID of the managing account.", "format": "uint64", "required": true, "location": "path", "type": "string" }, "accountId": { "location": "path", "required": true, "type": "string", "format": "uint64", "description": "The ID of the account whose labels are updated." } }, "flatPath": "{merchantId}/accounts/{accountId}/updatelabels", "description": "Updates labels that are assigned to the Merchant Center account by CSS user.", "parameterOrder": [ "merchantId", "accountId" ] }, "custombatch": { "request": { "$ref": "AccountsCustomBatchRequest" }, "parameterOrder": [], "flatPath": "accounts/batch", "response": { "$ref": "AccountsCustomBatchResponse" }, "id": "content.accounts.custombatch", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "accounts/batch", "parameters": {}, "httpMethod": "POST", "description": "Retrieves, inserts, updates, and deletes multiple Merchant Center (sub-)accounts in a single request." } }, "resources": { "credentials": { "methods": { "create": { "request": { "$ref": "AccountCredentials" }, "description": "Uploads credentials for the Merchant Center account. If credentials already exist for this Merchant Center account and purpose, this method updates them.", "parameterOrder": [ "accountId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "parameters": { "accountId": { "required": true, "description": "Required. The merchant id of the account these credentials belong to.", "format": "int64", "location": "path", "type": "string" } }, "path": "accounts/{accountId}/credentials", "id": "content.accounts.credentials.create", "response": { "$ref": "AccountCredentials" }, "flatPath": "accounts/{accountId}/credentials" } } }, "labels": { "methods": { "list": { "response": { "$ref": "ListAccountLabelsResponse" }, "parameters": { "accountId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "Required. The account id for whose labels are to be listed." }, "pageSize": { "description": "The maximum number of labels to return. The service may return fewer than this value. If unspecified, at most 50 labels will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "description": "A page token, received from a previous `ListAccountLabels` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAccountLabels` must match the call that provided the page token.", "location": "query", "type": "string" } }, "parameterOrder": [ "accountId" ], "description": "Lists the labels assigned to an account.", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "id": "content.accounts.labels.list", "path": "accounts/{accountId}/labels", "flatPath": "accounts/{accountId}/labels" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "AccountLabel" }, "description": "Updates a label.", "path": "accounts/{accountId}/labels/{labelId}", "flatPath": "accounts/{accountId}/labels/{labelId}", "request": { "$ref": "AccountLabel" }, "parameterOrder": [ "accountId", "labelId" ], "id": "content.accounts.labels.patch", "parameters": { "accountId": { "format": "int64", "required": true, "description": "Required. The id of the account this label belongs to.", "type": "string", "location": "path" }, "labelId": { "type": "string", "required": true, "format": "int64", "location": "path", "description": "Required. The id of the label to update." } } }, "create": { "request": { "$ref": "AccountLabel" }, "parameterOrder": [ "accountId" ], "flatPath": "accounts/{accountId}/labels", "id": "content.accounts.labels.create", "description": "Creates a new label, not assigned to any account.", "response": { "$ref": "AccountLabel" }, "path": "accounts/{accountId}/labels", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "POST", "parameters": { "accountId": { "format": "int64", "description": "Required. The id of the account this label belongs to.", "location": "path", "type": "string", "required": true } } }, "delete": { "description": "Deletes a label and removes it from all accounts to which it was assigned.", "parameters": { "labelId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "Required. The id of the label to delete." }, "accountId": { "description": "Required. The id of the account that owns the label.", "required": true, "location": "path", "type": "string", "format": "int64" } }, "parameterOrder": [ "accountId", "labelId" ], "httpMethod": "DELETE", "path": "accounts/{accountId}/labels/{labelId}", "flatPath": "accounts/{accountId}/labels/{labelId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.accounts.labels.delete" } } }, "returncarrier": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.accounts.returncarrier.delete", "description": "Delete a return carrier in the merchant account.", "parameterOrder": [ "accountId", "carrierAccountId" ], "httpMethod": "DELETE", "parameters": { "accountId": { "required": true, "type": "string", "description": "Required. The Merchant Center Account Id under which the Return Carrier is to be linked.", "location": "path", "format": "int64" }, "carrierAccountId": { "required": true, "location": "path", "type": "string", "description": "Required. The Google-provided unique carrier ID, used to update the resource.", "format": "int64" } }, "flatPath": "accounts/{accountId}/returncarrier/{carrierAccountId}", "path": "accounts/{accountId}/returncarrier/{carrierAccountId}" }, "create": { "parameterOrder": [ "accountId" ], "response": { "$ref": "AccountReturnCarrier" }, "id": "content.accounts.returncarrier.create", "flatPath": "accounts/{accountId}/returncarrier", "request": { "$ref": "AccountReturnCarrier" }, "httpMethod": "POST", "path": "accounts/{accountId}/returncarrier", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "accountId": { "location": "path", "description": "Required. The Merchant Center Account Id under which the Return Carrier is to be linked.", "type": "string", "required": true, "format": "int64" } }, "description": "Links return carrier to a merchant account." }, "patch": { "description": "Updates a return carrier in the merchant account.", "httpMethod": "PATCH", "response": { "$ref": "AccountReturnCarrier" }, "flatPath": "accounts/{accountId}/returncarrier/{carrierAccountId}", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "accountId": { "format": "int64", "location": "path", "required": true, "type": "string", "description": "Required. The Merchant Center Account Id under which the Return Carrier is to be linked." }, "carrierAccountId": { "format": "int64", "required": true, "description": "Required. The Google-provided unique carrier ID, used to update the resource.", "location": "path", "type": "string" } }, "id": "content.accounts.returncarrier.patch", "request": { "$ref": "AccountReturnCarrier" }, "parameterOrder": [ "accountId", "carrierAccountId" ], "path": "accounts/{accountId}/returncarrier/{carrierAccountId}" }, "list": { "flatPath": "accounts/{accountId}/returncarrier", "parameters": { "accountId": { "location": "path", "required": true, "format": "int64", "description": "Required. The Merchant Center Account Id under which the Return Carrier is to be linked.", "type": "string" } }, "parameterOrder": [ "accountId" ], "description": "Lists available return carriers in the merchant account.", "response": { "$ref": "ListAccountReturnCarrierResponse" }, "path": "accounts/{accountId}/returncarrier", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.accounts.returncarrier.list" } } } } }, "regionalinventory": { "methods": { "insert": { "request": { "$ref": "RegionalInventory" }, "flatPath": "{merchantId}/products/{productId}/regionalinventory", "parameters": { "merchantId": { "type": "string", "required": true, "format": "uint64", "location": "path", "description": "The ID of the account that contains the product. This account cannot be a multi-client account." }, "productId": { "location": "path", "type": "string", "description": "The REST ID of the product for which to update the regional inventory.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/products/{productId}/regionalinventory", "id": "content.regionalinventory.insert", "parameterOrder": [ "merchantId", "productId" ], "description": "Updates the regional inventory of a product in your Merchant Center account. If a regional inventory with the same region ID already exists, this method updates that entry.", "httpMethod": "POST", "response": { "$ref": "RegionalInventory" } }, "custombatch": { "httpMethod": "POST", "parameters": {}, "path": "regionalinventory/batch", "flatPath": "regionalinventory/batch", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Updates regional inventory for multiple products or regions in a single request.", "response": { "$ref": "RegionalinventoryCustomBatchResponse" }, "request": { "$ref": "RegionalinventoryCustomBatchRequest" }, "id": "content.regionalinventory.custombatch", "parameterOrder": [] } } }, "accounttax": { "methods": { "custombatch": { "description": "Retrieves and updates tax settings of multiple accounts in a single request.", "response": { "$ref": "AccounttaxCustomBatchResponse" }, "path": "accounttax/batch", "httpMethod": "POST", "parameters": {}, "request": { "$ref": "AccounttaxCustomBatchRequest" }, "parameterOrder": [], "flatPath": "accounttax/batch", "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.accounttax.custombatch" }, "update": { "request": { "$ref": "AccountTax" }, "httpMethod": "PUT", "path": "{merchantId}/accounttax/{accountId}", "flatPath": "{merchantId}/accounttax/{accountId}", "description": "Updates the tax settings of the account. Any fields that are not provided are deleted from the resource.", "response": { "$ref": "AccountTax" }, "id": "content.accounttax.update", "parameters": { "accountId": { "type": "string", "required": true, "location": "path", "format": "uint64", "description": "The ID of the account for which to get/update account tax settings." }, "merchantId": { "location": "path", "format": "uint64", "required": true, "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "type": "string" } }, "parameterOrder": [ "merchantId", "accountId" ], "scopes": [ "https://www.googleapis.com/auth/content" ] }, "list": { "flatPath": "{merchantId}/accounttax", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Lists the tax settings of the sub-accounts in your Merchant Center account.", "response": { "$ref": "AccounttaxListResponse" }, "path": "{merchantId}/accounttax", "parameters": { "maxResults": { "location": "query", "format": "uint32", "description": "The maximum number of tax settings to return in the response, used for paging.", "type": "integer" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" }, "merchantId": { "type": "string", "description": "The ID of the managing account. This must be a multi-client account.", "location": "path", "format": "uint64", "required": true } }, "parameterOrder": [ "merchantId" ], "id": "content.accounttax.list", "httpMethod": "GET" }, "get": { "response": { "$ref": "AccountTax" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "merchantId": { "location": "path", "type": "string", "required": true, "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "format": "uint64" }, "accountId": { "location": "path", "required": true, "description": "The ID of the account for which to get/update account tax settings.", "format": "uint64", "type": "string" } }, "path": "{merchantId}/accounttax/{accountId}", "id": "content.accounttax.get", "parameterOrder": [ "merchantId", "accountId" ], "description": "Retrieves the tax settings of the account.", "httpMethod": "GET", "flatPath": "{merchantId}/accounttax/{accountId}" } } }, "accountstatuses": { "methods": { "list": { "description": "Lists the statuses of the sub-accounts in your Merchant Center account.", "flatPath": "{merchantId}/accountstatuses", "httpMethod": "GET", "id": "content.accountstatuses.list", "path": "{merchantId}/accountstatuses", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "AccountstatusesListResponse" }, "parameterOrder": [ "merchantId" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The token returned by the previous request." }, "destinations": { "location": "query", "repeated": true, "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "type": "string" }, "maxResults": { "type": "integer", "description": "The maximum number of account statuses to return in the response, used for paging.", "location": "query", "format": "uint32" }, "name": { "description": "If set, only the accounts with the given name (case sensitive) will be returned.", "location": "query", "type": "string" }, "merchantId": { "location": "path", "description": "The ID of the managing account. This must be a multi-client account.", "format": "uint64", "type": "string", "required": true } } }, "custombatch": { "parameterOrder": [], "response": { "$ref": "AccountstatusesCustomBatchResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves multiple Merchant Center account statuses in a single request.", "httpMethod": "POST", "id": "content.accountstatuses.custombatch", "path": "accountstatuses/batch", "request": { "$ref": "AccountstatusesCustomBatchRequest" }, "flatPath": "accountstatuses/batch", "parameters": {} }, "get": { "response": { "$ref": "AccountStatus" }, "httpMethod": "GET", "description": "Retrieves the status of a Merchant Center account. No itemLevelIssues are returned for multi-client accounts.", "parameters": { "accountId": { "format": "uint64", "description": "The ID of the account.", "location": "path", "type": "string", "required": true }, "merchantId": { "required": true, "type": "string", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "location": "path", "format": "uint64" }, "destinations": { "description": "If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination.", "type": "string", "repeated": true, "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/accountstatuses/{accountId}", "parameterOrder": [ "merchantId", "accountId" ], "flatPath": "{merchantId}/accountstatuses/{accountId}", "id": "content.accountstatuses.get" } } }, "products": { "methods": { "update": { "request": { "$ref": "Product" }, "path": "{merchantId}/products/{productId}", "parameterOrder": [ "merchantId", "productId" ], "id": "content.products.update", "flatPath": "{merchantId}/products/{productId}", "response": { "$ref": "Product" }, "description": "Updates an existing product in your Merchant Center account. Only updates attributes provided in the request.", "httpMethod": "PATCH", "parameters": { "merchantId": { "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "location": "path", "required": true, "type": "string", "format": "uint64" }, "productId": { "description": "The REST ID of the product for which to update.", "type": "string", "required": true, "location": "path" }, "updateMask": { "description": "The comma-separated list of product attributes to be updated. Example: `\"title,salePrice\"`. Attributes specified in the update mask without a value specified in the body will be deleted from the product. Only top-level product attributes can be updated. If not defined, product attributes with set values will be updated and other attributes will stay unchanged.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/content" ] }, "list": { "path": "{merchantId}/products", "parameterOrder": [ "merchantId" ], "id": "content.products.list", "parameters": { "maxResults": { "type": "integer", "format": "uint32", "location": "query", "description": "The maximum number of products to return in the response, used for paging." }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" }, "merchantId": { "description": "The ID of the account that contains the products. This account cannot be a multi-client account.", "format": "uint64", "required": true, "type": "string", "location": "path" } }, "flatPath": "{merchantId}/products", "response": { "$ref": "ProductsListResponse" }, "httpMethod": "GET", "description": "Lists the products in your Merchant Center account. The response might contain fewer items than specified by maxResults. Rely on nextPageToken to determine if there are more items to be requested.", "scopes": [ "https://www.googleapis.com/auth/content" ] }, "custombatch": { "response": { "$ref": "ProductsCustomBatchResponse" }, "id": "content.products.custombatch", "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "products/batch", "parameters": {}, "flatPath": "products/batch", "parameterOrder": [], "httpMethod": "POST", "request": { "$ref": "ProductsCustomBatchRequest" }, "description": "Retrieves, inserts, and deletes multiple products in a single request." }, "get": { "id": "content.products.get", "description": "Retrieves a product from your Merchant Center account.", "response": { "$ref": "Product" }, "parameterOrder": [ "merchantId", "productId" ], "httpMethod": "GET", "flatPath": "{merchantId}/products/{productId}", "path": "{merchantId}/products/{productId}", "parameters": { "productId": { "type": "string", "description": "The REST ID of the product.", "location": "path", "required": true }, "merchantId": { "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "format": "uint64", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ] }, "delete": { "id": "content.products.delete", "httpMethod": "DELETE", "path": "{merchantId}/products/{productId}", "flatPath": "{merchantId}/products/{productId}", "parameterOrder": [ "merchantId", "productId" ], "description": "Deletes a product from your Merchant Center account.", "scopes": [ "https://www.googleapis.com/auth/content" ], "parameters": { "feedId": { "type": "string", "location": "query", "description": "The Content API Supplemental Feed ID. If present then product deletion applies to the data in a supplemental feed. If absent, entire product will be deleted.", "format": "uint64" }, "merchantId": { "location": "path", "format": "uint64", "type": "string", "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "required": true }, "productId": { "description": "The REST ID of the product.", "required": true, "location": "path", "type": "string" } } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/products", "httpMethod": "POST", "parameters": { "merchantId": { "description": "The ID of the account that contains the product. This account cannot be a multi-client account.", "type": "string", "format": "uint64", "location": "path", "required": true }, "feedId": { "location": "query", "type": "string", "format": "uint64", "description": "The Content API Supplemental Feed ID. If present then product insertion applies to the data in a supplemental feed." } }, "id": "content.products.insert", "response": { "$ref": "Product" }, "description": "Uploads a product to your Merchant Center account. If an item with the same channel, contentLanguage, offerId, and targetCountry already exists, this method updates that entry.", "path": "{merchantId}/products", "request": { "$ref": "Product" }, "parameterOrder": [ "merchantId" ] } } }, "shippingsettings": { "methods": { "getsupportedcarriers": { "path": "{merchantId}/supportedCarriers", "response": { "$ref": "ShippingsettingsGetSupportedCarriersResponse" }, "flatPath": "{merchantId}/supportedCarriers", "httpMethod": "GET", "id": "content.shippingsettings.getsupportedcarriers", "description": "Retrieves supported carriers and carrier services for an account.", "parameters": { "merchantId": { "required": true, "type": "string", "description": "The ID of the account for which to retrieve the supported carriers.", "format": "uint64", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId" ] }, "getsupportedholidays": { "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Retrieves supported holidays for an account.", "path": "{merchantId}/supportedHolidays", "httpMethod": "GET", "flatPath": "{merchantId}/supportedHolidays", "response": { "$ref": "ShippingsettingsGetSupportedHolidaysResponse" }, "parameterOrder": [ "merchantId" ], "parameters": { "merchantId": { "description": "The ID of the account for which to retrieve the supported holidays.", "location": "path", "required": true, "type": "string", "format": "uint64" } }, "id": "content.shippingsettings.getsupportedholidays" }, "get": { "id": "content.shippingsettings.get", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ShippingSettings" }, "parameterOrder": [ "merchantId", "accountId" ], "flatPath": "{merchantId}/shippingsettings/{accountId}", "description": "Retrieves the shipping settings of the account.", "httpMethod": "GET", "path": "{merchantId}/shippingsettings/{accountId}", "parameters": { "merchantId": { "location": "path", "type": "string", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account.", "format": "uint64", "required": true }, "accountId": { "description": "The ID of the account for which to get/update shipping settings.", "type": "string", "location": "path", "format": "uint64", "required": true } } }, "list": { "response": { "$ref": "ShippingsettingsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.shippingsettings.list", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The token returned by the previous request." }, "maxResults": { "type": "integer", "format": "uint32", "location": "query", "description": "The maximum number of shipping settings to return in the response, used for paging." }, "merchantId": { "format": "uint64", "required": true, "location": "path", "type": "string", "description": "The ID of the managing account. This must be a multi-client account." } }, "description": "Lists the shipping settings of the sub-accounts in your Merchant Center account.", "httpMethod": "GET", "parameterOrder": [ "merchantId" ], "flatPath": "{merchantId}/shippingsettings", "path": "{merchantId}/shippingsettings" }, "custombatch": { "flatPath": "shippingsettings/batch", "id": "content.shippingsettings.custombatch", "scopes": [ "https://www.googleapis.com/auth/content" ], "request": { "$ref": "ShippingsettingsCustomBatchRequest" }, "response": { "$ref": "ShippingsettingsCustomBatchResponse" }, "description": "Retrieves and updates the shipping settings of multiple accounts in a single request.", "parameters": {}, "httpMethod": "POST", "path": "shippingsettings/batch", "parameterOrder": [] }, "getsupportedpickupservices": { "description": "Retrieves supported pickup services for an account.", "id": "content.shippingsettings.getsupportedpickupservices", "path": "{merchantId}/supportedPickupServices", "scopes": [ "https://www.googleapis.com/auth/content" ], "httpMethod": "GET", "parameters": { "merchantId": { "location": "path", "required": true, "description": "The ID of the account for which to retrieve the supported pickup services.", "format": "uint64", "type": "string" } }, "response": { "$ref": "ShippingsettingsGetSupportedPickupServicesResponse" }, "parameterOrder": [ "merchantId" ], "flatPath": "{merchantId}/supportedPickupServices" }, "update": { "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ShippingSettings" }, "parameters": { "merchantId": { "required": true, "type": "string", "format": "uint64", "location": "path", "description": "The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account." }, "accountId": { "description": "The ID of the account for which to get/update shipping settings.", "type": "string", "format": "uint64", "required": true, "location": "path" } }, "parameterOrder": [ "merchantId", "accountId" ], "path": "{merchantId}/shippingsettings/{accountId}", "flatPath": "{merchantId}/shippingsettings/{accountId}", "description": "Updates the shipping settings of the account. Any fields that are not provided are deleted from the resource.", "id": "content.shippingsettings.update", "request": { "$ref": "ShippingSettings" } } } }, "orderinvoices": { "methods": { "createrefundinvoice": { "scopes": [ "https://www.googleapis.com/auth/content" ], "path": "{merchantId}/orderinvoices/{orderId}/createRefundInvoice", "httpMethod": "POST", "response": { "$ref": "OrderinvoicesCreateRefundInvoiceResponse" }, "parameterOrder": [ "merchantId", "orderId" ], "parameters": { "orderId": { "type": "string", "required": true, "location": "path", "description": "The ID of the order." }, "merchantId": { "format": "uint64", "type": "string", "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "required": true } }, "id": "content.orderinvoices.createrefundinvoice", "description": "Creates a refund invoice for one or more shipment groups, and triggers a refund for orderinvoice enabled orders. This can only be used for line items that have previously been charged using `createChargeInvoice`. All amounts (except for the summary) are incremental with respect to the previous invoice.", "flatPath": "{merchantId}/orderinvoices/{orderId}/createRefundInvoice", "request": { "$ref": "OrderinvoicesCreateRefundInvoiceRequest" } }, "createchargeinvoice": { "id": "content.orderinvoices.createchargeinvoice", "request": { "$ref": "OrderinvoicesCreateChargeInvoiceRequest" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "orderId" ], "description": "Creates a charge invoice for a shipment group, and triggers a charge capture for orderinvoice enabled orders.", "parameters": { "orderId": { "location": "path", "type": "string", "description": "The ID of the order.", "required": true }, "merchantId": { "description": "The ID of the account that manages the order. This cannot be a multi-client account.", "location": "path", "format": "uint64", "required": true, "type": "string" } }, "httpMethod": "POST", "path": "{merchantId}/orderinvoices/{orderId}/createChargeInvoice", "flatPath": "{merchantId}/orderinvoices/{orderId}/createChargeInvoice", "response": { "$ref": "OrderinvoicesCreateChargeInvoiceResponse" } } } }, "collections": { "methods": { "get": { "response": { "$ref": "Collection" }, "path": "{merchantId}/collections/{collectionId}", "parameterOrder": [ "merchantId", "collectionId" ], "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/collections/{collectionId}", "parameters": { "merchantId": { "required": true, "type": "string", "format": "int64", "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "location": "path" }, "collectionId": { "description": "Required. The REST ID of the collection.", "location": "path", "required": true, "type": "string" } }, "description": "Retrieves a collection from your Merchant Center account.", "httpMethod": "GET", "id": "content.collections.get" }, "list": { "parameterOrder": [ "merchantId" ], "description": "Lists the collections in your Merchant Center account. The response might contain fewer items than specified by page_size. Rely on next_page_token to determine if there are more items to be requested.", "scopes": [ "https://www.googleapis.com/auth/content" ], "response": { "$ref": "ListCollectionsResponse" }, "id": "content.collections.list", "httpMethod": "GET", "parameters": { "merchantId": { "type": "string", "location": "path", "required": true, "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "format": "int64" }, "pageSize": { "format": "int32", "description": "The maximum number of collections to return in the response, used for paging. Defaults to 50; values above 1000 will be coerced to 1000.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token." } }, "flatPath": "{merchantId}/collections", "path": "{merchantId}/collections" }, "delete": { "id": "content.collections.delete", "httpMethod": "DELETE", "description": "Deletes a collection from your Merchant Center account.", "flatPath": "{merchantId}/collections/{collectionId}", "parameters": { "merchantId": { "format": "int64", "required": true, "location": "path", "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "type": "string" }, "collectionId": { "description": "Required. The collectionId of the collection. CollectionId is the same as the REST ID of the collection.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/content" ], "parameterOrder": [ "merchantId", "collectionId" ], "path": "{merchantId}/collections/{collectionId}" }, "create": { "parameters": { "merchantId": { "type": "string", "location": "path", "description": "Required. The ID of the account that contains the collection. This account cannot be a multi-client account.", "required": true, "format": "int64" } }, "response": { "$ref": "Collection" }, "request": { "$ref": "Collection" }, "path": "{merchantId}/collections", "flatPath": "{merchantId}/collections", "parameterOrder": [ "merchantId" ], "id": "content.collections.create", "scopes": [ "https://www.googleapis.com/auth/content" ], "description": "Uploads a collection to your Merchant Center account. If a collection with the same collectionId already exists, this method updates that entry. In each update, the collection is completely replaced by the fields in the body of the update request.", "httpMethod": "POST" } } }, "shoppingadsprogram": { "methods": { "requestreview": { "path": "{merchantId}/shoppingadsprogram/requestreview", "httpMethod": "POST", "parameterOrder": [ "merchantId" ], "parameters": { "merchantId": { "format": "int64", "description": "Required. The ID of the account.", "type": "string", "required": true, "location": "path" } }, "description": "Requests a review of Shopping ads in a specific region. This method is only available to selected merchants.", "request": { "$ref": "RequestReviewShoppingAdsRequest" }, "id": "content.shoppingadsprogram.requestreview", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/shoppingadsprogram/requestreview" }, "get": { "httpMethod": "GET", "id": "content.shoppingadsprogram.get", "parameters": { "merchantId": { "required": true, "location": "path", "format": "int64", "description": "Required. The ID of the account.", "type": "string" } }, "path": "{merchantId}/shoppingadsprogram", "scopes": [ "https://www.googleapis.com/auth/content" ], "flatPath": "{merchantId}/shoppingadsprogram", "description": "Retrieves the status and review eligibility for the Shopping Ads program.", "parameterOrder": [ "merchantId" ], "response": { "$ref": "ShoppingAdsProgramStatus" } } } }, "reports": { "methods": { "search": { "httpMethod": "POST", "description": "Retrieves merchant performance mertrics matching the search query and optionally segmented by selected dimensions.", "request": { "$ref": "SearchRequest" }, "scopes": [ "https://www.googleapis.com/auth/content" ], "id": "content.reports.search", "parameters": { "merchantId": { "type": "string", "format": "int64", "location": "path", "required": true, "description": "Required. Id of the merchant making the call. Must be a standalone account or an MCA subaccount." } }, "response": { "$ref": "SearchResponse" }, "parameterOrder": [ "merchantId" ], "path": "{merchantId}/reports/search", "flatPath": "{merchantId}/reports/search" } } } }, "protocol": "rest", "name": "content", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/content": { "description": "Manage your product listings and accounts for Google Shopping" } } } }, "title": "Content API for Shopping", "baseUrl": "https://shoppingcontent.googleapis.com/content/v2.1/", "canonicalName": "Shopping Content", "mtlsRootUrl": "https://shoppingcontent.mtls.googleapis.com/" }
]===]))
