local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "ownerName": "Google", "version_module": true, "id": "datacatalog:v1", "schemas": { "GoogleCloudDatacatalogV1ModifyEntryOverviewRequest": { "description": "Request message for ModifyEntryOverview.", "id": "GoogleCloudDatacatalogV1ModifyEntryOverviewRequest", "type": "object", "properties": { "entryOverview": { "description": "Required. The new value for the Entry Overview.", "$ref": "GoogleCloudDatacatalogV1EntryOverview" } } }, "GoogleCloudDatacatalogV1Tag": { "description": "Tags contain custom metadata and are attached to Data Catalog resources. Tags conform with the specification of their tag template. See [Data Catalog IAM](https://cloud.google.com/data-catalog/docs/concepts/iam) for information on the permissions needed to create or view tags.", "id": "GoogleCloudDatacatalogV1Tag", "properties": { "template": { "description": "Required. The resource name of the tag template this tag uses. Example: `projects/{PROJECT_ID}/locations/{LOCATION}/tagTemplates/{TAG_TEMPLATE_ID}` This field cannot be modified after creation.", "type": "string" }, "fields": { "additionalProperties": { "$ref": "GoogleCloudDatacatalogV1TagField" }, "type": "object", "description": "Required. Maps the ID of a tag field to its value and additional information about that field. Tag template defines valid field IDs. A tag must have at least 1 field and at most 500 fields." }, "name": { "type": "string", "description": "The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name." }, "templateDisplayName": { "type": "string", "description": "Output only. The display name of the tag template.", "readOnly": true }, "column": { "description": "Resources like entry can have schemas associated with them. This scope allows you to attach tags to an individual column based on that schema. To attach a tag to a nested column, separate column names with a dot (`.`). Example: `column.nested_column`.", "type": "string" } }, "type": "object" }, "GoogleCloudDatacatalogV1SearchCatalogResult": { "description": "Result in the response to a search request. Each result captures details of one entry that matches the search.", "properties": { "relativeResourceName": { "type": "string", "description": "The relative name of the resource in URL format. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{PROJECT_ID}/locations/{LOCATION_ID}/entryGroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{PROJECT_ID}/tagTemplates/{TAG_TEMPLATE_ID}`" }, "modifyTime": { "format": "google-datetime", "type": "string", "description": "The last modification timestamp of the entry in the source system." }, "userSpecifiedSystem": { "type": "string", "description": "Custom source system that you can manually integrate Data Catalog with." }, "searchResultSubtype": { "description": "Sub-type of the search result. A dot-delimited full type of the resource. The same type you specify in the `type` search predicate. Examples: `entry.table`, `entry.dataStream`, `tagTemplate`.", "type": "string" }, "integratedSystem": { "type": "string", "readOnly": true, "enumDescriptions": [ "Default unknown system.", "BigQuery.", "Cloud Pub/Sub.", "Dataproc Metastore.", "Dataplex." ], "description": "Output only. The source system that Data Catalog automatically integrates with, such as BigQuery, Cloud Pub/Sub, or Dataproc Metastore.", "enum": [ "INTEGRATED_SYSTEM_UNSPECIFIED", "BIGQUERY", "CLOUD_PUBSUB", "DATAPROC_METASTORE", "DATAPLEX" ] }, "description": { "type": "string", "description": "Entry description that can consist of several sentences or paragraphs that describe entry contents." }, "fullyQualifiedName": { "description": "Fully qualified name (FQN) of the resource. FQNs take two forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:PROJECT_ID.LOCATION_ID.INSTANCE_ID.DATABASE_ID.TABLE_ID`", "type": "string" }, "linkedResource": { "type": "string", "description": "The full name of the Google Cloud resource the entry belongs to. For more information, see [Full Resource Name] (/apis/design/resource_names#full_resource_name). Example: `//bigquery.googleapis.com/projects/PROJECT_ID/datasets/DATASET_ID/tables/TABLE_ID`" }, "searchResultType": { "enumDescriptions": [ "Default unknown type.", "An Entry.", "A TagTemplate.", "An EntryGroup." ], "enum": [ "SEARCH_RESULT_TYPE_UNSPECIFIED", "ENTRY", "TAG_TEMPLATE", "ENTRY_GROUP" ], "description": "Type of the search result. You can use this field to determine which get method to call to fetch the full resource.", "type": "string" }, "displayName": { "description": "The display name of the result.", "type": "string" } }, "id": "GoogleCloudDatacatalogV1SearchCatalogResult", "type": "object" }, "GoogleCloudDatacatalogV1ExportTaxonomiesResponse": { "id": "GoogleCloudDatacatalogV1ExportTaxonomiesResponse", "properties": { "taxonomies": { "type": "array", "description": "List of taxonomies and policy tags as nested protocol buffers.", "items": { "$ref": "GoogleCloudDatacatalogV1SerializedTaxonomy" } } }, "description": "Response message for ExportTaxonomies.", "type": "object" }, "GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema": { "id": "GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema", "properties": { "text": { "description": "Thrift IDL source of the schema.", "type": "string" } }, "description": "Schema in Thrift format.", "type": "object" }, "GoogleCloudDatacatalogV1DataplexFilesetSpec": { "type": "object", "id": "GoogleCloudDatacatalogV1DataplexFilesetSpec", "properties": { "dataplexSpec": { "$ref": "GoogleCloudDatacatalogV1DataplexSpec", "description": "Common Dataplex fields." } }, "description": "Entry specyfication for a Dataplex fileset." }, "GoogleCloudDatacatalogV1BusinessContext": { "type": "object", "id": "GoogleCloudDatacatalogV1BusinessContext", "properties": { "contacts": { "$ref": "GoogleCloudDatacatalogV1Contacts", "description": "Contact people for the entry." }, "entryOverview": { "$ref": "GoogleCloudDatacatalogV1EntryOverview", "description": "Entry overview fields for rich text descriptions of entries." } }, "description": "Business Context of the entry." }, "GoogleCloudDatacatalogV1UsageSignal": { "type": "object", "properties": { "updateTime": { "format": "google-datetime", "description": "The end timestamp of the duration of usage statistics.", "type": "string" }, "usageWithinTimeRange": { "type": "object", "description": "Usage statistics over each of the predefined time ranges. Supported time ranges are `{\"24H\", \"7D\", \"30D\"}`.", "additionalProperties": { "$ref": "GoogleCloudDatacatalogV1UsageStats" } } }, "description": "The set of all usage signals that Data Catalog stores. Note: Usually, these signals are updated daily. In rare cases, an update may fail but will be performed again on the next day.", "id": "GoogleCloudDatacatalogV1UsageSignal" }, "GoogleCloudDatacatalogV1BigQueryDateShardedSpec": { "type": "object", "properties": { "dataset": { "type": "string", "readOnly": true, "description": "Output only. The Data Catalog resource name of the dataset entry the current table belongs to. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`." }, "latestShardResource": { "readOnly": true, "description": "Output only. BigQuery resource name of the latest shard.", "type": "string" }, "shardCount": { "description": "Output only. Total number of shards.", "format": "int64", "readOnly": true, "type": "string" }, "tablePrefix": { "readOnly": true, "description": "Output only. The table name prefix of the shards. The name of any given shard is `[table_prefix]YYYYMMDD`. For example, for the `MyTable20180101` shard, the `table_prefix` is `MyTable`.", "type": "string" } }, "id": "GoogleCloudDatacatalogV1BigQueryDateShardedSpec", "description": "Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding)." }, "GoogleCloudDatacatalogV1FilesetSpec": { "id": "GoogleCloudDatacatalogV1FilesetSpec", "description": "Specification that applies to a fileset. Valid only for entries with the 'FILESET' type.", "properties": { "dataplexFileset": { "$ref": "GoogleCloudDatacatalogV1DataplexFilesetSpec", "description": "Fields specific to a Dataplex fileset and present only in the Dataplex fileset entries." } }, "type": "object" }, "GoogleCloudDatacatalogV1TagFieldEnumValue": { "id": "GoogleCloudDatacatalogV1TagFieldEnumValue", "properties": { "displayName": { "type": "string", "description": "The display name of the enum value." } }, "description": "An enum value.", "type": "object" }, "GoogleCloudDatacatalogV1StarEntryRequest": { "id": "GoogleCloudDatacatalogV1StarEntryRequest", "description": "Request message for StarEntry.", "type": "object", "properties": {} }, "Empty": { "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "GoogleCloudDatacatalogV1StarEntryResponse": { "type": "object", "description": "Response message for StarEntry. Empty for now", "id": "GoogleCloudDatacatalogV1StarEntryResponse", "properties": {} }, "GetIamPolicyRequest": { "properties": { "options": { "$ref": "GetPolicyOptions", "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`." } }, "id": "GetIamPolicyRequest", "type": "object", "description": "Request message for `GetIamPolicy` method." }, "GoogleCloudDatacatalogV1TagTemplate": { "type": "object", "id": "GoogleCloudDatacatalogV1TagTemplate", "properties": { "name": { "description": "The resource name of the tag template in URL format. Note: The tag template itself and its child resources might not be stored in the location specified in its name.", "type": "string" }, "fields": { "type": "object", "description": "Required. Map of tag template field IDs to the settings for the field. This map is an exhaustive list of the allowed fields. The map must contain at least one field and at most 500 fields. The keys to this map are tag template field IDs. The IDs have the following limitations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Can contain uppercase and lowercase letters, numbers (0-9) and underscores (_). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be at least 1 character and at most 64 characters long. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter or underscore.", "additionalProperties": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" } }, "displayName": { "description": "Display name for this template. Defaults to an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters.", "type": "string" }, "isPubliclyReadable": { "type": "boolean", "description": "Indicates whether tags created with this template are public. Public tags do not require tag template access to appear in ListTags API response. Additionally, you can search for a public tag by value with a simple search query in addition to using a ``tag:`` predicate." } }, "description": "A tag template defines a tag that can have one or more typed fields. The template is used to create tags that are attached to GCP resources. [Tag template roles] (https://cloud.google.com/iam/docs/understanding-roles#data-catalog-roles) provide permissions to create, edit, and use the template. For example, see the [TagTemplate User] (https://cloud.google.com/data-catalog/docs/how-to/template-user) role that includes a permission to use the tag template to tag resources." }, "GoogleCloudDatacatalogV1UsageStats": { "properties": { "totalCompletions": { "type": "number", "format": "float", "description": "The number of successful uses of the underlying entry." }, "totalFailures": { "format": "float", "type": "number", "description": "The number of failed attempts to use the underlying entry." }, "totalExecutionTimeForCompletionsMillis": { "format": "float", "type": "number", "description": "Total time spent only on successful uses, in milliseconds." }, "totalCancellations": { "type": "number", "format": "float", "description": "The number of cancelled attempts to use the underlying entry." } }, "type": "object", "description": "Detailed statistics on the entry's usage. Usage statistics have the following limitations: - Only BigQuery tables have them. - They only include BigQuery query jobs. - They might be underestimated because wildcard table references are not yet counted. For more information, see [Querying multiple tables using a wildcard table] (https://cloud.google.com/bigquery/docs/querying-wildcard-tables)", "id": "GoogleCloudDatacatalogV1UsageStats" }, "GoogleCloudDatacatalogV1TableSpec": { "properties": { "groupedEntry": { "description": "Output only. If the table is date-sharded, that is, it matches the `[prefix]YYYYMMDD` name pattern, this field is the Data Catalog resource name of the date-sharded grouped entry. For example: `projects/{PROJECT_ID}/locations/{LOCATION}/entrygroups/{ENTRY_GROUP_ID}/entries/{ENTRY_ID}`. Otherwise, `grouped_entry` is empty.", "readOnly": true, "type": "string" } }, "description": "Normal BigQuery table specification.", "id": "GoogleCloudDatacatalogV1TableSpec", "type": "object" }, "Expr": { "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "type": "object" }, "GoogleCloudDatacatalogV1SearchCatalogRequest": { "properties": { "orderBy": { "description": "Specifies the order of results. Currently supported case-sensitive values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `relevance` that can only be descending LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `last_modified_timestamp [asc|desc]` with descending (`desc`) as default LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `default` that can only be descending If this parameter is omitted, it defaults to the descending `relevance`.", "type": "string" }, "scope": { "$ref": "GoogleCloudDatacatalogV1SearchCatalogRequestScope", "description": "Required. The scope of this search request. The `scope` is invalid if `include_org_ids`, `include_project_ids` are empty AND `include_gcp_public_datasets` is set to `false`. In this case, the request returns an error." }, "pageToken": { "type": "string", "description": "Optional. Pagination token that, if specified, returns the next page of search results. If empty, returns the first page. This token is returned in the SearchCatalogResponse.next_page_token field of the response to a previous SearchCatalogRequest call." }, "query": { "type": "string", "description": "Optional. The query string with a minimum of 3 characters and specific syntax. For more information, see [Data Catalog search syntax](https://cloud.google.com/data-catalog/docs/how-to/search-reference). An empty query string returns all data assets (in the specified scope) that you have access to. A query string can be a simple `xyz` or qualified by predicates: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `name:x` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `column:y` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description:z`" }, "pageSize": { "description": "Number of results to return in a single search page. Can't be negative or 0, defaults to 10 in this case. The maximum number is 1000. If exceeded, throws an \"invalid argument\" exception.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDatacatalogV1SearchCatalogRequest", "type": "object", "description": "Request message for SearchCatalog." }, "GoogleCloudDatacatalogV1ColumnSchema": { "id": "GoogleCloudDatacatalogV1ColumnSchema", "properties": { "mode": { "type": "string", "description": "Optional. A column's mode indicates whether values in this column are required, nullable, or repeated. Only `NULLABLE`, `REQUIRED`, and `REPEATED` values are supported. Default mode is `NULLABLE`." }, "type": { "description": "Required. Type of the column. Must be a UTF-8 string with the maximum size of 128 bytes.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the column. Default value is an empty string. The description must be a UTF-8 string with the maximum size of 2000 bytes." }, "subcolumns": { "type": "array", "items": { "$ref": "GoogleCloudDatacatalogV1ColumnSchema" }, "description": "Optional. Schema of sub-columns. A column can have zero or more sub-columns." }, "column": { "description": "Required. Name of the column. Must be a UTF-8 string without dots (.). The maximum size is 64 bytes.", "type": "string" } }, "type": "object", "description": "A column within a schema. Columns can be nested inside other columns." }, "GoogleCloudDatacatalogV1ListPolicyTagsResponse": { "id": "GoogleCloudDatacatalogV1ListPolicyTagsResponse", "description": "Response message for ListPolicyTags.", "type": "object", "properties": { "policyTags": { "items": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "type": "array", "description": "The policy tags that belong to the taxonomy." }, "nextPageToken": { "type": "string", "description": "Pagination token of the next results page. Empty if there are no more results in the list." } } }, "GoogleCloudDatacatalogV1TagField": { "description": "Contains the value and additional information on a field within a Tag.", "properties": { "richtextValue": { "type": "string", "description": "The value of a tag field with a rich text type. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB." }, "displayName": { "readOnly": true, "type": "string", "description": "Output only. The display name of this field." }, "enumValue": { "$ref": "GoogleCloudDatacatalogV1TagFieldEnumValue", "description": "The value of a tag field with an enum type. This value must be one of the allowed values listed in this enum." }, "timestampValue": { "description": "The value of a tag field with a timestamp type.", "format": "google-datetime", "type": "string" }, "order": { "description": "Output only. The order of this field with respect to other fields in this tag. Can be set by Tag. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order, and field orders within a tag don't have to be sequential.", "format": "int32", "type": "integer", "readOnly": true }, "doubleValue": { "type": "number", "description": "The value of a tag field with a double type.", "format": "double" }, "boolValue": { "description": "The value of a tag field with a boolean type.", "type": "boolean" }, "stringValue": { "description": "The value of a tag field with a string type. The maximum length is 2000 UTF-8 characters.", "type": "string" } }, "type": "object", "id": "GoogleCloudDatacatalogV1TagField" }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } } }, "GoogleCloudDatacatalogV1BigQueryConnectionSpec": { "description": "Specification for the BigQuery connection.", "type": "object", "properties": { "cloudSql": { "$ref": "GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec", "description": "Specification for the BigQuery connection to a Cloud SQL instance." }, "hasCredential": { "description": "True if there are credentials attached to the BigQuery connection; false otherwise.", "type": "boolean" }, "connectionType": { "type": "string", "enumDescriptions": [ "Unspecified type.", "Cloud SQL connection." ], "description": "The type of the BigQuery connection.", "enum": [ "CONNECTION_TYPE_UNSPECIFIED", "CLOUD_SQL" ] } }, "id": "GoogleCloudDatacatalogV1BigQueryConnectionSpec" }, "GoogleCloudDatacatalogV1RoutineSpec": { "type": "object", "description": "Specification that applies to a routine. Valid only for entries with the `ROUTINE` type.", "properties": { "language": { "type": "string", "description": "The language the routine is written in. The exact value depends on the source system. For BigQuery routines, possible values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SQL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `JAVASCRIPT`" }, "definitionBody": { "type": "string", "description": "The body of the routine." }, "routineType": { "enumDescriptions": [ "Unspecified type.", "Non-builtin permanent scalar function.", "Stored procedure." ], "description": "The type of the routine.", "enum": [ "ROUTINE_TYPE_UNSPECIFIED", "SCALAR_FUNCTION", "PROCEDURE" ], "type": "string" }, "routineArguments": { "items": { "$ref": "GoogleCloudDatacatalogV1RoutineSpecArgument" }, "type": "array", "description": "Arguments of the routine." }, "bigqueryRoutineSpec": { "$ref": "GoogleCloudDatacatalogV1BigQueryRoutineSpec", "description": "Fields specific for BigQuery routines." }, "returnType": { "description": "Return type of the argument. The exact value depends on the source system and the language.", "type": "string" } }, "id": "GoogleCloudDatacatalogV1RoutineSpec" }, "GoogleCloudDatacatalogV1PhysicalSchema": { "id": "GoogleCloudDatacatalogV1PhysicalSchema", "properties": { "parquet": { "description": "Marks a Parquet-encoded data source.", "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema" }, "csv": { "description": "Marks a CSV-encoded data source.", "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema" }, "avro": { "description": "Schema in Avro JSON format.", "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema" }, "protobuf": { "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema", "description": "Schema in protocol buffer format." }, "orc": { "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema", "description": "Marks an ORC-encoded data source." }, "thrift": { "$ref": "GoogleCloudDatacatalogV1PhysicalSchemaThriftSchema", "description": "Schema in Thrift format." } }, "type": "object", "description": "Native schema used by a resource represented as an entry. Used by query engines for deserializing and parsing source data." }, "GoogleCloudDatacatalogV1ViewSpec": { "properties": { "viewQuery": { "description": "Output only. The query that defines the table view.", "type": "string", "readOnly": true } }, "description": "Table view specification.", "type": "object", "id": "GoogleCloudDatacatalogV1ViewSpec" }, "GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema": { "properties": {}, "description": "Marks an ORC-encoded data source.", "type": "object", "id": "GoogleCloudDatacatalogV1PhysicalSchemaOrcSchema" }, "GoogleCloudDatacatalogV1SerializedTaxonomy": { "type": "object", "description": "A nested protocol buffer that represents a taxonomy and the hierarchy of its policy tags. Used for taxonomy replacement, import, and export.", "id": "GoogleCloudDatacatalogV1SerializedTaxonomy", "properties": { "displayName": { "type": "string", "description": "Required. Display name of the taxonomy. At most 200 bytes when encoded in UTF-8." }, "activatedPolicyTypes": { "items": { "enumDescriptions": [ "Unspecified policy type.", "Fine-grained access control policy that enables access control on tagged sub-resources." ], "type": "string", "enum": [ "POLICY_TYPE_UNSPECIFIED", "FINE_GRAINED_ACCESS_CONTROL" ] }, "type": "array", "description": "A list of policy types that are activated per taxonomy." }, "policyTags": { "description": "Top level policy tags associated with the taxonomy, if any.", "type": "array", "items": { "$ref": "GoogleCloudDatacatalogV1SerializedPolicyTag" } }, "description": { "type": "string", "description": "Description of the serialized taxonomy. At most 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description." } } }, "GoogleCloudDatacatalogV1EntryOverview": { "properties": { "overview": { "description": "Entry overview with support for rich text. The overview must only contain Unicode characters, and should be formatted using HTML. The maximum length is 10 MiB as this value holds HTML descriptions including encoded images. The maximum length of the text without images is 100 KiB.", "type": "string" } }, "description": "Entry overview fields for rich text descriptions of entries.", "id": "GoogleCloudDatacatalogV1EntryOverview", "type": "object" }, "GoogleCloudDatacatalogV1StorageProperties": { "description": "Details the properties of the underlying storage.", "properties": { "fileType": { "description": "File type in MIME format, for example, `text/plain`.", "type": "string" }, "filePattern": { "type": "array", "items": { "type": "string" }, "description": "Patterns to identify a set of files for this fileset. Examples of a valid `file_pattern`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/dir/*`: matches all files in the `bucket_name/dir` directory LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/dir/**`: matches all files in the `bucket_name/dir` and all subdirectories recursively LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt`" } }, "id": "GoogleCloudDatacatalogV1StorageProperties", "type": "object" }, "Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "description": "Associates `members`, or principals, with a `role`.", "type": "object", "id": "Binding" }, "GoogleCloudDatacatalogV1Schema": { "id": "GoogleCloudDatacatalogV1Schema", "type": "object", "properties": { "columns": { "items": { "$ref": "GoogleCloudDatacatalogV1ColumnSchema" }, "description": "The unified GoogleSQL-like schema of columns. The overall maximum number of columns and nested columns is 10,000. The maximum nested depth is 15 levels.", "type": "array" } }, "description": "Represents a schema, for example, a BigQuery, GoogleSQL, or Avro schema." }, "GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest": { "type": "object", "id": "GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest", "properties": { "newEnumValueDisplayName": { "type": "string", "description": "Required. The new display name of the enum value. For example, `my_new_enum_value`." } }, "description": "Request message for RenameTagTemplateFieldEnumValue." }, "GoogleCloudDatacatalogV1PolicyTag": { "type": "object", "properties": { "description": { "description": "Description of this policy tag. If not set, defaults to empty. The description must contain only Unicode characters, tabs, newlines, carriage returns and page breaks, and be at most 2000 bytes long when encoded in UTF-8.", "type": "string" }, "parentPolicyTag": { "type": "string", "description": "Resource name of this policy tag's parent policy tag. If empty, this is a top level tag. If not set, defaults to an empty string. For example, for the \"LatLong\" policy tag in the example above, this field contains the resource name of the \"Geolocation\" policy tag, and, for \"Geolocation\", this field is empty." }, "name": { "description": "Output only. Resource name of this policy tag in the URL format. The policy tag manager generates unique taxonomy IDs and policy tag IDs.", "type": "string", "readOnly": true }, "displayName": { "type": "string", "description": "Required. User-defined name of this policy tag. The name can't start or end with spaces and must be unique within the parent taxonomy, contain only Unicode letters, numbers, underscores, dashes and spaces, and be at most 200 bytes long when encoded in UTF-8." }, "childPolicyTags": { "description": "Output only. Resource names of child policy tags of this policy tag.", "readOnly": true, "type": "array", "items": { "type": "string" } } }, "description": "Denotes one policy tag in a taxonomy, for example, SSN. Policy tags can be defined in a hierarchy. For example: ``` + Geolocation + LatLong + City + ZipCode ``` Where the \"Geolocation\" policy tag contains three children.", "id": "GoogleCloudDatacatalogV1PolicyTag" }, "GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec": { "description": "Specification for the BigQuery connection to a Cloud SQL instance.", "id": "GoogleCloudDatacatalogV1CloudSqlBigQueryConnectionSpec", "type": "object", "properties": { "type": { "description": "Type of the Cloud SQL database.", "enumDescriptions": [ "Unspecified database type.", "Cloud SQL for PostgreSQL.", "Cloud SQL for MySQL." ], "type": "string", "enum": [ "DATABASE_TYPE_UNSPECIFIED", "POSTGRES", "MYSQL" ] }, "instanceId": { "type": "string", "description": "Cloud SQL instance ID in the format of `project:location:instance`." }, "database": { "type": "string", "description": "Database name." } } }, "GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest": { "description": "Request message for RenameTagTemplateField.", "properties": { "newTagTemplateFieldId": { "description": "Required. The new ID of this tag template field. For example, `my_new_field`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest" }, "GoogleCloudDatacatalogV1ReplaceTaxonomyRequest": { "id": "GoogleCloudDatacatalogV1ReplaceTaxonomyRequest", "properties": { "serializedTaxonomy": { "$ref": "GoogleCloudDatacatalogV1SerializedTaxonomy", "description": "Required. Taxonomy to update along with its child policy tags." } }, "type": "object", "description": "Request message for ReplaceTaxonomy." }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "type": "object" }, "GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema": { "type": "object", "properties": { "text": { "type": "string", "description": "JSON source of the Avro schema." } }, "description": "Schema in Avro JSON format.", "id": "GoogleCloudDatacatalogV1PhysicalSchemaAvroSchema" }, "GoogleCloudDatacatalogV1PersonalDetails": { "id": "GoogleCloudDatacatalogV1PersonalDetails", "type": "object", "description": "Entry metadata relevant only to the user and private to them.", "properties": { "starred": { "description": "True if the entry is starred by the user; false otherwise.", "type": "boolean" }, "starTime": { "format": "google-datetime", "type": "string", "description": "Set if the entry is starred; unset otherwise." } } }, "GoogleCloudDatacatalogV1ContactsPerson": { "properties": { "designation": { "type": "string", "description": "Designation of the person, for example, Data Steward." }, "email": { "type": "string", "description": "Email of the person in the format of `john.doe@xyz`, ``, or `John Doe`." } }, "type": "object", "id": "GoogleCloudDatacatalogV1ContactsPerson", "description": "A contact person for the entry." }, "GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema": { "id": "GoogleCloudDatacatalogV1PhysicalSchemaParquetSchema", "properties": {}, "description": "Marks a Parquet-encoded data source.", "type": "object" }, "GoogleCloudDatacatalogV1Contacts": { "type": "object", "description": "Contact people for the entry.", "id": "GoogleCloudDatacatalogV1Contacts", "properties": { "people": { "items": { "$ref": "GoogleCloudDatacatalogV1ContactsPerson" }, "type": "array", "description": "The list of contact people for the entry." } } }, "GoogleCloudDatacatalogV1Taxonomy": { "properties": { "taxonomyTimestamps": { "description": "Output only. Creation and modification timestamps of this taxonomy.", "$ref": "GoogleCloudDatacatalogV1SystemTimestamps", "readOnly": true }, "policyTagCount": { "description": "Output only. Number of policy tags in this taxonomy.", "format": "int32", "type": "integer", "readOnly": true }, "displayName": { "type": "string", "description": "Required. User-defined name of this taxonomy. The name can't start or end with spaces, must contain only Unicode letters, numbers, underscores, dashes, and spaces, and be at most 200 bytes long when encoded in UTF-8. The taxonomy display name must be unique within an organization." }, "description": { "description": "Optional. Description of this taxonomy. If not set, defaults to empty. The description must contain only Unicode characters, tabs, newlines, carriage returns, and page breaks, and be at most 2000 bytes long when encoded in UTF-8.", "type": "string" }, "activatedPolicyTypes": { "items": { "type": "string", "enumDescriptions": [ "Unspecified policy type.", "Fine-grained access control policy that enables access control on tagged sub-resources." ], "enum": [ "POLICY_TYPE_UNSPECIFIED", "FINE_GRAINED_ACCESS_CONTROL" ] }, "description": "Optional. A list of policy types that are activated for this taxonomy. If not set, defaults to an empty list.", "type": "array" }, "name": { "description": "Output only. Resource name of this taxonomy in URL format. Note: Policy tag manager generates unique taxonomy IDs.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudDatacatalogV1Taxonomy", "description": "A taxonomy is a collection of hierarchical policy tags that classify data along a common axis. For example, a \"data sensitivity\" taxonomy might contain the following policy tags: ``` + PII + Account number + Age + SSN + Zipcode + Financials + Revenue ``` A \"data origin\" taxonomy might contain the following policy tags: ``` + User data + Employee data + Partner data + Public data ```", "type": "object" }, "GoogleCloudDatacatalogV1DataSourceConnectionSpec": { "properties": { "bigqueryConnectionSpec": { "$ref": "GoogleCloudDatacatalogV1BigQueryConnectionSpec", "description": "Fields specific to BigQuery connections." } }, "id": "GoogleCloudDatacatalogV1DataSourceConnectionSpec", "type": "object", "description": "Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type." }, "GoogleCloudDatacatalogV1ListTaxonomiesResponse": { "properties": { "taxonomies": { "description": "Taxonomies that the project contains.", "type": "array", "items": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" } }, "nextPageToken": { "type": "string", "description": "Pagination token of the next results page. Empty if there are no more results in the list." } }, "type": "object", "id": "GoogleCloudDatacatalogV1ListTaxonomiesResponse", "description": "Response message for ListTaxonomies." }, "GoogleCloudDatacatalogV1ImportTaxonomiesResponse": { "id": "GoogleCloudDatacatalogV1ImportTaxonomiesResponse", "description": "Response message for ImportTaxonomies.", "type": "object", "properties": { "taxonomies": { "type": "array", "description": "Imported taxonomies.", "items": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" } } } }, "GoogleCloudDatacatalogV1SearchCatalogRequestScope": { "description": "The criteria that select the subspace used for query matching.", "type": "object", "id": "GoogleCloudDatacatalogV1SearchCatalogRequestScope", "properties": { "starredOnly": { "description": "Optional. If `true`, search only among starred entries. By default, all results are returned, starred or not.", "type": "boolean" }, "restrictedLocations": { "items": { "type": "string" }, "type": "array", "description": "Optional. The list of locations to search within. If empty, all locations are searched. Returns an error if any location in the list isn't one of the [Supported regions](https://cloud.google.com/data-catalog/docs/concepts/regions#supported_regions). If a location is unreachable, its name is returned in the `SearchCatalogResponse.unreachable` field. To get additional information on the error, repeat the search request and set the location name as the value of this parameter." }, "includeGcpPublicDatasets": { "type": "boolean", "description": "If `true`, include Google Cloud Platform (GCP) public datasets in search results. By default, they are excluded. See [Google Cloud Public Datasets](/public-datasets) for more information." }, "includeProjectIds": { "items": { "type": "string" }, "description": "The list of project IDs to search within. For more information on the distinction between project names, IDs, and numbers, see [Projects](/docs/overview/#projects).", "type": "array" }, "includePublicTagTemplates": { "description": "Optional. This field is deprecated. The search mechanism for public and private tag templates is the same.", "type": "boolean" }, "includeOrgIds": { "type": "array", "description": "The list of organization IDs to search within. To find your organization ID, follow the steps from [Creating and managing organizations] (/resource-manager/docs/creating-managing-organization).", "items": { "type": "string" } } } }, "GoogleCloudDatacatalogV1GcsFileSpec": { "description": "Specification of a single file in Cloud Storage.", "type": "object", "id": "GoogleCloudDatacatalogV1GcsFileSpec", "properties": { "gcsTimestamps": { "$ref": "GoogleCloudDatacatalogV1SystemTimestamps", "description": "Output only. Creation, modification, and expiration timestamps of a Cloud Storage file.", "readOnly": true }, "sizeBytes": { "readOnly": true, "description": "Output only. File size in bytes.", "format": "int64", "type": "string" }, "filePath": { "type": "string", "description": "Required. Full file path. Example: `gs://bucket_name/a/b.txt`." } } }, "GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema": { "type": "object", "description": "Marks a CSV-encoded data source.", "id": "GoogleCloudDatacatalogV1PhysicalSchemaCsvSchema", "properties": {} }, "GoogleCloudDatacatalogV1Entry": { "description": "Entry metadata. A Data Catalog entry represents another resource in Google Cloud Platform (such as a BigQuery dataset or a Pub/Sub topic) or outside of it. You can use the `linked_resource` field in the entry resource to refer to the original resource ID of the source system. An entry resource contains resource details, for example, its schema. Additionally, you can attach flexible metadata to an entry in the form of a Tag.", "id": "GoogleCloudDatacatalogV1Entry", "type": "object", "properties": { "schema": { "description": "Schema of the entry. An entry might not have any schema attached to it.", "$ref": "GoogleCloudDatacatalogV1Schema" }, "usageSignal": { "description": "Output only. Resource usage statistics.", "$ref": "GoogleCloudDatacatalogV1UsageSignal", "readOnly": true }, "databaseTableSpec": { "description": "Specification that applies to a table resource. Valid only for entries with the `TABLE` type.", "$ref": "GoogleCloudDatacatalogV1DatabaseTableSpec" }, "name": { "readOnly": true, "description": "Output only. The resource name of an entry in URL format. Note: The entry itself and its child resources might not be stored in the location specified in its name.", "type": "string" }, "fullyQualifiedName": { "description": "Fully qualified name (FQN) of the resource. Set automatically for entries representing resources from synced systems. Settable only during creation and read-only afterwards. Can be used for search and lookup of the entries. FQNs take two forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:{PROJECT_ID}.{LOCATION_ID}.{INSTANCE_ID}.{DATABASE_ID}.{TABLE_ID}`", "type": "string" }, "dataSource": { "$ref": "GoogleCloudDatacatalogV1DataSource", "readOnly": true, "description": "Output only. Physical location of the entry." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cloud labels attached to the entry. In Data Catalog, you can create and modify labels attached only to custom entries. Synced entries have unmodifiable labels that come from the source system." }, "description": { "description": "Entry description that can consist of several sentences or paragraphs that describe entry contents. The description must not contain Unicode non-characters as well as C0 and C1 control codes except tabs (HT), new lines (LF), carriage returns (CR), and page breaks (FF). The maximum size is 2000 bytes when encoded in UTF-8. Default value is an empty string.", "type": "string" }, "userSpecifiedSystem": { "type": "string", "description": "Indicates the entry's source system that Data Catalog doesn't automatically integrate with. The `user_specified_system` string has the following limitations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Is case insensitive. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must begin with a letter or underscore. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Can only contain letters, numbers, and underscores. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be at least 1 character and at most 64 characters long." }, "userSpecifiedType": { "type": "string", "description": "Custom entry type that doesn't match any of the values allowed for input and listed in the `EntryType` enum. When creating an entry, first check the type values in the enum. If there are no appropriate types for the new entry, provide a custom value, for example, `my_special_type`. The `user_specified_type` string has the following limitations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Is case insensitive. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must begin with a letter or underscore. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Can only contain letters, numbers, and underscores. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be at least 1 character and at most 64 characters long." }, "routineSpec": { "$ref": "GoogleCloudDatacatalogV1RoutineSpec", "description": "Specification that applies to a user-defined function or procedure. Valid only for entries with the `ROUTINE` type." }, "type": { "type": "string", "enumDescriptions": [ "Default unknown type.", "The entry type that has a GoogleSQL schema, including logical views.", "Output only. The type of models. For more information, see [Supported models in BigQuery ML] (https://cloud.google.com/bigquery-ml/docs/introduction#supported_models_in).", "An entry type for streaming entries. For example, a Pub/Sub topic.", "An entry type for a set of files or objects. For example, a Cloud Storage fileset.", "A group of servers that work together. For example, a Kafka cluster.", "A database.", "Output only. Connection to a data source. For example, a BigQuery connection.", "Output only. Routine, for example, a BigQuery routine.", "A Dataplex lake.", "A Dataplex zone.", "A service, for example, a Dataproc Metastore service." ], "enum": [ "ENTRY_TYPE_UNSPECIFIED", "TABLE", "MODEL", "DATA_STREAM", "FILESET", "CLUSTER", "DATABASE", "DATA_SOURCE_CONNECTION", "ROUTINE", "LAKE", "ZONE", "SERVICE" ], "description": "The type of the entry. Only used for entries with types listed in the `EntryType` enum. Currently, only `FILESET` enum value is allowed. All other entries created in Data Catalog must use the `user_specified_type`." }, "linkedResource": { "description": "The resource this metadata entry refers to. For Google Cloud Platform resources, `linked_resource` is the [Full Resource Name] (https://cloud.google.com/apis/design/resource_names#full_resource_name). For example, the `linked_resource` for a table resource from BigQuery is: `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` Output only when the entry is one of the types in the `EntryType` enum. For entries with a `user_specified_type`, this field is optional and defaults to an empty string. The resource string must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), periods (.), colons (:), slashes (/), dashes (-), and hashes (#). The maximum size is 200 bytes when encoded in UTF-8.", "type": "string" }, "filesetSpec": { "$ref": "GoogleCloudDatacatalogV1FilesetSpec", "description": "Specification that applies to a fileset resource. Valid only for entries with the `FILESET` type." }, "personalDetails": { "readOnly": true, "$ref": "GoogleCloudDatacatalogV1PersonalDetails", "description": "Output only. Additional information related to the entry. Private to the current user." }, "bigqueryTableSpec": { "$ref": "GoogleCloudDatacatalogV1BigQueryTableSpec", "description": "Output only. Specification that applies to a BigQuery table. Valid only for entries with the `TABLE` type.", "readOnly": true }, "integratedSystem": { "description": "Output only. Indicates the entry's source system that Data Catalog integrates with, such as BigQuery, Pub/Sub, or Dataproc Metastore.", "enumDescriptions": [ "Default unknown system.", "BigQuery.", "Cloud Pub/Sub.", "Dataproc Metastore.", "Dataplex." ], "enum": [ "INTEGRATED_SYSTEM_UNSPECIFIED", "BIGQUERY", "CLOUD_PUBSUB", "DATAPROC_METASTORE", "DATAPLEX" ], "type": "string", "readOnly": true }, "businessContext": { "$ref": "GoogleCloudDatacatalogV1BusinessContext", "description": "Business Context of the entry. Not supported for BigQuery datasets" }, "dataSourceConnectionSpec": { "description": "Specification that applies to a data source connection. Valid only for entries with the `DATA_SOURCE_CONNECTION` type.", "$ref": "GoogleCloudDatacatalogV1DataSourceConnectionSpec" }, "sourceSystemTimestamps": { "$ref": "GoogleCloudDatacatalogV1SystemTimestamps", "description": "Timestamps from the underlying resource, not from the Data Catalog entry. Output only when the entry has a type listed in the `EntryType` enum. For entries with `user_specified_type`, this field is optional and defaults to an empty timestamp." }, "displayName": { "type": "string", "description": "Display name of an entry. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum size is 200 bytes when encoded in UTF-8. Default value is an empty string." }, "gcsFilesetSpec": { "description": "Specification that applies to a Cloud Storage fileset. Valid only for entries with the `FILESET` type.", "$ref": "GoogleCloudDatacatalogV1GcsFilesetSpec" }, "bigqueryDateShardedSpec": { "readOnly": true, "description": "Output only. Specification for a group of BigQuery tables with the `[prefix]YYYYMMDD` name pattern. For more information, see [Introduction to partitioned tables] (https://cloud.google.com/bigquery/docs/partitioned-tables#partitioning_versus_sharding).", "$ref": "GoogleCloudDatacatalogV1BigQueryDateShardedSpec" } } }, "GoogleCloudDatacatalogV1SerializedPolicyTag": { "id": "GoogleCloudDatacatalogV1SerializedPolicyTag", "properties": { "displayName": { "description": "Required. Display name of the policy tag. At most 200 bytes when encoded in UTF-8.", "type": "string" }, "policyTag": { "type": "string", "description": "Resource name of the policy tag. This field is ignored when calling `ImportTaxonomies`." }, "childPolicyTags": { "description": "Children of the policy tag, if any.", "items": { "$ref": "GoogleCloudDatacatalogV1SerializedPolicyTag" }, "type": "array" }, "description": { "description": "Description of the serialized policy tag. At most 2000 bytes when encoded in UTF-8. If not set, defaults to an empty description.", "type": "string" } }, "type": "object", "description": "A nested protocol buffer that represents a policy tag and all its descendants." }, "GoogleCloudDatacatalogV1DataplexExternalTable": { "type": "object", "id": "GoogleCloudDatacatalogV1DataplexExternalTable", "description": "External table registered by Dataplex. Dataplex publishes data discovered from an asset into multiple other systems (BigQuery, DPMS) in form of tables. We call them \"external tables\". External tables are also synced into the Data Catalog. This message contains pointers to those external tables (fully qualified name, resource name et cetera) within the Data Catalog.", "properties": { "system": { "enumDescriptions": [ "Default unknown system.", "BigQuery.", "Cloud Pub/Sub.", "Dataproc Metastore.", "Dataplex." ], "type": "string", "description": "Service in which the external table is registered.", "enum": [ "INTEGRATED_SYSTEM_UNSPECIFIED", "BIGQUERY", "CLOUD_PUBSUB", "DATAPROC_METASTORE", "DATAPLEX" ] }, "dataCatalogEntry": { "type": "string", "description": "Name of the Data Catalog entry representing the external table." }, "fullyQualifiedName": { "description": "Fully qualified name (FQN) of the external table.", "type": "string" }, "googleCloudResource": { "type": "string", "description": "Google Cloud resource name of the external table." } } }, "GoogleCloudDatacatalogV1TagTemplateField": { "type": "object", "description": "The template for an individual field within a tag template.", "properties": { "order": { "type": "integer", "description": "The order of this field with respect to other fields in this tag template. For example, a higher value can indicate a more important field. The value can be negative. Multiple fields can have the same order and field orders within a tag don't have to be sequential.", "format": "int32" }, "displayName": { "type": "string", "description": "The display name for this field. Defaults to an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters." }, "isRequired": { "description": "If true, this field is required. Defaults to false.", "type": "boolean" }, "type": { "description": "Required. The type of value this tag field can contain.", "$ref": "GoogleCloudDatacatalogV1FieldType" }, "description": { "description": "The description for this field. Defaults to an empty string.", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the tag template field in URL format. Example: `projects/{PROJECT_ID}/locations/{LOCATION}/tagTemplates/{TAG_TEMPLATE}/fields/{FIELD}` Note: The tag template field itself might not be stored in the location specified in its name. The name must contain only letters (a-z, A-Z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum length is 64 characters." } }, "id": "GoogleCloudDatacatalogV1TagTemplateField" }, "GoogleCloudDatacatalogV1BigQueryTableSpec": { "properties": { "tableSourceType": { "type": "string", "readOnly": true, "enumDescriptions": [ "Default unknown type.", "Table view.", "BigQuery native table.", "BigQuery materialized view." ], "description": "Output only. The table source type.", "enum": [ "TABLE_SOURCE_TYPE_UNSPECIFIED", "BIGQUERY_VIEW", "BIGQUERY_TABLE", "BIGQUERY_MATERIALIZED_VIEW" ] }, "tableSpec": { "description": "Specification of a BigQuery table. Populated only if the `table_source_type` is `BIGQUERY_TABLE`.", "$ref": "GoogleCloudDatacatalogV1TableSpec" }, "viewSpec": { "description": "Table view specification. Populated only if the `table_source_type` is `BIGQUERY_VIEW`.", "$ref": "GoogleCloudDatacatalogV1ViewSpec" } }, "id": "GoogleCloudDatacatalogV1BigQueryTableSpec", "description": "Describes a BigQuery table.", "type": "object" }, "GoogleCloudDatacatalogV1FieldTypeEnumType": { "type": "object", "id": "GoogleCloudDatacatalogV1FieldTypeEnumType", "properties": { "allowedValues": { "items": { "$ref": "GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue" }, "description": "The set of allowed values for this enum. This set must not be empty and can include up to 100 allowed values. The display names of the values in this set must not be empty and must be case-insensitively unique within this set. The order of items in this set is preserved. This field can be used to create, remove, and reorder enum values. To rename enum values, use the `RenameTagTemplateFieldEnumValue` method.", "type": "array" } } }, "GoogleCloudDatacatalogV1UnstarEntryRequest": { "type": "object", "description": "Request message for UnstarEntry.", "properties": {}, "id": "GoogleCloudDatacatalogV1UnstarEntryRequest" }, "GetPolicyOptions": { "description": "Encapsulates settings provided to GetIamPolicy.", "id": "GetPolicyOptions", "type": "object", "properties": { "requestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "GoogleCloudDatacatalogV1DatabaseTableSpec": { "properties": { "dataplexTable": { "readOnly": true, "description": "Output only. Fields specific to a Dataplex table and present only in the Dataplex table entries.", "$ref": "GoogleCloudDatacatalogV1DataplexTableSpec" }, "type": { "description": "Type of this table.", "type": "string", "enumDescriptions": [ "Default unknown table type.", "Native table.", "External table." ], "enum": [ "TABLE_TYPE_UNSPECIFIED", "NATIVE", "EXTERNAL" ] } }, "type": "object", "id": "GoogleCloudDatacatalogV1DatabaseTableSpec", "description": "Specification that applies to a table resource. Valid only for entries with the `TABLE` type." }, "GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema": { "id": "GoogleCloudDatacatalogV1PhysicalSchemaProtobufSchema", "description": "Schema in protocol buffer format.", "properties": { "text": { "type": "string", "description": "Protocol buffer source of the schema." } }, "type": "object" }, "GoogleCloudDatacatalogV1DataSource": { "id": "GoogleCloudDatacatalogV1DataSource", "type": "object", "properties": { "sourceEntry": { "readOnly": true, "type": "string", "description": "Output only. Data Catalog entry name, if applicable." }, "resource": { "type": "string", "description": "Full name of a resource as defined by the service. For example: `//bigquery.googleapis.com/projects/{PROJECT_ID}/locations/{LOCATION}/datasets/{DATASET_ID}/tables/{TABLE_ID}`" }, "service": { "enumDescriptions": [ "Default unknown service.", "Google Cloud Storage service.", "BigQuery service." ], "enum": [ "SERVICE_UNSPECIFIED", "CLOUD_STORAGE", "BIGQUERY" ], "type": "string", "description": "Service that physically stores the data." }, "storageProperties": { "description": "Detailed properties of the underlying storage.", "$ref": "GoogleCloudDatacatalogV1StorageProperties" } }, "description": "Physical location of an entry." }, "GoogleCloudDatacatalogV1ListEntryGroupsResponse": { "description": "Response message for ListEntryGroups.", "id": "GoogleCloudDatacatalogV1ListEntryGroupsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to specify in the next call to retrieve the next page of results. Empty if there are no more items." }, "entryGroups": { "type": "array", "description": "Entry group details.", "items": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" } } }, "type": "object" }, "GoogleCloudDatacatalogV1SystemTimestamps": { "description": "Timestamps associated with this resource in a particular system.", "properties": { "updateTime": { "type": "string", "description": "Timestamp of the last modification of the resource or its metadata within a given system. Note: Depending on the source system, not every modification updates this timestamp. For example, BigQuery timestamps every metadata modification but not data or permission changes.", "format": "google-datetime" }, "expireTime": { "type": "string", "readOnly": true, "description": "Output only. Expiration timestamp of the resource within the given system. Currently only applicable to BigQuery resources.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "Creation timestamp of the resource within the given system.", "type": "string" } }, "type": "object", "id": "GoogleCloudDatacatalogV1SystemTimestamps" }, "GoogleCloudDatacatalogV1DataplexSpec": { "id": "GoogleCloudDatacatalogV1DataplexSpec", "type": "object", "properties": { "compressionFormat": { "type": "string", "description": "Compression format of the data, e.g., zip, gzip etc." }, "dataFormat": { "description": "Format of the data.", "$ref": "GoogleCloudDatacatalogV1PhysicalSchema" }, "asset": { "type": "string", "description": "Fully qualified resource name of an asset in Dataplex, to which the underlying data source (Cloud Storage bucket or BigQuery dataset) of the entity is attached." }, "projectId": { "description": "Project ID of the underlying Cloud Storage or BigQuery data. Note that this may not be the same project as the correspondingly Dataplex lake / zone / asset.", "type": "string" } }, "description": "Common Dataplex fields." }, "GoogleCloudDatacatalogV1ImportTaxonomiesRequest": { "type": "object", "description": "Request message for ImportTaxonomies.", "id": "GoogleCloudDatacatalogV1ImportTaxonomiesRequest", "properties": { "crossRegionalSource": { "description": "Cross-regional source taxonomy to import.", "$ref": "GoogleCloudDatacatalogV1CrossRegionalSource" }, "inlineSource": { "description": "Inline source taxonomy to import.", "$ref": "GoogleCloudDatacatalogV1InlineSource" } } }, "GoogleCloudDatacatalogV1FieldType": { "id": "GoogleCloudDatacatalogV1FieldType", "properties": { "enumType": { "description": "An enum type.", "$ref": "GoogleCloudDatacatalogV1FieldTypeEnumType" }, "primitiveType": { "enum": [ "PRIMITIVE_TYPE_UNSPECIFIED", "DOUBLE", "STRING", "BOOL", "TIMESTAMP", "RICHTEXT" ], "description": "Primitive types, such as string, boolean, etc.", "enumDescriptions": [ "The default invalid value for a type.", "A double precision number.", "An UTF-8 string.", "A boolean value.", "A timestamp.", "A Richtext description." ], "type": "string" } }, "type": "object" }, "GoogleCloudDatacatalogV1DataplexTableSpec": { "description": "Entry specification for a Dataplex table.", "type": "object", "properties": { "dataplexSpec": { "description": "Common Dataplex fields.", "$ref": "GoogleCloudDatacatalogV1DataplexSpec" }, "userManaged": { "type": "boolean", "description": "Indicates if the table schema is managed by the user or not." }, "externalTables": { "items": { "$ref": "GoogleCloudDatacatalogV1DataplexExternalTable" }, "description": "List of external tables registered by Dataplex in other systems based on the same underlying data. External tables allow to query this data in those systems.", "type": "array" } }, "id": "GoogleCloudDatacatalogV1DataplexTableSpec" }, "GoogleCloudDatacatalogV1GcsFilesetSpec": { "id": "GoogleCloudDatacatalogV1GcsFilesetSpec", "type": "object", "properties": { "filePatterns": { "description": "Required. Patterns to identify a set of files in Google Cloud Storage. For more information, see [Wildcard Names] (https://cloud.google.com/storage/docs/gsutil/addlhelp/WildcardNames). Note: Currently, bucket wildcards are not supported. Examples of valid `file_patterns`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/dir/*`: matches all files in `bucket_name/dir` directory LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/dir/**`: matches all files in `bucket_name/dir` and all subdirectories LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/file*`: matches files prefixed by `file` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/??.txt`: matches files with two characters followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/[aeiou].txt`: matches files that contain a single vowel character followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/[a-m].txt`: matches files that contain `a`, `b`, ... or `m` followed by `.txt` in `bucket_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://bucket_name/a/*/b`: matches all files in `bucket_name` that match the `a/*/b` pattern, such as `a/c/b`, `a/d/b` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://another_bucket/a.txt`: matches `gs://another_bucket/a.txt` You can combine wildcards to match complex sets of files, for example: `gs://bucket_name/[a-m]??.j*g`", "items": { "type": "string" }, "type": "array" }, "sampleGcsFileSpecs": { "items": { "$ref": "GoogleCloudDatacatalogV1GcsFileSpec" }, "description": "Output only. Sample files contained in this fileset, not all files contained in this fileset are represented here.", "type": "array", "readOnly": true } }, "description": "Describes a Cloud Storage fileset entry." }, "GoogleCloudDatacatalogV1BigQueryRoutineSpec": { "description": "Fields specific for BigQuery routines.", "type": "object", "properties": { "importedLibraries": { "items": { "type": "string" }, "description": "Paths of the imported libraries.", "type": "array" } }, "id": "GoogleCloudDatacatalogV1BigQueryRoutineSpec" }, "GoogleCloudDatacatalogV1ListTagsResponse": { "id": "GoogleCloudDatacatalogV1ListTagsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token of the next results page. Empty if there are no more items in results." }, "tags": { "items": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "description": "Tag details.", "type": "array" } }, "description": "Response message for ListTags." }, "GoogleCloudDatacatalogV1ListEntriesResponse": { "id": "GoogleCloudDatacatalogV1ListEntriesResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token of the next results page. Empty if there are no more items in results." }, "entries": { "items": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "description": "Entry details.", "type": "array" } }, "description": "Response message for ListEntries.", "type": "object" }, "GoogleCloudDatacatalogV1InlineSource": { "description": "Inline source containing taxonomies to import.", "type": "object", "properties": { "taxonomies": { "type": "array", "items": { "$ref": "GoogleCloudDatacatalogV1SerializedTaxonomy" }, "description": "Required. Taxonomies to import." } }, "id": "GoogleCloudDatacatalogV1InlineSource" }, "GoogleCloudDatacatalogV1UnstarEntryResponse": { "id": "GoogleCloudDatacatalogV1UnstarEntryResponse", "description": "Response message for UnstarEntry. Empty for now", "type": "object", "properties": {} }, "TestIamPermissionsRequest": { "type": "object", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "id": "TestIamPermissionsRequest" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "type": "object", "properties": { "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." } } }, "GoogleCloudDatacatalogV1EntryGroup": { "id": "GoogleCloudDatacatalogV1EntryGroup", "properties": { "name": { "type": "string", "description": "The resource name of the entry group in URL format. Note: The entry group itself and its child resources might not be stored in the location specified in its name." }, "dataCatalogTimestamps": { "description": "Output only. Timestamps of the entry group. Default value is empty.", "$ref": "GoogleCloudDatacatalogV1SystemTimestamps", "readOnly": true }, "description": { "type": "string", "description": "Entry group description. Can consist of several sentences or paragraphs that describe the entry group contents. Default value is an empty string." }, "displayName": { "description": "A short name to identify the entry group, for example, \"analytics data - jan 2011\". Default value is an empty string.", "type": "string" } }, "type": "object", "description": "Entry group metadata. An `EntryGroup` resource represents a logical grouping of zero or more Data Catalog Entry resources." }, "GoogleCloudDatacatalogV1SearchCatalogResponse": { "properties": { "unreachable": { "items": { "type": "string" }, "description": "Unreachable locations. Search results don't include data from those locations. To get additional information on an error, repeat the search request and restrict it to specific locations by setting the `SearchCatalogRequest.scope.restricted_locations` parameter.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token that can be used in subsequent calls to retrieve the next page of results." }, "results": { "description": "Search results.", "items": { "$ref": "GoogleCloudDatacatalogV1SearchCatalogResult" }, "type": "array" } }, "id": "GoogleCloudDatacatalogV1SearchCatalogResponse", "type": "object", "description": "Response message for SearchCatalog." }, "GoogleCloudDatacatalogV1RoutineSpecArgument": { "type": "object", "properties": { "mode": { "enumDescriptions": [ "Unspecified mode.", "The argument is input-only.", "The argument is output-only.", "The argument is both an input and an output." ], "description": "Specifies whether the argument is input or output.", "type": "string", "enum": [ "MODE_UNSPECIFIED", "IN", "OUT", "INOUT" ] }, "type": { "type": "string", "description": "Type of the argument. The exact value depends on the source system and the language." }, "name": { "type": "string", "description": "The name of the argument. A return argument of a function might not have a name." } }, "id": "GoogleCloudDatacatalogV1RoutineSpecArgument", "description": "Input or output argument of a function or stored procedure." }, "GoogleCloudDatacatalogV1CrossRegionalSource": { "type": "object", "properties": { "taxonomy": { "type": "string", "description": "Required. The resource name of the source taxonomy to import." } }, "description": "Cross-regional source used to import an existing taxonomy into a different region.", "id": "GoogleCloudDatacatalogV1CrossRegionalSource" }, "GoogleCloudDatacatalogV1ModifyEntryContactsRequest": { "description": "Request message for ModifyEntryContacts.", "type": "object", "properties": { "contacts": { "$ref": "GoogleCloudDatacatalogV1Contacts", "description": "Required. The new value for the Contacts." } }, "id": "GoogleCloudDatacatalogV1ModifyEntryContactsRequest" }, "GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue": { "id": "GoogleCloudDatacatalogV1FieldTypeEnumTypeEnumValue", "type": "object", "properties": { "displayName": { "type": "string", "description": "Required. The display name of the enum value. Must not be an empty string. The name must contain only Unicode letters, numbers (0-9), underscores (_), dashes (-), spaces ( ), and can't start or end with spaces. The maximum length is 200 characters." } } } }, "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/data-catalog/docs/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "baseUrl": "https://datacatalog.googleapis.com/", "basePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://datacatalog.mtls.googleapis.com/", "discoveryVersion": "v1", "fullyEncodeReservedExpansion": true, "title": "Google Cloud Data Catalog API", "canonicalName": "Data Catalog", "description": "A fully managed and highly scalable data discovery and metadata management service. ", "revision": "20220624", "rootUrl": "https://datacatalog.googleapis.com/", "version": "v1", "batchPath": "batch", "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "default": "json", "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" } }, "protocol": "rest", "resources": { "catalog": { "methods": { "search": { "description": "Searches Data Catalog for multiple resources like entries and tags that match a query. This is a [Custom Method] (https://cloud.google.com/apis/design/custom_methods) that doesn't return all information on a resource, only its ID and high level fields. To get more information, you can subsequently call specific get methods. Note: Data Catalog search queries don't guarantee full recall. Results that match your query might not be returned, even in subsequent result pages. Additionally, returned (and not returned) results can vary if you repeat search queries. For more information, see [Data Catalog search syntax] (https://cloud.google.com/data-catalog/docs/how-to/search-reference).", "request": { "$ref": "GoogleCloudDatacatalogV1SearchCatalogRequest" }, "response": { "$ref": "GoogleCloudDatacatalogV1SearchCatalogResponse" }, "parameters": {}, "httpMethod": "POST", "parameterOrder": [], "path": "v1/catalog:search", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.catalog.search", "flatPath": "v1/catalog:search" } } }, "entries": { "methods": { "lookup": { "id": "datacatalog.entries.lookup", "parameterOrder": [], "path": "v1/entries:lookup", "response": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/entries:lookup", "httpMethod": "GET", "description": "Gets an entry by its target resource name. The resource name comes from the source Google Cloud Platform service.", "parameters": { "linkedResource": { "type": "string", "location": "query", "description": "The full name of the Google Cloud Platform resource the Data Catalog entry represents. For more information, see [Full Resource Name] (https://cloud.google.com/apis/design/resource_names#full_resource_name). Full names are case-sensitive. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `//pubsub.googleapis.com/projects/{PROJECT_ID}/topics/{TOPIC_ID}`" }, "sqlResource": { "description": "The SQL name of the entry. SQL names are case-sensitive. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `pubsub.topic.{PROJECT_ID}.{TOPIC_ID}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `pubsub.topic.{PROJECT_ID}.`\\``{TOPIC.ID.SEPARATED.WITH.DOTS}`\\` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `bigquery.table.{PROJECT_ID}.{DATASET_ID}.{TABLE_ID}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `bigquery.dataset.{PROJECT_ID}.{DATASET_ID}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `datacatalog.entry.{PROJECT_ID}.{LOCATION_ID}.{ENTRY_GROUP_ID}.{ENTRY_ID}` Identifiers (`*_ID`) should comply with the [Lexical structure in Standard SQL] (https://cloud.google.com/bigquery/docs/reference/standard-sql/lexical).", "type": "string", "location": "query" }, "fullyQualifiedName": { "location": "query", "type": "string", "description": "Fully qualified name (FQN) of the resource. FQNs take two forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:{PROJECT_ID}.{LOCATION_ID}.{INSTANCE_ID}.{DATABASE_ID}.{TABLE_ID}`" } } } } }, "projects": { "resources": { "locations": { "resources": { "entryGroups": { "methods": { "create": { "response": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" }, "path": "v1/{+parent}/entryGroups", "parameters": { "entryGroupId": { "description": "Required. The ID of the entry group to create. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and must start with a letter or underscore. The maximum size is 64 bytes when encoded in UTF-8.", "type": "string", "location": "query" }, "parent": { "description": "Required. The names of the project and location that the new entry group belongs to. Note: The entry group itself and its child resources might not be stored in the location specified in its name.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "description": "Creates an entry group. An entry group contains logically related entries together with [Cloud Identity and Access Management](/data-catalog/docs/concepts/iam) policies. These policies specify users who can create, edit, and view entries within entry groups. Data Catalog automatically creates entry groups with names that start with the `@` symbol for the following resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BigQuery entries (`@bigquery`) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Pub/Sub topics (`@pubsub`) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Dataproc Metastore services (`@dataproc_metastore_{SERVICE_NAME_HASH}`) You can create your own entry groups for Cloud Storage fileset entries and custom entries together with the corresponding IAM policies. User-created entry groups can't contain the `@` symbol, it is reserved for automatically created groups. Entry groups, like entries, can be searched. A maximum of 10,000 entry groups may be created per organization across all locations. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups", "httpMethod": "POST", "id": "datacatalog.projects.locations.entryGroups.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" } }, "list": { "parameters": { "pageSize": { "description": "Optional. The maximum number of items to return. Default is 10. Maximum limit is 1000. Throws an invalid argument if `page_size` is greater than 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "description": "Optional. Pagination token that specifies the next page to return. If empty, returns the first page.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The name of the location that contains the entry groups to list. Can be provided as a URL." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/entryGroups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Lists entry groups.", "id": "datacatalog.projects.locations.entryGroups.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups", "response": { "$ref": "GoogleCloudDatacatalogV1ListEntryGroupsResponse" } }, "get": { "description": "Gets an entry group.", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" }, "parameters": { "name": { "description": "Required. The name of the entry group to get.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$", "type": "string" }, "readMask": { "type": "string", "description": "The fields to return. If empty or omitted, all fields are returned.", "format": "google-fieldmask", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "datacatalog.projects.locations.entryGroups.get" }, "testIamPermissions": { "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "id": "datacatalog.projects.locations.entryGroups.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.entryGroups.delete", "path": "v1/{+name}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "parameters": { "force": { "location": "query", "type": "boolean", "description": "Optional. If true, deletes all entries in the entry group." }, "name": { "required": true, "description": "Required. The name of the entry group to delete.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$" } }, "description": "Deletes an entry group. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project)." }, "patch": { "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.entryGroups.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "request": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" }, "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "The resource name of the entry group in URL format. Note: The entry group itself and its child resources might not be stored in the location specified in its name.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$" }, "updateMask": { "type": "string", "description": "Names of fields whose values to overwrite on an entry group. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.", "format": "google-fieldmask", "location": "query" } }, "description": "Updates an entry group. You must enable the Data Catalog API in the project identified by the `entry_group.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}", "response": { "$ref": "GoogleCloudDatacatalogV1EntryGroup" } }, "getIamPolicy": { "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST", "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}:getIamPolicy", "description": "Gets the access control policy for a resource. May return: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.", "id": "datacatalog.projects.locations.entryGroups.getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GetIamPolicyRequest" } }, "setIamPolicy": { "response": { "$ref": "Policy" }, "httpMethod": "POST", "id": "datacatalog.projects.locations.entryGroups.setIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$" } }, "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets an access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates - Entry groups Note: This method sets policies only within Data Catalog and can't be used to manage policies in BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources synced with the Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups." } }, "resources": { "entries": { "methods": { "star": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The name of the entry to mark as starred." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:star", "path": "v1/{+name}:star", "response": { "$ref": "GoogleCloudDatacatalogV1StarEntryResponse" }, "description": "Marks an Entry as starred by the current user. Starring information is private to each user.", "id": "datacatalog.projects.locations.entryGroups.entries.star", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatacatalogV1StarEntryRequest" }, "httpMethod": "POST" }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GetIamPolicyRequest" }, "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "description": "Gets the access control policy for a resource. May return: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.", "id": "datacatalog.projects.locations.entryGroups.entries.getIamPolicy" }, "patch": { "response": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "id": "datacatalog.projects.locations.entryGroups.entries.patch", "description": "Updates an existing entry. You must enable the Data Catalog API in the project identified by the `entry.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "parameters": { "updateMask": { "description": "Names of fields whose values to overwrite on an entry. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. You can modify only the fields listed below. For entries with type `DATA_STREAM`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `schema` For entries with type `FILESET`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `schema` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gcs_fileset_spec` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `schema` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_specified_type` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user_specified_system` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `linked_resource` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `source_system_timestamps`", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "description": "Output only. The resource name of an entry in URL format. Note: The entry itself and its child resources might not be stored in the location specified in its name.", "location": "path", "required": true } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}" }, "list": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/entries", "id": "datacatalog.projects.locations.entryGroups.entries.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists entries. Note: Currently, this method can list only custom entries. To get a list of both custom and automatically created entries, use SearchCatalog.", "parameters": { "pageToken": { "description": "Pagination token that specifies the next page to return. If empty, the first page is returned.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of items to return. Default is 10. Maximum limit is 1000. Throws an invalid argument if `page_size` is more than 1000.", "format": "int32" }, "parent": { "required": true, "type": "string", "description": "Required. The name of the entry group that contains the entries to list. Can be provided in URL format.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$" }, "readMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "The fields to return for each entry. If empty or omitted, all fields are returned. For example, to return a list of entries with only the `name` field, set `read_mask` to only one path with the `name` value." } }, "response": { "$ref": "GoogleCloudDatacatalogV1ListEntriesResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries", "httpMethod": "GET" }, "modifyEntryContacts": { "path": "v1/{+name}:modifyEntryContacts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "description": "Required. The full resource name of the entry.", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:modifyEntryContacts", "httpMethod": "POST", "description": "Modifies contacts, part of the business context of an Entry. To call this method, you must have the `datacatalog.entries.updateContacts` IAM permission on the corresponding project.", "response": { "$ref": "GoogleCloudDatacatalogV1Contacts" }, "id": "datacatalog.projects.locations.entryGroups.entries.modifyEntryContacts", "request": { "$ref": "GoogleCloudDatacatalogV1ModifyEntryContactsRequest" } }, "create": { "request": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "response": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "path": "v1/{+parent}/entries", "id": "datacatalog.projects.locations.entryGroups.entries.create", "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Creates an entry. You can create entries only with 'FILESET', 'CLUSTER', 'DATA_STREAM', or custom types. Data Catalog automatically creates entries with other types during metadata ingestion from integrated systems. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project). An entry group can have a maximum of 100,000 entries.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries", "parameters": { "entryId": { "description": "Required. The ID of the entry to create. The ID must contain only letters (a-z, A-Z), numbers (0-9), and underscores (_). The maximum size is 64 bytes when encoded in UTF-8.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The name of the entry group this entry belongs to. Note: The entry itself and its child resources might not be stored in the location specified in its name." } } }, "modifyEntryOverview": { "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "type": "string", "description": "Required. The full resource name of the entry." } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDatacatalogV1ModifyEntryOverviewRequest" }, "parameterOrder": [ "name" ], "description": "Modifies entry overview, part of the business context of an Entry. To call this method, you must have the `datacatalog.entries.updateOverview` IAM permission on the corresponding project.", "id": "datacatalog.projects.locations.entryGroups.entries.modifyEntryOverview", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:modifyEntryOverview", "response": { "$ref": "GoogleCloudDatacatalogV1EntryOverview" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:modifyEntryOverview" }, "unstar": { "id": "datacatalog.projects.locations.entryGroups.entries.unstar", "httpMethod": "POST", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatacatalogV1UnstarEntryRequest" }, "response": { "$ref": "GoogleCloudDatacatalogV1UnstarEntryResponse" }, "description": "Marks an Entry as NOT starred by the current user. Starring information is private to each user.", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the entry to mark as **not** starred.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:unstar", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:unstar" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "datacatalog.projects.locations.entryGroups.entries.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}:testIamPermissions", "description": "Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method." }, "delete": { "description": "Deletes an existing entry. You can delete only the entries created by the CreateEntry method. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "id": "datacatalog.projects.locations.entryGroups.entries.delete", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "description": "Required. The name of the entry to delete.", "location": "path", "type": "string" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" } }, "get": { "response": { "$ref": "GoogleCloudDatacatalogV1Entry" }, "id": "datacatalog.projects.locations.entryGroups.entries.get", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "description": "Required. The name of the entry to get.", "required": true, "type": "string" } }, "httpMethod": "GET", "path": "v1/{+name}", "description": "Gets an entry.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } }, "resources": { "tags": { "methods": { "create": { "response": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "parameterOrder": [ "parent" ], "id": "datacatalog.projects.locations.entryGroups.entries.tags.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}/tags", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the resource to attach this tag to. Tags can be attached to entries or entry groups. An entry can have up to 1000 attached tags. Note: The tag and its child resources might not be stored in the location specified in its name.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$" } }, "path": "v1/{+parent}/tags", "httpMethod": "POST", "description": "Creates a tag and assigns it to: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An Entry if the method name is `projects.locations.entryGroups.entries.tags.create`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Or EntryGroupif the method name is `projects.locations.entryGroups.tags.create`. Note: The project identified by the `parent` parameter for the [tag] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be in the same organization." }, "patch": { "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}/tags/{tagsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.projects.locations.entryGroups.entries.tags.patch", "response": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "path": "v1/{+name}", "parameters": { "updateMask": { "type": "string", "description": "Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.", "format": "google-fieldmask", "location": "query" }, "name": { "location": "path", "description": "The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+/tags/[^/]+$", "type": "string", "required": true } }, "request": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "parameterOrder": [ "name" ], "description": "Updates an existing tag." }, "delete": { "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.entryGroups.entries.tags.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes a tag.", "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}/tags/{tagsId}", "parameters": { "name": { "location": "path", "required": true, "description": "Required. The name of the tag to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+/tags/[^/]+$", "type": "string" } } }, "list": { "parameterOrder": [ "parent" ], "description": "Lists tags assigned to an Entry. The columns in the response are lowercased.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.projects.locations.entryGroups.entries.tags.list", "path": "v1/{+parent}/tags", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/entries/{entriesId}/tags", "response": { "$ref": "GoogleCloudDatacatalogV1ListTagsResponse" }, "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of tags to return. Default is 10. Maximum limit is 1000." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/entries/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the Data Catalog resource to list the tags of. The resource can be an Entry or an EntryGroup (without `/entries/{entries}` at the end)." }, "pageToken": { "description": "Pagination token that specifies the next page to return. If empty, the first page is returned.", "type": "string", "location": "query" } } } } } } }, "tags": { "methods": { "delete": { "response": { "$ref": "Empty" }, "id": "datacatalog.projects.locations.entryGroups.tags.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "description": "Required. The name of the tag to delete.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/tags/[^/]+$", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/tags/{tagsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a tag." }, "create": { "request": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "id": "datacatalog.projects.locations.entryGroups.tags.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/tags", "response": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "httpMethod": "POST", "path": "v1/{+parent}/tags", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$", "location": "path", "description": "Required. The name of the resource to attach this tag to. Tags can be attached to entries or entry groups. An entry can have up to 1000 attached tags. Note: The tag and its child resources might not be stored in the location specified in its name." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a tag and assigns it to: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An Entry if the method name is `projects.locations.entryGroups.entries.tags.create`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Or EntryGroupif the method name is `projects.locations.entryGroups.tags.create`. Note: The project identified by the `parent` parameter for the [tag] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries.tags/create#path-parameters) and the [tag template] (https://cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.tagTemplates/create#path-parameters) used to create the tag must be in the same organization." }, "patch": { "httpMethod": "PATCH", "id": "datacatalog.projects.locations.entryGroups.tags.patch", "description": "Updates an existing tag.", "response": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/tags/{tagsId}", "request": { "$ref": "GoogleCloudDatacatalogV1Tag" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "description": "The resource name of the tag in URL format where tag ID is a system-generated identifier. Note: The tag itself might not be stored in the location specified in its name.", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+/tags/[^/]+$", "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Names of fields whose values to overwrite on a tag. Currently, a tag has the only modifiable field with the name `fields`. In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied." } }, "path": "v1/{+name}" }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/tags", "parameters": { "pageToken": { "description": "Pagination token that specifies the next page to return. If empty, the first page is returned.", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of tags to return. Default is 10. Maximum limit is 1000.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "required": true, "location": "path", "description": "Required. The name of the Data Catalog resource to list the tags of. The resource can be an Entry or an EntryGroup (without `/entries/{entries}` at the end).", "pattern": "^projects/[^/]+/locations/[^/]+/entryGroups/[^/]+$", "type": "string" } }, "response": { "$ref": "GoogleCloudDatacatalogV1ListTagsResponse" }, "description": "Lists tags assigned to an Entry. The columns in the response are lowercased.", "id": "datacatalog.projects.locations.entryGroups.tags.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/entryGroups/{entryGroupsId}/tags", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "tagTemplates": { "resources": { "fields": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" }, "parameterOrder": [ "parent" ], "parameters": { "tagTemplateFieldId": { "type": "string", "location": "query", "description": "Required. The ID of the tag template field to create. Note: Adding a required field to an existing template is *not* allowed. Field IDs can contain letters (both uppercase and lowercase), numbers (0-9), underscores (_) and dashes (-). Field IDs must be at least 1 character long and at most 128 characters long. Field IDs must also be unique within their template." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$", "type": "string", "description": "Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions).", "location": "path" } }, "path": "v1/{+parent}/fields", "description": "Creates a field in a tag template. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "id": "datacatalog.projects.locations.tagTemplates.fields.create", "request": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}/fields" }, "delete": { "parameterOrder": [ "name" ], "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes a field in a tag template and all uses of this field from the tags based on this template. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "id": "datacatalog.projects.locations.tagTemplates.fields.delete", "parameters": { "force": { "location": "query", "description": "Required. If true, deletes this field from any tags that use it. Currently, `true` is the only supported value.", "type": "boolean" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+/fields/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The name of the tag template field to delete." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}/fields/{fieldsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" } }, "patch": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+/fields/[^/]+$", "description": "Required. The name of the tag template field.", "location": "path", "required": true, "type": "string" }, "updateMask": { "type": "string", "description": "Optional. Names of fields whose values to overwrite on an individual field of a tag template. The following fields are modifiable: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `display_name` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `type.enum_type` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `is_required` If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied with one exception: when updating an enum type, the provided values are merged with the existing values. Therefore, enum values can only be added, existing enum values cannot be deleted or renamed. Additionally, updating a template field from optional to required is *not* allowed.", "format": "google-fieldmask", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}/fields/{fieldsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a field in a tag template. You can't update the field type with this method. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "request": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" }, "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.tagTemplates.fields.patch", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" }, "path": "v1/{+name}" }, "rename": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatacatalogV1RenameTagTemplateFieldRequest" }, "path": "v1/{+name}:rename", "httpMethod": "POST", "id": "datacatalog.projects.locations.tagTemplates.fields.rename", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+/fields/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the tag template field.", "location": "path" } }, "description": "Renames a field in a tag template. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}/fields/{fieldsId}:rename", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" } } }, "resources": { "enumValues": { "methods": { "rename": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+/fields/[^/]+/enumValues/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The name of the enum field value." } }, "description": "Renames an enum value in a tag template. Within a single enum field, enum values must be unique.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}/fields/{fieldsId}/enumValues/{enumValuesId}:rename", "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplateField" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatacatalogV1RenameTagTemplateFieldEnumValueRequest" }, "path": "v1/{+name}:rename", "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.tagTemplates.fields.enumValues.rename", "httpMethod": "POST" } } } } } }, "methods": { "patch": { "parameters": { "updateMask": { "type": "string", "description": "Names of fields whose values to overwrite on a tag template. Currently, only `display_name` and `is_publicly_readable` can be overwritten. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. Note: Updating the `is_publicly_readable` field may require up to 12 hours to take effect in search results.", "format": "google-fieldmask", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$", "description": "The resource name of the tag template in URL format. Note: The tag template itself and its child resources might not be stored in the location specified in its name.", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplate" }, "description": "Updates a tag template. You can't update template fields with this method. These fields are separate resources with their own create, update, and delete methods. You must enable the Data Catalog API in the project identified by the `tag_template.name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "id": "datacatalog.projects.locations.tagTemplates.patch", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}", "httpMethod": "PATCH", "path": "v1/{+name}", "request": { "$ref": "GoogleCloudDatacatalogV1TagTemplate" } }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets an access control policy for a resource. Replaces any existing policy. Supported resources are: - Tag templates - Entry groups Note: This method sets policies only within Data Catalog and can't be used to manage policies in BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources synced with the Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.setIamPolicy` to set policies on tag templates. - `datacatalog.entryGroups.setIamPolicy` to set policies on entry groups.", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.projects.locations.tagTemplates.setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}:setIamPolicy" }, "get": { "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplate" }, "parameters": { "name": { "location": "path", "required": true, "description": "Required. The name of the tag template to get.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "datacatalog.projects.locations.tagTemplates.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}", "path": "v1/{+name}", "description": "Gets a tag template." }, "create": { "parameters": { "tagTemplateId": { "type": "string", "location": "query", "description": "Required. The ID of the tag template to create. The ID must contain only lowercase letters (a-z), numbers (0-9), or underscores (_), and must start with a letter or underscore. The maximum size is 64 bytes when encoded in UTF-8." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The name of the project and the template location [region](https://cloud.google.com/data-catalog/docs/concepts/regions).", "location": "path" } }, "httpMethod": "POST", "id": "datacatalog.projects.locations.tagTemplates.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatacatalogV1TagTemplate" }, "response": { "$ref": "GoogleCloudDatacatalogV1TagTemplate" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates", "path": "v1/{+parent}/tagTemplates", "description": "Creates a tag template. You must enable the Data Catalog API in the project identified by the `parent` parameter. For more information, see [Data Catalog resource project] (https://cloud.google.com/data-catalog/docs/concepts/resource-project)." }, "delete": { "description": "Deletes a tag template and all tags that use it. You must enable the Data Catalog API in the project identified by the `name` parameter. For more information, see [Data Catalog resource project](https://cloud.google.com/data-catalog/docs/concepts/resource-project).", "response": { "$ref": "Empty" }, "parameters": { "name": { "type": "string", "required": true, "description": "Required. The name of the tag template to delete.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$" }, "force": { "location": "query", "description": "Required. If true, deletes all tags that use this template. Currently, `true` is the only supported value.", "type": "boolean" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}", "httpMethod": "DELETE", "id": "datacatalog.projects.locations.tagTemplates.delete", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "parameters": { "resource": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ], "id": "datacatalog.projects.locations.tagTemplates.getIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. May return: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A`NOT_FOUND` error if the resource doesn't exist or you don't have the permission to view it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An empty policy if the resource exists but doesn't have a set policy. Supported resources are: - Tag templates - Entry groups Note: This method doesn't get policies from Google Cloud Platform resources ingested into Data Catalog. To call this method, you must have the following Google IAM permissions: - `datacatalog.tagTemplates.getIamPolicy` to get policies on tag templates. - `datacatalog.entryGroups.getIamPolicy` to get policies on entry groups.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}:getIamPolicy", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "request": { "$ref": "GetIamPolicyRequest" } }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tagTemplates/{tagTemplatesId}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/tagTemplates/[^/]+$", "location": "path" } }, "description": "Gets your permissions on a resource. Returns an empty set of permissions if the resource doesn't exist. Supported resources are: - Tag templates - Entry groups Note: This method gets policies only within Data Catalog and can't be used to get policies from BigQuery, Pub/Sub, Dataproc Metastore, and any external Google Cloud Platform resources ingested into Data Catalog. No Google IAM permissions are required to call this method.", "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "datacatalog.projects.locations.tagTemplates.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions" } } }, "taxonomies": { "methods": { "delete": { "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "description": "Deletes a taxonomy, including all policy tags in this taxonomy, their associated policies, and the policy tags references from BigQuery columns.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "description": "Required. Resource name of the taxonomy to delete. Note: All policy tags in this taxonomy are also deleted.", "type": "string", "required": true } }, "response": { "$ref": "Empty" }, "id": "datacatalog.projects.locations.taxonomies.delete" }, "get": { "path": "v1/{+name}", "id": "datacatalog.projects.locations.taxonomies.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}", "description": "Gets a taxonomy.", "parameters": { "name": { "description": "Required. Resource name of the taxonomy to get.", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" }, "parameterOrder": [ "name" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "description": "Sets the IAM policy for a policy tag or a taxonomy.", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}:setIamPolicy", "id": "datacatalog.projects.locations.taxonomies.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "pageSize": { "description": "The maximum number of items to return. Must be a value between 1 and 1000 inclusively. If not set, defaults to 50.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "The pagination token of the next results page. If not set, the first page is returned. The token is returned in the response to a previous list request." }, "parent": { "description": "Required. Resource name of the project to list the taxonomies of.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "id": "datacatalog.projects.locations.taxonomies.list", "httpMethod": "GET", "description": "Lists all taxonomies in a project in a particular location that you have a permission to view.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatacatalogV1ListTaxonomiesResponse" }, "path": "v1/{+parent}/taxonomies" }, "export": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "serializedTaxonomies": { "description": "Serialized export taxonomies that contain all the policy tags as nested protocol buffers.", "type": "boolean", "location": "query" }, "taxonomies": { "type": "string", "location": "query", "description": "Required. Resource names of the taxonomies to export.", "repeated": true }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Required. Resource name of the project that the exported taxonomies belong to." } }, "response": { "$ref": "GoogleCloudDatacatalogV1ExportTaxonomiesResponse" }, "path": "v1/{+parent}/taxonomies:export", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies:export", "id": "datacatalog.projects.locations.taxonomies.export", "parameterOrder": [ "parent" ], "description": "Exports taxonomies in the requested type and returns them, including their policy tags. The requested taxonomies must belong to the same project. This method generates `SerializedTaxonomy` protocol buffers with nested policy tags that can be used as input for `ImportTaxonomies` calls.", "httpMethod": "GET" }, "create": { "description": "Creates a taxonomy in a specified project. The taxonomy is initially empty, that is, it doesn't contain policy tags.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" }, "parameters": { "parent": { "required": true, "description": "Required. Resource name of the project that the taxonomy will belong to.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies", "path": "v1/{+parent}/taxonomies", "id": "datacatalog.projects.locations.taxonomies.create", "request": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" } }, "import": { "response": { "$ref": "GoogleCloudDatacatalogV1ImportTaxonomiesResponse" }, "id": "datacatalog.projects.locations.taxonomies.import", "request": { "$ref": "GoogleCloudDatacatalogV1ImportTaxonomiesRequest" }, "description": "Creates new taxonomies (including their policy tags) in a given project by importing from inlined or cross-regional sources. For a cross-regional source, new taxonomies are created by copying from a source in another region. For an inlined source, taxonomies and policy tags are created in bulk using nested protocol buffer structures.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies:import", "parameters": { "parent": { "type": "string", "description": "Required. Resource name of project that the imported taxonomies will belong to.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "httpMethod": "POST", "path": "v1/{+parent}/taxonomies:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ] }, "getIamPolicy": { "description": "Gets the IAM policy for a policy tag or a taxonomy.", "parameterOrder": [ "resource" ], "request": { "$ref": "GetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:getIamPolicy", "id": "datacatalog.projects.locations.taxonomies.getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}:getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string" } }, "httpMethod": "POST" }, "testIamPermissions": { "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns your permissions on a specified policy tag or taxonomy.", "id": "datacatalog.projects.locations.taxonomies.testIamPermissions", "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "required": true, "type": "string" } }, "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}:testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "replace": { "parameters": { "name": { "location": "path", "required": true, "description": "Required. Resource name of the taxonomy to update.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$" } }, "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.taxonomies.replace", "request": { "$ref": "GoogleCloudDatacatalogV1ReplaceTaxonomyRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:replace", "description": "Replaces (updates) a taxonomy and all its policy tags. The taxonomy and its entire hierarchy of policy tags must be represented literally by `SerializedTaxonomy` and the nested `SerializedPolicyTag` messages. This operation automatically does the following: - Deletes the existing policy tags that are missing from the `SerializedPolicyTag`. - Creates policy tags that don't have resource names. They are considered new. - Updates policy tags with valid resources names accordingly.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}:replace", "response": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" } }, "patch": { "response": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" }, "description": "Updates a taxonomy, including its display name, description, and activated policy types.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}", "request": { "$ref": "GoogleCloudDatacatalogV1Taxonomy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "datacatalog.projects.locations.taxonomies.patch", "path": "v1/{+name}", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Specifies fields to update. If not set, defaults to all fields you can update. For more information, see [FieldMask] (https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "type": "string" }, "name": { "type": "string", "location": "path", "required": true, "description": "Output only. Resource name of this taxonomy in URL format. Note: Policy tag manager generates unique taxonomy IDs.", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$" } } } }, "resources": { "policyTags": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.projects.locations.taxonomies.policyTags.get", "path": "v1/{+name}", "description": "Gets a policy tag.", "response": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Resource name of the policy tag.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$" } }, "httpMethod": "GET" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags", "path": "v1/{+parent}/policyTags", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "description": "The pagination token of the next results page. If not set, returns the first page. The token is returned in the response to a previous list request.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "description": "Required. Resource name of the taxonomy to list the policy tags of.", "type": "string", "required": true, "location": "path" }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of items to return. Must be a value between 1 and 1000 inclusively. If not set, defaults to 50.", "type": "integer" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDatacatalogV1ListPolicyTagsResponse" }, "id": "datacatalog.projects.locations.taxonomies.policyTags.list", "description": "Lists all policy tags in a taxonomy." }, "testIamPermissions": { "description": "Returns your permissions on a specified policy tag or taxonomy.", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "datacatalog.projects.locations.taxonomies.policyTags.testIamPermissions", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}:testIamPermissions", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$", "required": true } }, "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" } }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "datacatalog.projects.locations.taxonomies.policyTags.setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the IAM policy for a policy tag or a taxonomy.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}:setIamPolicy", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "Policy" } }, "create": { "id": "datacatalog.projects.locations.taxonomies.policyTags.create", "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags", "request": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "response": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "parameters": { "parent": { "description": "Required. Resource name of the taxonomy that the policy tag will belong to.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+$", "location": "path" } }, "description": "Creates a policy tag in a taxonomy.", "path": "v1/{+parent}/policyTags" }, "patch": { "response": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "request": { "$ref": "GoogleCloudDatacatalogV1PolicyTag" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}", "path": "v1/{+name}", "httpMethod": "PATCH", "id": "datacatalog.projects.locations.taxonomies.policyTags.patch", "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Specifies the fields to update. You can update only display name, description, and parent policy tag. If not set, defaults to all updatable fields. For more information, see [FieldMask] (https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask)." }, "name": { "description": "Output only. Resource name of this policy tag in the URL format. The policy tag manager generates unique taxonomy IDs and policy tag IDs.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$", "location": "path" } }, "description": "Updates a policy tag, including its display name, description, and parent policy tag.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}", "description": "Deletes a policy tag together with the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All of its descendant policy tags, if any LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Policies associated with the policy tag and its descendants LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh References from BigQuery table schema of the policy tag and its descendants", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$", "description": "Required. Resource name of the policy tag to delete. Note: All of its descendant policy tags are also deleted." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datacatalog.projects.locations.taxonomies.policyTags.delete" }, "getIamPolicy": { "id": "datacatalog.projects.locations.taxonomies.policyTags.getIamPolicy", "httpMethod": "POST", "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the IAM policy for a policy tag or a taxonomy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/taxonomies/[^/]+/policyTags/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "GetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/taxonomies/{taxonomiesId}/policyTags/{policyTagsId}:getIamPolicy", "parameterOrder": [ "resource" ] } } } } } } } } } }, "name": "datacatalog", "servicePath": "" }
]===]))
