local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "batchPath": "batch", "rootUrl": "https://dataflow.googleapis.com/", "ownerDomain": "google.com", "servicePath": "", "id": "dataflow:v1b3", "documentationLink": "https://cloud.google.com/dataflow", "baseUrl": "https://dataflow.googleapis.com/", "discoveryVersion": "v1", "mtlsRootUrl": "https://dataflow.mtls.googleapis.com/", "revision": "20220629", "resources": { "projects": { "methods": { "deleteSnapshots": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.deleteSnapshots", "parameterOrder": [ "projectId" ], "description": "Deletes a snapshot.", "response": { "$ref": "DeleteSnapshotResponse" }, "flatPath": "v1b3/projects/{projectId}/snapshots", "parameters": { "snapshotId": { "description": "The ID of the snapshot.", "location": "query", "type": "string" }, "location": { "location": "query", "type": "string", "description": "The location that contains this snapshot." }, "projectId": { "required": true, "location": "path", "type": "string", "description": "The ID of the Cloud Platform project that the snapshot belongs to." } }, "path": "v1b3/projects/{projectId}/snapshots", "httpMethod": "DELETE" }, "workerMessages": { "parameters": { "projectId": { "description": "The project to send the WorkerMessages to.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "path": "v1b3/projects/{projectId}/WorkerMessages", "response": { "$ref": "SendWorkerMessagesResponse" }, "request": { "$ref": "SendWorkerMessagesRequest" }, "flatPath": "v1b3/projects/{projectId}/WorkerMessages", "parameterOrder": [ "projectId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.workerMessages", "description": "Send a worker_message to the service." } }, "resources": { "templates": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "projectId": { "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "required": true, "location": "path", "type": "string" }, "gcsPath": { "description": "Required. A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with 'gs://'.", "type": "string", "location": "query" }, "location": { "location": "query", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request.", "type": "string" }, "view": { "description": "The view to retrieve. Defaults to METADATA_ONLY.", "enumDescriptions": [ "Template view that retrieves only the metadata associated with the template." ], "enum": [ "METADATA_ONLY" ], "location": "query", "type": "string" } }, "parameterOrder": [ "projectId" ], "response": { "$ref": "GetTemplateResponse" }, "httpMethod": "GET", "description": "Get the template associated with a template.", "flatPath": "v1b3/projects/{projectId}/templates:get", "id": "dataflow.projects.templates.get", "path": "v1b3/projects/{projectId}/templates:get" }, "create": { "parameters": { "projectId": { "type": "string", "required": true, "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "location": "path" } }, "path": "v1b3/projects/{projectId}/templates", "httpMethod": "POST", "request": { "$ref": "CreateJobFromTemplateRequest" }, "flatPath": "v1b3/projects/{projectId}/templates", "id": "dataflow.projects.templates.create", "description": "Creates a Cloud Dataflow job from a template. Do not enter confidential information when you supply string values using the API.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "Job" }, "parameterOrder": [ "projectId" ] }, "launch": { "parameterOrder": [ "projectId" ], "request": { "$ref": "LaunchTemplateParameters" }, "httpMethod": "POST", "flatPath": "v1b3/projects/{projectId}/templates:launch", "description": "Launch a template.", "id": "dataflow.projects.templates.launch", "path": "v1b3/projects/{projectId}/templates:launch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "LaunchTemplateResponse" }, "parameters": { "validateOnly": { "description": "If true, the request is validated but not actually executed. Defaults to false.", "location": "query", "type": "boolean" }, "projectId": { "type": "string", "required": true, "location": "path", "description": "Required. The ID of the Cloud Platform project that the job belongs to." }, "location": { "type": "string", "location": "query", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request." }, "dynamicTemplate.gcsPath": { "location": "query", "description": "Path to dynamic template spec file on Cloud Storage. The file must be a Json serialized DynamicTemplateFieSpec object.", "type": "string" }, "dynamicTemplate.stagingLocation": { "description": "Cloud Storage path for staging dependencies. Must be a valid Cloud Storage URL, beginning with `gs://`.", "type": "string", "location": "query" }, "gcsPath": { "description": "A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with 'gs://'.", "location": "query", "type": "string" } } } } }, "jobs": { "resources": { "workItems": { "methods": { "lease": { "request": { "$ref": "LeaseWorkItemRequest" }, "parameters": { "projectId": { "description": "Identifies the project this worker belongs to.", "required": true, "type": "string", "location": "path" }, "jobId": { "type": "string", "description": "Identifies the workflow job this worker belongs to.", "required": true, "location": "path" } }, "path": "v1b3/projects/{projectId}/jobs/{jobId}/workItems:lease", "id": "dataflow.projects.jobs.workItems.lease", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "LeaseWorkItemResponse" }, "httpMethod": "POST", "description": "Leases a dataflow WorkItem to run.", "parameterOrder": [ "projectId", "jobId" ], "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/workItems:lease" }, "reportStatus": { "response": { "$ref": "ReportWorkItemStatusResponse" }, "request": { "$ref": "ReportWorkItemStatusRequest" }, "parameters": { "jobId": { "location": "path", "description": "The job which the WorkItem is part of.", "type": "string", "required": true }, "projectId": { "type": "string", "required": true, "description": "The project which owns the WorkItem's job.", "location": "path" } }, "parameterOrder": [ "projectId", "jobId" ], "path": "v1b3/projects/{projectId}/jobs/{jobId}/workItems:reportStatus", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "POST", "description": "Reports the status of dataflow WorkItems leased by a worker.", "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/workItems:reportStatus", "id": "dataflow.projects.jobs.workItems.reportStatus" } } }, "debug": { "methods": { "sendCapture": { "parameterOrder": [ "projectId", "jobId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "path": "v1b3/projects/{projectId}/jobs/{jobId}/debug/sendCapture", "request": { "$ref": "SendDebugCaptureRequest" }, "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/debug/sendCapture", "description": "Send encoded debug capture data for component.", "parameters": { "jobId": { "type": "string", "required": true, "description": "The job id.", "location": "path" }, "projectId": { "description": "The project id.", "location": "path", "required": true, "type": "string" } }, "id": "dataflow.projects.jobs.debug.sendCapture", "response": { "$ref": "SendDebugCaptureResponse" }, "httpMethod": "POST" }, "getConfig": { "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/debug/getConfig", "response": { "$ref": "GetDebugConfigResponse" }, "id": "dataflow.projects.jobs.debug.getConfig", "parameterOrder": [ "projectId", "jobId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "POST", "path": "v1b3/projects/{projectId}/jobs/{jobId}/debug/getConfig", "request": { "$ref": "GetDebugConfigRequest" }, "parameters": { "jobId": { "description": "The job id.", "type": "string", "required": true, "location": "path" }, "projectId": { "type": "string", "location": "path", "description": "The project id.", "required": true } }, "description": "Get encoded debug configuration for component. Not cacheable." } } }, "messages": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "minimumImportance": { "description": "Filter to only get messages with importance \u003e= level", "enumDescriptions": [ "The message importance isn't specified, or is unknown.", "The message is at the 'debug' level: typically only useful for software engineers working on the code the job is running. Typically, Dataflow pipeline runners do not display log messages at this level by default.", "The message is at the 'detailed' level: somewhat verbose, but potentially useful to users. Typically, Dataflow pipeline runners do not display log messages at this level by default. These messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'basic' level: useful for keeping track of the execution of a Dataflow pipeline. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'warning' level: indicating a condition pertaining to a job which may require human intervention. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'error' level: indicating a condition preventing a job from succeeding. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI." ], "location": "query", "type": "string", "enum": [ "JOB_MESSAGE_IMPORTANCE_UNKNOWN", "JOB_MESSAGE_DEBUG", "JOB_MESSAGE_DETAILED", "JOB_MESSAGE_BASIC", "JOB_MESSAGE_WARNING", "JOB_MESSAGE_ERROR" ] }, "pageToken": { "description": "If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "If specified, determines the maximum number of messages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results." }, "location": { "location": "query", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string" }, "jobId": { "type": "string", "required": true, "description": "The job to get messages about.", "location": "path" }, "startTime": { "description": "If specified, return only messages with timestamps \u003e= start_time. The default is the job creation time (i.e. beginning of messages).", "location": "query", "format": "google-datetime", "type": "string" }, "projectId": { "type": "string", "required": true, "location": "path", "description": "A project id." }, "endTime": { "description": "Return only messages with timestamps \u003c end_time. The default is now (i.e. return up to the latest messages available).", "type": "string", "format": "google-datetime", "location": "query" } }, "parameterOrder": [ "projectId", "jobId" ], "description": "Request the job status. To request the status of a job, we recommend using `projects.locations.jobs.messages.list` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.messages.list` is not recommended, as you can only request the status of jobs that are running in `us-central1`.", "path": "v1b3/projects/{projectId}/jobs/{jobId}/messages", "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/messages", "response": { "$ref": "ListJobMessagesResponse" }, "id": "dataflow.projects.jobs.messages.list" } } } }, "methods": { "create": { "response": { "$ref": "Job" }, "path": "v1b3/projects/{projectId}/jobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameterOrder": [ "projectId" ], "httpMethod": "POST", "flatPath": "v1b3/projects/{projectId}/jobs", "parameters": { "projectId": { "location": "path", "type": "string", "description": "The ID of the Cloud Platform project that the job belongs to.", "required": true }, "view": { "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ], "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "location": "query", "description": "The level of information requested in response.", "type": "string" }, "location": { "location": "query", "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job." }, "replaceJobId": { "type": "string", "description": "Deprecated. This field is now in the Job message.", "location": "query" } }, "request": { "$ref": "Job" }, "description": "Creates a Cloud Dataflow job. To create a job, we recommend using `projects.locations.jobs.create` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.create` is not recommended, as your job will always start in `us-central1`. Do not enter confidential information when you supply string values using the API.", "id": "dataflow.projects.jobs.create" }, "aggregated": { "response": { "$ref": "ListJobsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "pageToken": { "description": "Set this to the 'next_page_token' field of a previous response to request additional results in a long list.", "location": "query", "type": "string" }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "location": "query", "type": "string" }, "projectId": { "location": "path", "type": "string", "required": true, "description": "The project which owns the jobs." }, "view": { "location": "query", "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ], "description": "Deprecated. ListJobs always returns summaries now. Use GetJob for other JobViews.", "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "type": "string" }, "pageSize": { "location": "query", "description": "If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit.", "type": "integer", "format": "int32" }, "filter": { "enumDescriptions": [ "The filter isn't specified, or is unknown. This returns all jobs ordered on descending `JobUuid`.", "Returns all running jobs first ordered on creation timestamp, then returns all terminated jobs ordered on the termination timestamp.", "Filters the jobs that have a terminated state, ordered on the termination timestamp. Example terminated states: `JOB_STATE_STOPPED`, `JOB_STATE_UPDATED`, `JOB_STATE_DRAINED`, etc.", "Filters the jobs that are running ordered on the creation timestamp." ], "description": "The kind of filter to use.", "enum": [ "UNKNOWN", "ALL", "TERMINATED", "ACTIVE" ], "location": "query", "type": "string" } }, "id": "dataflow.projects.jobs.aggregated", "description": "List the jobs of a project across all regions.", "path": "v1b3/projects/{projectId}/jobs:aggregated", "flatPath": "v1b3/projects/{projectId}/jobs:aggregated", "parameterOrder": [ "projectId" ], "httpMethod": "GET" }, "list": { "id": "dataflow.projects.jobs.list", "flatPath": "v1b3/projects/{projectId}/jobs", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit." }, "view": { "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "type": "string", "location": "query", "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ], "description": "Deprecated. ListJobs always returns summaries now. Use GetJob for other JobViews." }, "location": { "location": "query", "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job." }, "projectId": { "description": "The project which owns the jobs.", "type": "string", "required": true, "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "Set this to the 'next_page_token' field of a previous response to request additional results in a long list." }, "filter": { "enum": [ "UNKNOWN", "ALL", "TERMINATED", "ACTIVE" ], "location": "query", "description": "The kind of filter to use.", "enumDescriptions": [ "The filter isn't specified, or is unknown. This returns all jobs ordered on descending `JobUuid`.", "Returns all running jobs first ordered on creation timestamp, then returns all terminated jobs ordered on the termination timestamp.", "Filters the jobs that have a terminated state, ordered on the termination timestamp. Example terminated states: `JOB_STATE_STOPPED`, `JOB_STATE_UPDATED`, `JOB_STATE_DRAINED`, etc.", "Filters the jobs that are running ordered on the creation timestamp." ], "type": "string" } }, "parameterOrder": [ "projectId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "ListJobsResponse" }, "httpMethod": "GET", "description": "List the jobs of a project. To list the jobs of a project in a region, we recommend using `projects.locations.jobs.list` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). To list the all jobs across all regions, use `projects.jobs.aggregated`. Using `projects.jobs.list` is not recommended, as you can only get the list of jobs that are running in `us-central1`.", "path": "v1b3/projects/{projectId}/jobs" }, "getMetrics": { "parameters": { "jobId": { "location": "path", "type": "string", "required": true, "description": "The job to get metrics for." }, "projectId": { "required": true, "description": "A project id.", "type": "string", "location": "path" }, "startTime": { "description": "Return only metric data that has changed since this time. Default is to return all information about all metrics for the job.", "location": "query", "type": "string", "format": "google-datetime" }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "location": "query", "type": "string" } }, "response": { "$ref": "JobMetrics" }, "parameterOrder": [ "projectId", "jobId" ], "httpMethod": "GET", "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}/metrics", "description": "Request the job status. To request the status of a job, we recommend using `projects.locations.jobs.getMetrics` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.getMetrics` is not recommended, as you can only request the status of jobs that are running in `us-central1`.", "id": "dataflow.projects.jobs.getMetrics", "path": "v1b3/projects/{projectId}/jobs/{jobId}/metrics", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ] }, "get": { "parameterOrder": [ "projectId", "jobId" ], "id": "dataflow.projects.jobs.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "path": "v1b3/projects/{projectId}/jobs/{jobId}", "description": "Gets the state of the specified Cloud Dataflow job. To get the state of a job, we recommend using `projects.locations.jobs.get` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.get` is not recommended, as you can only get the state of jobs that are running in `us-central1`.", "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "description": "The ID of the Cloud Platform project that the job belongs to." }, "view": { "location": "query", "type": "string", "description": "The level of information requested in response.", "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ], "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ] }, "jobId": { "description": "The job ID.", "type": "string", "required": true, "location": "path" }, "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "location": "query" } }, "response": { "$ref": "Job" }, "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}" }, "snapshot": { "httpMethod": "POST", "path": "v1b3/projects/{projectId}/jobs/{jobId}:snapshot", "parameterOrder": [ "projectId", "jobId" ], "parameters": { "jobId": { "location": "path", "type": "string", "description": "The job to be snapshotted.", "required": true }, "projectId": { "required": true, "type": "string", "description": "The project which owns the job to be snapshotted.", "location": "path" } }, "description": "Snapshot the state of a streaming job.", "request": { "$ref": "SnapshotJobRequest" }, "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}:snapshot", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "Snapshot" }, "id": "dataflow.projects.jobs.snapshot" }, "update": { "response": { "$ref": "Job" }, "request": { "$ref": "Job" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "PUT", "flatPath": "v1b3/projects/{projectId}/jobs/{jobId}", "path": "v1b3/projects/{projectId}/jobs/{jobId}", "id": "dataflow.projects.jobs.update", "parameterOrder": [ "projectId", "jobId" ], "description": "Updates the state of an existing Cloud Dataflow job. To update the state of an existing job, we recommend using `projects.locations.jobs.update` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.update` is not recommended, as you can only update the state of jobs that are running in `us-central1`.", "parameters": { "location": { "location": "query", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "type": "string" }, "projectId": { "description": "The ID of the Cloud Platform project that the job belongs to.", "required": true, "location": "path", "type": "string" }, "jobId": { "description": "The job ID.", "location": "path", "type": "string", "required": true } } } } }, "locations": { "resources": { "snapshots": { "methods": { "delete": { "flatPath": "v1b3/projects/{projectId}/locations/{location}/snapshots/{snapshotId}", "httpMethod": "DELETE", "path": "v1b3/projects/{projectId}/locations/{location}/snapshots/{snapshotId}", "parameterOrder": [ "projectId", "location", "snapshotId" ], "id": "dataflow.projects.locations.snapshots.delete", "parameters": { "snapshotId": { "description": "The ID of the snapshot.", "type": "string", "required": true, "location": "path" }, "projectId": { "required": true, "type": "string", "description": "The ID of the Cloud Platform project that the snapshot belongs to.", "location": "path" }, "location": { "required": true, "description": "The location that contains this snapshot.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "DeleteSnapshotResponse" }, "description": "Deletes a snapshot." }, "list": { "flatPath": "v1b3/projects/{projectId}/locations/{location}/snapshots", "parameterOrder": [ "projectId", "location" ], "description": "Lists snapshots.", "id": "dataflow.projects.locations.snapshots.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "jobId": { "description": "If specified, list snapshots created from this job.", "type": "string", "location": "query" }, "location": { "description": "The location to list snapshots in.", "location": "path", "type": "string", "required": true }, "projectId": { "required": true, "description": "The project ID to list snapshots for.", "type": "string", "location": "path" } }, "path": "v1b3/projects/{projectId}/locations/{location}/snapshots", "response": { "$ref": "ListSnapshotsResponse" } }, "get": { "path": "v1b3/projects/{projectId}/locations/{location}/snapshots/{snapshotId}", "flatPath": "v1b3/projects/{projectId}/locations/{location}/snapshots/{snapshotId}", "parameters": { "snapshotId": { "description": "The ID of the snapshot.", "location": "path", "type": "string", "required": true }, "location": { "type": "string", "location": "path", "description": "The location that contains this snapshot.", "required": true }, "projectId": { "description": "The ID of the Cloud Platform project that the snapshot belongs to.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "Snapshot" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.locations.snapshots.get", "parameterOrder": [ "projectId", "location", "snapshotId" ], "httpMethod": "GET", "description": "Gets information about a snapshot." } } }, "templates": { "methods": { "launch": { "description": "Launch a template.", "parameterOrder": [ "projectId", "location" ], "parameters": { "gcsPath": { "location": "query", "type": "string", "description": "A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with 'gs://'." }, "dynamicTemplate.gcsPath": { "type": "string", "description": "Path to dynamic template spec file on Cloud Storage. The file must be a Json serialized DynamicTemplateFieSpec object.", "location": "query" }, "location": { "type": "string", "required": true, "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request." }, "projectId": { "location": "path", "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "type": "string", "required": true }, "dynamicTemplate.stagingLocation": { "description": "Cloud Storage path for staging dependencies. Must be a valid Cloud Storage URL, beginning with `gs://`.", "location": "query", "type": "string" }, "validateOnly": { "description": "If true, the request is validated but not actually executed. Defaults to false.", "location": "query", "type": "boolean" } }, "request": { "$ref": "LaunchTemplateParameters" }, "id": "dataflow.projects.locations.templates.launch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "POST", "path": "v1b3/projects/{projectId}/locations/{location}/templates:launch", "flatPath": "v1b3/projects/{projectId}/locations/{location}/templates:launch", "response": { "$ref": "LaunchTemplateResponse" } }, "get": { "response": { "$ref": "GetTemplateResponse" }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/templates:get", "description": "Get the template associated with a template.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "GET", "id": "dataflow.projects.locations.templates.get", "parameterOrder": [ "projectId", "location" ], "parameters": { "location": { "required": true, "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request.", "location": "path", "type": "string" }, "gcsPath": { "location": "query", "type": "string", "description": "Required. A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with 'gs://'." }, "projectId": { "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "type": "string", "required": true, "location": "path" }, "view": { "enum": [ "METADATA_ONLY" ], "type": "string", "description": "The view to retrieve. Defaults to METADATA_ONLY.", "enumDescriptions": [ "Template view that retrieves only the metadata associated with the template." ], "location": "query" } }, "path": "v1b3/projects/{projectId}/locations/{location}/templates:get" }, "create": { "path": "v1b3/projects/{projectId}/locations/{location}/templates", "parameters": { "location": { "type": "string", "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request.", "required": true }, "projectId": { "type": "string", "location": "path", "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "required": true } }, "request": { "$ref": "CreateJobFromTemplateRequest" }, "description": "Creates a Cloud Dataflow job from a template. Do not enter confidential information when you supply string values using the API.", "response": { "$ref": "Job" }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/templates", "httpMethod": "POST", "id": "dataflow.projects.locations.templates.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameterOrder": [ "projectId", "location" ] } } }, "sql": { "methods": { "validate": { "path": "v1b3/projects/{projectId}/locations/{location}/sql:validate", "httpMethod": "GET", "parameters": { "query": { "type": "string", "location": "query", "description": "The sql query to validate." }, "projectId": { "type": "string", "location": "path", "required": true, "description": "Required. The ID of the Cloud Platform project that the job belongs to." }, "location": { "type": "string", "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request.", "required": true } }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/sql:validate", "response": { "$ref": "ValidateResponse" }, "description": "Validates a GoogleSQL query for Cloud Dataflow syntax. Will always confirm the given query parses correctly, and if able to look up schema information from DataCatalog, will validate that the query analyzes properly as well.", "id": "dataflow.projects.locations.sql.validate", "parameterOrder": [ "projectId", "location" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/userinfo.email" ] } } }, "jobs": { "methods": { "snapshot": { "description": "Snapshot the state of a streaming job.", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}:snapshot", "id": "dataflow.projects.locations.jobs.snapshot", "parameterOrder": [ "projectId", "location", "jobId" ], "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}:snapshot", "parameters": { "location": { "description": "The location that contains this job.", "type": "string", "location": "path", "required": true }, "jobId": { "type": "string", "location": "path", "required": true, "description": "The job to be snapshotted." }, "projectId": { "description": "The project which owns the job to be snapshotted.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "Snapshot" }, "httpMethod": "POST", "request": { "$ref": "SnapshotJobRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ] }, "getExecutionDetails": { "id": "dataflow.projects.locations.jobs.getExecutionDetails", "parameters": { "pageSize": { "format": "int32", "description": "If specified, determines the maximum number of stages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results.", "location": "query", "type": "integer" }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "required": true, "type": "string", "location": "path" }, "projectId": { "description": "A project id.", "location": "path", "required": true, "type": "string" }, "pageToken": { "type": "string", "description": "If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned.", "location": "query" }, "jobId": { "description": "The job to get execution details for.", "type": "string", "required": true, "location": "path" } }, "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/executionDetails", "httpMethod": "GET", "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/executionDetails", "description": "Request detailed information about the execution status of the job. EXPERIMENTAL. This API is subject to change or removal without notice.", "response": { "$ref": "JobExecutionDetails" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameterOrder": [ "projectId", "location", "jobId" ] }, "create": { "parameters": { "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "required": true, "type": "string", "location": "path" }, "replaceJobId": { "location": "query", "type": "string", "description": "Deprecated. This field is now in the Job message." }, "projectId": { "location": "path", "type": "string", "description": "The ID of the Cloud Platform project that the job belongs to.", "required": true }, "view": { "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ], "type": "string", "location": "query", "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "description": "The level of information requested in response." } }, "id": "dataflow.projects.locations.jobs.create", "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs", "path": "v1b3/projects/{projectId}/locations/{location}/jobs", "parameterOrder": [ "projectId", "location" ], "description": "Creates a Cloud Dataflow job. To create a job, we recommend using `projects.locations.jobs.create` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.create` is not recommended, as your job will always start in `us-central1`. Do not enter confidential information when you supply string values using the API.", "response": { "$ref": "Job" }, "httpMethod": "POST", "request": { "$ref": "Job" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ] }, "get": { "parameters": { "view": { "location": "query", "type": "string", "description": "The level of information requested in response.", "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ] }, "projectId": { "location": "path", "type": "string", "required": true, "description": "The ID of the Cloud Platform project that the job belongs to." }, "location": { "location": "path", "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "required": true }, "jobId": { "required": true, "location": "path", "description": "The job ID.", "type": "string" } }, "httpMethod": "GET", "description": "Gets the state of the specified Cloud Dataflow job. To get the state of a job, we recommend using `projects.locations.jobs.get` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.get` is not recommended, as you can only get the state of jobs that are running in `us-central1`.", "id": "dataflow.projects.locations.jobs.get", "response": { "$ref": "Job" }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameterOrder": [ "projectId", "location", "jobId" ] }, "getMetrics": { "id": "dataflow.projects.locations.jobs.getMetrics", "parameters": { "projectId": { "location": "path", "type": "string", "description": "A project id.", "required": true }, "startTime": { "type": "string", "format": "google-datetime", "description": "Return only metric data that has changed since this time. Default is to return all information about all metrics for the job.", "location": "query" }, "location": { "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string", "required": true }, "jobId": { "required": true, "location": "path", "description": "The job to get metrics for.", "type": "string" } }, "parameterOrder": [ "projectId", "location", "jobId" ], "httpMethod": "GET", "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/metrics", "description": "Request the job status. To request the status of a job, we recommend using `projects.locations.jobs.getMetrics` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.getMetrics` is not recommended, as you can only request the status of jobs that are running in `us-central1`.", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/metrics", "response": { "$ref": "JobMetrics" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ] }, "update": { "request": { "$ref": "Job" }, "parameterOrder": [ "projectId", "location", "jobId" ], "httpMethod": "PUT", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}", "description": "Updates the state of an existing Cloud Dataflow job. To update the state of an existing job, we recommend using `projects.locations.jobs.update` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.update` is not recommended, as you can only update the state of jobs that are running in `us-central1`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "required": true, "location": "path" }, "projectId": { "location": "path", "description": "The ID of the Cloud Platform project that the job belongs to.", "required": true, "type": "string" }, "jobId": { "description": "The job ID.", "location": "path", "type": "string", "required": true } }, "id": "dataflow.projects.locations.jobs.update", "response": { "$ref": "Job" }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.locations.jobs.list", "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs", "description": "List the jobs of a project. To list the jobs of a project in a region, we recommend using `projects.locations.jobs.list` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). To list the all jobs across all regions, use `projects.jobs.aggregated`. Using `projects.jobs.list` is not recommended, as you can only get the list of jobs that are running in `us-central1`.", "httpMethod": "GET", "response": { "$ref": "ListJobsResponse" }, "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit.", "format": "int32" }, "filter": { "enum": [ "UNKNOWN", "ALL", "TERMINATED", "ACTIVE" ], "location": "query", "enumDescriptions": [ "The filter isn't specified, or is unknown. This returns all jobs ordered on descending `JobUuid`.", "Returns all running jobs first ordered on creation timestamp, then returns all terminated jobs ordered on the termination timestamp.", "Filters the jobs that have a terminated state, ordered on the termination timestamp. Example terminated states: `JOB_STATE_STOPPED`, `JOB_STATE_UPDATED`, `JOB_STATE_DRAINED`, etc.", "Filters the jobs that are running ordered on the creation timestamp." ], "type": "string", "description": "The kind of filter to use." }, "projectId": { "required": true, "type": "string", "description": "The project which owns the jobs.", "location": "path" }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job.", "location": "path", "required": true, "type": "string" }, "view": { "location": "query", "type": "string", "description": "Deprecated. ListJobs always returns summaries now. Use GetJob for other JobViews.", "enumDescriptions": [ "The job view to return isn't specified, or is unknown. Responses will contain at least the `JOB_VIEW_SUMMARY` information, and may contain additional information.", "Request summary information only: Project ID, Job ID, job name, job type, job status, start/end time, and Cloud SDK version details.", "Request all information available for this job.", "Request summary info and limited job description data for steps, labels and environment." ], "enum": [ "JOB_VIEW_UNKNOWN", "JOB_VIEW_SUMMARY", "JOB_VIEW_ALL", "JOB_VIEW_DESCRIPTION" ] }, "pageToken": { "type": "string", "location": "query", "description": "Set this to the 'next_page_token' field of a previous response to request additional results in a long list." } }, "parameterOrder": [ "projectId", "location" ], "path": "v1b3/projects/{projectId}/locations/{location}/jobs" } }, "resources": { "debug": { "methods": { "getConfig": { "httpMethod": "POST", "parameterOrder": [ "projectId", "location", "jobId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "GetDebugConfigResponse" }, "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/debug/getConfig", "parameters": { "location": { "required": true, "location": "path", "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id." }, "jobId": { "description": "The job id.", "type": "string", "location": "path", "required": true }, "projectId": { "description": "The project id.", "location": "path", "type": "string", "required": true } }, "id": "dataflow.projects.locations.jobs.debug.getConfig", "request": { "$ref": "GetDebugConfigRequest" }, "description": "Get encoded debug configuration for component. Not cacheable.", "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/debug/getConfig" }, "sendCapture": { "request": { "$ref": "SendDebugCaptureRequest" }, "parameterOrder": [ "projectId", "location", "jobId" ], "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/debug/sendCapture", "parameters": { "location": { "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string", "required": true }, "jobId": { "location": "path", "description": "The job id.", "type": "string", "required": true }, "projectId": { "required": true, "description": "The project id.", "type": "string", "location": "path" } }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/debug/sendCapture", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.locations.jobs.debug.sendCapture", "httpMethod": "POST", "response": { "$ref": "SendDebugCaptureResponse" }, "description": "Send encoded debug capture data for component." } } }, "workItems": { "methods": { "lease": { "parameterOrder": [ "projectId", "location", "jobId" ], "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/workItems:lease", "httpMethod": "POST", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/workItems:lease", "parameters": { "projectId": { "type": "string", "location": "path", "description": "Identifies the project this worker belongs to.", "required": true }, "jobId": { "location": "path", "required": true, "type": "string", "description": "Identifies the workflow job this worker belongs to." }, "location": { "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem's job.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "LeaseWorkItemResponse" }, "description": "Leases a dataflow WorkItem to run.", "id": "dataflow.projects.locations.jobs.workItems.lease", "request": { "$ref": "LeaseWorkItemRequest" } }, "reportStatus": { "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/workItems:reportStatus", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "ReportWorkItemStatusResponse" }, "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/workItems:reportStatus", "parameters": { "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem's job.", "location": "path", "required": true }, "jobId": { "type": "string", "location": "path", "required": true, "description": "The job which the WorkItem is part of." }, "projectId": { "location": "path", "type": "string", "description": "The project which owns the WorkItem's job.", "required": true } }, "id": "dataflow.projects.locations.jobs.workItems.reportStatus", "description": "Reports the status of dataflow WorkItems leased by a worker.", "parameterOrder": [ "projectId", "location", "jobId" ], "request": { "$ref": "ReportWorkItemStatusRequest" } } } }, "snapshots": { "methods": { "list": { "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/snapshots", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "ListSnapshotsResponse" }, "parameterOrder": [ "projectId", "location", "jobId" ], "id": "dataflow.projects.locations.jobs.snapshots.list", "httpMethod": "GET", "description": "Lists snapshots.", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/snapshots", "parameters": { "jobId": { "required": true, "description": "If specified, list snapshots created from this job.", "type": "string", "location": "path" }, "projectId": { "location": "path", "required": true, "description": "The project ID to list snapshots for.", "type": "string" }, "location": { "description": "The location to list snapshots in.", "type": "string", "required": true, "location": "path" } } } } }, "messages": { "methods": { "list": { "response": { "$ref": "ListJobMessagesResponse" }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/messages", "parameterOrder": [ "projectId", "location", "jobId" ], "description": "Request the job status. To request the status of a job, we recommend using `projects.locations.jobs.messages.list` with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using `projects.jobs.messages.list` is not recommended, as you can only request the status of jobs that are running in `us-central1`.", "httpMethod": "GET", "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "description": "A project id." }, "pageToken": { "location": "query", "type": "string", "description": "If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned." }, "jobId": { "required": true, "location": "path", "description": "The job to get messages about.", "type": "string" }, "location": { "location": "path", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string", "required": true }, "startTime": { "description": "If specified, return only messages with timestamps \u003e= start_time. The default is the job creation time (i.e. beginning of messages).", "type": "string", "location": "query", "format": "google-datetime" }, "endTime": { "description": "Return only messages with timestamps \u003c end_time. The default is now (i.e. return up to the latest messages available).", "type": "string", "location": "query", "format": "google-datetime" }, "minimumImportance": { "description": "Filter to only get messages with importance \u003e= level", "location": "query", "enumDescriptions": [ "The message importance isn't specified, or is unknown.", "The message is at the 'debug' level: typically only useful for software engineers working on the code the job is running. Typically, Dataflow pipeline runners do not display log messages at this level by default.", "The message is at the 'detailed' level: somewhat verbose, but potentially useful to users. Typically, Dataflow pipeline runners do not display log messages at this level by default. These messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'basic' level: useful for keeping track of the execution of a Dataflow pipeline. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'warning' level: indicating a condition pertaining to a job which may require human intervention. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'error' level: indicating a condition preventing a job from succeeding. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI." ], "type": "string", "enum": [ "JOB_MESSAGE_IMPORTANCE_UNKNOWN", "JOB_MESSAGE_DEBUG", "JOB_MESSAGE_DETAILED", "JOB_MESSAGE_BASIC", "JOB_MESSAGE_WARNING", "JOB_MESSAGE_ERROR" ] }, "pageSize": { "type": "integer", "description": "If specified, determines the maximum number of messages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results.", "location": "query", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.locations.jobs.messages.list", "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/messages" } } }, "stages": { "methods": { "getExecutionDetails": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "location": { "type": "string", "location": "path", "required": true, "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id." }, "pageToken": { "type": "string", "location": "query", "description": "If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned." }, "stageId": { "location": "path", "required": true, "description": "The stage for which to fetch information.", "type": "string" }, "startTime": { "description": "Lower time bound of work items to include, by start time.", "type": "string", "location": "query", "format": "google-datetime" }, "pageSize": { "type": "integer", "format": "int32", "description": "If specified, determines the maximum number of work items to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results.", "location": "query" }, "endTime": { "format": "google-datetime", "type": "string", "location": "query", "description": "Upper time bound of work items to include, by start time." }, "jobId": { "required": true, "description": "The job to get execution details for.", "type": "string", "location": "path" }, "projectId": { "location": "path", "required": true, "type": "string", "description": "A project id." } }, "flatPath": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/stages/{stageId}/executionDetails", "response": { "$ref": "StageExecutionDetails" }, "description": "Request detailed information about the execution status of a stage of the job. EXPERIMENTAL. This API is subject to change or removal without notice.", "id": "dataflow.projects.locations.jobs.stages.getExecutionDetails", "parameterOrder": [ "projectId", "location", "jobId", "stageId" ], "path": "v1b3/projects/{projectId}/locations/{location}/jobs/{jobId}/stages/{stageId}/executionDetails" } } } } }, "flexTemplates": { "methods": { "launch": { "flatPath": "v1b3/projects/{projectId}/locations/{location}/flexTemplates:launch", "httpMethod": "POST", "description": "Launch a job with a FlexTemplate.", "path": "v1b3/projects/{projectId}/locations/{location}/flexTemplates:launch", "response": { "$ref": "LaunchFlexTemplateResponse" }, "parameterOrder": [ "projectId", "location" ], "request": { "$ref": "LaunchFlexTemplateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.locations.flexTemplates.launch", "parameters": { "projectId": { "type": "string", "description": "Required. The ID of the Cloud Platform project that the job belongs to.", "required": true, "location": "path" }, "location": { "description": "Required. The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. E.g., us-central1, us-west1.", "required": true, "type": "string", "location": "path" } } } } } }, "methods": { "workerMessages": { "parameters": { "location": { "type": "string", "location": "path", "required": true, "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job." }, "projectId": { "description": "The project to send the WorkerMessages to.", "required": true, "location": "path", "type": "string" } }, "request": { "$ref": "SendWorkerMessagesRequest" }, "path": "v1b3/projects/{projectId}/locations/{location}/WorkerMessages", "parameterOrder": [ "projectId", "location" ], "httpMethod": "POST", "description": "Send a worker_message to the service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "SendWorkerMessagesResponse" }, "id": "dataflow.projects.locations.workerMessages", "flatPath": "v1b3/projects/{projectId}/locations/{location}/WorkerMessages" } } }, "snapshots": { "methods": { "get": { "id": "dataflow.projects.snapshots.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "Snapshot" }, "parameters": { "projectId": { "required": true, "location": "path", "description": "The ID of the Cloud Platform project that the snapshot belongs to.", "type": "string" }, "location": { "type": "string", "location": "query", "description": "The location that contains this snapshot." }, "snapshotId": { "required": true, "location": "path", "description": "The ID of the snapshot.", "type": "string" } }, "path": "v1b3/projects/{projectId}/snapshots/{snapshotId}", "parameterOrder": [ "projectId", "snapshotId" ], "description": "Gets information about a snapshot.", "flatPath": "v1b3/projects/{projectId}/snapshots/{snapshotId}", "httpMethod": "GET" }, "list": { "description": "Lists snapshots.", "path": "v1b3/projects/{projectId}/snapshots", "flatPath": "v1b3/projects/{projectId}/snapshots", "response": { "$ref": "ListSnapshotsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly", "https://www.googleapis.com/auth/userinfo.email" ], "id": "dataflow.projects.snapshots.list", "httpMethod": "GET", "parameterOrder": [ "projectId" ], "parameters": { "jobId": { "location": "query", "type": "string", "description": "If specified, list snapshots created from this job." }, "location": { "location": "query", "type": "string", "description": "The location to list snapshots in." }, "projectId": { "description": "The project ID to list snapshots for.", "location": "path", "type": "string", "required": true } } } } } } } }, "title": "Dataflow API", "canonicalName": "Dataflow", "description": "Manages Google Cloud Dataflow projects on Google Cloud Platform.", "schemas": { "IntegerMean": { "properties": { "count": { "description": "The number of values being aggregated.", "$ref": "SplitInt64" }, "sum": { "description": "The sum of all values being aggregated.", "$ref": "SplitInt64" } }, "description": "A representation of an integer mean metric contribution.", "type": "object", "id": "IntegerMean" }, "Snapshot": { "type": "object", "properties": { "projectId": { "description": "The project this snapshot belongs to.", "type": "string" }, "ttl": { "description": "The time after which this snapshot will be automatically deleted.", "format": "google-duration", "type": "string" }, "creationTime": { "format": "google-datetime", "description": "The time this snapshot was created.", "type": "string" }, "region": { "type": "string", "description": "Cloud region where this snapshot lives in, e.g., \"us-central1\"." }, "id": { "type": "string", "description": "The unique ID of this snapshot." }, "pubsubMetadata": { "items": { "$ref": "PubsubSnapshotMetadata" }, "type": "array", "description": "Pub/Sub snapshot metadata." }, "diskSizeBytes": { "format": "int64", "description": "The disk byte size of the snapshot. Only available for snapshots in READY state.", "type": "string" }, "sourceJobId": { "type": "string", "description": "The job this snapshot was created from." }, "state": { "type": "string", "enumDescriptions": [ "Unknown state.", "Snapshot intent to create has been persisted, snapshotting of state has not yet started.", "Snapshotting is being performed.", "Snapshot has been created and is ready to be used.", "Snapshot failed to be created.", "Snapshot has been deleted." ], "description": "State of the snapshot.", "enum": [ "UNKNOWN_SNAPSHOT_STATE", "PENDING", "RUNNING", "READY", "FAILED", "DELETED" ] }, "description": { "description": "User specified description of the snapshot. Maybe empty.", "type": "string" } }, "id": "Snapshot", "description": "Represents a snapshot of a job." }, "PubsubSnapshotMetadata": { "description": "Represents a Pubsub snapshot.", "type": "object", "id": "PubsubSnapshotMetadata", "properties": { "topicName": { "type": "string", "description": "The name of the Pubsub topic." }, "expireTime": { "type": "string", "format": "google-datetime", "description": "The expire time of the Pubsub snapshot." }, "snapshotName": { "description": "The name of the Pubsub snapshot.", "type": "string" } } }, "KeyRangeLocation": { "id": "KeyRangeLocation", "properties": { "end": { "type": "string", "description": "The end (exclusive) of the key range." }, "deliveryEndpoint": { "type": "string", "description": "The physical location of this range assignment to be used for streaming computation cross-worker message delivery." }, "deprecatedPersistentDirectory": { "description": "DEPRECATED. The location of the persistent state for this range, as a persistent directory in the worker local filesystem.", "type": "string" }, "start": { "description": "The start (inclusive) of the key range.", "type": "string" }, "dataDisk": { "description": "The name of the data disk where data for this range is stored. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example \"myproject-1014-104817-4c2-harness-0-disk-1\".", "type": "string" } }, "description": "Location information for a specific key-range of a sharded computation. Currently we only support UTF-8 character splits to simplify encoding into JSON.", "type": "object" }, "SnapshotJobRequest": { "description": "Request to create a snapshot of a job.", "properties": { "description": { "description": "User specified description of the snapshot. Maybe empty.", "type": "string" }, "ttl": { "format": "google-duration", "type": "string", "description": "TTL for the snapshot." }, "location": { "description": "The location that contains this job.", "type": "string" }, "snapshotSources": { "type": "boolean", "description": "If true, perform snapshots for sources which support this." } }, "id": "SnapshotJobRequest", "type": "object" }, "Sink": { "id": "Sink", "type": "object", "description": "A sink that records can be encoded and written to.", "properties": { "spec": { "type": "object", "description": "The sink to write to, plus its parameters.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "codec": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The codec to use to encode data written to the sink." } } }, "WorkItemStatus": { "id": "WorkItemStatus", "description": "Conveys a worker's progress through the work described by a WorkItem.", "properties": { "completed": { "type": "boolean", "description": "True if the WorkItem was completed (successfully or unsuccessfully)." }, "reportIndex": { "description": "The report index. When a WorkItem is leased, the lease will contain an initial report index. When a WorkItem's status is reported to the system, the report should be sent with that report index, and the response will contain the index the worker should use for the next report. Reports received with unexpected index values will be rejected by the service. In order to preserve idempotency, the worker should not alter the contents of a report, even if the worker must submit the same report multiple times before getting back a response. The worker should not submit a subsequent report until the response for the previous report had been received from the service.", "type": "string", "format": "int64" }, "requestedLeaseDuration": { "type": "string", "description": "Amount of time the worker requests for its lease.", "format": "google-duration" }, "sourceFork": { "$ref": "SourceFork", "description": "DEPRECATED in favor of dynamic_source_split." }, "workItemId": { "type": "string", "description": "Identifies the WorkItem." }, "metricUpdates": { "type": "array", "items": { "$ref": "MetricUpdate" }, "description": "DEPRECATED in favor of counter_updates." }, "reportedProgress": { "description": "The worker's progress through this WorkItem.", "$ref": "ApproximateReportedProgress" }, "counterUpdates": { "type": "array", "description": "Worker output counters for this WorkItem.", "items": { "$ref": "CounterUpdate" } }, "errors": { "description": "Specifies errors which occurred during processing. If errors are provided, and completed = true, then the WorkItem is considered to have failed.", "type": "array", "items": { "$ref": "Status" } }, "stopPosition": { "description": "A worker may split an active map task in two parts, \"primary\" and \"residual\", continuing to process the primary part and returning the residual part into the pool of available work. This event is called a \"dynamic split\" and is critical to the dynamic work rebalancing feature. The two obtained sub-tasks are called \"parts\" of the split. The parts, if concatenated, must represent the same input as would be read by the current task if the split did not happen. The exact way in which the original task is decomposed into the two parts is specified either as a position demarcating them (stop_position), or explicitly as two DerivedSources, if this task consumes a user-defined source type (dynamic_source_split). The \"current\" task is adjusted as a result of the split: after a task with range [A, B) sends a stop_position update at C, its range is considered to be [A, C), e.g.: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Progress should be interpreted relative to the new range, e.g. \"75% completed\" means \"75% of [A, C) completed\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The worker should interpret proposed_stop_position relative to the new range, e.g. \"split at 68%\" should be interpreted as \"split at 68% of [A, C)\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the worker chooses to split again using stop_position, only stop_positions in [A, C) will be accepted. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Etc. dynamic_source_split has similar semantics: e.g., if a task with source S splits using dynamic_source_split into {P, R} (where P and R must be together equivalent to S), then subsequent progress and proposed_stop_position should be interpreted relative to P, and in a potential subsequent dynamic_source_split into {P', R'}, P' and R' must be together equivalent to P, etc.", "$ref": "Position" }, "dynamicSourceSplit": { "description": "See documentation of stop_position.", "$ref": "DynamicSourceSplit" }, "sourceOperationResponse": { "$ref": "SourceOperationResponse", "description": "If the work item represented a SourceOperationRequest, and the work is completed, contains the result of the operation." }, "progress": { "$ref": "ApproximateProgress", "description": "DEPRECATED in favor of reported_progress." }, "totalThrottlerWaitTimeSeconds": { "type": "number", "description": "Total time the worker spent being throttled by external systems.", "format": "double" } }, "type": "object" }, "SdkHarnessContainerImage": { "properties": { "environmentId": { "description": "Environment ID for the Beam runner API proto Environment that corresponds to the current SDK Harness.", "type": "string" }, "useSingleCorePerContainer": { "description": "If true, recommends the Dataflow service to use only one core per SDK container instance with this image. If false (or unset) recommends using more than one core per SDK container instance with this image for efficiency. Note that Dataflow service may choose to override this property if needed.", "type": "boolean" }, "containerImage": { "type": "string", "description": "A docker container image that resides in Google Container Registry." }, "capabilities": { "description": "The set of capabilities enumerated in the above Environment proto. See also [beam_runner_api.proto](https://github.com/apache/beam/blob/master/model/pipeline/src/main/proto/org/apache/beam/model/pipeline/v1/beam_runner_api.proto)", "items": { "type": "string" }, "type": "array" } }, "id": "SdkHarnessContainerImage", "description": "Defines an SDK harness container for executing Dataflow pipelines.", "type": "object" }, "ListJobMessagesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The token to obtain the next page of results if there are more." }, "jobMessages": { "items": { "$ref": "JobMessage" }, "description": "Messages in ascending timestamp order.", "type": "array" }, "autoscalingEvents": { "type": "array", "items": { "$ref": "AutoscalingEvent" }, "description": "Autoscaling events in ascending timestamp order." } }, "id": "ListJobMessagesResponse", "type": "object", "description": "Response to a request to list job messages." }, "BigTableIODetails": { "id": "BigTableIODetails", "type": "object", "properties": { "tableId": { "description": "TableId accessed in the connection.", "type": "string" }, "projectId": { "description": "ProjectId accessed in the connection.", "type": "string" }, "instanceId": { "type": "string", "description": "InstanceId accessed in the connection." } }, "description": "Metadata for a Cloud Bigtable connector used by the job." }, "LaunchTemplateResponse": { "type": "object", "id": "LaunchTemplateResponse", "properties": { "job": { "$ref": "Job", "description": "The job that was launched, if the request was not a dry run and the job was successfully launched." } }, "description": "Response to the request to launch a template." }, "SendDebugCaptureResponse": { "description": "Response to a send capture request. nothing", "type": "object", "properties": {}, "id": "SendDebugCaptureResponse" }, "SideInputInfo": { "id": "SideInputInfo", "properties": { "tag": { "type": "string", "description": "The id of the tag the user code will access this side input by; this should correspond to the tag of some MultiOutputInfo." }, "sources": { "description": "The source(s) to read element(s) from to get the value of this side input. If more than one source, then the elements are taken from the sources, in the specified order if order matters. At least one source is required.", "type": "array", "items": { "$ref": "Source" } }, "kind": { "type": "object", "description": "How to interpret the source element(s) as a side input value.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "type": "object", "description": "Information about a side input of a DoFn or an input of a SeqDoFn." }, "ResourceUtilizationReport": { "properties": { "cpuTime": { "description": "CPU utilization samples.", "type": "array", "items": { "$ref": "CPUTime" } }, "containers": { "description": "Per container information. Key: container name.", "additionalProperties": { "$ref": "ResourceUtilizationReport" }, "type": "object" }, "memoryInfo": { "type": "array", "items": { "$ref": "MemInfo" }, "description": "Memory utilization samples." } }, "id": "ResourceUtilizationReport", "description": "Worker metrics exported from workers. This contains resource utilization metrics accumulated from a variety of sources. For more information, see go/df-resource-signals.", "type": "object" }, "ValidateResponse": { "description": "Response to the validation request.", "type": "object", "properties": { "errorMessage": { "type": "string", "description": "Will be empty if validation succeeds." }, "queryInfo": { "$ref": "QueryInfo", "description": "Information about the validated query. Not defined if validation fails." } }, "id": "ValidateResponse" }, "Environment": { "properties": { "debugOptions": { "$ref": "DebugOptions", "description": "Any debugging options to be supplied to the job." }, "workerPools": { "description": "The worker pools. At least one \"harness\" worker pool must be specified in order for the job to have workers.", "type": "array", "items": { "$ref": "WorkerPool" } }, "clusterManagerApiService": { "type": "string", "description": "The type of cluster manager API to use. If unknown or unspecified, the service will attempt to choose a reasonable default. This should be in the form of the API service name, e.g. \"compute.googleapis.com\"." }, "serviceKmsKeyName": { "type": "string", "description": "If set, contains the Cloud KMS key identifier used to encrypt data at rest, AKA a Customer Managed Encryption Key (CMEK). Format: projects/PROJECT_ID/locations/LOCATION/keyRings/KEY_RING/cryptoKeys/KEY" }, "workerRegion": { "description": "The Compute Engine region (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1\". Mutually exclusive with worker_zone. If neither worker_region nor worker_zone is specified, default to the control plane's region.", "type": "string" }, "dataset": { "type": "string", "description": "The dataset for the current project where various workflow related tables are stored. The supported resource type is: Google BigQuery: bigquery.googleapis.com/{dataset}" }, "flexResourceSchedulingGoal": { "type": "string", "enumDescriptions": [ "Run in the default mode.", "Optimize for lower execution time.", "Optimize for lower cost." ], "enum": [ "FLEXRS_UNSPECIFIED", "FLEXRS_SPEED_OPTIMIZED", "FLEXRS_COST_OPTIMIZED" ], "description": "Which Flexible Resource Scheduling mode to run in." }, "serviceAccountEmail": { "type": "string", "description": "Identity to run virtual machines as. Defaults to the default account." }, "workerZone": { "type": "string", "description": "The Compute Engine zone (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1-a\". Mutually exclusive with worker_region. If neither worker_region nor worker_zone is specified, a zone in the control plane's region is chosen based on available capacity." }, "internalExperiments": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Experimental settings." }, "serviceOptions": { "type": "array", "items": { "type": "string" }, "description": "The list of service options to enable. This field should be used for service related experiments only. These experiments, when graduating to GA, should be replaced by dedicated fields or become default (i.e. always on)." }, "version": { "description": "A structure describing which components and their versions of the service are required in order to run the job.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "userAgent": { "type": "object", "description": "A description of the process that generated the request.", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "sdkPipelineOptions": { "type": "object", "description": "The Cloud Dataflow SDK pipeline options specified by the user. These options are passed through the service and are used to recreate the SDK pipeline options on the worker in a language agnostic and platform independent way.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "experiments": { "items": { "type": "string" }, "type": "array", "description": "The list of experiments to enable. This field should be used for SDK related experiments and not for service related experiments. The proper field for service related experiments is service_options." }, "tempStoragePrefix": { "description": "The prefix of the resources the system should use for temporary storage. The system will append the suffix \"/temp-{JOBNAME} to this resource prefix, where {JOBNAME} is the value of the job_name field. The resulting bucket and object prefix is used as the prefix of the resources used to store temporary data needed during the job execution. NOTE: This will override the value in taskrunner_settings. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object}", "type": "string" }, "shuffleMode": { "description": "Output only. The shuffle mode used for the job.", "type": "string", "readOnly": true, "enumDescriptions": [ "Shuffle mode information is not available.", "Shuffle is done on the worker VMs.", "Shuffle is done on the service side." ], "enum": [ "SHUFFLE_MODE_UNSPECIFIED", "VM_BASED", "SERVICE_BASED" ] } }, "type": "object", "description": "Describes the environment in which a Dataflow Job runs.", "id": "Environment" }, "Histogram": { "properties": { "bucketCounts": { "items": { "format": "int64", "type": "string" }, "description": "Counts of values in each bucket. For efficiency, prefix and trailing buckets with count = 0 are elided. Buckets can store the full range of values of an unsigned long, with ULLONG_MAX falling into the 59th bucket with range [1e19, 2e19).", "type": "array" }, "firstBucketOffset": { "description": "Starting index of first stored bucket. The non-inclusive upper-bound of the ith bucket is given by: pow(10,(i-first_bucket_offset)/3) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (1,2,5)[(i-first_bucket_offset)%3]", "format": "int32", "type": "integer" } }, "description": "Histogram of value counts for a distribution. Buckets have an inclusive lower bound and exclusive upper bound and use \"1,2,5 bucketing\": The first bucket range is from [0,1) and all subsequent bucket boundaries are powers of ten multiplied by 1, 2, or 5. Thus, bucket boundaries are 0, 1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, ... Negative values are not supported.", "id": "Histogram", "type": "object" }, "WorkerShutdownNoticeResponse": { "type": "object", "description": "Service-side response to WorkerMessage issuing shutdown notice.", "id": "WorkerShutdownNoticeResponse", "properties": {} }, "StreamLocation": { "description": "Describes a stream of data, either as input to be processed or as output of a streaming Dataflow job.", "type": "object", "properties": { "customSourceLocation": { "description": "The stream is a custom source.", "$ref": "CustomSourceLocation" }, "streamingStageLocation": { "$ref": "StreamingStageLocation", "description": "The stream is part of another computation within the current streaming Dataflow job." }, "sideInputLocation": { "$ref": "StreamingSideInputLocation", "description": "The stream is a streaming side input." }, "pubsubLocation": { "$ref": "PubsubLocation", "description": "The stream is a pubsub stream." } }, "id": "StreamLocation" }, "SourceMetadata": { "description": "Metadata about a Source useful for automatically optimizing and tuning the pipeline, etc.", "id": "SourceMetadata", "type": "object", "properties": { "infinite": { "type": "boolean", "description": "Specifies that the size of this source is known to be infinite (this is a streaming source)." }, "producesSortedKeys": { "type": "boolean", "description": "Whether this source is known to produce key/value pairs with the (encoded) keys in lexicographically sorted order." }, "estimatedSizeBytes": { "type": "string", "format": "int64", "description": "An estimate of the total size (in bytes) of the data that would be read from this source. This estimate is in terms of external storage size, before any decompression or other processing done by the reader." } } }, "SplitInt64": { "properties": { "lowBits": { "format": "uint32", "type": "integer", "description": "The low order bits: n & 0xffffffff." }, "highBits": { "format": "int32", "description": "The high order bits, including the sign: n \u003e\u003e 32.", "type": "integer" } }, "description": "A representation of an int64, n, that is immune to precision loss when encoded in JSON.", "type": "object", "id": "SplitInt64" }, "RuntimeEnvironment": { "type": "object", "description": "The environment values to set at runtime.", "id": "RuntimeEnvironment", "properties": { "ipConfiguration": { "enumDescriptions": [ "The configuration is unknown, or unspecified.", "Workers should have public IP addresses.", "Workers should have private IP addresses." ], "enum": [ "WORKER_IP_UNSPECIFIED", "WORKER_IP_PUBLIC", "WORKER_IP_PRIVATE" ], "type": "string", "description": "Configuration for VM IPs." }, "machineType": { "type": "string", "description": "The machine type to use for the job. Defaults to the value from the template if not specified." }, "numWorkers": { "format": "int32", "description": "The initial number of Google Compute Engine instances for the job.", "type": "integer" }, "additionalExperiments": { "items": { "type": "string" }, "type": "array", "description": "Additional experiment flags for the job, specified with the `--experiments` option." }, "workerZone": { "type": "string", "description": "The Compute Engine zone (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1-a\". Mutually exclusive with worker_region. If neither worker_region nor worker_zone is specified, a zone in the control plane's region is chosen based on available capacity. If both `worker_zone` and `zone` are set, `worker_zone` takes precedence." }, "bypassTempDirValidation": { "type": "boolean", "description": "Whether to bypass the safety checks for the job's temporary directory. Use with caution." }, "subnetwork": { "description": "Subnetwork to which VMs will be assigned, if desired. You can specify a subnetwork using either a complete URL or an abbreviated path. Expected to be of the form \"https://www.googleapis.com/compute/v1/projects/HOST_PROJECT_ID/regions/REGION/subnetworks/SUBNETWORK\" or \"regions/REGION/subnetworks/SUBNETWORK\". If the subnetwork is located in a Shared VPC network, you must use the complete URL.", "type": "string" }, "tempLocation": { "type": "string", "description": "The Cloud Storage path to use for temporary files. Must be a valid Cloud Storage URL, beginning with `gs://`." }, "maxWorkers": { "format": "int32", "type": "integer", "description": "The maximum number of Google Compute Engine instances to be made available to your pipeline during execution, from 1 to 1000." }, "serviceAccountEmail": { "description": "The email address of the service account to run the job as.", "type": "string" }, "enableStreamingEngine": { "description": "Whether to enable Streaming Engine for the job.", "type": "boolean" }, "network": { "type": "string", "description": "Network to which VMs will be assigned. If empty or unspecified, the service will use the network \"default\"." }, "kmsKeyName": { "type": "string", "description": "Name for the Cloud KMS key for the job. Key format is: projects//locations//keyRings//cryptoKeys/" }, "zone": { "description": "The Compute Engine [availability zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones) for launching worker instances to run your pipeline. In the future, worker_zone will take precedence.", "type": "string" }, "workerRegion": { "description": "The Compute Engine region (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1\". Mutually exclusive with worker_zone. If neither worker_region nor worker_zone is specified, default to the control plane's region.", "type": "string" }, "additionalUserLabels": { "type": "object", "description": "Additional user labels to be specified for the job. Keys and values should follow the restrictions specified in the [labeling restrictions](https://cloud.google.com/compute/docs/labeling-resources#restrictions) page. An object containing a list of \"key\": value pairs. Example: { \"name\": \"wrench\", \"mass\": \"1kg\", \"count\": \"3\" }.", "additionalProperties": { "type": "string" } } } }, "FileIODetails": { "type": "object", "id": "FileIODetails", "properties": { "filePattern": { "description": "File Pattern used to access files by the connector.", "type": "string" } }, "description": "Metadata for a File connector used by the job." }, "ListJobsResponse": { "description": "Response to a request to list Cloud Dataflow jobs in a project. This might be a partial response, depending on the page size in the ListJobsRequest. However, if the project does not have any jobs, an instance of ListJobsResponse is not returned and the requests's response body is empty {}.", "id": "ListJobsResponse", "type": "object", "properties": { "jobs": { "description": "A subset of the requested job information.", "type": "array", "items": { "$ref": "Job" } }, "nextPageToken": { "description": "Set if there may be more results than fit in this response.", "type": "string" }, "failedLocation": { "description": "Zero or more messages describing the [regional endpoints] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that failed to respond.", "type": "array", "items": { "$ref": "FailedLocation" } } } }, "SourceFork": { "id": "SourceFork", "properties": { "residualSource": { "$ref": "DerivedSource", "description": "DEPRECATED" }, "primarySource": { "$ref": "DerivedSource", "description": "DEPRECATED" }, "primary": { "description": "DEPRECATED", "$ref": "SourceSplitShard" }, "residual": { "description": "DEPRECATED", "$ref": "SourceSplitShard" } }, "type": "object", "description": "DEPRECATED in favor of DynamicSourceSplit." }, "IntegerList": { "properties": { "elements": { "description": "Elements of the list.", "items": { "$ref": "SplitInt64" }, "type": "array" } }, "description": "A metric value representing a list of integers.", "id": "IntegerList", "type": "object" }, "SpannerIODetails": { "id": "SpannerIODetails", "description": "Metadata for a Spanner connector used by the job.", "properties": { "instanceId": { "description": "InstanceId accessed in the connection.", "type": "string" }, "projectId": { "description": "ProjectId accessed in the connection.", "type": "string" }, "databaseId": { "description": "DatabaseId accessed in the connection.", "type": "string" } }, "type": "object" }, "StreamingStageLocation": { "id": "StreamingStageLocation", "description": "Identifies the location of a streaming computation stage, for stage-to-stage communication.", "properties": { "streamId": { "type": "string", "description": "Identifies the particular stream within the streaming Dataflow job." } }, "type": "object" }, "SourceSplitRequest": { "id": "SourceSplitRequest", "properties": { "options": { "$ref": "SourceSplitOptions", "description": "Hints for tuning the splitting process." }, "source": { "description": "Specification of the source to be split.", "$ref": "Source" } }, "description": "Represents the operation to split a high-level Source specification into bundles (parts for parallel processing). At a high level, splitting of a source into bundles happens as follows: SourceSplitRequest is applied to the source. If it returns SOURCE_SPLIT_OUTCOME_USE_CURRENT, no further splitting happens and the source is used \"as is\". Otherwise, splitting is applied recursively to each produced DerivedSource. As an optimization, for any Source, if its does_not_need_splitting is true, the framework assumes that splitting this source would return SOURCE_SPLIT_OUTCOME_USE_CURRENT, and doesn't initiate a SourceSplitRequest. This applies both to the initial source being split and to bundles produced from it.", "type": "object" }, "MountedDataDisk": { "description": "Describes mounted data disk.", "properties": { "dataDisk": { "description": "The name of the data disk. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example \"myproject-1014-104817-4c2-harness-0-disk-1\".", "type": "string" } }, "type": "object", "id": "MountedDataDisk" }, "MemInfo": { "properties": { "currentOoms": { "description": "Number of Out of Memory (OOM) events recorded since the previous measurement.", "format": "int64", "type": "string" }, "timestamp": { "description": "Timestamp of the measurement.", "type": "string", "format": "google-datetime" }, "currentRssBytes": { "format": "uint64", "type": "string", "description": "Instantenous memory (RSS) size in bytes." }, "totalGbMs": { "format": "uint64", "description": "Total memory (RSS) usage since start up in GB LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ms.", "type": "string" }, "currentLimitBytes": { "description": "Instantenous memory limit in bytes.", "type": "string", "format": "uint64" } }, "id": "MemInfo", "description": "Information about the memory usage of a worker or a container within a worker.", "type": "object" }, "SourceGetMetadataResponse": { "properties": { "metadata": { "description": "The computed metadata.", "$ref": "SourceMetadata" } }, "description": "The result of a SourceGetMetadataOperation.", "type": "object", "id": "SourceGetMetadataResponse" }, "AutoscalingSettings": { "type": "object", "description": "Settings for WorkerPool autoscaling.", "properties": { "algorithm": { "description": "The algorithm to use for autoscaling.", "enumDescriptions": [ "The algorithm is unknown, or unspecified.", "Disable autoscaling.", "Increase worker count over time to reduce job execution time." ], "type": "string", "enum": [ "AUTOSCALING_ALGORITHM_UNKNOWN", "AUTOSCALING_ALGORITHM_NONE", "AUTOSCALING_ALGORITHM_BASIC" ] }, "maxNumWorkers": { "description": "The maximum number of workers to cap scaling at.", "format": "int32", "type": "integer" } }, "id": "AutoscalingSettings" }, "WorkerShutdownNotice": { "type": "object", "id": "WorkerShutdownNotice", "properties": { "reason": { "type": "string", "description": "The reason for the worker shutdown. Current possible values are: \"UNKNOWN\": shutdown reason is unknown. \"PREEMPTION\": shutdown reason is preemption. Other possible reasons may be added in the future." } }, "description": "Shutdown notification from workers. This is to be sent by the shutdown script of the worker VM so that the backend knows that the VM is being shut down." }, "Parameter": { "id": "Parameter", "type": "object", "properties": { "value": { "type": "any", "description": "Value for this parameter." }, "key": { "type": "string", "description": "Key or name for this parameter." } }, "description": "Structured data associated with this message." }, "StreamingConfigTask": { "id": "StreamingConfigTask", "description": "A task that carries configuration information for streaming computations.", "properties": { "commitStreamChunkSizeBytes": { "type": "string", "description": "Chunk size for commit streams from the harness to windmill.", "format": "int64" }, "streamingComputationConfigs": { "description": "Set of computation configuration information.", "type": "array", "items": { "$ref": "StreamingComputationConfig" } }, "userStepToStateFamilyNameMap": { "description": "Map from user step names to state families.", "type": "object", "additionalProperties": { "type": "string" } }, "maxWorkItemCommitBytes": { "format": "int64", "type": "string", "description": "Maximum size for work item commit supported windmill storage layer." }, "getDataStreamChunkSizeBytes": { "type": "string", "description": "Chunk size for get data streams from the harness to windmill.", "format": "int64" }, "windmillServicePort": { "format": "int64", "type": "string", "description": "If present, the worker must use this port to communicate with Windmill Service dispatchers. Only applicable when windmill_service_endpoint is specified." }, "windmillServiceEndpoint": { "type": "string", "description": "If present, the worker must use this endpoint to communicate with Windmill Service dispatchers, otherwise the worker must continue to use whatever endpoint it had been using." } }, "type": "object" }, "CounterStructuredNameAndMetadata": { "description": "A single message which encapsulates structured name and metadata for a given counter.", "id": "CounterStructuredNameAndMetadata", "type": "object", "properties": { "metadata": { "$ref": "CounterMetadata", "description": "Metadata associated with a counter" }, "name": { "$ref": "CounterStructuredName", "description": "Structured name of the counter." } } }, "StageExecutionDetails": { "properties": { "nextPageToken": { "type": "string", "description": "If present, this response does not contain all requested tasks. To obtain the next page of results, repeat the request with page_token set to this value." }, "workers": { "type": "array", "description": "Workers that have done work on the stage.", "items": { "$ref": "WorkerDetails" } } }, "description": "Information about the workers and work items within a stage.", "id": "StageExecutionDetails", "type": "object" }, "WorkItemServiceState": { "description": "The Dataflow service's idea of the current state of a WorkItem being processed by a worker.", "type": "object", "id": "WorkItemServiceState", "properties": { "suggestedStopPoint": { "$ref": "ApproximateProgress", "description": "DEPRECATED in favor of split_request." }, "leaseExpireTime": { "format": "google-datetime", "description": "Time at which the current lease will expire.", "type": "string" }, "splitRequest": { "$ref": "ApproximateSplitRequest", "description": "The progress point in the WorkItem where the Dataflow service suggests that the worker truncate the task." }, "reportStatusInterval": { "description": "New recommended reporting interval.", "type": "string", "format": "google-duration" }, "metricShortId": { "items": { "$ref": "MetricShortId" }, "type": "array", "description": "The short ids that workers should use in subsequent metric updates. Workers should strive to use short ids whenever possible, but it is ok to request the short_id again if a worker lost track of it (e.g. if the worker is recovering from a crash). NOTE: it is possible that the response may have short ids for a subset of the metrics." }, "harnessData": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Other data returned by the service, specific to the particular worker harness." }, "hotKeyDetection": { "$ref": "HotKeyDetection", "description": "A hot key is a symptom of poor data distribution in which there are enough elements mapped to a single key to impact pipeline performance. When present, this field includes metadata associated with any hot key." }, "nextReportIndex": { "description": "The index value to use for the next report sent by the worker. Note: If the report call fails for whatever reason, the worker should reuse this index for subsequent report attempts.", "format": "int64", "type": "string" }, "suggestedStopPosition": { "$ref": "Position", "description": "Obsolete, always empty." }, "completeWorkStatus": { "description": "If set, a request to complete the work item with the given status. This will not be set to OK, unless supported by the specific kind of WorkItem. It can be used for the backend to indicate a WorkItem must terminate, e.g., for aborting work.", "$ref": "Status" } } }, "ReportWorkItemStatusRequest": { "type": "object", "properties": { "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem's job." }, "workerId": { "type": "string", "description": "The ID of the worker reporting the WorkItem status. If this does not match the ID of the worker which the Dataflow service believes currently has the lease on the WorkItem, the report will be dropped (with an error response)." }, "currentWorkerTime": { "type": "string", "description": "The current timestamp at the worker.", "format": "google-datetime" }, "unifiedWorkerRequest": { "description": "Untranslated bag-of-bytes WorkProgressUpdateRequest from UnifiedWorker.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "workItemStatuses": { "items": { "$ref": "WorkItemStatus" }, "description": "The order is unimportant, except that the order of the WorkItemServiceState messages in the ReportWorkItemStatusResponse corresponds to the order of WorkItemStatus messages here.", "type": "array" } }, "id": "ReportWorkItemStatusRequest", "description": "Request to report the status of WorkItems." }, "TaskRunnerSettings": { "description": "Taskrunner configuration settings.", "id": "TaskRunnerSettings", "type": "object", "properties": { "logToSerialconsole": { "description": "Whether to send taskrunner log info to Google Compute Engine VM serial console.", "type": "boolean" }, "oauthScopes": { "type": "array", "items": { "type": "string" }, "description": "The OAuth2 scopes to be requested by the taskrunner in order to access the Cloud Dataflow API." }, "continueOnException": { "type": "boolean", "description": "Whether to continue taskrunner if an exception is hit." }, "vmId": { "type": "string", "description": "The ID string of the VM." }, "dataflowApiVersion": { "type": "string", "description": "The API version of endpoint, e.g. \"v1b3\"" }, "baseUrl": { "description": "The base URL for the taskrunner to use when accessing Google Cloud APIs. When workers access Google Cloud APIs, they logically do so via relative URLs. If this field is specified, it supplies the base URL to use for resolving these relative URLs. The normative algorithm used is defined by RFC 1808, \"Relative Uniform Resource Locators\". If not specified, the default value is \"http://www.googleapis.com/\"", "type": "string" }, "parallelWorkerSettings": { "description": "The settings to pass to the parallel worker harness.", "$ref": "WorkerSettings" }, "alsologtostderr": { "description": "Whether to also send taskrunner log info to stderr.", "type": "boolean" }, "baseTaskDir": { "type": "string", "description": "The location on the worker for task-specific subdirectories." }, "workflowFileName": { "type": "string", "description": "The file to store the workflow in." }, "tempStoragePrefix": { "type": "string", "description": "The prefix of the resources the taskrunner should use for temporary storage. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object}" }, "taskUser": { "description": "The UNIX user ID on the worker VM to use for tasks launched by taskrunner; e.g. \"root\".", "type": "string" }, "languageHint": { "description": "The suggested backend language.", "type": "string" }, "taskGroup": { "description": "The UNIX group ID on the worker VM to use for tasks launched by taskrunner; e.g. \"wheel\".", "type": "string" }, "logDir": { "type": "string", "description": "The directory on the VM to store logs." }, "commandlinesFileName": { "description": "The file to store preprocessing commands in.", "type": "string" }, "streamingWorkerMainClass": { "type": "string", "description": "The streaming worker main class name." }, "logUploadLocation": { "description": "Indicates where to put logs. If this is not specified, the logs will not be uploaded. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object}", "type": "string" }, "harnessCommand": { "type": "string", "description": "The command to launch the worker harness." } } }, "WorkerMessageResponse": { "id": "WorkerMessageResponse", "type": "object", "description": "A worker_message response allows the server to pass information to the sender.", "properties": { "workerMetricsResponse": { "$ref": "ResourceUtilizationReportResponse", "description": "Service's response to reporting worker metrics (currently empty)." }, "workerShutdownNoticeResponse": { "$ref": "WorkerShutdownNoticeResponse", "description": "Service's response to shutdown notice (currently empty)." }, "workerHealthReportResponse": { "description": "The service's response to a worker's health report.", "$ref": "WorkerHealthReportResponse" } } }, "ShellTask": { "properties": { "command": { "description": "The shell command to run.", "type": "string" }, "exitCode": { "type": "integer", "description": "Exit code for the task.", "format": "int32" } }, "id": "ShellTask", "description": "A task which consists of a shell command for the worker to execute.", "type": "object" }, "StageSummary": { "description": "Information about a particular execution stage of a job.", "type": "object", "properties": { "metrics": { "description": "Metrics for this stage.", "items": { "$ref": "MetricUpdate" }, "type": "array" }, "startTime": { "description": "Start time of this stage.", "type": "string", "format": "google-datetime" }, "stageId": { "description": "ID of this stage", "type": "string" }, "progress": { "description": "Progress for this stage. Only applicable to Batch jobs.", "$ref": "ProgressTimeseries" }, "state": { "description": "State of this stage.", "enum": [ "EXECUTION_STATE_UNKNOWN", "EXECUTION_STATE_NOT_STARTED", "EXECUTION_STATE_RUNNING", "EXECUTION_STATE_SUCCEEDED", "EXECUTION_STATE_FAILED", "EXECUTION_STATE_CANCELLED" ], "enumDescriptions": [ "The component state is unknown or unspecified.", "The component is not yet running.", "The component is currently running.", "The component succeeded.", "The component failed.", "Execution of the component was cancelled." ], "type": "string" }, "endTime": { "format": "google-datetime", "type": "string", "description": "End time of this stage. If the work item is completed, this is the actual end time of the stage. Otherwise, it is the predicted end time." } }, "id": "StageSummary" }, "SourceSplitOptions": { "description": "Hints for splitting a Source into bundles (parts for parallel processing) using SourceSplitRequest.", "properties": { "desiredBundleSizeBytes": { "description": "The source should be split into a set of bundles where the estimated size of each is approximately this many bytes.", "type": "string", "format": "int64" }, "desiredShardSizeBytes": { "format": "int64", "type": "string", "description": "DEPRECATED in favor of desired_bundle_size_bytes." } }, "type": "object", "id": "SourceSplitOptions" }, "DatastoreIODetails": { "type": "object", "properties": { "projectId": { "type": "string", "description": "ProjectId accessed in the connection." }, "namespace": { "description": "Namespace used in the connection.", "type": "string" } }, "id": "DatastoreIODetails", "description": "Metadata for a Datastore connector used by the job." }, "WriteInstruction": { "description": "An instruction that writes records. Takes one input, produces no outputs.", "id": "WriteInstruction", "type": "object", "properties": { "input": { "$ref": "InstructionInput", "description": "The input." }, "sink": { "$ref": "Sink", "description": "The sink to write to." } } }, "CounterUpdate": { "id": "CounterUpdate", "properties": { "integerMean": { "$ref": "IntegerMean", "description": "Integer mean aggregation value for Mean." }, "integerList": { "$ref": "IntegerList", "description": "List of integers, for Set." }, "internal": { "type": "any", "description": "Value for internally-defined counters used by the Dataflow service." }, "integerGauge": { "$ref": "IntegerGauge", "description": "Gauge data" }, "floatingPointMean": { "$ref": "FloatingPointMean", "description": "Floating point mean aggregation value for Mean." }, "stringList": { "description": "List of strings, for Set.", "$ref": "StringList" }, "floatingPointList": { "description": "List of floating point numbers, for Set.", "$ref": "FloatingPointList" }, "shortId": { "type": "string", "format": "int64", "description": "The service-generated short identifier for this counter. The short_id -\u003e (name, metadata) mapping is constant for the lifetime of a job." }, "cumulative": { "type": "boolean", "description": "True if this counter is reported as the total cumulative aggregate value accumulated since the worker started working on this WorkItem. By default this is false, indicating that this counter is reported as a delta." }, "distribution": { "description": "Distribution data", "$ref": "DistributionUpdate" }, "boolean": { "description": "Boolean value for And, Or.", "type": "boolean" }, "structuredNameAndMetadata": { "description": "Counter structured name and metadata.", "$ref": "CounterStructuredNameAndMetadata" }, "floatingPoint": { "description": "Floating point value for Sum, Max, Min.", "format": "double", "type": "number" }, "integer": { "description": "Integer value for Sum, Max, Min.", "$ref": "SplitInt64" }, "nameAndKind": { "description": "Counter name and aggregation type.", "$ref": "NameAndKind" } }, "type": "object", "description": "An update to a Counter sent from a worker." }, "GetTemplateResponse": { "id": "GetTemplateResponse", "properties": { "runtimeMetadata": { "$ref": "RuntimeMetadata", "description": "Describes the runtime metadata with SDKInfo and available parameters." }, "metadata": { "$ref": "TemplateMetadata", "description": "The template metadata describing the template name, available parameters, etc." }, "status": { "description": "The status of the get template request. Any problems with the request will be indicated in the error_details.", "$ref": "Status" }, "templateType": { "type": "string", "enum": [ "UNKNOWN", "LEGACY", "FLEX" ], "enumDescriptions": [ "Unknown Template Type.", "Legacy Template.", "Flex Template." ], "description": "Template Type." } }, "type": "object", "description": "The response to a GetTemplate request." }, "WorkerPool": { "properties": { "kind": { "type": "string", "description": "The kind of the worker pool; currently only `harness` and `shuffle` are supported." }, "ipConfiguration": { "enumDescriptions": [ "The configuration is unknown, or unspecified.", "Workers should have public IP addresses.", "Workers should have private IP addresses." ], "type": "string", "description": "Configuration for VM IPs.", "enum": [ "WORKER_IP_UNSPECIFIED", "WORKER_IP_PUBLIC", "WORKER_IP_PRIVATE" ] }, "diskSizeGb": { "format": "int32", "type": "integer", "description": "Size of root disk for VMs, in GB. If zero or unspecified, the service will attempt to choose a reasonable default." }, "packages": { "description": "Packages to be installed on workers.", "type": "array", "items": { "$ref": "Package" } }, "poolArgs": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Extra arguments for this worker pool." }, "diskType": { "description": "Type of root disk for VMs. If empty or unspecified, the service will attempt to choose a reasonable default.", "type": "string" }, "dataDisks": { "items": { "$ref": "Disk" }, "type": "array", "description": "Data disks that are used by a VM in this workflow." }, "sdkHarnessContainerImages": { "items": { "$ref": "SdkHarnessContainerImage" }, "description": "Set of SDK harness containers needed to execute this pipeline. This will only be set in the Fn API path. For non-cross-language pipelines this should have only one entry. Cross-language pipelines will have two or more entries.", "type": "array" }, "subnetwork": { "description": "Subnetwork to which VMs will be assigned, if desired. Expected to be of the form \"regions/REGION/subnetworks/SUBNETWORK\".", "type": "string" }, "autoscalingSettings": { "$ref": "AutoscalingSettings", "description": "Settings for autoscaling of this WorkerPool." }, "onHostMaintenance": { "type": "string", "description": "The action to take on host maintenance, as defined by the Google Compute Engine API." }, "teardownPolicy": { "type": "string", "enumDescriptions": [ "The teardown policy isn't specified, or is unknown.", "Always teardown the resource.", "Teardown the resource on success. This is useful for debugging failures.", "Never teardown the resource. This is useful for debugging and development." ], "enum": [ "TEARDOWN_POLICY_UNKNOWN", "TEARDOWN_ALWAYS", "TEARDOWN_ON_SUCCESS", "TEARDOWN_NEVER" ], "description": "Sets the policy for determining when to turndown worker pool. Allowed values are: `TEARDOWN_ALWAYS`, `TEARDOWN_ON_SUCCESS`, and `TEARDOWN_NEVER`. `TEARDOWN_ALWAYS` means workers are always torn down regardless of whether the job succeeds. `TEARDOWN_ON_SUCCESS` means workers are torn down if the job succeeds. `TEARDOWN_NEVER` means the workers are never torn down. If the workers are not torn down by the service, they will continue to run and use Google Compute Engine VM resources in the user's project until they are explicitly terminated by the user. Because of this, Google recommends using the `TEARDOWN_ALWAYS` policy except for small, manually supervised test jobs. If unknown or unspecified, the service will attempt to choose a reasonable default." }, "defaultPackageSet": { "enum": [ "DEFAULT_PACKAGE_SET_UNKNOWN", "DEFAULT_PACKAGE_SET_NONE", "DEFAULT_PACKAGE_SET_JAVA", "DEFAULT_PACKAGE_SET_PYTHON" ], "type": "string", "enumDescriptions": [ "The default set of packages to stage is unknown, or unspecified.", "Indicates that no packages should be staged at the worker unless explicitly specified by the job.", "Stage packages typically useful to workers written in Java.", "Stage packages typically useful to workers written in Python." ], "description": "The default package set to install. This allows the service to select a default set of packages which are useful to worker harnesses written in a particular language." }, "numThreadsPerWorker": { "format": "int32", "description": "The number of threads per worker harness. If empty or unspecified, the service will choose a number of threads (according to the number of cores on the selected machine type for batch, or 1 by convention for streaming).", "type": "integer" }, "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Metadata to set on the Google Compute Engine VMs." }, "zone": { "description": "Zone to run the worker pools in. If empty or unspecified, the service will attempt to choose a reasonable default.", "type": "string" }, "numWorkers": { "description": "Number of Google Compute Engine workers in this pool needed to execute the job. If zero or unspecified, the service will attempt to choose a reasonable default.", "format": "int32", "type": "integer" }, "workerHarnessContainerImage": { "description": "Required. Docker container image that executes the Cloud Dataflow worker harness, residing in Google Container Registry. Deprecated for the Fn API path. Use sdk_harness_container_images instead.", "type": "string" }, "machineType": { "type": "string", "description": "Machine type (e.g. \"n1-standard-1\"). If empty or unspecified, the service will attempt to choose a reasonable default." }, "taskrunnerSettings": { "description": "Settings passed through to Google Compute Engine workers when using the standard Dataflow task runner. Users should ignore this field.", "$ref": "TaskRunnerSettings" }, "diskSourceImage": { "type": "string", "description": "Fully qualified source image for disks." }, "network": { "type": "string", "description": "Network to which VMs will be assigned. If empty or unspecified, the service will use the network \"default\"." } }, "type": "object", "description": "Describes one particular pool of Cloud Dataflow workers to be instantiated by the Cloud Dataflow service in order to perform the computations required by a job. Note that a workflow job may use multiple pools, in order to match the various computational requirements of the various stages of the job.", "id": "WorkerPool" }, "Status": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" } }, "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ComponentSource": { "type": "object", "description": "Description of an interstitial value between transforms in an execution stage.", "id": "ComponentSource", "properties": { "originalTransformOrCollection": { "type": "string", "description": "User name for the original user transform or collection with which this source is most closely associated." }, "userName": { "description": "Human-readable name for this transform; may be user or system generated.", "type": "string" }, "name": { "description": "Dataflow service generated name for this source.", "type": "string" } } }, "FloatingPointList": { "properties": { "elements": { "type": "array", "description": "Elements of the list.", "items": { "format": "double", "type": "number" } } }, "description": "A metric value representing a list of floating point numbers.", "type": "object", "id": "FloatingPointList" }, "LaunchFlexTemplateRequest": { "id": "LaunchFlexTemplateRequest", "type": "object", "properties": { "validateOnly": { "type": "boolean", "description": "If true, the request is validated but not actually executed. Defaults to false." }, "launchParameter": { "description": "Required. Parameter to launch a job form Flex Template.", "$ref": "LaunchFlexTemplateParameter" } }, "description": "A request to launch a Cloud Dataflow job from a FlexTemplate." }, "JobExecutionDetails": { "id": "JobExecutionDetails", "properties": { "stages": { "description": "The stages of the job execution.", "type": "array", "items": { "$ref": "StageSummary" } }, "nextPageToken": { "description": "If present, this response does not contain all requested tasks. To obtain the next page of results, repeat the request with page_token set to this value.", "type": "string" } }, "description": "Information about the execution of a job.", "type": "object" }, "Job": { "description": "Defines a job to be run by the Cloud Dataflow service. Do not enter confidential information when you supply string values using the API.", "id": "Job", "type": "object", "properties": { "stageStates": { "description": "This field may be mutated by the Cloud Dataflow service; callers cannot mutate it.", "type": "array", "items": { "$ref": "ExecutionStageState" } }, "satisfiesPzs": { "type": "boolean", "description": "Reserved for future use. This field is set only in responses from the server; it is ignored if it is set in any requests." }, "currentStateTime": { "description": "The timestamp associated with the current state.", "type": "string", "format": "google-datetime" }, "pipelineDescription": { "description": "Preliminary field: The format of this data may change at any time. A description of the user pipeline and stages through which it is executed. Created by Cloud Dataflow service. Only retrieved with JOB_VIEW_DESCRIPTION or JOB_VIEW_ALL.", "$ref": "PipelineDescription" }, "environment": { "$ref": "Environment", "description": "The environment for the job." }, "transformNameMapping": { "additionalProperties": { "type": "string" }, "description": "The map of transform name prefixes of the job to be replaced to the corresponding name prefixes of the new job.", "type": "object" }, "projectId": { "type": "string", "description": "The ID of the Cloud Platform project that the job belongs to." }, "steps": { "description": "Exactly one of step or steps_location should be specified. The top-level steps that constitute the entire job. Only retrieved with JOB_VIEW_ALL.", "type": "array", "items": { "$ref": "Step" } }, "createdFromSnapshotId": { "type": "string", "description": "If this is specified, the job's initial state is populated from the given snapshot." }, "name": { "type": "string", "description": "The user-specified Cloud Dataflow job name. Only one Job with a given name can exist in a project within one region at any given time. Jobs in different regions can have the same name. If a caller attempts to create a Job with the same name as an already-existing Job, the attempt returns the existing Job. The name must match the regular expression `[a-z]([-a-z0-9]{0,1022}[a-z0-9])?`" }, "clientRequestId": { "type": "string", "description": "The client's unique identifier of the job, re-used across retried attempts. If this field is set, the service will ensure its uniqueness. The request to create a job will fail if the service has knowledge of a previously submitted job with the same client's ID and job name. The caller may use this field to ensure idempotence of job creation across retried attempts to create a job. By default, the field is empty and, in that case, the service ignores it." }, "type": { "enumDescriptions": [ "The type of the job is unspecified, or unknown.", "A batch job with a well-defined end point: data is read, data is processed, data is written, and the job is done.", "A continuously streaming job with no end: data is read, processed, and written continuously." ], "description": "The type of Cloud Dataflow job.", "type": "string", "enum": [ "JOB_TYPE_UNKNOWN", "JOB_TYPE_BATCH", "JOB_TYPE_STREAMING" ] }, "stepsLocation": { "type": "string", "description": "The Cloud Storage location where the steps are stored." }, "replacedByJobId": { "description": "If another job is an update of this job (and thus, this job is in `JOB_STATE_UPDATED`), this field contains the ID of that job.", "type": "string" }, "createTime": { "description": "The timestamp when the job was initially created. Immutable and set by the Cloud Dataflow service.", "type": "string", "format": "google-datetime" }, "jobMetadata": { "description": "This field is populated by the Dataflow service to support filtering jobs by the metadata values provided here. Populated for ListJobs and all GetJob views SUMMARY and higher.", "$ref": "JobMetadata" }, "labels": { "description": "User-defined labels for this job. The labels map can contain no more than 64 entries. Entries of the labels map are UTF8 strings that comply with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keys must conform to regexp: \\p{Ll}\\p{Lo}{0,62} LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Values must conform to regexp: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Both keys and values are additionally constrained to be \u003c= 128 bytes in size.", "additionalProperties": { "type": "string" }, "type": "object" }, "startTime": { "format": "google-datetime", "description": "The timestamp when the job was started (transitioned to JOB_STATE_PENDING). Flexible resource scheduling jobs are started with some delay after job creation, so start_time is unset before start and is updated when the job is started by the Cloud Dataflow service. For other jobs, start_time always equals to create_time and is immutable and set by the Cloud Dataflow service.", "type": "string" }, "id": { "type": "string", "description": "The unique ID of this job. This field is set by the Cloud Dataflow service when the Job is created, and is immutable for the life of the job." }, "currentState": { "enumDescriptions": [ "The job's run state isn't specified.", "`JOB_STATE_STOPPED` indicates that the job has not yet started to run.", "`JOB_STATE_RUNNING` indicates that the job is currently running.", "`JOB_STATE_DONE` indicates that the job has successfully completed. This is a terminal job state. This state may be set by the Cloud Dataflow service, as a transition from `JOB_STATE_RUNNING`. It may also be set via a Cloud Dataflow `UpdateJob` call, if the job has not yet reached a terminal state.", "`JOB_STATE_FAILED` indicates that the job has failed. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_CANCELLED` indicates that the job has been explicitly cancelled. This is a terminal job state. This state may only be set via a Cloud Dataflow `UpdateJob` call, and only if the job has not yet reached another terminal state.", "`JOB_STATE_UPDATED` indicates that the job was successfully updated, meaning that this job was stopped and another job was started, inheriting state from this one. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_DRAINING` indicates that the job is in the process of draining. A draining job has stopped pulling from its input sources and is processing any data that remains in-flight. This state may be set via a Cloud Dataflow `UpdateJob` call, but only as a transition from `JOB_STATE_RUNNING`. Jobs that are draining may only transition to `JOB_STATE_DRAINED`, `JOB_STATE_CANCELLED`, or `JOB_STATE_FAILED`.", "`JOB_STATE_DRAINED` indicates that the job has been drained. A drained job terminated by stopping pulling from its input sources and processing any data that remained in-flight when draining was requested. This state is a terminal state, may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_DRAINING`.", "`JOB_STATE_PENDING` indicates that the job has been created but is not yet running. Jobs that are pending may only transition to `JOB_STATE_RUNNING`, or `JOB_STATE_FAILED`.", "`JOB_STATE_CANCELLING` indicates that the job has been explicitly cancelled and is in the process of stopping. Jobs that are cancelling may only transition to `JOB_STATE_CANCELLED` or `JOB_STATE_FAILED`.", "`JOB_STATE_QUEUED` indicates that the job has been created but is being delayed until launch. Jobs that are queued may only transition to `JOB_STATE_PENDING` or `JOB_STATE_CANCELLED`.", "`JOB_STATE_RESOURCE_CLEANING_UP` indicates that the batch job's associated resources are currently being cleaned up after a successful run. Currently, this is an opt-in feature, please reach out to Cloud support team if you are interested." ], "type": "string", "enum": [ "JOB_STATE_UNKNOWN", "JOB_STATE_STOPPED", "JOB_STATE_RUNNING", "JOB_STATE_DONE", "JOB_STATE_FAILED", "JOB_STATE_CANCELLED", "JOB_STATE_UPDATED", "JOB_STATE_DRAINING", "JOB_STATE_DRAINED", "JOB_STATE_PENDING", "JOB_STATE_CANCELLING", "JOB_STATE_QUEUED", "JOB_STATE_RESOURCE_CLEANING_UP" ], "description": "The current state of the job. Jobs are created in the `JOB_STATE_STOPPED` state unless otherwise specified. A job in the `JOB_STATE_RUNNING` state may asynchronously enter a terminal state. After a job has reached a terminal state, no further state updates may be made. This field may be mutated by the Cloud Dataflow service; callers cannot mutate it." }, "requestedState": { "type": "string", "enum": [ "JOB_STATE_UNKNOWN", "JOB_STATE_STOPPED", "JOB_STATE_RUNNING", "JOB_STATE_DONE", "JOB_STATE_FAILED", "JOB_STATE_CANCELLED", "JOB_STATE_UPDATED", "JOB_STATE_DRAINING", "JOB_STATE_DRAINED", "JOB_STATE_PENDING", "JOB_STATE_CANCELLING", "JOB_STATE_QUEUED", "JOB_STATE_RESOURCE_CLEANING_UP" ], "description": "The job's requested state. `UpdateJob` may be used to switch between the `JOB_STATE_STOPPED` and `JOB_STATE_RUNNING` states, by setting requested_state. `UpdateJob` may also be used to directly set a job's requested state to `JOB_STATE_CANCELLED` or `JOB_STATE_DONE`, irrevocably terminating the job if it has not already reached a terminal state.", "enumDescriptions": [ "The job's run state isn't specified.", "`JOB_STATE_STOPPED` indicates that the job has not yet started to run.", "`JOB_STATE_RUNNING` indicates that the job is currently running.", "`JOB_STATE_DONE` indicates that the job has successfully completed. This is a terminal job state. This state may be set by the Cloud Dataflow service, as a transition from `JOB_STATE_RUNNING`. It may also be set via a Cloud Dataflow `UpdateJob` call, if the job has not yet reached a terminal state.", "`JOB_STATE_FAILED` indicates that the job has failed. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_CANCELLED` indicates that the job has been explicitly cancelled. This is a terminal job state. This state may only be set via a Cloud Dataflow `UpdateJob` call, and only if the job has not yet reached another terminal state.", "`JOB_STATE_UPDATED` indicates that the job was successfully updated, meaning that this job was stopped and another job was started, inheriting state from this one. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_DRAINING` indicates that the job is in the process of draining. A draining job has stopped pulling from its input sources and is processing any data that remains in-flight. This state may be set via a Cloud Dataflow `UpdateJob` call, but only as a transition from `JOB_STATE_RUNNING`. Jobs that are draining may only transition to `JOB_STATE_DRAINED`, `JOB_STATE_CANCELLED`, or `JOB_STATE_FAILED`.", "`JOB_STATE_DRAINED` indicates that the job has been drained. A drained job terminated by stopping pulling from its input sources and processing any data that remained in-flight when draining was requested. This state is a terminal state, may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_DRAINING`.", "`JOB_STATE_PENDING` indicates that the job has been created but is not yet running. Jobs that are pending may only transition to `JOB_STATE_RUNNING`, or `JOB_STATE_FAILED`.", "`JOB_STATE_CANCELLING` indicates that the job has been explicitly cancelled and is in the process of stopping. Jobs that are cancelling may only transition to `JOB_STATE_CANCELLED` or `JOB_STATE_FAILED`.", "`JOB_STATE_QUEUED` indicates that the job has been created but is being delayed until launch. Jobs that are queued may only transition to `JOB_STATE_PENDING` or `JOB_STATE_CANCELLED`.", "`JOB_STATE_RESOURCE_CLEANING_UP` indicates that the batch job's associated resources are currently being cleaned up after a successful run. Currently, this is an opt-in feature, please reach out to Cloud support team if you are interested." ] }, "replaceJobId": { "description": "If this job is an update of an existing job, this field is the job ID of the job it replaced. When sending a `CreateJobRequest`, you can update a job by specifying it here. The job named here is stopped, and its intermediate state is transferred to this job.", "type": "string" }, "tempFiles": { "description": "A set of files the system should be aware of that are used for temporary storage. These temporary files will be removed on job completion. No duplicates are allowed. No file patterns are supported. The supported files are: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object}", "type": "array", "items": { "type": "string" } }, "executionInfo": { "$ref": "JobExecutionInfo", "description": "Deprecated." }, "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job." } } }, "ProgressTimeseries": { "type": "object", "id": "ProgressTimeseries", "description": "Information about the progress of some component of job execution.", "properties": { "currentProgress": { "description": "The current progress of the component, in the range [0,1].", "type": "number", "format": "double" }, "dataPoints": { "type": "array", "items": { "$ref": "Point" }, "description": "History of progress for the component. Points are sorted by time." } } }, "ResourceUtilizationReportResponse": { "type": "object", "id": "ResourceUtilizationReportResponse", "description": "Service-side response to WorkerMessage reporting resource utilization.", "properties": {} }, "WorkerMessage": { "id": "WorkerMessage", "description": "WorkerMessage provides information to the backend about a worker.", "type": "object", "properties": { "workerShutdownNotice": { "description": "Shutdown notice by workers.", "$ref": "WorkerShutdownNotice" }, "workerHealthReport": { "$ref": "WorkerHealthReport", "description": "The health of a worker." }, "time": { "format": "google-datetime", "description": "The timestamp of the worker_message.", "type": "string" }, "workerMetrics": { "description": "Resource metrics reported by workers.", "$ref": "ResourceUtilizationReport" }, "workerMessageCode": { "description": "A worker message code.", "$ref": "WorkerMessageCode" }, "workerLifecycleEvent": { "description": "Record of worker lifecycle events.", "$ref": "WorkerLifecycleEvent" }, "labels": { "description": "Labels are used to group WorkerMessages. For example, a worker_message about a particular container might have the labels: { \"JOB_ID\": \"2015-04-22\", \"WORKER_ID\": \"wordcount-vm-2015…\" \"CONTAINER_TYPE\": \"worker\", \"CONTAINER_ID\": \"ac1234def\"} Label tags typically correspond to Label enum values. However, for ease of development other strings can be used as tags. LABEL_UNSPECIFIED should not be used here.", "type": "object", "additionalProperties": { "type": "string" } } } }, "StructuredMessage": { "description": "A rich message format, including a human readable string, a key for identifying the message, and structured data associated with the message for programmatic consumption.", "id": "StructuredMessage", "type": "object", "properties": { "parameters": { "description": "The structured data associated with this message.", "type": "array", "items": { "$ref": "Parameter" } }, "messageKey": { "type": "string", "description": "Identifier for this message type. Used by external systems to internationalize or personalize message." }, "messageText": { "description": "Human-readable version of message.", "type": "string" } } }, "WorkerHealthReportResponse": { "type": "object", "description": "WorkerHealthReportResponse contains information returned to the worker in response to a health ping.", "id": "WorkerHealthReportResponse", "properties": { "reportInterval": { "type": "string", "description": "A positive value indicates the worker should change its reporting interval to the specified value. The default value of zero means no change in report rate is requested by the server.", "format": "google-duration" } } }, "ComputationTopology": { "description": "All configuration data for a particular Computation.", "properties": { "inputs": { "description": "The inputs to the computation.", "items": { "$ref": "StreamLocation" }, "type": "array" }, "computationId": { "description": "The ID of the computation.", "type": "string" }, "outputs": { "items": { "$ref": "StreamLocation" }, "description": "The outputs from the computation.", "type": "array" }, "systemStageName": { "type": "string", "description": "The system stage name." }, "keyRanges": { "type": "array", "description": "The key ranges processed by the computation.", "items": { "$ref": "KeyRangeLocation" } }, "stateFamilies": { "type": "array", "description": "The state family values.", "items": { "$ref": "StateFamilyConfig" } } }, "id": "ComputationTopology", "type": "object" }, "ExecutionStageSummary": { "type": "object", "description": "Description of the composing transforms, names/ids, and input/outputs of a stage of execution. Some composing transforms and sources may have been generated by the Dataflow service during execution planning.", "id": "ExecutionStageSummary", "properties": { "outputSource": { "description": "Output sources for this stage.", "type": "array", "items": { "$ref": "StageSource" } }, "id": { "type": "string", "description": "Dataflow service generated id for this stage." }, "inputSource": { "items": { "$ref": "StageSource" }, "type": "array", "description": "Input sources for this stage." }, "kind": { "type": "string", "description": "Type of transform this stage is executing.", "enum": [ "UNKNOWN_KIND", "PAR_DO_KIND", "GROUP_BY_KEY_KIND", "FLATTEN_KIND", "READ_KIND", "WRITE_KIND", "CONSTANT_KIND", "SINGLETON_KIND", "SHUFFLE_KIND" ], "enumDescriptions": [ "Unrecognized transform type.", "ParDo transform.", "Group By Key transform.", "Flatten transform.", "Read transform.", "Write transform.", "Constructs from a constant value, such as with Create.of.", "Creates a Singleton view of a collection.", "Opening or closing a shuffle session, often as part of a GroupByKey." ] }, "componentSource": { "items": { "$ref": "ComponentSource" }, "description": "Collections produced and consumed by component transforms of this stage.", "type": "array" }, "componentTransform": { "items": { "$ref": "ComponentTransform" }, "description": "Transforms that comprise this execution stage.", "type": "array" }, "prerequisiteStage": { "items": { "type": "string" }, "type": "array", "description": "Other stages that must complete before this stage can run." }, "name": { "type": "string", "description": "Dataflow service generated name for this stage." } } }, "ParallelInstruction": { "description": "Describes a particular operation comprising a MapTask.", "type": "object", "id": "ParallelInstruction", "properties": { "read": { "description": "Additional information for Read instructions.", "$ref": "ReadInstruction" }, "flatten": { "description": "Additional information for Flatten instructions.", "$ref": "FlattenInstruction" }, "outputs": { "description": "Describes the outputs of the instruction.", "type": "array", "items": { "$ref": "InstructionOutput" } }, "originalName": { "description": "System-defined name for the operation in the original workflow graph.", "type": "string" }, "systemName": { "description": "System-defined name of this operation. Unique across the workflow.", "type": "string" }, "write": { "$ref": "WriteInstruction", "description": "Additional information for Write instructions." }, "name": { "type": "string", "description": "User-provided name of this operation." }, "partialGroupByKey": { "description": "Additional information for PartialGroupByKey instructions.", "$ref": "PartialGroupByKeyInstruction" }, "parDo": { "$ref": "ParDoInstruction", "description": "Additional information for ParDo instructions." } } }, "Source": { "id": "Source", "description": "A source that records can be read and decoded from.", "type": "object", "properties": { "baseSpecs": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "description": "While splitting, sources may specify the produced bundles as differences against another source, in order to save backend-side memory and allow bigger jobs. For details, see SourceSplitRequest. To support this use case, the full set of parameters of the source is logically obtained by taking the latest explicitly specified value of each parameter in the order: base_specs (later items win), spec (overrides anything in base_specs).", "type": "array" }, "codec": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The codec to use to decode data read from the source.", "type": "object" }, "doesNotNeedSplitting": { "type": "boolean", "description": "Setting this value to true hints to the framework that the source doesn't need splitting, and using SourceSplitRequest on it would yield SOURCE_SPLIT_OUTCOME_USE_CURRENT. E.g. a file splitter may set this to true when splitting a single file into a set of byte ranges of appropriate size, and set this to false when splitting a filepattern into individual files. However, for efficiency, a file splitter may decide to produce file subranges directly from the filepattern to avoid a splitting round-trip. See SourceSplitRequest for an overview of the splitting process. This field is meaningful only in the Source objects populated by the user (e.g. when filling in a DerivedSource). Source objects supplied by the framework to the user don't have this field populated." }, "metadata": { "description": "Optionally, metadata for this source can be supplied right away, avoiding a SourceGetMetadataOperation roundtrip (see SourceOperationRequest). This field is meaningful only in the Source objects populated by the user (e.g. when filling in a DerivedSource). Source objects supplied by the framework to the user don't have this field populated.", "$ref": "SourceMetadata" }, "spec": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The source to read from, plus its parameters.", "type": "object" } } }, "ContainerSpec": { "type": "object", "properties": { "sdkInfo": { "$ref": "SDKInfo", "description": "Required. SDK info of the Flex Template." }, "imageRepositoryUsernameSecretId": { "type": "string", "description": "Secret Manager secret id for username to authenticate to private registry." }, "imageRepositoryCertPath": { "type": "string", "description": "Cloud Storage path to self-signed certificate of private registry." }, "imageRepositoryPasswordSecretId": { "type": "string", "description": "Secret Manager secret id for password to authenticate to private registry." }, "image": { "description": "Name of the docker container image. E.g., gcr.io/project/some-image", "type": "string" }, "metadata": { "$ref": "TemplateMetadata", "description": "Metadata describing a template including description and validation rules." }, "defaultEnvironment": { "description": "Default runtime environment for the job.", "$ref": "FlexTemplateRuntimeEnvironment" } }, "description": "Container Spec.", "id": "ContainerSpec" }, "KeyRangeDataDiskAssignment": { "type": "object", "description": "Data disk assignment information for a specific key-range of a sharded computation. Currently we only support UTF-8 character splits to simplify encoding into JSON.", "id": "KeyRangeDataDiskAssignment", "properties": { "start": { "description": "The start (inclusive) of the key range.", "type": "string" }, "end": { "description": "The end (exclusive) of the key range.", "type": "string" }, "dataDisk": { "type": "string", "description": "The name of the data disk where data for this range is stored. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example \"myproject-1014-104817-4c2-harness-0-disk-1\"." } } }, "TemplateMetadata": { "type": "object", "description": "Metadata describing a template.", "properties": { "name": { "type": "string", "description": "Required. The name of the template." }, "description": { "type": "string", "description": "Optional. A description of the template." }, "parameters": { "description": "The parameters for the template.", "type": "array", "items": { "$ref": "ParameterMetadata" } } }, "id": "TemplateMetadata" }, "GetDebugConfigRequest": { "id": "GetDebugConfigRequest", "description": "Request to get updated debug configuration for component.", "properties": { "workerId": { "description": "The worker id, i.e., VM hostname.", "type": "string" }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string" }, "componentId": { "type": "string", "description": "The internal component id for which debug configuration is requested." } }, "type": "object" }, "SendDebugCaptureRequest": { "properties": { "dataFormat": { "type": "string", "description": "Format for the data field above (id=5).", "enum": [ "DATA_FORMAT_UNSPECIFIED", "RAW", "JSON", "ZLIB", "BROTLI" ], "enumDescriptions": [ "Format unspecified, parsing is determined based upon page type and legacy encoding. (go/protodosdonts#do-include-an-unspecified-value-in-an-enum)", "Raw HTML string.", "JSON-encoded string.", "Websafe encoded zlib-compressed string.", "Websafe encoded brotli-compressed string." ] }, "componentId": { "type": "string", "description": "The internal component id for which debug information is sent." }, "data": { "type": "string", "description": "The encoded debug information." }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id.", "type": "string" }, "workerId": { "type": "string", "description": "The worker id, i.e., VM hostname." } }, "type": "object", "description": "Request to send encoded debug information. Next ID: 8", "id": "SendDebugCaptureRequest" }, "PubsubLocation": { "description": "Identifies a pubsub location to use for transferring data into or out of a streaming Dataflow job.", "properties": { "topic": { "type": "string", "description": "A pubsub topic, in the form of \"pubsub.googleapis.com/topics//\"" }, "dropLateData": { "type": "boolean", "description": "Indicates whether the pipeline allows late-arriving data." }, "withAttributes": { "description": "If true, then the client has requested to get pubsub attributes.", "type": "boolean" }, "trackingSubscription": { "type": "string", "description": "If set, specifies the pubsub subscription that will be used for tracking custom time timestamps for watermark estimation." }, "timestampLabel": { "description": "If set, contains a pubsub label from which to extract record timestamps. If left empty, record timestamps will be generated upon arrival.", "type": "string" }, "idLabel": { "description": "If set, contains a pubsub label from which to extract record ids. If left empty, record deduplication will be strictly best effort.", "type": "string" }, "subscription": { "type": "string", "description": "A pubsub subscription, in the form of \"pubsub.googleapis.com/subscriptions//\"" } }, "id": "PubsubLocation", "type": "object" }, "BigQueryIODetails": { "description": "Metadata for a BigQuery connector used by the job.", "id": "BigQueryIODetails", "type": "object", "properties": { "table": { "type": "string", "description": "Table accessed in the connection." }, "query": { "description": "Query used to access data in the connection.", "type": "string" }, "projectId": { "type": "string", "description": "Project accessed in the connection." }, "dataset": { "description": "Dataset accessed in the connection.", "type": "string" } } }, "SendWorkerMessagesRequest": { "description": "A request for sending worker messages to the service.", "properties": { "workerMessages": { "type": "array", "description": "The WorkerMessages to send.", "items": { "$ref": "WorkerMessage" } }, "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job." } }, "type": "object", "id": "SendWorkerMessagesRequest" }, "AutoscalingEvent": { "properties": { "targetNumWorkers": { "type": "string", "description": "The target number of workers the worker pool wants to resize to use.", "format": "int64" }, "workerPool": { "description": "A short and friendly name for the worker pool this event refers to.", "type": "string" }, "description": { "description": "A message describing why the system decided to adjust the current number of workers, why it failed, or why the system decided to not make any changes to the number of workers.", "$ref": "StructuredMessage" }, "time": { "description": "The time this event was emitted to indicate a new target or current num_workers value.", "format": "google-datetime", "type": "string" }, "eventType": { "type": "string", "enum": [ "TYPE_UNKNOWN", "TARGET_NUM_WORKERS_CHANGED", "CURRENT_NUM_WORKERS_CHANGED", "ACTUATION_FAILURE", "NO_CHANGE" ], "description": "The type of autoscaling event to report.", "enumDescriptions": [ "Default type for the enum. Value should never be returned.", "The TARGET_NUM_WORKERS_CHANGED type should be used when the target worker pool size has changed at the start of an actuation. An event should always be specified as TARGET_NUM_WORKERS_CHANGED if it reflects a change in the target_num_workers.", "The CURRENT_NUM_WORKERS_CHANGED type should be used when actual worker pool size has been changed, but the target_num_workers has not changed.", "The ACTUATION_FAILURE type should be used when we want to report an error to the user indicating why the current number of workers in the pool could not be changed. Displayed in the current status and history widgets.", "Used when we want to report to the user a reason why we are not currently adjusting the number of workers. Should specify both target_num_workers, current_num_workers and a decision_message." ] }, "currentNumWorkers": { "description": "The current number of workers the job has.", "type": "string", "format": "int64" } }, "id": "AutoscalingEvent", "type": "object", "description": "A structured message reporting an autoscaling decision made by the Dataflow service." }, "WorkerLifecycleEvent": { "type": "object", "id": "WorkerLifecycleEvent", "description": "A report of an event in a worker's lifecycle. The proto contains one event, because the worker is expected to asynchronously send each message immediately after the event. Due to this asynchrony, messages may arrive out of order (or missing), and it is up to the consumer to interpret. The timestamp of the event is in the enclosing WorkerMessage proto.", "properties": { "metadata": { "type": "object", "description": "Other stats that can accompany an event. E.g. { \"downloaded_bytes\" : \"123456\" }", "additionalProperties": { "type": "string" } }, "event": { "enumDescriptions": [ "Invalid event.", "The time the VM started.", "Our container code starts running. Multiple containers could be distinguished with WorkerMessage.labels if desired.", "The worker has a functional external network connection.", "Started downloading staging files.", "Finished downloading all staging files.", "For applicable SDKs, started installation of SDK and worker packages.", "Finished installing SDK." ], "enum": [ "UNKNOWN_EVENT", "OS_START", "CONTAINER_START", "NETWORK_UP", "STAGING_FILES_DOWNLOAD_START", "STAGING_FILES_DOWNLOAD_FINISH", "SDK_INSTALL_START", "SDK_INSTALL_FINISH" ], "type": "string", "description": "The event being reported." }, "containerStartTime": { "format": "google-datetime", "type": "string", "description": "The start time of this container. All events will report this so that events can be grouped together across container/VM restarts." } } }, "StateFamilyConfig": { "id": "StateFamilyConfig", "type": "object", "description": "State family configuration.", "properties": { "stateFamily": { "type": "string", "description": "The state family value." }, "isRead": { "type": "boolean", "description": "If true, this family corresponds to a read operation." } } }, "ParDoInstruction": { "id": "ParDoInstruction", "properties": { "input": { "$ref": "InstructionInput", "description": "The input." }, "sideInputs": { "items": { "$ref": "SideInputInfo" }, "type": "array", "description": "Zero or more side inputs." }, "userFn": { "type": "object", "description": "The user function to invoke.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "multiOutputInfos": { "description": "Information about each of the outputs, if user_fn is a MultiDoFn.", "items": { "$ref": "MultiOutputInfo" }, "type": "array" }, "numOutputs": { "description": "The number of outputs.", "format": "int32", "type": "integer" } }, "description": "An instruction that does a ParDo operation. Takes one main input and zero or more side inputs, and produces zero or more outputs. Runs user code.", "type": "object" }, "ApproximateReportedProgress": { "description": "A progress measurement of a WorkItem by a worker.", "type": "object", "id": "ApproximateReportedProgress", "properties": { "fractionConsumed": { "type": "number", "description": "Completion as fraction of the input consumed, from 0.0 (beginning, nothing consumed), to 1.0 (end of the input, entire input consumed).", "format": "double" }, "consumedParallelism": { "$ref": "ReportedParallelism", "description": "Total amount of parallelism in the portion of input of this task that has already been consumed and is no longer active. In the first two examples above (see remaining_parallelism), the value should be 29 or 2 respectively. The sum of remaining_parallelism and consumed_parallelism should equal the total amount of parallelism in this work item. If specified, must be finite." }, "remainingParallelism": { "$ref": "ReportedParallelism", "description": "Total amount of parallelism in the input of this task that remains, (i.e. can be delegated to this task and any new tasks via dynamic splitting). Always at least 1 for non-finished work items and 0 for finished. \"Amount of parallelism\" refers to how many non-empty parts of the input can be read in parallel. This does not necessarily equal number of records. An input that can be read in parallel down to the individual records is called \"perfectly splittable\". An example of non-perfectly parallelizable input is a block-compressed file format where a block of records has to be read as a whole, but different blocks can be read in parallel. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If we are processing record #30 (starting at 1) out of 50 in a perfectly splittable 50-record input, this value should be 21 (20 remaining + 1 current). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If we are reading through block 3 in a block-compressed file consisting of 5 blocks, this value should be 3 (since blocks 4 and 5 can be processed in parallel by new tasks via dynamic splitting and the current task remains processing block 3). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If we are reading through the last block in a block-compressed file, or reading or processing the last record in a perfectly splittable input, this value should be 1, because apart from the current task, no additional remainder can be split off." }, "position": { "$ref": "Position", "description": "A Position within the work to represent a progress." } } }, "DistributionUpdate": { "properties": { "max": { "$ref": "SplitInt64", "description": "The maximum value present in the distribution." }, "sum": { "$ref": "SplitInt64", "description": "Use an int64 since we'd prefer the added precision. If overflow is a common problem we can detect it and use an additional int64 or a double." }, "min": { "$ref": "SplitInt64", "description": "The minimum value present in the distribution." }, "count": { "description": "The count of the number of elements present in the distribution.", "$ref": "SplitInt64" }, "histogram": { "$ref": "Histogram", "description": "(Optional) Histogram of value counts for the distribution." }, "sumOfSquares": { "description": "Use a double since the sum of squares is likely to overflow int64.", "type": "number", "format": "double" } }, "description": "A metric value representing a distribution.", "type": "object", "id": "DistributionUpdate" }, "SDKInfo": { "id": "SDKInfo", "type": "object", "properties": { "version": { "description": "Optional. The SDK version.", "type": "string" }, "language": { "description": "Required. The SDK Language.", "type": "string", "enumDescriptions": [ "UNKNOWN Language.", "Java.", "Python." ], "enum": [ "UNKNOWN", "JAVA", "PYTHON" ] } }, "description": "SDK Information." }, "InstructionOutput": { "type": "object", "description": "An output of an instruction.", "id": "InstructionOutput", "properties": { "onlyCountKeyBytes": { "type": "boolean", "description": "For system-generated byte and mean byte metrics, certain instructions should only report the key size." }, "systemName": { "type": "string", "description": "System-defined name of this output. Unique across the workflow." }, "name": { "description": "The user-provided name of this output.", "type": "string" }, "onlyCountValueBytes": { "description": "For system-generated byte and mean byte metrics, certain instructions should only report the value size.", "type": "boolean" }, "originalName": { "type": "string", "description": "System-defined name for this output in the original workflow graph. Outputs that do not contribute to an original instruction do not set this." }, "codec": { "description": "The codec to use to encode data being written via this output.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } } }, "StreamingComputationConfig": { "properties": { "instructions": { "type": "array", "description": "Instructions that comprise the computation.", "items": { "$ref": "ParallelInstruction" } }, "systemName": { "description": "System defined name for this computation.", "type": "string" }, "computationId": { "description": "Unique identifier for this computation.", "type": "string" }, "transformUserNameToStateFamily": { "type": "object", "description": "Map from user name of stateful transforms in this stage to their state family.", "additionalProperties": { "type": "string" } }, "stageName": { "description": "Stage name of this computation.", "type": "string" } }, "description": "Configuration information for a single streaming computation.", "id": "StreamingComputationConfig", "type": "object" }, "StreamingApplianceSnapshotConfig": { "description": "Streaming appliance snapshot configuration.", "type": "object", "id": "StreamingApplianceSnapshotConfig", "properties": { "snapshotId": { "type": "string", "description": "If set, indicates the snapshot id for the snapshot being performed." }, "importStateEndpoint": { "type": "string", "description": "Indicates which endpoint is used to import appliance state." } } }, "ExecutionStageState": { "properties": { "currentStateTime": { "type": "string", "description": "The time at which the stage transitioned to this state.", "format": "google-datetime" }, "executionStageState": { "type": "string", "enumDescriptions": [ "The job's run state isn't specified.", "`JOB_STATE_STOPPED` indicates that the job has not yet started to run.", "`JOB_STATE_RUNNING` indicates that the job is currently running.", "`JOB_STATE_DONE` indicates that the job has successfully completed. This is a terminal job state. This state may be set by the Cloud Dataflow service, as a transition from `JOB_STATE_RUNNING`. It may also be set via a Cloud Dataflow `UpdateJob` call, if the job has not yet reached a terminal state.", "`JOB_STATE_FAILED` indicates that the job has failed. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_CANCELLED` indicates that the job has been explicitly cancelled. This is a terminal job state. This state may only be set via a Cloud Dataflow `UpdateJob` call, and only if the job has not yet reached another terminal state.", "`JOB_STATE_UPDATED` indicates that the job was successfully updated, meaning that this job was stopped and another job was started, inheriting state from this one. This is a terminal job state. This state may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_RUNNING`.", "`JOB_STATE_DRAINING` indicates that the job is in the process of draining. A draining job has stopped pulling from its input sources and is processing any data that remains in-flight. This state may be set via a Cloud Dataflow `UpdateJob` call, but only as a transition from `JOB_STATE_RUNNING`. Jobs that are draining may only transition to `JOB_STATE_DRAINED`, `JOB_STATE_CANCELLED`, or `JOB_STATE_FAILED`.", "`JOB_STATE_DRAINED` indicates that the job has been drained. A drained job terminated by stopping pulling from its input sources and processing any data that remained in-flight when draining was requested. This state is a terminal state, may only be set by the Cloud Dataflow service, and only as a transition from `JOB_STATE_DRAINING`.", "`JOB_STATE_PENDING` indicates that the job has been created but is not yet running. Jobs that are pending may only transition to `JOB_STATE_RUNNING`, or `JOB_STATE_FAILED`.", "`JOB_STATE_CANCELLING` indicates that the job has been explicitly cancelled and is in the process of stopping. Jobs that are cancelling may only transition to `JOB_STATE_CANCELLED` or `JOB_STATE_FAILED`.", "`JOB_STATE_QUEUED` indicates that the job has been created but is being delayed until launch. Jobs that are queued may only transition to `JOB_STATE_PENDING` or `JOB_STATE_CANCELLED`.", "`JOB_STATE_RESOURCE_CLEANING_UP` indicates that the batch job's associated resources are currently being cleaned up after a successful run. Currently, this is an opt-in feature, please reach out to Cloud support team if you are interested." ], "description": "Executions stage states allow the same set of values as JobState.", "enum": [ "JOB_STATE_UNKNOWN", "JOB_STATE_STOPPED", "JOB_STATE_RUNNING", "JOB_STATE_DONE", "JOB_STATE_FAILED", "JOB_STATE_CANCELLED", "JOB_STATE_UPDATED", "JOB_STATE_DRAINING", "JOB_STATE_DRAINED", "JOB_STATE_PENDING", "JOB_STATE_CANCELLING", "JOB_STATE_QUEUED", "JOB_STATE_RESOURCE_CLEANING_UP" ] }, "executionStageName": { "description": "The name of the execution stage.", "type": "string" } }, "id": "ExecutionStageState", "type": "object", "description": "A message describing the state of a particular execution stage." }, "DisplayData": { "id": "DisplayData", "description": "Data provided with a pipeline or transform to provide descriptive info.", "properties": { "key": { "type": "string", "description": "The key identifying the display data. This is intended to be used as a label for the display data when viewed in a dax monitoring system." }, "namespace": { "type": "string", "description": "The namespace for the key. This is usually a class name or programming language namespace (i.e. python module) which defines the display data. This allows a dax monitoring system to specially handle the data and perform custom rendering." }, "timestampValue": { "format": "google-datetime", "description": "Contains value if the data is of timestamp type.", "type": "string" }, "floatValue": { "type": "number", "format": "float", "description": "Contains value if the data is of float type." }, "javaClassValue": { "type": "string", "description": "Contains value if the data is of java class type." }, "url": { "type": "string", "description": "An optional full URL." }, "label": { "description": "An optional label to display in a dax UI for the element.", "type": "string" }, "shortStrValue": { "type": "string", "description": "A possible additional shorter value to display. For example a java_class_name_value of com.mypackage.MyDoFn will be stored with MyDoFn as the short_str_value and com.mypackage.MyDoFn as the java_class_name value. short_str_value can be displayed and java_class_name_value will be displayed as a tooltip." }, "boolValue": { "description": "Contains value if the data is of a boolean type.", "type": "boolean" }, "int64Value": { "format": "int64", "type": "string", "description": "Contains value if the data is of int64 type." }, "durationValue": { "description": "Contains value if the data is of duration type.", "format": "google-duration", "type": "string" }, "strValue": { "description": "Contains value if the data is of string type.", "type": "string" } }, "type": "object" }, "WorkerMessageCode": { "description": "A message code is used to report status and error messages to the service. The message codes are intended to be machine readable. The service will take care of translating these into user understandable messages if necessary. Example use cases: 1. Worker processes reporting successful startup. 2. Worker processes reporting specific errors (e.g. package staging failure).", "id": "WorkerMessageCode", "type": "object", "properties": { "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Parameters contains specific information about the code. This is a struct to allow parameters of different types. Examples: 1. For a \"HARNESS_STARTED\" message parameters might provide the name of the worker and additional data like timing information. 2. For a \"GCS_DOWNLOAD_ERROR\" parameters might contain fields listing the Cloud Storage objects being downloaded and fields containing errors. In general complex data structures should be avoided. If a worker needs to send a specific and complicated data structure then please consider defining a new proto and adding it to the data oneof in WorkerMessageResponse. Conventions: Parameters should only be used for information that isn't typically passed as a label. hostname and other worker identifiers should almost always be passed as labels since they will be included on most messages.", "type": "object" }, "code": { "description": "The code is a string intended for consumption by a machine that identifies the type of message being sent. Examples: 1. \"HARNESS_STARTED\" might be used to indicate the worker harness has started. 2. \"GCS_DOWNLOAD_ERROR\" might be used to indicate an error downloading a Cloud Storage file as part of the boot process of one of the worker containers. This is a string and not an enum to make it easy to add new codes without waiting for an API change.", "type": "string" } } }, "HotKeyDetection": { "id": "HotKeyDetection", "description": "Proto describing a hot key detected on a given WorkItem.", "type": "object", "properties": { "systemName": { "type": "string", "description": "System-defined name of the step containing this hot key. Unique across the workflow." }, "hotKeyAge": { "description": "The age of the hot key measured from when it was first detected.", "type": "string", "format": "google-duration" }, "userStepName": { "type": "string", "description": "User-provided name of the step that contains this hot key." } } }, "ListSnapshotsResponse": { "properties": { "snapshots": { "items": { "$ref": "Snapshot" }, "type": "array", "description": "Returned snapshots." } }, "id": "ListSnapshotsResponse", "description": "List of snapshots.", "type": "object" }, "DebugOptions": { "id": "DebugOptions", "properties": { "enableHotKeyLogging": { "type": "boolean", "description": "When true, enables the logging of the literal hot key to the user's Cloud Logging." } }, "description": "Describes any options that have an effect on the debugging of pipelines.", "type": "object" }, "StreamingSetupTask": { "type": "object", "properties": { "snapshotConfig": { "$ref": "StreamingApplianceSnapshotConfig", "description": "Configures streaming appliance snapshot." }, "drain": { "type": "boolean", "description": "The user has requested drain." }, "streamingComputationTopology": { "description": "The global topology of the streaming Dataflow job.", "$ref": "TopologyConfig" }, "receiveWorkPort": { "type": "integer", "description": "The TCP port on which the worker should listen for messages from other streaming computation workers.", "format": "int32" }, "workerHarnessPort": { "description": "The TCP port used by the worker to communicate with the Dataflow worker harness.", "format": "int32", "type": "integer" } }, "description": "A task which initializes part of a streaming Dataflow job.", "id": "StreamingSetupTask" }, "JobMetadata": { "id": "JobMetadata", "properties": { "pubsubDetails": { "description": "Identification of a Pub/Sub source used in the Dataflow job.", "type": "array", "items": { "$ref": "PubSubIODetails" } }, "sdkVersion": { "$ref": "SdkVersion", "description": "The SDK version used to run the job." }, "spannerDetails": { "items": { "$ref": "SpannerIODetails" }, "type": "array", "description": "Identification of a Spanner source used in the Dataflow job." }, "fileDetails": { "type": "array", "description": "Identification of a File source used in the Dataflow job.", "items": { "$ref": "FileIODetails" } }, "datastoreDetails": { "type": "array", "description": "Identification of a Datastore source used in the Dataflow job.", "items": { "$ref": "DatastoreIODetails" } }, "bigqueryDetails": { "description": "Identification of a BigQuery source used in the Dataflow job.", "items": { "$ref": "BigQueryIODetails" }, "type": "array" }, "bigTableDetails": { "description": "Identification of a Cloud Bigtable source used in the Dataflow job.", "type": "array", "items": { "$ref": "BigTableIODetails" } } }, "description": "Metadata available primarily for filtering jobs. Will be included in the ListJob response and Job SUMMARY view.", "type": "object" }, "QueryInfo": { "description": "Information about a validated query.", "properties": { "queryProperty": { "type": "array", "description": "Includes an entry for each satisfied QueryProperty.", "items": { "type": "string", "enumDescriptions": [ "The query property is unknown or unspecified.", "Indicates this query reads from \u003e= 1 unbounded source." ], "enum": [ "QUERY_PROPERTY_UNSPECIFIED", "HAS_UNBOUNDED_SOURCE" ] } } }, "type": "object", "id": "QueryInfo" }, "SeqMapTaskOutputInfo": { "type": "object", "id": "SeqMapTaskOutputInfo", "properties": { "sink": { "description": "The sink to write the output value to.", "$ref": "Sink" }, "tag": { "type": "string", "description": "The id of the TupleTag the user code will tag the output value by." } }, "description": "Information about an output of a SeqMapTask." }, "CounterMetadata": { "description": "CounterMetadata includes all static non-name non-value counter attributes.", "type": "object", "properties": { "standardUnits": { "enumDescriptions": [ "Counter returns a value in bytes.", "Counter returns a value in bytes per second.", "Counter returns a value in milliseconds.", "Counter returns a value in microseconds.", "Counter returns a value in nanoseconds.", "Counter returns a timestamp in milliseconds.", "Counter returns a timestamp in microseconds.", "Counter returns a timestamp in nanoseconds." ], "description": "System defined Units, see above enum.", "type": "string", "enum": [ "BYTES", "BYTES_PER_SEC", "MILLISECONDS", "MICROSECONDS", "NANOSECONDS", "TIMESTAMP_MSEC", "TIMESTAMP_USEC", "TIMESTAMP_NSEC" ] }, "description": { "description": "Human-readable description of the counter semantics.", "type": "string" }, "otherUnits": { "description": "A string referring to the unit type.", "type": "string" }, "kind": { "enum": [ "INVALID", "SUM", "MAX", "MIN", "MEAN", "OR", "AND", "SET", "DISTRIBUTION", "LATEST_VALUE" ], "type": "string", "description": "Counter aggregation kind.", "enumDescriptions": [ "Counter aggregation kind was not set.", "Aggregated value is the sum of all contributed values.", "Aggregated value is the max of all contributed values.", "Aggregated value is the min of all contributed values.", "Aggregated value is the mean of all contributed values.", "Aggregated value represents the logical 'or' of all contributed values.", "Aggregated value represents the logical 'and' of all contributed values.", "Aggregated value is a set of unique contributed values.", "Aggregated value captures statistics about a distribution.", "Aggregated value tracks the latest value of a variable." ] } }, "id": "CounterMetadata" }, "CreateJobFromTemplateRequest": { "id": "CreateJobFromTemplateRequest", "properties": { "gcsPath": { "description": "Required. A Cloud Storage path to the template from which to create the job. Must be a valid Cloud Storage URL, beginning with `gs://`.", "type": "string" }, "environment": { "description": "The runtime environment for the job.", "$ref": "RuntimeEnvironment" }, "jobName": { "description": "Required. The job name to use for the created job.", "type": "string" }, "location": { "type": "string", "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request." }, "parameters": { "type": "object", "description": "The runtime parameters to pass to the job.", "additionalProperties": { "type": "string" } } }, "type": "object", "description": "A request to create a Cloud Dataflow job from a template." }, "MultiOutputInfo": { "type": "object", "id": "MultiOutputInfo", "properties": { "tag": { "description": "The id of the tag the user code will emit to this output by; this should correspond to the tag of some SideInputInfo.", "type": "string" } }, "description": "Information about an output of a multi-output DoFn." }, "NameAndKind": { "type": "object", "description": "Basic metadata about a counter.", "properties": { "name": { "type": "string", "description": "Name of the counter." }, "kind": { "type": "string", "enumDescriptions": [ "Counter aggregation kind was not set.", "Aggregated value is the sum of all contributed values.", "Aggregated value is the max of all contributed values.", "Aggregated value is the min of all contributed values.", "Aggregated value is the mean of all contributed values.", "Aggregated value represents the logical 'or' of all contributed values.", "Aggregated value represents the logical 'and' of all contributed values.", "Aggregated value is a set of unique contributed values.", "Aggregated value captures statistics about a distribution.", "Aggregated value tracks the latest value of a variable." ], "description": "Counter aggregation kind.", "enum": [ "INVALID", "SUM", "MAX", "MIN", "MEAN", "OR", "AND", "SET", "DISTRIBUTION", "LATEST_VALUE" ] } }, "id": "NameAndKind" }, "ReadInstruction": { "id": "ReadInstruction", "type": "object", "properties": { "source": { "$ref": "Source", "description": "The source to read from." } }, "description": "An instruction that reads records. Takes no inputs, produces one output." }, "LeaseWorkItemResponse": { "id": "LeaseWorkItemResponse", "description": "Response to a request to lease WorkItems.", "properties": { "unifiedWorkerResponse": { "description": "Untranslated bag-of-bytes WorkResponse for UnifiedWorker.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "workItems": { "items": { "$ref": "WorkItem" }, "description": "A list of the leased WorkItems.", "type": "array" } }, "type": "object" }, "IntegerGauge": { "description": "A metric value representing temporal values of a variable.", "id": "IntegerGauge", "properties": { "timestamp": { "type": "string", "description": "The time at which this value was measured. Measured as msecs from epoch.", "format": "google-datetime" }, "value": { "$ref": "SplitInt64", "description": "The value of the variable represented by this gauge." } }, "type": "object" }, "SourceGetMetadataRequest": { "properties": { "source": { "$ref": "Source", "description": "Specification of the source whose metadata should be computed." } }, "type": "object", "description": "A request to compute the SourceMetadata of a Source.", "id": "SourceGetMetadataRequest" }, "MapTask": { "description": "MapTask consists of an ordered set of instructions, each of which describes one particular low-level operation for the worker to perform in order to accomplish the MapTask's WorkItem. Each instruction must appear in the list before any instructions which depends on its output.", "type": "object", "properties": { "systemName": { "type": "string", "description": "System-defined name of this MapTask. Unique across the workflow." }, "instructions": { "type": "array", "items": { "$ref": "ParallelInstruction" }, "description": "The instructions in the MapTask." }, "stageName": { "type": "string", "description": "System-defined name of the stage containing this MapTask. Unique across the workflow." }, "counterPrefix": { "description": "Counter prefix that can be used to prefix counters. Not currently used in Dataflow.", "type": "string" } }, "id": "MapTask" }, "SeqMapTask": { "description": "Describes a particular function to invoke.", "properties": { "systemName": { "description": "System-defined name of the SeqDo operation. Unique across the workflow.", "type": "string" }, "name": { "description": "The user-provided name of the SeqDo operation.", "type": "string" }, "stageName": { "description": "System-defined name of the stage containing the SeqDo operation. Unique across the workflow.", "type": "string" }, "userFn": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The user function to invoke." }, "outputInfos": { "description": "Information about each of the outputs.", "type": "array", "items": { "$ref": "SeqMapTaskOutputInfo" } }, "inputs": { "type": "array", "items": { "$ref": "SideInputInfo" }, "description": "Information about each of the inputs." } }, "type": "object", "id": "SeqMapTask" }, "DeleteSnapshotResponse": { "properties": {}, "type": "object", "id": "DeleteSnapshotResponse", "description": "Response from deleting a snapshot." }, "WorkItem": { "description": "WorkItem represents basic information about a WorkItem to be executed in the cloud.", "id": "WorkItem", "type": "object", "properties": { "seqMapTask": { "description": "Additional information for SeqMapTask WorkItems.", "$ref": "SeqMapTask" }, "jobId": { "description": "Identifies the workflow job this WorkItem belongs to.", "type": "string" }, "packages": { "type": "array", "items": { "$ref": "Package" }, "description": "Any required packages that need to be fetched in order to execute this WorkItem." }, "projectId": { "description": "Identifies the cloud project this WorkItem belongs to.", "type": "string" }, "configuration": { "type": "string", "description": "Work item-specific configuration as an opaque blob." }, "streamingConfigTask": { "$ref": "StreamingConfigTask", "description": "Additional information for StreamingConfigTask WorkItems." }, "streamingComputationTask": { "$ref": "StreamingComputationTask", "description": "Additional information for StreamingComputationTask WorkItems." }, "shellTask": { "description": "Additional information for ShellTask WorkItems.", "$ref": "ShellTask" }, "reportStatusInterval": { "format": "google-duration", "description": "Recommended reporting interval.", "type": "string" }, "sourceOperationTask": { "$ref": "SourceOperationRequest", "description": "Additional information for source operation WorkItems." }, "leaseExpireTime": { "description": "Time when the lease on this Work will expire.", "format": "google-datetime", "type": "string" }, "streamingSetupTask": { "$ref": "StreamingSetupTask", "description": "Additional information for StreamingSetupTask WorkItems." }, "id": { "description": "Identifies this WorkItem.", "type": "string", "format": "int64" }, "mapTask": { "description": "Additional information for MapTask WorkItems.", "$ref": "MapTask" }, "initialReportIndex": { "type": "string", "description": "The initial index to use when reporting the status of the WorkItem.", "format": "int64" } } }, "ReportWorkItemStatusResponse": { "id": "ReportWorkItemStatusResponse", "type": "object", "properties": { "unifiedWorkerResponse": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Untranslated bag-of-bytes WorkProgressUpdateResponse for UnifiedWorker." }, "workItemServiceStates": { "items": { "$ref": "WorkItemServiceState" }, "description": "A set of messages indicating the service-side state for each WorkItem whose status was reported, in the same order as the WorkItemStatus messages in the ReportWorkItemStatusRequest which resulting in this response.", "type": "array" } }, "description": "Response from a request to report the status of WorkItems." }, "TopologyConfig": { "description": "Global topology of the streaming Dataflow job, including all computations and their sharded locations.", "id": "TopologyConfig", "type": "object", "properties": { "dataDiskAssignments": { "description": "The disks assigned to a streaming Dataflow job.", "type": "array", "items": { "$ref": "DataDiskAssignment" } }, "computations": { "description": "The computations associated with a streaming Dataflow job.", "type": "array", "items": { "$ref": "ComputationTopology" } }, "persistentStateVersion": { "description": "Version number for persistent state.", "type": "integer", "format": "int32" }, "forwardingKeyBits": { "format": "int32", "description": "The size (in bits) of keys that will be assigned to source messages.", "type": "integer" }, "userStageToComputationNameMap": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Maps user stage names to stable computation names." } } }, "DataDiskAssignment": { "properties": { "vmInstance": { "type": "string", "description": "VM instance name the data disks mounted to, for example \"myproject-1014-104817-4c2-harness-0\"." }, "dataDisks": { "type": "array", "items": { "type": "string" }, "description": "Mounted data disks. The order is important a data disk's 0-based index in this list defines which persistent directory the disk is mounted to, for example the list of { \"myproject-1014-104817-4c2-harness-0-disk-0\" }, { \"myproject-1014-104817-4c2-harness-0-disk-1\" }." } }, "id": "DataDiskAssignment", "type": "object", "description": "Data disk assignment for a given VM instance." }, "CustomSourceLocation": { "type": "object", "description": "Identifies the location of a custom souce.", "id": "CustomSourceLocation", "properties": { "stateful": { "description": "Whether this source is stateful.", "type": "boolean" } } }, "WorkerSettings": { "description": "Provides data to pass through to the worker harness.", "id": "WorkerSettings", "properties": { "tempStoragePrefix": { "type": "string", "description": "The prefix of the resources the system should use for temporary storage. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object}" }, "servicePath": { "type": "string", "description": "The Cloud Dataflow service path relative to the root URL, for example, \"dataflow/v1b3/projects\"." }, "reportingEnabled": { "type": "boolean", "description": "Whether to send work progress updates to the service." }, "baseUrl": { "description": "The base URL for accessing Google Cloud APIs. When workers access Google Cloud APIs, they logically do so via relative URLs. If this field is specified, it supplies the base URL to use for resolving these relative URLs. The normative algorithm used is defined by RFC 1808, \"Relative Uniform Resource Locators\". If not specified, the default value is \"http://www.googleapis.com/\"", "type": "string" }, "shuffleServicePath": { "type": "string", "description": "The Shuffle service path relative to the root URL, for example, \"shuffle/v1beta1\"." }, "workerId": { "description": "The ID of the worker running this pipeline.", "type": "string" } }, "type": "object" }, "FlattenInstruction": { "type": "object", "description": "An instruction that copies its inputs (zero or more) to its (single) output.", "properties": { "inputs": { "items": { "$ref": "InstructionInput" }, "description": "Describes the inputs to the flatten instruction.", "type": "array" } }, "id": "FlattenInstruction" }, "InstructionInput": { "description": "An input of an instruction, as a reference to an output of a producer instruction.", "id": "InstructionInput", "properties": { "producerInstructionIndex": { "format": "int32", "type": "integer", "description": "The index (origin zero) of the parallel instruction that produces the output to be consumed by this input. This index is relative to the list of instructions in this input's instruction's containing MapTask." }, "outputNum": { "type": "integer", "description": "The output index (origin zero) within the producer.", "format": "int32" } }, "type": "object" }, "PipelineDescription": { "type": "object", "description": "A descriptive representation of submitted pipeline as well as the executed form. This data is provided by the Dataflow service for ease of visualizing the pipeline and interpreting Dataflow provided metrics.", "properties": { "originalPipelineTransform": { "items": { "$ref": "TransformSummary" }, "description": "Description of each transform in the pipeline and collections between them.", "type": "array" }, "displayData": { "items": { "$ref": "DisplayData" }, "type": "array", "description": "Pipeline level display data." }, "executionPipelineStage": { "items": { "$ref": "ExecutionStageSummary" }, "description": "Description of each stage of execution of the pipeline.", "type": "array" } }, "id": "PipelineDescription" }, "LaunchFlexTemplateResponse": { "properties": { "job": { "description": "The job that was launched, if the request was not a dry run and the job was successfully launched.", "$ref": "Job" } }, "id": "LaunchFlexTemplateResponse", "type": "object", "description": "Response to the request to launch a job from Flex Template." }, "DerivedSource": { "type": "object", "properties": { "source": { "$ref": "Source", "description": "Specification of the source." }, "derivationMode": { "type": "string", "enum": [ "SOURCE_DERIVATION_MODE_UNKNOWN", "SOURCE_DERIVATION_MODE_INDEPENDENT", "SOURCE_DERIVATION_MODE_CHILD_OF_CURRENT", "SOURCE_DERIVATION_MODE_SIBLING_OF_CURRENT" ], "enumDescriptions": [ "The source derivation is unknown, or unspecified.", "Produce a completely independent Source with no base.", "Produce a Source based on the Source being split.", "Produce a Source based on the base of the Source being split." ], "description": "What source to base the produced source on (if any)." } }, "description": "Specification of one of the bundles produced as a result of splitting a Source (e.g. when executing a SourceSplitRequest, or when splitting an active task using WorkItemStatus.dynamic_source_split), relative to the source being split.", "id": "DerivedSource" }, "ParameterMetadata": { "id": "ParameterMetadata", "description": "Metadata for a specific parameter.", "properties": { "label": { "description": "Required. The label to display for the parameter.", "type": "string" }, "name": { "type": "string", "description": "Required. The name of the parameter." }, "regexes": { "description": "Optional. Regexes that the parameter must match.", "items": { "type": "string" }, "type": "array" }, "isOptional": { "description": "Optional. Whether the parameter is optional. Defaults to false.", "type": "boolean" }, "helpText": { "description": "Required. The help text to display for the parameter.", "type": "string" }, "customMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Additional metadata for describing this parameter." }, "paramType": { "type": "string", "description": "Optional. The type of the parameter. Used for selecting input picker.", "enum": [ "DEFAULT", "TEXT", "GCS_READ_BUCKET", "GCS_WRITE_BUCKET", "GCS_READ_FILE", "GCS_WRITE_FILE", "GCS_READ_FOLDER", "GCS_WRITE_FOLDER", "PUBSUB_TOPIC", "PUBSUB_SUBSCRIPTION" ], "enumDescriptions": [ "Default input type.", "The parameter specifies generic text input.", "The parameter specifies a Cloud Storage Bucket to read from.", "The parameter specifies a Cloud Storage Bucket to write to.", "The parameter specifies a Cloud Storage file path to read from.", "The parameter specifies a Cloud Storage file path to write to.", "The parameter specifies a Cloud Storage folder path to read from.", "The parameter specifies a Cloud Storage folder to write to.", "The parameter specifies a Pub/Sub Topic.", "The parameter specifies a Pub/Sub Subscription." ] } }, "type": "object" }, "StreamingComputationRanges": { "type": "object", "id": "StreamingComputationRanges", "properties": { "rangeAssignments": { "items": { "$ref": "KeyRangeDataDiskAssignment" }, "description": "Data disk assignments for ranges from this computation.", "type": "array" }, "computationId": { "type": "string", "description": "The ID of the computation." } }, "description": "Describes full or partial data disk assignment information of the computation ranges." }, "ReportedParallelism": { "type": "object", "description": "Represents the level of parallelism in a WorkItem's input, reported by the worker.", "id": "ReportedParallelism", "properties": { "isInfinite": { "type": "boolean", "description": "Specifies whether the parallelism is infinite. If true, \"value\" is ignored. Infinite parallelism means the service will assume that the work item can always be split into more non-empty work items by dynamic splitting. This is a work-around for lack of support for infinity by the current JSON-based Java RPC stack." }, "value": { "format": "double", "type": "number", "description": "Specifies the level of parallelism in case it is finite." } } }, "Position": { "type": "object", "id": "Position", "description": "Position defines a position within a collection of data. The value can be either the end position, a key (used with ordered collections), a byte offset, or a record index.", "properties": { "byteOffset": { "format": "int64", "type": "string", "description": "Position is a byte offset." }, "key": { "description": "Position is a string key, ordered lexicographically.", "type": "string" }, "end": { "description": "Position is past all other positions. Also useful for the end position of an unbounded range.", "type": "boolean" }, "recordIndex": { "format": "int64", "description": "Position is a record index.", "type": "string" }, "concatPosition": { "$ref": "ConcatPosition", "description": "CloudPosition is a concat position." }, "shufflePosition": { "type": "string", "description": "CloudPosition is a base64 encoded BatchShufflePosition (with FIXED sharding)." } } }, "StringList": { "id": "StringList", "properties": { "elements": { "description": "Elements of the list.", "items": { "type": "string" }, "type": "array" } }, "description": "A metric value representing a list of strings.", "type": "object" }, "Point": { "id": "Point", "description": "A point in the timeseries.", "properties": { "value": { "description": "The value of the point.", "type": "number", "format": "double" }, "time": { "format": "google-datetime", "type": "string", "description": "The timestamp of the point." } }, "type": "object" }, "ApproximateProgress": { "id": "ApproximateProgress", "properties": { "position": { "description": "Obsolete.", "$ref": "Position" }, "remainingTime": { "description": "Obsolete.", "type": "string", "format": "google-duration" }, "percentComplete": { "type": "number", "format": "float", "description": "Obsolete." } }, "description": "Obsolete in favor of ApproximateReportedProgress and ApproximateSplitRequest.", "type": "object" }, "FloatingPointMean": { "type": "object", "description": "A representation of a floating point mean metric contribution.", "id": "FloatingPointMean", "properties": { "sum": { "format": "double", "description": "The sum of all values being aggregated.", "type": "number" }, "count": { "$ref": "SplitInt64", "description": "The number of values being aggregated." } } }, "ComponentTransform": { "id": "ComponentTransform", "type": "object", "properties": { "userName": { "description": "Human-readable name for this transform; may be user or system generated.", "type": "string" }, "originalTransform": { "description": "User name for the original user transform with which this transform is most closely associated.", "type": "string" }, "name": { "type": "string", "description": "Dataflow service generated name for this source." } }, "description": "Description of a transform executed as part of an execution stage." }, "WorkerHealthReport": { "id": "WorkerHealthReport", "properties": { "vmStartupTime": { "description": "The time the VM was booted.", "type": "string", "format": "google-datetime" }, "vmIsBroken": { "description": "Whether the VM is in a permanently broken state. Broken VMs should be abandoned or deleted ASAP to avoid assigning or completing any work.", "type": "boolean" }, "reportInterval": { "type": "string", "format": "google-duration", "description": "The interval at which the worker is sending health reports. The default value of 0 should be interpreted as the field is not being explicitly set by the worker." }, "vmIsHealthy": { "description": "Whether the VM is currently healthy.", "type": "boolean" }, "pods": { "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "description": "The pods running on the worker. See: http://kubernetes.io/v1.1/docs/api-reference/v1/definitions.html#_v1_pod This field is used by the worker to send the status of the indvidual containers running on each worker." }, "msg": { "description": "Message describing any unusual health reports.", "type": "string" }, "vmBrokenCode": { "type": "string", "description": "Code to describe a specific reason, if known, that a VM has reported broken state." } }, "type": "object", "description": "WorkerHealthReport contains information about the health of a worker. The VM should be identified by the labels attached to the WorkerMessage that this health ping belongs to." }, "ApproximateSplitRequest": { "properties": { "position": { "$ref": "Position", "description": "A Position at which to split the work item." }, "fractionOfRemainder": { "format": "double", "description": "The fraction of the remainder of work to split the work item at, from 0.0 (split at the current position) to 1.0 (end of the input).", "type": "number" }, "fractionConsumed": { "description": "A fraction at which to split the work item, from 0.0 (beginning of the input) to 1.0 (end of the input).", "type": "number", "format": "double" } }, "description": "A suggestion by the service to the worker to dynamically split the WorkItem.", "type": "object", "id": "ApproximateSplitRequest" }, "Package": { "description": "The packages that must be installed in order for a worker to run the steps of the Cloud Dataflow job that will be assigned to its worker pool. This is the mechanism by which the Cloud Dataflow SDK causes code to be loaded onto the workers. For example, the Cloud Dataflow Java SDK might use this to install jars containing the user's code and all of the various dependencies (libraries, data files, etc.) required in order for that code to run.", "type": "object", "id": "Package", "properties": { "name": { "description": "The name of the package.", "type": "string" }, "location": { "description": "The resource to read the package from. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket} bucket.storage.googleapis.com/", "type": "string" } } }, "LeaseWorkItemRequest": { "properties": { "currentWorkerTime": { "format": "google-datetime", "type": "string", "description": "The current timestamp at the worker." }, "workItemTypes": { "description": "Filter for WorkItem type.", "type": "array", "items": { "type": "string" } }, "unifiedWorkerRequest": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Untranslated bag-of-bytes WorkRequest from UnifiedWorker." }, "requestedLeaseDuration": { "type": "string", "description": "The initial lease period.", "format": "google-duration" }, "workerCapabilities": { "description": "Worker capabilities. WorkItems might be limited to workers with specific capabilities.", "type": "array", "items": { "type": "string" } }, "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem's job.", "type": "string" }, "workerId": { "type": "string", "description": "Identifies the worker leasing work -- typically the ID of the virtual machine running the worker." } }, "id": "LeaseWorkItemRequest", "type": "object", "description": "Request to lease WorkItems." }, "TransformSummary": { "description": "Description of the type, names/ids, and input/outputs for a transform.", "type": "object", "id": "TransformSummary", "properties": { "id": { "type": "string", "description": "SDK generated id of this transform instance." }, "name": { "type": "string", "description": "User provided name for this transform instance." }, "outputCollectionName": { "type": "array", "items": { "type": "string" }, "description": "User names for all collection outputs to this transform." }, "displayData": { "items": { "$ref": "DisplayData" }, "description": "Transform-specific display data.", "type": "array" }, "kind": { "enumDescriptions": [ "Unrecognized transform type.", "ParDo transform.", "Group By Key transform.", "Flatten transform.", "Read transform.", "Write transform.", "Constructs from a constant value, such as with Create.of.", "Creates a Singleton view of a collection.", "Opening or closing a shuffle session, often as part of a GroupByKey." ], "enum": [ "UNKNOWN_KIND", "PAR_DO_KIND", "GROUP_BY_KEY_KIND", "FLATTEN_KIND", "READ_KIND", "WRITE_KIND", "CONSTANT_KIND", "SINGLETON_KIND", "SHUFFLE_KIND" ], "type": "string", "description": "Type of transform." }, "inputCollectionName": { "items": { "type": "string" }, "type": "array", "description": "User names for all collection inputs to this transform." } } }, "RuntimeMetadata": { "properties": { "parameters": { "description": "The parameters for the template.", "items": { "$ref": "ParameterMetadata" }, "type": "array" }, "sdkInfo": { "$ref": "SDKInfo", "description": "SDK Info for the template." } }, "type": "object", "id": "RuntimeMetadata", "description": "RuntimeMetadata describing a runtime environment." }, "SourceSplitResponse": { "id": "SourceSplitResponse", "properties": { "outcome": { "description": "Indicates whether splitting happened and produced a list of bundles. If this is USE_CURRENT_SOURCE_AS_IS, the current source should be processed \"as is\" without splitting. \"bundles\" is ignored in this case. If this is SPLITTING_HAPPENED, then \"bundles\" contains a list of bundles into which the source was split.", "type": "string", "enumDescriptions": [ "The source split outcome is unknown, or unspecified.", "The current source should be processed \"as is\" without splitting.", "Splitting produced a list of bundles." ], "enum": [ "SOURCE_SPLIT_OUTCOME_UNKNOWN", "SOURCE_SPLIT_OUTCOME_USE_CURRENT", "SOURCE_SPLIT_OUTCOME_SPLITTING_HAPPENED" ] }, "bundles": { "type": "array", "description": "If outcome is SPLITTING_HAPPENED, then this is a list of bundles into which the source was split. Otherwise this field is ignored. This list can be empty, which means the source represents an empty input.", "items": { "$ref": "DerivedSource" } }, "shards": { "type": "array", "description": "DEPRECATED in favor of bundles.", "items": { "$ref": "SourceSplitShard" } } }, "description": "The response to a SourceSplitRequest.", "type": "object" }, "JobExecutionInfo": { "description": "Additional information about how a Cloud Dataflow job will be executed that isn't contained in the submitted job.", "type": "object", "id": "JobExecutionInfo", "properties": { "stages": { "type": "object", "additionalProperties": { "$ref": "JobExecutionStageInfo" }, "description": "A mapping from each stage to the information about that stage." } } }, "PubSubIODetails": { "description": "Metadata for a Pub/Sub connector used by the job.", "properties": { "subscription": { "description": "Subscription used in the connection.", "type": "string" }, "topic": { "description": "Topic accessed in the connection.", "type": "string" } }, "type": "object", "id": "PubSubIODetails" }, "WorkItemDetails": { "description": "Information about an individual work item execution.", "type": "object", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "End time of this work item attempt. If the work item is completed, this is the actual end time of the work item. Otherwise, it is the predicted end time." }, "attemptId": { "description": "Attempt ID of this work item", "type": "string" }, "taskId": { "description": "Name of this work item.", "type": "string" }, "metrics": { "type": "array", "items": { "$ref": "MetricUpdate" }, "description": "Metrics for this work item." }, "progress": { "$ref": "ProgressTimeseries", "description": "Progress of this work item." }, "startTime": { "description": "Start time of this work item attempt.", "format": "google-datetime", "type": "string" }, "state": { "description": "State of this work item.", "type": "string", "enumDescriptions": [ "The component state is unknown or unspecified.", "The component is not yet running.", "The component is currently running.", "The component succeeded.", "The component failed.", "Execution of the component was cancelled." ], "enum": [ "EXECUTION_STATE_UNKNOWN", "EXECUTION_STATE_NOT_STARTED", "EXECUTION_STATE_RUNNING", "EXECUTION_STATE_SUCCEEDED", "EXECUTION_STATE_FAILED", "EXECUTION_STATE_CANCELLED" ] } }, "id": "WorkItemDetails" }, "MetricShortId": { "type": "object", "description": "The metric short id is returned to the user alongside an offset into ReportWorkItemStatusRequest", "properties": { "metricIndex": { "format": "int32", "description": "The index of the corresponding metric in the ReportWorkItemStatusRequest. Required.", "type": "integer" }, "shortId": { "type": "string", "description": "The service-generated short identifier for the metric.", "format": "int64" } }, "id": "MetricShortId" }, "SourceSplitShard": { "type": "object", "id": "SourceSplitShard", "properties": { "derivationMode": { "type": "string", "description": "DEPRECATED", "enum": [ "SOURCE_DERIVATION_MODE_UNKNOWN", "SOURCE_DERIVATION_MODE_INDEPENDENT", "SOURCE_DERIVATION_MODE_CHILD_OF_CURRENT", "SOURCE_DERIVATION_MODE_SIBLING_OF_CURRENT" ], "enumDescriptions": [ "The source derivation is unknown, or unspecified.", "Produce a completely independent Source with no base.", "Produce a Source based on the Source being split.", "Produce a Source based on the base of the Source being split." ] }, "source": { "description": "DEPRECATED", "$ref": "Source" } }, "description": "DEPRECATED in favor of DerivedSource." }, "SdkVersion": { "type": "object", "id": "SdkVersion", "properties": { "sdkSupportStatus": { "description": "The support status for this SDK version.", "enumDescriptions": [ "Cloud Dataflow is unaware of this version.", "This is a known version of an SDK, and is supported.", "A newer version of the SDK family exists, and an update is recommended.", "This version of the SDK is deprecated and will eventually be unsupported.", "Support for this SDK version has ended and it should no longer be used." ], "type": "string", "enum": [ "UNKNOWN", "SUPPORTED", "STALE", "DEPRECATED", "UNSUPPORTED" ] }, "version": { "type": "string", "description": "The version of the SDK used to run the job." }, "versionDisplayName": { "description": "A readable string describing the version of the SDK.", "type": "string" } }, "description": "The version of the SDK used to run the job." }, "StreamingSideInputLocation": { "properties": { "tag": { "description": "Identifies the particular side input within the streaming Dataflow job.", "type": "string" }, "stateFamily": { "description": "Identifies the state family where this side input is stored.", "type": "string" } }, "id": "StreamingSideInputLocation", "description": "Identifies the location of a streaming side input.", "type": "object" }, "ConcatPosition": { "type": "object", "description": "A position that encapsulates an inner position and an index for the inner position. A ConcatPosition can be used by a reader of a source that encapsulates a set of other sources.", "id": "ConcatPosition", "properties": { "position": { "description": "Position within the inner source.", "$ref": "Position" }, "index": { "description": "Index of the inner source.", "format": "int32", "type": "integer" } } }, "MetricStructuredName": { "description": "Identifies a metric, by describing the source which generated the metric.", "properties": { "origin": { "description": "Origin (namespace) of metric name. May be blank for user-define metrics; will be \"dataflow\" for metrics defined by the Dataflow service or SDK.", "type": "string" }, "name": { "type": "string", "description": "Worker-defined metric name." }, "context": { "description": "Zero or more labeled fields which identify the part of the job this metric is associated with, such as the name of a step or collection. For example, built-in counters associated with steps will have context['step'] = . Counters associated with PCollections in the SDK will have context['pcollection'] = .", "type": "object", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "MetricStructuredName" }, "StageSource": { "id": "StageSource", "description": "Description of an input or output of an execution stage.", "type": "object", "properties": { "name": { "type": "string", "description": "Dataflow service generated name for this source." }, "sizeBytes": { "format": "int64", "description": "Size of the source, if measurable.", "type": "string" }, "originalTransformOrCollection": { "type": "string", "description": "User name for the original user transform or collection with which this source is most closely associated." }, "userName": { "type": "string", "description": "Human-readable name for this source; may be user or system generated." } } }, "SourceOperationRequest": { "properties": { "originalName": { "type": "string", "description": "System-defined name for the Read instruction for this source in the original workflow graph." }, "stageName": { "description": "System-defined name of the stage containing the source operation. Unique across the workflow.", "type": "string" }, "name": { "type": "string", "description": "User-provided name of the Read instruction for this source." }, "systemName": { "description": "System-defined name of the Read instruction for this source. Unique across the workflow.", "type": "string" }, "getMetadata": { "$ref": "SourceGetMetadataRequest", "description": "Information about a request to get metadata about a source." }, "split": { "$ref": "SourceSplitRequest", "description": "Information about a request to split a source." } }, "type": "object", "id": "SourceOperationRequest", "description": "A work item that represents the different operations that can be performed on a user-defined Source specification." }, "MetricUpdate": { "type": "object", "description": "Describes the state of a metric.", "id": "MetricUpdate", "properties": { "scalar": { "description": "Worker-computed aggregate value for aggregation kinds \"Sum\", \"Max\", \"Min\", \"And\", and \"Or\". The possible value types are Long, Double, and Boolean.", "type": "any" }, "distribution": { "description": "A struct value describing properties of a distribution of numeric values.", "type": "any" }, "updateTime": { "format": "google-datetime", "description": "Timestamp associated with the metric value. Optional when workers are reporting work progress; it will be filled in responses from the metrics API.", "type": "string" }, "meanCount": { "type": "any", "description": "Worker-computed aggregate value for the \"Mean\" aggregation kind. This holds the count of the aggregated values and is used in combination with mean_sum above to obtain the actual mean aggregate value. The only possible value type is Long." }, "meanSum": { "type": "any", "description": "Worker-computed aggregate value for the \"Mean\" aggregation kind. This holds the sum of the aggregated values and is used in combination with mean_count below to obtain the actual mean aggregate value. The only possible value types are Long and Double." }, "gauge": { "description": "A struct value describing properties of a Gauge. Metrics of gauge type show the value of a metric across time, and is aggregated based on the newest value.", "type": "any" }, "name": { "description": "Name of the metric.", "$ref": "MetricStructuredName" }, "cumulative": { "description": "True if this metric is reported as the total cumulative aggregate value accumulated since the worker started working on this WorkItem. By default this is false, indicating that this metric is reported as a delta that is not associated with any WorkItem.", "type": "boolean" }, "internal": { "description": "Worker-computed aggregate value for internal use by the Dataflow service.", "type": "any" }, "set": { "description": "Worker-computed aggregate value for the \"Set\" aggregation kind. The only possible value type is a list of Values whose type can be Long, Double, or String, according to the metric's type. All Values in the list must be of the same type.", "type": "any" }, "kind": { "description": "Metric aggregation kind. The possible metric aggregation kinds are \"Sum\", \"Max\", \"Min\", \"Mean\", \"Set\", \"And\", \"Or\", and \"Distribution\". The specified aggregation kind is case-insensitive. If omitted, this is not an aggregated value but instead a single metric sample value.", "type": "string" } } }, "Disk": { "type": "object", "description": "Describes the data disk used by a workflow job.", "id": "Disk", "properties": { "diskType": { "description": "Disk storage type, as defined by Google Compute Engine. This must be a disk type appropriate to the project and zone in which the workers will run. If unknown or unspecified, the service will attempt to choose a reasonable default. For example, the standard persistent disk type is a resource name typically ending in \"pd-standard\". If SSD persistent disks are available, the resource name typically ends with \"pd-ssd\". The actual valid values are defined the Google Compute Engine API, not by the Cloud Dataflow API; consult the Google Compute Engine documentation for more information about determining the set of available disk types for a particular project and zone. Google Compute Engine Disk types are local to a particular project in a particular zone, and so the resource name will typically look something like this: compute.googleapis.com/projects/project-id/zones/zone/diskTypes/pd-standard", "type": "string" }, "mountPoint": { "type": "string", "description": "Directory in a VM where disk is mounted." }, "sizeGb": { "type": "integer", "description": "Size of disk in GB. If zero or unspecified, the service will attempt to choose a reasonable default.", "format": "int32" } } }, "LaunchFlexTemplateParameter": { "type": "object", "id": "LaunchFlexTemplateParameter", "description": "Launch FlexTemplate Parameter.", "properties": { "parameters": { "description": "The parameters for FlexTemplate. Ex. {\"num_workers\":\"5\"}", "additionalProperties": { "type": "string" }, "type": "object" }, "launchOptions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Launch options for this flex template job. This is a common set of options across languages and templates. This should not be used to pass job parameters." }, "environment": { "$ref": "FlexTemplateRuntimeEnvironment", "description": "The runtime environment for the FlexTemplate job" }, "update": { "type": "boolean", "description": "Set this to true if you are sending a request to update a running streaming job. When set, the job name should be the same as the running job." }, "containerSpec": { "$ref": "ContainerSpec", "description": "Spec about the container image to launch." }, "jobName": { "description": "Required. The job name to use for the created job. For update job request, job name should be same as the existing running job.", "type": "string" }, "containerSpecGcsPath": { "type": "string", "description": "Cloud Storage path to a file with json serialized ContainerSpec as content." }, "transformNameMappings": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Use this to pass transform_name_mappings for streaming update jobs. Ex:{\"oldTransformName\":\"newTransformName\",...}'" } } }, "SendWorkerMessagesResponse": { "properties": { "workerMessageResponses": { "type": "array", "description": "The servers response to the worker messages.", "items": { "$ref": "WorkerMessageResponse" } } }, "type": "object", "description": "The response to the worker messages.", "id": "SendWorkerMessagesResponse" }, "Step": { "description": "Defines a particular step within a Cloud Dataflow job. A job consists of multiple steps, each of which performs some specific operation as part of the overall job. Data is typically passed from one step to another as part of the job. Here's an example of a sequence of steps which together implement a Map-Reduce job: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Read a collection of data from some source, parsing the collection's elements. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Validate the elements. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Apply a user-defined function to map each element to some value and extract an element-specific key value. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Group elements with the same key into a single element with that key, transforming a multiply-keyed collection into a uniquely-keyed collection. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Write the elements out to some data sink. Note that the Cloud Dataflow service may be used to run many different types of jobs, not just Map-Reduce.", "type": "object", "id": "Step", "properties": { "kind": { "description": "The kind of step in the Cloud Dataflow job.", "type": "string" }, "name": { "type": "string", "description": "The name that identifies the step. This must be unique for each step with respect to all other steps in the Cloud Dataflow job." }, "properties": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Named properties associated with the step. Each kind of predefined step has its own required set of properties. Must be provided on Create. Only retrieved with JOB_VIEW_ALL.", "type": "object" } } }, "SourceOperationResponse": { "id": "SourceOperationResponse", "properties": { "getMetadata": { "$ref": "SourceGetMetadataResponse", "description": "A response to a request to get metadata about a source." }, "split": { "description": "A response to a request to split a source.", "$ref": "SourceSplitResponse" } }, "type": "object", "description": "The result of a SourceOperationRequest, specified in ReportWorkItemStatusRequest.source_operation when the work item is completed." }, "JobMetrics": { "description": "JobMetrics contains a collection of metrics describing the detailed progress of a Dataflow job. Metrics correspond to user-defined and system-defined metrics in the job. This resource captures only the most recent values of each metric; time-series data can be queried for them (under the same metric names) from Cloud Monitoring.", "type": "object", "id": "JobMetrics", "properties": { "metrics": { "description": "All metrics for this job.", "items": { "$ref": "MetricUpdate" }, "type": "array" }, "metricTime": { "description": "Timestamp as of which metric values are current.", "format": "google-datetime", "type": "string" } } }, "LaunchTemplateParameters": { "type": "object", "properties": { "update": { "type": "boolean", "description": "If set, replace the existing pipeline with the name specified by jobName with this pipeline, preserving state." }, "parameters": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The runtime parameters to pass to the job." }, "transformNameMapping": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Only applicable when updating a pipeline. Map of transform name prefixes of the job to be replaced to the corresponding name prefixes of the new job." }, "jobName": { "description": "Required. The job name to use for the created job. The name must match the regular expression `[a-z]([-a-z0-9]{0,1022}[a-z0-9])?`", "type": "string" }, "environment": { "$ref": "RuntimeEnvironment", "description": "The runtime environment for the job." } }, "description": "Parameters to provide to the template being launched. Note that the [metadata in the pipeline code] (https://cloud.google.com/dataflow/docs/guides/templates/creating-templates#metadata) determines which runtime parameters are valid.", "id": "LaunchTemplateParameters" }, "StreamingComputationTask": { "description": "A task which describes what action should be performed for the specified streaming computation ranges.", "properties": { "computationRanges": { "items": { "$ref": "StreamingComputationRanges" }, "description": "Contains ranges of a streaming computation this task should apply to.", "type": "array" }, "taskType": { "description": "A type of streaming computation task.", "type": "string", "enumDescriptions": [ "The streaming computation task is unknown, or unspecified.", "Stop processing specified streaming computation range(s).", "Start processing specified streaming computation range(s)." ], "enum": [ "STREAMING_COMPUTATION_TASK_UNKNOWN", "STREAMING_COMPUTATION_TASK_STOP", "STREAMING_COMPUTATION_TASK_START" ] }, "dataDisks": { "type": "array", "description": "Describes the set of data disks this task should apply to.", "items": { "$ref": "MountedDataDisk" } } }, "id": "StreamingComputationTask", "type": "object" }, "WorkerDetails": { "type": "object", "description": "Information about a worker", "properties": { "workItems": { "items": { "$ref": "WorkItemDetails" }, "description": "Work items processed by this worker, sorted by time.", "type": "array" }, "workerName": { "type": "string", "description": "Name of this worker" } }, "id": "WorkerDetails" }, "PartialGroupByKeyInstruction": { "id": "PartialGroupByKeyInstruction", "properties": { "input": { "$ref": "InstructionInput", "description": "Describes the input to the partial group-by-key instruction." }, "originalCombineValuesStepName": { "description": "If this instruction includes a combining function, this is the name of the CombineValues instruction lifted into this instruction.", "type": "string" }, "valueCombiningFn": { "description": "The value combining function to invoke.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "inputElementCodec": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The codec to use for interpreting an element in the input PTable.", "type": "object" }, "sideInputs": { "type": "array", "description": "Zero or more side inputs.", "items": { "$ref": "SideInputInfo" } }, "originalCombineValuesInputStoreName": { "description": "If this instruction includes a combining function this is the name of the intermediate store between the GBK and the CombineValues.", "type": "string" } }, "type": "object", "description": "An instruction that does a partial group-by-key. One input and one output." }, "CPUTime": { "id": "CPUTime", "properties": { "rate": { "description": "Average CPU utilization rate (% non-idle cpu / second) since previous sample.", "format": "double", "type": "number" }, "totalMs": { "type": "string", "description": "Total active CPU time across all cores (ie., non-idle) in milliseconds since start-up.", "format": "uint64" }, "timestamp": { "format": "google-datetime", "type": "string", "description": "Timestamp of the measurement." } }, "type": "object", "description": "Modeled after information exposed by /proc/stat." }, "DynamicSourceSplit": { "type": "object", "properties": { "primary": { "description": "Primary part (continued to be processed by worker). Specified relative to the previously-current source. Becomes current.", "$ref": "DerivedSource" }, "residual": { "description": "Residual part (returned to the pool of work). Specified relative to the previously-current source.", "$ref": "DerivedSource" } }, "id": "DynamicSourceSplit", "description": "When a task splits using WorkItemStatus.dynamic_source_split, this message describes the two parts of the split relative to the description of the current task's input." }, "JobExecutionStageInfo": { "properties": { "stepName": { "description": "The steps associated with the execution stage. Note that stages may have several steps, and that a given step might be run by more than one stage.", "items": { "type": "string" }, "type": "array" } }, "description": "Contains information about how a particular google.dataflow.v1beta3.Step will be executed.", "id": "JobExecutionStageInfo", "type": "object" }, "FlexTemplateRuntimeEnvironment": { "description": "The environment values to be set at runtime for flex template.", "id": "FlexTemplateRuntimeEnvironment", "type": "object", "properties": { "stagingLocation": { "type": "string", "description": "The Cloud Storage path for staging local files. Must be a valid Cloud Storage URL, beginning with `gs://`." }, "ipConfiguration": { "type": "string", "enum": [ "WORKER_IP_UNSPECIFIED", "WORKER_IP_PUBLIC", "WORKER_IP_PRIVATE" ], "description": "Configuration for VM IPs.", "enumDescriptions": [ "The configuration is unknown, or unspecified.", "Workers should have public IP addresses.", "Workers should have private IP addresses." ] }, "launcherMachineType": { "description": "The machine type to use for launching the job. The default is n1-standard-1.", "type": "string" }, "autoscalingAlgorithm": { "enum": [ "AUTOSCALING_ALGORITHM_UNKNOWN", "AUTOSCALING_ALGORITHM_NONE", "AUTOSCALING_ALGORITHM_BASIC" ], "description": "The algorithm to use for autoscaling", "enumDescriptions": [ "The algorithm is unknown, or unspecified.", "Disable autoscaling.", "Increase worker count over time to reduce job execution time." ], "type": "string" }, "maxWorkers": { "format": "int32", "description": "The maximum number of Google Compute Engine instances to be made available to your pipeline during execution, from 1 to 1000.", "type": "integer" }, "sdkContainerImage": { "description": "Docker registry location of container image to use for the 'worker harness. Default is the container for the version of the SDK. Note this field is only valid for portable pipelines.", "type": "string" }, "zone": { "description": "The Compute Engine [availability zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones) for launching worker instances to run your pipeline. In the future, worker_zone will take precedence.", "type": "string" }, "subnetwork": { "description": "Subnetwork to which VMs will be assigned, if desired. You can specify a subnetwork using either a complete URL or an abbreviated path. Expected to be of the form \"https://www.googleapis.com/compute/v1/projects/HOST_PROJECT_ID/regions/REGION/subnetworks/SUBNETWORK\" or \"regions/REGION/subnetworks/SUBNETWORK\". If the subnetwork is located in a Shared VPC network, you must use the complete URL.", "type": "string" }, "serviceAccountEmail": { "description": "The email address of the service account to run the job as.", "type": "string" }, "workerRegion": { "type": "string", "description": "The Compute Engine region (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1\". Mutually exclusive with worker_zone. If neither worker_region nor worker_zone is specified, default to the control plane's region." }, "flexrsGoal": { "enum": [ "FLEXRS_UNSPECIFIED", "FLEXRS_SPEED_OPTIMIZED", "FLEXRS_COST_OPTIMIZED" ], "enumDescriptions": [ "Run in the default mode.", "Optimize for lower execution time.", "Optimize for lower cost." ], "description": "Set FlexRS goal for the job. https://cloud.google.com/dataflow/docs/guides/flexrs", "type": "string" }, "saveHeapDumpsToGcsPath": { "description": "Cloud Storage bucket (directory) to upload heap dumps to. Enabling this field implies that `dump_heap_on_oom` is set to true.", "type": "string" }, "enableStreamingEngine": { "description": "Whether to enable Streaming Engine for the job.", "type": "boolean" }, "machineType": { "type": "string", "description": "The machine type to use for the job. Defaults to the value from the template if not specified." }, "additionalUserLabels": { "description": "Additional user labels to be specified for the job. Keys and values must follow the restrictions specified in the [labeling restrictions](https://cloud.google.com/compute/docs/labeling-resources#restrictions) page. An object containing a list of \"key\": value pairs. Example: { \"name\": \"wrench\", \"mass\": \"1kg\", \"count\": \"3\" }.", "type": "object", "additionalProperties": { "type": "string" } }, "tempLocation": { "type": "string", "description": "The Cloud Storage path to use for temporary files. Must be a valid Cloud Storage URL, beginning with `gs://`." }, "dumpHeapOnOom": { "type": "boolean", "description": "If true, when processing time is spent almost entirely on garbage collection (GC), saves a heap dump before ending the thread or process. If false, ends the thread or process without saving a heap dump. Does not save a heap dump when the Java Virtual Machine (JVM) has an out of memory error during processing. The location of the heap file is either echoed back to the user, or the user is given the opportunity to download the heap file." }, "diskSizeGb": { "format": "int32", "description": "Worker disk size, in gigabytes.", "type": "integer" }, "kmsKeyName": { "description": "Name for the Cloud KMS key for the job. Key format is: projects//locations//keyRings//cryptoKeys/", "type": "string" }, "numWorkers": { "format": "int32", "description": "The initial number of Google Compute Engine instances for the job.", "type": "integer" }, "additionalExperiments": { "type": "array", "description": "Additional experiment flags for the job.", "items": { "type": "string" } }, "network": { "type": "string", "description": "Network to which VMs will be assigned. If empty or unspecified, the service will use the network \"default\"." }, "workerZone": { "type": "string", "description": "The Compute Engine zone (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1-a\". Mutually exclusive with worker_region. If neither worker_region nor worker_zone is specified, a zone in the control plane's region is chosen based on available capacity. If both `worker_zone` and `zone` are set, `worker_zone` takes precedence." } } }, "JobMessage": { "type": "object", "properties": { "time": { "type": "string", "format": "google-datetime", "description": "The timestamp of the message." }, "messageText": { "type": "string", "description": "The text of the message." }, "id": { "description": "Deprecated.", "type": "string" }, "messageImportance": { "type": "string", "description": "Importance level of the message.", "enum": [ "JOB_MESSAGE_IMPORTANCE_UNKNOWN", "JOB_MESSAGE_DEBUG", "JOB_MESSAGE_DETAILED", "JOB_MESSAGE_BASIC", "JOB_MESSAGE_WARNING", "JOB_MESSAGE_ERROR" ], "enumDescriptions": [ "The message importance isn't specified, or is unknown.", "The message is at the 'debug' level: typically only useful for software engineers working on the code the job is running. Typically, Dataflow pipeline runners do not display log messages at this level by default.", "The message is at the 'detailed' level: somewhat verbose, but potentially useful to users. Typically, Dataflow pipeline runners do not display log messages at this level by default. These messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'basic' level: useful for keeping track of the execution of a Dataflow pipeline. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'warning' level: indicating a condition pertaining to a job which may require human intervention. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI.", "The message is at the 'error' level: indicating a condition preventing a job from succeeding. Typically, Dataflow pipeline runners display log messages at this level by default, and these messages are displayed by default in the Dataflow monitoring UI." ] } }, "description": "A particular message pertaining to a Dataflow job.", "id": "JobMessage" }, "CounterStructuredName": { "type": "object", "description": "Identifies a counter within a per-job namespace. Counters whose structured names are the same get merged into a single value for the job.", "properties": { "name": { "type": "string", "description": "Counter name. Not necessarily globally-unique, but unique within the context of the other fields. Required." }, "originalStepName": { "type": "string", "description": "System generated name of the original step in the user's graph, before optimization." }, "origin": { "type": "string", "description": "One of the standard Origins defined above.", "enum": [ "SYSTEM", "USER" ], "enumDescriptions": [ "Counter was created by the Dataflow system.", "Counter was created by the user." ] }, "workerId": { "type": "string", "description": "ID of a particular worker." }, "portion": { "description": "Portion of this counter, either key or value.", "enum": [ "ALL", "KEY", "VALUE" ], "type": "string", "enumDescriptions": [ "Counter portion has not been set.", "Counter reports a key.", "Counter reports a value." ] }, "componentStepName": { "description": "Name of the optimized step being executed by the workers.", "type": "string" }, "executionStepName": { "type": "string", "description": "Name of the stage. An execution step contains multiple component steps." }, "originalRequestingStepName": { "description": "The step name requesting an operation, such as GBK. I.e. the ParDo causing a read/write from shuffle to occur, or a read from side inputs.", "type": "string" }, "inputIndex": { "type": "integer", "description": "Index of an input collection that's being read from/written to as a side input. The index identifies a step's side inputs starting by 1 (e.g. the first side input has input_index 1, the third has input_index 3). Side inputs are identified by a pair of (original_step_name, input_index). This field helps uniquely identify them.", "format": "int32" }, "originNamespace": { "description": "A string containing a more specific namespace of the counter's origin.", "type": "string" } }, "id": "CounterStructuredName" }, "FailedLocation": { "properties": { "name": { "type": "string", "description": "The name of the [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that failed to respond." } }, "description": "Indicates which [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) failed to respond to a request for data.", "id": "FailedLocation", "type": "object" }, "GetDebugConfigResponse": { "description": "Response to a get debug configuration request.", "id": "GetDebugConfigResponse", "properties": { "config": { "description": "The encoded debug configuration for the requested component.", "type": "string" } }, "type": "object" } }, "protocol": "rest", "parameters": { "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" } }, "fullyEncodeReservedExpansion": true, "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/userinfo.email": { "description": "See your primary Google Account email address" }, "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" } } } }, "basePath": "", "version": "v1b3", "name": "dataflow" }
]===]))
