local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "datafusion:v1beta1", "title": "Cloud Data Fusion API", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "version": "v1beta1", "canonicalName": "Data Fusion", "protocol": "rest", "revision": "20220603", "ownerDomain": "google.com", "kind": "discovery#restDescription", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "servicePath": "", "baseUrl": "https://datafusion.googleapis.com/", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/data-fusion/docs", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "schemas": { "Accelerator": { "id": "Accelerator", "type": "object", "description": "Identifies Data Fusion accelerators for an instance.", "properties": { "acceleratorType": { "enumDescriptions": [ "Default value, if unspecified.", "Change Data Capture accelerator for CDF.", "Cloud Healthcare accelerator for CDF. This accelerator is to enable Cloud Healthcare specific CDF plugins developed by Healthcare team." ], "description": "The type of an accelator for a CDF instance.", "type": "string", "enum": [ "ACCELERATOR_TYPE_UNSPECIFIED", "CDC", "HEALTHCARE" ] } } }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } } }, "ListNamespacesResponse": { "type": "object", "id": "ListNamespacesResponse", "description": "List namespaces response.", "properties": { "namespaces": { "items": { "$ref": "Namespace" }, "description": "List of namespaces", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" } } }, "OperationMetadata": { "type": "object", "properties": { "createTime": { "format": "google-datetime", "description": "The time the operation was created.", "type": "string" }, "verb": { "description": "Name of the verb executed by the operation.", "type": "string" }, "statusDetail": { "type": "string", "description": "Human-readable status of the operation if any." }, "requestedCancellation": { "description": "Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "endTime": { "type": "string", "format": "google-datetime", "description": "The time the operation finished running." }, "target": { "description": "Server-defined resource path for the target of the operation.", "type": "string" }, "apiVersion": { "type": "string", "description": "API version used to start the operation." } }, "id": "OperationMetadata", "description": "Represents the metadata of a long-running operation." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "Version": { "type": "object", "properties": { "availableFeatures": { "items": { "type": "string" }, "description": "Represents a list of available feature names for a given version.", "type": "array" }, "versionNumber": { "type": "string", "description": "The version number of the Data Fusion instance, such as '6.0.1.0'." }, "defaultVersion": { "type": "boolean", "description": "Whether this is currently the default version for Cloud Data Fusion" }, "type": { "enumDescriptions": [ "Version does not have availability yet", "Version is under development and not considered stable", "Version is available for public use" ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "TYPE_PREVIEW", "TYPE_GENERAL_AVAILABILITY" ], "description": "Type represents the release availability of the version" } }, "id": "Version", "description": "The Data Fusion version." }, "NetworkConfig": { "id": "NetworkConfig", "type": "object", "properties": { "network": { "type": "string", "description": "Name of the network in the customer project with which the Tenant Project will be peered for executing pipelines. In case of shared VPC where the network resides in another host project the network should specified in the form of projects/{host-project-id}/global/networks/{network}" }, "ipAllocation": { "type": "string", "description": "The IP range in CIDR notation to use for the managed Data Fusion instance nodes. This range must not overlap with any other ranges used in the Data Fusion instance network." } }, "description": "Network configuration for a Data Fusion instance. These configurations are used for peering with the customer network. Configurations are optional when a public Data Fusion instance is to be created. However, providing these configurations allows several benefits, such as reduced network latency while accessing the customer resources from managed Data Fusion instance nodes, as well as access to the customer on-prem resources." }, "ListDnsPeeringsResponse": { "description": "Response message for list DNS peerings.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "dnsPeerings": { "type": "array", "items": { "$ref": "DnsPeering" }, "description": "List of dns peering." } }, "id": "ListDnsPeeringsResponse" }, "EventPublishConfig": { "properties": { "topic": { "type": "string", "description": "Required. The resource name of the Pub/Sub topic. Format: projects/{project_id}/topics/{topic_id}" }, "enabled": { "description": "Required. Option to enable Event Publishing.", "type": "boolean" } }, "description": "Confirguration of PubSubEventWriter.", "id": "EventPublishConfig", "type": "object" }, "UpgradeInstanceRequest": { "properties": {}, "description": "Request message for upgrading a Data Fusion instance. To change the instance properties, instance update should be used.", "id": "UpgradeInstanceRequest", "type": "object" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object", "id": "ListOperationsResponse" }, "RemoveIamPolicyRequest": { "type": "object", "id": "RemoveIamPolicyRequest", "description": "Request message for RemoveIamPolicy method.", "properties": {} }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } }, "type": "object" }, "Binding": { "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } }, "description": "Associates `members`, or principals, with a `role`.", "type": "object", "id": "Binding" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "properties": {}, "type": "object" }, "Location": { "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "properties": { "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "type": "object" }, "Namespace": { "description": "Represents the information of a namespace", "properties": { "name": { "type": "string", "description": "Name of the given namespace." }, "iamPolicy": { "$ref": "IAMPolicy", "description": "IAM policy associated with this namespace." } }, "id": "Namespace", "type": "object" }, "AuditConfig": { "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig", "type": "object" }, "CryptoKeyConfig": { "id": "CryptoKeyConfig", "type": "object", "description": "The crypto key configuration. This field is used by the Customer-managed encryption keys (CMEK) feature.", "properties": { "keyReference": { "type": "string", "description": "The name of the key which is used to encrypt/decrypt customer data. For key in Cloud KMS, the key should be in the format of `projects/*/locations/*/keyRings/*/cryptoKeys/*`." } } }, "ListLocationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "type": "object", "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "type": "object", "properties": { "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." } } }, "Operation": { "type": "object", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "logType": { "type": "string", "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } } } }, "Expr": { "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "Instance": { "type": "object", "description": "Represents a Data Fusion instance.", "id": "Instance", "properties": { "availableVersion": { "items": { "$ref": "Version" }, "type": "array", "description": "Available versions that the instance can be upgraded to using UpdateInstanceRequest." }, "serviceAccount": { "readOnly": true, "type": "string", "description": "Output only. Deprecated. Use tenant_project_id instead to extract the tenant project ID." }, "description": { "type": "string", "description": "A description of this instance." }, "cryptoKeyConfig": { "description": "The crypto key configuration. This field is used by the Customer-Managed Encryption Keys (CMEK) feature.", "$ref": "CryptoKeyConfig" }, "disabledReason": { "description": "Output only. If the instance state is DISABLED, the reason for disabling the instance.", "readOnly": true, "type": "array", "items": { "enum": [ "DISABLED_REASON_UNSPECIFIED", "KMS_KEY_ISSUE" ], "type": "string", "enumDescriptions": [ "This is an unknown reason for disabling.", "The KMS key used by the instance is either revoked or denied access to" ] } }, "name": { "type": "string", "description": "Output only. The name of this instance is in the form of projects/{project}/locations/{location}/instances/{instance}.", "readOnly": true }, "tenantProjectId": { "description": "Output only. The name of the tenant project.", "readOnly": true, "type": "string" }, "serviceEndpoint": { "type": "string", "readOnly": true, "description": "Output only. Endpoint on which the Data Fusion UI is accessible." }, "stateMessage": { "description": "Output only. Additional information about the current state of this Data Fusion instance if available.", "type": "string", "readOnly": true }, "enableStackdriverMonitoring": { "description": "Option to enable Stackdriver Monitoring.", "type": "boolean" }, "networkConfig": { "$ref": "NetworkConfig", "description": "Network configuration options. These are required when a private Data Fusion instance is to be created." }, "version": { "description": "Current version of Data Fusion.", "type": "string" }, "apiEndpoint": { "readOnly": true, "description": "Output only. Endpoint on which the REST APIs is accessible.", "type": "string" }, "zone": { "description": "Name of the zone in which the Data Fusion instance will be created. Only DEVELOPER instances use this field.", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "BASIC", "ENTERPRISE", "DEVELOPER" ], "enumDescriptions": [ "No type specified. The instance creation will fail.", "Basic Data Fusion instance. In Basic type, the user will be able to create data pipelines using point and click UI. However, there are certain limitations, such as fewer number of concurrent pipelines, no support for streaming pipelines, etc.", "Enterprise Data Fusion instance. In Enterprise type, the user will have all features available, such as support for streaming pipelines, unlimited number of concurrent pipelines, etc.", "Developer Data Fusion instance. In Developer type, the user will have all features available but with restrictive capabilities. This is to help enterprises design and develop their data ingestion and integration pipelines at low cost." ], "type": "string", "description": "Required. Instance type." }, "displayName": { "type": "string", "description": "Display name for an instance." }, "eventPublishConfig": { "$ref": "EventPublishConfig", "description": "Option to enable and pass metadata for event publishing." }, "p4ServiceAccount": { "type": "string", "readOnly": true, "description": "Output only. P4 service account for the customer project." }, "accelerators": { "description": "List of accelerators enabled for this CDF instance.", "items": { "$ref": "Accelerator" }, "type": "array" }, "privateInstance": { "type": "boolean", "description": "Specifies whether the Data Fusion instance should be private. If set to true, all Data Fusion nodes will have private IP addresses and will not be able to access the public internet." }, "state": { "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "RUNNING", "FAILED", "DELETING", "UPGRADING", "RESTARTING", "UPDATING", "AUTO_UPDATING", "AUTO_UPGRADING", "DISABLED" ], "description": "Output only. The current state of this Data Fusion instance.", "enumDescriptions": [ "Instance does not have a state yet", "Instance is being created", "Instance is running and ready for requests", "Instance creation failed", "Instance is being deleted", "Instance is being upgraded", "Instance is being restarted", "Instance is being updated on customer request", "Instance is being auto-updated", "Instance is being auto-upgraded", "Instance is disabled" ] }, "createTime": { "description": "Output only. The time the instance was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "gcsBucket": { "type": "string", "description": "Output only. Cloud Storage bucket generated by Data Fusion in the customer project.", "readOnly": true }, "dataprocServiceAccount": { "type": "string", "description": "User-managed service account to set on Dataproc when Cloud Data Fusion creates Dataproc to run data processing pipelines. This allows users to have fine-grained access control on Dataproc's accesses to cloud resources." }, "options": { "description": "Map of additional options used to configure the behavior of Data Fusion instance.", "type": "object", "additionalProperties": { "type": "string" } }, "enableStackdriverLogging": { "type": "boolean", "description": "Option to enable Stackdriver Logging." }, "labels": { "description": "The resource labels for instance to use to annotate any related underlying resources such as Compute Engine VMs. The character '=' is not allowed to be used within the labels.", "type": "object", "additionalProperties": { "type": "string" } }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time the instance was last updated.", "type": "string" }, "enableRbac": { "description": "Option to enable granular role-based access control.", "type": "boolean" } } }, "RestartInstanceRequest": { "properties": {}, "description": "Request message for restarting a Data Fusion instance.", "id": "RestartInstanceRequest", "type": "object" }, "IAMPolicy": { "type": "object", "id": "IAMPolicy", "properties": { "policy": { "$ref": "Policy", "description": "Policy definition if IAM policy fetching is successful, otherwise empty." }, "status": { "$ref": "Status", "description": "Status of iam policy fetching." } }, "description": "IAMPolicy encapsulates the IAM policy name, definition and status of policy fetching." }, "DnsPeering": { "properties": { "targetNetwork": { "description": "Optional. Optional target network to which dns peering should happen.", "type": "string" }, "domain": { "type": "string", "description": "Required. The dns name suffix of the zone." }, "targetProject": { "description": "Optional. Optional target project to which dns peering should happen.", "type": "string" }, "name": { "description": "Required. The resource name of the dns peering zone. Format: projects/{project}/locations/{location}/instances/{instance}/dnsPeerings/{dns_peering}", "type": "string" }, "description": { "type": "string", "description": "Optional. Optional description of the dns zone." } }, "id": "DnsPeering", "type": "object", "description": "DNS peering configuration. These configurations are used to create DNS peering with the customer Cloud DNS." }, "RemoveIamPolicyResponse": { "id": "RemoveIamPolicyResponse", "properties": {}, "type": "object", "description": "Response message for RemoveIamPolicy method." }, "ListAvailableVersionsResponse": { "description": "Response message for the list available versions request.", "id": "ListAvailableVersionsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "availableVersions": { "description": "Represents a list of versions that are supported.", "type": "array", "items": { "$ref": "Version" } } } }, "TestIamPermissionsRequest": { "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array", "items": { "type": "string" } } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." }, "ListInstancesResponse": { "description": "Response message for the list instance request.", "properties": { "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "instances": { "items": { "$ref": "Instance" }, "type": "array", "description": "Represents a list of Data Fusion instances." } }, "id": "ListInstancesResponse", "type": "object" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "id": "Status", "type": "object" } }, "parameters": { "$.xgafv": { "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response." } }, "mtlsRootUrl": "https://datafusion.mtls.googleapis.com/", "version_module": true, "name": "datafusion", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "response": { "$ref": "Location" }, "httpMethod": "GET", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "datafusion.projects.locations.get", "description": "Gets information about a location.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Resource name for the location." } } }, "removeIamPolicy": { "path": "v1beta1/{+resource}:removeIamPolicy", "response": { "$ref": "RemoveIamPolicyResponse" }, "description": "Remove IAM policy that is currently set on the given resource.", "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "datafusion.projects.locations.removeIamPolicy", "request": { "$ref": "RemoveIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/.*$", "required": true, "type": "string", "description": "Required. The resource on which IAM policy to be removed is attached to.", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/{locationsId1}:removeIamPolicy" }, "list": { "id": "datafusion.projects.locations.list", "description": "Lists information about the supported locations for this service.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/locations", "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "includeUnrevealedLocations": { "description": "If true, the returned list will include locations which are not yet revealed.", "location": "query", "type": "boolean" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+$" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." } }, "flatPath": "v1beta1/projects/{projectsId}/locations" } }, "resources": { "instances": { "resources": { "dnsPeerings": { "methods": { "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/dnsPeerings", "id": "datafusion.projects.locations.instances.dnsPeerings.create", "description": "Creates DNS peering on the given resource.", "httpMethod": "POST", "path": "v1beta1/{+parent}/dnsPeerings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DnsPeering" }, "parameterOrder": [ "parent" ], "response": { "$ref": "DnsPeering" }, "parameters": { "dnsPeeringId": { "type": "string", "location": "query", "description": "Required. The name of the peering to create." }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. The resource on which DNS peering will be created." } } }, "delete": { "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/dnsPeerings/{dnsPeeringsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/dnsPeerings/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the DNS peering zone to delete. Format: projects/{project}/locations/{location}/instances/{instance}/dnsPeerings/{dns_peering}", "required": true } }, "description": "Deletes DNS peering on the given resource.", "id": "datafusion.projects.locations.instances.dnsPeerings.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "httpMethod": "GET", "id": "datafusion.projects.locations.instances.dnsPeerings.list", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListDnsPeerings` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListDnsPeerings` must match the call that provided the page token." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The parent, which owns this collection of dns peerings. Format: projects/{project}/locations/{location}/instances/{instance}" }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of dns peerings to return. The service may return fewer than this value. If unspecified, at most 50 dns peerings will be returned. The maximum value is 200; values above 200 will be coerced to 200.", "type": "integer" } }, "description": "Lists DNS peerings for a given resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListDnsPeeringsResponse" }, "path": "v1beta1/{+parent}/dnsPeerings", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/dnsPeerings", "parameterOrder": [ "parent" ] } } }, "namespaces": { "methods": { "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/namespaces/{namespacesId}:setIamPolicy", "id": "datafusion.projects.locations.instances.namespaces.setIamPolicy", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/namespaces/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "httpMethod": "POST" }, "testIamPermissions": { "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/namespaces/{namespacesId}:testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "id": "datafusion.projects.locations.instances.namespaces.testIamPermissions", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/namespaces/[^/]+$", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" } }, "list": { "parameters": { "view": { "type": "string", "description": "By default, only basic information about a namespace is returned (e.g. name). When `NAMESPACE_VIEW_FULL` is specified, additional information associated with a namespace gets returned (e.g. IAM policy set on the namespace)", "location": "query", "enumDescriptions": [ "Default/unset value, which will use BASIC view.", "Show the most basic metadata of a namespace", "Returns all metadata of a namespace" ], "enum": [ "NAMESPACE_VIEW_UNSPECIFIED", "NAMESPACE_VIEW_BASIC", "NAMESPACE_VIEW_FULL" ] }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "location": "path", "description": "Required. The instance to list its namespaces." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of items to return." } }, "id": "datafusion.projects.locations.instances.namespaces.list", "path": "v1beta1/{+parent}/namespaces", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/namespaces", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListNamespacesResponse" }, "description": "List namespaces in a given instance" }, "getIamPolicy": { "httpMethod": "GET", "response": { "$ref": "Policy" }, "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/namespaces/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/namespaces/{namespacesId}:getIamPolicy", "id": "datafusion.projects.locations.instances.namespaces.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "response": { "$ref": "ListInstancesResponse" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The project and location for which to retrieve instance information in the format projects/{project}/locations/{location}. If the location is specified as '-' (wildcard), then all regions available to the project are queried, and the results are aggregated.", "type": "string", "location": "path" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "filter": { "type": "string", "description": "List filter.", "location": "query" }, "orderBy": { "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\", or \"\" (unsorted).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Lists Data Fusion instances in the specified project and location.", "path": "v1beta1/{+parent}/instances", "parameterOrder": [ "parent" ], "id": "datafusion.projects.locations.instances.list" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "datafusion.projects.locations.instances.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Required. The instance's project and location in the format projects/{project}/locations/{location}.", "location": "path" }, "instanceId": { "description": "Required. The name of the instance to create.", "location": "query", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "request": { "$ref": "Instance" }, "description": "Creates a new Data Fusion instance in the specified project and location.", "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v1beta1/{+parent}/instances" }, "delete": { "httpMethod": "DELETE", "id": "datafusion.projects.locations.instances.delete", "description": "Deletes a single Data Fusion instance.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. The instance resource name in the format projects/{project}/locations/{location}/instances/{instance}", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "response": { "$ref": "Operation" } }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "description": "Gets details of a single Data Fusion instance.", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. The instance resource name in the format projects/{project}/locations/{location}/instances/{instance}.", "required": true } }, "response": { "$ref": "Instance" }, "id": "datafusion.projects.locations.instances.get" }, "upgrade": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "id": "datafusion.projects.locations.instances.upgrade", "parameters": { "name": { "location": "path", "description": "Required. Name of the Data Fusion instance which need to be upgraded in the form of projects/{project}/locations/{location}/instances/{instance} Instance will be upgraded with the latest stable version of the Data Fusion.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "path": "v1beta1/{+name}:upgrade", "request": { "$ref": "UpgradeInstanceRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:upgrade", "description": "Upgrade a single Data Fusion instance. At the end of an operation instance is fully upgraded." }, "restart": { "request": { "$ref": "RestartInstanceRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:restart", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "description": "Required. Name of the Data Fusion instance which need to be restarted in the form of projects/{project}/locations/{location}/instances/{instance}", "location": "path", "required": true } }, "path": "v1beta1/{+name}:restart", "description": "Restart a single Data Fusion instance. At the end of an operation instance is fully restarted.", "parameterOrder": [ "name" ], "httpMethod": "POST", "id": "datafusion.projects.locations.instances.restart", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "id": "datafusion.projects.locations.instances.setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "parameters": { "name": { "description": "Output only. The name of this instance is in the form of projects/{project}/locations/{location}/instances/{instance}.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "type": "string" }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Field mask is used to specify the fields that the update will overwrite in an instance resource. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask, all the supported fields (labels and options currently) will be overwritten." } }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "id": "datafusion.projects.locations.instances.patch", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a single Data Fusion instance.", "httpMethod": "PATCH", "request": { "$ref": "Instance" }, "response": { "$ref": "Operation" } }, "testIamPermissions": { "id": "datafusion.projects.locations.instances.testIamPermissions", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" } }, "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "id": "datafusion.projects.locations.instances.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:getIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "GET", "path": "v1beta1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "versions": { "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/versions", "path": "v1beta1/{+parent}/versions", "httpMethod": "GET", "id": "datafusion.projects.locations.versions.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListAvailableVersionsResponse" }, "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "latestPatchOnly": { "type": "boolean", "description": "Whether or not to return the latest patch of every available minor version. If true, only the latest patch will be returned. Ex. if allowed versions is [6.1.1, 6.1.2, 6.2.0] then response will be [6.1.2, 6.2.0]", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of items to return.", "format": "int32" }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project and location for which to retrieve instance information in the format projects/{project}/locations/{location}.", "location": "path" } }, "description": "Lists possible versions for Data Fusion instances in the specified project and location." } } }, "operations": { "methods": { "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/operations", "id": "datafusion.projects.locations.operations.list", "parameters": { "filter": { "description": "The standard list filter.", "type": "string", "location": "query" }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "name": { "type": "string", "required": true, "location": "path", "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "format": "int32", "description": "The standard list page size.", "type": "integer", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource.", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "path": "v1beta1/{+name}", "id": "datafusion.projects.locations.operations.get" }, "delete": { "httpMethod": "DELETE", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datafusion.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}" }, "cancel": { "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "id": "datafusion.projects.locations.operations.cancel", "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:cancel", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } }, "description": "Cloud Data Fusion is a fully-managed, cloud native, enterprise data integration service for quickly building and managing data pipelines. It provides a graphical interface to increase time efficiency and reduce complexity, and allows business users, developers, and data scientists to easily and reliably build scalable data integration solutions to cleanse, prepare, blend, transfer and transform data without having to wrestle with infrastructure.", "rootUrl": "https://datafusion.googleapis.com/", "batchPath": "batch" }
]===]))
