local decode = require("cjson").new().decode
return assert(decode([===[
{ "protocol": "rest", "mtlsRootUrl": "https://datalabeling.mtls.googleapis.com/", "id": "datalabeling:v1beta1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "resources": { "projects": { "resources": { "annotationSpecSets": { "methods": { "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "description": "Required. AnnotationSpecSet resource parent, format: projects/{project_id}", "type": "string", "required": true, "location": "path" } }, "id": "datalabeling.projects.annotationSpecSets.create", "path": "v1beta1/{+parent}/annotationSpecSets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates an annotation spec set by providing a set of labels.", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/annotationSpecSets", "request": { "$ref": "GoogleCloudDatalabelingV1beta1CreateAnnotationSpecSetRequest" }, "response": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpecSet" } }, "get": { "id": "datalabeling.projects.annotationSpecSets.get", "response": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpecSet" }, "httpMethod": "GET", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/annotationSpecSets/{annotationSpecSetsId}", "parameters": { "name": { "type": "string", "required": true, "description": "Required. AnnotationSpecSet resource name, format: projects/{project_id}/annotationSpecSets/{annotation_spec_set_id}", "pattern": "^projects/[^/]+/annotationSpecSets/[^/]+$", "location": "path" } }, "description": "Gets an annotation spec set by resource name." }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datalabeling.projects.annotationSpecSets.delete", "description": "Deletes an annotation spec set by resource name.", "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/annotationSpecSets/{annotationSpecSetsId}", "parameters": { "name": { "description": "Required. AnnotationSpec resource name, format: `projects/{project_id}/annotationSpecSets/{annotation_spec_set_id}`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/annotationSpecSets/[^/]+$" } } }, "list": { "id": "datalabeling.projects.annotationSpecSets.list", "path": "v1beta1/{+parent}/annotationSpecSets", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListAnnotationSpecSetsResponse" }, "description": "Lists annotation spec sets for a project. Pagination is supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/annotationSpecSets", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListAnnotationSpecSetsResponse.next_page_token of the previous [DataLabelingService.ListAnnotationSpecSets] call. Return first page if empty.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "Optional. Filter is not supported at this moment.", "type": "string" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "description": "Required. Parent of AnnotationSpecSet resource, format: projects/{project_id}", "required": true }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100." } } } } }, "evaluations": { "methods": { "search": { "parameters": { "pageToken": { "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by the nextPageToken of the response to a previous search request. If you don't specify this field, the API call requests the first page of the search.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "required": true, "description": "Required. Evaluation search parent (project ID). Format: \"projects/ {project_id}\"", "type": "string", "location": "path" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "Optional. To search evaluations, you can filter by the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh evaluation_job.evaluation_job_id (the last part of EvaluationJob.name) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh evaluation_job.model_id (the {model_name} portion of EvaluationJob.modelVersion) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh evaluation_job.evaluation_job_run_time_start (Minimum threshold for the evaluationJobRunTime that created the evaluation) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh evaluation_job.evaluation_job_run_time_end (Maximum threshold for the evaluationJobRunTime that created the evaluation) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh evaluation_job.job_state (EvaluationJob.state) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh annotation_spec.display_name (the Evaluation contains a metric for the annotation spec with this displayName) To filter by multiple critiera, use the `AND` operator or the `OR` operator. The following examples shows a string that filters by several critiera: \"evaluation_job.evaluation_job_id = {evaluation_job_id} AND evaluation_job.model_id = {model_name} AND evaluation_job.evaluation_job_run_time_start = {timestamp_1} AND evaluation_job.evaluation_job_run_time_end = {timestamp_2} AND annotation_spec.display_name = {display_name}\"" } }, "flatPath": "v1beta1/projects/{projectsId}/evaluations:search", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/evaluations:search", "parameterOrder": [ "parent" ], "description": "Searches evaluations within a project.", "httpMethod": "GET", "id": "datalabeling.projects.evaluations.search", "response": { "$ref": "GoogleCloudDatalabelingV1beta1SearchEvaluationsResponse" } } } }, "datasets": { "resources": { "image": { "methods": { "label": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDatalabelingV1beta1LabelImageRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "id": "datalabeling.projects.datasets.image.label", "description": "Starts a labeling task for image. The type of image labeling task is configured by feature in the request.", "path": "v1beta1/{+parent}/image:label", "parameters": { "parent": { "pattern": "^projects/[^/]+/datasets/[^/]+$", "description": "Required. Name of the dataset to request labeling task, format: projects/{project_id}/datasets/{dataset_id}", "type": "string", "location": "path", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/image:label" } } }, "annotatedDatasets": { "methods": { "list": { "path": "v1beta1/{+parent}/annotatedDatasets", "description": "Lists annotated datasets for a dataset. Pagination is supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListAnnotatedDatasetsResponse" }, "id": "datalabeling.projects.datasets.annotatedDatasets.list", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets", "parameterOrder": [ "parent" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "Optional. Filter is not supported at this moment." }, "pageToken": { "type": "string", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListAnnotatedDatasetsResponse.next_page_token of the previous [DataLabelingService.ListAnnotatedDatasets] call. Return first page if empty.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. Name of the dataset to list annotated datasets, format: projects/{project_id}/datasets/{dataset_id}", "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+$" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100." } }, "httpMethod": "GET" }, "delete": { "parameters": { "name": { "description": "Required. Name of the annotated dataset to delete, format: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}", "location": "path", "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes an annotated dataset by resource name.", "path": "v1beta1/{+name}", "id": "datalabeling.projects.datasets.annotatedDatasets.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}", "httpMethod": "DELETE" }, "get": { "response": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotatedDataset" }, "description": "Gets an annotated dataset by resource name.", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "datalabeling.projects.datasets.annotatedDatasets.get", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameters": { "name": { "description": "Required. Name of the annotated dataset to get, format: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}", "type": "string", "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+$", "required": true } } } }, "resources": { "feedbackThreads": { "methods": { "list": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads", "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "format": "int32" }, "pageToken": { "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListFeedbackThreads.next_page_token of the previous [DataLabelingService.ListFeedbackThreads] call. Return first page if empty.", "type": "string", "location": "query" }, "parent": { "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+$", "location": "path", "type": "string", "description": "Required. FeedbackThread resource parent. Format: \"projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}\"" } }, "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListFeedbackThreadsResponse" }, "description": "List FeedbackThreads with pagination.", "httpMethod": "GET", "path": "v1beta1/{+parent}/feedbackThreads", "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.list" }, "get": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackThread" }, "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "description": "Required. Name of the feedback. Format: 'projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}'.", "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+$" } }, "description": "Get a FeedbackThread object.", "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.get", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}" }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}", "description": "Delete a FeedbackThread.", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.delete", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "parameters": { "name": { "location": "path", "description": "Required. Name of the FeedbackThread that is going to be deleted. Format: 'projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}'.", "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+$", "required": true } } } }, "resources": { "feedbackMessages": { "methods": { "create": { "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.feedbackMessages.create", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}/feedbackMessages", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackMessage" }, "httpMethod": "POST", "description": "Create a FeedbackMessage object.", "path": "v1beta1/{+parent}/feedbackMessages", "parameters": { "parent": { "description": "Required. FeedbackMessage resource parent, format: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}.", "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+$", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Delete a FeedbackMessage.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Name of the FeedbackMessage that is going to be deleted. Format: 'projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}/feedbackMessages/{feedback_message_id}'.", "required": true, "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+/feedbackMessages/[^/]+$", "type": "string" } }, "httpMethod": "DELETE", "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.feedbackMessages.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}/feedbackMessages/{feedbackMessagesId}", "path": "v1beta1/{+name}" }, "list": { "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.feedbackMessages.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListFeedbackMessagesResponse" }, "description": "List FeedbackMessages with pagination.", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}/feedbackMessages", "path": "v1beta1/{+parent}/feedbackMessages", "parameters": { "pageToken": { "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListFeedbackMessages.next_page_token of the previous [DataLabelingService.ListFeedbackMessages] call. Return first page if empty.", "type": "string", "location": "query" }, "parent": { "type": "string", "description": "Required. FeedbackMessage resource parent. Format: \"projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}\"", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+$", "location": "path", "required": true }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100." } } }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/feedbackThreads/{feedbackThreadsId}/feedbackMessages/{feedbackMessagesId}", "description": "Get a FeedbackMessage object.", "response": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackMessage" }, "parameters": { "name": { "location": "path", "description": "Required. Name of the feedback. Format: 'projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}/feedbackMessages/{feedback_message_id}'.", "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/feedbackThreads/[^/]+/feedbackMessages/[^/]+$", "type": "string" } }, "id": "datalabeling.projects.datasets.annotatedDatasets.feedbackThreads.feedbackMessages.get", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "dataItems": { "methods": { "get": { "id": "datalabeling.projects.datasets.annotatedDatasets.dataItems.get", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/dataItems/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the data item to get, format: projects/{project_id}/datasets/{dataset_id}/dataItems/{data_item_id}" } }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/dataItems/{dataItemsId}", "description": "Gets a data item in a dataset by resource name. This API can be called after data are imported into dataset.", "response": { "$ref": "GoogleCloudDatalabelingV1beta1DataItem" }, "httpMethod": "GET" }, "list": { "description": "Lists data items in a dataset. This API can be called after data are imported into dataset. Pagination is supported.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/dataItems", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListDataItemsResponse" }, "path": "v1beta1/{+parent}/dataItems", "id": "datalabeling.projects.datasets.annotatedDatasets.dataItems.list", "parameters": { "pageSize": { "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListDataItemsResponse.next_page_token of the previous [DataLabelingService.ListDataItems] call. Return first page if empty.", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+$", "description": "Required. Name of the dataset to list data items, format: projects/{project_id}/datasets/{dataset_id}", "type": "string", "location": "path" }, "filter": { "type": "string", "location": "query", "description": "Optional. Filter is not supported at this moment." } }, "httpMethod": "GET", "parameterOrder": [ "parent" ] } } }, "examples": { "methods": { "list": { "id": "datalabeling.projects.datasets.annotatedDatasets.examples.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1beta1/{+parent}/examples", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListExamplesResponse" }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/examples", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListExamplesResponse.next_page_token of the previous [DataLabelingService.ListExamples] call. Return first page if empty." }, "pageSize": { "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "format": "int32", "location": "query" }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+$", "description": "Required. Example resource parent." }, "filter": { "location": "query", "description": "Optional. An expression for filtering Examples. For annotated datasets that have annotation spec set, filter by annotation_spec.display_name is supported. Format \"annotation_spec.display_name = {display_name}\"", "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Lists examples in an annotated dataset. Pagination is supported." }, "get": { "path": "v1beta1/{+name}", "response": { "$ref": "GoogleCloudDatalabelingV1beta1Example" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets an example by resource name, including both data and annotation.", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/annotatedDatasets/{annotatedDatasetsId}/examples/{examplesId}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Name of example, format: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}/examples/{example_id}", "pattern": "^projects/[^/]+/datasets/[^/]+/annotatedDatasets/[^/]+/examples/[^/]+$" }, "filter": { "description": "Optional. An expression for filtering Examples. Filter by annotation_spec.display_name is supported. Format \"annotation_spec.display_name = {display_name}\"", "location": "query", "type": "string" } }, "id": "datalabeling.projects.datasets.annotatedDatasets.examples.get" } } } } }, "dataItems": { "methods": { "get": { "description": "Gets a data item in a dataset by resource name. This API can be called after data are imported into dataset.", "id": "datalabeling.projects.datasets.dataItems.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/dataItems/{dataItemsId}", "response": { "$ref": "GoogleCloudDatalabelingV1beta1DataItem" }, "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/dataItems/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the data item to get, format: projects/{project_id}/datasets/{dataset_id}/dataItems/{data_item_id}" } } }, "list": { "id": "datalabeling.projects.datasets.dataItems.list", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/dataItems", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListDataItemsResponse" }, "httpMethod": "GET", "path": "v1beta1/{+parent}/dataItems", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "location": "query", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListDataItemsResponse.next_page_token of the previous [DataLabelingService.ListDataItems] call. Return first page if empty.", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "format": "int32", "location": "query" }, "filter": { "type": "string", "description": "Optional. Filter is not supported at this moment.", "location": "query" }, "parent": { "location": "path", "description": "Required. Name of the dataset to list data items, format: projects/{project_id}/datasets/{dataset_id}", "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+$", "required": true } }, "description": "Lists data items in a dataset. This API can be called after data are imported into dataset. Pagination is supported." } } }, "evaluations": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/datasets/[^/]+/evaluations/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the evaluation. Format: \"projects/{project_id}/datasets/ {dataset_id}/evaluations/{evaluation_id}'", "type": "string" } }, "path": "v1beta1/{+name}", "response": { "$ref": "GoogleCloudDatalabelingV1beta1Evaluation" }, "description": "Gets an evaluation by resource name (to search, use projects.evaluations.search).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datalabeling.projects.datasets.evaluations.get", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/evaluations/{evaluationsId}" } }, "resources": { "exampleComparisons": { "methods": { "search": { "response": { "$ref": "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsResponse" }, "request": { "$ref": "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsRequest" }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/evaluations/{evaluationsId}/exampleComparisons:search", "parameterOrder": [ "parent" ], "id": "datalabeling.projects.datasets.evaluations.exampleComparisons.search", "parameters": { "parent": { "required": true, "description": "Required. Name of the Evaluation resource to search for example comparisons from. Format: \"projects/{project_id}/datasets/{dataset_id}/evaluations/ {evaluation_id}\"", "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+/evaluations/[^/]+$", "type": "string" } }, "path": "v1beta1/{+parent}/exampleComparisons:search", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Searches example comparisons from an evaluation. The return format is a list of example comparisons that show ground truth and prediction(s) for a single input. Search by providing an evaluation ID." } } } } }, "video": { "methods": { "label": { "request": { "$ref": "GoogleCloudDatalabelingV1beta1LabelVideoRequest" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/video:label", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/video:label", "description": "Starts a labeling task for video. The type of video labeling task is configured by feature in the request.", "id": "datalabeling.projects.datasets.video.label", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "parent": { "type": "string", "description": "Required. Name of the dataset to request labeling task, format: projects/{project_id}/datasets/{dataset_id}", "required": true, "pattern": "^projects/[^/]+/datasets/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "text": { "methods": { "label": { "httpMethod": "POST", "request": { "$ref": "GoogleCloudDatalabelingV1beta1LabelTextRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}/text:label", "path": "v1beta1/{+parent}/text:label", "id": "datalabeling.projects.datasets.text.label", "parameterOrder": [ "parent" ], "description": "Starts a labeling task for text. The type of text labeling task is configured by feature in the request.", "parameters": { "parent": { "required": true, "type": "string", "description": "Required. Name of the data set to request labeling task, format: projects/{project_id}/datasets/{dataset_id}", "pattern": "^projects/[^/]+/datasets/[^/]+$", "location": "path" } } } } } }, "methods": { "create": { "id": "datalabeling.projects.datasets.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatalabelingV1beta1Dataset" }, "path": "v1beta1/{+parent}/datasets", "description": "Creates dataset. If success return a Dataset resource.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/datasets", "request": { "$ref": "GoogleCloudDatalabelingV1beta1CreateDatasetRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+$", "description": "Required. Dataset resource parent, format: projects/{project_id}", "type": "string", "location": "path", "required": true } } }, "importData": { "id": "datalabeling.projects.datasets.importData", "description": "Imports data into dataset based on source locations defined in request. It can be called multiple times for the same dataset. Each dataset can only have one long running operation running on it. For example, no labeling task (also long running operation) can be started while importing is still ongoing. Vice versa.", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}:importData", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatalabelingV1beta1ImportDataRequest" }, "path": "v1beta1/{+name}:importData", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+$", "required": true, "description": "Required. Dataset resource name, format: projects/{project_id}/datasets/{dataset_id}" } } }, "list": { "path": "v1beta1/{+parent}/datasets", "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListDatasetsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/datasets", "parameterOrder": [ "parent" ], "id": "datalabeling.projects.datasets.list", "description": "Lists datasets under a project. Pagination is supported.", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. Dataset resource parent, format: projects/{project_id}", "pattern": "^projects/[^/]+$", "location": "path" }, "filter": { "type": "string", "description": "Optional. Filter on dataset is not supported at this moment.", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListDatasetsResponse.next_page_token of the previous [DataLabelingService.ListDatasets] call. Returns the first page if empty.", "type": "string" }, "pageSize": { "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "location": "query", "type": "integer", "format": "int32" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "exportData": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "datalabeling.projects.datasets.exportData", "path": "v1beta1/{+name}:exportData", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}:exportData", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatalabelingV1beta1ExportDataRequest" }, "parameters": { "name": { "required": true, "description": "Required. Dataset resource name, format: projects/{project_id}/datasets/{dataset_id}", "type": "string", "pattern": "^projects/[^/]+/datasets/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Exports data and annotations from dataset." }, "get": { "id": "datalabeling.projects.datasets.get", "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}", "httpMethod": "GET", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/datasets/[^/]+$", "description": "Required. Dataset resource name, format: projects/{project_id}/datasets/{dataset_id}", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "description": "Gets dataset by resource name.", "response": { "$ref": "GoogleCloudDatalabelingV1beta1Dataset" } }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v1beta1/{+name}", "id": "datalabeling.projects.datasets.delete", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Dataset resource name, format: projects/{project_id}/datasets/{dataset_id}", "pattern": "^projects/[^/]+/datasets/[^/]+$" } }, "description": "Deletes a dataset by resource name.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/datasets/{datasetsId}" } } }, "evaluationJobs": { "methods": { "resume": { "id": "datalabeling.projects.evaluationJobs.resume", "request": { "$ref": "GoogleCloudDatalabelingV1beta1ResumeEvaluationJobRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Resumes a paused evaluation job. A deleted evaluation job can't be resumed. Resuming a running or scheduled evaluation job is a no-op.", "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs/{evaluationJobsId}:resume", "path": "v1beta1/{+name}:resume", "parameters": { "name": { "location": "path", "description": "Required. Name of the evaluation job that is going to be resumed. Format: \"projects/{project_id}/evaluationJobs/{evaluation_job_id}\"", "required": true, "type": "string", "pattern": "^projects/[^/]+/evaluationJobs/[^/]+$" } }, "parameterOrder": [ "name" ] }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "description": "Required. Name of the evaluation job that is going to be deleted. Format: \"projects/{project_id}/evaluationJobs/{evaluation_job_id}\"", "required": true, "pattern": "^projects/[^/]+/evaluationJobs/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "DELETE", "description": "Stops and deletes an evaluation job.", "id": "datalabeling.projects.evaluationJobs.delete", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs/{evaluationJobsId}" }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100." }, "parent": { "description": "Required. Evaluation job resource parent. Format: \"projects/{project_id}\"", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by the nextPageToken in the response to the previous request. The request returns the first page if this is empty." }, "filter": { "type": "string", "location": "query", "description": "Optional. You can filter the jobs to list by model_id (also known as model_name, as described in EvaluationJob.modelVersion) or by evaluation job state (as described in EvaluationJob.state). To filter by both criteria, use the `AND` operator or the `OR` operator. For example, you can use the following string for your filter: \"evaluation_job.model_id = {model_name} AND evaluation_job.state = {evaluation_job_state}\"" } }, "id": "datalabeling.projects.evaluationJobs.list", "description": "Lists all evaluation jobs within a project with possible filters. Pagination is supported.", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs", "httpMethod": "GET", "path": "v1beta1/{+parent}/evaluationJobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListEvaluationJobsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/evaluationJobs/[^/]+$", "required": true, "description": "Required. Name of the evaluation job. Format: \"projects/{project_id} /evaluationJobs/{evaluation_job_id}\"", "type": "string" } }, "response": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob" }, "description": "Gets an evaluation job by resource name.", "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs/{evaluationJobsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1beta1/{+name}", "id": "datalabeling.projects.evaluationJobs.get" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates an evaluation job. You can only update certain fields of the job's EvaluationJobConfig: `humanAnnotationConfig.instruction`, `exampleCount`, and `exampleSamplePercentage`. If you want to change any other aspect of the evaluation job, you must delete the job and create a new one.", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs/{evaluationJobsId}", "httpMethod": "PATCH", "path": "v1beta1/{+name}", "id": "datalabeling.projects.evaluationJobs.patch", "request": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob" }, "parameters": { "updateMask": { "type": "string", "description": "Optional. Mask for which fields to update. You can only provide the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `evaluationJobConfig.humanAnnotationConfig.instruction` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `evaluationJobConfig.exampleCount` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `evaluationJobConfig.exampleSamplePercentage` You can provide more than one of these fields by separating them with commas.", "format": "google-fieldmask", "location": "query" }, "name": { "description": "Output only. After you create a job, Data Labeling Service assigns a name to the job with the following format: \"projects/{project_id}/evaluationJobs/ {evaluation_job_id}\"", "location": "path", "type": "string", "pattern": "^projects/[^/]+/evaluationJobs/[^/]+$", "required": true } }, "response": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob" } }, "pause": { "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/evaluationJobs/[^/]+$", "description": "Required. Name of the evaluation job that is going to be paused. Format: \"projects/{project_id}/evaluationJobs/{evaluation_job_id}\"" } }, "path": "v1beta1/{+name}:pause", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatalabelingV1beta1PauseEvaluationJobRequest" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs/{evaluationJobsId}:pause", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Pauses an evaluation job. Pausing an evaluation job that is already in a `PAUSED` state is a no-op.", "id": "datalabeling.projects.evaluationJobs.pause" }, "create": { "parameters": { "parent": { "type": "string", "required": true, "description": "Required. Evaluation job resource parent. Format: \"projects/{project_id}\"", "location": "path", "pattern": "^projects/[^/]+$" } }, "request": { "$ref": "GoogleCloudDatalabelingV1beta1CreateEvaluationJobRequest" }, "description": "Creates an evaluation job.", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/evaluationJobs", "path": "v1beta1/{+parent}/evaluationJobs", "id": "datalabeling.projects.evaluationJobs.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob" }, "parameterOrder": [ "parent" ] } } }, "instructions": { "methods": { "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Instruction resource name, format: projects/{project_id}/instructions/{instruction_id}", "location": "path", "pattern": "^projects/[^/]+/instructions/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datalabeling.projects.instructions.get", "response": { "$ref": "GoogleCloudDatalabelingV1beta1Instruction" }, "flatPath": "v1beta1/projects/{projectsId}/instructions/{instructionsId}", "description": "Gets an instruction by resource name.", "path": "v1beta1/{+name}" }, "list": { "response": { "$ref": "GoogleCloudDatalabelingV1beta1ListInstructionsResponse" }, "id": "datalabeling.projects.instructions.list", "parameters": { "filter": { "description": "Optional. Filter is not supported at this moment.", "type": "string", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "Required. Instruction resource parent, format: projects/{project_id}" }, "pageToken": { "location": "query", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by ListInstructionsResponse.next_page_token of the previous [DataLabelingService.ListInstructions] call. Return first page if empty.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/instructions", "path": "v1beta1/{+parent}/instructions", "httpMethod": "GET", "description": "Lists instructions for a project. Pagination is supported." }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/instructions/{instructionsId}", "httpMethod": "DELETE", "description": "Deletes an instruction object by resource name.", "path": "v1beta1/{+name}", "parameters": { "name": { "required": true, "description": "Required. Instruction resource name, format: projects/{project_id}/instructions/{instruction_id}", "pattern": "^projects/[^/]+/instructions/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "id": "datalabeling.projects.instructions.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Creates an instruction for how data should be labeled.", "flatPath": "v1beta1/projects/{projectsId}/instructions", "id": "datalabeling.projects.instructions.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. Instruction resource parent, format: projects/{project_id}" } }, "request": { "$ref": "GoogleCloudDatalabelingV1beta1CreateInstructionRequest" }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/instructions" } } }, "operations": { "methods": { "get": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/operations/{operationsId}", "path": "v1beta1/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "datalabeling.projects.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource." } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET" }, "list": { "httpMethod": "GET", "id": "datalabeling.projects.operations.list", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "The name of the operation's parent resource." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The standard list page size.", "format": "int32" } }, "flatPath": "v1beta1/projects/{projectsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1beta1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "type": "string", "pattern": "^projects/[^/]+/operations/[^/]+$", "required": true, "location": "path" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datalabeling.projects.operations.delete", "flatPath": "v1beta1/projects/{projectsId}/operations/{operationsId}" }, "cancel": { "path": "v1beta1/{+name}:cancel", "httpMethod": "GET", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "datalabeling.projects.operations.cancel", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^projects/[^/]+/operations/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/operations/{operationsId}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } } } } } }, "ownerDomain": "google.com", "ownerName": "Google", "parameters": { "callback": { "location": "query", "type": "string", "description": "JSONP" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ] }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "baseUrl": "https://datalabeling.googleapis.com/", "revision": "20220621", "batchPath": "batch", "servicePath": "", "version": "v1beta1", "title": "Data Labeling API", "basePath": "", "schemas": { "GoogleCloudDatalabelingV1beta1LabelOperationMetadata": { "properties": { "textClassificationDetails": { "description": "Details of label text classification operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelTextClassificationOperationMetadata" }, "dataset": { "description": "Output only. The name of dataset to be labeled. \"projects/*/datasets/*\"", "type": "string" }, "progressPercent": { "format": "int32", "description": "Output only. Progress of label operation. Range: [0, 100].", "type": "integer" }, "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "imageBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1beta1LabelImageBoundingBoxOperationMetadata", "description": "Details of label image bounding box operation." }, "imageOrientedBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1beta1LabelImageOrientedBoundingBoxOperationMetadata", "description": "Details of label image oriented bounding box operation." }, "videoEventDetails": { "$ref": "GoogleCloudDatalabelingV1beta1LabelVideoEventOperationMetadata", "description": "Details of label video event operation." }, "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "imageSegmentationDetails": { "description": "Details of label image segmentation operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelImageSegmentationOperationMetadata" }, "imagePolylineDetails": { "description": "Details of label image polyline operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelImagePolylineOperationMetadata" }, "videoClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1beta1LabelVideoClassificationOperationMetadata", "description": "Details of label video classification operation." }, "imageBoundingPolyDetails": { "$ref": "GoogleCloudDatalabelingV1beta1LabelImageBoundingPolyOperationMetadata", "description": "Details of label image bounding poly operation." }, "createTime": { "description": "Output only. Timestamp when labeling request was created.", "format": "google-datetime", "type": "string" }, "videoObjectDetectionDetails": { "description": "Details of label video object detection operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelVideoObjectDetectionOperationMetadata" }, "textEntityExtractionDetails": { "description": "Details of label text entity extraction operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelTextEntityExtractionOperationMetadata" }, "imageClassificationDetails": { "description": "Details of label image classification operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelImageClassificationOperationMetadata" }, "videoObjectTrackingDetails": { "description": "Details of label video object tracking operation.", "$ref": "GoogleCloudDatalabelingV1beta1LabelVideoObjectTrackingOperationMetadata" } }, "id": "GoogleCloudDatalabelingV1beta1LabelOperationMetadata", "type": "object", "description": "Metadata of a labeling operation, such as LabelImage or LabelVideo. Next tag: 23" }, "GoogleCloudDatalabelingV1alpha1LabelOperationMetadata": { "properties": { "textEntityExtractionDetails": { "description": "Details of label text entity extraction operation.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelTextEntityExtractionOperationMetadata" }, "videoObjectDetectionDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelVideoObjectDetectionOperationMetadata", "description": "Details of label video object detection operation." }, "textClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelTextClassificationOperationMetadata", "description": "Details of label text classification operation." }, "videoEventDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelVideoEventOperationMetadata", "description": "Details of label video event operation." }, "videoClassificationDetails": { "description": "Details of label video classification operation.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelVideoClassificationOperationMetadata" }, "partialFailures": { "type": "array", "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" } }, "progressPercent": { "type": "integer", "format": "int32", "description": "Output only. Progress of label operation. Range: [0, 100]." }, "imageClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelImageClassificationOperationMetadata", "description": "Details of label image classification operation." }, "imageOrientedBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelImageOrientedBoundingBoxOperationMetadata", "description": "Details of label image oriented bounding box operation." }, "createTime": { "description": "Output only. Timestamp when labeling request was created.", "type": "string", "format": "google-datetime" }, "imageBoundingBoxDetails": { "description": "Details of label image bounding box operation.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelImageBoundingBoxOperationMetadata" }, "dataset": { "description": "Output only. The name of dataset to be labeled. \"projects/*/datasets/*\"", "type": "string" }, "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "videoObjectTrackingDetails": { "description": "Details of label video object tracking operation.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelVideoObjectTrackingOperationMetadata" }, "imagePolylineDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelImagePolylineOperationMetadata", "description": "Details of label image polyline operation." }, "imageBoundingPolyDetails": { "$ref": "GoogleCloudDatalabelingV1alpha1LabelImageBoundingPolyOperationMetadata", "description": "Details of label image bounding poly operation." }, "imageSegmentationDetails": { "description": "Details of label image segmentation operation.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelImageSegmentationOperationMetadata" } }, "id": "GoogleCloudDatalabelingV1alpha1LabelOperationMetadata", "description": "Metadata of a labeling operation, such as LabelImage or LabelVideo. Next tag: 23", "type": "object" }, "GoogleCloudDatalabelingV1alpha1OutputConfig": { "type": "object", "description": "The configuration of output data.", "properties": { "gcsDestination": { "$ref": "GoogleCloudDatalabelingV1alpha1GcsDestination", "description": "Output to a file in Cloud Storage. Should be used for labeling output other than image segmentation." }, "gcsFolderDestination": { "description": "Output to a folder in Cloud Storage. Should be used for image segmentation or document de-identification labeling outputs.", "$ref": "GoogleCloudDatalabelingV1alpha1GcsFolderDestination" } }, "id": "GoogleCloudDatalabelingV1alpha1OutputConfig" }, "GoogleRpcStatus": { "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus" }, "GoogleCloudDatalabelingV1beta1Instruction": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1Instruction", "properties": { "name": { "type": "string", "description": "Output only. Instruction resource name, format: projects/{project_id}/instructions/{instruction_id}" }, "blockingResources": { "type": "array", "items": { "type": "string" }, "description": "Output only. The names of any related resources that are blocking changes to the instruction." }, "displayName": { "description": "Required. The display name of the instruction. Maximum of 64 characters.", "type": "string" }, "pdfInstruction": { "description": "Instruction from a PDF document. The PDF should be in a Cloud Storage bucket.", "$ref": "GoogleCloudDatalabelingV1beta1PdfInstruction" }, "csvInstruction": { "description": "Deprecated: this instruction format is not supported any more. Instruction from a CSV file, such as for classification task. The CSV file should have exact two columns, in the following format: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The first column is labeled data, such as an image reference, text. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The second column is comma separated labels associated with data.", "$ref": "GoogleCloudDatalabelingV1beta1CsvInstruction" }, "dataType": { "description": "Required. The data type of this instruction.", "enumDescriptions": [ "Data type is unspecified.", "Allowed for continuous evaluation.", "Video data type.", "Allowed for continuous evaluation.", "Allowed for continuous evaluation." ], "enum": [ "DATA_TYPE_UNSPECIFIED", "IMAGE", "VIDEO", "TEXT", "GENERAL_DATA" ], "type": "string" }, "description": { "description": "Optional. User-provided description of the instruction. The description can be up to 10000 characters long.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. Creation time of instruction.", "type": "string" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. Last update time of instruction." } }, "description": "Instruction of how to perform the labeling task for human operators. Currently only PDF instruction is supported." }, "GoogleCloudDatalabelingV1beta1ListAnnotationSpecSetsResponse": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ListAnnotationSpecSetsResponse", "description": "Results of listing annotation spec set under a project.", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results." }, "annotationSpecSets": { "description": "The list of annotation spec sets.", "type": "array", "items": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpecSet" } } } }, "GoogleCloudDatalabelingV1beta1LabelImageRequest": { "description": "Request message for starting an image labeling task.", "id": "GoogleCloudDatalabelingV1beta1LabelImageRequest", "type": "object", "properties": { "imageClassificationConfig": { "$ref": "GoogleCloudDatalabelingV1beta1ImageClassificationConfig", "description": "Configuration for image classification task. One of image_classification_config, bounding_poly_config, polyline_config and segmentation_config are required." }, "segmentationConfig": { "description": "Configuration for segmentation task. One of image_classification_config, bounding_poly_config, polyline_config and segmentation_config are required.", "$ref": "GoogleCloudDatalabelingV1beta1SegmentationConfig" }, "polylineConfig": { "$ref": "GoogleCloudDatalabelingV1beta1PolylineConfig", "description": "Configuration for polyline task. One of image_classification_config, bounding_poly_config, polyline_config and segmentation_config are required." }, "basicConfig": { "description": "Required. Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" }, "boundingPolyConfig": { "description": "Configuration for bounding box and bounding poly task. One of image_classification_config, bounding_poly_config, polyline_config and segmentation_config are required.", "$ref": "GoogleCloudDatalabelingV1beta1BoundingPolyConfig" }, "feature": { "type": "string", "enum": [ "FEATURE_UNSPECIFIED", "CLASSIFICATION", "BOUNDING_BOX", "ORIENTED_BOUNDING_BOX", "BOUNDING_POLY", "POLYLINE", "SEGMENTATION" ], "description": "Required. The type of image labeling task.", "enumDescriptions": [ "", "Label whole image with one or more of labels.", "Label image with bounding boxes for labels.", "Label oriented bounding box. The box does not have to be parallel to horizontal line.", "Label images with bounding poly. A bounding poly is a plane figure that is bounded by a finite chain of straight line segments closing in a loop.", "Label images with polyline. Polyline is formed by connected line segments which are not in closed form.", "Label images with segmentation. Segmentation is different from bounding poly since it is more fine-grained, pixel level annotation." ] } } }, "GoogleCloudDatalabelingV1beta1ImageBoundingPolyAnnotation": { "type": "object", "description": "Image bounding poly annotation. It represents a polygon including bounding box in the image.", "properties": { "normalizedBoundingPoly": { "$ref": "GoogleCloudDatalabelingV1beta1NormalizedBoundingPoly" }, "annotationSpec": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "description": "Label of object in this bounding polygon." }, "boundingPoly": { "$ref": "GoogleCloudDatalabelingV1beta1BoundingPoly" } }, "id": "GoogleCloudDatalabelingV1beta1ImageBoundingPolyAnnotation" }, "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectTrackingOperationMetadata": { "description": "Details of a LabelVideoObjectTracking operation metadata.", "id": "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectTrackingOperationMetadata", "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } } }, "GoogleCloudDatalabelingV1beta1LabelImageBoundingBoxOperationMetadata": { "type": "object", "description": "Details of a LabelImageBoundingBox operation metadata.", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "id": "GoogleCloudDatalabelingV1beta1LabelImageBoundingBoxOperationMetadata" }, "GoogleCloudDatalabelingV1beta1LabelVideoObjectTrackingOperationMetadata": { "id": "GoogleCloudDatalabelingV1beta1LabelVideoObjectTrackingOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "type": "object", "description": "Details of a LabelVideoObjectTracking operation metadata." }, "GoogleCloudDatalabelingV1alpha1LabelVideoObjectTrackingOperationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1alpha1LabelVideoObjectTrackingOperationMetadata", "description": "Details of a LabelVideoObjectTracking operation metadata.", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } } }, "GoogleCloudDatalabelingV1beta1Evaluation": { "description": "Describes an evaluation between a machine learning model's predictions and ground truth labels. Created when an EvaluationJob runs successfully.", "id": "GoogleCloudDatalabelingV1beta1Evaluation", "type": "object", "properties": { "annotationType": { "description": "Output only. Type of task that the model version being evaluated performs, as defined in the evaluationJobConfig.inputConfig.annotationType field of the evaluation job that created this evaluation.", "enumDescriptions": [ "", "Classification annotations in an image. Allowed for continuous evaluation.", "Bounding box annotations in an image. A form of image object detection. Allowed for continuous evaluation.", "Oriented bounding box. The box does not have to be parallel to horizontal line.", "Bounding poly annotations in an image.", "Polyline annotations in an image.", "Segmentation annotations in an image.", "Classification annotations in video shots.", "Video object tracking annotation.", "Video object detection annotation.", "Video event annotation.", "Classification for text. Allowed for continuous evaluation.", "Entity extraction for text.", "General classification. Allowed for continuous evaluation." ], "enum": [ "ANNOTATION_TYPE_UNSPECIFIED", "IMAGE_CLASSIFICATION_ANNOTATION", "IMAGE_BOUNDING_BOX_ANNOTATION", "IMAGE_ORIENTED_BOUNDING_BOX_ANNOTATION", "IMAGE_BOUNDING_POLY_ANNOTATION", "IMAGE_POLYLINE_ANNOTATION", "IMAGE_SEGMENTATION_ANNOTATION", "VIDEO_SHOTS_CLASSIFICATION_ANNOTATION", "VIDEO_OBJECT_TRACKING_ANNOTATION", "VIDEO_OBJECT_DETECTION_ANNOTATION", "VIDEO_EVENT_ANNOTATION", "TEXT_CLASSIFICATION_ANNOTATION", "TEXT_ENTITY_EXTRACTION_ANNOTATION", "GENERAL_CLASSIFICATION_ANNOTATION" ], "type": "string" }, "name": { "type": "string", "description": "Output only. Resource name of an evaluation. The name has the following format: \"projects/{project_id}/datasets/{dataset_id}/evaluations/ {evaluation_id}'" }, "evaluationMetrics": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationMetrics", "description": "Output only. Metrics comparing predictions to ground truth labels." }, "createTime": { "description": "Output only. Timestamp for when this evaluation was created.", "type": "string", "format": "google-datetime" }, "config": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationConfig", "description": "Output only. Options used in the evaluation job that created this evaluation." }, "evaluationJobRunTime": { "format": "google-datetime", "type": "string", "description": "Output only. Timestamp for when the evaluation job that created this evaluation ran." }, "evaluatedItemCount": { "type": "string", "description": "Output only. The number of items in the ground truth dataset that were used for this evaluation. Only populated when the evaulation is for certain AnnotationTypes.", "format": "int64" } } }, "GoogleCloudDatalabelingV1p2alpha1OutputConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1p2alpha1OutputConfig", "properties": { "gcsFolderDestination": { "$ref": "GoogleCloudDatalabelingV1p2alpha1GcsFolderDestination", "description": "Output to a folder in Cloud Storage. Should be used for image segmentation or document de-identification labeling outputs." }, "gcsDestination": { "description": "Output to a file in Cloud Storage. Should be used for labeling output other than image segmentation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1GcsDestination" } }, "description": "The configuration of output data." }, "GoogleCloudDatalabelingV1alpha1GcsDestination": { "properties": { "outputUri": { "description": "Required. The output uri of destination file.", "type": "string" }, "mimeType": { "description": "Required. The format of the gcs destination. Only \"text/csv\" and \"application/json\" are supported.", "type": "string" } }, "type": "object", "description": "Export destination of the data.Only gcs path is allowed in output_uri.", "id": "GoogleCloudDatalabelingV1alpha1GcsDestination" }, "GoogleCloudDatalabelingV1beta1Attempt": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1Attempt", "properties": { "partialFailures": { "description": "Details of errors that occurred.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "attemptTime": { "format": "google-datetime", "type": "string" } }, "description": "Records a failed evaluation job run." }, "GoogleCloudDatalabelingV1beta1AnnotationSpec": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "properties": { "description": { "description": "Optional. User-provided description of the annotation specification. The description can be up to 10,000 characters long.", "type": "string" }, "displayName": { "description": "Required. The display name of the AnnotationSpec. Maximum of 64 characters.", "type": "string" }, "index": { "format": "int32", "description": "Output only. This is the integer index of the AnnotationSpec. The index for the whole AnnotationSpecSet is sequential starting from 0. For example, an AnnotationSpecSet with classes `dog` and `cat`, might contain one AnnotationSpec with `{ display_name: \"dog\", index: 0 }` and one AnnotationSpec with `{ display_name: \"cat\", index: 1 }`. This is especially useful for model training as it encodes the string labels into numeric values.", "type": "integer" } }, "description": "Container of information related to one possible annotation that can be used in a labeling task. For example, an image classification task where images are labeled as `dog` or `cat` must reference an AnnotationSpec for `dog` and an AnnotationSpec for `cat`." }, "GoogleCloudDatalabelingV1p2alpha1ImportDataOperationResponse": { "description": "Response used for ImportData longrunning operation.", "id": "GoogleCloudDatalabelingV1p2alpha1ImportDataOperationResponse", "properties": { "dataset": { "description": "Ouptut only. The name of imported dataset.", "type": "string" }, "totalCount": { "type": "integer", "format": "int32", "description": "Output only. Total number of examples requested to import" }, "importCount": { "description": "Output only. Number of examples imported successfully.", "type": "integer", "format": "int32" } }, "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelImageOrientedBoundingBoxOperationMetadata": { "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelImageOrientedBoundingBox operation metadata.", "id": "GoogleCloudDatalabelingV1alpha1LabelImageOrientedBoundingBoxOperationMetadata" }, "GoogleCloudDatalabelingV1beta1SentimentConfig": { "description": "Config for setting up sentiments.", "type": "object", "properties": { "enableLabelSentimentSelection": { "description": "If set to true, contributors will have the option to select sentiment of the label they selected, to mark it as negative or positive label. Default is false.", "type": "boolean" } }, "id": "GoogleCloudDatalabelingV1beta1SentimentConfig" }, "GoogleCloudDatalabelingV1alpha1LabelImageClassificationOperationMetadata": { "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "id": "GoogleCloudDatalabelingV1alpha1LabelImageClassificationOperationMetadata", "type": "object", "description": "Metadata of a LabelImageClassification operation." }, "GoogleCloudDatalabelingV1p1alpha1CreateInstructionMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1CreateInstructionMetadata", "description": "Metadata of a CreateInstruction operation.", "properties": { "partialFailures": { "description": "Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "instruction": { "type": "string", "description": "The name of the created Instruction. projects/{project_id}/instructions/{instruction_id}" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Timestamp when create instruction request was created." } } }, "GoogleCloudDatalabelingV1beta1Polyline": { "properties": { "vertices": { "description": "The polyline vertices.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1Vertex" }, "type": "array" } }, "id": "GoogleCloudDatalabelingV1beta1Polyline", "type": "object", "description": "A line with multiple line segments." }, "GoogleCloudDatalabelingV1beta1DataItem": { "properties": { "imagePayload": { "$ref": "GoogleCloudDatalabelingV1beta1ImagePayload", "description": "The image payload, a container of the image bytes/uri." }, "textPayload": { "description": "The text payload, a container of text content.", "$ref": "GoogleCloudDatalabelingV1beta1TextPayload" }, "name": { "type": "string", "description": "Output only. Name of the data item, in format of: projects/{project_id}/datasets/{dataset_id}/dataItems/{data_item_id}" }, "videoPayload": { "description": "The video payload, a container of the video uri.", "$ref": "GoogleCloudDatalabelingV1beta1VideoPayload" } }, "id": "GoogleCloudDatalabelingV1beta1DataItem", "type": "object", "description": "DataItem is a piece of data, without annotation. For example, an image." }, "GoogleCloudDatalabelingV1beta1TextClassificationAnnotation": { "id": "GoogleCloudDatalabelingV1beta1TextClassificationAnnotation", "type": "object", "description": "Text classification annotation.", "properties": { "annotationSpec": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "description": "Label of the text." } } }, "GoogleCloudDatalabelingV1p1alpha1LabelImagePolylineOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1LabelImagePolylineOperationMetadata", "description": "Details of LabelImagePolyline operation metadata." }, "GoogleCloudDatalabelingV1beta1ListFeedbackMessagesResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results." }, "feedbackMessages": { "description": "The list of feedback messages to return.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackMessage" }, "type": "array" } }, "id": "GoogleCloudDatalabelingV1beta1ListFeedbackMessagesResponse", "description": "Results for listing FeedbackMessages." }, "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsResponse": { "properties": { "exampleComparisons": { "type": "array", "description": "A list of example comparisons matching the search criteria.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1ExampleComparison" } }, "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" } }, "type": "object", "description": "Results of searching example comparisons.", "id": "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsResponse" }, "GoogleCloudDatalabelingV1p2alpha1LabelTextEntityExtractionOperationMetadata": { "description": "Details of a LabelTextEntityExtraction operation metadata.", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "type": "object", "id": "GoogleCloudDatalabelingV1p2alpha1LabelTextEntityExtractionOperationMetadata" }, "GoogleCloudDatalabelingV1beta1LabelVideoObjectDetectionOperationMetadata": { "id": "GoogleCloudDatalabelingV1beta1LabelVideoObjectDetectionOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "type": "object", "description": "Details of a LabelVideoObjectDetection operation metadata." }, "GoogleCloudDatalabelingV1beta1FeedbackThread": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1FeedbackThread", "description": "A feedback thread of a certain labeling task on a certain annotated dataset.", "properties": { "name": { "type": "string", "description": "Name of the feedback thread. Format: 'project/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}'" }, "feedbackThreadMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackThreadMetadata", "description": "Metadata regarding the feedback thread." } } }, "GoogleCloudDatalabelingV1beta1Row": { "id": "GoogleCloudDatalabelingV1beta1Row", "type": "object", "properties": { "entries": { "type": "array", "description": "A list of the confusion matrix entries. One entry for each possible predicted label.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1ConfusionMatrixEntry" } }, "annotationSpec": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "description": "The annotation spec of the ground truth label for this row." } }, "description": "A row in the confusion matrix. Each entry in this row has the same ground truth label." }, "GoogleCloudDatalabelingV1alpha1GcsFolderDestination": { "id": "GoogleCloudDatalabelingV1alpha1GcsFolderDestination", "type": "object", "properties": { "outputFolderUri": { "type": "string", "description": "Required. Cloud Storage directory to export data to." } }, "description": "Export folder destination of the data." }, "GoogleCloudDatalabelingV1beta1VideoPayload": { "description": "Container of information of a video.", "id": "GoogleCloudDatalabelingV1beta1VideoPayload", "properties": { "frameRate": { "format": "float", "description": "FPS of the video.", "type": "number" }, "signedUri": { "description": "Signed uri of the video file in the service bucket.", "type": "string" }, "videoUri": { "description": "Video uri from the user bucket.", "type": "string" }, "mimeType": { "type": "string", "description": "Video format." }, "videoThumbnails": { "description": "The list of video thumbnails.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1VideoThumbnail" }, "type": "array" } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1ConfusionMatrixEntry": { "id": "GoogleCloudDatalabelingV1beta1ConfusionMatrixEntry", "type": "object", "properties": { "itemCount": { "type": "integer", "format": "int32", "description": "Number of items predicted to have this label. (The ground truth label for these items is the `Row.annotationSpec` of this entry's parent.)" }, "annotationSpec": { "description": "The annotation spec of a predicted label.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelOperationMetadata": { "properties": { "imageOrientedBoundingBoxDetails": { "description": "Details of label image oriented bounding box operation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImageOrientedBoundingBoxOperationMetadata" }, "imageClassificationDetails": { "description": "Details of label image classification operation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImageClassificationOperationMetadata" }, "videoObjectTrackingDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectTrackingOperationMetadata", "description": "Details of label video object tracking operation." }, "textEntityExtractionDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelTextEntityExtractionOperationMetadata", "description": "Details of label text entity extraction operation." }, "videoClassificationDetails": { "description": "Details of label video classification operation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelVideoClassificationOperationMetadata" }, "textClassificationDetails": { "description": "Details of label text classification operation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelTextClassificationOperationMetadata" }, "imageBoundingPolyDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingPolyOperationMetadata", "description": "Details of label image bounding poly operation." }, "createTime": { "description": "Output only. Timestamp when labeling request was created.", "type": "string", "format": "google-datetime" }, "imageSegmentationDetails": { "description": "Details of label image segmentation operation.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImageSegmentationOperationMetadata" }, "partialFailures": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details." }, "progressPercent": { "type": "integer", "format": "int32", "description": "Output only. Progress of label operation. Range: [0, 100]." }, "videoEventDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelVideoEventOperationMetadata", "description": "Details of label video event operation." }, "imagePolylineDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImagePolylineOperationMetadata", "description": "Details of label image polyline operation." }, "videoObjectDetectionDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectDetectionOperationMetadata", "description": "Details of label video object detection operation." }, "dataset": { "description": "Output only. The name of dataset to be labeled. \"projects/*/datasets/*\"", "type": "string" }, "imageBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingBoxOperationMetadata", "description": "Details of label image bounding box operation." }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." } }, "description": "Metadata of a labeling operation, such as LabelImage or LabelVideo. Next tag: 23", "id": "GoogleCloudDatalabelingV1p2alpha1LabelOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1beta1LabelStats": { "description": "Statistics about annotation specs.", "id": "GoogleCloudDatalabelingV1beta1LabelStats", "type": "object", "properties": { "exampleCount": { "additionalProperties": { "format": "int64", "type": "string" }, "description": "Map of each annotation spec's example count. Key is the annotation spec name and value is the number of examples for that annotation spec. If the annotated dataset does not have annotation spec, the map will return a pair where the key is empty string and value is the total number of annotations.", "type": "object" } } }, "GoogleCloudDatalabelingV1alpha1LabelTextEntityExtractionOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelTextEntityExtraction operation metadata.", "id": "GoogleCloudDatalabelingV1alpha1LabelTextEntityExtractionOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectDetectionOperationMetadata": { "id": "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectDetectionOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "type": "object", "description": "Details of a LabelVideoObjectDetection operation metadata." }, "GoogleCloudDatalabelingV1beta1ImportDataOperationResponse": { "properties": { "dataset": { "type": "string", "description": "Ouptut only. The name of imported dataset." }, "totalCount": { "type": "integer", "description": "Output only. Total number of examples requested to import", "format": "int32" }, "importCount": { "format": "int32", "description": "Output only. Number of examples imported successfully.", "type": "integer" } }, "description": "Response used for ImportData longrunning operation.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImportDataOperationResponse" }, "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig": { "id": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Configuration for how human labeling task should be done.", "properties": { "labelGroup": { "description": "Optional. A human-readable label used to logically group labeling tasks. This string must match the regular expression `[a-zA-Z\\\\d_-]{0,128}`.", "type": "string" }, "annotatedDatasetDescription": { "type": "string", "description": "Optional. A human-readable description for AnnotatedDataset. The description can be up to 10000 characters long." }, "userEmailAddress": { "description": "Email of the user who started the labeling task and should be notified by email. If empty no notification will be sent.", "type": "string" }, "instruction": { "type": "string", "description": "Required. Instruction resource name." }, "replicaCount": { "format": "int32", "description": "Optional. Replication of questions. Each question will be sent to up to this number of contributors to label. Aggregated answers will be returned. Default is set to 1. For image related labeling, valid values are 1, 3, 5.", "type": "integer" }, "annotatedDatasetDisplayName": { "type": "string", "description": "Required. A human-readable name for AnnotatedDataset defined by users. Maximum of 64 characters ." }, "questionDuration": { "format": "google-duration", "description": "Optional. Maximum duration for contributors to answer a question. Maximum is 3600 seconds. Default is 3600 seconds.", "type": "string" }, "contributorEmails": { "type": "array", "description": "Optional. If you want your own labeling contributors to manage and work on this labeling request, you can set these contributors here. We will give them access to the question types in crowdcompute. Note that these emails must be registered in crowdcompute worker UI: https://crowd-compute.appspot.com/", "items": { "type": "string" } }, "languageCode": { "type": "string", "description": "Optional. The Language of this question, as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). Default value is en-US. Only need to set this when task is language related. For example, French text classification." } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1InputConfig": { "properties": { "gcsSource": { "$ref": "GoogleCloudDatalabelingV1beta1GcsSource", "description": "Source located in Cloud Storage." }, "bigquerySource": { "description": "Source located in BigQuery. You must specify this field if you are using this InputConfig in an EvaluationJob.", "$ref": "GoogleCloudDatalabelingV1beta1BigQuerySource" }, "classificationMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1ClassificationMetadata", "description": "Optional. Metadata about annotations for the input. You must specify this field if you are using this InputConfig in an EvaluationJob for a model version that performs classification." }, "dataType": { "description": "Required. Data type must be specifed when user tries to import data.", "type": "string", "enum": [ "DATA_TYPE_UNSPECIFIED", "IMAGE", "VIDEO", "TEXT", "GENERAL_DATA" ], "enumDescriptions": [ "Data type is unspecified.", "Allowed for continuous evaluation.", "Video data type.", "Allowed for continuous evaluation.", "Allowed for continuous evaluation." ] }, "annotationType": { "enum": [ "ANNOTATION_TYPE_UNSPECIFIED", "IMAGE_CLASSIFICATION_ANNOTATION", "IMAGE_BOUNDING_BOX_ANNOTATION", "IMAGE_ORIENTED_BOUNDING_BOX_ANNOTATION", "IMAGE_BOUNDING_POLY_ANNOTATION", "IMAGE_POLYLINE_ANNOTATION", "IMAGE_SEGMENTATION_ANNOTATION", "VIDEO_SHOTS_CLASSIFICATION_ANNOTATION", "VIDEO_OBJECT_TRACKING_ANNOTATION", "VIDEO_OBJECT_DETECTION_ANNOTATION", "VIDEO_EVENT_ANNOTATION", "TEXT_CLASSIFICATION_ANNOTATION", "TEXT_ENTITY_EXTRACTION_ANNOTATION", "GENERAL_CLASSIFICATION_ANNOTATION" ], "description": "Optional. The type of annotation to be performed on this data. You must specify this field if you are using this InputConfig in an EvaluationJob.", "type": "string", "enumDescriptions": [ "", "Classification annotations in an image. Allowed for continuous evaluation.", "Bounding box annotations in an image. A form of image object detection. Allowed for continuous evaluation.", "Oriented bounding box. The box does not have to be parallel to horizontal line.", "Bounding poly annotations in an image.", "Polyline annotations in an image.", "Segmentation annotations in an image.", "Classification annotations in video shots.", "Video object tracking annotation.", "Video object detection annotation.", "Video event annotation.", "Classification for text. Allowed for continuous evaluation.", "Entity extraction for text.", "General classification. Allowed for continuous evaluation." ] }, "textMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1TextMetadata", "description": "Required for text import, as language code must be specified." } }, "id": "GoogleCloudDatalabelingV1beta1InputConfig", "description": "The configuration of input data, including data type, location, etc.", "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelImageBoundingBoxOperationMetadata": { "id": "GoogleCloudDatalabelingV1alpha1LabelImageBoundingBoxOperationMetadata", "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "description": "Details of a LabelImageBoundingBox operation metadata." }, "GoogleCloudDatalabelingV1beta1ImageClassificationAnnotation": { "properties": { "annotationSpec": { "description": "Label of image.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } }, "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImageClassificationAnnotation", "description": "Image classification annotation definition." }, "GoogleCloudDatalabelingV1beta1AnnotationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1AnnotationMetadata", "properties": { "operatorMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1OperatorMetadata", "description": "Metadata related to human labeling." } }, "description": "Additional information associated with the annotation." }, "GoogleCloudDatalabelingV1beta1CreateInstructionRequest": { "properties": { "instruction": { "description": "Required. Instruction of how to perform the labeling task.", "$ref": "GoogleCloudDatalabelingV1beta1Instruction" } }, "description": "Request message for CreateInstruction.", "id": "GoogleCloudDatalabelingV1beta1CreateInstructionRequest", "type": "object" }, "GoogleCloudDatalabelingV1p1alpha1GenerateAnalysisReportOperationMetadata": { "id": "GoogleCloudDatalabelingV1p1alpha1GenerateAnalysisReportOperationMetadata", "type": "object", "description": "Metadata of an GenerateAnalysisReport operation.", "properties": { "dataset": { "type": "string", "description": "The name of the dataset for which the analysis report is generated. Format: \"projects/*/datasets/*\"" }, "createTime": { "description": "Timestamp when generate report request was created.", "format": "google-datetime", "type": "string" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingPolyOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "description": "Details of LabelImageBoundingPoly operation metadata.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingPolyOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectTrackingOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "type": "object", "id": "GoogleCloudDatalabelingV1p2alpha1LabelVideoObjectTrackingOperationMetadata", "description": "Details of a LabelVideoObjectTracking operation metadata." }, "GoogleCloudDatalabelingV1beta1ListExamplesResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" }, "examples": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1Example" }, "type": "array", "description": "The list of examples to return." } }, "description": "Results of listing Examples in and annotated dataset.", "id": "GoogleCloudDatalabelingV1beta1ListExamplesResponse", "type": "object" }, "GoogleLongrunningListOperationsResponse": { "properties": { "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse" }, "GoogleCloudDatalabelingV1alpha1LabelStats": { "properties": { "exampleCount": { "type": "object", "additionalProperties": { "format": "int64", "type": "string" }, "description": "Map of each annotation spec's example count. Key is the annotation spec name and value is the number of examples for that annotation spec. If the annotated dataset does not have annotation spec, the map will return a pair where the key is empty string and value is the total number of annotations." } }, "description": "Statistics about annotation specs.", "type": "object", "id": "GoogleCloudDatalabelingV1alpha1LabelStats" }, "GoogleCloudDatalabelingV1beta1LabelImageSegmentationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1beta1LabelImageSegmentationOperationMetadata", "type": "object", "description": "Details of a LabelImageSegmentation operation metadata." }, "GoogleCloudDatalabelingV1beta1LabelVideoRequest": { "properties": { "basicConfig": { "description": "Required. Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" }, "objectDetectionConfig": { "$ref": "GoogleCloudDatalabelingV1beta1ObjectDetectionConfig", "description": "Configuration for video object detection task. One of video_classification_config, object_detection_config, object_tracking_config and event_config is required." }, "feature": { "type": "string", "description": "Required. The type of video labeling task.", "enumDescriptions": [ "", "Label whole video or video segment with one or more labels.", "Label objects with bounding box on image frames extracted from the video.", "Label and track objects in video.", "Label the range of video for the specified events." ], "enum": [ "FEATURE_UNSPECIFIED", "CLASSIFICATION", "OBJECT_DETECTION", "OBJECT_TRACKING", "EVENT" ] }, "eventConfig": { "description": "Configuration for video event task. One of video_classification_config, object_detection_config, object_tracking_config and event_config is required.", "$ref": "GoogleCloudDatalabelingV1beta1EventConfig" }, "objectTrackingConfig": { "$ref": "GoogleCloudDatalabelingV1beta1ObjectTrackingConfig", "description": "Configuration for video object tracking task. One of video_classification_config, object_detection_config, object_tracking_config and event_config is required." }, "videoClassificationConfig": { "description": "Configuration for video classification task. One of video_classification_config, object_detection_config, object_tracking_config and event_config is required.", "$ref": "GoogleCloudDatalabelingV1beta1VideoClassificationConfig" } }, "id": "GoogleCloudDatalabelingV1beta1LabelVideoRequest", "type": "object", "description": "Request message for LabelVideo." }, "GoogleCloudDatalabelingV1p1alpha1LabelTextEntityExtractionOperationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1LabelTextEntityExtractionOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelTextEntityExtraction operation metadata." }, "GoogleCloudDatalabelingV1beta1LabelVideoEventOperationMetadata": { "type": "object", "description": "Details of a LabelVideoEvent operation metadata.", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "id": "GoogleCloudDatalabelingV1beta1LabelVideoEventOperationMetadata" }, "GoogleCloudDatalabelingV1beta1FeedbackMessage": { "id": "GoogleCloudDatalabelingV1beta1FeedbackMessage", "description": "A feedback message inside a feedback thread.", "properties": { "body": { "description": "String content of the feedback. Maximum of 10000 characters.", "type": "string" }, "operatorFeedbackMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1OperatorFeedbackMetadata" }, "requesterFeedbackMetadata": { "$ref": "GoogleCloudDatalabelingV1beta1RequesterFeedbackMetadata" }, "name": { "description": "Name of the feedback message in a feedback thread. Format: 'project/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset_id}/feedbackThreads/{feedback_thread_id}/feedbackMessage/{feedback_message_id}'", "type": "string" }, "image": { "format": "byte", "type": "string", "description": "The image storing this feedback if the feedback is an image representing operator's comments." }, "createTime": { "description": "Create time.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1CreateAnnotationSpecSetRequest": { "description": "Request message for CreateAnnotationSpecSet.", "properties": { "annotationSpecSet": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpecSet", "description": "Required. Annotation spec set to create. Annotation specs must be included. Only one annotation spec will be accepted for annotation specs with same display_name." } }, "id": "GoogleCloudDatalabelingV1beta1CreateAnnotationSpecSetRequest", "type": "object" }, "GoogleCloudDatalabelingV1beta1SegmentationConfig": { "description": "Config for image segmentation", "properties": { "instructionMessage": { "type": "string", "description": "Instruction message showed on labelers UI." }, "annotationSpecSet": { "description": "Required. Annotation spec set resource name. format: projects/{project_id}/annotationSpecSets/{annotation_spec_set_id}", "type": "string" } }, "type": "object", "id": "GoogleCloudDatalabelingV1beta1SegmentationConfig" }, "GoogleCloudDatalabelingV1beta1ImageClassificationConfig": { "description": "Config for image classification human labeling task.", "id": "GoogleCloudDatalabelingV1beta1ImageClassificationConfig", "properties": { "allowMultiLabel": { "type": "boolean", "description": "Optional. If allow_multi_label is true, contributors are able to choose multiple labels for one image." }, "answerAggregationType": { "enum": [ "STRING_AGGREGATION_TYPE_UNSPECIFIED", "MAJORITY_VOTE", "UNANIMOUS_VOTE", "NO_AGGREGATION" ], "type": "string", "description": "Optional. The type of how to aggregate answers.", "enumDescriptions": [ "", "Majority vote to aggregate answers.", "Unanimous answers will be adopted.", "Preserve all answers by crowd compute." ] }, "annotationSpecSet": { "description": "Required. Annotation spec set resource name.", "type": "string" } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1VideoThumbnail": { "properties": { "thumbnail": { "type": "string", "format": "byte", "description": "A byte string of the video frame." }, "timeOffset": { "format": "google-duration", "type": "string", "description": "Time offset relative to the beginning of the video, corresponding to the video frame where the thumbnail has been extracted from." } }, "id": "GoogleCloudDatalabelingV1beta1VideoThumbnail", "description": "Container of information of a video thumbnail.", "type": "object" }, "GoogleCloudDatalabelingV1p1alpha1LabelImageSegmentationOperationMetadata": { "description": "Details of a LabelImageSegmentation operation metadata.", "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1p1alpha1LabelImageSegmentationOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelVideoEventOperationMetadata": { "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "id": "GoogleCloudDatalabelingV1alpha1LabelVideoEventOperationMetadata", "type": "object", "description": "Details of a LabelVideoEvent operation metadata." }, "GoogleCloudDatalabelingV1beta1OperatorMetadata": { "description": "General information useful for labels coming from contributors.", "properties": { "comments": { "description": "Comments from contributors.", "items": { "type": "string" }, "type": "array" }, "labelVotes": { "description": "The total number of contributors that choose this label.", "type": "integer", "format": "int32" }, "totalVotes": { "type": "integer", "format": "int32", "description": "The total number of contributors that answer this question." }, "score": { "type": "number", "description": "Confidence score corresponding to a label. For examle, if 3 contributors have answered the question and 2 of them agree on the final label, the confidence score will be 0.67 (2/3).", "format": "float" } }, "id": "GoogleCloudDatalabelingV1beta1OperatorMetadata", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1GcsFolderDestination": { "id": "GoogleCloudDatalabelingV1p2alpha1GcsFolderDestination", "properties": { "outputFolderUri": { "description": "Required. Cloud Storage directory to export data to.", "type": "string" } }, "type": "object", "description": "Export folder destination of the data." }, "GoogleCloudDatalabelingV1beta1NormalizedVertex": { "id": "GoogleCloudDatalabelingV1beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "type": "object", "properties": { "y": { "format": "float", "description": "Y coordinate.", "type": "number" }, "x": { "description": "X coordinate.", "type": "number", "format": "float" } } }, "GoogleCloudDatalabelingV1alpha1ImportDataOperationMetadata": { "id": "GoogleCloudDatalabelingV1alpha1ImportDataOperationMetadata", "description": "Metadata of an ImportData operation.", "type": "object", "properties": { "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } }, "dataset": { "type": "string", "description": "Output only. The name of imported dataset. \"projects/*/datasets/*\"" }, "createTime": { "format": "google-datetime", "description": "Output only. Timestamp when import dataset request was created.", "type": "string" } } }, "GoogleCloudDatalabelingV1beta1OperatorFeedbackMetadata": { "properties": {}, "description": "Metadata describing the feedback from the operator.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1OperatorFeedbackMetadata" }, "GoogleCloudDatalabelingV1beta1ExportDataOperationMetadata": { "properties": { "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "dataset": { "type": "string", "description": "Output only. The name of dataset to be exported. \"projects/*/datasets/*\"" }, "createTime": { "description": "Output only. Timestamp when export dataset request was created.", "format": "google-datetime", "type": "string" }, "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "description": "Metadata of an ExportData operation.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1ExportDataOperationMetadata" }, "GoogleCloudDatalabelingV1beta1ListEvaluationJobsResponse": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ListEvaluationJobsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results." }, "evaluationJobs": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob" }, "description": "The list of evaluation jobs to return.", "type": "array" } }, "description": "Results for listing evaluation jobs." }, "GoogleCloudDatalabelingV1p1alpha1LabelVideoEventOperationMetadata": { "description": "Details of a LabelVideoEvent operation metadata.", "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1LabelVideoEventOperationMetadata", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } } }, "GoogleCloudDatalabelingV1beta1Vertex": { "id": "GoogleCloudDatalabelingV1beta1Vertex", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "y": { "format": "int32", "type": "integer", "description": "Y coordinate." }, "x": { "format": "int32", "type": "integer", "description": "X coordinate." } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1ObjectTrackingFrame": { "properties": { "timeOffset": { "format": "google-duration", "description": "The time offset of this frame relative to the beginning of the video.", "type": "string" }, "normalizedBoundingPoly": { "$ref": "GoogleCloudDatalabelingV1beta1NormalizedBoundingPoly" }, "boundingPoly": { "$ref": "GoogleCloudDatalabelingV1beta1BoundingPoly" } }, "description": "Video frame level annotation for object detection and tracking.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1ObjectTrackingFrame" }, "GoogleCloudDatalabelingV1beta1ObjectDetectionConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ObjectDetectionConfig", "properties": { "extractionFrameRate": { "description": "Required. Number of frames per second to be extracted from the video.", "type": "number", "format": "double" }, "annotationSpecSet": { "description": "Required. Annotation spec set resource name.", "type": "string" } }, "description": "Config for video object detection human labeling task. Object detection will be conducted on the images extracted from the video, and those objects will be labeled with bounding boxes. User need to specify the number of images to be extracted per second as the extraction frame rate." }, "GoogleCloudDatalabelingV1p1alpha1LabelImageClassificationOperationMetadata": { "id": "GoogleCloudDatalabelingV1p1alpha1LabelImageClassificationOperationMetadata", "description": "Metadata of a LabelImageClassification operation.", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1GcsFolderDestination": { "properties": { "outputFolderUri": { "type": "string", "description": "Required. Cloud Storage directory to export data to." } }, "description": "Export folder destination of the data.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1GcsFolderDestination" }, "GoogleCloudDatalabelingV1alpha1ImportDataOperationResponse": { "description": "Response used for ImportData longrunning operation.", "type": "object", "id": "GoogleCloudDatalabelingV1alpha1ImportDataOperationResponse", "properties": { "dataset": { "type": "string", "description": "Ouptut only. The name of imported dataset." }, "importCount": { "type": "integer", "format": "int32", "description": "Output only. Number of examples imported successfully." }, "totalCount": { "type": "integer", "format": "int32", "description": "Output only. Total number of examples requested to import" } } }, "GoogleCloudDatalabelingV1beta1ResumeEvaluationJobRequest": { "type": "object", "description": "Request message ResumeEvaluationJob.", "properties": {}, "id": "GoogleCloudDatalabelingV1beta1ResumeEvaluationJobRequest" }, "GoogleCloudDatalabelingV1beta1ConfidenceMetricsEntry": { "type": "object", "properties": { "precisionAt5": { "format": "float", "description": "Precision value for entries with label that has highest 5 scores.", "type": "number" }, "precisionAt1": { "description": "Precision value for entries with label that has highest score.", "type": "number", "format": "float" }, "recallAt1": { "format": "float", "description": "Recall value for entries with label that has highest score.", "type": "number" }, "recallAt5": { "description": "Recall value for entries with label that has highest 5 scores.", "type": "number", "format": "float" }, "confidenceThreshold": { "description": "Threshold used for this entry. For classification tasks, this is a classification threshold: a predicted label is categorized as positive or negative (in the context of this point on the PR curve) based on whether the label's score meets this threshold. For image object detection (bounding box) tasks, this is the [intersection-over-union (IOU)](/vision/automl/object-detection/docs/evaluate#intersection-over-union) threshold for the context of this point on the PR curve.", "format": "float", "type": "number" }, "f1ScoreAt5": { "format": "float", "type": "number", "description": "The harmonic mean of recall_at5 and precision_at5." }, "recall": { "format": "float", "description": "Recall value.", "type": "number" }, "f1ScoreAt1": { "format": "float", "description": "The harmonic mean of recall_at1 and precision_at1.", "type": "number" }, "precision": { "format": "float", "type": "number", "description": "Precision value." }, "f1Score": { "type": "number", "format": "float", "description": "Harmonic mean of recall and precision." } }, "id": "GoogleCloudDatalabelingV1beta1ConfidenceMetricsEntry" }, "GoogleCloudDatalabelingV1beta1PauseEvaluationJobRequest": { "description": "Request message for PauseEvaluationJob.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1PauseEvaluationJobRequest", "properties": {} }, "GoogleCloudDatalabelingV1beta1NormalizedPolyline": { "type": "object", "properties": { "normalizedVertices": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1NormalizedVertex" }, "type": "array", "description": "The normalized polyline vertices." } }, "id": "GoogleCloudDatalabelingV1beta1NormalizedPolyline", "description": "Normalized polyline." }, "GoogleCloudDatalabelingV1beta1LabelImageBoundingPolyOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "type": "object", "description": "Details of LabelImageBoundingPoly operation metadata.", "id": "GoogleCloudDatalabelingV1beta1LabelImageBoundingPolyOperationMetadata" }, "GoogleCloudDatalabelingV1p2alpha1ExportDataOperationResponse": { "id": "GoogleCloudDatalabelingV1p2alpha1ExportDataOperationResponse", "properties": { "labelStats": { "description": "Output only. Statistic infos of labels in the exported dataset.", "$ref": "GoogleCloudDatalabelingV1p2alpha1LabelStats" }, "exportCount": { "format": "int32", "type": "integer", "description": "Output only. Number of examples exported successfully." }, "outputConfig": { "description": "Output only. output_config in the ExportData request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1OutputConfig" }, "dataset": { "description": "Ouptut only. The name of dataset. \"projects/*/datasets/*\"", "type": "string" }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." }, "totalCount": { "type": "integer", "description": "Output only. Total number of examples requested to export", "format": "int32" } }, "description": "Response used for ExportDataset longrunning operation.", "type": "object" }, "GoogleCloudDatalabelingV1beta1LabelTextRequest": { "id": "GoogleCloudDatalabelingV1beta1LabelTextRequest", "description": "Request message for LabelText.", "type": "object", "properties": { "textEntityExtractionConfig": { "$ref": "GoogleCloudDatalabelingV1beta1TextEntityExtractionConfig", "description": "Configuration for entity extraction task. One of text_classification_config and text_entity_extraction_config is required." }, "basicConfig": { "description": "Required. Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" }, "textClassificationConfig": { "description": "Configuration for text classification task. One of text_classification_config and text_entity_extraction_config is required.", "$ref": "GoogleCloudDatalabelingV1beta1TextClassificationConfig" }, "feature": { "enum": [ "FEATURE_UNSPECIFIED", "TEXT_CLASSIFICATION", "TEXT_ENTITY_EXTRACTION" ], "description": "Required. The type of text labeling task.", "enumDescriptions": [ "", "Label text content to one of more labels.", "Label entities and their span in text." ], "type": "string" } } }, "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectDetectionOperationMetadata": { "id": "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectDetectionOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelVideoObjectDetection operation metadata.", "type": "object" }, "GoogleCloudDatalabelingV1beta1CsvInstruction": { "id": "GoogleCloudDatalabelingV1beta1CsvInstruction", "type": "object", "description": "Deprecated: this instruction format is not supported any more. Instruction from a CSV file.", "properties": { "gcsFileUri": { "type": "string", "description": "CSV file for the instruction. Only gcs path is allowed." } } }, "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig": { "id": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig", "description": "Configuration for how human labeling task should be done.", "properties": { "labelGroup": { "description": "Optional. A human-readable label used to logically group labeling tasks. This string must match the regular expression `[a-zA-Z\\\\d_-]{0,128}`.", "type": "string" }, "questionDuration": { "description": "Optional. Maximum duration for contributors to answer a question. Maximum is 3600 seconds. Default is 3600 seconds.", "format": "google-duration", "type": "string" }, "annotatedDatasetDisplayName": { "description": "Required. A human-readable name for AnnotatedDataset defined by users. Maximum of 64 characters .", "type": "string" }, "annotatedDatasetDescription": { "type": "string", "description": "Optional. A human-readable description for AnnotatedDataset. The description can be up to 10000 characters long." }, "userEmailAddress": { "type": "string", "description": "Email of the user who started the labeling task and should be notified by email. If empty no notification will be sent." }, "instruction": { "description": "Required. Instruction resource name.", "type": "string" }, "replicaCount": { "type": "integer", "format": "int32", "description": "Optional. Replication of questions. Each question will be sent to up to this number of contributors to label. Aggregated answers will be returned. Default is set to 1. For image related labeling, valid values are 1, 3, 5." }, "contributorEmails": { "type": "array", "items": { "type": "string" }, "description": "Optional. If you want your own labeling contributors to manage and work on this labeling request, you can set these contributors here. We will give them access to the question types in crowdcompute. Note that these emails must be registered in crowdcompute worker UI: https://crowd-compute.appspot.com/" }, "languageCode": { "description": "Optional. The Language of this question, as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). Default value is en-US. Only need to set this when task is language related. For example, French text classification.", "type": "string" } }, "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelImageBoundingPolyOperationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1alpha1LabelImageBoundingPolyOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } }, "description": "Details of LabelImageBoundingPoly operation metadata." }, "GoogleCloudDatalabelingV1p1alpha1GcsDestination": { "id": "GoogleCloudDatalabelingV1p1alpha1GcsDestination", "type": "object", "description": "Export destination of the data.Only gcs path is allowed in output_uri.", "properties": { "mimeType": { "description": "Required. The format of the gcs destination. Only \"text/csv\" and \"application/json\" are supported.", "type": "string" }, "outputUri": { "type": "string", "description": "Required. The output uri of destination file." } } }, "GoogleCloudDatalabelingV1beta1LabelVideoClassificationOperationMetadata": { "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "type": "object", "description": "Details of a LabelVideoClassification operation metadata.", "id": "GoogleCloudDatalabelingV1beta1LabelVideoClassificationOperationMetadata" }, "GoogleCloudDatalabelingV1beta1PdfInstruction": { "properties": { "gcsFileUri": { "type": "string", "description": "PDF file for the instruction. Only gcs path is allowed." } }, "description": "Instruction from a PDF file.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1PdfInstruction" }, "GoogleCloudDatalabelingV1beta1AnnotatedDatasetMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1AnnotatedDatasetMetadata", "properties": { "segmentationConfig": { "description": "Configuration for image segmentation task.", "$ref": "GoogleCloudDatalabelingV1beta1SegmentationConfig" }, "polylineConfig": { "$ref": "GoogleCloudDatalabelingV1beta1PolylineConfig", "description": "Configuration for image polyline task." }, "textClassificationConfig": { "description": "Configuration for text classification task.", "$ref": "GoogleCloudDatalabelingV1beta1TextClassificationConfig" }, "objectTrackingConfig": { "$ref": "GoogleCloudDatalabelingV1beta1ObjectTrackingConfig", "description": "Configuration for video object tracking task." }, "videoClassificationConfig": { "$ref": "GoogleCloudDatalabelingV1beta1VideoClassificationConfig", "description": "Configuration for video classification task." }, "humanAnnotationConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "HumanAnnotationConfig used when requesting the human labeling task for this AnnotatedDataset." }, "imageClassificationConfig": { "description": "Configuration for image classification task.", "$ref": "GoogleCloudDatalabelingV1beta1ImageClassificationConfig" }, "eventConfig": { "$ref": "GoogleCloudDatalabelingV1beta1EventConfig", "description": "Configuration for video event labeling task." }, "objectDetectionConfig": { "description": "Configuration for video object detection task.", "$ref": "GoogleCloudDatalabelingV1beta1ObjectDetectionConfig" }, "boundingPolyConfig": { "$ref": "GoogleCloudDatalabelingV1beta1BoundingPolyConfig", "description": "Configuration for image bounding box and bounding poly task." }, "textEntityExtractionConfig": { "$ref": "GoogleCloudDatalabelingV1beta1TextEntityExtractionConfig", "description": "Configuration for text entity extraction task." } }, "description": "Metadata on AnnotatedDataset." }, "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig": { "properties": { "annotatedDatasetDescription": { "description": "Optional. A human-readable description for AnnotatedDataset. The description can be up to 10000 characters long.", "type": "string" }, "languageCode": { "type": "string", "description": "Optional. The Language of this question, as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). Default value is en-US. Only need to set this when task is language related. For example, French text classification." }, "instruction": { "type": "string", "description": "Required. Instruction resource name." }, "annotatedDatasetDisplayName": { "type": "string", "description": "Required. A human-readable name for AnnotatedDataset defined by users. Maximum of 64 characters ." }, "questionDuration": { "type": "string", "format": "google-duration", "description": "Optional. Maximum duration for contributors to answer a question. Maximum is 3600 seconds. Default is 3600 seconds." }, "userEmailAddress": { "type": "string", "description": "Email of the user who started the labeling task and should be notified by email. If empty no notification will be sent." }, "labelGroup": { "type": "string", "description": "Optional. A human-readable label used to logically group labeling tasks. This string must match the regular expression `[a-zA-Z\\\\d_-]{0,128}`." }, "replicaCount": { "type": "integer", "format": "int32", "description": "Optional. Replication of questions. Each question will be sent to up to this number of contributors to label. Aggregated answers will be returned. Default is set to 1. For image related labeling, valid values are 1, 3, 5." }, "contributorEmails": { "description": "Optional. If you want your own labeling contributors to manage and work on this labeling request, you can set these contributors here. We will give them access to the question types in crowdcompute. Note that these emails must be registered in crowdcompute worker UI: https://crowd-compute.appspot.com/", "items": { "type": "string" }, "type": "array" } }, "description": "Configuration for how human labeling task should be done.", "type": "object", "id": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" }, "GoogleCloudDatalabelingV1beta1Dataset": { "description": "Dataset is the resource to hold your data. You can request multiple labeling tasks for a dataset while each one will generate an AnnotatedDataset.", "type": "object", "properties": { "blockingResources": { "items": { "type": "string" }, "description": "Output only. The names of any related resources that are blocking changes to the dataset.", "type": "array" }, "dataItemCount": { "description": "Output only. The number of data items in the dataset.", "format": "int64", "type": "string" }, "lastMigrateTime": { "format": "google-datetime", "type": "string", "description": "Last time that the Dataset is migrated to AI Platform V2. If any of the AnnotatedDataset is migrated, the last_migration_time in Dataset is also updated." }, "displayName": { "description": "Required. The display name of the dataset. Maximum of 64 characters.", "type": "string" }, "description": { "description": "Optional. User-provided description of the annotation specification set. The description can be up to 10000 characters long.", "type": "string" }, "name": { "type": "string", "description": "Output only. Dataset resource name, format is: projects/{project_id}/datasets/{dataset_id}" }, "inputConfigs": { "description": "Output only. This is populated with the original input configs where ImportData is called. It is available only after the clients import data to this dataset.", "type": "array", "items": { "$ref": "GoogleCloudDatalabelingV1beta1InputConfig" } }, "createTime": { "format": "google-datetime", "description": "Output only. Time the dataset is created.", "type": "string" } }, "id": "GoogleCloudDatalabelingV1beta1Dataset" }, "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingPolyOperationMetadata": { "type": "object", "description": "Details of LabelImageBoundingPoly operation metadata.", "id": "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingPolyOperationMetadata", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } } }, "GoogleCloudDatalabelingV1beta1ExportDataRequest": { "type": "object", "description": "Request message for ExportData API.", "id": "GoogleCloudDatalabelingV1beta1ExportDataRequest", "properties": { "userEmailAddress": { "type": "string", "description": "Email of the user who started the export task and should be notified by email. If empty no notification will be sent." }, "filter": { "description": "Optional. Filter is not supported at this moment.", "type": "string" }, "outputConfig": { "$ref": "GoogleCloudDatalabelingV1beta1OutputConfig", "description": "Required. Specify the output destination." }, "annotatedDataset": { "type": "string", "description": "Required. Annotated dataset resource name. DataItem in Dataset and their annotations in specified annotated dataset will be exported. It's in format of projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}" } } }, "GoogleCloudDatalabelingV1beta1ImagePayload": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImagePayload", "description": "Container of information about an image.", "properties": { "mimeType": { "type": "string", "description": "Image format." }, "imageThumbnail": { "description": "A byte string of a thumbnail image.", "type": "string", "format": "byte" }, "imageUri": { "description": "Image uri from the user bucket.", "type": "string" }, "signedUri": { "type": "string", "description": "Signed uri of the image file in the service bucket." } } }, "GoogleCloudDatalabelingV1beta1ImageSegmentationAnnotation": { "description": "Image segmentation annotation.", "properties": { "imageBytes": { "type": "string", "description": "A byte string of a full image's color map.", "format": "byte" }, "annotationColors": { "type": "object", "description": "The mapping between rgb color and annotation spec. The key is the rgb color represented in format of rgb(0, 0, 0). The value is the AnnotationSpec.", "additionalProperties": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } }, "mimeType": { "type": "string", "description": "Image format." } }, "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImageSegmentationAnnotation" }, "GoogleCloudDatalabelingV1beta1ClassificationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ClassificationMetadata", "properties": { "isMultiLabel": { "description": "Whether the classification task is multi-label or not.", "type": "boolean" } }, "description": "Metadata for classification annotations." }, "GoogleCloudDatalabelingV1beta1VideoObjectTrackingAnnotation": { "id": "GoogleCloudDatalabelingV1beta1VideoObjectTrackingAnnotation", "type": "object", "properties": { "objectTrackingFrames": { "description": "The list of frames where this object track appears.", "type": "array", "items": { "$ref": "GoogleCloudDatalabelingV1beta1ObjectTrackingFrame" } }, "annotationSpec": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "description": "Label of the object tracked in this annotation." }, "timeSegment": { "$ref": "GoogleCloudDatalabelingV1beta1TimeSegment", "description": "The time segment of the video to which object tracking applies." } }, "description": "Video object tracking annotation." }, "GoogleCloudDatalabelingV1beta1EvaluationConfig": { "id": "GoogleCloudDatalabelingV1beta1EvaluationConfig", "description": "Configuration details used for calculating evaluation metrics and creating an Evaluation.", "properties": { "boundingBoxEvaluationOptions": { "description": "Only specify this field if the related model performs image object detection (`IMAGE_BOUNDING_BOX_ANNOTATION`). Describes how to evaluate bounding boxes.", "$ref": "GoogleCloudDatalabelingV1beta1BoundingBoxEvaluationOptions" } }, "type": "object" }, "GoogleCloudDatalabelingV1p1alpha1ImportDataOperationResponse": { "properties": { "dataset": { "description": "Ouptut only. The name of imported dataset.", "type": "string" }, "totalCount": { "type": "integer", "description": "Output only. Total number of examples requested to import", "format": "int32" }, "importCount": { "description": "Output only. Number of examples imported successfully.", "format": "int32", "type": "integer" } }, "description": "Response used for ImportData longrunning operation.", "id": "GoogleCloudDatalabelingV1p1alpha1ImportDataOperationResponse", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1LabelVideoClassificationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "type": "object", "description": "Details of a LabelVideoClassification operation metadata.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelVideoClassificationOperationMetadata" }, "GoogleCloudDatalabelingV1beta1ImportDataOperationMetadata": { "type": "object", "description": "Metadata of an ImportData operation.", "id": "GoogleCloudDatalabelingV1beta1ImportDataOperationMetadata", "properties": { "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "createTime": { "format": "google-datetime", "description": "Output only. Timestamp when import dataset request was created.", "type": "string" }, "dataset": { "type": "string", "description": "Output only. The name of imported dataset. \"projects/*/datasets/*\"" } } }, "GoogleCloudDatalabelingV1beta1GcsDestination": { "description": "Export destination of the data.Only gcs path is allowed in output_uri.", "id": "GoogleCloudDatalabelingV1beta1GcsDestination", "properties": { "outputUri": { "description": "Required. The output uri of destination file.", "type": "string" }, "mimeType": { "description": "Required. The format of the gcs destination. Only \"text/csv\" and \"application/json\" are supported.", "type": "string" } }, "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1ExportDataOperationMetadata": { "description": "Metadata of an ExportData operation.", "properties": { "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "createTime": { "description": "Output only. Timestamp when export dataset request was created.", "format": "google-datetime", "type": "string" }, "dataset": { "description": "Output only. The name of dataset to be exported. \"projects/*/datasets/*\"", "type": "string" } }, "id": "GoogleCloudDatalabelingV1p2alpha1ExportDataOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1beta1TextEntityExtractionConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1TextEntityExtractionConfig", "properties": { "annotationSpecSet": { "type": "string", "description": "Required. Annotation spec set resource name." } }, "description": "Config for text entity extraction human labeling task." }, "GoogleCloudDatalabelingV1beta1ConfusionMatrix": { "properties": { "row": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1Row" }, "type": "array" } }, "id": "GoogleCloudDatalabelingV1beta1ConfusionMatrix", "description": "Confusion matrix of the model running the classification. Only applicable when the metrics entry aggregates multiple labels. Not applicable when the entry is for a single label.", "type": "object" }, "GoogleLongrunningOperation": { "id": "GoogleLongrunningOperation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "type": "object" }, "GoogleCloudDatalabelingV1alpha1CreateInstructionMetadata": { "description": "Metadata of a CreateInstruction operation.", "properties": { "createTime": { "description": "Timestamp when create instruction request was created.", "format": "google-datetime", "type": "string" }, "partialFailures": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details." }, "instruction": { "description": "The name of the created Instruction. projects/{project_id}/instructions/{instruction_id}", "type": "string" } }, "type": "object", "id": "GoogleCloudDatalabelingV1alpha1CreateInstructionMetadata" }, "GoogleCloudDatalabelingV1beta1LabelTextEntityExtractionOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1beta1LabelTextEntityExtractionOperationMetadata", "type": "object", "description": "Details of a LabelTextEntityExtraction operation metadata." }, "GoogleCloudDatalabelingV1beta1ClassificationMetrics": { "id": "GoogleCloudDatalabelingV1beta1ClassificationMetrics", "type": "object", "description": "Metrics calculated for a classification model.", "properties": { "confusionMatrix": { "description": "Confusion matrix of predicted labels vs. ground truth labels.", "$ref": "GoogleCloudDatalabelingV1beta1ConfusionMatrix" }, "prCurve": { "description": "Precision-recall curve based on ground truth labels, predicted labels, and scores for the predicted labels.", "$ref": "GoogleCloudDatalabelingV1beta1PrCurve" } } }, "GoogleCloudDatalabelingV1beta1AnnotatedDataset": { "description": "AnnotatedDataset is a set holding annotations for data in a Dataset. Each labeling task will generate an AnnotatedDataset under the Dataset that the task is requested for.", "properties": { "exampleCount": { "type": "string", "description": "Output only. Number of examples in the annotated dataset.", "format": "int64" }, "annotationSource": { "type": "string", "enum": [ "ANNOTATION_SOURCE_UNSPECIFIED", "OPERATOR" ], "enumDescriptions": [ "", "Answer is provided by a human contributor." ], "description": "Output only. Source of the annotation." }, "createTime": { "description": "Output only. Time the AnnotatedDataset was created.", "format": "google-datetime", "type": "string" }, "labelStats": { "$ref": "GoogleCloudDatalabelingV1beta1LabelStats", "description": "Output only. Per label statistics." }, "name": { "description": "Output only. AnnotatedDataset resource name in format of: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}", "type": "string" }, "blockingResources": { "type": "array", "items": { "type": "string" }, "description": "Output only. The names of any related resources that are blocking changes to the annotated dataset." }, "metadata": { "description": "Output only. Additional information about AnnotatedDataset.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotatedDatasetMetadata" }, "annotationType": { "enum": [ "ANNOTATION_TYPE_UNSPECIFIED", "IMAGE_CLASSIFICATION_ANNOTATION", "IMAGE_BOUNDING_BOX_ANNOTATION", "IMAGE_ORIENTED_BOUNDING_BOX_ANNOTATION", "IMAGE_BOUNDING_POLY_ANNOTATION", "IMAGE_POLYLINE_ANNOTATION", "IMAGE_SEGMENTATION_ANNOTATION", "VIDEO_SHOTS_CLASSIFICATION_ANNOTATION", "VIDEO_OBJECT_TRACKING_ANNOTATION", "VIDEO_OBJECT_DETECTION_ANNOTATION", "VIDEO_EVENT_ANNOTATION", "TEXT_CLASSIFICATION_ANNOTATION", "TEXT_ENTITY_EXTRACTION_ANNOTATION", "GENERAL_CLASSIFICATION_ANNOTATION" ], "description": "Output only. Type of the annotation. It is specified when starting labeling task.", "type": "string", "enumDescriptions": [ "", "Classification annotations in an image. Allowed for continuous evaluation.", "Bounding box annotations in an image. A form of image object detection. Allowed for continuous evaluation.", "Oriented bounding box. The box does not have to be parallel to horizontal line.", "Bounding poly annotations in an image.", "Polyline annotations in an image.", "Segmentation annotations in an image.", "Classification annotations in video shots.", "Video object tracking annotation.", "Video object detection annotation.", "Video event annotation.", "Classification for text. Allowed for continuous evaluation.", "Entity extraction for text.", "General classification. Allowed for continuous evaluation." ] }, "completedExampleCount": { "type": "string", "format": "int64", "description": "Output only. Number of examples that have annotation in the annotated dataset." }, "displayName": { "type": "string", "description": "Output only. The display name of the AnnotatedDataset. It is specified in HumanAnnotationConfig when user starts a labeling task. Maximum of 64 characters." }, "description": { "description": "Output only. The description of the AnnotatedDataset. It is specified in HumanAnnotationConfig when user starts a labeling task. Maximum of 10000 characters.", "type": "string" } }, "id": "GoogleCloudDatalabelingV1beta1AnnotatedDataset", "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelImagePolylineOperationMetadata": { "description": "Details of LabelImagePolyline operation metadata.", "id": "GoogleCloudDatalabelingV1alpha1LabelImagePolylineOperationMetadata", "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } } }, "GoogleCloudDatalabelingV1beta1ExampleComparison": { "type": "object", "description": "Example comparisons comparing ground truth output and predictions for a specific input.", "properties": { "modelCreatedExamples": { "type": "array", "description": "Predictions by the model for the input.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1Example" } }, "groundTruthExample": { "$ref": "GoogleCloudDatalabelingV1beta1Example", "description": "The ground truth output for the input." } }, "id": "GoogleCloudDatalabelingV1beta1ExampleComparison" }, "GoogleCloudDatalabelingV1beta1EvaluationJobAlertConfig": { "id": "GoogleCloudDatalabelingV1beta1EvaluationJobAlertConfig", "type": "object", "properties": { "minAcceptableMeanAveragePrecision": { "description": "Required. A number between 0 and 1 that describes a minimum mean average precision threshold. When the evaluation job runs, if it calculates that your model version's predictions from the recent interval have meanAveragePrecision below this threshold, then it sends an alert to your specified email.", "type": "number", "format": "double" }, "email": { "type": "string", "description": "Required. An email address to send alerts to." } }, "description": "Provides details for how an evaluation job sends email alerts based on the results of a run." }, "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "GoogleProtobufEmpty", "type": "object", "properties": {} }, "GoogleCloudDatalabelingV1beta1CreateDatasetRequest": { "id": "GoogleCloudDatalabelingV1beta1CreateDatasetRequest", "description": "Request message for CreateDataset.", "type": "object", "properties": { "dataset": { "$ref": "GoogleCloudDatalabelingV1beta1Dataset", "description": "Required. The dataset to be created." } } }, "GoogleCloudDatalabelingV1beta1VideoClassificationConfig": { "properties": { "applyShotDetection": { "type": "boolean", "description": "Optional. Option to apply shot detection on the video." }, "annotationSpecSetConfigs": { "type": "array", "description": "Required. The list of annotation spec set configs. Since watching a video clip takes much longer time than an image, we support label with multiple AnnotationSpecSet at the same time. Labels in each AnnotationSpecSet will be shown in a group to contributors. Contributors can select one or more (depending on whether to allow multi label) from each group.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpecSetConfig" } } }, "type": "object", "id": "GoogleCloudDatalabelingV1beta1VideoClassificationConfig", "description": "Config for video classification human labeling task. Currently two types of video classification are supported: 1. Assign labels on the entire video. 2. Split the video into multiple video clips based on camera shot, and assign labels on each video clip." }, "GoogleCloudDatalabelingV1p1alpha1LabelVideoClassificationOperationMetadata": { "description": "Details of a LabelVideoClassification operation metadata.", "id": "GoogleCloudDatalabelingV1p1alpha1LabelVideoClassificationOperationMetadata", "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelImageSegmentationOperationMetadata": { "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelImageSegmentation operation metadata.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelImageSegmentationOperationMetadata" }, "GoogleCloudDatalabelingV1p1alpha1LabelImageOrientedBoundingBoxOperationMetadata": { "description": "Details of a LabelImageOrientedBoundingBox operation metadata.", "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1p1alpha1LabelImageOrientedBoundingBoxOperationMetadata" }, "GoogleCloudDatalabelingV1p1alpha1GcsFolderDestination": { "type": "object", "description": "Export folder destination of the data.", "properties": { "outputFolderUri": { "type": "string", "description": "Required. Cloud Storage directory to export data to." } }, "id": "GoogleCloudDatalabelingV1p1alpha1GcsFolderDestination" }, "GoogleCloudDatalabelingV1p2alpha1LabelTextClassificationOperationMetadata": { "type": "object", "description": "Details of a LabelTextClassification operation metadata.", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1p2alpha1LabelTextClassificationOperationMetadata" }, "GoogleCloudDatalabelingV1beta1EvaluationJob": { "description": "Defines an evaluation job that runs periodically to generate Evaluations. [Creating an evaluation job](/ml-engine/docs/continuous-evaluation/create-job) is the starting point for using continuous evaluation.", "type": "object", "properties": { "schedule": { "type": "string", "description": "Required. Describes the interval at which the job runs. This interval must be at least 1 day, and it is rounded to the nearest day. For example, if you specify a 50-hour interval, the job runs every 2 days. You can provide the schedule in [crontab format](/scheduler/docs/configuring/cron-job-schedules) or in an [English-like format](/appengine/docs/standard/python/config/cronref#schedule_format). Regardless of what you specify, the job will run at 10:00 AM UTC. Only the interval from this schedule is used, not the specific time of day." }, "description": { "description": "Required. Description of the job. The description can be up to 25,000 characters long.", "type": "string" }, "annotationSpecSet": { "type": "string", "description": "Required. Name of the AnnotationSpecSet describing all the labels that your machine learning model outputs. You must create this resource before you create an evaluation job and provide its name in the following format: \"projects/{project_id}/annotationSpecSets/{annotation_spec_set_id}\"" }, "modelVersion": { "description": "Required. The [AI Platform Prediction model version](/ml-engine/docs/prediction-overview) to be evaluated. Prediction input and output is sampled from this model version. When creating an evaluation job, specify the model version in the following format: \"projects/{project_id}/models/{model_name}/versions/{version_name}\" There can only be one evaluation job per model version.", "type": "string" }, "name": { "type": "string", "description": "Output only. After you create a job, Data Labeling Service assigns a name to the job with the following format: \"projects/{project_id}/evaluationJobs/ {evaluation_job_id}\"" }, "labelMissingGroundTruth": { "description": "Required. Whether you want Data Labeling Service to provide ground truth labels for prediction input. If you want the service to assign human labelers to annotate your data, set this to `true`. If you want to provide your own ground truth labels in the evaluation job's BigQuery table, set this to `false`.", "type": "boolean" }, "evaluationJobConfig": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJobConfig", "description": "Required. Configuration details for the evaluation job." }, "state": { "type": "string", "description": "Output only. Describes the current state of the job.", "enum": [ "STATE_UNSPECIFIED", "SCHEDULED", "RUNNING", "PAUSED", "STOPPED" ], "enumDescriptions": [ "", "The job is scheduled to run at the configured interval. You can pause or delete the job. When the job is in this state, it samples prediction input and output from your model version into your BigQuery table as predictions occur.", "The job is currently running. When the job runs, Data Labeling Service does several things: 1. If you have configured your job to use Data Labeling Service for ground truth labeling, the service creates a Dataset and a labeling task for all data sampled since the last time the job ran. Human labelers provide ground truth labels for your data. Human labeling may take hours, or even days, depending on how much data has been sampled. The job remains in the `RUNNING` state during this time, and it can even be running multiple times in parallel if it gets triggered again (for example 24 hours later) before the earlier run has completed. When human labelers have finished labeling the data, the next step occurs. If you have configured your job to provide your own ground truth labels, Data Labeling Service still creates a Dataset for newly sampled data, but it expects that you have already added ground truth labels to the BigQuery table by this time. The next step occurs immediately. 2. Data Labeling Service creates an Evaluation by comparing your model version's predictions with the ground truth labels. If the job remains in this state for a long time, it continues to sample prediction data into your BigQuery table and will run again at the next interval, even if it causes the job to run multiple times in parallel.", "The job is not sampling prediction input and output into your BigQuery table and it will not run according to its schedule. You can resume the job.", "The job has this state right before it is deleted." ] }, "attempts": { "description": "Output only. Every time the evaluation job runs and an error occurs, the failed attempt is appended to this array.", "type": "array", "items": { "$ref": "GoogleCloudDatalabelingV1beta1Attempt" } }, "createTime": { "description": "Output only. Timestamp of when this evaluation job was created.", "format": "google-datetime", "type": "string" } }, "id": "GoogleCloudDatalabelingV1beta1EvaluationJob" }, "GoogleCloudDatalabelingV1p1alpha1LabelOperationMetadata": { "id": "GoogleCloudDatalabelingV1p1alpha1LabelOperationMetadata", "description": "Metadata of a labeling operation, such as LabelImage or LabelVideo. Next tag: 23", "properties": { "imagePolylineDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImagePolylineOperationMetadata", "description": "Details of label image polyline operation." }, "imageSegmentationDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImageSegmentationOperationMetadata", "description": "Details of label image segmentation operation." }, "videoEventDetails": { "description": "Details of label video event operation.", "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelVideoEventOperationMetadata" }, "imageBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingBoxOperationMetadata", "description": "Details of label image bounding box operation." }, "partialFailures": { "type": "array", "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "items": { "$ref": "GoogleRpcStatus" } }, "imageOrientedBoundingBoxDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImageOrientedBoundingBoxOperationMetadata", "description": "Details of label image oriented bounding box operation." }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." }, "videoObjectDetectionDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectDetectionOperationMetadata", "description": "Details of label video object detection operation." }, "textEntityExtractionDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelTextEntityExtractionOperationMetadata", "description": "Details of label text entity extraction operation." }, "dataset": { "type": "string", "description": "Output only. The name of dataset to be labeled. \"projects/*/datasets/*\"" }, "progressPercent": { "type": "integer", "format": "int32", "description": "Output only. Progress of label operation. Range: [0, 100]." }, "imageBoundingPolyDetails": { "description": "Details of label image bounding poly operation.", "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingPolyOperationMetadata" }, "videoObjectTrackingDetails": { "description": "Details of label video object tracking operation.", "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelVideoObjectTrackingOperationMetadata" }, "textClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelTextClassificationOperationMetadata", "description": "Details of label text classification operation." }, "imageClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelImageClassificationOperationMetadata", "description": "Details of label image classification operation." }, "createTime": { "format": "google-datetime", "description": "Output only. Timestamp when labeling request was created.", "type": "string" }, "videoClassificationDetails": { "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelVideoClassificationOperationMetadata", "description": "Details of label video classification operation." } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1LabelImagePolylineOperationMetadata": { "id": "GoogleCloudDatalabelingV1beta1LabelImagePolylineOperationMetadata", "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "description": "Details of LabelImagePolyline operation metadata." }, "GoogleCloudDatalabelingV1p1alpha1OutputConfig": { "description": "The configuration of output data.", "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1OutputConfig", "properties": { "gcsFolderDestination": { "$ref": "GoogleCloudDatalabelingV1p1alpha1GcsFolderDestination", "description": "Output to a folder in Cloud Storage. Should be used for image segmentation or document de-identification labeling outputs." }, "gcsDestination": { "$ref": "GoogleCloudDatalabelingV1p1alpha1GcsDestination", "description": "Output to a file in Cloud Storage. Should be used for labeling output other than image segmentation." } } }, "GoogleCloudDatalabelingV1beta1ObjectDetectionMetrics": { "properties": { "prCurve": { "$ref": "GoogleCloudDatalabelingV1beta1PrCurve", "description": "Precision-recall curve." } }, "description": "Metrics calculated for an image object detection (bounding box) model.", "id": "GoogleCloudDatalabelingV1beta1ObjectDetectionMetrics", "type": "object" }, "GoogleCloudDatalabelingV1beta1LabelImageOrientedBoundingBoxOperationMetadata": { "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Basic human annotation config." } }, "id": "GoogleCloudDatalabelingV1beta1LabelImageOrientedBoundingBoxOperationMetadata", "description": "Details of a LabelImageOrientedBoundingBox operation metadata.", "type": "object" }, "GoogleCloudDatalabelingV1beta1ListDataItemsResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" }, "dataItems": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1DataItem" }, "type": "array", "description": "The list of data items to return." } }, "id": "GoogleCloudDatalabelingV1beta1ListDataItemsResponse", "type": "object", "description": "Results of listing data items in a dataset." }, "GoogleCloudDatalabelingV1p1alpha1LabelTextClassificationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1p1alpha1LabelTextClassificationOperationMetadata", "description": "Details of a LabelTextClassification operation metadata.", "type": "object" }, "GoogleCloudDatalabelingV1beta1EvaluationJobConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1EvaluationJobConfig", "description": "Configures specific details of how a continuous evaluation job works. Provide this configuration when you create an EvaluationJob.", "properties": { "exampleSamplePercentage": { "format": "double", "type": "number", "description": "Required. Fraction of predictions to sample and save to BigQuery during each evaluation interval. For example, 0.1 means 10% of predictions served by your model version get saved to BigQuery." }, "evaluationConfig": { "description": "Required. Details for calculating evaluation metrics and creating Evaulations. If your model version performs image object detection, you must specify the `boundingBoxEvaluationOptions` field within this configuration. Otherwise, provide an empty object for this configuration.", "$ref": "GoogleCloudDatalabelingV1beta1EvaluationConfig" }, "humanAnnotationConfig": { "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig", "description": "Optional. Details for human annotation of your data. If you set labelMissingGroundTruth to `true` for this evaluation job, then you must specify this field. If you plan to provide your own ground truth labels, then omit this field. Note that you must create an Instruction resource before you can specify this field. Provide the name of the instruction resource in the `instruction` field within this configuration." }, "inputConfig": { "$ref": "GoogleCloudDatalabelingV1beta1InputConfig", "description": "Rquired. Details for the sampled prediction input. Within this configuration, there are requirements for several fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `dataType` must be one of `IMAGE`, `TEXT`, or `GENERAL_DATA`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `annotationType` must be one of `IMAGE_CLASSIFICATION_ANNOTATION`, `TEXT_CLASSIFICATION_ANNOTATION`, `GENERAL_CLASSIFICATION_ANNOTATION`, or `IMAGE_BOUNDING_BOX_ANNOTATION` (image object detection). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If your machine learning model performs classification, you must specify `classificationMetadata.isMultiLabel`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh You must specify `bigquerySource` (not `gcsSource`)." }, "bigqueryImportKeys": { "type": "object", "description": "Required. Prediction keys that tell Data Labeling Service where to find the data for evaluation in your BigQuery table. When the service samples prediction input and output from your model version and saves it to BigQuery, the data gets stored as JSON strings in the BigQuery table. These keys tell Data Labeling Service how to parse the JSON. You can provide the following entries in this field: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `data_json_key`: the data key for prediction input. You must provide either this key or `reference_json_key`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `reference_json_key`: the data reference key for prediction input. You must provide either this key or `data_json_key`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `label_json_key`: the label key for prediction output. Required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `label_score_json_key`: the score key for prediction output. Required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `bounding_box_json_key`: the bounding box key for prediction output. Required if your model version perform image object detection. Learn [how to configure prediction keys](/ml-engine/docs/continuous-evaluation/create-job#prediction-keys).", "additionalProperties": { "type": "string" } }, "evaluationJobAlertConfig": { "description": "Optional. Configuration details for evaluation job alerts. Specify this field if you want to receive email alerts if the evaluation job finds that your predictions have low mean average precision during a run.", "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJobAlertConfig" }, "exampleCount": { "description": "Required. The maximum number of predictions to sample and save to BigQuery during each evaluation interval. This limit overrides `example_sample_percentage`: even if the service has not sampled enough predictions to fulfill `example_sample_perecentage` during an interval, it stops sampling predictions when it meets this limit.", "format": "int32", "type": "integer" }, "textClassificationConfig": { "$ref": "GoogleCloudDatalabelingV1beta1TextClassificationConfig", "description": "Specify this field if your model version performs text classification. `annotationSpecSet` in this configuration must match EvaluationJob.annotationSpecSet. `allowMultiLabel` in this configuration must match `classificationMetadata.isMultiLabel` in input_config." }, "imageClassificationConfig": { "description": "Specify this field if your model version performs image classification or general classification. `annotationSpecSet` in this configuration must match EvaluationJob.annotationSpecSet. `allowMultiLabel` in this configuration must match `classificationMetadata.isMultiLabel` in input_config.", "$ref": "GoogleCloudDatalabelingV1beta1ImageClassificationConfig" }, "boundingPolyConfig": { "description": "Specify this field if your model version performs image object detection (bounding box detection). `annotationSpecSet` in this configuration must match EvaluationJob.annotationSpecSet.", "$ref": "GoogleCloudDatalabelingV1beta1BoundingPolyConfig" } } }, "GoogleCloudDatalabelingV1beta1FeedbackThreadMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1FeedbackThreadMetadata", "properties": { "createTime": { "format": "google-datetime", "description": "When the thread is created", "type": "string" }, "lastUpdateTime": { "type": "string", "description": "When the thread is last updated.", "format": "google-datetime" }, "status": { "enum": [ "FEEDBACK_THREAD_STATUS_UNSPECIFIED", "NEW", "REPLIED" ], "enumDescriptions": [ "", "Feedback thread is created with no reply;", "Feedback thread is replied at least once;" ], "type": "string" }, "thumbnail": { "description": "An image thumbnail of this thread.", "type": "string", "format": "byte" } } }, "GoogleCloudDatalabelingV1beta1ExportDataOperationResponse": { "description": "Response used for ExportDataset longrunning operation.", "id": "GoogleCloudDatalabelingV1beta1ExportDataOperationResponse", "properties": { "totalCount": { "format": "int32", "description": "Output only. Total number of examples requested to export", "type": "integer" }, "dataset": { "type": "string", "description": "Ouptut only. The name of dataset. \"projects/*/datasets/*\"" }, "labelStats": { "$ref": "GoogleCloudDatalabelingV1beta1LabelStats", "description": "Output only. Statistic infos of labels in the exported dataset." }, "outputConfig": { "$ref": "GoogleCloudDatalabelingV1beta1OutputConfig", "description": "Output only. output_config in the ExportData request." }, "exportCount": { "format": "int32", "type": "integer", "description": "Output only. Number of examples exported successfully." }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." } }, "type": "object" }, "GoogleCloudDatalabelingV1beta1NormalizedBoundingPoly": { "type": "object", "description": "Normalized bounding polygon.", "id": "GoogleCloudDatalabelingV1beta1NormalizedBoundingPoly", "properties": { "normalizedVertices": { "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1NormalizedVertex" }, "type": "array" } } }, "GoogleCloudDatalabelingV1alpha1LabelVideoClassificationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1alpha1LabelVideoClassificationOperationMetadata", "description": "Details of a LabelVideoClassification operation metadata.", "type": "object" }, "GoogleCloudDatalabelingV1beta1ListDatasetsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results." }, "datasets": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1Dataset" }, "description": "The list of datasets to return.", "type": "array" } }, "id": "GoogleCloudDatalabelingV1beta1ListDatasetsResponse", "type": "object", "description": "Results of listing datasets within a project." }, "GoogleCloudDatalabelingV1beta1TimeSegment": { "type": "object", "description": "A time period inside of an example that has a time dimension (e.g. video).", "properties": { "endTimeOffset": { "description": "End of the time segment (exclusive), represented as the duration since the example start.", "type": "string", "format": "google-duration" }, "startTimeOffset": { "type": "string", "description": "Start of the time segment (inclusive), represented as the duration since the example start.", "format": "google-duration" } }, "id": "GoogleCloudDatalabelingV1beta1TimeSegment" }, "GoogleCloudDatalabelingV1beta1BoundingPolyConfig": { "properties": { "annotationSpecSet": { "description": "Required. Annotation spec set resource name.", "type": "string" }, "instructionMessage": { "description": "Optional. Instruction message showed on contributors UI.", "type": "string" } }, "type": "object", "description": "Config for image bounding poly (and bounding box) human labeling task.", "id": "GoogleCloudDatalabelingV1beta1BoundingPolyConfig" }, "GoogleCloudDatalabelingV1beta1GcsSource": { "description": "Source of the Cloud Storage file to be imported.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1GcsSource", "properties": { "inputUri": { "type": "string", "description": "Required. The input URI of source file. This must be a Cloud Storage path (`gs://...`)." }, "mimeType": { "type": "string", "description": "Required. The format of the source file. Only \"text/csv\" is supported." } } }, "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig": { "id": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Configuration for how human labeling task should be done.", "properties": { "languageCode": { "type": "string", "description": "Optional. The Language of this question, as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). Default value is en-US. Only need to set this when task is language related. For example, French text classification." }, "questionDuration": { "format": "google-duration", "description": "Optional. Maximum duration for contributors to answer a question. Maximum is 3600 seconds. Default is 3600 seconds.", "type": "string" }, "instruction": { "type": "string", "description": "Required. Instruction resource name." }, "annotatedDatasetDescription": { "description": "Optional. A human-readable description for AnnotatedDataset. The description can be up to 10000 characters long.", "type": "string" }, "replicaCount": { "type": "integer", "description": "Optional. Replication of questions. Each question will be sent to up to this number of contributors to label. Aggregated answers will be returned. Default is set to 1. For image related labeling, valid values are 1, 3, 5.", "format": "int32" }, "contributorEmails": { "type": "array", "items": { "type": "string" }, "description": "Optional. If you want your own labeling contributors to manage and work on this labeling request, you can set these contributors here. We will give them access to the question types in crowdcompute. Note that these emails must be registered in crowdcompute worker UI: https://crowd-compute.appspot.com/" }, "annotatedDatasetDisplayName": { "type": "string", "description": "Required. A human-readable name for AnnotatedDataset defined by users. Maximum of 64 characters ." }, "labelGroup": { "type": "string", "description": "Optional. A human-readable label used to logically group labeling tasks. This string must match the regular expression `[a-zA-Z\\\\d_-]{0,128}`." }, "userEmailAddress": { "type": "string", "description": "Email of the user who started the labeling task and should be notified by email. If empty no notification will be sent." } }, "type": "object" }, "GoogleCloudDatalabelingV1alpha1LabelTextClassificationOperationMetadata": { "description": "Details of a LabelTextClassification operation metadata.", "id": "GoogleCloudDatalabelingV1alpha1LabelTextClassificationOperationMetadata", "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelImageOrientedBoundingBoxOperationMetadata": { "type": "object", "properties": { "basicConfig": { "description": "Basic human annotation config.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1p2alpha1LabelImageOrientedBoundingBoxOperationMetadata", "description": "Details of a LabelImageOrientedBoundingBox operation metadata." }, "GoogleCloudDatalabelingV1beta1ImagePolylineAnnotation": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImagePolylineAnnotation", "properties": { "annotationSpec": { "description": "Label of this polyline.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" }, "normalizedPolyline": { "$ref": "GoogleCloudDatalabelingV1beta1NormalizedPolyline" }, "polyline": { "$ref": "GoogleCloudDatalabelingV1beta1Polyline" } }, "description": "A polyline for the image annotation." }, "GoogleCloudDatalabelingV1beta1TextPayload": { "type": "object", "properties": { "textContent": { "type": "string", "description": "Text content." } }, "description": "Container of information about a piece of text.", "id": "GoogleCloudDatalabelingV1beta1TextPayload" }, "GoogleCloudDatalabelingV1alpha1ExportDataOperationResponse": { "properties": { "totalCount": { "description": "Output only. Total number of examples requested to export", "type": "integer", "format": "int32" }, "outputConfig": { "description": "Output only. output_config in the ExportData request.", "$ref": "GoogleCloudDatalabelingV1alpha1OutputConfig" }, "exportCount": { "format": "int32", "type": "integer", "description": "Output only. Number of examples exported successfully." }, "dataset": { "type": "string", "description": "Ouptut only. The name of dataset. \"projects/*/datasets/*\"" }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." }, "labelStats": { "description": "Output only. Statistic infos of labels in the exported dataset.", "$ref": "GoogleCloudDatalabelingV1alpha1LabelStats" } }, "type": "object", "description": "Response used for ExportDataset longrunning operation.", "id": "GoogleCloudDatalabelingV1alpha1ExportDataOperationResponse" }, "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingBoxOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p1alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelImageBoundingBox operation metadata.", "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1LabelImageBoundingBoxOperationMetadata" }, "GoogleCloudDatalabelingV1p1alpha1ExportDataOperationResponse": { "id": "GoogleCloudDatalabelingV1p1alpha1ExportDataOperationResponse", "type": "object", "properties": { "totalCount": { "format": "int32", "description": "Output only. Total number of examples requested to export", "type": "integer" }, "dataset": { "description": "Ouptut only. The name of dataset. \"projects/*/datasets/*\"", "type": "string" }, "exportCount": { "format": "int32", "type": "integer", "description": "Output only. Number of examples exported successfully." }, "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "outputConfig": { "$ref": "GoogleCloudDatalabelingV1p1alpha1OutputConfig", "description": "Output only. output_config in the ExportData request." }, "labelStats": { "description": "Output only. Statistic infos of labels in the exported dataset.", "$ref": "GoogleCloudDatalabelingV1p1alpha1LabelStats" } }, "description": "Response used for ExportDataset longrunning operation." }, "GoogleCloudDatalabelingV1beta1ListInstructionsResponse": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1ListInstructionsResponse", "properties": { "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" }, "instructions": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1Instruction" }, "type": "array", "description": "The list of Instructions to return." } }, "description": "Results of listing instructions under a project." }, "GoogleCloudDatalabelingV1p1alpha1ExportDataOperationMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1ExportDataOperationMetadata", "properties": { "dataset": { "type": "string", "description": "Output only. The name of dataset to be exported. \"projects/*/datasets/*\"" }, "annotatedDataset": { "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\".", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. Timestamp when export dataset request was created.", "type": "string" }, "partialFailures": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details." } }, "description": "Metadata of an ExportData operation." }, "GoogleCloudDatalabelingV1beta1AnnotationSpecSetConfig": { "type": "object", "description": "Annotation spec set with the setting of allowing multi labels or not.", "id": "GoogleCloudDatalabelingV1beta1AnnotationSpecSetConfig", "properties": { "allowMultiLabel": { "description": "Optional. If allow_multi_label is true, contributors are able to choose multiple labels from one annotation spec set.", "type": "boolean" }, "annotationSpecSet": { "type": "string", "description": "Required. Annotation spec set resource name." } } }, "GoogleCloudDatalabelingV1p2alpha1LabelImagePolylineOperationMetadata": { "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } }, "id": "GoogleCloudDatalabelingV1p2alpha1LabelImagePolylineOperationMetadata", "description": "Details of LabelImagePolyline operation metadata." }, "GoogleCloudDatalabelingV1p2alpha1ImportDataOperationMetadata": { "description": "Metadata of an ImportData operation.", "type": "object", "id": "GoogleCloudDatalabelingV1p2alpha1ImportDataOperationMetadata", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. Timestamp when import dataset request was created." }, "partialFailures": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details." }, "dataset": { "type": "string", "description": "Output only. The name of imported dataset. \"projects/*/datasets/*\"" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingBoxOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "description": "Details of a LabelImageBoundingBox operation metadata.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelImageBoundingBoxOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1beta1Example": { "type": "object", "description": "An Example is a piece of data and its annotation. For example, an image with label \"house\".", "properties": { "videoPayload": { "$ref": "GoogleCloudDatalabelingV1beta1VideoPayload", "description": "The video payload, a container of the video uri." }, "name": { "type": "string", "description": "Output only. Name of the example, in format of: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/ {annotated_dataset_id}/examples/{example_id}" }, "imagePayload": { "$ref": "GoogleCloudDatalabelingV1beta1ImagePayload", "description": "The image payload, a container of the image bytes/uri." }, "textPayload": { "$ref": "GoogleCloudDatalabelingV1beta1TextPayload", "description": "The text payload, a container of the text content." }, "annotations": { "description": "Output only. Annotations for the piece of data in Example. One piece of data can have multiple annotations.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1Annotation" }, "type": "array" } }, "id": "GoogleCloudDatalabelingV1beta1Example" }, "GoogleCloudDatalabelingV1beta1BoundingBoxEvaluationOptions": { "description": "Options regarding evaluation between bounding boxes.", "type": "object", "properties": { "iouThreshold": { "description": "Minimum [intersection-over-union (IOU)](/vision/automl/object-detection/docs/evaluate#intersection-over-union) required for 2 bounding boxes to be considered a match. This must be a number between 0 and 1.", "format": "float", "type": "number" } }, "id": "GoogleCloudDatalabelingV1beta1BoundingBoxEvaluationOptions" }, "GoogleCloudDatalabelingV1beta1OutputConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1OutputConfig", "description": "The configuration of output data.", "properties": { "gcsFolderDestination": { "description": "Output to a folder in Cloud Storage. Should be used for image segmentation or document de-identification labeling outputs.", "$ref": "GoogleCloudDatalabelingV1beta1GcsFolderDestination" }, "gcsDestination": { "$ref": "GoogleCloudDatalabelingV1beta1GcsDestination", "description": "Output to a file in Cloud Storage. Should be used for labeling output other than image segmentation." } } }, "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsRequest": { "description": "Request message of SearchExampleComparisons.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1SearchExampleComparisonsRequest", "properties": { "pageSize": { "format": "int32", "description": "Optional. Requested page size. Server may return fewer results than requested. Default value is 100.", "type": "integer" }, "pageToken": { "type": "string", "description": "Optional. A token identifying a page of results for the server to return. Typically obtained by the nextPageToken of the response to a previous search rquest. If you don't specify this field, the API call requests the first page of the search." } } }, "GoogleCloudDatalabelingV1beta1ImportDataRequest": { "properties": { "userEmailAddress": { "type": "string", "description": "Email of the user who started the import task and should be notified by email. If empty no notification will be sent." }, "inputConfig": { "description": "Required. Specify the input source of the data.", "$ref": "GoogleCloudDatalabelingV1beta1InputConfig" } }, "description": "Request message for ImportData API.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1ImportDataRequest" }, "GoogleCloudDatalabelingV1beta1CreateEvaluationJobRequest": { "description": "Request message for CreateEvaluationJob.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1CreateEvaluationJobRequest", "properties": { "job": { "$ref": "GoogleCloudDatalabelingV1beta1EvaluationJob", "description": "Required. The evaluation job to create." } } }, "GoogleCloudDatalabelingV1beta1LabelImageClassificationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1beta1LabelImageClassificationOperationMetadata", "type": "object", "description": "Metadata of a LabelImageClassification operation." }, "GoogleCloudDatalabelingV1beta1TextClassificationConfig": { "type": "object", "description": "Config for text classification human labeling task.", "id": "GoogleCloudDatalabelingV1beta1TextClassificationConfig", "properties": { "annotationSpecSet": { "description": "Required. Annotation spec set resource name.", "type": "string" }, "sentimentConfig": { "$ref": "GoogleCloudDatalabelingV1beta1SentimentConfig", "description": "Optional. Configs for sentiment selection. We deprecate sentiment analysis in data labeling side as it is incompatible with uCAIP." }, "allowMultiLabel": { "type": "boolean", "description": "Optional. If allow_multi_label is true, contributors are able to choose multiple labels for one text segment." } } }, "GoogleCloudDatalabelingV1beta1ObjectTrackingConfig": { "id": "GoogleCloudDatalabelingV1beta1ObjectTrackingConfig", "description": "Config for video object tracking human labeling task.", "type": "object", "properties": { "overlapLength": { "format": "int32", "type": "integer", "description": "The overlap length between different video clips. Users can configure is field in seconds, if not set, default value is 0.3s." }, "clipLength": { "format": "int32", "description": "Videos will be cut to smaller clips to make it easier for labelers to work on. Users can configure is field in seconds, if not set, default value is 20s.", "type": "integer" }, "annotationSpecSet": { "type": "string", "description": "Required. Annotation spec set resource name." } } }, "GoogleCloudDatalabelingV1beta1SequentialSegment": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1SequentialSegment", "description": "Start and end position in a sequence (e.g. text segment).", "properties": { "start": { "description": "Start position (inclusive).", "type": "integer", "format": "int32" }, "end": { "type": "integer", "description": "End position (exclusive).", "format": "int32" } } }, "GoogleCloudDatalabelingV1beta1EvaluationMetrics": { "properties": { "classificationMetrics": { "$ref": "GoogleCloudDatalabelingV1beta1ClassificationMetrics" }, "objectDetectionMetrics": { "$ref": "GoogleCloudDatalabelingV1beta1ObjectDetectionMetrics" } }, "id": "GoogleCloudDatalabelingV1beta1EvaluationMetrics", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1LabelImageClassificationOperationMetadata": { "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig" } }, "description": "Metadata of a LabelImageClassification operation.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelImageClassificationOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1beta1ListAnnotatedDatasetsResponse": { "id": "GoogleCloudDatalabelingV1beta1ListAnnotatedDatasetsResponse", "description": "Results of listing annotated datasets for a dataset.", "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" }, "annotatedDatasets": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotatedDataset" }, "type": "array", "description": "The list of annotated datasets to return." } } }, "GoogleCloudDatalabelingV1alpha1LabelImageSegmentationOperationMetadata": { "description": "Details of a LabelImageSegmentation operation metadata.", "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig", "description": "Basic human annotation config." } }, "id": "GoogleCloudDatalabelingV1alpha1LabelImageSegmentationOperationMetadata" }, "GoogleCloudDatalabelingV1beta1RequesterFeedbackMetadata": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1RequesterFeedbackMetadata", "description": "Metadata describing the feedback from the labeling task requester.", "properties": {} }, "GoogleCloudDatalabelingV1beta1VideoClassificationAnnotation": { "type": "object", "properties": { "timeSegment": { "$ref": "GoogleCloudDatalabelingV1beta1TimeSegment", "description": "The time segment of the video to which the annotation applies." }, "annotationSpec": { "description": "Label of the segment specified by time_segment.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } }, "description": "Video classification annotation.", "id": "GoogleCloudDatalabelingV1beta1VideoClassificationAnnotation" }, "GoogleCloudDatalabelingV1beta1SearchEvaluationsResponse": { "description": "Results of searching evaluations.", "properties": { "evaluations": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1Evaluation" }, "description": "The list of evaluations matching the search.", "type": "array" }, "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" } }, "type": "object", "id": "GoogleCloudDatalabelingV1beta1SearchEvaluationsResponse" }, "GoogleCloudDatalabelingV1beta1AnnotationValue": { "id": "GoogleCloudDatalabelingV1beta1AnnotationValue", "type": "object", "properties": { "imagePolylineAnnotation": { "$ref": "GoogleCloudDatalabelingV1beta1ImagePolylineAnnotation", "description": "Annotation value for image polyline cases. Polyline here is different from BoundingPoly. It is formed by line segments connected to each other but not closed form(Bounding Poly). The line segments can cross each other." }, "videoClassificationAnnotation": { "description": "Annotation value for video classification case.", "$ref": "GoogleCloudDatalabelingV1beta1VideoClassificationAnnotation" }, "imageSegmentationAnnotation": { "$ref": "GoogleCloudDatalabelingV1beta1ImageSegmentationAnnotation", "description": "Annotation value for image segmentation." }, "videoEventAnnotation": { "$ref": "GoogleCloudDatalabelingV1beta1VideoEventAnnotation", "description": "Annotation value for video event case." }, "videoObjectTrackingAnnotation": { "description": "Annotation value for video object detection and tracking case.", "$ref": "GoogleCloudDatalabelingV1beta1VideoObjectTrackingAnnotation" }, "textEntityExtractionAnnotation": { "$ref": "GoogleCloudDatalabelingV1beta1TextEntityExtractionAnnotation", "description": "Annotation value for text entity extraction case." }, "imageBoundingPolyAnnotation": { "description": "Annotation value for image bounding box, oriented bounding box and polygon cases.", "$ref": "GoogleCloudDatalabelingV1beta1ImageBoundingPolyAnnotation" }, "textClassificationAnnotation": { "$ref": "GoogleCloudDatalabelingV1beta1TextClassificationAnnotation", "description": "Annotation value for text classification case." }, "imageClassificationAnnotation": { "description": "Annotation value for image classification case.", "$ref": "GoogleCloudDatalabelingV1beta1ImageClassificationAnnotation" } }, "description": "Annotation value for an example." }, "GoogleCloudDatalabelingV1beta1ListFeedbackThreadsResponse": { "type": "object", "description": "Results for listing FeedbackThreads.", "id": "GoogleCloudDatalabelingV1beta1ListFeedbackThreadsResponse", "properties": { "feedbackThreads": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1FeedbackThread" }, "type": "array", "description": "The list of feedback threads to return." }, "nextPageToken": { "description": "A token to retrieve next page of results.", "type": "string" } } }, "GoogleCloudDatalabelingV1alpha1ExportDataOperationMetadata": { "id": "GoogleCloudDatalabelingV1alpha1ExportDataOperationMetadata", "type": "object", "description": "Metadata of an ExportData operation.", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Timestamp when export dataset request was created." }, "annotatedDataset": { "type": "string", "description": "Output only. The name of annotated dataset in format \"projects/*/datasets/*/annotatedDatasets/*\"." }, "dataset": { "description": "Output only. The name of dataset to be exported. \"projects/*/datasets/*\"", "type": "string" }, "partialFailures": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "type": "array" } } }, "GoogleCloudDatalabelingV1p1alpha1LabelStats": { "properties": { "exampleCount": { "additionalProperties": { "type": "string", "format": "int64" }, "type": "object", "description": "Map of each annotation spec's example count. Key is the annotation spec name and value is the number of examples for that annotation spec. If the annotated dataset does not have annotation spec, the map will return a pair where the key is empty string and value is the total number of annotations." } }, "description": "Statistics about annotation specs.", "type": "object", "id": "GoogleCloudDatalabelingV1p1alpha1LabelStats" }, "GoogleCloudDatalabelingV1alpha1LabelVideoObjectDetectionOperationMetadata": { "description": "Details of a LabelVideoObjectDetection operation metadata.", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1alpha1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1alpha1LabelVideoObjectDetectionOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1beta1TextEntityExtractionAnnotation": { "properties": { "annotationSpec": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec", "description": "Label of the text entities." }, "sequentialSegment": { "description": "Position of the entity.", "$ref": "GoogleCloudDatalabelingV1beta1SequentialSegment" } }, "id": "GoogleCloudDatalabelingV1beta1TextEntityExtractionAnnotation", "description": "Text entity extraction annotation.", "type": "object" }, "GoogleCloudDatalabelingV1beta1TextMetadata": { "id": "GoogleCloudDatalabelingV1beta1TextMetadata", "type": "object", "properties": { "languageCode": { "description": "The language of this text, as a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt). Default value is en-US.", "type": "string" } }, "description": "Metadata for the text." }, "GoogleCloudDatalabelingV1beta1PolylineConfig": { "type": "object", "id": "GoogleCloudDatalabelingV1beta1PolylineConfig", "description": "Config for image polyline human labeling task.", "properties": { "instructionMessage": { "description": "Optional. Instruction message showed on contributors UI.", "type": "string" }, "annotationSpecSet": { "description": "Required. Annotation spec set resource name.", "type": "string" } } }, "GoogleCloudDatalabelingV1p2alpha1LabelVideoEventOperationMetadata": { "description": "Details of a LabelVideoEvent operation metadata.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelVideoEventOperationMetadata", "type": "object", "properties": { "basicConfig": { "$ref": "GoogleCloudDatalabelingV1p2alpha1HumanAnnotationConfig", "description": "Basic human annotation config used in labeling request." } } }, "GoogleCloudDatalabelingV1beta1EventConfig": { "description": "Config for video event human labeling task.", "id": "GoogleCloudDatalabelingV1beta1EventConfig", "type": "object", "properties": { "overlapLength": { "description": "The overlap length between different video clips. Users can configure is field in seconds, if not set, default value is 1s.", "type": "integer", "format": "int32" }, "annotationSpecSets": { "description": "Required. The list of annotation spec set resource name. Similar to video classification, we support selecting event from multiple AnnotationSpecSet at the same time.", "items": { "type": "string" }, "type": "array" }, "clipLength": { "format": "int32", "type": "integer", "description": "Videos will be cut to smaller clips to make it easier for labelers to work on. Users can configure is field in seconds, if not set, default value is 60s." } } }, "GoogleCloudDatalabelingV1beta1Annotation": { "type": "object", "properties": { "annotationSource": { "enum": [ "ANNOTATION_SOURCE_UNSPECIFIED", "OPERATOR" ], "type": "string", "enumDescriptions": [ "", "Answer is provided by a human contributor." ], "description": "Output only. The source of the annotation." }, "annotationMetadata": { "description": "Output only. Annotation metadata, including information like votes for labels.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationMetadata" }, "annotationSentiment": { "description": "Output only. Sentiment for this annotation.", "type": "string", "enum": [ "ANNOTATION_SENTIMENT_UNSPECIFIED", "NEGATIVE", "POSITIVE" ], "enumDescriptions": [ "", "This annotation describes negatively about the data.", "This label describes positively about the data." ] }, "name": { "type": "string", "description": "Output only. Unique name of this annotation, format is: projects/{project_id}/datasets/{dataset_id}/annotatedDatasets/{annotated_dataset}/examples/{example_id}/annotations/{annotation_id}" }, "annotationValue": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationValue", "description": "Output only. This is the actual annotation value, e.g classification, bounding box values are stored here." } }, "id": "GoogleCloudDatalabelingV1beta1Annotation", "description": "Annotation for Example. Each example may have one or more annotations. For example in image classification problem, each image might have one or more labels. We call labels binded with this image an Annotation." }, "GoogleCloudDatalabelingV1beta1PrCurve": { "properties": { "areaUnderCurve": { "format": "float", "type": "number", "description": "Area under the precision-recall curve. Not to be confused with area under a receiver operating characteristic (ROC) curve." }, "meanAveragePrecision": { "description": "Mean average prcision of this curve.", "type": "number", "format": "float" }, "confidenceMetricsEntries": { "items": { "$ref": "GoogleCloudDatalabelingV1beta1ConfidenceMetricsEntry" }, "type": "array", "description": "Entries that make up the precision-recall graph. Each entry is a \"point\" on the graph drawn for a different `confidence_threshold`." }, "annotationSpec": { "description": "The annotation spec of the label for which the precision-recall curve calculated. If this field is empty, that means the precision-recall curve is an aggregate curve for all labels.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } }, "id": "GoogleCloudDatalabelingV1beta1PrCurve", "type": "object" }, "GoogleCloudDatalabelingV1beta1LabelTextClassificationOperationMetadata": { "description": "Details of a LabelTextClassification operation metadata.", "properties": { "basicConfig": { "description": "Basic human annotation config used in labeling request.", "$ref": "GoogleCloudDatalabelingV1beta1HumanAnnotationConfig" } }, "id": "GoogleCloudDatalabelingV1beta1LabelTextClassificationOperationMetadata", "type": "object" }, "GoogleCloudDatalabelingV1p1alpha1ImportDataOperationMetadata": { "id": "GoogleCloudDatalabelingV1p1alpha1ImportDataOperationMetadata", "type": "object", "properties": { "createTime": { "description": "Output only. Timestamp when import dataset request was created.", "format": "google-datetime", "type": "string" }, "dataset": { "description": "Output only. The name of imported dataset. \"projects/*/datasets/*\"", "type": "string" }, "partialFailures": { "description": "Output only. Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "description": "Metadata of an ImportData operation." }, "GoogleCloudDatalabelingV1beta1BoundingPoly": { "properties": { "vertices": { "description": "The bounding polygon vertices.", "type": "array", "items": { "$ref": "GoogleCloudDatalabelingV1beta1Vertex" } } }, "id": "GoogleCloudDatalabelingV1beta1BoundingPoly", "description": "A bounding polygon in the image.", "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1CreateInstructionMetadata": { "id": "GoogleCloudDatalabelingV1p2alpha1CreateInstructionMetadata", "type": "object", "description": "Metadata of a CreateInstruction operation.", "properties": { "createTime": { "type": "string", "description": "Timestamp when create instruction request was created.", "format": "google-datetime" }, "instruction": { "type": "string", "description": "The name of the created Instruction. projects/{project_id}/instructions/{instruction_id}" }, "partialFailures": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details." } } }, "GoogleCloudDatalabelingV1beta1AnnotationSpecSet": { "id": "GoogleCloudDatalabelingV1beta1AnnotationSpecSet", "type": "object", "description": "An AnnotationSpecSet is a collection of label definitions. For example, in image classification tasks, you define a set of possible labels for images as an AnnotationSpecSet. An AnnotationSpecSet is immutable upon creation.", "properties": { "annotationSpecs": { "type": "array", "description": "Required. The array of AnnotationSpecs that you define when you create the AnnotationSpecSet. These are the possible labels for the labeling task.", "items": { "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" } }, "name": { "description": "Output only. The AnnotationSpecSet resource name in the following format: \"projects/{project_id}/annotationSpecSets/{annotation_spec_set_id}\"", "type": "string" }, "description": { "type": "string", "description": "Optional. User-provided description of the annotation specification set. The description can be up to 10,000 characters long." }, "blockingResources": { "items": { "type": "string" }, "description": "Output only. The names of any related resources that are blocking changes to the annotation spec set.", "type": "array" }, "displayName": { "description": "Required. The display name for AnnotationSpecSet that you define when you create it. Maximum of 64 characters.", "type": "string" } } }, "GoogleCloudDatalabelingV1p2alpha1GcsDestination": { "id": "GoogleCloudDatalabelingV1p2alpha1GcsDestination", "type": "object", "description": "Export destination of the data.Only gcs path is allowed in output_uri.", "properties": { "outputUri": { "type": "string", "description": "Required. The output uri of destination file." }, "mimeType": { "description": "Required. The format of the gcs destination. Only \"text/csv\" and \"application/json\" are supported.", "type": "string" } } }, "GoogleCloudDatalabelingV1beta1VideoEventAnnotation": { "type": "object", "properties": { "annotationSpec": { "description": "Label of the event in this annotation.", "$ref": "GoogleCloudDatalabelingV1beta1AnnotationSpec" }, "timeSegment": { "$ref": "GoogleCloudDatalabelingV1beta1TimeSegment", "description": "The time segment of the video to which the annotation applies." } }, "description": "Video event annotation.", "id": "GoogleCloudDatalabelingV1beta1VideoEventAnnotation" }, "GoogleCloudDatalabelingV1beta1CreateInstructionMetadata": { "description": "Metadata of a CreateInstruction operation.", "id": "GoogleCloudDatalabelingV1beta1CreateInstructionMetadata", "properties": { "createTime": { "description": "Timestamp when create instruction request was created.", "format": "google-datetime", "type": "string" }, "instruction": { "description": "The name of the created Instruction. projects/{project_id}/instructions/{instruction_id}", "type": "string" }, "partialFailures": { "description": "Partial failures encountered. E.g. single files that couldn't be read. Status details field will contain standard GCP error details.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "type": "object" }, "GoogleCloudDatalabelingV1p2alpha1LabelStats": { "description": "Statistics about annotation specs.", "id": "GoogleCloudDatalabelingV1p2alpha1LabelStats", "type": "object", "properties": { "exampleCount": { "type": "object", "description": "Map of each annotation spec's example count. Key is the annotation spec name and value is the number of examples for that annotation spec. If the annotated dataset does not have annotation spec, the map will return a pair where the key is empty string and value is the total number of annotations.", "additionalProperties": { "format": "int64", "type": "string" } } } }, "GoogleCloudDatalabelingV1beta1BigQuerySource": { "properties": { "inputUri": { "type": "string", "description": "Required. BigQuery URI to a table, up to 2,000 characters long. If you specify the URI of a table that does not exist, Data Labeling Service creates a table at the URI with the correct schema when you create your EvaluationJob. If you specify the URI of a table that already exists, it must have the [correct schema](/ml-engine/docs/continuous-evaluation/create-job#table-schema). Provide the table URI in the following format: \"bq://{your_project_id}/ {your_dataset_name}/{your_table_name}\" [Learn more](/ml-engine/docs/continuous-evaluation/create-job#table-schema)." } }, "description": "The BigQuery location for input data. If used in an EvaluationJob, this is where the service saves the prediction input and output sampled from the model version.", "type": "object", "id": "GoogleCloudDatalabelingV1beta1BigQuerySource" } }, "rootUrl": "https://datalabeling.googleapis.com/", "discoveryVersion": "v1", "description": "Public API for Google Cloud AI Data Labeling Service.", "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/data-labeling/docs/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "fullyEncodeReservedExpansion": true, "canonicalName": "Data Labeling", "name": "datalabeling", "version_module": true }
]===]))
