local decode = require("cjson").new().decode
return assert(decode([===[
{ "servicePath": "", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "cancel": { "path": "v1/{+name}:cancel", "response": { "$ref": "Empty" }, "request": { "$ref": "CancelOperationRequest" }, "id": "datamigration.projects.locations.operations.cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource to be cancelled." } }, "httpMethod": "POST" }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "response": { "$ref": "Operation" }, "id": "datamigration.projects.locations.operations.get", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Empty" }, "id": "datamigration.projects.locations.operations.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "DELETE" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "id": "datamigration.projects.locations.operations.list", "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The standard list page size." }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "name": { "description": "The name of the operation's parent resource.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/operations" } } }, "migrationJobs": { "methods": { "promote": { "description": "Promote a migration job, stopping replication to the destination and promoting the destination to be a standalone database.", "path": "v1/{+name}:promote", "id": "datamigration.projects.locations.migrationJobs.promote", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:promote", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Name of the migration job resource to promote." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "PromoteMigrationJobRequest" }, "httpMethod": "POST" }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "id": "datamigration.projects.locations.migrationJobs.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:setIamPolicy" }, "delete": { "id": "datamigration.projects.locations.migrationJobs.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "description": "Deletes a single migration job.", "parameters": { "force": { "description": "The destination CloudSQL connection profile is always deleted with the migration job. In case of force delete, the destination CloudSQL replica database is also deleted.", "type": "boolean", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the migration job resource to delete.", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." } }, "parameterOrder": [ "name" ] }, "resume": { "description": "Resume a migration job that is currently stopped and is resumable (was stopped during CDC phase).", "request": { "$ref": "ResumeMigrationJobRequest" }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:resume", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datamigration.projects.locations.migrationJobs.resume", "parameters": { "name": { "description": "Name of the migration job resource to resume.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$" } }, "path": "v1/{+name}:resume", "httpMethod": "POST", "parameterOrder": [ "name" ] }, "generateSshScript": { "request": { "$ref": "GenerateSshScriptRequest" }, "id": "datamigration.projects.locations.migrationJobs.generateSshScript", "response": { "$ref": "SshScript" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "migrationJob" ], "path": "v1/{+migrationJob}:generateSshScript", "parameters": { "migrationJob": { "required": true, "description": "Name of the migration job resource to generate the SSH script.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:generateSshScript", "description": "Generate a SSH configuration script to configure the reverse SSH connectivity." }, "get": { "description": "Gets details of a single migration job.", "id": "datamigration.projects.locations.migrationJobs.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "description": "Required. Name of the migration job resource to get." } }, "httpMethod": "GET", "response": { "$ref": "MigrationJob" }, "path": "v1/{+name}" }, "verify": { "path": "v1/{+name}:verify", "parameters": { "name": { "description": "Name of the migration job resource to verify.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:verify", "request": { "$ref": "VerifyMigrationJobRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Verify a migration job, making sure the destination can reach the source and that all configuration and prerequisites are met.", "id": "datamigration.projects.locations.migrationJobs.verify", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "restart": { "path": "v1/{+name}:restart", "description": "Restart a stopped or failed migration job, resetting the destination instance to its original state and starting the migration process from scratch.", "response": { "$ref": "Operation" }, "request": { "$ref": "RestartMigrationJobRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "location": "path", "description": "Name of the migration job resource to restart." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datamigration.projects.locations.migrationJobs.restart", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:restart", "httpMethod": "POST" }, "list": { "httpMethod": "GET", "path": "v1/{+parent}/migrationJobs", "id": "datamigration.projects.locations.migrationJobs.list", "description": "Lists migration jobs in a given project and location.", "response": { "$ref": "ListMigrationJobsResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sort the results based on the migration job name. Valid values are: \"name\", \"name asc\", and \"name desc\"." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent, which owns this collection of migrationJobs.", "required": true, "location": "path" }, "pageSize": { "description": "The maximum number of migration jobs to return. The service may return fewer than this value. If unspecified, at most 50 migration jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" }, "filter": { "description": "A filter expression that filters migration jobs listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, \u003e, or \u003c. For example, list migration jobs created this year by specifying **createTime %gt; 2020-01-01T00:00:00.000000000Z.** You can also filter nested fields. For example, you could specify **reverseSshConnectivity.vmIp = \"1.2.3.4\"** to select all migration jobs connecting through the specific SSH tunnel bastion.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "The nextPageToken value received in the previous call to migrationJobs.list, used in the subsequent request to retrieve the next page of results. On first call this should be left blank. When paginating, all other parameters provided to migrationJobs.list must match the call that provided the page token.", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs" }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "datamigration.projects.locations.migrationJobs.patch", "httpMethod": "PATCH", "request": { "$ref": "MigrationJob" }, "parameters": { "requestId": { "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "type": "string", "location": "query" }, "name": { "type": "string", "required": true, "location": "path", "description": "The name (URI) of this migration job resource, in the form of: projects/{project}/locations/{location}/migrationJobs/{migrationJob}.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. Field mask is used to specify the fields to be overwritten in the migration job resource by the update." } }, "description": "Updates the parameters of a single migration job.", "response": { "$ref": "Operation" } }, "start": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "v1/{+name}:start", "parameterOrder": [ "name" ], "id": "datamigration.projects.locations.migrationJobs.start", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "StartMigrationJobRequest" }, "description": "Start an already created migration job.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Name of the migration job resource to start." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:start" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs", "description": "Creates a new migration job in a given project and location.", "id": "datamigration.projects.locations.migrationJobs.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1/{+parent}/migrationJobs", "response": { "$ref": "Operation" }, "parameters": { "parent": { "type": "string", "description": "Required. The parent, which owns this collection of migration jobs.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "type": "string", "location": "query", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." }, "migrationJobId": { "description": "Required. The ID of the instance to create.", "type": "string", "location": "query" } }, "request": { "$ref": "MigrationJob" } }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "datamigration.projects.locations.migrationJobs.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" } }, "getIamPolicy": { "id": "datamigration.projects.locations.migrationJobs.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "location": "path", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:getIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" } }, "stop": { "request": { "$ref": "StopMigrationJobRequest" }, "path": "v1/{+name}:stop", "id": "datamigration.projects.locations.migrationJobs.stop", "response": { "$ref": "Operation" }, "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "description": "Name of the migration job resource to stop." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Stops a running migration job.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:stop", "httpMethod": "POST" } } }, "connectionProfiles": { "methods": { "list": { "id": "datamigration.projects.locations.connectionProfiles.list", "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Required. The parent, which owns this collection of connection profiles.", "required": true }, "filter": { "location": "query", "description": "A filter expression that filters connection profiles listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, \u003e, or \u003c. For example, list connection profiles created this year by specifying **createTime %gt; 2020-01-01T00:00:00.000000000Z**. You can also filter nested fields. For example, you could specify **mySql.username = %lt;my_username%gt;** to list all connection profiles configured to connect with a specific username.", "type": "string" }, "orderBy": { "type": "string", "location": "query", "description": "A comma-separated list of fields to order results according to." }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous `ListConnectionProfiles` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListConnectionProfiles` must match the call that provided the page token." }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of connection profiles to return. The service may return fewer than this value. If unspecified, at most 50 connection profiles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Retrieves a list of all connection profiles in a given project and location.", "path": "v1/{+parent}/connectionProfiles", "response": { "$ref": "ListConnectionProfilesResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles" }, "delete": { "path": "v1/{+name}", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "datamigration.projects.locations.connectionProfiles.delete", "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. Name of the connection profile resource to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$" }, "requestId": { "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "location": "query", "type": "string" }, "force": { "location": "query", "description": "In case of force delete, the CloudSQL replica database is also deleted (only for CloudSQL connection profile).", "type": "boolean" } }, "description": "Deletes a single Database Migration Service connection profile. A connection profile can only be deleted if it is not in use by any active migration jobs." }, "create": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/connectionProfiles", "httpMethod": "POST", "request": { "$ref": "ConnectionProfile" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The parent, which owns this collection of connection profiles." }, "connectionProfileId": { "location": "query", "type": "string", "description": "Required. The connection profile identifier." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles", "id": "datamigration.projects.locations.connectionProfiles.create", "description": "Creates a new connection profile in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } }, "testIamPermissions": { "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$" } }, "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datamigration.projects.locations.connectionProfiles.testIamPermissions" }, "getIamPolicy": { "id": "datamigration.projects.locations.connectionProfiles.getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "required": true } } }, "patch": { "id": "datamigration.projects.locations.connectionProfiles.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The name of this connection profile resource in the form of projects/{project}/locations/{location}/connectionProfiles/{connectionProfile}." }, "requestId": { "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "location": "query", "type": "string" }, "updateMask": { "type": "string", "description": "Required. Field mask is used to specify the fields to be overwritten in the connection profile resource by the update.", "location": "query", "format": "google-fieldmask" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "description": "Update the configuration of a single connection profile.", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v1/{+name}", "request": { "$ref": "ConnectionProfile" } }, "setIamPolicy": { "response": { "$ref": "Policy" }, "httpMethod": "POST", "id": "datamigration.projects.locations.connectionProfiles.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "description": "Gets details of a single connection profile.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "ConnectionProfile" }, "id": "datamigration.projects.locations.connectionProfiles.get", "parameters": { "name": { "description": "Required. Name of the connection profile resource to get.", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "required": true, "location": "path", "type": "string" } } } } } }, "methods": { "list": { "response": { "$ref": "ListLocationsResponse" }, "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations", "httpMethod": "GET", "id": "datamigration.projects.locations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/locations", "description": "Lists information about the supported locations for this service.", "parameterOrder": [ "name" ] }, "get": { "description": "Gets information about a location.", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "type": "string", "location": "path", "required": true } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "id": "datamigration.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } } } } } }, "discoveryVersion": "v1", "name": "datamigration", "canonicalName": "Database Migration Service", "protocol": "rest", "description": "Manage Cloud Database Migration Service resources on Google Cloud Platform.", "parameters": { "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "$.xgafv": { "type": "string", "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "basePath": "", "schemas": { "Binding": { "type": "object", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "description": "Associates `members`, or principals, with a `role`.", "id": "Binding" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" } }, "type": "object" }, "DumpFlag": { "type": "object", "properties": { "value": { "description": "The value of the flag.", "type": "string" }, "name": { "description": "The name of the flag", "type": "string" } }, "id": "DumpFlag", "description": "Dump flag definition." }, "StopMigrationJobRequest": { "properties": {}, "type": "object", "description": "Request message for 'StopMigrationJob' request.", "id": "StopMigrationJobRequest" }, "PromoteMigrationJobRequest": { "type": "object", "description": "Request message for 'PromoteMigrationJob' request.", "id": "PromoteMigrationJobRequest", "properties": {} }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "id": "Policy", "properties": { "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" }, "type": "array" }, "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" } } }, "SqlAclEntry": { "type": "object", "id": "SqlAclEntry", "properties": { "expireTime": { "type": "string", "description": "The time when this access control entry expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example: `2012-11-15T16:19:00.094Z`.", "format": "google-datetime" }, "value": { "type": "string", "description": "The allowlisted value for the access control list." }, "label": { "type": "string", "description": "A label to identify this entry." }, "ttl": { "description": "Input only. The time-to-leave of this access control entry.", "format": "google-duration", "type": "string" } }, "description": "An entry for an Access Control list." }, "StartMigrationJobRequest": { "description": "Request message for 'StartMigrationJob' request.", "type": "object", "id": "StartMigrationJobRequest", "properties": {} }, "CancelOperationRequest": { "id": "CancelOperationRequest", "type": "object", "properties": {}, "description": "The request message for Operations.CancelOperation." }, "ReverseSshConnectivity": { "type": "object", "description": "The details needed to configure a reverse SSH tunnel between the source and destination databases. These details will be used when calling the generateSshScript method (see https://cloud.google.com/database-migration/docs/reference/rest/v1/projects.locations.migrationJobs/generateSshScript) to produce the script that will help set up the reverse SSH tunnel, and to set up the VPC peering between the Cloud SQL private network and the VPC.", "id": "ReverseSshConnectivity", "properties": { "vmPort": { "description": "Required. The forwarding port of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel.", "type": "integer", "format": "int32" }, "vmIp": { "description": "Required. The IP of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel.", "type": "string" }, "vpc": { "description": "The name of the VPC to peer with the Cloud SQL private network.", "type": "string" }, "vm": { "description": "The name of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel.", "type": "string" } } }, "CloudSqlSettings": { "type": "object", "description": "Settings for creating a Cloud SQL database instance.", "id": "CloudSqlSettings", "properties": { "userLabels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The resource labels for a Cloud SQL instance to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"18kg\", \"count\": \"3\" }`." }, "autoStorageIncrease": { "description": "[default: ON] If you enable this setting, Cloud SQL checks your available storage every 30 seconds. If the available storage falls below a threshold size, Cloud SQL automatically adds additional storage capacity. If the available storage repeatedly falls below the threshold size, Cloud SQL continues to add storage until it reaches the maximum of 30 TB.", "type": "boolean" }, "rootPasswordSet": { "readOnly": true, "description": "Output only. Indicates If this connection profile root password is stored.", "type": "boolean" }, "rootPassword": { "description": "Input only. Initial root password.", "type": "string" }, "databaseFlags": { "additionalProperties": { "type": "string" }, "description": "The database flags passed to the Cloud SQL instance at startup. An object containing a list of \"key\": value pairs. Example: { \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }.", "type": "object" }, "dataDiskSizeGb": { "format": "int64", "type": "string", "description": "The storage capacity available to the database, in GB. The minimum (and default) size is 10GB." }, "tier": { "type": "string", "description": "The tier (or machine type) for this instance, for example: `db-n1-standard-1` (MySQL instances) or `db-custom-1-3840` (PostgreSQL instances). For more information, see [Cloud SQL Instance Settings](https://cloud.google.com/sql/docs/mysql/instance-settings)." }, "sourceId": { "description": "The Database Migration Service source connection profile ID, in the format: `projects/my_project_name/locations/us-central1/connectionProfiles/connection_profile_ID`", "type": "string" }, "zone": { "type": "string", "description": "The Google Cloud Platform zone where your Cloud SQL datdabse instance is located." }, "dataDiskType": { "type": "string", "enum": [ "SQL_DATA_DISK_TYPE_UNSPECIFIED", "PD_SSD", "PD_HDD" ], "description": "The type of storage: `PD_SSD` (default) or `PD_HDD`.", "enumDescriptions": [ "Unspecified.", "SSD disk.", "HDD disk." ] }, "activationPolicy": { "enum": [ "SQL_ACTIVATION_POLICY_UNSPECIFIED", "ALWAYS", "NEVER" ], "type": "string", "description": "The activation policy specifies when the instance is activated; it is applicable only when the instance state is 'RUNNABLE'. Valid values: 'ALWAYS': The instance is on, and remains so even in the absence of connection requests. `NEVER`: The instance is off; it is not activated, even if a connection request arrives.", "enumDescriptions": [ "unspecified policy.", "The instance is always up and running.", "The instance should never spin up." ] }, "databaseVersion": { "description": "The database engine type and version.", "type": "string", "enum": [ "SQL_DATABASE_VERSION_UNSPECIFIED", "MYSQL_5_6", "MYSQL_5_7", "POSTGRES_9_6", "POSTGRES_11", "POSTGRES_10", "MYSQL_8_0", "POSTGRES_12", "POSTGRES_13", "POSTGRES_14" ], "enumDescriptions": [ "Unspecified version.", "MySQL 5.6.", "MySQL 5.7.", "PostgreSQL 9.6.", "PostgreSQL 11.", "PostgreSQL 10.", "MySQL 8.0.", "PostgreSQL 12.", "PostgreSQL 13.", "PostgreSQL 14." ] }, "cmekKeyName": { "description": "The KMS key name used for the csql instance.", "type": "string" }, "collation": { "description": "The Cloud SQL default instance level collation.", "type": "string" }, "ipConfig": { "description": "The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled.", "$ref": "SqlIpConfig" }, "storageAutoResizeLimit": { "type": "string", "description": "The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit.", "format": "int64" } } }, "SqlIpConfig": { "type": "object", "id": "SqlIpConfig", "description": "IP Management configuration.", "properties": { "privateNetwork": { "description": "The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, `projects/myProject/global/networks/default`. This setting can be updated, but it cannot be removed after it is set.", "type": "string" }, "enableIpv4": { "type": "boolean", "description": "Whether the instance should be assigned an IPv4 address or not." }, "requireSsl": { "type": "boolean", "description": "Whether SSL connections over IP should be enforced or not." }, "authorizedNetworks": { "items": { "$ref": "SqlAclEntry" }, "type": "array", "description": "The list of external networks that are allowed to connect to the instance using the IP. See https://en.wikipedia.org/wiki/CIDR_notation#CIDR_notation, also known as 'slash' notation (e.g. `192.168.100.0/24`)." } } }, "Status": { "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "MigrationJob": { "properties": { "phase": { "enum": [ "PHASE_UNSPECIFIED", "FULL_DUMP", "CDC", "PROMOTE_IN_PROGRESS", "WAITING_FOR_SOURCE_WRITES_TO_STOP", "PREPARING_THE_DUMP" ], "enumDescriptions": [ "The phase of the migration job is unknown.", "The migration job is in the full dump phase.", "The migration job is CDC phase.", "The migration job is running the promote phase.", "Only RDS flow - waiting for source writes to stop", "Only RDS flow - the sources writes stopped, waiting for dump to begin" ], "readOnly": true, "description": "Output only. The current migration job phase.", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The timestamp when the migration job resource was created. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "type": "string" }, "name": { "type": "string", "description": "The name (URI) of this migration job resource, in the form of: projects/{project}/locations/{location}/migrationJobs/{migrationJob}." }, "state": { "enum": [ "STATE_UNSPECIFIED", "MAINTENANCE", "DRAFT", "CREATING", "NOT_STARTED", "RUNNING", "FAILED", "COMPLETED", "DELETING", "STOPPING", "STOPPED", "DELETED", "UPDATING", "STARTING", "RESTARTING", "RESUMING" ], "enumDescriptions": [ "The state of the migration job is unknown.", "The migration job is down for maintenance.", "The migration job is in draft mode and no resources are created.", "The migration job is being created.", "The migration job is created and not started.", "The migration job is running.", "The migration job failed.", "The migration job has been completed.", "The migration job is being deleted.", "The migration job is being stopped.", "The migration job is currently stopped.", "The migration job has been deleted.", "The migration job is being updated.", "The migration job is starting.", "The migration job is restarting.", "The migration job is resuming." ], "type": "string", "description": "The current migration job state." }, "destinationDatabase": { "$ref": "DatabaseType", "description": "The database engine type and provider of the destination." }, "dumpFlags": { "$ref": "DumpFlags", "description": "The initial dump flags. This field and the \"dump_path\" field are mutually exclusive." }, "dumpPath": { "type": "string", "description": "The path to the dump file in Google Cloud Storage, in the format: (gs://[BUCKET_NAME]/[OBJECT_NAME]). This field and the \"dump_flags\" field are mutually exclusive." }, "destination": { "type": "string", "description": "Required. The resource name (URI) of the destination connection profile." }, "staticIpConnectivity": { "description": "static ip connectivity data (default, no additional details needed).", "$ref": "StaticIpConnectivity" }, "labels": { "type": "object", "description": "The resource labels for migration job to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }`.", "additionalProperties": { "type": "string" } }, "reverseSshConnectivity": { "description": "The details needed to communicate to the source over Reverse SSH tunnel connectivity.", "$ref": "ReverseSshConnectivity" }, "updateTime": { "type": "string", "description": "Output only. The timestamp when the migration job resource was last updated. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "format": "google-datetime", "readOnly": true }, "sourceDatabase": { "description": "The database engine type and provider of the source.", "$ref": "DatabaseType" }, "duration": { "readOnly": true, "type": "string", "format": "google-duration", "description": "Output only. The duration of the migration job (in seconds). A duration in seconds with up to nine fractional digits, terminated by 's'. Example: \"3.5s\"." }, "error": { "$ref": "Status", "readOnly": true, "description": "Output only. The error details in case of state FAILED." }, "displayName": { "description": "The migration job display name.", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "ONE_TIME", "CONTINUOUS" ], "enumDescriptions": [ "The type of the migration job is unknown.", "The migration job is a one time migration.", "The migration job is a continuous migration." ], "type": "string", "description": "Required. The migration job type." }, "vpcPeeringConnectivity": { "$ref": "VpcPeeringConnectivity", "description": "The details of the VPC network that the source database is located in." }, "endTime": { "description": "Output only. If the migration job is completed, the time when it was completed.", "readOnly": true, "type": "string", "format": "google-datetime" }, "source": { "description": "Required. The resource name (URI) of the source connection profile.", "type": "string" } }, "type": "object", "id": "MigrationJob", "description": "Represents a Database Migration Service migration job object." }, "ListMigrationJobsResponse": { "id": "ListMigrationJobsResponse", "description": "Response message for 'ListMigrationJobs' request.", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "migrationJobs": { "description": "The list of migration jobs objects.", "items": { "$ref": "MigrationJob" }, "type": "array" } }, "type": "object" }, "Expr": { "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr" }, "AuditLogConfig": { "id": "AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables." } }, "type": "object" }, "VmCreationConfig": { "id": "VmCreationConfig", "description": "VM creation configuration message", "properties": { "vmMachineType": { "type": "string", "description": "Required. VM instance machine type to create." }, "vmZone": { "type": "string", "description": "The Google Cloud Platform zone to create the VM in." }, "subnet": { "description": "The subnet name the vm needs to be created in.", "type": "string" } }, "type": "object" }, "GoogleCloudClouddmsV1OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "readOnly": true, "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "type": "string", "format": "google-datetime", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudClouddmsV1OperationMetadata" }, "DatabaseType": { "id": "DatabaseType", "properties": { "provider": { "enumDescriptions": [ "The database provider is unknown.", "CloudSQL runs the database.", "RDS runs the database.", "Amazon Aurora." ], "description": "The database provider.", "type": "string", "enum": [ "DATABASE_PROVIDER_UNSPECIFIED", "CLOUDSQL", "RDS", "AURORA" ] }, "engine": { "enum": [ "DATABASE_ENGINE_UNSPECIFIED", "MYSQL", "POSTGRESQL" ], "enumDescriptions": [ "The source database engine of the migration job is unknown.", "The source engine is MySQL.", "The source engine is PostgreSQL." ], "type": "string", "description": "The database engine." } }, "description": "A message defining the database engine and provider.", "type": "object" }, "SslConfig": { "id": "SslConfig", "description": "SSL configuration information.", "properties": { "caCertificate": { "description": "Required. Input only. The x509 PEM-encoded certificate of the CA that signed the source database server's certificate. The replica will use this certificate to verify it's connecting to the right host.", "type": "string" }, "clientCertificate": { "description": "Input only. The x509 PEM-encoded certificate that will be used by the replica to authenticate against the source database server.If this field is used then the 'client_key' field is mandatory.", "type": "string" }, "type": { "enumDescriptions": [ "Unspecified.", "Only 'ca_certificate' specified.", "Both server ('ca_certificate'), and client ('client_key', 'client_certificate') specified." ], "enum": [ "SSL_TYPE_UNSPECIFIED", "SERVER_ONLY", "SERVER_CLIENT" ], "type": "string", "description": "Output only. The ssl config type according to 'client_key', 'client_certificate' and 'ca_certificate'.", "readOnly": true }, "clientKey": { "description": "Input only. The unencrypted PKCS#1 or PKCS#8 PEM-encoded private key associated with the Client Certificate. If this field is used then the 'client_certificate' field is mandatory.", "type": "string" } }, "type": "object" }, "Empty": { "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "ResumeMigrationJobRequest": { "properties": {}, "description": "Request message for 'ResumeMigrationJob' request.", "id": "ResumeMigrationJobRequest", "type": "object" }, "MySqlConnectionProfile": { "properties": { "host": { "type": "string", "description": "Required. The IP or hostname of the source MySQL database." }, "passwordSet": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates If this connection profile password is stored." }, "port": { "description": "Required. The network port of the source MySQL database.", "type": "integer", "format": "int32" }, "password": { "description": "Required. Input only. The password for the user that Database Migration Service will be using to connect to the database. This field is not returned on request, and the value is encrypted when stored in Database Migration Service.", "type": "string" }, "ssl": { "description": "SSL configuration for the destination to connect to the source database.", "$ref": "SslConfig" }, "cloudSqlId": { "type": "string", "description": "If the source is a Cloud SQL database, use this field to provide the Cloud SQL instance ID of the source." }, "username": { "type": "string", "description": "Required. The username that Database Migration Service will use to connect to the database. The value is encrypted when stored in Database Migration Service." } }, "description": "Specifies connection parameters required specifically for MySQL databases.", "type": "object", "id": "MySqlConnectionProfile" }, "CloudSqlConnectionProfile": { "properties": { "privateIp": { "description": "Output only. The Cloud SQL database instance's private IP.", "type": "string", "readOnly": true }, "publicIp": { "type": "string", "description": "Output only. The Cloud SQL database instance's public IP.", "readOnly": true }, "settings": { "$ref": "CloudSqlSettings", "description": "Immutable. Metadata used to create the destination Cloud SQL database." }, "cloudSqlId": { "readOnly": true, "type": "string", "description": "Output only. The Cloud SQL instance ID that this connection profile is associated with." } }, "id": "CloudSqlConnectionProfile", "description": "Specifies required connection parameters, and, optionally, the parameters required to create a Cloud SQL destination database instance.", "type": "object" }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "description": "Request message for `SetIamPolicy` method." }, "VmSelectionConfig": { "id": "VmSelectionConfig", "type": "object", "description": "VM selection configuration message", "properties": { "vmZone": { "description": "Required. The Google Cloud Platform zone the VM is located.", "type": "string" } } }, "DumpFlags": { "description": "Dump flags definition.", "properties": { "dumpFlags": { "items": { "$ref": "DumpFlag" }, "description": "The flags for the initial dump.", "type": "array" } }, "id": "DumpFlags", "type": "object" }, "MigrationJobVerificationError": { "description": "Error message of a verification Migration job.", "properties": { "errorDetailMessage": { "type": "string", "description": "Output only. A specific detailed error message, if supplied by the engine.", "readOnly": true }, "errorMessage": { "description": "Output only. A formatted message with further details about the error and a CTA.", "type": "string", "readOnly": true }, "errorCode": { "enum": [ "ERROR_CODE_UNSPECIFIED", "CONNECTION_FAILURE", "AUTHENTICATION_FAILURE", "INVALID_CONNECTION_PROFILE_CONFIG", "VERSION_INCOMPATIBILITY", "CONNECTION_PROFILE_TYPES_INCOMPATIBILITY", "NO_PGLOGICAL_INSTALLED", "PGLOGICAL_NODE_ALREADY_EXISTS", "INVALID_WAL_LEVEL", "INVALID_SHARED_PRELOAD_LIBRARY", "INSUFFICIENT_MAX_REPLICATION_SLOTS", "INSUFFICIENT_MAX_WAL_SENDERS", "INSUFFICIENT_MAX_WORKER_PROCESSES", "UNSUPPORTED_EXTENSIONS", "UNSUPPORTED_MIGRATION_TYPE", "INVALID_RDS_LOGICAL_REPLICATION", "UNSUPPORTED_GTID_MODE", "UNSUPPORTED_TABLE_DEFINITION", "UNSUPPORTED_DEFINER", "CANT_RESTART_RUNNING_MIGRATION", "TABLES_WITH_LIMITED_SUPPORT" ], "enumDescriptions": [ "An unknown error occurred", "We failed to connect to one of the connection profile.", "We failed to authenticate to one of the connection profile.", "One of the involved connection profiles has an invalid configuration.", "The versions of the source and the destination are incompatible.", "The types of the source and the destination are incompatible.", "No pglogical extension installed on databases, applicable for postgres.", "pglogical node already exists on databases, applicable for postgres.", "The value of parameter wal_level is not set to logical.", "The value of parameter shared_preload_libraries does not include pglogical.", "The value of parameter max_replication_slots is not sufficient.", "The value of parameter max_wal_senders is not sufficient.", "The value of parameter max_worker_processes is not sufficient.", "Extensions installed are either not supported or having unsupported versions.", "Unsupported migration type.", "Invalid RDS logical replication.", "The gtid_mode is not supported, applicable for MySQL.", "The table definition is not support due to missing primary key or replica identity.", "The definer is not supported.", "Migration is already running at the time of restart request.", "The source has tables with limited support. E.g. PostgreSQL tables without primary keys." ], "readOnly": true, "description": "Output only. An instance of ErrorCode specifying the error that occurred.", "type": "string" } }, "type": "object", "id": "MigrationJobVerificationError" }, "VerifyMigrationJobRequest": { "properties": {}, "description": "Request message for 'VerifyMigrationJob' request.", "type": "object", "id": "VerifyMigrationJobRequest" }, "ConnectionProfile": { "type": "object", "id": "ConnectionProfile", "description": "A connection profile definition.", "properties": { "provider": { "enum": [ "DATABASE_PROVIDER_UNSPECIFIED", "CLOUDSQL", "RDS", "AURORA" ], "type": "string", "enumDescriptions": [ "The database provider is unknown.", "CloudSQL runs the database.", "RDS runs the database.", "Amazon Aurora." ], "description": "The database provider." }, "cloudsql": { "$ref": "CloudSqlConnectionProfile", "description": "A CloudSQL database connection profile." }, "displayName": { "type": "string", "description": "The connection profile display name." }, "postgresql": { "description": "A PostgreSQL database connection profile.", "$ref": "PostgreSqlConnectionProfile" }, "createTime": { "description": "Output only. The timestamp when the resource was created. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "format": "google-datetime", "readOnly": true, "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. The timestamp when the resource was last updated. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "readOnly": true, "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The resource labels for connection profile to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }`." }, "error": { "$ref": "Status", "description": "Output only. The error details in case of state FAILED.", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "DRAFT", "CREATING", "READY", "UPDATING", "DELETING", "DELETED", "FAILED" ], "description": "The current connection profile state (e.g. DRAFT, READY, or FAILED).", "enumDescriptions": [ "The state of the connection profile is unknown.", "The connection profile is in draft mode and fully editable.", "The connection profile is being created.", "The connection profile is ready.", "The connection profile is being updated.", "The connection profile is being deleted.", "The connection profile has been deleted.", "The last action on the connection profile failed." ], "type": "string" }, "mysql": { "$ref": "MySqlConnectionProfile", "description": "A MySQL database connection profile." }, "name": { "type": "string", "description": "The name of this connection profile resource in the form of projects/{project}/locations/{location}/connectionProfiles/{connectionProfile}." } } }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } } }, "ListOperationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } }, "id": "ListOperationsResponse", "type": "object", "description": "The response message for Operations.ListOperations." }, "GenerateSshScriptRequest": { "properties": { "vmPort": { "format": "int32", "description": "The port that will be open on the bastion host", "type": "integer" }, "vm": { "type": "string", "description": "Required. Bastion VM Instance name to use or to create." }, "vmCreationConfig": { "description": "The VM creation configuration", "$ref": "VmCreationConfig" }, "vmSelectionConfig": { "$ref": "VmSelectionConfig", "description": "The VM selection configuration" } }, "description": "Request message for 'GenerateSshScript' request.", "type": "object", "id": "GenerateSshScriptRequest" }, "VpcPeeringConnectivity": { "id": "VpcPeeringConnectivity", "type": "object", "properties": { "vpc": { "description": "The name of the VPC network to peer with the Cloud SQL private network.", "type": "string" } }, "description": "The details of the VPC where the source database is located in Google Cloud. We will use this information to set up the VPC peering connection between Cloud SQL and this VPC." }, "RestartMigrationJobRequest": { "id": "RestartMigrationJobRequest", "properties": {}, "description": "Request message for 'RestartMigrationJob' request.", "type": "object" }, "StaticIpConnectivity": { "type": "object", "description": "The source database will allow incoming connections from the destination database's public IP. You can retrieve the Cloud SQL instance's public IP from the Cloud SQL console or using Cloud SQL APIs. No additional configuration is required.", "properties": {}, "id": "StaticIpConnectivity" }, "SshScript": { "properties": { "script": { "description": "The ssh configuration script.", "type": "string" } }, "type": "object", "id": "SshScript", "description": "Response message for 'GenerateSshScript' request." }, "AuditConfig": { "type": "object", "id": "AuditConfig", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } } }, "ListConnectionProfilesResponse": { "type": "object", "properties": { "connectionProfiles": { "items": { "$ref": "ConnectionProfile" }, "description": "The response list of connection profiles.", "type": "array" }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "description": "Response message for 'ListConnectionProfiles' request.", "id": "ListConnectionProfilesResponse" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } } }, "PostgreSqlConnectionProfile": { "properties": { "username": { "type": "string", "description": "Required. The username that Database Migration Service will use to connect to the database. The value is encrypted when stored in Database Migration Service." }, "cloudSqlId": { "description": "If the source is a Cloud SQL database, use this field to provide the Cloud SQL instance ID of the source.", "type": "string" }, "password": { "type": "string", "description": "Required. Input only. The password for the user that Database Migration Service will be using to connect to the database. This field is not returned on request, and the value is encrypted when stored in Database Migration Service." }, "host": { "description": "Required. The IP or hostname of the source PostgreSQL database.", "type": "string" }, "port": { "format": "int32", "type": "integer", "description": "Required. The network port of the source PostgreSQL database." }, "passwordSet": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates If this connection profile password is stored." }, "ssl": { "$ref": "SslConfig", "description": "SSL configuration for the destination to connect to the source database." } }, "id": "PostgreSqlConnectionProfile", "type": "object", "description": "Specifies connection parameters required specifically for PostgreSQL databases." }, "Location": { "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object" } }, "ownerName": "Google", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "rootUrl": "https://datamigration.googleapis.com/", "baseUrl": "https://datamigration.googleapis.com/", "revision": "20220703", "mtlsRootUrl": "https://datamigration.mtls.googleapis.com/", "ownerDomain": "google.com", "version": "v1", "id": "datamigration:v1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "fullyEncodeReservedExpansion": true, "title": "Database Migration API", "batchPath": "batch", "version_module": true, "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/database-migration/" }
]===]))
