local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Manage Cloud Database Migration Service resources on Google Cloud Platform.", "fullyEncodeReservedExpansion": true, "title": "Database Migration API", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "revision": "20220703", "documentationLink": "https://cloud.google.com/database-migration/", "ownerDomain": "google.com", "kind": "discovery#restDescription", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "datamigration.projects.locations.operations.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "description": "The name of the operation resource.", "type": "string", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "id": "datamigration.projects.locations.operations.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "description": "The name of the operation resource to be deleted.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1beta1/{+name}", "httpMethod": "DELETE" }, "cancel": { "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "path": "v1beta1/{+name}:cancel", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "request": { "$ref": "CancelOperationRequest" }, "response": { "$ref": "Empty" }, "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "id": "datamigration.projects.locations.operations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "name" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "name": { "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "id": "datamigration.projects.locations.operations.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1beta1/{+name}/operations", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "connectionProfiles": { "methods": { "patch": { "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Field mask is used to specify the fields to be overwritten in the connection profile resource by the update.", "location": "query" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "description": "The name of this connection profile resource in the form of projects/{project}/locations/{location}/connectionProfiles/{connectionProfile}.", "location": "path" }, "requestId": { "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "location": "query", "type": "string" } }, "description": "Update the configuration of a single connection profile.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "datamigration.projects.locations.connectionProfiles.patch", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "path": "v1beta1/{+name}", "request": { "$ref": "ConnectionProfile" } }, "testIamPermissions": { "httpMethod": "POST", "id": "datamigration.projects.locations.connectionProfiles.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ] }, "list": { "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles", "path": "v1beta1/{+parent}/connectionProfiles", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListConnectionProfilesResponse" }, "parameters": { "orderBy": { "location": "query", "description": "the order by fields for the result.", "type": "string" }, "filter": { "type": "string", "description": "A filter expression that filters connection profiles listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, \u003e, or \u003c. For example, list connection profiles created this year by specifying **createTime %gt; 2020-01-01T00:00:00.000000000Z**. You can also filter nested fields. For example, you could specify **mySql.username = %lt;my_username%gt;** to list all connection profiles configured to connect with a specific username.", "location": "query" }, "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The parent, which owns this collection of connection profiles.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of connection profiles to return. The service may return fewer than this value. If unspecified, at most 50 connection profiles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListConnectionProfiles` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListConnectionProfiles` must match the call that provided the page token." } }, "description": "Retrieve a list of all connection profiles in a given project and location.", "parameterOrder": [ "parent" ], "id": "datamigration.projects.locations.connectionProfiles.list" }, "setIamPolicy": { "httpMethod": "POST", "parameters": { "resource": { "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "datamigration.projects.locations.connectionProfiles.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1beta1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "path": "v1beta1/{+parent}/connectionProfiles", "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "location": "query", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." }, "connectionProfileId": { "type": "string", "description": "Required. The connection profile identifier.", "location": "query" }, "parent": { "type": "string", "description": "Required. The parent, which owns this collection of connection profiles.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles", "response": { "$ref": "Operation" }, "request": { "$ref": "ConnectionProfile" }, "id": "datamigration.projects.locations.connectionProfiles.create", "description": "Creates a new connection profile in a given project and location.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "id": "datamigration.projects.locations.connectionProfiles.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}:getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:getIamPolicy", "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "delete": { "description": "Deletes a single Database Migration Service connection profile. A connection profile can only be deleted if it is not in use by any active migration jobs.", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "path": "v1beta1/{+name}", "id": "datamigration.projects.locations.connectionProfiles.delete", "parameters": { "requestId": { "location": "query", "type": "string", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "type": "string", "description": "Required. Name of the connection profile resource to delete.", "location": "path", "required": true }, "force": { "description": "In case of force delete, the CloudSQL replica database is also deleted (only for CloudSQL connection profile).", "location": "query", "type": "boolean" } }, "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. Name of the connection profile resource to get.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "location": "path" } }, "response": { "$ref": "ConnectionProfile" }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "httpMethod": "GET", "description": "Gets details of a single connection profile.", "parameterOrder": [ "name" ], "id": "datamigration.projects.locations.connectionProfiles.get" } } }, "migrationJobs": { "methods": { "stop": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:stop", "httpMethod": "POST", "id": "datamigration.projects.locations.migrationJobs.stop", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "description": "Name of the migration job resource to stop.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "location": "path" } }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:stop", "request": { "$ref": "StopMigrationJobRequest" }, "description": "Stops a running migration job.", "parameterOrder": [ "name" ] }, "resume": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "required": true, "type": "string", "description": "Name of the migration job resource to resume.", "location": "path" } }, "id": "datamigration.projects.locations.migrationJobs.resume", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:resume", "path": "v1beta1/{+name}:resume", "httpMethod": "POST", "description": "Resume a migration job that is currently stopped and is resumable (was stopped during CDC phase).", "request": { "$ref": "ResumeMigrationJobRequest" } }, "promote": { "response": { "$ref": "Operation" }, "request": { "$ref": "PromoteMigrationJobRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "description": "Name of the migration job resource to promote.", "type": "string", "required": true, "location": "path" } }, "path": "v1beta1/{+name}:promote", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Promote a migration job, stopping replication to the destination and promoting the destination to be a standalone database.", "id": "datamigration.projects.locations.migrationJobs.promote", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:promote", "httpMethod": "POST" }, "getIamPolicy": { "httpMethod": "GET", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "datamigration.projects.locations.migrationJobs.getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" }, "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32" } }, "path": "v1beta1/{+resource}:getIamPolicy" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "MigrationJob" }, "description": "Creates a new migration job in a given project and location.", "id": "datamigration.projects.locations.migrationJobs.create", "httpMethod": "POST", "parameters": { "migrationJobId": { "type": "string", "location": "query", "description": "Required. The ID of the instance to create." }, "parent": { "required": true, "description": "Required. The parent, which owns this collection of migration jobs.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" }, "requestId": { "type": "string", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs", "path": "v1beta1/{+parent}/migrationJobs", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ] }, "delete": { "parameters": { "requestId": { "type": "string", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. Name of the migration job resource to delete." }, "force": { "type": "boolean", "location": "query", "description": "The destination CloudSQL connection profile is always deleted with the migration job. In case of force delete, the destination CloudSQL replica database is also deleted." } }, "id": "datamigration.projects.locations.migrationJobs.delete", "description": "Deletes a single migration job.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE" }, "testIamPermissions": { "parameterOrder": [ "resource" ], "id": "datamigration.projects.locations.migrationJobs.testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:testIamPermissions" }, "setIamPolicy": { "id": "datamigration.projects.locations.migrationJobs.setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:setIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$" } }, "path": "v1beta1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" } }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters migration jobs listed in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be either =, !=, \u003e, or \u003c. For example, list migration jobs created this year by specifying **createTime %gt; 2020-01-01T00:00:00.000000000Z.** You can also filter nested fields. For example, you could specify **reverseSshConnectivity.vmIp = \"1.2.3.4\"** to select all migration jobs connecting through the specific SSH tunnel bastion." }, "pageToken": { "description": "The nextPageToken value received in the previous call to migrationJobs.list, used in the subsequent request to retrieve the next page of results. On first call this should be left blank. When paginating, all other parameters provided to migrationJobs.list must match the call that provided the page token.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of migration jobs to return. The service may return fewer than this value. If unspecified, at most 50 migration jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "orderBy": { "description": "Sort the results based on the migration job name. Valid values are: \"name\", \"name asc\", and \"name desc\".", "location": "query", "type": "string" }, "parent": { "required": true, "location": "path", "description": "Required. The parent, which owns this collection of migrationJobs.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "id": "datamigration.projects.locations.migrationJobs.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs", "path": "v1beta1/{+parent}/migrationJobs", "response": { "$ref": "ListMigrationJobsResponse" }, "description": "Lists migration jobs in a given project and location." }, "start": { "httpMethod": "POST", "id": "datamigration.projects.locations.migrationJobs.start", "response": { "$ref": "Operation" }, "description": "Start an already created migration job.", "parameters": { "name": { "type": "string", "description": "Name of the migration job resource to start.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "request": { "$ref": "StartMigrationJobRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:start", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:start" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "request": { "$ref": "MigrationJob" }, "id": "datamigration.projects.locations.migrationJobs.patch", "parameterOrder": [ "name" ], "description": "Updates the parameters of a single migration job.", "parameters": { "requestId": { "location": "query", "type": "string", "description": "A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name (URI) of this migration job resource, in the form of: projects/{project}/locations/{location}/migrationJobs/{migrationJob}." }, "updateMask": { "location": "query", "type": "string", "description": "Required. Field mask is used to specify the fields to be overwritten in the migration job resource by the update.", "format": "google-fieldmask" } }, "path": "v1beta1/{+name}", "response": { "$ref": "Operation" } }, "generateSshScript": { "path": "v1beta1/{+migrationJob}:generateSshScript", "id": "datamigration.projects.locations.migrationJobs.generateSshScript", "description": "Generate a SSH configuration script to configure the reverse SSH connectivity.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:generateSshScript", "httpMethod": "POST", "request": { "$ref": "GenerateSshScriptRequest" }, "parameterOrder": [ "migrationJob" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "migrationJob": { "location": "path", "description": "Name of the migration job resource to generate the SSH script.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "SshScript" } }, "verify": { "httpMethod": "POST", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Name of the migration job resource to verify.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "type": "string", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:verify", "id": "datamigration.projects.locations.migrationJobs.verify", "path": "v1beta1/{+name}:verify", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "VerifyMigrationJobRequest" }, "description": "Verify a migration job, making sure the destination can reach the source and that all configuration and prerequisites are met.", "response": { "$ref": "Operation" } }, "restart": { "request": { "$ref": "RestartMigrationJobRequest" }, "description": "Restart a stopped or failed migration job, resetting the destination instance to its original state and starting the migration process from scratch.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}:restart", "id": "datamigration.projects.locations.migrationJobs.restart", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Name of the migration job resource to restart.", "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$" } }, "path": "v1beta1/{+name}:restart", "httpMethod": "POST", "response": { "$ref": "Operation" } }, "get": { "httpMethod": "GET", "response": { "$ref": "MigrationJob" }, "description": "Gets details of a single migration job.", "path": "v1beta1/{+name}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/migrationJobs/[^/]+$", "description": "Required. Name of the migration job resource to get.", "location": "path", "type": "string" } }, "id": "datamigration.projects.locations.migrationJobs.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/migrationJobs/{migrationJobsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] } } } }, "methods": { "get": { "id": "datamigration.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets information about a location.", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "Location" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "type": "string", "location": "path", "required": true } }, "path": "v1beta1/{+name}" }, "list": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}/locations", "httpMethod": "GET", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "location": "path", "required": true }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "format": "int32", "location": "query" } }, "response": { "$ref": "ListLocationsResponse" }, "id": "datamigration.projects.locations.list", "description": "Lists information about the supported locations for this service.", "flatPath": "v1beta1/projects/{projectsId}/locations" } } } } } }, "schemas": { "Operation": { "type": "object", "properties": { "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "CancelOperationRequest": { "id": "CancelOperationRequest", "properties": {}, "type": "object", "description": "The request message for Operations.CancelOperation." }, "VpcPeeringConnectivity": { "id": "VpcPeeringConnectivity", "properties": { "vpc": { "type": "string", "description": "The name of the VPC network to peer with the Cloud SQL private network." } }, "type": "object", "description": "The details of the VPC where the source database is located in Google Cloud. We will use this information to set up the VPC peering connection between Cloud SQL and this VPC." }, "DatabaseType": { "description": "A message defining the database engine and provider.", "type": "object", "properties": { "provider": { "enumDescriptions": [ "The database provider is unknown.", "CloudSQL runs the database.", "RDS runs the database." ], "description": "The database provider.", "enum": [ "DATABASE_PROVIDER_UNSPECIFIED", "CLOUDSQL", "RDS" ], "type": "string" }, "engine": { "description": "The database engine.", "type": "string", "enumDescriptions": [ "The source database engine of the migration job is unknown.", "The source engine is MySQL." ], "enum": [ "DATABASE_ENGINE_UNSPECIFIED", "MYSQL" ] } }, "id": "DatabaseType" }, "VmCreationConfig": { "id": "VmCreationConfig", "properties": { "subnet": { "type": "string", "description": "The subnet name the vm needs to be created in." }, "vmMachineType": { "description": "Required. VM instance machine type to create.", "type": "string" }, "vmZone": { "description": "The Google Cloud Platform zone to create the VM in.", "type": "string" } }, "type": "object", "description": "VM creation configuration message" }, "AuditLogConfig": { "properties": { "logType": { "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" }, "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } }, "id": "AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "RestartMigrationJobRequest": { "id": "RestartMigrationJobRequest", "description": "Request message for 'RestartMigrationJob' request.", "type": "object", "properties": {} }, "GenerateSshScriptRequest": { "properties": { "vm": { "description": "Required. Bastion VM Instance name to use or to create.", "type": "string" }, "vmPort": { "format": "int32", "type": "integer", "description": "The port that will be open on the bastion host" }, "vmSelectionConfig": { "$ref": "VmSelectionConfig", "description": "The VM selection configuration" }, "vmCreationConfig": { "description": "The VM creation configuration", "$ref": "VmCreationConfig" } }, "description": "Request message for 'GenerateSshScript' request.", "id": "GenerateSshScriptRequest", "type": "object" }, "MySqlConnectionProfile": { "properties": { "ssl": { "description": "SSL configuration for the destination to connect to the source database.", "$ref": "SslConfig" }, "host": { "type": "string", "description": "Required. The IP or hostname of the source MySQL database." }, "port": { "description": "Required. The network port of the source MySQL database.", "format": "int32", "type": "integer" }, "cloudSqlId": { "description": "If the source is a Cloud SQL database, use this field to provide the Cloud SQL instance ID of the source.", "type": "string" }, "password": { "type": "string", "description": "Required. Input only. The password for the user that Database Migration Service will be using to connect to the database. This field is not returned on request, and the value is encrypted when stored in Database Migration Service." }, "username": { "description": "Required. The username that Database Migration Service will use to connect to the database. The value is encrypted when stored in Database Migration Service.", "type": "string" }, "passwordSet": { "readOnly": true, "description": "Output only. Indicates If this connection profile password is stored.", "type": "boolean" } }, "description": "Specifies connection parameters required specifically for MySQL databases.", "type": "object", "id": "MySqlConnectionProfile" }, "VmSelectionConfig": { "type": "object", "description": "VM selection configuration message", "properties": { "vmZone": { "type": "string", "description": "Required. The Google Cloud Platform zone the VM is located." } }, "id": "VmSelectionConfig" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } } }, "Expr": { "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr" }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "type": "object" }, "MigrationJob": { "id": "MigrationJob", "type": "object", "properties": { "reverseSshConnectivity": { "description": "The details needed to communicate to the source over Reverse SSH tunnel connectivity.", "$ref": "ReverseSshConnectivity" }, "displayName": { "description": "The migration job display name.", "type": "string" }, "staticIpConnectivity": { "$ref": "StaticIpConnectivity", "description": "static ip connectivity data (default, no additional details needed)." }, "sourceDatabase": { "$ref": "DatabaseType", "description": "The database engine type and provider of the source." }, "endTime": { "description": "Output only. If the migration job is completed, the time when it was completed.", "type": "string", "format": "google-datetime", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "MAINTENANCE", "DRAFT", "CREATING", "NOT_STARTED", "RUNNING", "FAILED", "COMPLETED", "DELETING", "STOPPING", "STOPPED", "DELETED", "UPDATING", "STARTING", "RESTARTING", "RESUMING" ], "description": "The current migration job state.", "type": "string", "enumDescriptions": [ "The state of the migration job is unknown.", "The migration job is down for maintenance.", "The migration job is in draft mode and no resources are created.", "The migration job is being created.", "The migration job is created and not started.", "The migration job is running.", "The migration job failed.", "The migration job has been completed.", "The migration job is being deleted.", "The migration job is being stopped.", "The migration job is currently stopped.", "The migration job has been deleted.", "The migration job is being updated.", "The migration job is starting.", "The migration job is restarting.", "The migration job is resuming." ] }, "dumpPath": { "type": "string", "description": "The path to the dump file in Google Cloud Storage, in the format: (gs://[BUCKET_NAME]/[OBJECT_NAME])." }, "source": { "description": "Required. The resource name (URI) of the source connection profile.", "type": "string" }, "phase": { "type": "string", "enum": [ "PHASE_UNSPECIFIED", "FULL_DUMP", "CDC", "PROMOTE_IN_PROGRESS", "WAITING_FOR_SOURCE_WRITES_TO_STOP", "PREPARING_THE_DUMP" ], "description": "Output only. The current migration job phase.", "readOnly": true, "enumDescriptions": [ "The phase of the migration job is unknown.", "The migration job is in the full dump phase.", "The migration job is CDC phase.", "The migration job is running the promote phase.", "Only RDS flow - waiting for source writes to stop", "Only RDS flow - the sources writes stopped, waiting for dump to begin" ] }, "destinationDatabase": { "description": "The database engine type and provider of the destination.", "$ref": "DatabaseType" }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The timestamp when the migration job resource was last updated. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\"." }, "error": { "readOnly": true, "$ref": "Status", "description": "Output only. The error details in case of state FAILED." }, "vpcPeeringConnectivity": { "description": "The details of the VPC network that the source database is located in.", "$ref": "VpcPeeringConnectivity" }, "createTime": { "readOnly": true, "description": "Output only. The timestamp when the migration job resource was created. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "The name (URI) of this migration job resource, in the form of: projects/{project}/locations/{location}/migrationJobs/{migrationJob}." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "ONE_TIME", "CONTINUOUS" ], "description": "Required. The migration job type.", "type": "string", "enumDescriptions": [ "The type of the migration job is unknown.", "The migration job is a one time migration.", "The migration job is a continuous migration." ] }, "destination": { "description": "Required. The resource name (URI) of the destination connection profile.", "type": "string" }, "duration": { "readOnly": true, "description": "Output only. The duration of the migration job (in seconds). A duration in seconds with up to nine fractional digits, terminated by 's'. Example: \"3.5s\".", "format": "google-duration", "type": "string" }, "labels": { "description": "The resource labels for migration job to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }`.", "additionalProperties": { "type": "string" }, "type": "object" } }, "description": "Represents a Database Migration Service migration job object." }, "Policy": { "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "properties": { "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig", "type": "object" }, "ConnectionProfile": { "properties": { "name": { "type": "string", "description": "The name of this connection profile resource in the form of projects/{project}/locations/{location}/connectionProfiles/{connectionProfile}." }, "displayName": { "type": "string", "description": "The connection profile display name." }, "updateTime": { "description": "Output only. The timestamp when the resource was last updated. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "readOnly": true, "format": "google-datetime", "type": "string" }, "createTime": { "description": "Output only. The timestamp when the resource was created. A timestamp in RFC3339 UTC \"Zulu\" format, accurate to nanoseconds. Example: \"2014-10-02T15:01:23.045123456Z\".", "readOnly": true, "format": "google-datetime", "type": "string" }, "cloudsql": { "$ref": "CloudSqlConnectionProfile", "description": "A CloudSQL database connection profile." }, "labels": { "description": "The resource labels for connection profile to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }`.", "type": "object", "additionalProperties": { "type": "string" } }, "state": { "description": "The current connection profile state (e.g. DRAFT, READY, or FAILED).", "enum": [ "STATE_UNSPECIFIED", "DRAFT", "CREATING", "READY", "UPDATING", "DELETING", "DELETED", "FAILED" ], "type": "string", "enumDescriptions": [ "The state of the connection profile is unknown.", "The connection profile is in draft mode and fully editable.", "The connection profile is being created.", "The connection profile is ready.", "The connection profile is being updated.", "The connection profile is being deleted.", "The connection profile has been deleted.", "The last action on the connection profile failed." ] }, "error": { "readOnly": true, "description": "Output only. The error details in case of state FAILED.", "$ref": "Status" }, "mysql": { "$ref": "MySqlConnectionProfile", "description": "A MySQL database connection profile." }, "provider": { "type": "string", "enumDescriptions": [ "The database provider is unknown.", "CloudSQL runs the database.", "RDS runs the database." ], "description": "The database provider.", "enum": [ "DATABASE_PROVIDER_UNSPECIFIED", "CLOUDSQL", "RDS" ] } }, "id": "ConnectionProfile", "description": "A connection profile definition.", "type": "object" }, "SqlAclEntry": { "properties": { "expireTime": { "format": "google-datetime", "description": "The time when this access control entry expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example: `2012-11-15T16:19:00.094Z`.", "type": "string" }, "ttl": { "format": "google-duration", "type": "string", "description": "Input only. The time-to-leave of this access control entry." }, "value": { "type": "string", "description": "The allowlisted value for the access control list." }, "label": { "type": "string", "description": "A label to identify this entry." } }, "description": "An entry for an Access Control list.", "id": "SqlAclEntry", "type": "object" }, "StopMigrationJobRequest": { "type": "object", "id": "StopMigrationJobRequest", "properties": {}, "description": "Request message for 'StopMigrationJob' request." }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "id": "TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method." }, "ResumeMigrationJobRequest": { "properties": {}, "id": "ResumeMigrationJobRequest", "type": "object", "description": "Request message for 'ResumeMigrationJob' request." }, "ListMigrationJobsResponse": { "description": "Response message for 'ListMigrationJobs' request.", "type": "object", "id": "ListMigrationJobsResponse", "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "migrationJobs": { "items": { "$ref": "MigrationJob" }, "type": "array", "description": "The list of migration jobs objects." } } }, "MigrationJobVerificationError": { "properties": { "errorMessage": { "type": "string", "readOnly": true, "description": "Output only. A formatted message with further details about the error and a CTA." }, "errorDetailMessage": { "readOnly": true, "description": "Output only. A specific detailed error message, if supplied by the engine.", "type": "string" }, "errorCode": { "description": "Output only. An instance of ErrorCode specifying the error that occurred.", "readOnly": true, "type": "string", "enum": [ "ERROR_CODE_UNSPECIFIED", "CONNECTION_FAILURE", "AUTHENTICATION_FAILURE", "INVALID_CONNECTION_PROFILE_CONFIG", "VERSION_INCOMPATIBILITY", "CONNECTION_PROFILE_TYPES_INCOMPATIBILITY", "UNSUPPORTED_GTID_MODE", "UNSUPPORTED_DEFINER", "CANT_RESTART_RUNNING_MIGRATION", "TABLES_WITH_LIMITED_SUPPORT" ], "enumDescriptions": [ "An unknown error occurred", "We failed to connect to one of the connection profile.", "We failed to authenticate to one of the connection profile.", "One of the involved connection profiles has an invalid configuration.", "The versions of the source and the destination are incompatible.", "The types of the source and the destination are incompatible.", "The gtid_mode is not supported, applicable for MySQL.", "The definer is not supported.", "Migration is already running at the time of restart request.", "The source has tables with limited support. E.g. PostgreSQL tables without primary keys." ] } }, "type": "object", "description": "Error message of a verification Migration job.", "id": "MigrationJobVerificationError" }, "SslConfig": { "description": "SSL configuration information.", "id": "SslConfig", "properties": { "clientCertificate": { "type": "string", "description": "Input only. The x509 PEM-encoded certificate that will be used by the replica to authenticate against the source database server.If this field is used then the 'client_key' field is mandatory." }, "type": { "type": "string", "readOnly": true, "enumDescriptions": [ "Unspecified.", "Only 'ca_certificate' specified.", "Both server ('ca_certificate'), and client ('client_key', 'client_certificate') specified." ], "description": "Output only. The ssl config type according to 'client_key', 'client_certificate' and 'ca_certificate'.", "enum": [ "SSL_TYPE_UNSPECIFIED", "SERVER_ONLY", "SERVER_CLIENT" ] }, "clientKey": { "description": "Input only. The unencrypted PKCS#1 or PKCS#8 PEM-encoded private key associated with the Client Certificate. If this field is used then the 'client_certificate' field is mandatory.", "type": "string" }, "caCertificate": { "description": "Required. Input only. The x509 PEM-encoded certificate of the CA that signed the source database server's certificate. The replica will use this certificate to verify it's connecting to the right host.", "type": "string" } }, "type": "object" }, "ReverseSshConnectivity": { "description": "The details needed to configure a reverse SSH tunnel between the source and destination databases. These details will be used when calling the generateSshScript method (see https://cloud.google.com/database-migration/docs/reference/rest/v1beta1/projects.locations.migrationJobs/generateSshScript) to produce the script that will help set up the reverse SSH tunnel, and to set up the VPC peering between the Cloud SQL private network and the VPC.", "id": "ReverseSshConnectivity", "type": "object", "properties": { "vpc": { "description": "The name of the VPC to peer with the Cloud SQL private network.", "type": "string" }, "vm": { "description": "The name of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel.", "type": "string" }, "vmIp": { "description": "Required. The IP of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel.", "type": "string" }, "vmPort": { "format": "int32", "type": "integer", "description": "Required. The forwarding port of the virtual machine (Compute Engine) used as the bastion server for the SSH tunnel." } } }, "Binding": { "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array", "items": { "type": "string" } }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "type": "object", "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "ListConnectionProfilesResponse": { "description": "Response message for 'ListConnectionProfiles' request.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "connectionProfiles": { "type": "array", "items": { "$ref": "ConnectionProfile" }, "description": "The response list of connection profiles." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." } }, "id": "ListConnectionProfilesResponse" }, "SqlIpConfig": { "description": "IP Management configuration.", "type": "object", "id": "SqlIpConfig", "properties": { "privateNetwork": { "type": "string", "description": "The resource link for the VPC network from which the Cloud SQL instance is accessible for private IP. For example, `/projects/myProject/global/networks/default`. This setting can be updated, but it cannot be removed after it is set." }, "requireSsl": { "type": "boolean", "description": "Whether SSL connections over IP should be enforced or not." }, "authorizedNetworks": { "type": "array", "description": "The list of external networks that are allowed to connect to the instance using the IP. See https://en.wikipedia.org/wiki/CIDR_notation#CIDR_notation, also known as 'slash' notation (e.g. `192.168.100.0/24`).", "items": { "$ref": "SqlAclEntry" } }, "enableIpv4": { "description": "Whether the instance is assigned a public IP address or not.", "type": "boolean" } } }, "VerifyMigrationJobRequest": { "type": "object", "id": "VerifyMigrationJobRequest", "properties": {}, "description": "Request message for 'VerifyMigrationJob' request." }, "StaticIpConnectivity": { "id": "StaticIpConnectivity", "type": "object", "description": "The source database will allow incoming connections from the destination database's public IP. You can retrieve the Cloud SQL instance's public IP from the Cloud SQL console or using Cloud SQL APIs. No additional configuration is required.", "properties": {} }, "StartMigrationJobRequest": { "type": "object", "description": "Request message for 'StartMigrationJob' request.", "properties": {}, "id": "StartMigrationJobRequest" }, "CloudSqlSettings": { "properties": { "autoStorageIncrease": { "description": "[default: ON] If you enable this setting, Cloud SQL checks your available storage every 30 seconds. If the available storage falls below a threshold size, Cloud SQL automatically adds additional storage capacity. If the available storage repeatedly falls below the threshold size, Cloud SQL continues to add storage until it reaches the maximum of 30 TB.", "type": "boolean" }, "userLabels": { "type": "object", "description": "The resource labels for a Cloud SQL instance to use to annotate any related underlying resources such as Compute Engine VMs. An object containing a list of \"key\": \"value\" pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"18kg\", \"count\": \"3\" }`.", "additionalProperties": { "type": "string" } }, "dataDiskSizeGb": { "type": "string", "format": "int64", "description": "The storage capacity available to the database, in GB. The minimum (and default) size is 10GB." }, "rootPasswordSet": { "description": "Output only. Indicates If this connection profile root password is stored.", "type": "boolean", "readOnly": true }, "storageAutoResizeLimit": { "description": "The maximum size to which storage capacity can be automatically increased. The default value is 0, which specifies that there is no limit.", "format": "int64", "type": "string" }, "zone": { "description": "The Google Cloud Platform zone where your Cloud SQL datdabse instance is located.", "type": "string" }, "rootPassword": { "description": "Input only. Initial root password.", "type": "string" }, "tier": { "description": "The tier (or machine type) for this instance, for example: `db-n1-standard-1` (MySQL instances). For more information, see [Cloud SQL Instance Settings](https://cloud.google.com/sql/docs/mysql/instance-settings).", "type": "string" }, "activationPolicy": { "enum": [ "SQL_ACTIVATION_POLICY_UNSPECIFIED", "ALWAYS", "NEVER" ], "description": "The activation policy specifies when the instance is activated; it is applicable only when the instance state is 'RUNNABLE'. Valid values: 'ALWAYS': The instance is on, and remains so even in the absence of connection requests. `NEVER`: The instance is off; it is not activated, even if a connection request arrives.", "type": "string", "enumDescriptions": [ "unspecified policy.", "The instance is always up and running.", "The instance should never spin up." ] }, "ipConfig": { "description": "The settings for IP Management. This allows to enable or disable the instance IP and manage which external networks can connect to the instance. The IPv4 address cannot be disabled.", "$ref": "SqlIpConfig" }, "dataDiskType": { "enumDescriptions": [ "Unspecified.", "SSD disk.", "HDD disk." ], "type": "string", "description": "The type of storage: `PD_SSD` (default) or `PD_HDD`.", "enum": [ "SQL_DATA_DISK_TYPE_UNSPECIFIED", "PD_SSD", "PD_HDD" ] }, "databaseFlags": { "description": "The database flags passed to the Cloud SQL instance at startup. An object containing a list of \"key\": value pairs. Example: { \"name\": \"wrench\", \"mass\": \"1.3kg\", \"count\": \"3\" }.", "additionalProperties": { "type": "string" }, "type": "object" }, "databaseVersion": { "enumDescriptions": [ "Unspecified version.", "MySQL 5.6.", "MySQL 5.7.", "MySQL 8.0." ], "type": "string", "description": "The database engine type and version.", "enum": [ "SQL_DATABASE_VERSION_UNSPECIFIED", "MYSQL_5_6", "MYSQL_5_7", "MYSQL_8_0" ] }, "sourceId": { "type": "string", "description": "The Database Migration Service source connection profile ID, in the format: `projects/my_project_name/locations/us-central1/connectionProfiles/connection_profile_ID`" } }, "description": "Settings for creating a Cloud SQL database instance.", "type": "object", "id": "CloudSqlSettings" }, "PromoteMigrationJobRequest": { "id": "PromoteMigrationJobRequest", "type": "object", "properties": {}, "description": "Request message for 'PromoteMigrationJob' request." }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {}, "id": "Empty" }, "SshScript": { "id": "SshScript", "description": "Response message for 'GenerateSshScript' request.", "properties": { "script": { "type": "string", "description": "The ssh configuration script." } }, "type": "object" }, "GoogleCloudClouddmsV1beta1OperationMetadata": { "type": "object", "properties": { "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true } }, "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudClouddmsV1beta1OperationMetadata" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" } }, "id": "SetIamPolicyRequest", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } } }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "id": "Status", "type": "object" }, "Location": { "properties": { "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "CloudSqlConnectionProfile": { "properties": { "settings": { "description": "Immutable. Metadata used to create the destination Cloud SQL database.", "$ref": "CloudSqlSettings" }, "cloudSqlId": { "readOnly": true, "description": "Output only. The Cloud SQL instance ID that this connection profile is associated with.", "type": "string" }, "privateIp": { "type": "string", "readOnly": true, "description": "Output only. The Cloud SQL database instance's private IP." }, "publicIp": { "description": "Output only. The Cloud SQL database instance's public IP.", "type": "string", "readOnly": true } }, "type": "object", "description": "Specifies required connection parameters, and, optionally, the parameters required to create a Cloud SQL destination database instance.", "id": "CloudSqlConnectionProfile" } }, "batchPath": "batch", "version": "v1beta1", "ownerName": "Google", "id": "datamigration:v1beta1", "version_module": true, "servicePath": "", "rootUrl": "https://datamigration.googleapis.com/", "parameters": { "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "callback": { "location": "query", "description": "JSONP", "type": "string" } }, "mtlsRootUrl": "https://datamigration.mtls.googleapis.com/", "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "baseUrl": "https://datamigration.googleapis.com/", "canonicalName": "Database Migration Service", "basePath": "", "name": "datamigration" }
]===]))
