local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "projects": { "resources": { "locations": { "resources": { "pipelines": { "resources": { "jobs": { "methods": { "list": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/jobs", "id": "datapipelines.projects.locations.pipelines.jobs.list", "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of entities to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the max limit will be determined by the backend implementation." }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "description": "Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`." }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListJobs` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListJobs` must match the call that provided the page token." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}/jobs", "response": { "$ref": "GoogleCloudDatapipelinesV1ListJobsResponse" }, "description": "Lists jobs for a given pipeline. Throws a \"FORBIDDEN\" error if the caller doesn't have permission to access it." } } } }, "methods": { "stop": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}:stop", "path": "v1/{+name}:stop", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "description": "Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "required": true, "type": "string" } }, "description": "Freezes pipeline execution permanently. If there's a corresponding scheduler entry, it's deleted, and the pipeline state is changed to \"ARCHIVED\". However, pipeline metadata is retained.", "request": { "$ref": "GoogleCloudDatapipelinesV1StopPipelineRequest" }, "id": "datapipelines.projects.locations.pipelines.stop", "response": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" }, "id": "datapipelines.projects.locations.pipelines.patch", "description": "Updates a pipeline. If successful, the updated Pipeline is returned. Returns `NOT_FOUND` if the pipeline doesn't exist. If UpdatePipeline does not return successfully, you can retry the UpdatePipeline request until you receive a successful response.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "required": true, "location": "path", "description": "The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), and periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LOCATION_ID` is the canonical ID for the pipeline's location. The list of available locations can be obtained by calling `google.cloud.location.Locations.ListLocations`. Note that the Data Pipelines service is not available in all regions. It depends on Cloud Scheduler, an App Engine application, so it's only available in [App Engine regions](https://cloud.google.com/about/locations#region). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PIPELINE_ID` is the ID of the pipeline. Must be unique for the selected project and location." }, "updateMask": { "location": "query", "description": "The list of fields to be updated.", "type": "string", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" }, "path": "v1/{+name}" }, "delete": { "httpMethod": "DELETE", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}", "description": "Deletes a pipeline. If a scheduler job is attached to the pipeline, it will be deleted.", "id": "datapipelines.projects.locations.pipelines.delete", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "required": true, "description": "Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ] }, "create": { "request": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines", "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/pipelines", "response": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" }, "description": "Creates a pipeline. For a batch pipeline, you can pass scheduler information. Data Pipelines uses the scheduler information to create an internal scheduler that runs jobs periodically. If the internal scheduler is not configured, you can use RunPipeline to run jobs.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "id": "datapipelines.projects.locations.pipelines.create" }, "get": { "httpMethod": "GET", "description": "Looks up a single pipeline. Returns a \"NOT_FOUND\" error if no such pipeline exists. Returns a \"FORBIDDEN\" error if the caller doesn't have permission to access it.", "id": "datapipelines.projects.locations.pipelines.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "description": "Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`.", "location": "path" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" }, "parameterOrder": [ "name" ] }, "run": { "response": { "$ref": "GoogleCloudDatapipelinesV1RunPipelineResponse" }, "description": "Creates a job for the specified pipeline directly. You can use this method when the internal scheduler is not configured and you want to trigger the job directly or through an external system. Returns a \"NOT_FOUND\" error if the pipeline doesn't exist. Returns a \"FORBIDDEN\" error if the user doesn't have permission to access the pipeline or run jobs for the pipeline.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/pipelines/{pipelinesId}:run", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/pipelines/[^/]+$", "location": "path", "required": true, "description": "Required. The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`.", "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "path": "v1/{+name}:run", "id": "datapipelines.projects.locations.pipelines.run", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDatapipelinesV1RunPipelineRequest" } } } } }, "methods": { "listPipelines": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "location": "query", "description": "An expression for filtering the results of the request. If unspecified, all pipelines will be returned. Multiple filters can be applied and must be comma separated. Fields eligible for filtering are: + `type`: The type of the pipeline (streaming or batch). Allowed values are `ALL`, `BATCH`, and `STREAMING`. + `status`: The activity status of the pipeline. Allowed values are `ALL`, `ACTIVE`, `ARCHIVED`, and `PAUSED`. For example, to limit results to active batch processing pipelines: type:BATCH,status:ACTIVE", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of entities to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the max limit is yet to be determined by the backend implementation." }, "pageToken": { "description": "A page token, received from a previous `ListPipelines` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListPipelines` must match the call that provided the page token.", "type": "string", "location": "query" }, "parent": { "description": "Required. The location name. For example: `projects/PROJECT_ID/locations/LOCATION_ID`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "GoogleCloudDatapipelinesV1ListPipelinesResponse" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "datapipelines.projects.locations.listPipelines", "description": "Lists pipelines. Returns a \"FORBIDDEN\" error if the caller doesn't have permission to access it." } } } } } }, "revision": "20220703", "description": "Data Pipelines provides an interface for creating, updating, and managing recurring Data Analytics jobs.", "discoveryVersion": "v1", "ownerDomain": "google.com", "servicePath": "", "id": "datapipelines:v1", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "canonicalName": "Datapipelines", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "kind": "discovery#restDescription", "title": "Data pipelines API", "schemas": { "GoogleCloudDatapipelinesV1RunPipelineResponse": { "properties": { "job": { "$ref": "GoogleCloudDatapipelinesV1Job", "description": "Job that was created as part of RunPipeline operation." } }, "id": "GoogleCloudDatapipelinesV1RunPipelineResponse", "description": "Response message for RunPipeline", "type": "object" }, "GoogleCloudDatapipelinesV1RuntimeEnvironment": { "id": "GoogleCloudDatapipelinesV1RuntimeEnvironment", "properties": { "additionalUserLabels": { "additionalProperties": { "type": "string" }, "description": "Additional user labels to be specified for the job. Keys and values should follow the restrictions specified in the [labeling restrictions](https://cloud.google.com/compute/docs/labeling-resources#restrictions) page. An object containing a list of key/value pairs. Example: { \"name\": \"wrench\", \"mass\": \"1kg\", \"count\": \"3\" }.", "type": "object" }, "enableStreamingEngine": { "type": "boolean", "description": "Whether to enable Streaming Engine for the job." }, "subnetwork": { "description": "Subnetwork to which VMs will be assigned, if desired. You can specify a subnetwork using either a complete URL or an abbreviated path. Expected to be of the form \"https://www.googleapis.com/compute/v1/projects/HOST_PROJECT_ID/regions/REGION/subnetworks/SUBNETWORK\" or \"regions/REGION/subnetworks/SUBNETWORK\". If the subnetwork is located in a Shared VPC network, you must use the complete URL.", "type": "string" }, "ipConfiguration": { "enumDescriptions": [ "The configuration is unknown, or unspecified.", "Workers should have public IP addresses.", "Workers should have private IP addresses." ], "description": "Configuration for VM IPs.", "type": "string", "enum": [ "WORKER_IP_UNSPECIFIED", "WORKER_IP_PUBLIC", "WORKER_IP_PRIVATE" ] }, "workerRegion": { "description": "The Compute Engine region (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1\". Mutually exclusive with worker_zone. If neither worker_region nor worker_zone is specified, default to the control plane's region.", "type": "string" }, "zone": { "description": "The Compute Engine [availability zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones) for launching worker instances to run your pipeline. In the future, worker_zone will take precedence.", "type": "string" }, "network": { "description": "Network to which VMs will be assigned. If empty or unspecified, the service will use the network \"default\".", "type": "string" }, "additionalExperiments": { "type": "array", "description": "Additional experiment flags for the job.", "items": { "type": "string" } }, "bypassTempDirValidation": { "description": "Whether to bypass the safety checks for the job's temporary directory. Use with caution.", "type": "boolean" }, "workerZone": { "description": "The Compute Engine zone (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1-a\". Mutually exclusive with worker_region. If neither worker_region nor worker_zone is specified, a zone in the control plane's region is chosen based on available capacity. If both `worker_zone` and `zone` are set, `worker_zone` takes precedence.", "type": "string" }, "numWorkers": { "type": "integer", "format": "int32", "description": "The initial number of Compute Engine instances for the job." }, "tempLocation": { "type": "string", "description": "The Cloud Storage path to use for temporary files. Must be a valid Cloud Storage URL, beginning with `gs://`." }, "serviceAccountEmail": { "description": "The email address of the service account to run the job as.", "type": "string" }, "maxWorkers": { "format": "int32", "type": "integer", "description": "The maximum number of Compute Engine instances to be made available to your pipeline during execution, from 1 to 1000." }, "kmsKeyName": { "description": "Name for the Cloud KMS key for the job. The key format is: projects//locations//keyRings//cryptoKeys/", "type": "string" }, "machineType": { "type": "string", "description": "The machine type to use for the job. Defaults to the value from the template if not specified." } }, "description": "The environment values to set at runtime.", "type": "object" }, "GoogleRpcStatus": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array" }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "GoogleRpcStatus" }, "GoogleCloudDatapipelinesV1RunPipelineRequest": { "id": "GoogleCloudDatapipelinesV1RunPipelineRequest", "type": "object", "description": "Request message for RunPipeline", "properties": {} }, "GoogleCloudDatapipelinesV1StopPipelineRequest": { "properties": {}, "description": "Request message for StopPipeline.", "type": "object", "id": "GoogleCloudDatapipelinesV1StopPipelineRequest" }, "GoogleCloudDatapipelinesV1ScheduleSpec": { "description": "Details of the schedule the pipeline runs on.", "properties": { "nextJobTime": { "format": "google-datetime", "description": "Output only. When the next Scheduler job is going to run.", "readOnly": true, "type": "string" }, "timeZone": { "type": "string", "description": "Timezone ID. This matches the timezone IDs used by the Cloud Scheduler API. If empty, UTC time is assumed." }, "schedule": { "description": "Unix-cron format of the schedule. This information is retrieved from the linked Cloud Scheduler.", "type": "string" } }, "id": "GoogleCloudDatapipelinesV1ScheduleSpec", "type": "object" }, "GoogleCloudDatapipelinesV1ListJobsResponse": { "type": "object", "description": "Response message for ListJobs", "id": "GoogleCloudDatapipelinesV1ListJobsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "jobs": { "items": { "$ref": "GoogleCloudDatapipelinesV1Job" }, "type": "array", "description": "Results that were accessible to the caller. Results are always in descending order of job creation date." } } }, "GoogleCloudDatapipelinesV1DataflowJobDetails": { "description": "Pipeline job details specific to the Dataflow API. This is encapsulated here to allow for more executors to store their specific details separately.", "id": "GoogleCloudDatapipelinesV1DataflowJobDetails", "type": "object", "properties": { "currentWorkers": { "format": "int32", "description": "Output only. The current number of workers used to run the jobs. Only set to a value if the job is still running.", "type": "integer", "readOnly": true }, "sdkVersion": { "$ref": "GoogleCloudDatapipelinesV1SdkVersion", "readOnly": true, "description": "Output only. The SDK version used to run the job." }, "resourceInfo": { "type": "object", "description": "Cached version of all the metrics of interest for the job. This value gets stored here when the job is terminated. As long as the job is running, this field is populated from the Dataflow API.", "additionalProperties": { "format": "double", "type": "number" } } } }, "GoogleCloudDatapipelinesV1FlexTemplateRuntimeEnvironment": { "properties": { "network": { "type": "string", "description": "Network to which VMs will be assigned. If empty or unspecified, the service will use the network \"default\"." }, "maxWorkers": { "description": "The maximum number of Compute Engine instances to be made available to your pipeline during execution, from 1 to 1000.", "format": "int32", "type": "integer" }, "zone": { "type": "string", "description": "The Compute Engine [availability zone](https://cloud.google.com/compute/docs/regions-zones/regions-zones) for launching worker instances to run your pipeline. In the future, worker_zone will take precedence." }, "workerRegion": { "description": "The Compute Engine region (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1\". Mutually exclusive with worker_zone. If neither worker_region nor worker_zone is specified, defaults to the control plane region.", "type": "string" }, "machineType": { "description": "The machine type to use for the job. Defaults to the value from the template if not specified.", "type": "string" }, "ipConfiguration": { "type": "string", "description": "Configuration for VM IPs.", "enumDescriptions": [ "The configuration is unknown, or unspecified.", "Workers should have public IP addresses.", "Workers should have private IP addresses." ], "enum": [ "WORKER_IP_UNSPECIFIED", "WORKER_IP_PUBLIC", "WORKER_IP_PRIVATE" ] }, "additionalExperiments": { "items": { "type": "string" }, "description": "Additional experiment flags for the job.", "type": "array" }, "kmsKeyName": { "type": "string", "description": "Name for the Cloud KMS key for the job. Key format is: projects//locations//keyRings//cryptoKeys/" }, "workerZone": { "description": "The Compute Engine zone (https://cloud.google.com/compute/docs/regions-zones/regions-zones) in which worker processing should occur, e.g. \"us-west1-a\". Mutually exclusive with worker_region. If neither worker_region nor worker_zone is specified, a zone in the control plane region is chosen based on available capacity. If both `worker_zone` and `zone` are set, `worker_zone` takes precedence.", "type": "string" }, "serviceAccountEmail": { "description": "The email address of the service account to run the job as.", "type": "string" }, "flexrsGoal": { "enumDescriptions": [ "Run in the default mode.", "Optimize for lower execution time.", "Optimize for lower cost." ], "enum": [ "FLEXRS_UNSPECIFIED", "FLEXRS_SPEED_OPTIMIZED", "FLEXRS_COST_OPTIMIZED" ], "type": "string", "description": "Set FlexRS goal for the job. https://cloud.google.com/dataflow/docs/guides/flexrs" }, "subnetwork": { "description": "Subnetwork to which VMs will be assigned, if desired. You can specify a subnetwork using either a complete URL or an abbreviated path. Expected to be of the form \"https://www.googleapis.com/compute/v1/projects/HOST_PROJECT_ID/regions/REGION/subnetworks/SUBNETWORK\" or \"regions/REGION/subnetworks/SUBNETWORK\". If the subnetwork is located in a Shared VPC network, you must use the complete URL.", "type": "string" }, "additionalUserLabels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Additional user labels to be specified for the job. Keys and values must follow the restrictions specified in the [labeling restrictions](https://cloud.google.com/compute/docs/labeling-resources#restrictions). An object containing a list of key/value pairs. Example: `{ \"name\": \"wrench\", \"mass\": \"1kg\", \"count\": \"3\" }`." }, "numWorkers": { "format": "int32", "type": "integer", "description": "The initial number of Compute Engine instances for the job." }, "enableStreamingEngine": { "type": "boolean", "description": "Whether to enable Streaming Engine for the job." }, "tempLocation": { "type": "string", "description": "The Cloud Storage path to use for temporary files. Must be a valid Cloud Storage URL, beginning with `gs://`." } }, "type": "object", "description": "The environment values to be set at runtime for a Flex Template.", "id": "GoogleCloudDatapipelinesV1FlexTemplateRuntimeEnvironment" }, "GoogleCloudDatapipelinesV1LaunchTemplateRequest": { "properties": { "location": { "description": "The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request.", "type": "string" }, "gcsPath": { "description": "A Cloud Storage path to the template from which to create the job. Must be a valid Cloud Storage URL, beginning with 'gs://'.", "type": "string" }, "launchParameters": { "description": "The parameters of the template to launch. This should be part of the body of the POST request.", "$ref": "GoogleCloudDatapipelinesV1LaunchTemplateParameters" }, "validateOnly": { "type": "boolean", "description": "If true, the request is validated but not actually executed. Defaults to false." }, "projectId": { "type": "string", "description": "Required. The ID of the Cloud Platform project that the job belongs to." } }, "description": "A request to launch a template.", "type": "object", "id": "GoogleCloudDatapipelinesV1LaunchTemplateRequest" }, "GoogleCloudDatapipelinesV1Job": { "id": "GoogleCloudDatapipelinesV1Job", "type": "object", "description": "Definition of the job information maintained by the pipeline. Fields in this entity are retrieved from the executor API (e.g. Dataflow API).", "properties": { "name": { "type": "string", "description": "Required. The fully qualified resource name for the job." }, "status": { "$ref": "GoogleRpcStatus", "description": "Status capturing any error code or message related to job creation or execution." }, "id": { "description": "Output only. The internal ID for the job.", "readOnly": true, "type": "string" }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time of job termination. This is absent if the job is still running." }, "createTime": { "readOnly": true, "description": "Output only. The time of job creation.", "type": "string", "format": "google-datetime" }, "dataflowJobDetails": { "description": "All the details that are specific to a Dataflow job.", "$ref": "GoogleCloudDatapipelinesV1DataflowJobDetails" }, "state": { "enumDescriptions": [ "The job state isn't specified.", "The job is waiting to start execution.", "The job is executing.", "The job has finished execution successfully.", "The job has finished execution with a failure.", "The job has been terminated upon user request." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "STATE_PENDING", "STATE_RUNNING", "STATE_DONE", "STATE_FAILED", "STATE_CANCELLED" ], "description": "The current state of the job." } } }, "GoogleCloudDatapipelinesV1SdkVersion": { "type": "object", "properties": { "version": { "description": "The version of the SDK used to run the job.", "type": "string" }, "versionDisplayName": { "description": "A readable string describing the version of the SDK.", "type": "string" }, "sdkSupportStatus": { "enum": [ "UNKNOWN", "SUPPORTED", "STALE", "DEPRECATED", "UNSUPPORTED" ], "enumDescriptions": [ "Dataflow is unaware of this version.", "This is a known version of an SDK, and is supported.", "A newer version of the SDK exists, and an update is recommended.", "This version of the SDK is deprecated and will eventually be unsupported.", "Support for this SDK version has ended and it should no longer be used." ], "type": "string", "description": "The support status for this SDK version." } }, "id": "GoogleCloudDatapipelinesV1SdkVersion", "description": "The version of the SDK used to run the job." }, "GoogleCloudDatapipelinesV1Pipeline": { "description": "The main pipeline entity and all the necessary metadata for launching and managing linked jobs.", "type": "object", "properties": { "lastUpdateTime": { "description": "Output only. Immutable. The timestamp when the pipeline was last modified. Set by the Data Pipelines service.", "type": "string", "format": "google-datetime", "readOnly": true }, "state": { "enumDescriptions": [ "The pipeline state isn't specified.", "The pipeline is getting started or resumed. When finished, the pipeline state will be 'PIPELINE_STATE_ACTIVE'.", "The pipeline is actively running.", "The pipeline is in the process of stopping. When finished, the pipeline state will be 'PIPELINE_STATE_ARCHIVED'.", "The pipeline has been stopped. This is a terminal state and cannot be undone.", "The pipeline is paused. This is a non-terminal state. When the pipeline is paused, it will hold processing jobs, but can be resumed later. For a batch pipeline, this means pausing the scheduler job. For a streaming pipeline, creating a job snapshot to resume from will give the same effect." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "STATE_RESUMING", "STATE_ACTIVE", "STATE_STOPPING", "STATE_ARCHIVED", "STATE_PAUSED" ], "description": "Required. The state of the pipeline. When the pipeline is created, the state is set to 'PIPELINE_STATE_ACTIVE' by default. State changes can be requested by setting the state to stopping, paused, or resuming. State cannot be changed through UpdatePipeline requests." }, "workload": { "$ref": "GoogleCloudDatapipelinesV1Workload", "description": "Workload information for creating new jobs." }, "type": { "type": "string", "enum": [ "PIPELINE_TYPE_UNSPECIFIED", "PIPELINE_TYPE_BATCH", "PIPELINE_TYPE_STREAMING" ], "description": "Required. The type of the pipeline. This field affects the scheduling of the pipeline and the type of metrics to show for the pipeline.", "enumDescriptions": [ "The pipeline type isn't specified.", "A batch pipeline. It runs jobs on a specific schedule, and each job will automatically terminate once execution is finished.", "A streaming pipeline. The underlying job is continuously running until it is manually terminated by the user. This type of pipeline doesn't have a schedule to run on, and the linked job gets created when the pipeline is created." ] }, "schedulerServiceAccountEmail": { "description": "Optional. A service account email to be used with the Cloud Scheduler job. If not specified, the default compute engine service account will be used.", "type": "string" }, "jobCount": { "readOnly": true, "format": "int32", "type": "integer", "description": "Output only. Number of jobs." }, "scheduleInfo": { "description": "Internal scheduling information for a pipeline. If this information is provided, periodic jobs will be created per the schedule. If not, users are responsible for creating jobs externally.", "$ref": "GoogleCloudDatapipelinesV1ScheduleSpec" }, "displayName": { "type": "string", "description": "Required. The display name of the pipeline. It can contain only letters ([A-Za-z]), numbers ([0-9]), hyphens (-), and underscores (_)." }, "name": { "type": "string", "description": "The pipeline name. For example: `projects/PROJECT_ID/locations/LOCATION_ID/pipelines/PIPELINE_ID`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PROJECT_ID` can contain letters ([A-Za-z]), numbers ([0-9]), hyphens (-), colons (:), and periods (.). For more information, see [Identifying projects](https://cloud.google.com/resource-manager/docs/creating-managing-projects#identifying_projects). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LOCATION_ID` is the canonical ID for the pipeline's location. The list of available locations can be obtained by calling `google.cloud.location.Locations.ListLocations`. Note that the Data Pipelines service is not available in all regions. It depends on Cloud Scheduler, an App Engine application, so it's only available in [App Engine regions](https://cloud.google.com/about/locations#region). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PIPELINE_ID` is the ID of the pipeline. Must be unique for the selected project and location." }, "pipelineSources": { "description": "Immutable. The sources of the pipeline (for example, Dataplex). The keys and values are set by the corresponding sources during pipeline creation.", "type": "object", "additionalProperties": { "type": "string" } }, "createTime": { "readOnly": true, "description": "Output only. Immutable. The timestamp when the pipeline was initially created. Set by the Data Pipelines service.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudDatapipelinesV1Pipeline" }, "GoogleCloudDatapipelinesV1LaunchFlexTemplateRequest": { "description": "A request to launch a Dataflow job from a Flex Template.", "properties": { "validateOnly": { "description": "If true, the request is validated but not actually executed. Defaults to false.", "type": "boolean" }, "launchParameter": { "description": "Required. Parameter to launch a job from a Flex Template.", "$ref": "GoogleCloudDatapipelinesV1LaunchFlexTemplateParameter" }, "projectId": { "type": "string", "description": "Required. The ID of the Cloud Platform project that the job belongs to." }, "location": { "description": "Required. The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. For example, `us-central1`, `us-west1`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDatapipelinesV1LaunchFlexTemplateRequest" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "GoogleCloudDatapipelinesV1Workload": { "description": "Workload details for creating the pipeline jobs.", "properties": { "dataflowFlexTemplateRequest": { "$ref": "GoogleCloudDatapipelinesV1LaunchFlexTemplateRequest", "description": "Template information and additional parameters needed to launch a Dataflow job using the flex launch API." }, "dataflowLaunchTemplateRequest": { "$ref": "GoogleCloudDatapipelinesV1LaunchTemplateRequest", "description": "Template information and additional parameters needed to launch a Dataflow job using the standard launch API." } }, "type": "object", "id": "GoogleCloudDatapipelinesV1Workload" }, "GoogleCloudDatapipelinesV1LaunchTemplateParameters": { "id": "GoogleCloudDatapipelinesV1LaunchTemplateParameters", "type": "object", "properties": { "environment": { "description": "The runtime environment for the job.", "$ref": "GoogleCloudDatapipelinesV1RuntimeEnvironment" }, "transformNameMapping": { "type": "object", "description": "Map of transform name prefixes of the job to be replaced to the corresponding name prefixes of the new job. Only applicable when updating a pipeline.", "additionalProperties": { "type": "string" } }, "parameters": { "type": "object", "description": "The runtime parameters to pass to the job.", "additionalProperties": { "type": "string" } }, "jobName": { "description": "Required. The job name to use for the created job.", "type": "string" }, "update": { "description": "If set, replace the existing pipeline with the name specified by jobName with this pipeline, preserving state.", "type": "boolean" } }, "description": "Parameters to provide to the template being launched." }, "GoogleCloudDatapipelinesV1ListPipelinesResponse": { "description": "Response message for ListPipelines.", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "pipelines": { "type": "array", "description": "Results that matched the filter criteria and were accessible to the caller. Results are always in descending order of pipeline creation date.", "items": { "$ref": "GoogleCloudDatapipelinesV1Pipeline" } } }, "type": "object", "id": "GoogleCloudDatapipelinesV1ListPipelinesResponse" }, "GoogleCloudDatapipelinesV1LaunchFlexTemplateParameter": { "description": "Launch Flex Template parameter.", "properties": { "parameters": { "type": "object", "description": "The parameters for the Flex Template. Example: `{\"num_workers\":\"5\"}`", "additionalProperties": { "type": "string" } }, "launchOptions": { "type": "object", "description": "Launch options for this Flex Template job. This is a common set of options across languages and templates. This should not be used to pass job parameters.", "additionalProperties": { "type": "string" } }, "transformNameMappings": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Use this to pass transform name mappings for streaming update jobs. Example: `{\"oldTransformName\":\"newTransformName\",...}`" }, "update": { "description": "Set this to true if you are sending a request to update a running streaming job. When set, the job name should be the same as the running job.", "type": "boolean" }, "jobName": { "type": "string", "description": "Required. The job name to use for the created job. For an update job request, the job name should be the same as the existing running job." }, "environment": { "$ref": "GoogleCloudDatapipelinesV1FlexTemplateRuntimeEnvironment", "description": "The runtime environment for the Flex Template job." }, "containerSpecGcsPath": { "type": "string", "description": "Cloud Storage path to a file with a JSON-serialized ContainerSpec as content." } }, "id": "GoogleCloudDatapipelinesV1LaunchFlexTemplateParameter", "type": "object" } }, "mtlsRootUrl": "https://datapipelines.mtls.googleapis.com/", "parameters": { "callback": { "location": "query", "description": "JSONP", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string", "location": "query", "enum": [ "1", "2" ] }, "alt": { "location": "query", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "default": "json", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" } }, "basePath": "", "baseUrl": "https://datapipelines.googleapis.com/", "documentationLink": "https://cloud.google.com/dataflow/docs/guides/data-pipelines", "protocol": "rest", "rootUrl": "https://datapipelines.googleapis.com/", "batchPath": "batch", "name": "datapipelines", "version": "v1" }
]===]))
