local decode = require("cjson").new().decode
return assert(decode([===[
{ "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "revision": "20220621", "description": "Dataplex API is used to manage the lifecycle of data lakes.", "ownerDomain": "google.com", "parameters": { "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "description": "V1 error format.", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "kind": "discovery#restDescription", "version_module": true, "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "id": "dataplex.projects.locations.list", "flatPath": "v1/projects/{projectsId}/locations", "httpMethod": "GET", "path": "v1/{+name}/locations", "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A page token received from the next_page_token field in the response. Send that page token to receive the subsequent page." }, "name": { "type": "string", "required": true, "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "location": "path" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like \"displayName=tokyo\", and is documented in more detail in AIP-160 (https://google.aip.dev/160).", "type": "string", "location": "query" } }, "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "dataplex.projects.locations.get", "parameters": { "name": { "required": true, "location": "path", "description": "Resource name for the location.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "description": "Gets information about a location.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "GoogleCloudLocationLocation" }, "path": "v1/{+name}" } }, "resources": { "operations": { "methods": { "list": { "id": "dataplex.projects.locations.operations.list", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "path": "v1/{+name}/operations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "The standard list page size.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the operation's parent resource." }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" } } }, "cancel": { "response": { "$ref": "Empty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.operations.cancel", "httpMethod": "POST", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "description": "The name of the operation resource to be cancelled.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1/{+name}:cancel" }, "get": { "httpMethod": "GET", "path": "v1/{+name}", "id": "dataplex.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "location": "path", "required": true, "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "delete": { "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/{+name}", "id": "dataplex.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be deleted.", "type": "string" } }, "httpMethod": "DELETE" } } }, "lakes": { "resources": { "tasks": { "methods": { "get": { "httpMethod": "GET", "description": "Get task resource.", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}", "response": { "$ref": "GoogleCloudDataplexV1Task" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "required": true, "description": "Required. The resource name of the task: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /tasks/{tasks_id}", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.tasks.get" }, "getIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}:getIamPolicy", "id": "dataplex.projects.locations.lakes.tasks.getIamPolicy" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "type": "string", "required": true, "location": "path" } }, "id": "dataplex.projects.locations.lakes.tasks.setIamPolicy" }, "create": { "parameterOrder": [ "parent" ], "description": "Creates a task resource within a lake.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDataplexV1Task" }, "path": "v1/{+parent}/tasks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "description": "Required. The resource name of the parent lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}" }, "validateOnly": { "type": "boolean", "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query" }, "taskId": { "location": "query", "type": "string", "description": "Required. Task identifier." } }, "id": "dataplex.projects.locations.lakes.tasks.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks", "response": { "$ref": "GoogleLongrunningOperation" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/tasks", "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListTasksResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks", "id": "dataplex.projects.locations.lakes.tasks.list", "parameters": { "orderBy": { "description": "Optional. Order by fields for the result.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "Optional. Maximum number of tasks to return. The service may return fewer than this value. If unspecified, at most 10 tasks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "Optional. Filter request.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "type": "string", "location": "path", "description": "Required. The resource name of the parent lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Optional. Page token received from a previous ListZones call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListZones must match the call that provided the page token." } }, "description": "Lists tasks under the given lake." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "description": "Output only. The relative resource name of the task, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/ tasks/{task_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "type": "string" }, "updateMask": { "description": "Required. Mask of fields to update.", "location": "query", "type": "string", "format": "google-fieldmask" }, "validateOnly": { "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "type": "boolean" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}", "request": { "$ref": "GoogleCloudDataplexV1Task" }, "id": "dataplex.projects.locations.lakes.tasks.patch", "description": "Update the task resource.", "path": "v1/{+name}", "httpMethod": "PATCH" }, "delete": { "description": "Delete the task resource.", "parameterOrder": [ "name" ], "id": "dataplex.projects.locations.lakes.tasks.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}", "parameters": { "name": { "description": "Required. The resource name of the task: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /task/{task_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "type": "string", "location": "path", "required": true } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" } }, "testIamPermissions": { "id": "dataplex.projects.locations.lakes.tasks.testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "httpMethod": "POST", "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "jobs": { "methods": { "cancel": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+/jobs/[^/]+$", "type": "string", "required": true, "description": "Required. The resource name of the job: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /task/{task_id}/job/{job_id}`", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDataplexV1CancelJobRequest" }, "description": "Cancel jobs running for the task resource.", "path": "v1/{+name}:cancel", "id": "dataplex.projects.locations.lakes.tasks.jobs.cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}/jobs/{jobsId}:cancel", "httpMethod": "POST" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+/jobs/[^/]+$", "description": "Required. The resource name of the job: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /tasks/{task_id}/jobs/{job_id}", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}/jobs/{jobsId}", "response": { "$ref": "GoogleCloudDataplexV1Job" }, "id": "dataplex.projects.locations.lakes.tasks.jobs.get", "description": "Get job resource.", "httpMethod": "GET" }, "list": { "httpMethod": "GET", "parameters": { "pageToken": { "description": "Optional. Page token received from a previous ListJobs call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListJobs must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/tasks/[^/]+$", "description": "Required. The resource name of the parent environment: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/tasks/{task_id}", "location": "path", "required": true }, "pageSize": { "description": "Optional. Maximum number of jobs to return. The service may return fewer than this value. If unspecified, at most 10 jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "location": "query", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/jobs", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/tasks/{tasksId}/jobs", "description": "Lists Jobs under the given task.", "response": { "$ref": "GoogleCloudDataplexV1ListJobsResponse" }, "id": "dataplex.projects.locations.lakes.tasks.jobs.list", "parameterOrder": [ "parent" ] } } } } }, "zones": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListZonesResponse" }, "path": "v1/{+parent}/zones", "id": "dataplex.projects.locations.lakes.zones.list", "parameters": { "parent": { "description": "Required. The resource name of the parent lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "type": "string", "required": true }, "pageToken": { "description": "Optional. Page token received from a previous ListZones call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListZones must match the call that provided the page token.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Order by fields for the result." }, "filter": { "location": "query", "type": "string", "description": "Optional. Filter request." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. Maximum number of zones to return. The service may return fewer than this value. If unspecified, at most 10 zones will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." } }, "description": "Lists zone resources in a lake.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones" }, "get": { "description": "Retrieves a zone resource.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}", "response": { "$ref": "GoogleCloudDataplexV1Zone" }, "parameters": { "name": { "description": "Required. The resource name of the zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "type": "string" } }, "id": "dataplex.projects.locations.lakes.zones.get" }, "getIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}:getIamPolicy", "id": "dataplex.projects.locations.lakes.zones.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$" } }, "path": "v1/{+resource}:setIamPolicy", "id": "dataplex.projects.locations.lakes.zones.setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" } }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDataplexV1Zone" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones", "path": "v1/{+parent}/zones", "parameters": { "zoneId": { "description": "Required. Zone identifier. This ID will be used to generate names such as database and dataset names when publishing metadata to Hive Metastore and BigQuery. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique across all lakes from all locations in a project. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must not be one of the reserved IDs (i.e. \"default\", \"global-temp\")", "type": "string", "location": "query" }, "validateOnly": { "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "type": "boolean" }, "parent": { "required": true, "description": "Required. The resource name of the parent lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.zones.create", "description": "Creates a zone resource within a lake." }, "delete": { "description": "Deletes a zone resource. All assets within a zone must be deleted before the zone can be deleted.", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The resource name of the zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "type": "string", "location": "path" } }, "id": "dataplex.projects.locations.lakes.zones.delete" }, "testIamPermissions": { "id": "dataplex.projects.locations.lakes.zones.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}:testIamPermissions", "parameterOrder": [ "resource" ] }, "patch": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}", "description": "Updates a zone resource.", "request": { "$ref": "GoogleCloudDataplexV1Zone" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "updateMask": { "description": "Required. Mask of fields to update.", "type": "string", "format": "google-fieldmask", "location": "query" }, "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "type": "boolean", "location": "query" }, "name": { "description": "Output only. The relative resource name of the zone, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$" } }, "id": "dataplex.projects.locations.lakes.zones.patch", "httpMethod": "PATCH" } }, "resources": { "actions": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/actions", "id": "dataplex.projects.locations.lakes.zones.actions.list", "path": "v1/{+parent}/actions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDataplexV1ListActionsResponse" }, "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Optional. Maximum number of actions to return. The service may return fewer than this value. If unspecified, at most 10 actions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Page token received from a previous ListZoneActions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListZoneActions must match the call that provided the page token." }, "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}" } }, "parameterOrder": [ "parent" ], "description": "Lists action resources in a zone.", "httpMethod": "GET" } } }, "entities": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}", "response": { "$ref": "GoogleCloudDataplexV1Entity" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.zones.entities.get", "path": "v1/{+name}", "httpMethod": "GET", "description": "Get a metadata entity.", "parameters": { "view": { "description": "Optional. Used to select the subset of entity information to return. Defaults to BASIC.", "enum": [ "ENTITY_VIEW_UNSPECIFIED", "BASIC", "SCHEMA", "FULL" ], "type": "string", "location": "query", "enumDescriptions": [ "The API will default to the BASIC view.", "Minimal view that does not include the schema.", "Include basic information and schema.", "Include everything. Currently, this is the same as the SCHEMA view." ] }, "name": { "description": "Required. The resource name of the entity: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+$" } }, "parameterOrder": [ "name" ] }, "update": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}", "parameters": { "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query", "type": "boolean" }, "name": { "required": true, "location": "path", "description": "Output only. The resource name of the entity, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{id}.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+$", "type": "string" } }, "request": { "$ref": "GoogleCloudDataplexV1Entity" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDataplexV1Entity" }, "description": "Update a metadata entity. Only supports full resource update.", "httpMethod": "PUT", "id": "dataplex.projects.locations.lakes.zones.entities.update", "path": "v1/{+name}" }, "delete": { "description": "Delete a metadata entity.", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "dataplex.projects.locations.lakes.zones.entities.delete", "httpMethod": "DELETE", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the entity: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}." }, "etag": { "type": "string", "location": "query", "description": "Required. The etag associated with the entity, which can be retrieved with a GetEntity request." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}", "parameterOrder": [ "name" ] }, "create": { "description": "Create a metadata entity.", "id": "dataplex.projects.locations.lakes.zones.entities.create", "response": { "$ref": "GoogleCloudDataplexV1Entity" }, "parameters": { "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." }, "parent": { "type": "string", "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/{+parent}/entities", "request": { "$ref": "GoogleCloudDataplexV1Entity" } }, "list": { "parameters": { "view": { "enum": [ "ENTITY_VIEW_UNSPECIFIED", "TABLES", "FILESETS" ], "description": "Required. Specify the entity view to make a partial list request.", "location": "query", "enumDescriptions": [ "The default unset value. Return both table and fileset entities if unspecified.", "Only list table entities.", "Only list fileset entities." ], "type": "string" }, "filter": { "type": "string", "description": "Optional. The following filter parameters can be added to the URL to limit the entities returned by the API: Entity ID: ?filter=\"id=entityID\" Asset ID: ?filter=\"asset=assetID\" Data path ?filter=\"data_path=gs://my-bucket\" Is HIVE compatible: ?filter=\"hive_compatible=true\" Is BigQuery compatible: ?filter=\"bigquery_compatible=true\"", "location": "query" }, "pageToken": { "description": "Optional. Page token received from a previous ListEntities call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListEntities must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}.", "type": "string", "required": true }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. Maximum number of entities to return. The service may return fewer than this value. If unspecified, 100 entities will be returned by default. The maximum value is 500; larger values will will be truncated to 500.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.zones.entities.list", "response": { "$ref": "GoogleCloudDataplexV1ListEntitiesResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/entities", "description": "List metadata entities in a zone.", "httpMethod": "GET" } }, "resources": { "partitions": { "methods": { "list": { "description": "List metadata partitions of an entity.", "id": "dataplex.projects.locations.lakes.zones.entities.partitions.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListPartitionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}/partitions", "httpMethod": "GET", "path": "v1/{+parent}/partitions", "parameters": { "filter": { "description": "Optional. Filter the partitions returned to the caller using a key value pair expression. Supported operators and syntax: logic operators: AND, OR comparison operators: \u003c, \u003e, \u003e=, \u003c= ,=, != LIKE operators: The right hand of a LIKE operator supports \".\" and \"*\" for wildcard searches, for example \"value1 LIKE \".*oo.*\" parenthetical grouping: ( )Sample filter expression: `?filter=\"key1 \u003c value1 OR key2 \u003e value2\"Notes: Keys to the left of operators are case insensitive. Partition results are sorted first by creation time, then by lexicographic order. Up to 20 key value filter pairs are allowed, but due to performance considerations, only the first 10 will be used as a filter.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. Maximum number of partitions to return. The service may return fewer than this value. If unspecified, 100 partitions will be returned by default. The maximum page size is 500; larger values will will be truncated to 500.", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Page token received from a previous ListPartitions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListPartitions must match the call that provided the page token." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+$", "type": "string", "description": "Required. The resource name of the parent entity: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+/partitions/.*$", "required": true, "location": "path", "type": "string", "description": "Required. The resource name of the partition. format: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}/partitions/{partition_value_path}. The {partition_value_path} segment consists of an ordered sequence of partition values separated by \"/\". All values must be provided." }, "etag": { "type": "string", "description": "Optional. The etag associated with the partition.", "location": "query" } }, "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "id": "dataplex.projects.locations.lakes.zones.entities.partitions.delete", "path": "v1/{+name}", "description": "Delete a metadata partition.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}/partitions/{partitionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "get": { "response": { "$ref": "GoogleCloudDataplexV1Partition" }, "description": "Get a metadata partition of an entity.", "id": "dataplex.projects.locations.lakes.zones.entities.partitions.get", "parameters": { "name": { "required": true, "description": "Required. The resource name of the partition: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}/partitions/{partition_value_path}. The {partition_value_path} segment consists of an ordered sequence of partition values separated by \"/\". All values must be provided.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+/partitions/.*$", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}/partitions/{partitionsId}" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/entities/{entitiesId}/partitions", "httpMethod": "POST", "response": { "$ref": "GoogleCloudDataplexV1Partition" }, "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/entities/[^/]+$", "required": true, "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{entity_id}.", "location": "path" }, "validateOnly": { "type": "boolean", "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query" } }, "description": "Create a metadata partition.", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDataplexV1Partition" }, "id": "dataplex.projects.locations.lakes.zones.entities.partitions.create", "path": "v1/{+parent}/partitions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "assets": { "methods": { "delete": { "httpMethod": "DELETE", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}", "description": "Deletes an asset resource. The referenced storage resource is detached (default) or deleted based on the associated Lifecycle policy.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dataplex.projects.locations.lakes.zones.assets.delete", "parameters": { "name": { "type": "string", "description": "Required. The resource name of the asset: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}/assets/{asset_id}", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "get": { "parameterOrder": [ "name" ], "id": "dataplex.projects.locations.lakes.zones.assets.get", "response": { "$ref": "GoogleCloudDataplexV1Asset" }, "httpMethod": "GET", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. The resource name of the asset: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}/assets/{asset_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}", "description": "Retrieves an asset resource." }, "list": { "description": "Lists asset resources in a zone.", "id": "dataplex.projects.locations.lakes.zones.assets.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListAssetsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets", "path": "v1/{+parent}/assets", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. Page token received from a previous ListAssets call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListAssets must match the call that provided the page token." }, "pageSize": { "description": "Optional. Maximum number of asset to return. The service may return fewer than this value. If unspecified, at most 10 assets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "type": "integer", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. Filter request." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "location": "path", "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}`", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Optional. Order by fields for the result." } } }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.zones.assets.testIamPermissions" }, "patch": { "parameters": { "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "type": "boolean", "location": "query" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Required. Mask of fields to update.", "type": "string" }, "name": { "description": "Output only. The relative resource name of the asset, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/assets/{asset_id}.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$", "type": "string" } }, "httpMethod": "PATCH", "id": "dataplex.projects.locations.lakes.zones.assets.patch", "description": "Updates an asset resource.", "path": "v1/{+name}", "request": { "$ref": "GoogleCloudDataplexV1Asset" }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}", "parameterOrder": [ "name" ] }, "getIamPolicy": { "httpMethod": "GET", "id": "dataplex.projects.locations.lakes.zones.assets.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}:getIamPolicy" }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDataplexV1Asset" }, "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+$", "location": "path", "description": "Required. The resource name of the parent zone: projects/{project_number}/locations/{location_id}/lakes/{lake_id} /zones/{zone_id}`" }, "assetId": { "type": "string", "description": "Required. Asset identifier. This ID will be used to generate names such as table names when publishing metadata to Hive Metastore and BigQuery. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the zone.", "location": "query" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/assets", "id": "dataplex.projects.locations.lakes.zones.assets.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets", "httpMethod": "POST", "description": "Creates an asset resource." }, "setIamPolicy": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$", "required": true } }, "path": "v1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "dataplex.projects.locations.lakes.zones.assets.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "response": { "$ref": "GoogleIamV1Policy" }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" } }, "resources": { "actions": { "methods": { "list": { "description": "Lists action resources in an asset.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+parent}/actions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/zones/{zonesId}/assets/{assetsId}/actions", "id": "dataplex.projects.locations.lakes.zones.assets.actions.list", "response": { "$ref": "GoogleCloudDataplexV1ListActionsResponse" }, "parameters": { "pageSize": { "description": "Optional. Maximum number of actions to return. The service may return fewer than this value. If unspecified, at most 10 actions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "Optional. Page token received from a previous ListAssetActions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListAssetActions must match the call that provided the page token.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/zones/[^/]+/assets/[^/]+$", "description": "Required. The resource name of the parent asset: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/assets/{asset_id}", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "parent" ] } } } } } } }, "environments": { "resources": { "sessions": { "methods": { "list": { "description": "Lists session resources in an environment.", "response": { "$ref": "GoogleCloudDataplexV1ListSessionsResponse" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}/sessions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "type": "string", "description": "Optional. Filter request. The following mode filter is supported to return only the sessions belonging to the requester when the mode is USER and return sessions of all the users when the mode is ADMIN. When no filter is sent default to USER mode. NOTE: When the mode is ADMIN, the requester should have dataplex.environments.listAllSessions permission to list all sessions, in absence of the permission, the request fails.mode = ADMIN | USER", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. Page token received from a previous ListSessions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListSessions must match the call that provided the page token.", "type": "string" }, "pageSize": { "description": "Optional. Maximum number of sessions to return. The service may return fewer than this value. If unspecified, at most 10 sessions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "required": true, "location": "path", "description": "Required. The resource name of the parent environment: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/environment/{environment_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "type": "string" } }, "id": "dataplex.projects.locations.lakes.environments.sessions.list", "path": "v1/{+parent}/sessions", "parameterOrder": [ "parent" ] } } } }, "methods": { "patch": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDataplexV1Environment" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}", "parameterOrder": [ "name" ], "description": "Update the environment resource.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "description": "Output only. The relative resource name of the environment, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/environment/{environment_id}" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update.", "location": "query" } }, "id": "dataplex.projects.locations.lakes.environments.patch" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1Policy" }, "id": "dataplex.projects.locations.lakes.environments.setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}:setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "location": "path", "type": "string" } } }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.environments.delete", "description": "Delete the environment resource. All the child resources must have been deleted before environment deletion can be initiated.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The resource name of the environment: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/environments/{environment_id}`" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}" }, "create": { "description": "Create an environment resource.", "id": "dataplex.projects.locations.lakes.environments.create", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDataplexV1Environment" }, "httpMethod": "POST", "path": "v1/{+parent}/environments", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments", "parameters": { "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." }, "environmentId": { "type": "string", "description": "Required. Environment identifier. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the lake.", "location": "query" }, "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "dataplex.projects.locations.lakes.environments.get", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "type": "string", "description": "Required. The resource name of the environment: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/environments/{environment_id}", "location": "path" } }, "response": { "$ref": "GoogleCloudDataplexV1Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Get environment resource.", "httpMethod": "GET" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments", "description": "Lists environments under the given lake.", "response": { "$ref": "GoogleCloudDataplexV1ListEnvironmentsResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/environments", "id": "dataplex.projects.locations.lakes.environments.list", "httpMethod": "GET", "parameters": { "parent": { "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "required": true, "location": "path", "type": "string" }, "filter": { "description": "Optional. Filter request.", "location": "query", "type": "string" }, "pageToken": { "description": "Optional. Page token received from a previous ListEnvironments call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListEnvironments must match the call that provided the page token.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Optional. Maximum number of environments to return. The service may return fewer than this value. If unspecified, at most 10 environments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. Order by fields for the result." } } }, "testIamPermissions": { "id": "dataplex.projects.locations.lakes.environments.testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "path": "v1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}:testIamPermissions" }, "getIamPolicy": { "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/environments/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.environments.getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/environments/{environmentsId}:getIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." } } }, "content": { "methods": { "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "description": "Delete a content.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$", "type": "string", "description": "Required. The resource name of the content: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}" } }, "id": "dataplex.projects.locations.lakes.content.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}", "httpMethod": "DELETE" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "dataplex.projects.locations.lakes.content.create", "request": { "$ref": "GoogleCloudDataplexV1Content" }, "response": { "$ref": "GoogleCloudDataplexV1Content" }, "description": "Create a content.", "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/content", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "id": "dataplex.projects.locations.lakes.content.setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "description": "Sets the access control policy on the specified contentitem resource. Replaces any existing policy.Caller must have Google IAM dataplex.content.setIamPolicy permission on the resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "description": "List content.", "id": "dataplex.projects.locations.lakes.content.list", "parameters": { "pageToken": { "description": "Optional. Page token received from a previous ListContent call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListContent must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$" }, "filter": { "location": "query", "description": "Optional. Filter request. Filters are case-sensitive. The following formats are supported:labels.key1 = \"value1\" labels:key1 type = \"NOTEBOOK\" type = \"SQL_SCRIPT\"These restrictions can be coinjoined with AND, OR and NOT conjunctions.", "type": "string" }, "pageSize": { "description": "Optional. Maximum number of content to return. The service may return fewer than this value. If unspecified, at most 10 content will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "format": "int32", "type": "integer" } }, "path": "v1/{+parent}/content", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDataplexV1ListContentResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content", "httpMethod": "GET" }, "testIamPermissions": { "description": "Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (a NOT_FOUND error is not returned).A caller is not required to have Google IAM permission to make this request.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$", "required": true } }, "id": "dataplex.projects.locations.lakes.content.testIamPermissions", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}:testIamPermissions" }, "get": { "path": "v1/{+name}", "parameters": { "view": { "description": "Optional. Specify content view to make a partial request.", "location": "query", "enum": [ "CONTENT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "enumDescriptions": [ "Content view not specified. Defaults to BASIC. The API will default to the BASIC view.", "Will not return the data_text field.", "Returns the complete proto." ] }, "name": { "location": "path", "type": "string", "required": true, "description": "Required. The resource name of the content: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$" } }, "description": "Get a content resource.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}", "response": { "$ref": "GoogleCloudDataplexV1Content" }, "parameterOrder": [ "name" ], "id": "dataplex.projects.locations.lakes.content.get" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1/{+resource}:getIamPolicy", "id": "dataplex.projects.locations.lakes.content.getIamPolicy", "httpMethod": "GET", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$", "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" } }, "description": "Gets the access control policy for a contentitem resource. A NOT_FOUND error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it.Caller must have Google IAM dataplex.content.getIamPolicy permission on the resource." }, "patch": { "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/content/{contentId}", "path": "v1/{+name}", "response": { "$ref": "GoogleCloudDataplexV1Content" }, "id": "dataplex.projects.locations.lakes.content.patch", "parameters": { "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query", "type": "boolean" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. Mask of fields to update." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/content/.*$", "location": "path", "required": true, "description": "Output only. The relative resource name of the content, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDataplexV1Content" }, "parameterOrder": [ "name" ], "description": "Update a content. Only supports full resource update." } } }, "contentitems": { "methods": { "create": { "description": "Create a content.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDataplexV1Content" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}", "type": "string" }, "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query", "type": "boolean" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems", "httpMethod": "POST", "response": { "$ref": "GoogleCloudDataplexV1Content" }, "path": "v1/{+parent}/contentitems", "id": "dataplex.projects.locations.lakes.contentitems.create", "parameterOrder": [ "parent" ] }, "testIamPermissions": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.contentitems.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "description": "Returns the caller's permissions on a resource. If the resource does not exist, an empty set of permissions is returned (a NOT_FOUND error is not returned).A caller is not required to have Google IAM permission to make this request.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$", "type": "string" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" } }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. Maximum number of content to return. The service may return fewer than this value. If unspecified, at most 10 content will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "description": "Required. The resource name of the parent lake: projects/{project_id}/locations/{location_id}/lakes/{lake_id}", "type": "string" }, "filter": { "description": "Optional. Filter request. Filters are case-sensitive. The following formats are supported:labels.key1 = \"value1\" labels:key1 type = \"NOTEBOOK\" type = \"SQL_SCRIPT\"These restrictions can be coinjoined with AND, OR and NOT conjunctions.", "location": "query", "type": "string" }, "pageToken": { "description": "Optional. Page token received from a previous ListContent call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListContent must match the call that provided the page token.", "location": "query", "type": "string" } }, "httpMethod": "GET", "description": "List content.", "response": { "$ref": "GoogleCloudDataplexV1ListContentResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.contentitems.list", "path": "v1/{+parent}/contentitems" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}:getIamPolicy", "id": "dataplex.projects.locations.lakes.contentitems.getIamPolicy", "description": "Gets the access control policy for a contentitem resource. A NOT_FOUND error is returned if the resource does not exist. An empty policy is returned if the resource exists but does not have a policy set on it.Caller must have Google IAM dataplex.content.getIamPolicy permission on the resource.", "parameterOrder": [ "resource" ] }, "delete": { "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}", "id": "dataplex.projects.locations.lakes.contentitems.delete", "parameterOrder": [ "name" ], "description": "Delete a content.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$", "description": "Required. The resource name of the content: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "required": true } }, "response": { "$ref": "Empty" }, "httpMethod": "DELETE" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}:setIamPolicy", "id": "dataplex.projects.locations.lakes.contentitems.setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified contentitem resource. Replaces any existing policy.Caller must have Google IAM dataplex.content.setIamPolicy permission on the resource.", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$", "location": "path", "type": "string" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}", "id": "dataplex.projects.locations.lakes.contentitems.get", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The resource name of the content: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$" }, "view": { "type": "string", "enumDescriptions": [ "Content view not specified. Defaults to BASIC. The API will default to the BASIC view.", "Will not return the data_text field.", "Returns the complete proto." ], "enum": [ "CONTENT_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "Optional. Specify content view to make a partial request.", "location": "query" } }, "httpMethod": "GET", "path": "v1/{+name}", "description": "Get a content resource.", "response": { "$ref": "GoogleCloudDataplexV1Content" }, "parameterOrder": [ "name" ] }, "patch": { "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/contentitems/{contentitemsId}", "parameters": { "validateOnly": { "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "type": "boolean" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+/contentitems/.*$", "description": "Output only. The relative resource name of the content, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "type": "string", "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Update a content. Only supports full resource update.", "id": "dataplex.projects.locations.lakes.contentitems.patch", "response": { "$ref": "GoogleCloudDataplexV1Content" }, "request": { "$ref": "GoogleCloudDataplexV1Content" } } } }, "actions": { "methods": { "list": { "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListActionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}/actions", "description": "Lists action resources in a lake.", "path": "v1/{+parent}/actions", "id": "dataplex.projects.locations.lakes.actions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Optional. Maximum number of actions to return. The service may return fewer than this value. If unspecified, at most 10 actions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32" }, "pageToken": { "location": "query", "description": "Optional. Page token received from a previous ListLakeActions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListLakeActions must match the call that provided the page token.", "type": "string" }, "parent": { "type": "string", "required": true, "description": "Required. The resource name of the parent lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path" } } } } } }, "methods": { "getIamPolicy": { "id": "dataplex.projects.locations.lakes.getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}:getIamPolicy", "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query", "type": "integer" } }, "parameterOrder": [ "resource" ], "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "GoogleIamV1Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}:testIamPermissions", "id": "dataplex.projects.locations.lakes.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST" }, "patch": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "location": "path", "description": "Output only. The relative resource name of the lake, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "type": "string", "required": true }, "validateOnly": { "description": "Optional. Only validate the request, but do not perform mutations. The default is false.", "location": "query", "type": "boolean" }, "updateMask": { "type": "string", "location": "query", "description": "Required. Mask of fields to update.", "format": "google-fieldmask" } }, "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDataplexV1Lake" }, "path": "v1/{+name}", "description": "Updates a lake resource.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.patch", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}" }, "get": { "description": "Retrieves a lake resource.", "httpMethod": "GET", "id": "dataplex.projects.locations.lakes.get", "parameters": { "name": { "description": "Required. The resource name of the lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}", "response": { "$ref": "GoogleCloudDataplexV1Lake" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}", "description": "Deletes a lake resource. All zones within the lake must be deleted before the lake can be deleted.", "parameters": { "name": { "required": true, "description": "Required. The resource name of the lake: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dataplex.projects.locations.lakes.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "list": { "id": "dataplex.projects.locations.lakes.list", "httpMethod": "GET", "parameters": { "pageToken": { "description": "Optional. Page token received from a previous ListLakes call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListLakes must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "description": "Required. The resource name of the lake location, of the form: projects/{project_number}/locations/{location_id} where location_id refers to a GCP region.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true }, "orderBy": { "description": "Optional. Order by fields for the result.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. Maximum number of Lakes to return. The service may return fewer than this value. If unspecified, at most 10 lakes will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "filter": { "location": "query", "description": "Optional. Filter request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/lakes", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDataplexV1ListLakesResponse" }, "description": "Lists lake resources in a project and location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes/{lakesId}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dataplex.projects.locations.lakes.setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/lakes/[^/]+$", "required": true } }, "httpMethod": "POST" }, "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The resource name of the lake location, of the form: projects/{project_number}/locations/{location_id} where location_id refers to a GCP region.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "lakeId": { "type": "string", "description": "Required. Lake identifier. This ID will be used to generate names such as database and dataset names when publishing metadata to Hive Metastore and BigQuery. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the customer project / location.", "location": "query" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. Only validate the request, but do not perform mutations. The default is false." } }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/lakes", "httpMethod": "POST", "description": "Creates a lake resource.", "request": { "$ref": "GoogleCloudDataplexV1Lake" }, "id": "dataplex.projects.locations.lakes.create", "path": "v1/{+parent}/lakes" } } } } } } } }, "documentationLink": "https://cloud.google.com/dataplex/docs", "baseUrl": "https://dataplex.googleapis.com/", "servicePath": "", "mtlsRootUrl": "https://dataplex.mtls.googleapis.com/", "name": "dataplex", "rootUrl": "https://dataplex.googleapis.com/", "basePath": "", "version": "v1", "schemas": { "GoogleCloudDataplexV1Entity": { "description": "Represents tables and fileset metadata contained within a zone.", "id": "GoogleCloudDataplexV1Entity", "type": "object", "properties": { "createTime": { "description": "Output only. The time when the entity was created.", "type": "string", "format": "google-datetime", "readOnly": true }, "system": { "description": "Required. Immutable. Identifies the storage system of the entity data.", "enumDescriptions": [ "Storage system unspecified.", "The entity data is contained within a Cloud Storage bucket.", "The entity data is contained within a BigQuery dataset." ], "type": "string", "enum": [ "STORAGE_SYSTEM_UNSPECIFIED", "CLOUD_STORAGE", "BIGQUERY" ] }, "description": { "description": "Optional. User friendly longer description text. Must be shorter than or equal to 1024 characters.", "type": "string" }, "compatibility": { "$ref": "GoogleCloudDataplexV1EntityCompatibilityStatus", "description": "Output only. Metadata stores that the entity is compatible with.", "readOnly": true }, "dataPath": { "type": "string", "description": "Required. Immutable. The storage path of the entity data. For Cloud Storage data, this is the fully-qualified path to the entity, such as gs://bucket/path/to/data. For BigQuery data, this is the name of the table resource, such as projects/project_id/datasets/dataset_id/tables/table_id." }, "schema": { "description": "Required. The description of the data structure and layout. The schema is not included in list responses. It is only included in SCHEMA and FULL entity views of a GetEntity response.", "$ref": "GoogleCloudDataplexV1Schema" }, "name": { "readOnly": true, "description": "Output only. The resource name of the entity, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/entities/{id}.", "type": "string" }, "etag": { "description": "Optional. The etag associated with the entity, which can be retrieved with a GetEntity request. Required for update and delete requests.", "type": "string" }, "catalogEntry": { "readOnly": true, "type": "string", "description": "Output only. The name of the associated Data Catalog entry." }, "type": { "type": "string", "enumDescriptions": [ "Type unspecified.", "Structured and semi-structured data.", "Unstructured data." ], "enum": [ "TYPE_UNSPECIFIED", "TABLE", "FILESET" ], "description": "Required. Immutable. The type of entity." }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time when the entity was last updated.", "type": "string" }, "asset": { "description": "Required. Immutable. The ID of the asset associated with the storage location containing the entity data. The entity must be with in the same zone with the asset.", "type": "string" }, "displayName": { "description": "Optional. Display name must be shorter than or equal to 256 characters.", "type": "string" }, "id": { "description": "Required. A user-provided entity ID. It is mutable, and will be used as the published table name. Specifying a new ID in an update entity request will override the existing value. The ID must contain only letters (a-z, A-Z), numbers (0-9), and underscores. Must begin with a letter and consist of 256 or fewer characters.", "type": "string" }, "format": { "description": "Required. Identifies the storage format of the entity data. It does not apply to entities with data stored in BigQuery.", "$ref": "GoogleCloudDataplexV1StorageFormat" }, "dataPathPattern": { "type": "string", "description": "Optional. The set of items within the data path constituting the data in the entity, represented as a glob path. Example: gs://bucket/path/to/data/**/*.csv." } } }, "GoogleCloudDataplexV1Content": { "type": "object", "properties": { "sqlScript": { "description": "Sql Script related configurations.", "$ref": "GoogleCloudDataplexV1ContentSqlScript" }, "path": { "type": "string", "description": "Required. The path for the Content file, represented as directory structure. Unique within a lake. Limited to alphanumerics, hyphens, underscores, dots and slashes." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. User defined labels for the content.", "type": "object" }, "name": { "description": "Output only. The relative resource name of the content, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/content/{content_id}", "readOnly": true, "type": "string" }, "description": { "description": "Optional. Description of the content.", "type": "string" }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Content creation time." }, "uid": { "readOnly": true, "description": "Output only. System generated globally unique ID for the content. This ID will be different if the content is deleted and re-created with the same name.", "type": "string" }, "updateTime": { "type": "string", "description": "Output only. The time when the content was last updated.", "format": "google-datetime", "readOnly": true }, "notebook": { "$ref": "GoogleCloudDataplexV1ContentNotebook", "description": "Notebook related configurations." }, "dataText": { "type": "string", "description": "Required. Content data in string format." } }, "description": "Content represents a user-visible notebook or a sql script", "id": "GoogleCloudDataplexV1Content" }, "GoogleCloudDataplexV1ListContentResponse": { "description": "List content response.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "content": { "items": { "$ref": "GoogleCloudDataplexV1Content" }, "type": "array", "description": "Content under the given parent lake." } }, "id": "GoogleCloudDataplexV1ListContentResponse" }, "GoogleTypeExpr": { "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "id": "GoogleTypeExpr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec.Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object" }, "GoogleCloudDataplexV1Zone": { "type": "object", "id": "GoogleCloudDataplexV1Zone", "description": "A zone represents a logical group of related assets within a lake. A zone can be used to map to organizational structure or represent stages of data readiness from raw to curated. It provides managing behavior that is shared or inherited by all contained assets.", "properties": { "state": { "description": "Output only. Current state of the zone.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "readOnly": true, "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ], "type": "string" }, "discoverySpec": { "$ref": "GoogleCloudDataplexV1ZoneDiscoverySpec", "description": "Optional. Specification of the discovery feature applied to data in this zone." }, "resourceSpec": { "$ref": "GoogleCloudDataplexV1ZoneResourceSpec", "description": "Required. Specification of the resources that are referenced by the assets within this zone." }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time when the zone was last updated." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. User defined labels for the zone.", "type": "object" }, "description": { "description": "Optional. Description of the zone.", "type": "string" }, "name": { "description": "Output only. The relative resource name of the zone, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}.", "type": "string", "readOnly": true }, "type": { "enum": [ "TYPE_UNSPECIFIED", "RAW", "CURATED" ], "type": "string", "description": "Required. Immutable. The type of the zone.", "enumDescriptions": [ "Zone type not specified.", "A zone that contains data that needs further processing before it is considered generally ready for consumption and analytics workloads.", "A zone that contains data that is considered to be ready for broader consumption and analytics workloads. Curated structured data stored in Cloud Storage must conform to certain file formats (parquet, avro and orc) and organized in a hive-compatible directory layout." ] }, "assetStatus": { "description": "Output only. Aggregated status of the underlying assets of the zone.", "$ref": "GoogleCloudDataplexV1AssetStatus", "readOnly": true }, "createTime": { "description": "Output only. The time when the zone was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "displayName": { "type": "string", "description": "Optional. User friendly display name." }, "uid": { "description": "Output only. System generated globally unique ID for the zone. This ID will be different if the zone is deleted and re-created with the same name.", "type": "string", "readOnly": true } } }, "GoogleCloudDataplexV1ActionMissingData": { "properties": {}, "id": "GoogleCloudDataplexV1ActionMissingData", "description": "Action details for absence of data detected by discovery.", "type": "object" }, "GoogleCloudDataplexV1SchemaSchemaField": { "description": "Represents a column field within a table schema.", "properties": { "type": { "description": "Required. The type of field.", "type": "string", "enumDescriptions": [ "SchemaType unspecified.", "Boolean field.", "Single byte numeric field.", "16-bit numeric field.", "32-bit numeric field.", "64-bit numeric field.", "Floating point numeric field.", "Double precision numeric field.", "Real value numeric field.", "Sequence of characters field.", "Sequence of bytes field.", "Date and time field.", "Date field.", "Time field.", "Structured field. Nested fields that define the structure of the map. If all nested fields are nullable, this field represents a union.", "Null field that does not have values." ], "enum": [ "TYPE_UNSPECIFIED", "BOOLEAN", "BYTE", "INT16", "INT32", "INT64", "FLOAT", "DOUBLE", "DECIMAL", "STRING", "BINARY", "TIMESTAMP", "DATE", "TIME", "RECORD", "NULL" ] }, "description": { "description": "Optional. User friendly field description. Must be less than or equal to 1024 characters.", "type": "string" }, "mode": { "description": "Required. Additional field semantics.", "type": "string", "enum": [ "MODE_UNSPECIFIED", "REQUIRED", "NULLABLE", "REPEATED" ], "enumDescriptions": [ "Mode unspecified.", "The field has required semantics.", "The field has optional semantics, and may be null.", "The field has repeated (0 or more) semantics, and is a list of values." ] }, "fields": { "description": "Optional. Any nested field for complex types.", "type": "array", "items": { "$ref": "GoogleCloudDataplexV1SchemaSchemaField" } }, "name": { "type": "string", "description": "Required. The name of the field. Must contain only letters, numbers and underscores, with a maximum length of 767 characters, and must begin with a letter or underscore." } }, "id": "GoogleCloudDataplexV1SchemaSchemaField", "type": "object" }, "GoogleCloudDataplexV1ContentNotebook": { "id": "GoogleCloudDataplexV1ContentNotebook", "description": "Configuration for Notebook content.", "type": "object", "properties": { "kernelType": { "enum": [ "KERNEL_TYPE_UNSPECIFIED", "PYTHON3" ], "type": "string", "enumDescriptions": [ "Kernel Type unspecified.", "Python 3 Kernel." ], "description": "Required. Kernel Type of the notebook." } } }, "GoogleCloudDataplexV1AssetDiscoverySpec": { "type": "object", "id": "GoogleCloudDataplexV1AssetDiscoverySpec", "properties": { "enabled": { "description": "Optional. Whether discovery is enabled.", "type": "boolean" }, "schedule": { "description": "Optional. Cron schedule (https://en.wikipedia.org/wiki/Cron) for running discovery periodically. Successive discovery runs must be scheduled at least 60 minutes apart. The default value is to run discovery every 60 minutes. To explicitly set a timezone to the cron tab, apply a prefix in the cron tab: \"CRON_TZ=${IANA_TIME_ZONE}\" or TZ=${IANA_TIME_ZONE}\". The ${IANA_TIME_ZONE} may only be a valid string from IANA time zone database. For example, \"CRON_TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\", or \"TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\".", "type": "string" }, "csvOptions": { "description": "Optional. Configuration for CSV data.", "$ref": "GoogleCloudDataplexV1AssetDiscoverySpecCsvOptions" }, "jsonOptions": { "$ref": "GoogleCloudDataplexV1AssetDiscoverySpecJsonOptions", "description": "Optional. Configuration for Json data." }, "includePatterns": { "description": "Optional. The list of patterns to apply for selecting data to include during discovery if only a subset of the data should considered. For Cloud Storage bucket assets, these are interpreted as glob patterns used to match object names. For BigQuery dataset assets, these are interpreted as patterns to match table names.", "items": { "type": "string" }, "type": "array" }, "excludePatterns": { "description": "Optional. The list of patterns to apply for selecting data to exclude during discovery. For Cloud Storage bucket assets, these are interpreted as glob patterns used to match object names. For BigQuery dataset assets, these are interpreted as patterns to match table names.", "type": "array", "items": { "type": "string" } } }, "description": "Settings to manage the metadata discovery and publishing for an asset." }, "GoogleIamV1Binding": { "type": "object", "id": "GoogleIamV1Binding", "properties": { "condition": { "description": "The condition that is associated with this binding.If the condition evaluates to true, then this binding applies to the current request.If the condition evaluates to false, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "GoogleTypeExpr" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding. deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding. deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding. domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com." }, "role": { "type": "string", "description": "Role that is assigned to the list of members, or principals. For example, roles/viewer, roles/editor, or roles/owner." } }, "description": "Associates members, or principals, with a role." }, "GoogleIamV1TestIamPermissionsResponse": { "description": "Response message for TestIamPermissions method.", "type": "object", "properties": { "permissions": { "description": "A subset of TestPermissionsRequest.permissions that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleIamV1TestIamPermissionsResponse" }, "GoogleCloudDataplexV1TaskInfrastructureSpecContainerImageRuntime": { "id": "GoogleCloudDataplexV1TaskInfrastructureSpecContainerImageRuntime", "description": "Container Image Runtime Configuration used with Batch execution.", "type": "object", "properties": { "properties": { "description": "Optional. Override to common configuration of open source components installed on the Dataproc cluster. The properties to set on daemon config files. Property keys are specified in prefix:property format, for example core:hadoop.tmp.dir. For more information, see Cluster properties (https://cloud.google.com/dataproc/docs/concepts/cluster-properties).", "type": "object", "additionalProperties": { "type": "string" } }, "javaJars": { "items": { "type": "string" }, "description": "Optional. A list of Java JARS to add to the classpath. Valid input includes Cloud Storage URIs to Jar binaries. For example, gs://bucket-name/my/path/to/file.jar", "type": "array" }, "pythonPackages": { "description": "Optional. A list of python packages to be installed. Valid formats include Cloud Storage URI to a PIP installable library. For example, gs://bucket-name/my/path/to/lib.tar.gz", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudDataplexV1ActionInvalidDataPartition": { "description": "Action details for invalid or unsupported partitions detected by discovery.", "id": "GoogleCloudDataplexV1ActionInvalidDataPartition", "properties": { "expectedStructure": { "enumDescriptions": [ "PartitionStructure unspecified.", "Consistent hive-style partition definition (both raw and curated zone).", "Hive style partition definition (curated zone only)." ], "description": "The issue type of InvalidDataPartition.", "type": "string", "enum": [ "PARTITION_STRUCTURE_UNSPECIFIED", "CONSISTENT_KEYS", "HIVE_STYLE_KEYS" ] } }, "type": "object" }, "GoogleCloudDataplexV1ListActionsResponse": { "type": "object", "description": "List actions response.", "id": "GoogleCloudDataplexV1ListActionsResponse", "properties": { "actions": { "items": { "$ref": "GoogleCloudDataplexV1Action" }, "description": "Actions under the given parent lake/zone/asset.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "GoogleCloudDataplexV1DiscoveryEventConfigDetails": { "id": "GoogleCloudDataplexV1DiscoveryEventConfigDetails", "description": "Details about configuration events.", "type": "object", "properties": { "parameters": { "type": "object", "additionalProperties": { "type": "string" }, "description": "A list of discovery configuration parameters in effect. The keys are the field paths within DiscoverySpec. Eg. includePatterns, excludePatterns, csvOptions.disableTypeInference, etc." } } }, "GoogleCloudDataplexV1LakeMetastore": { "id": "GoogleCloudDataplexV1LakeMetastore", "properties": { "service": { "description": "Optional. A relative reference to the Dataproc Metastore (https://cloud.google.com/dataproc-metastore/docs) service associated with the lake: projects/{project_id}/locations/{location_id}/services/{service_id}", "type": "string" } }, "description": "Settings to manage association of Dataproc Metastore with a lake.", "type": "object" }, "GoogleCloudDataplexV1ActionFailedSecurityPolicyApply": { "type": "object", "id": "GoogleCloudDataplexV1ActionFailedSecurityPolicyApply", "description": "Failed to apply security policy to the managed resource(s) under a lake, zone or an asset. For a lake or zone resource, one or more underlying assets has a failure applying security policy to the associated managed resource.", "properties": { "asset": { "type": "string", "description": "Resource name of one of the assets with failing security policy application. Populated for a lake or zone resource only." } } }, "GoogleCloudDataplexV1ActionUnauthorizedResource": { "type": "object", "properties": {}, "description": "Action details for unauthorized resource issues raised to indicate that the service account associated with the lake instance is not authorized to access or manage the resource associated with an asset.", "id": "GoogleCloudDataplexV1ActionUnauthorizedResource" }, "GoogleCloudDataplexV1EnvironmentEndpoints": { "type": "object", "id": "GoogleCloudDataplexV1EnvironmentEndpoints", "properties": { "sql": { "type": "string", "readOnly": true, "description": "Output only. URI to serve SQL APIs" }, "notebooks": { "type": "string", "description": "Output only. URI to serve notebook APIs", "readOnly": true } } }, "GoogleIamV1Policy": { "type": "object", "properties": { "bindings": { "description": "Associates a list of members, or principals, with a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one principal.The bindings in a Policy can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the bindings grant 50 different roles to user:alice@example.com, and not to any other principal, then you can add another 1,450 principals to the bindings in the Policy.", "type": "array", "items": { "$ref": "GoogleIamV1Binding" } }, "auditConfigs": { "type": "array", "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "etag": { "description": "etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy.Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.", "format": "byte", "type": "string" }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy.Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected.Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations: Getting a policy that includes a conditional role binding Adding a conditional role binding to a policy Changing a conditional role binding in a policy Removing any role binding, with or without a condition, from a policy that includes conditionsImportant: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources.A Policy is a collection of bindings. A binding binds one or more members, or principals, to a single role. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role.For some types of Google Cloud resources, a binding can also specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).JSON example: { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } YAML example: bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the IAM documentation (https://cloud.google.com/iam/docs/).", "id": "GoogleIamV1Policy" }, "GoogleCloudDataplexV1ListAssetsResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "assets": { "items": { "$ref": "GoogleCloudDataplexV1Asset" }, "description": "Asset under the given parent zone.", "type": "array" } }, "id": "GoogleCloudDataplexV1ListAssetsResponse", "description": "List assets response.", "type": "object" }, "GoogleCloudDataplexV1SessionEvent": { "properties": { "sessionId": { "type": "string", "description": "Unique identifier for the session." }, "message": { "type": "string", "description": "The log message." }, "userId": { "description": "The information about the user that created the session.", "type": "string" }, "type": { "description": "The type of the event.", "type": "string", "enumDescriptions": [ "An unspecified event type.", "Event for start of a session.", "Event for stop of a session.", "Query events in the session." ], "enum": [ "EVENT_TYPE_UNSPECIFIED", "START", "STOP", "QUERY" ] }, "query": { "description": "The execution details of the query.", "$ref": "GoogleCloudDataplexV1SessionEventQueryDetail" } }, "type": "object", "id": "GoogleCloudDataplexV1SessionEvent", "description": "These messages contain information about sessions within an environment. The monitored resource is 'Environment'." }, "GoogleCloudDataplexV1ZoneDiscoverySpec": { "properties": { "csvOptions": { "description": "Optional. Configuration for CSV data.", "$ref": "GoogleCloudDataplexV1ZoneDiscoverySpecCsvOptions" }, "jsonOptions": { "$ref": "GoogleCloudDataplexV1ZoneDiscoverySpecJsonOptions", "description": "Optional. Configuration for Json data." }, "enabled": { "type": "boolean", "description": "Required. Whether discovery is enabled." }, "schedule": { "type": "string", "description": "Optional. Cron schedule (https://en.wikipedia.org/wiki/Cron) for running discovery periodically. Successive discovery runs must be scheduled at least 60 minutes apart. The default value is to run discovery every 60 minutes. To explicitly set a timezone to the cron tab, apply a prefix in the cron tab: \"CRON_TZ=${IANA_TIME_ZONE}\" or TZ=${IANA_TIME_ZONE}\". The ${IANA_TIME_ZONE} may only be a valid string from IANA time zone database. For example, \"CRON_TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\", or \"TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\"." }, "excludePatterns": { "items": { "type": "string" }, "description": "Optional. The list of patterns to apply for selecting data to exclude during discovery. For Cloud Storage bucket assets, these are interpreted as glob patterns used to match object names. For BigQuery dataset assets, these are interpreted as patterns to match table names.", "type": "array" }, "includePatterns": { "type": "array", "description": "Optional. The list of patterns to apply for selecting data to include during discovery if only a subset of the data should considered. For Cloud Storage bucket assets, these are interpreted as glob patterns used to match object names. For BigQuery dataset assets, these are interpreted as patterns to match table names.", "items": { "type": "string" } } }, "id": "GoogleCloudDataplexV1ZoneDiscoverySpec", "description": "Settings to manage the metadata discovery and publishing in a zone.", "type": "object" }, "GoogleCloudDataplexV1ListTasksResponse": { "properties": { "tasks": { "description": "Tasks under the given parent lake.", "items": { "$ref": "GoogleCloudDataplexV1Task" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "unreachableLocations": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDataplexV1ListTasksResponse", "description": "List tasks response.", "type": "object" }, "GoogleCloudDataplexV1TaskTriggerSpec": { "type": "object", "properties": { "type": { "type": "string", "description": "Required. Immutable. Trigger type of the user-specified Task.", "enumDescriptions": [ "Unspecified trigger type.", "The task runs one-time shortly after Task Creation.", "The task is scheduled to run periodically." ], "enum": [ "TYPE_UNSPECIFIED", "ON_DEMAND", "RECURRING" ] }, "schedule": { "description": "Optional. Cron schedule (https://en.wikipedia.org/wiki/Cron) for running tasks periodically. To explicitly set a timezone to the cron tab, apply a prefix in the cron tab: \"CRON_TZ=${IANA_TIME_ZONE}\" or \"TZ=${IANA_TIME_ZONE}\". The ${IANA_TIME_ZONE} may only be a valid string from IANA time zone database. For example, \"CRON_TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\", or \"TZ=America/New_York 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh *\". This field is required for RECURRING tasks.", "type": "string" }, "disabled": { "type": "boolean", "description": "Optional. Prevent the task from executing. This does not cancel already running tasks. It is intended to temporarily disable RECURRING tasks." }, "maxRetries": { "format": "int32", "description": "Optional. Number of retry attempts before aborting. Set to zero to never attempt to retry a failed task.", "type": "integer" }, "startTime": { "description": "Optional. The first run of the task will be after this time. If not specified, the task will run shortly after being submitted if ON_DEMAND and based on the schedule if RECURRING.", "format": "google-datetime", "type": "string" } }, "description": "Task scheduling and trigger settings.", "id": "GoogleCloudDataplexV1TaskTriggerSpec" }, "GoogleCloudDataplexV1EntityCompatibilityStatusCompatibility": { "type": "object", "properties": { "compatible": { "readOnly": true, "description": "Output only. Whether the entity is compatible and can be represented in the metadata store.", "type": "boolean" }, "reason": { "type": "string", "description": "Output only. Provides additional detail if the entity is incompatible with the metadata store.", "readOnly": true } }, "id": "GoogleCloudDataplexV1EntityCompatibilityStatusCompatibility", "description": "Provides compatibility information for a specific metadata store." }, "GoogleCloudDataplexV1StorageFormatJsonOptions": { "description": "Describes JSON data format.", "id": "GoogleCloudDataplexV1StorageFormatJsonOptions", "properties": { "encoding": { "type": "string", "description": "Optional. The character encoding of the data. Accepts \"US-ASCII\", \"UTF-8\" and \"ISO-8859-1\". Defaults to UTF-8 if not specified." } }, "type": "object" }, "GoogleCloudDataplexV1EntityCompatibilityStatus": { "id": "GoogleCloudDataplexV1EntityCompatibilityStatus", "type": "object", "description": "Provides compatibility information for various metadata stores.", "properties": { "hiveMetastore": { "description": "Output only. Whether this entity is compatible with Hive Metastore.", "$ref": "GoogleCloudDataplexV1EntityCompatibilityStatusCompatibility", "readOnly": true }, "bigquery": { "description": "Output only. Whether this entity is compatible with BigQuery.", "$ref": "GoogleCloudDataplexV1EntityCompatibilityStatusCompatibility", "readOnly": true } } }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object" }, "GoogleCloudDataplexV1AssetDiscoveryStatusStats": { "description": "The aggregated data statistics for the asset reported by discovery.", "type": "object", "id": "GoogleCloudDataplexV1AssetDiscoveryStatusStats", "properties": { "tables": { "type": "string", "format": "int64", "description": "The count of table entities within the referenced resource." }, "filesets": { "type": "string", "description": "The count of fileset entities within the referenced resource.", "format": "int64" }, "dataSize": { "type": "string", "description": "The number of stored data bytes within the referenced resource.", "format": "int64" }, "dataItems": { "type": "string", "description": "The count of data items within the referenced resource.", "format": "int64" } } }, "GoogleRpcStatus": { "description": "The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide (https://cloud.google.com/apis/design/errors).", "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object", "id": "GoogleRpcStatus" }, "GoogleCloudDataplexV1StorageFormatCsvOptions": { "type": "object", "id": "GoogleCloudDataplexV1StorageFormatCsvOptions", "description": "Describes CSV and similar semi-structured data formats.", "properties": { "quote": { "description": "Optional. The character used to quote column values. Accepts '\"' (double quotation mark) or ''' (single quotation mark). Defaults to '\"' (double quotation mark) if unspecified.", "type": "string" }, "encoding": { "type": "string", "description": "Optional. The character encoding of the data. Accepts \"US-ASCII\", \"UTF-8\", and \"ISO-8859-1\". Defaults to UTF-8 if unspecified." }, "delimiter": { "description": "Optional. The delimiter used to separate values. Defaults to ','.", "type": "string" }, "headerRows": { "type": "integer", "format": "int32", "description": "Optional. The number of rows to interpret as header rows that should be skipped when reading data rows. Defaults to 0." } } }, "GoogleCloudDataplexV1ZoneDiscoverySpecJsonOptions": { "id": "GoogleCloudDataplexV1ZoneDiscoverySpecJsonOptions", "description": "Describe JSON data format.", "properties": { "disableTypeInference": { "type": "boolean", "description": "Optional. Whether to disable the inference of data type for Json data. If true, all columns will be registered as their primitive types (strings, number or boolean)." }, "encoding": { "type": "string", "description": "Optional. The character encoding of the data. The default is UTF-8." } }, "type": "object" }, "GoogleCloudDataplexV1ActionInvalidDataOrganization": { "type": "object", "description": "Action details for invalid data arrangement.", "properties": {}, "id": "GoogleCloudDataplexV1ActionInvalidDataOrganization" }, "GoogleCloudDataplexV1ListZonesResponse": { "id": "GoogleCloudDataplexV1ListZonesResponse", "properties": { "zones": { "description": "Zones under the given parent lake.", "items": { "$ref": "GoogleCloudDataplexV1Zone" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "description": "List zones response.", "type": "object" }, "GoogleCloudDataplexV1EnvironmentInfrastructureSpecOsImageRuntime": { "id": "GoogleCloudDataplexV1EnvironmentInfrastructureSpecOsImageRuntime", "type": "object", "properties": { "imageVersion": { "type": "string", "description": "Required. Dataplex Image version." }, "pythonPackages": { "description": "Optional. A list of python packages to be installed. Valid formats include Cloud Storage URI to a PIP installable library. For example, gs://bucket-name/my/path/to/lib.tar.gz", "items": { "type": "string" }, "type": "array" }, "javaLibraries": { "description": "Optional. List of Java jars to be included in the runtime environment. Valid input includes Cloud Storage URIs to Jar binaries. For example, gs://bucket-name/my/path/to/file.jar", "items": { "type": "string" }, "type": "array" }, "properties": { "additionalProperties": { "type": "string" }, "description": "Optional. Spark properties to provide configuration for use in sessions created for this environment. The properties to set on daemon config files. Property keys are specified in prefix:property format. The prefix must be \"spark\".", "type": "object" } }, "description": "Software Runtime Configuration to run Analyze." }, "GoogleCloudDataplexV1AssetSecurityStatus": { "type": "object", "description": "Security policy status of the asset. Data security policy, i.e., readers, writers & owners, should be specified in the lake/zone/asset IAM policy.", "properties": { "updateTime": { "description": "Last update time of the status.", "format": "google-datetime", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "State unspecified.", "Security policy has been successfully applied to the attached resource.", "Security policy is in the process of being applied to the attached resource.", "Security policy could not be applied to the attached resource due to errors." ], "description": "The current state of the security policy applied to the attached resource.", "enum": [ "STATE_UNSPECIFIED", "READY", "APPLYING", "ERROR" ] }, "message": { "description": "Additional information about the current state.", "type": "string" } }, "id": "GoogleCloudDataplexV1AssetSecurityStatus" }, "GoogleCloudDataplexV1LakeMetastoreStatus": { "description": "Status of Lake and Dataproc Metastore service instance association.", "properties": { "updateTime": { "description": "Last update time of the metastore status of the lake.", "type": "string", "format": "google-datetime" }, "message": { "type": "string", "description": "Additional information about the current status." }, "state": { "enumDescriptions": [ "Unspecified.", "A Metastore service instance is not associated with the lake.", "A Metastore service instance is attached to the lake.", "Attach/detach is in progress.", "Attach/detach could not be done due to errors." ], "enum": [ "STATE_UNSPECIFIED", "NONE", "READY", "UPDATING", "ERROR" ], "type": "string", "description": "Current state of association." }, "endpoint": { "description": "The URI of the endpoint used to access the Metastore service.", "type": "string" } }, "type": "object", "id": "GoogleCloudDataplexV1LakeMetastoreStatus" }, "GoogleCloudDataplexV1Action": { "description": "Action represents an issue requiring administrator action for resolution.", "type": "object", "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The relative resource name of the action, of the form: projects/{project}/locations/{location}/lakes/{lake}/actions/{action} projects/{project}/locations/{location}/lakes/{lake}/zones/{zone}/actions/{action} projects/{project}/locations/{location}/lakes/{lake}/zones/{zone}/assets/{asset}/actions/{action}." }, "invalidDataPartition": { "description": "Details for issues related to invalid or unsupported data partition structure.", "$ref": "GoogleCloudDataplexV1ActionInvalidDataPartition" }, "detectTime": { "type": "string", "description": "The time that the issue was detected.", "format": "google-datetime" }, "category": { "enumDescriptions": [ "Unspecified category.", "Resource management related issues.", "Security policy related issues.", "Data and discovery related issues." ], "description": "The category of issue associated with the action.", "type": "string", "enum": [ "CATEGORY_UNSPECIFIED", "RESOURCE_MANAGEMENT", "SECURITY_POLICY", "DATA_DISCOVERY" ] }, "missingData": { "$ref": "GoogleCloudDataplexV1ActionMissingData", "description": "Details for issues related to absence of data within managed resources." }, "incompatibleDataSchema": { "description": "Details for issues related to incompatible schemas detected within data.", "$ref": "GoogleCloudDataplexV1ActionIncompatibleDataSchema" }, "lake": { "description": "Output only. The relative resource name of the lake, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}.", "type": "string", "readOnly": true }, "missingResource": { "description": "Details for issues related to absence of a managed resource.", "$ref": "GoogleCloudDataplexV1ActionMissingResource" }, "dataLocations": { "items": { "type": "string" }, "description": "The list of data locations associated with this action. Cloud Storage locations are represented as URI paths(E.g. gs://bucket/table1/year=2020/month=Jan/). BigQuery locations refer to resource names(E.g. bigquery.googleapis.com/projects/project-id/datasets/dataset-id).", "type": "array" }, "zone": { "readOnly": true, "description": "Output only. The relative resource name of the zone, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}.", "type": "string" }, "unauthorizedResource": { "description": "Details for issues related to lack of permissions to access data resources.", "$ref": "GoogleCloudDataplexV1ActionUnauthorizedResource" }, "failedSecurityPolicyApply": { "description": "Details for issues related to applying security policy.", "$ref": "GoogleCloudDataplexV1ActionFailedSecurityPolicyApply" }, "invalidDataFormat": { "description": "Details for issues related to invalid or unsupported data formats.", "$ref": "GoogleCloudDataplexV1ActionInvalidDataFormat" }, "invalidDataOrganization": { "$ref": "GoogleCloudDataplexV1ActionInvalidDataOrganization", "description": "Details for issues related to invalid data arrangement." }, "asset": { "description": "Output only. The relative resource name of the asset, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/assets/{asset_id}.", "type": "string", "readOnly": true }, "issue": { "type": "string", "description": "Detailed description of the issue requiring action." } }, "id": "GoogleCloudDataplexV1Action" }, "GoogleCloudDataplexV1JobEvent": { "description": "The payload associated with Job logs that contains events describing jobs that have run within a Lake.", "id": "GoogleCloudDataplexV1JobEvent", "properties": { "service": { "enum": [ "SERVICE_UNSPECIFIED", "DATAPROC" ], "enumDescriptions": [ "Unspecified service.", "Cloud Dataproc." ], "type": "string", "description": "The service used to execute the job." }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time when the job ended running." }, "startTime": { "type": "string", "description": "The time when the job started running.", "format": "google-datetime" }, "serviceJob": { "description": "The reference to the job within the service.", "type": "string" }, "retries": { "format": "int32", "description": "The number of retries.", "type": "integer" }, "jobId": { "type": "string", "description": "The unique id identifying the job." }, "state": { "enumDescriptions": [ "Unspecified job state.", "Job successfully completed.", "Job was unsuccessful.", "Job was cancelled by the user.", "Job was cancelled or aborted via the service executing the job." ], "type": "string", "description": "The job state on completion.", "enum": [ "STATE_UNSPECIFIED", "SUCCEEDED", "FAILED", "CANCELLED", "ABORTED" ] }, "message": { "type": "string", "description": "The log message." }, "type": { "description": "The type of the job.", "type": "string", "enumDescriptions": [ "Unspecified job type.", "Spark jobs.", "Notebook jobs." ], "enum": [ "TYPE_UNSPECIFIED", "SPARK", "NOTEBOOK" ] } }, "type": "object" }, "GoogleIamV1SetIamPolicyRequest": { "description": "Request message for SetIamPolicy method.", "id": "GoogleIamV1SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "GoogleIamV1Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used:paths: \"bindings, etag\"", "type": "string", "format": "google-fieldmask" } }, "type": "object" }, "GoogleCloudDataplexV1Lake": { "properties": { "uid": { "type": "string", "description": "Output only. System generated globally unique ID for the lake. This ID will be different if the lake is deleted and re-created with the same name.", "readOnly": true }, "displayName": { "description": "Optional. User friendly display name.", "type": "string" }, "metastoreStatus": { "$ref": "GoogleCloudDataplexV1LakeMetastoreStatus", "description": "Output only. Metastore status of the lake.", "readOnly": true }, "serviceAccount": { "readOnly": true, "type": "string", "description": "Output only. Service account associated with this lake. This service account must be authorized to access or operate on resources managed by the lake." }, "name": { "type": "string", "readOnly": true, "description": "Output only. The relative resource name of the lake, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}." }, "updateTime": { "type": "string", "description": "Output only. The time when the lake was last updated.", "readOnly": true, "format": "google-datetime" }, "createTime": { "description": "Output only. The time when the lake was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "description": { "description": "Optional. Description of the lake.", "type": "string" }, "metastore": { "$ref": "GoogleCloudDataplexV1LakeMetastore", "description": "Optional. Settings to manage lake and Dataproc Metastore service instance association." }, "assetStatus": { "readOnly": true, "description": "Output only. Aggregated status of the underlying assets of the lake.", "$ref": "GoogleCloudDataplexV1AssetStatus" }, "state": { "description": "Output only. Current state of the lake.", "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ], "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "readOnly": true, "type": "string" }, "labels": { "description": "Optional. User-defined labels for the lake.", "additionalProperties": { "type": "string" }, "type": "object" } }, "description": "A lake is a centralized repository for managing enterprise data across the organization distributed across many cloud projects, and stored in a variety of storage services such as Google Cloud Storage and BigQuery. The resources attached to a lake are referred to as managed resources. Data within these managed resources can be structured or unstructured. A lake provides data admins with tools to organize, secure and manage their data at scale, and provides data scientists and data engineers an integrated experience to easily search, discover, analyze and transform data and associated metadata.", "id": "GoogleCloudDataplexV1Lake", "type": "object" }, "GoogleCloudDataplexV1EnvironmentInfrastructureSpecComputeResources": { "type": "object", "description": "Compute resources associated with the analyze interactive workloads.", "id": "GoogleCloudDataplexV1EnvironmentInfrastructureSpecComputeResources", "properties": { "nodeCount": { "description": "Optional. Total number of nodes in the sessions created for this environment.", "format": "int32", "type": "integer" }, "maxNodeCount": { "description": "Optional. Max configurable nodes. If max_node_count \u003e node_count, then auto-scaling is enabled.", "type": "integer", "format": "int32" }, "diskSizeGb": { "format": "int32", "description": "Optional. Size in GB of the disk. Default is 100 GB.", "type": "integer" } } }, "GoogleCloudDataplexV1Job": { "description": "A job represents an instance of a task.", "properties": { "service": { "enum": [ "SERVICE_UNSPECIFIED", "DATAPROC" ], "enumDescriptions": [ "Service used to run the job is unspecified.", "Dataproc service is used to run this job." ], "readOnly": true, "type": "string", "description": "Output only. The underlying service running a job." }, "uid": { "readOnly": true, "type": "string", "description": "Output only. System generated globally unique ID for the job." }, "serviceJob": { "type": "string", "description": "Output only. The full resource name for the job run under a particular service.", "readOnly": true }, "endTime": { "type": "string", "description": "Output only. The time when the job ended.", "format": "google-datetime", "readOnly": true }, "name": { "description": "Output only. The relative resource name of the job, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/ tasks/{task_id}/jobs/{job_id}.", "readOnly": true, "type": "string" }, "message": { "description": "Output only. Additional information about the current state.", "readOnly": true, "type": "string" }, "retryCount": { "type": "integer", "readOnly": true, "format": "uint32", "description": "Output only. . The number of times the job has been retried (excluding the initial attempt)." }, "startTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time when the job was started.", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "CANCELLED", "SUCCEEDED", "FAILED", "ABORTED" ], "readOnly": true, "type": "string", "description": "Output only. Execution state for the job.", "enumDescriptions": [ "The job state is unknown.", "The job is running.", "The job is cancelling.", "The job cancellation was successful.", "The job completed successfully.", "The job is no longer running due to an error.", "The job was cancelled outside of Dataplex." ] } }, "id": "GoogleCloudDataplexV1Job", "type": "object" }, "GoogleCloudDataplexV1ListPartitionsResponse": { "properties": { "partitions": { "items": { "$ref": "GoogleCloudDataplexV1Partition" }, "description": "Partitions under the specified parent entity.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no remaining results in the list.", "type": "string" } }, "id": "GoogleCloudDataplexV1ListPartitionsResponse", "type": "object", "description": "List metadata partitions response." }, "GoogleCloudDataplexV1DiscoveryEventEntityDetails": { "description": "Details about the entity.", "id": "GoogleCloudDataplexV1DiscoveryEventEntityDetails", "properties": { "type": { "type": "string", "description": "The type of the entity resource.", "enum": [ "ENTITY_TYPE_UNSPECIFIED", "TABLE", "FILESET" ], "enumDescriptions": [ "An unspecified event type.", "Entities representing structured data.", "Entities representing unstructured data." ] }, "entity": { "type": "string", "description": "The name of the entity resource. The name is the fully-qualified resource name." } }, "type": "object" }, "GoogleCloudDataplexV1ActionMissingResource": { "type": "object", "id": "GoogleCloudDataplexV1ActionMissingResource", "properties": {}, "description": "Action details for resource references in assets that cannot be located." }, "GoogleCloudDataplexV1TaskSparkTaskConfig": { "properties": { "mainClass": { "description": "The name of the driver's main class. The jar file that contains the class must be in the default CLASSPATH or specified in jar_file_uris. The execution args are passed in as a sequence of named process arguments (--key=value).", "type": "string" }, "infrastructureSpec": { "$ref": "GoogleCloudDataplexV1TaskInfrastructureSpec", "description": "Optional. Infrastructure specification for the execution." }, "mainJarFileUri": { "type": "string", "description": "The Cloud Storage URI of the jar file that contains the main class. The execution args are passed in as a sequence of named process arguments (--key=value)." }, "pythonScriptFile": { "description": "The Gcloud Storage URI of the main Python file to use as the driver. Must be a .py file. The execution args are passed in as a sequence of named process arguments (--key=value).", "type": "string" }, "sqlScript": { "type": "string", "description": "The query text. The execution args are used to declare a set of script variables (set key=\"value\";)." }, "sqlScriptFile": { "description": "A reference to a query file. This can be the Cloud Storage URI of the query file or it can the path to a SqlScript Content. The execution args are used to declare a set of script variables (set key=\"value\";).", "type": "string" }, "fileUris": { "items": { "type": "string" }, "description": "Optional. Cloud Storage URIs of files to be placed in the working directory of each executor.", "type": "array" }, "archiveUris": { "type": "array", "description": "Optional. Cloud Storage URIs of archives to be extracted into the working directory of each executor. Supported file types: .jar, .tar, .tar.gz, .tgz, and .zip.", "items": { "type": "string" } } }, "id": "GoogleCloudDataplexV1TaskSparkTaskConfig", "type": "object", "description": "User-specified config for running a Spark task." }, "GoogleCloudDataplexV1Asset": { "properties": { "createTime": { "description": "Output only. The time when the asset was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "uid": { "readOnly": true, "description": "Output only. System generated globally unique ID for the asset. This ID will be different if the asset is deleted and re-created with the same name.", "type": "string" }, "securityStatus": { "$ref": "GoogleCloudDataplexV1AssetSecurityStatus", "description": "Output only. Status of the security policy applied to resource referenced by this asset.", "readOnly": true }, "resourceSpec": { "$ref": "GoogleCloudDataplexV1AssetResourceSpec", "description": "Required. Specification of the resource that is referenced by this asset." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The relative resource name of the asset, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/zones/{zone_id}/assets/{asset_id}." }, "displayName": { "type": "string", "description": "Optional. User friendly display name." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time when the asset was last updated.", "readOnly": true }, "discoveryStatus": { "$ref": "GoogleCloudDataplexV1AssetDiscoveryStatus", "readOnly": true, "description": "Output only. Status of the discovery feature applied to data referenced by this asset." }, "state": { "description": "Output only. Current state of the asset.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ], "readOnly": true, "type": "string" }, "description": { "description": "Optional. Description of the asset.", "type": "string" }, "labels": { "type": "object", "description": "Optional. User defined labels for the asset.", "additionalProperties": { "type": "string" } }, "resourceStatus": { "description": "Output only. Status of the resource referenced by this asset.", "$ref": "GoogleCloudDataplexV1AssetResourceStatus", "readOnly": true }, "discoverySpec": { "description": "Optional. Specification of the discovery feature applied to data referenced by this asset. When this spec is left unset, the asset will use the spec set on the parent zone.", "$ref": "GoogleCloudDataplexV1AssetDiscoverySpec" } }, "description": "An asset represents a cloud resource that is being managed within a lake as a member of a zone.", "id": "GoogleCloudDataplexV1Asset", "type": "object" }, "GoogleCloudDataplexV1Partition": { "type": "object", "id": "GoogleCloudDataplexV1Partition", "properties": { "location": { "description": "Required. Immutable. The location of the entity data within the partition, for example, gs://bucket/path/to/entity/key1=value1/key2=value2. Or projects//datasets//tables/", "type": "string" }, "etag": { "type": "string", "description": "Optional. The etag for this partition." }, "name": { "description": "Output only. Partition values used in the HTTP URL must be double encoded. For example, url_encode(url_encode(value)) can be used to encode \"US:CA/CA#Sunnyvale so that the request URL ends with \"/partitions/US%253ACA/CA%2523Sunnyvale\". The name field in the response retains the encoded format.", "type": "string", "readOnly": true }, "values": { "description": "Required. Immutable. The set of values representing the partition, which correspond to the partition schema defined in the parent entity.", "type": "array", "items": { "type": "string" } } }, "description": "Represents partition metadata contained within entity instances." }, "GoogleCloudLocationListLocationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "GoogleCloudLocationLocation" }, "type": "array" } }, "id": "GoogleCloudLocationListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations." }, "GoogleCloudDataplexV1OperationMetadata": { "description": "Represents the metadata of a long-running operation.", "properties": { "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED." }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true } }, "type": "object", "id": "GoogleCloudDataplexV1OperationMetadata" }, "GoogleCloudDataplexV1ZoneDiscoverySpecCsvOptions": { "description": "Describe CSV and similar semi-structured data formats.", "id": "GoogleCloudDataplexV1ZoneDiscoverySpecCsvOptions", "type": "object", "properties": { "encoding": { "description": "Optional. The character encoding of the data. The default is UTF-8.", "type": "string" }, "delimiter": { "type": "string", "description": "Optional. The delimiter being used to separate values. This defaults to ','." }, "disableTypeInference": { "type": "boolean", "description": "Optional. Whether to disable the inference of data type for CSV data. If true, all columns will be registered as strings." }, "headerRows": { "type": "integer", "description": "Optional. The number of rows to interpret as header rows that should be skipped when reading data rows.", "format": "int32" } } }, "GoogleCloudDataplexV1ListJobsResponse": { "properties": { "jobs": { "description": "Jobs under a given task.", "items": { "$ref": "GoogleCloudDataplexV1Job" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "GoogleCloudDataplexV1ListJobsResponse", "description": "List jobs response.", "type": "object" }, "GoogleCloudDataplexV1EnvironmentInfrastructureSpec": { "description": "Configuration for the underlying infrastructure used to run workloads.", "id": "GoogleCloudDataplexV1EnvironmentInfrastructureSpec", "properties": { "compute": { "$ref": "GoogleCloudDataplexV1EnvironmentInfrastructureSpecComputeResources", "description": "Optional. Compute resources needed for analyze interactive workloads." }, "osImage": { "$ref": "GoogleCloudDataplexV1EnvironmentInfrastructureSpecOsImageRuntime", "description": "Required. Software Runtime Configuration for analyze interactive workloads." } }, "type": "object" }, "GoogleCloudDataplexV1Task": { "description": "A task represents a user-visible job.", "id": "GoogleCloudDataplexV1Task", "type": "object", "properties": { "description": { "description": "Optional. Description of the task.", "type": "string" }, "spark": { "$ref": "GoogleCloudDataplexV1TaskSparkTaskConfig", "description": "Config related to running custom Spark tasks." }, "executionSpec": { "$ref": "GoogleCloudDataplexV1TaskExecutionSpec", "description": "Required. Spec related to how a task is executed." }, "createTime": { "format": "google-datetime", "description": "Output only. The time when the task was created.", "readOnly": true, "type": "string" }, "updateTime": { "type": "string", "description": "Output only. The time when the task was last updated.", "readOnly": true, "format": "google-datetime" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. User-defined labels for the task.", "type": "object" }, "displayName": { "description": "Optional. User friendly display name.", "type": "string" }, "name": { "readOnly": true, "description": "Output only. The relative resource name of the task, of the form: projects/{project_number}/locations/{location_id}/lakes/{lake_id}/ tasks/{task_id}.", "type": "string" }, "triggerSpec": { "$ref": "GoogleCloudDataplexV1TaskTriggerSpec", "description": "Required. Spec related to how often and when a task should be triggered." }, "executionStatus": { "description": "Output only. Status of the latest task executions.", "readOnly": true, "$ref": "GoogleCloudDataplexV1TaskExecutionStatus" }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "description": "Output only. Current state of the task.", "readOnly": true, "type": "string", "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ] }, "uid": { "readOnly": true, "type": "string", "description": "Output only. System generated globally unique ID for the task. This ID will be different if the task is deleted and re-created with the same name." } } }, "GoogleCloudDataplexV1SessionEventQueryDetail": { "id": "GoogleCloudDataplexV1SessionEventQueryDetail", "description": "Execution details of the query.", "type": "object", "properties": { "queryId": { "description": "The unique Query id identifying the query.", "type": "string" }, "dataProcessedBytes": { "description": "The data processed by the query.", "type": "string", "format": "int64" }, "queryText": { "description": "The query text executed.", "type": "string" }, "resultSizeBytes": { "type": "string", "format": "int64", "description": "The size of results the query produced." }, "engine": { "type": "string", "enum": [ "ENGINE_UNSPECIFIED", "SPARK_SQL", "BIGQUERY" ], "enumDescriptions": [ "An unspecified Engine type.", "Spark-sql engine is specified in Query.", "BigQuery engine is specified in Query." ], "description": "Query Execution engine." }, "duration": { "type": "string", "description": "Time taken for execution of the query.", "format": "google-duration" } } }, "GoogleCloudDataplexV1EnvironmentSessionSpec": { "properties": { "enableFastStartup": { "description": "Optional. If True, this causes sessions to be pre-created and available for faster startup to enable interactive exploration use-cases. This defaults to False to avoid additional billed charges. These can only be set to True for the environment with name set to \"default\", and with default configuration.", "type": "boolean" }, "maxIdleDuration": { "format": "google-duration", "type": "string", "description": "Optional. The idle time configuration of the session. The session will be auto-terminated at the end of this period." } }, "type": "object", "id": "GoogleCloudDataplexV1EnvironmentSessionSpec" }, "GoogleCloudDataplexV1TaskInfrastructureSpec": { "id": "GoogleCloudDataplexV1TaskInfrastructureSpec", "properties": { "vpcNetwork": { "description": "Vpc network.", "$ref": "GoogleCloudDataplexV1TaskInfrastructureSpecVpcNetwork" }, "containerImage": { "description": "Container Image Runtime Configuration.", "$ref": "GoogleCloudDataplexV1TaskInfrastructureSpecContainerImageRuntime" }, "batch": { "description": "Compute resources needed for a Task when using Dataproc Serverless.", "$ref": "GoogleCloudDataplexV1TaskInfrastructureSpecBatchComputeResources" } }, "description": "Configuration for the underlying infrastructure used to run workloads.", "type": "object" }, "GoogleIamV1TestIamPermissionsRequest": { "id": "GoogleIamV1TestIamPermissionsRequest", "description": "Request message for TestIamPermissions method.", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the resource. Permissions with wildcards (such as LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh or storage.*) are not allowed. For more information see IAM Overview (https://cloud.google.com/iam/docs/overview#permissions)." } } }, "GoogleCloudDataplexV1ListLakesResponse": { "properties": { "unreachableLocations": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "lakes": { "items": { "$ref": "GoogleCloudDataplexV1Lake" }, "description": "Lakes under the given parent location.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "description": "List lakes response.", "id": "GoogleCloudDataplexV1ListLakesResponse", "type": "object" }, "GoogleCloudDataplexV1AssetDiscoveryStatus": { "type": "object", "properties": { "stats": { "description": "Data Stats of the asset reported by discovery.", "$ref": "GoogleCloudDataplexV1AssetDiscoveryStatusStats" }, "state": { "type": "string", "enumDescriptions": [ "State is unspecified.", "Discovery for the asset is scheduled.", "Discovery for the asset is running.", "Discovery for the asset is currently paused (e.g. due to a lack of available resources). It will be automatically resumed.", "Discovery for the asset is disabled." ], "description": "The current status of the discovery feature.", "enum": [ "STATE_UNSPECIFIED", "SCHEDULED", "IN_PROGRESS", "PAUSED", "DISABLED" ] }, "lastRunTime": { "format": "google-datetime", "type": "string", "description": "The start time of the last discovery run." }, "message": { "type": "string", "description": "Additional information about the current state." }, "lastRunDuration": { "description": "The duration of the last discovery run.", "type": "string", "format": "google-duration" }, "updateTime": { "description": "Last update time of the status.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudDataplexV1AssetDiscoveryStatus", "description": "Status of discovery for an asset." }, "GoogleLongrunningOperation": { "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.", "type": "string" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "done": { "description": "If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.", "type": "boolean" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation" }, "GoogleCloudDataplexV1DiscoveryEvent": { "description": "The payload associated with Discovery data processing.", "id": "GoogleCloudDataplexV1DiscoveryEvent", "properties": { "dataLocation": { "description": "The data location associated with the event.", "type": "string" }, "message": { "description": "The log message.", "type": "string" }, "entity": { "description": "Details about the entity associated with the event.", "$ref": "GoogleCloudDataplexV1DiscoveryEventEntityDetails" }, "partition": { "description": "Details about the partition associated with the event.", "$ref": "GoogleCloudDataplexV1DiscoveryEventPartitionDetails" }, "type": { "enumDescriptions": [ "An unspecified event type.", "An event representing discovery configuration in effect.", "An event representing a metadata entity being created.", "An event representing a metadata entity being updated.", "An event representing a metadata entity being deleted.", "An event representing a partition being created.", "An event representing a partition being updated.", "An event representing a partition being deleted." ], "description": "The type of the event being logged.", "type": "string", "enum": [ "EVENT_TYPE_UNSPECIFIED", "CONFIG", "ENTITY_CREATED", "ENTITY_UPDATED", "ENTITY_DELETED", "PARTITION_CREATED", "PARTITION_UPDATED", "PARTITION_DELETED" ] }, "lakeId": { "type": "string", "description": "The id of the associated lake." }, "assetId": { "type": "string", "description": "The id of the associated asset." }, "action": { "$ref": "GoogleCloudDataplexV1DiscoveryEventActionDetails", "description": "Details about the action associated with the event." }, "config": { "$ref": "GoogleCloudDataplexV1DiscoveryEventConfigDetails", "description": "Details about discovery configuration in effect." }, "zoneId": { "type": "string", "description": "The id of the associated zone." } }, "type": "object" }, "GoogleCloudDataplexV1SchemaPartitionField": { "type": "object", "description": "Represents a key field within the entity's partition structure. You could have up to 20 partition fields, but only the first 10 partitions have the filtering ability due to performance consideration. Note: Partition fields are immutable.", "id": "GoogleCloudDataplexV1SchemaPartitionField", "properties": { "name": { "description": "Required. Partition field name must consist of letters, numbers, and underscores only, with a maximum of length of 256 characters, and must begin with a letter or underscore..", "type": "string" }, "type": { "enumDescriptions": [ "SchemaType unspecified.", "Boolean field.", "Single byte numeric field.", "16-bit numeric field.", "32-bit numeric field.", "64-bit numeric field.", "Floating point numeric field.", "Double precision numeric field.", "Real value numeric field.", "Sequence of characters field.", "Sequence of bytes field.", "Date and time field.", "Date field.", "Time field.", "Structured field. Nested fields that define the structure of the map. If all nested fields are nullable, this field represents a union.", "Null field that does not have values." ], "enum": [ "TYPE_UNSPECIFIED", "BOOLEAN", "BYTE", "INT16", "INT32", "INT64", "FLOAT", "DOUBLE", "DECIMAL", "STRING", "BINARY", "TIMESTAMP", "DATE", "TIME", "RECORD", "NULL" ], "description": "Required. Immutable. The type of field.", "type": "string" } } }, "GoogleCloudDataplexV1AssetResourceSpec": { "type": "object", "id": "GoogleCloudDataplexV1AssetResourceSpec", "description": "Identifies the cloud resource that is referenced by this asset.", "properties": { "name": { "description": "Immutable. Relative name of the cloud resource that contains the data that is being managed within a lake. For example: projects/{project_number}/buckets/{bucket_id} projects/{project_number}/datasets/{dataset_id}", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "STORAGE_BUCKET", "BIGQUERY_DATASET" ], "type": "string", "enumDescriptions": [ "Type not specified.", "Cloud Storage bucket.", "BigQuery dataset." ], "description": "Required. Immutable. Type of resource." } } }, "GoogleCloudDataplexV1ActionInvalidDataFormat": { "type": "object", "properties": { "expectedFormat": { "description": "The expected data format of the entity.", "type": "string" }, "sampledDataLocations": { "description": "The list of data locations sampled and used for format/schema inference.", "items": { "type": "string" }, "type": "array" }, "newFormat": { "description": "The new unexpected data format within the entity.", "type": "string" } }, "description": "Action details for invalid or unsupported data files detected by discovery.", "id": "GoogleCloudDataplexV1ActionInvalidDataFormat" }, "GoogleCloudDataplexV1DiscoveryEventActionDetails": { "properties": { "type": { "description": "The type of action. Eg. IncompatibleDataSchema, InvalidDataFormat", "type": "string" } }, "description": "Details about the action.", "type": "object", "id": "GoogleCloudDataplexV1DiscoveryEventActionDetails" }, "GoogleIamV1AuditConfig": { "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs.If there are AuditConfigs for both allServices and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted.Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "id": "GoogleIamV1AuditConfig", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, storage.googleapis.com, cloudsql.googleapis.com. allServices is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "GoogleIamV1AuditLogConfig" }, "type": "array" } } }, "GoogleCloudDataplexV1DiscoveryEventPartitionDetails": { "type": "object", "id": "GoogleCloudDataplexV1DiscoveryEventPartitionDetails", "properties": { "sampledDataLocations": { "type": "array", "description": "The locations of the data items (e.g., a Cloud Storage objects) sampled for metadata inference.", "items": { "type": "string" } }, "type": { "type": "string", "enum": [ "ENTITY_TYPE_UNSPECIFIED", "TABLE", "FILESET" ], "enumDescriptions": [ "An unspecified event type.", "Entities representing structured data.", "Entities representing unstructured data." ], "description": "The type of the containing entity resource." }, "partition": { "type": "string", "description": "The name to the partition resource. The name is the fully-qualified resource name." }, "entity": { "description": "The name to the containing entity resource. The name is the fully-qualified resource name.", "type": "string" } }, "description": "Details about the partition." }, "Empty": { "properties": {}, "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } " }, "GoogleCloudDataplexV1TaskExecutionStatus": { "properties": { "latestJob": { "$ref": "GoogleCloudDataplexV1Job", "description": "Output only. latest job execution", "readOnly": true }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Last update time of the status." } }, "description": "Status of the task execution (e.g. Jobs).", "id": "GoogleCloudDataplexV1TaskExecutionStatus", "type": "object" }, "GoogleCloudDataplexV1Environment": { "description": "Environment represents a user-visible compute infrastructure for analytics within a lake.", "properties": { "infrastructureSpec": { "description": "Required. Infrastructure specification for the Environment.", "$ref": "GoogleCloudDataplexV1EnvironmentInfrastructureSpec" }, "labels": { "type": "object", "description": "Optional. User defined labels for the environment.", "additionalProperties": { "type": "string" } }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. The time when the environment was last updated.", "format": "google-datetime" }, "uid": { "readOnly": true, "type": "string", "description": "Output only. System generated globally unique ID for the environment. This ID will be different if the environment is deleted and re-created with the same name." }, "createTime": { "format": "google-datetime", "description": "Output only. Environment creation time.", "type": "string", "readOnly": true }, "endpoints": { "readOnly": true, "description": "Output only. URI Endpoints to access sessions associated with the Environment.", "$ref": "GoogleCloudDataplexV1EnvironmentEndpoints" }, "name": { "description": "Output only. The relative resource name of the environment, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/environment/{environment_id}", "readOnly": true, "type": "string" }, "description": { "description": "Optional. Description of the environment.", "type": "string" }, "sessionStatus": { "description": "Output only. Status of sessions created for this environment.", "readOnly": true, "$ref": "GoogleCloudDataplexV1EnvironmentSessionStatus" }, "sessionSpec": { "description": "Optional. Configuration for sessions created for this environment.", "$ref": "GoogleCloudDataplexV1EnvironmentSessionSpec" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ], "readOnly": true, "description": "Output only. Current state of the environment." }, "displayName": { "description": "Optional. User friendly display name.", "type": "string" } }, "id": "GoogleCloudDataplexV1Environment", "type": "object" }, "GoogleCloudDataplexV1ActionIncompatibleDataSchema": { "properties": { "newSchema": { "type": "string", "description": "The new and incompatible schema within the table. The schema is provided as a JSON formatted structured listing columns and data types." }, "existingSchema": { "description": "The existing and expected schema of the table. The schema is provided as a JSON formatted structure listing columns and data types.", "type": "string" }, "table": { "type": "string", "description": "The name of the table containing invalid data." }, "schemaChange": { "enum": [ "SCHEMA_CHANGE_UNSPECIFIED", "INCOMPATIBLE", "MODIFIED" ], "enumDescriptions": [ "Schema change unspecified.", "Newly discovered schema is incompatible with existing schema.", "Newly discovered schema has changed from existing schema for data in a curated zone." ], "type": "string", "description": "Whether the action relates to a schema that is incompatible or modified." }, "sampledDataLocations": { "type": "array", "description": "The list of data locations sampled and used for format/schema inference.", "items": { "type": "string" } } }, "type": "object", "id": "GoogleCloudDataplexV1ActionIncompatibleDataSchema", "description": "Action details for incompatible schemas detected by discovery." }, "GoogleCloudDataplexV1ZoneResourceSpec": { "id": "GoogleCloudDataplexV1ZoneResourceSpec", "type": "object", "description": "Settings for resources attached as assets within a zone.", "properties": { "locationType": { "enum": [ "LOCATION_TYPE_UNSPECIFIED", "SINGLE_REGION", "MULTI_REGION" ], "type": "string", "enumDescriptions": [ "Unspecified location type.", "Resources that are associated with a single region.", "Resources that are associated with a multi-region location." ], "description": "Required. Immutable. The location type of the resources that are allowed to be attached to the assets within this zone." } } }, "GoogleLongrunningCancelOperationRequest": { "id": "GoogleLongrunningCancelOperationRequest", "description": "The request message for Operations.CancelOperation.", "properties": {}, "type": "object" }, "GoogleCloudDataplexV1ListEnvironmentsResponse": { "id": "GoogleCloudDataplexV1ListEnvironmentsResponse", "description": "List environments response.", "properties": { "environments": { "description": "Environments under the given parent lake.", "items": { "$ref": "GoogleCloudDataplexV1Environment" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object" }, "GoogleCloudDataplexV1ListEntitiesResponse": { "type": "object", "description": "List metadata entities response.", "id": "GoogleCloudDataplexV1ListEntitiesResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no remaining results in the list." }, "entities": { "items": { "$ref": "GoogleCloudDataplexV1Entity" }, "type": "array", "description": "Entities in the specified parent zone." } } }, "GoogleCloudDataplexV1StorageFormat": { "type": "object", "description": "Describes the format of the data within its storage location.", "properties": { "format": { "description": "Output only. The data format associated with the stored data, which represents content type values. The value is inferred from mime type.", "readOnly": true, "type": "string", "enum": [ "FORMAT_UNSPECIFIED", "PARQUET", "AVRO", "ORC", "CSV", "JSON", "IMAGE", "AUDIO", "VIDEO", "TEXT", "TFRECORD", "OTHER", "UNKNOWN" ], "enumDescriptions": [ "Format unspecified.", "Parquet-formatted structured data.", "Avro-formatted structured data.", "Orc-formatted structured data.", "Csv-formatted semi-structured data.", "Json-formatted semi-structured data.", "Image data formats (such as jpg and png).", "Audio data formats (such as mp3, and wav).", "Video data formats (such as mp4 and mpg).", "Textual data formats (such as txt and xml).", "TensorFlow record format.", "Data that doesn't match a specific format.", "Data of an unknown format." ] }, "json": { "$ref": "GoogleCloudDataplexV1StorageFormatJsonOptions", "description": "Optional. Additional information about CSV formatted data." }, "mimeType": { "description": "Required. The mime type descriptor for the data. Must match the pattern {type}/{subtype}. Supported values: application/x-parquet application/x-avro application/x-orc application/x-tfrecord application/json application/{subtypes} text/csv text/ image/{image subtype} video/{video subtype} audio/{audio subtype}", "type": "string" }, "csv": { "description": "Optional. Additional information about CSV formatted data.", "$ref": "GoogleCloudDataplexV1StorageFormatCsvOptions" }, "compressionFormat": { "enum": [ "COMPRESSION_FORMAT_UNSPECIFIED", "GZIP", "BZIP2" ], "type": "string", "description": "Optional. The compression type associated with the stored data. If unspecified, the data is uncompressed.", "enumDescriptions": [ "CompressionFormat unspecified. Implies uncompressed data.", "GZip compressed set of files.", "BZip2 compressed set of files." ] } }, "id": "GoogleCloudDataplexV1StorageFormat" }, "GoogleCloudDataplexV1AssetStatus": { "id": "GoogleCloudDataplexV1AssetStatus", "type": "object", "properties": { "updateTime": { "description": "Last update time of the status.", "format": "google-datetime", "type": "string" }, "securityPolicyApplyingAssets": { "format": "int32", "description": "Number of assets that are in process of updating the security policy on attached resources.", "type": "integer" }, "activeAssets": { "description": "Number of active assets.", "format": "int32", "type": "integer" } }, "description": "Aggregated status of the underlying assets of a lake or zone." }, "GoogleCloudDataplexV1EnvironmentSessionStatus": { "id": "GoogleCloudDataplexV1EnvironmentSessionStatus", "properties": { "active": { "description": "Output only. Queries over sessions to mark whether the environment is currently active or not", "type": "boolean", "readOnly": true } }, "type": "object" }, "GoogleCloudDataplexV1TaskInfrastructureSpecVpcNetwork": { "properties": { "network": { "description": "Optional. The Cloud VPC network in which the job is run. By default, the Cloud VPC network named Default within the project is used.", "type": "string" }, "subNetwork": { "description": "Optional. The Cloud VPC sub-network in which the job is run.", "type": "string" }, "networkTags": { "items": { "type": "string" }, "description": "Optional. List of network tags to apply to the job.", "type": "array" } }, "id": "GoogleCloudDataplexV1TaskInfrastructureSpecVpcNetwork", "type": "object", "description": "Cloud VPC Network used to run the infrastructure." }, "GoogleCloudDataplexV1AssetResourceStatus": { "description": "Status of the resource referenced by an asset.", "id": "GoogleCloudDataplexV1AssetResourceStatus", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Last update time of the status." }, "message": { "type": "string", "description": "Additional information about the current state." }, "state": { "description": "The current state of the managed resource.", "enum": [ "STATE_UNSPECIFIED", "READY", "ERROR" ], "type": "string", "enumDescriptions": [ "State unspecified.", "Resource does not have any errors.", "Resource has errors." ] } }, "type": "object" }, "GoogleCloudDataplexV1Session": { "description": "Represents an active analyze session running for a user.", "properties": { "userId": { "description": "Output only. Email of user running the session.", "readOnly": true, "type": "string" }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. Session start time.", "format": "google-datetime" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The relative resource name of the content, of the form: projects/{project_id}/locations/{location_id}/lakes/{lake_id}/environment/{environment_id}/sessions/{session_id}" }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "CREATING", "DELETING", "ACTION_REQUIRED" ], "readOnly": true, "enumDescriptions": [ "State is not specified.", "Resource is active, i.e., ready to use.", "Resource is under creation.", "Resource is under deletion.", "Resource is active but has unresolved actions." ], "type": "string" } }, "id": "GoogleCloudDataplexV1Session", "type": "object" }, "GoogleCloudDataplexV1Schema": { "type": "object", "id": "GoogleCloudDataplexV1Schema", "properties": { "fields": { "items": { "$ref": "GoogleCloudDataplexV1SchemaSchemaField" }, "description": "Optional. The sequence of fields describing data in table entities. Note: BigQuery SchemaFields are immutable.", "type": "array" }, "userManaged": { "type": "boolean", "description": "Required. Set to true if user-managed or false if managed by Dataplex. The default is false (managed by Dataplex). Set to falseto enable Dataplex discovery to update the schema. including new data discovery, schema inference, and schema evolution. Users retain the ability to input and edit the schema. Dataplex treats schema input by the user as though produced by a previous Dataplex discovery operation, and it will evolve the schema and take action based on that treatment. Set to true to fully manage the entity schema. This setting guarantees that Dataplex will not change schema fields." }, "partitionFields": { "description": "Optional. The sequence of fields describing the partition structure in entities. If this field is empty, there are no partitions within the data.", "type": "array", "items": { "$ref": "GoogleCloudDataplexV1SchemaPartitionField" } }, "partitionStyle": { "enum": [ "PARTITION_STYLE_UNSPECIFIED", "HIVE_COMPATIBLE" ], "enumDescriptions": [ "PartitionStyle unspecified", "Partitions are hive-compatible. Examples: gs://bucket/path/to/table/dt=2019-10-31/lang=en, gs://bucket/path/to/table/dt=2019-10-31/lang=en/late." ], "description": "Optional. The structure of paths containing partition data within the entity.", "type": "string" } }, "description": "Schema information describing the structure and layout of the data." }, "GoogleCloudLocationLocation": { "type": "object", "description": "A resource that represents Google Cloud Platform location.", "properties": { "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: \"projects/example-project/locations/us-east1\"", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: \"us-east1\"." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"} ", "type": "object" } }, "id": "GoogleCloudLocationLocation" }, "GoogleCloudDataplexV1ContentSqlScript": { "description": "Configuration for the Sql Script content.", "type": "object", "properties": { "engine": { "enum": [ "QUERY_ENGINE_UNSPECIFIED", "SPARK" ], "description": "Required. Query Engine to be used for the Sql Query.", "enumDescriptions": [ "Value was unspecified.", "Spark SQL Query." ], "type": "string" } }, "id": "GoogleCloudDataplexV1ContentSqlScript" }, "GoogleIamV1AuditLogConfig": { "properties": { "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string" } }, "type": "object", "id": "GoogleIamV1AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "GoogleCloudDataplexV1TaskExecutionSpec": { "properties": { "serviceAccount": { "description": "Required. Service account to use to execute a task. If not provided, the default Compute service account for the project is used.", "type": "string" }, "args": { "type": "object", "description": "Optional. The arguments to pass to the task. The args can use placeholders of the format ${placeholder} as part of key/value string. These will be interpolated before passing the args to the driver. Currently supported placeholders: - ${task_id} - ${job_time} To pass positional args, set the key as TASK_ARGS. The value should be a comma-separated string of all the positional arguments. To use a delimiter other than comma, refer to https://cloud.google.com/sdk/gcloud/reference/topic/escaping. In case of other keys being present in the args, then TASK_ARGS will be passed as the last argument.", "additionalProperties": { "type": "string" } }, "project": { "type": "string", "description": "Optional. The project in which jobs are run. By default, the project containing the Lake is used. If a project is provided, the executionspec.service_account must belong to this same project." }, "maxJobExecutionLifetime": { "format": "google-duration", "type": "string", "description": "Optional. The maximum duration after which the job execution is expired." } }, "id": "GoogleCloudDataplexV1TaskExecutionSpec", "description": "Execution related settings, like retry and service_account.", "type": "object" }, "GoogleCloudDataplexV1AssetDiscoverySpecCsvOptions": { "id": "GoogleCloudDataplexV1AssetDiscoverySpecCsvOptions", "type": "object", "description": "Describe CSV and similar semi-structured data formats.", "properties": { "disableTypeInference": { "description": "Optional. Whether to disable the inference of data type for CSV data. If true, all columns will be registered as strings.", "type": "boolean" }, "delimiter": { "description": "Optional. The delimiter being used to separate values. This defaults to ','.", "type": "string" }, "encoding": { "type": "string", "description": "Optional. The character encoding of the data. The default is UTF-8." }, "headerRows": { "format": "int32", "type": "integer", "description": "Optional. The number of rows to interpret as header rows that should be skipped when reading data rows." } } }, "GoogleCloudDataplexV1ListSessionsResponse": { "type": "object", "description": "List sessions response.", "id": "GoogleCloudDataplexV1ListSessionsResponse", "properties": { "sessions": { "type": "array", "items": { "$ref": "GoogleCloudDataplexV1Session" }, "description": "Sessions under a given environment." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } } }, "GoogleCloudDataplexV1TaskInfrastructureSpecBatchComputeResources": { "properties": { "executorsCount": { "description": "Optional. Total number of job executors. Executor Count should be between 2 and 100. Default=2", "type": "integer", "format": "int32" }, "maxExecutorsCount": { "type": "integer", "format": "int32", "description": "Optional. Max configurable executors. If max_executors_count \u003e executors_count, then auto-scaling is enabled. Max Executor Count should be between 2 and 1000. Default=1000" } }, "type": "object", "description": "Batch compute resources associated with the task.", "id": "GoogleCloudDataplexV1TaskInfrastructureSpecBatchComputeResources" }, "GoogleCloudDataplexV1CancelJobRequest": { "type": "object", "description": "Cancel task jobs.", "properties": {}, "id": "GoogleCloudDataplexV1CancelJobRequest" }, "GoogleCloudDataplexV1AssetDiscoverySpecJsonOptions": { "description": "Describe JSON data format.", "properties": { "encoding": { "type": "string", "description": "Optional. The character encoding of the data. The default is UTF-8." }, "disableTypeInference": { "description": "Optional. Whether to disable the inference of data type for Json data. If true, all columns will be registered as their primitive types (strings, number or boolean).", "type": "boolean" } }, "type": "object", "id": "GoogleCloudDataplexV1AssetDiscoverySpecJsonOptions" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerName": "Google", "id": "dataplex:v1", "fullyEncodeReservedExpansion": true, "canonicalName": "Cloud Dataplex", "protocol": "rest", "title": "Cloud Dataplex API", "batchPath": "batch", "discoveryVersion": "v1" }
]===]))
