local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "servicePath": "", "documentationLink": "https://cloud.google.com/datastore/", "fullyEncodeReservedExpansion": true, "title": "Cloud Datastore API", "rootUrl": "https://datastore.googleapis.com/", "kind": "discovery#restDescription", "revision": "20220625", "baseUrl": "https://datastore.googleapis.com/", "discoveryVersion": "v1", "resources": { "projects": { "methods": { "runQuery": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "response": { "$ref": "RunQueryResponse" }, "description": "Queries for entities.", "id": "datastore.projects.runQuery", "parameterOrder": [ "projectId" ], "parameters": { "projectId": { "description": "Required. The ID of the project against which to make the request.", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectId}:runQuery", "request": { "$ref": "RunQueryRequest" }, "path": "v1/projects/{projectId}:runQuery", "httpMethod": "POST" }, "beginTransaction": { "parameterOrder": [ "projectId" ], "httpMethod": "POST", "description": "Begins a new transaction.", "path": "v1/projects/{projectId}:beginTransaction", "response": { "$ref": "BeginTransactionResponse" }, "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the project against which to make the request." } }, "request": { "$ref": "BeginTransactionRequest" }, "flatPath": "v1/projects/{projectId}:beginTransaction", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "datastore.projects.beginTransaction" }, "reserveIds": { "id": "datastore.projects.reserveIds", "description": "Prevents the supplied keys' IDs from being auto-allocated by Cloud Datastore.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "response": { "$ref": "ReserveIdsResponse" }, "flatPath": "v1/projects/{projectId}:reserveIds", "parameters": { "projectId": { "location": "path", "type": "string", "description": "Required. The ID of the project against which to make the request.", "required": true } }, "path": "v1/projects/{projectId}:reserveIds", "request": { "$ref": "ReserveIdsRequest" }, "parameterOrder": [ "projectId" ] }, "rollback": { "id": "datastore.projects.rollback", "parameterOrder": [ "projectId" ], "description": "Rolls back a transaction.", "parameters": { "projectId": { "type": "string", "location": "path", "required": true, "description": "Required. The ID of the project against which to make the request." } }, "response": { "$ref": "RollbackResponse" }, "request": { "$ref": "RollbackRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectId}:rollback", "httpMethod": "POST", "path": "v1/projects/{projectId}:rollback" }, "import": { "parameterOrder": [ "projectId" ], "flatPath": "v1/projects/{projectId}:import", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Imports entities into Google Cloud Datastore. Existing entities with the same key are overwritten. The import occurs in the background and its progress can be monitored and managed via the Operation resource that is created. If an ImportEntities operation is cancelled, it is possible that a subset of the data has already been imported to Cloud Datastore.", "id": "datastore.projects.import", "request": { "$ref": "GoogleDatastoreAdminV1ImportEntitiesRequest" }, "path": "v1/projects/{projectId}:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "projectId": { "type": "string", "required": true, "description": "Required. Project ID against which to make the request.", "location": "path" } }, "httpMethod": "POST" }, "allocateIds": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectId}:allocateIds", "id": "datastore.projects.allocateIds", "response": { "$ref": "AllocateIdsResponse" }, "parameterOrder": [ "projectId" ], "description": "Allocates IDs for the given keys, which is useful for referencing an entity before it is inserted.", "path": "v1/projects/{projectId}:allocateIds", "request": { "$ref": "AllocateIdsRequest" }, "httpMethod": "POST", "parameters": { "projectId": { "location": "path", "description": "Required. The ID of the project against which to make the request.", "required": true, "type": "string" } } }, "commit": { "path": "v1/projects/{projectId}:commit", "response": { "$ref": "CommitResponse" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectId}:commit", "description": "Commits a transaction, optionally creating, deleting or modifying some entities.", "id": "datastore.projects.commit", "parameterOrder": [ "projectId" ], "parameters": { "projectId": { "type": "string", "location": "path", "description": "Required. The ID of the project against which to make the request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "request": { "$ref": "CommitRequest" } }, "lookup": { "request": { "$ref": "LookupRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "path": "v1/projects/{projectId}:lookup", "description": "Looks up entities by key.", "response": { "$ref": "LookupResponse" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectId}:lookup", "parameterOrder": [ "projectId" ], "parameters": { "projectId": { "required": true, "description": "Required. The ID of the project against which to make the request.", "type": "string", "location": "path" } }, "id": "datastore.projects.lookup" }, "export": { "request": { "$ref": "GoogleDatastoreAdminV1ExportEntitiesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "projectId" ], "description": "Exports a copy of all or a subset of entities from Google Cloud Datastore to another storage system, such as Google Cloud Storage. Recent updates to entities may not be reflected in the export. The export occurs in the background and its progress can be monitored and managed via the Operation resource that is created. The output of an export may only be used once the associated operation is done. If an export operation is cancelled before completion it may leave partial data behind in Google Cloud Storage.", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectId}:export", "path": "v1/projects/{projectId}:export", "parameters": { "projectId": { "location": "path", "type": "string", "required": true, "description": "Required. Project ID against which to make the request." } }, "httpMethod": "POST", "id": "datastore.projects.export" } }, "resources": { "operations": { "methods": { "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/operations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "id": "datastore.projects.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "list": { "id": "datastore.projects.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The standard list page size." }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "description": "The name of the operation's parent resource." } }, "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameterOrder": [ "name" ], "path": "v1/{+name}/operations", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "name" ], "id": "datastore.projects.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/operations/[^/]+$", "required": true, "type": "string", "description": "The name of the operation resource to be deleted." } } }, "cancel": { "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^projects/[^/]+/operations/[^/]+$", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/operations/{operationsId}:cancel", "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "id": "datastore.projects.operations.cancel" } } }, "indexes": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "GET", "parameterOrder": [ "projectId", "indexId" ], "parameters": { "projectId": { "required": true, "type": "string", "description": "Project ID against which to make the request.", "location": "path" }, "indexId": { "required": true, "type": "string", "location": "path", "description": "The resource ID of the index to get." } }, "response": { "$ref": "GoogleDatastoreAdminV1Index" }, "id": "datastore.projects.indexes.get", "description": "Gets an index.", "path": "v1/projects/{projectId}/indexes/{indexId}", "flatPath": "v1/projects/{projectId}/indexes/{indexId}" }, "delete": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "datastore.projects.indexes.delete", "flatPath": "v1/projects/{projectId}/indexes/{indexId}", "path": "v1/projects/{projectId}/indexes/{indexId}", "description": "Deletes an existing index. An index can only be deleted if it is in a `READY` or `ERROR` state. On successful execution of the request, the index will be in a `DELETING` state. And on completion of the returned google.longrunning.Operation, the index will be removed. During index deletion, the process could result in an error, in which case the index will move to the `ERROR` state. The process can be recovered by fixing the data that caused the error, followed by calling delete again.", "parameterOrder": [ "projectId", "indexId" ], "parameters": { "indexId": { "type": "string", "location": "path", "description": "The resource ID of the index to delete.", "required": true }, "projectId": { "type": "string", "location": "path", "description": "Project ID against which to make the request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "DELETE" }, "create": { "path": "v1/projects/{projectId}/indexes", "flatPath": "v1/projects/{projectId}/indexes", "parameters": { "projectId": { "type": "string", "location": "path", "description": "Project ID against which to make the request.", "required": true } }, "id": "datastore.projects.indexes.create", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "projectId" ], "httpMethod": "POST", "request": { "$ref": "GoogleDatastoreAdminV1Index" }, "description": "Creates the specified index. A newly created index's initial state is `CREATING`. On completion of the returned google.longrunning.Operation, the state will be `READY`. If the index already exists, the call will return an `ALREADY_EXISTS` status. During index creation, the process could result in an error, in which case the index will move to the `ERROR` state. The process can be recovered by fixing the data that caused the error, removing the index with delete, then re-creating the index with create. Indexes with a single property cannot be created.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "list": { "response": { "$ref": "GoogleDatastoreAdminV1ListIndexesResponse" }, "flatPath": "v1/projects/{projectId}/indexes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Lists the indexes that match the specified filters. Datastore uses an eventually consistent query to fetch the list of indexes and may occasionally return stale results.", "httpMethod": "GET", "parameters": { "projectId": { "description": "Project ID against which to make the request.", "type": "string", "required": true, "location": "path" }, "filter": { "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous List request, if any.", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of items to return. If zero, then all results will be returned.", "location": "query", "type": "integer" } }, "id": "datastore.projects.indexes.list", "parameterOrder": [ "projectId" ], "path": "v1/projects/{projectId}/indexes" } } } } } }, "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "description": "Data format for response." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" } }, "schemas": { "GoogleDatastoreAdminV1ExportEntitiesResponse": { "properties": { "outputUrl": { "type": "string", "description": "Location of the output metadata file. This can be used to begin an import into Cloud Datastore (this project or another project). See google.datastore.admin.v1.ImportEntitiesRequest.input_url. Only present if the operation completed successfully." } }, "description": "The response for google.datastore.admin.v1.DatastoreAdmin.ExportEntities.", "type": "object", "id": "GoogleDatastoreAdminV1ExportEntitiesResponse" }, "GoogleDatastoreAdminV1Progress": { "type": "object", "properties": { "workEstimated": { "description": "An estimate of how much work needs to be performed. May be zero if the work estimate is unavailable.", "type": "string", "format": "int64" }, "workCompleted": { "description": "The amount of work that has been completed. Note that this may be greater than work_estimated.", "type": "string", "format": "int64" } }, "id": "GoogleDatastoreAdminV1Progress", "description": "Measures the progress of a particular metric." }, "GoogleDatastoreAdminV1ImportEntitiesMetadata": { "id": "GoogleDatastoreAdminV1ImportEntitiesMetadata", "type": "object", "description": "Metadata for ImportEntities operations.", "properties": { "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." }, "common": { "$ref": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1EntityFilter", "description": "Description of which entities are being imported." }, "inputUrl": { "description": "The location of the import metadata file. This will be the same value as the google.datastore.admin.v1.ExportEntitiesResponse.output_url field.", "type": "string" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1Progress" } } }, "GoogleDatastoreAdminV1beta1EntityFilter": { "id": "GoogleDatastoreAdminV1beta1EntityFilter", "description": "Identifies a subset of entities in a project. This is specified as combinations of kinds and namespaces (either or both of which may be all, as described in the following examples). Example usage: Entire project: kinds=[], namespace_ids=[] Kinds Foo and Bar in all namespaces: kinds=['Foo', 'Bar'], namespace_ids=[] Kinds Foo and Bar only in the default namespace: kinds=['Foo', 'Bar'], namespace_ids=[''] Kinds Foo and Bar in both the default and Baz namespaces: kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz'] The entire Baz namespace: kinds=[], namespace_ids=['Baz']", "properties": { "namespaceIds": { "description": "An empty list represents all namespaces. This is the preferred usage for projects that don't use namespaces. An empty string element represents the default namespace. This should be used if the project has data in non-default namespaces, but doesn't want to include them. Each namespace in this list must be unique.", "type": "array", "items": { "type": "string" } }, "kinds": { "items": { "type": "string" }, "type": "array", "description": "If empty, then this represents all kinds." } }, "type": "object" }, "RunQueryRequest": { "properties": { "partitionId": { "$ref": "PartitionId", "description": "Entities are partitioned into subsets, identified by a partition ID. Queries are scoped to a single partition. This partition ID is normalized with the standard default context partition ID." }, "query": { "$ref": "Query", "description": "The query to run." }, "databaseId": { "type": "string", "description": "If not empty, the ID of the database against which to make the request." }, "gqlQuery": { "description": "The GQL query to run. This query must be a non-aggregation query.", "$ref": "GqlQuery" }, "readOptions": { "$ref": "ReadOptions", "description": "The options for this query." } }, "type": "object", "id": "RunQueryRequest", "description": "The request for Datastore.RunQuery." }, "BeginTransactionRequest": { "description": "The request for Datastore.BeginTransaction.", "properties": { "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" }, "transactionOptions": { "$ref": "TransactionOptions", "description": "Options for a new transaction." } }, "type": "object", "id": "BeginTransactionRequest" }, "RollbackRequest": { "description": "The request for Datastore.Rollback.", "id": "RollbackRequest", "properties": { "transaction": { "description": "Required. The transaction identifier, returned by a call to Datastore.BeginTransaction.", "format": "byte", "type": "string" }, "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" } }, "type": "object" }, "ReadWrite": { "description": "Options specific to read / write transactions.", "id": "ReadWrite", "type": "object", "properties": { "previousTransaction": { "format": "byte", "type": "string", "description": "The transaction identifier of the transaction being retried." } } }, "GoogleDatastoreAdminV1ExportEntitiesMetadata": { "id": "GoogleDatastoreAdminV1ExportEntitiesMetadata", "description": "Metadata for ExportEntities operations.", "properties": { "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1CommonMetadata" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1Progress" }, "outputUrlPrefix": { "type": "string", "description": "Location for the export metadata and data files. This will be the same value as the google.datastore.admin.v1.ExportEntitiesRequest.output_url_prefix field. The final output location is provided in google.datastore.admin.v1.ExportEntitiesResponse.output_url." }, "entityFilter": { "description": "Description of which entities are being exported.", "$ref": "GoogleDatastoreAdminV1EntityFilter" }, "progressEntities": { "description": "An estimate of the number of entities processed.", "$ref": "GoogleDatastoreAdminV1Progress" } }, "type": "object" }, "GqlQuery": { "id": "GqlQuery", "type": "object", "properties": { "queryString": { "type": "string", "description": "A string of the format described [here](https://cloud.google.com/datastore/docs/apis/gql/gql_reference)." }, "allowLiterals": { "type": "boolean", "description": "When false, the query string must not contain any literals and instead must bind all values. For example, `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Kind WHERE a = 'string literal'` is not allowed, while `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Kind WHERE a = @value` is." }, "namedBindings": { "additionalProperties": { "$ref": "GqlQueryParameter" }, "type": "object", "description": "For each non-reserved named binding site in the query string, there must be a named parameter with that name, but not necessarily the inverse. Key must match regex `A-Za-z_$*`, must not match regex `__.*__`, and must not be `\"\"`." }, "positionalBindings": { "type": "array", "items": { "$ref": "GqlQueryParameter" }, "description": "Numbered binding site @1 references the first numbered parameter, effectively using 1-based indexing, rather than the usual 0. For each binding site numbered i in `query_string`, there must be an i-th numbered parameter. The inverse must also be true." } }, "description": "A [GQL query](https://cloud.google.com/datastore/docs/apis/gql/gql_reference)." }, "Projection": { "type": "object", "properties": { "property": { "description": "The property to project.", "$ref": "PropertyReference" } }, "description": "A representation of a property in a projection.", "id": "Projection" }, "LookupRequest": { "id": "LookupRequest", "properties": { "readOptions": { "description": "The options for this lookup request.", "$ref": "ReadOptions" }, "keys": { "type": "array", "items": { "$ref": "Key" }, "description": "Required. Keys of entities to look up." }, "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" } }, "type": "object", "description": "The request for Datastore.Lookup." }, "EntityResult": { "properties": { "entity": { "description": "The resulting entity.", "$ref": "Entity" }, "cursor": { "description": "A cursor that points to the position after the result entity. Set only when the `EntityResult` is part of a `QueryResultBatch` message.", "format": "byte", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time at which the entity was last changed. This field is set for `FULL` entity results. If this entity is missing, this field will not be set." }, "version": { "description": "The version of the entity, a strictly positive number that monotonically increases with changes to the entity. This field is set for `FULL` entity results. For missing entities in `LookupResponse`, this is the version of the snapshot that was used to look up the entity, and it is always set except for eventually consistent reads.", "format": "int64", "type": "string" } }, "id": "EntityResult", "type": "object", "description": "The result of fetching an entity from Datastore." }, "GoogleDatastoreAdminV1IndexOperationMetadata": { "properties": { "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." }, "indexId": { "type": "string", "description": "The index resource ID that this operation is acting on." }, "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1CommonMetadata" } }, "id": "GoogleDatastoreAdminV1IndexOperationMetadata", "description": "Metadata for Index operations.", "type": "object" }, "ReadOnly": { "description": "Options specific to read-only transactions.", "id": "ReadOnly", "properties": { "readTime": { "type": "string", "description": "Reads entities at the given time. This may not be older than 60 seconds.", "format": "google-datetime" } }, "type": "object" }, "AllocateIdsRequest": { "properties": { "keys": { "type": "array", "items": { "$ref": "Key" }, "description": "Required. A list of keys with incomplete key paths for which to allocate IDs. No key may be reserved/read-only." }, "databaseId": { "type": "string", "description": "If not empty, the ID of the database against which to make the request." } }, "description": "The request for Datastore.AllocateIds.", "id": "AllocateIdsRequest", "type": "object" }, "ReserveIdsRequest": { "type": "object", "properties": { "databaseId": { "type": "string", "description": "If not empty, the ID of the database against which to make the request." }, "keys": { "items": { "$ref": "Key" }, "type": "array", "description": "Required. A list of keys with complete key paths whose numeric IDs should not be auto-allocated." } }, "id": "ReserveIdsRequest", "description": "The request for Datastore.ReserveIds." }, "CommitResponse": { "properties": { "commitTime": { "description": "The transaction commit timestamp. Not set for non-transactional commits.", "format": "google-datetime", "type": "string" }, "indexUpdates": { "description": "The number of index entries updated during the commit, or zero if none were updated.", "type": "integer", "format": "int32" }, "mutationResults": { "type": "array", "description": "The result of performing the mutations. The i-th mutation result corresponds to the i-th mutation in the request.", "items": { "$ref": "MutationResult" } } }, "type": "object", "id": "CommitResponse", "description": "The response for Datastore.Commit." }, "GoogleDatastoreAdminV1beta1Progress": { "type": "object", "description": "Measures the progress of a particular metric.", "properties": { "workCompleted": { "format": "int64", "description": "The amount of work that has been completed. Note that this may be greater than work_estimated.", "type": "string" }, "workEstimated": { "description": "An estimate of how much work needs to be performed. May be zero if the work estimate is unavailable.", "type": "string", "format": "int64" } }, "id": "GoogleDatastoreAdminV1beta1Progress" }, "KindExpression": { "description": "A representation of a kind.", "id": "KindExpression", "properties": { "name": { "type": "string", "description": "The name of the kind." } }, "type": "object" }, "RollbackResponse": { "id": "RollbackResponse", "description": "The response for Datastore.Rollback. (an empty message).", "properties": {}, "type": "object" }, "Status": { "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "PropertyOrder": { "description": "The desired order for a specific property.", "id": "PropertyOrder", "type": "object", "properties": { "direction": { "enum": [ "DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "Unspecified. This value must not be used.", "Ascending.", "Descending." ], "description": "The direction to order by. Defaults to `ASCENDING`." }, "property": { "description": "The property to order by.", "$ref": "PropertyReference" } } }, "GoogleLongrunningOperation": { "id": "GoogleLongrunningOperation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } } }, "CommitRequest": { "type": "object", "id": "CommitRequest", "properties": { "mode": { "enum": [ "MODE_UNSPECIFIED", "TRANSACTIONAL", "NON_TRANSACTIONAL" ], "description": "The type of commit to perform. Defaults to `TRANSACTIONAL`.", "enumDescriptions": [ "Unspecified. This value must not be used.", "Transactional: The mutations are either all applied, or none are applied. Learn about transactions [here](https://cloud.google.com/datastore/docs/concepts/transactions).", "Non-transactional: The mutations may not apply as all or none." ], "type": "string" }, "mutations": { "type": "array", "items": { "$ref": "Mutation" }, "description": "The mutations to perform. When mode is `TRANSACTIONAL`, mutations affecting a single entity are applied in order. The following sequences of mutations affecting a single entity are not permitted in a single `Commit` request: - `insert` followed by `insert` - `update` followed by `insert` - `upsert` followed by `insert` - `delete` followed by `update` When mode is `NON_TRANSACTIONAL`, no two mutations may affect a single entity." }, "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" }, "transaction": { "description": "The identifier of the transaction associated with the commit. A transaction identifier is returned by a call to Datastore.BeginTransaction.", "format": "byte", "type": "string" } }, "description": "The request for Datastore.Commit." }, "ReserveIdsResponse": { "properties": {}, "type": "object", "id": "ReserveIdsResponse", "description": "The response for Datastore.ReserveIds." }, "GoogleDatastoreAdminV1beta1ExportEntitiesResponse": { "id": "GoogleDatastoreAdminV1beta1ExportEntitiesResponse", "description": "The response for google.datastore.admin.v1beta1.DatastoreAdmin.ExportEntities.", "type": "object", "properties": { "outputUrl": { "type": "string", "description": "Location of the output metadata file. This can be used to begin an import into Cloud Datastore (this project or another project). See google.datastore.admin.v1beta1.ImportEntitiesRequest.input_url. Only present if the operation completed successfully." } } }, "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata": { "description": "Metadata for ImportEntities operations.", "id": "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata", "type": "object", "properties": { "progressEntities": { "description": "An estimate of the number of entities processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" }, "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata" }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1beta1EntityFilter", "description": "Description of which entities are being imported." }, "inputUrl": { "description": "The location of the import metadata file. This will be the same value as the google.datastore.admin.v1beta1.ExportEntitiesResponse.output_url field.", "type": "string" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" } } }, "GoogleDatastoreAdminV1beta1CommonMetadata": { "id": "GoogleDatastoreAdminV1beta1CommonMetadata", "type": "object", "description": "Metadata common to all Datastore Admin operations.", "properties": { "startTime": { "format": "google-datetime", "description": "The time that work began on the operation.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The client-assigned labels which were provided when the operation was created. May also include additional labels." }, "operationType": { "enum": [ "OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES" ], "description": "The type of the operation. Can be used as a filter in ListOperationsRequest.", "enumDescriptions": [ "Unspecified.", "ExportEntities.", "ImportEntities." ], "type": "string" }, "endTime": { "description": "The time the operation ended, either successfully or otherwise.", "format": "google-datetime", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "description": "The current state of the Operation.", "type": "string" } } }, "Entity": { "properties": { "properties": { "additionalProperties": { "$ref": "Value" }, "description": "The entity's properties. The map's keys are property names. A property name matching regex `__.*__` is reserved. A reserved property name is forbidden in certain documented contexts. The name must not contain more than 500 characters. The name cannot be `\"\"`.", "type": "object" }, "key": { "$ref": "Key", "description": "The entity's key. An entity must have a key, unless otherwise documented (for example, an entity in `Value.entity_value` may have no key). An entity's kind is its key path's last element's kind, or null if it has no key." } }, "id": "Entity", "type": "object", "description": "A Datastore data object. An entity is limited to 1 megabyte when stored. That _roughly_ corresponds to a limit of 1 megabyte for the serialized form of this message." }, "LookupResponse": { "id": "LookupResponse", "properties": { "found": { "items": { "$ref": "EntityResult" }, "type": "array", "description": "Entities found as `ResultType.FULL` entities. The order of results in this field is undefined and has no relation to the order of the keys in the input." }, "missing": { "items": { "$ref": "EntityResult" }, "type": "array", "description": "Entities not found as `ResultType.KEY_ONLY` entities. The order of results in this field is undefined and has no relation to the order of the keys in the input." }, "readTime": { "type": "string", "description": "The time at which these entities were read or found missing.", "format": "google-datetime" }, "deferred": { "description": "A list of keys that were not looked up due to resource constraints. The order of results in this field is undefined and has no relation to the order of the keys in the input.", "type": "array", "items": { "$ref": "Key" } } }, "type": "object", "description": "The response for Datastore.Lookup." }, "TransactionOptions": { "type": "object", "id": "TransactionOptions", "description": "Options for beginning a new transaction. Transactions can be created explicitly with calls to Datastore.BeginTransaction or implicitly by setting ReadOptions.new_transaction in read requests.", "properties": { "readOnly": { "$ref": "ReadOnly", "description": "The transaction should only allow reads." }, "readWrite": { "$ref": "ReadWrite", "description": "The transaction should allow both reads and writes." } } }, "Key": { "properties": { "path": { "type": "array", "items": { "$ref": "PathElement" }, "description": "The entity path. An entity path consists of one or more elements composed of a kind and a string or numerical identifier, which identify entities. The first element identifies a _root entity_, the second element identifies a _child_ of the root entity, the third element identifies a child of the second entity, and so forth. The entities identified by all prefixes of the path are called the element's _ancestors_. An entity path is always fully complete: *all* of the entity's ancestors are required to be in the path along with the entity identifier itself. The only exception is that in some documented cases, the identifier in the last path element (for the entity) itself may be omitted. For example, the last path element of the key of `Mutation.insert` may have no identifier. A path can never be empty, and a path can have at most 100 elements." }, "partitionId": { "$ref": "PartitionId", "description": "Entities are partitioned into subsets, currently identified by a project ID and namespace ID. Queries are scoped to a single partition." } }, "id": "Key", "description": "A unique identifier for an entity. If a key's partition ID or any of its path kinds or names are reserved/read-only, the key is reserved/read-only. A reserved/read-only key is forbidden in certain documented contexts.", "type": "object" }, "MutationResult": { "type": "object", "id": "MutationResult", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "The update time of the entity on the server after processing the mutation. If the mutation doesn't change anything on the server, then the timestamp will be the update timestamp of the current entity. This field will not be set after a 'delete'." }, "conflictDetected": { "description": "Whether a conflict was detected for this mutation. Always false when a conflict detection strategy field is not set in the mutation.", "type": "boolean" }, "key": { "$ref": "Key", "description": "The automatically allocated key. Set only when the mutation allocated a key." }, "version": { "description": "The version of the entity on the server after processing the mutation. If the mutation doesn't change anything on the server, then the version will be the version of the current entity or, if no entity is present, a version that is strictly greater than the version of any previous entity and less than the version of any possible future entity.", "format": "int64", "type": "string" } }, "description": "The result of applying a mutation." }, "GoogleDatastoreAdminV1DatastoreFirestoreMigrationMetadata": { "properties": { "migrationStep": { "type": "string", "enumDescriptions": [ "Unspecified.", "Pre-migration: the database is prepared for migration.", "Start of migration.", "Writes are applied synchronously to at least one replica.", "Data is copied to Cloud Firestore and then verified to match the data in Cloud Datastore.", "Eventually-consistent reads are redirected to Cloud Firestore.", "Strongly-consistent reads are redirected to Cloud Firestore.", "Writes are redirected to Cloud Firestore." ], "description": "The current step of migration from Cloud Datastore to Cloud Firestore in Datastore mode.", "enum": [ "MIGRATION_STEP_UNSPECIFIED", "PREPARE", "START", "APPLY_WRITES_SYNCHRONOUSLY", "COPY_AND_VERIFY", "REDIRECT_EVENTUALLY_CONSISTENT_READS", "REDIRECT_STRONGLY_CONSISTENT_READS", "REDIRECT_WRITES" ] }, "migrationState": { "enumDescriptions": [ "Unspecified.", "The migration is running.", "The migration is paused.", "The migration is complete." ], "description": "The current state of migration from Cloud Datastore to Cloud Firestore in Datastore mode.", "type": "string", "enum": [ "MIGRATION_STATE_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETE" ] } }, "id": "GoogleDatastoreAdminV1DatastoreFirestoreMigrationMetadata", "type": "object", "description": "Metadata for Datastore to Firestore migration operations. The DatastoreFirestoreMigration operation is not started by the end-user via an explicit \"creation\" method. This is an intentional deviation from the LRO design pattern. This singleton resource can be accessed at: \"projects/{project_id}/operations/datastore-firestore-migration\"" }, "GoogleDatastoreAdminV1Index": { "id": "GoogleDatastoreAdminV1Index", "description": "Datastore composite index definition.", "properties": { "properties": { "items": { "$ref": "GoogleDatastoreAdminV1IndexedProperty" }, "description": "Required. An ordered sequence of property names and their index attributes.", "type": "array" }, "kind": { "description": "Required. The entity kind to which this index applies.", "type": "string" }, "projectId": { "description": "Output only. Project ID.", "type": "string", "readOnly": true }, "ancestor": { "description": "Required. The index's ancestor mode. Must not be ANCESTOR_MODE_UNSPECIFIED.", "enumDescriptions": [ "The ancestor mode is unspecified.", "Do not include the entity's ancestors in the index.", "Include all the entity's ancestors in the index." ], "enum": [ "ANCESTOR_MODE_UNSPECIFIED", "NONE", "ALL_ANCESTORS" ], "type": "string" }, "state": { "type": "string", "description": "Output only. The state of the index.", "enumDescriptions": [ "The state is unspecified.", "The index is being created, and cannot be used by queries. There is an active long-running operation for the index. The index is updated when writing an entity. Some index data may exist.", "The index is ready to be used. The index is updated when writing an entity. The index is fully populated from all stored entities it applies to.", "The index is being deleted, and cannot be used by queries. There is an active long-running operation for the index. The index is not updated when writing an entity. Some index data may exist.", "The index was being created or deleted, but something went wrong. The index cannot by used by queries. There is no active long-running operation for the index, and the most recently finished long-running operation failed. The index is not updated when writing an entity. Some index data may exist." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING", "ERROR" ], "readOnly": true }, "indexId": { "description": "Output only. The resource ID of the index.", "type": "string", "readOnly": true } }, "type": "object" }, "PropertyFilter": { "description": "A filter on a specific property.", "id": "PropertyFilter", "properties": { "property": { "description": "The property to filter by.", "$ref": "PropertyReference" }, "value": { "$ref": "Value", "description": "The value to compare the property to." }, "op": { "type": "string", "description": "The operator to filter by.", "enum": [ "OPERATOR_UNSPECIFIED", "LESS_THAN", "LESS_THAN_OR_EQUAL", "GREATER_THAN", "GREATER_THAN_OR_EQUAL", "EQUAL", "IN", "NOT_EQUAL", "HAS_ANCESTOR", "NOT_IN" ], "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `property` is less than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is less than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is greater than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is greater than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is equal to the given `value`.", "The given `property` is equal to at least one value in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `NOT_IN` is in the same query.", "The given `property` is not equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL` or `NOT_IN` is in the same query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in the `order_by`.", "Limit the result set to the given entity and its descendants. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is an entity key.", "The value of the `property` is not in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN`, `NOT_IN`, `NOT_EQUAL` is in the same query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ] } }, "type": "object" }, "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata": { "properties": { "entityFilter": { "description": "Description of which entities are being exported.", "$ref": "GoogleDatastoreAdminV1beta1EntityFilter" }, "common": { "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "outputUrlPrefix": { "type": "string", "description": "Location for the export metadata and data files. This will be the same value as the google.datastore.admin.v1beta1.ExportEntitiesRequest.output_url_prefix field. The final output location is provided in google.datastore.admin.v1beta1.ExportEntitiesResponse.output_url." }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of bytes processed." }, "progressEntities": { "description": "An estimate of the number of entities processed.", "$ref": "GoogleDatastoreAdminV1beta1Progress" } }, "id": "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata", "type": "object", "description": "Metadata for ExportEntities operations." }, "PartitionId": { "properties": { "namespaceId": { "type": "string", "description": "If not empty, the ID of the namespace to which the entities belong." }, "databaseId": { "type": "string", "description": "If not empty, the ID of the database to which the entities belong." }, "projectId": { "type": "string", "description": "The ID of the project to which the entities belong." } }, "id": "PartitionId", "type": "object", "description": "A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty. A partition ID contains several dimensions: project ID and namespace ID. Partition dimensions: - May be `\"\"`. - Must be valid UTF-8 bytes. - Must have values that match regex `[A-Za-z\\d\\.\\-_]{1,100}` If the value of any dimension matches regex `__.*__`, the partition is reserved/read-only. A reserved/read-only partition ID is forbidden in certain documented contexts. Foreign partition IDs (in which the project ID does not match the context project ID ) are discouraged. Reads and writes of foreign partition IDs may fail if the project is not in an active state." }, "Empty": { "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "GoogleDatastoreAdminV1MigrationProgressEvent": { "id": "GoogleDatastoreAdminV1MigrationProgressEvent", "description": "An event signifying the start of a new step in a [migration from Cloud Datastore to Cloud Firestore in Datastore mode](https://cloud.google.com/datastore/docs/upgrade-to-firestore).", "properties": { "step": { "enum": [ "MIGRATION_STEP_UNSPECIFIED", "PREPARE", "START", "APPLY_WRITES_SYNCHRONOUSLY", "COPY_AND_VERIFY", "REDIRECT_EVENTUALLY_CONSISTENT_READS", "REDIRECT_STRONGLY_CONSISTENT_READS", "REDIRECT_WRITES" ], "description": "The step that is starting. An event with step set to `START` indicates that the migration has been reverted back to the initial pre-migration state.", "type": "string", "enumDescriptions": [ "Unspecified.", "Pre-migration: the database is prepared for migration.", "Start of migration.", "Writes are applied synchronously to at least one replica.", "Data is copied to Cloud Firestore and then verified to match the data in Cloud Datastore.", "Eventually-consistent reads are redirected to Cloud Firestore.", "Strongly-consistent reads are redirected to Cloud Firestore.", "Writes are redirected to Cloud Firestore." ] }, "prepareStepDetails": { "$ref": "GoogleDatastoreAdminV1PrepareStepDetails", "description": "Details for the `PREPARE` step." }, "redirectWritesStepDetails": { "description": "Details for the `REDIRECT_WRITES` step.", "$ref": "GoogleDatastoreAdminV1RedirectWritesStepDetails" } }, "type": "object" }, "PathElement": { "properties": { "name": { "description": "The name of the entity. A name matching regex `__.*__` is reserved/read-only. A name must not be more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`. Must be valid UTF-8 bytes. Legacy values that are not valid UTF-8 are encoded as `__bytes__` where `` is the base-64 encoding of the bytes.", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "The auto-allocated ID of the entity. Never equal to zero. Values less than zero are discouraged and may not be supported in the future." }, "kind": { "type": "string", "description": "The kind of the entity. A kind matching regex `__.*__` is reserved/read-only. A kind must not contain more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`. Must be valid UTF-8 bytes. Legacy values that are not valid UTF-8 are encoded as `__bytes__` where `` is the base-64 encoding of the bytes." } }, "description": "A (kind, ID/name) pair used to construct a key path. If either name or ID is set, the element is complete. If neither is set, the element is incomplete.", "id": "PathElement", "type": "object" }, "Mutation": { "type": "object", "description": "A mutation to apply to an entity.", "properties": { "baseVersion": { "format": "int64", "description": "The version of the entity that this mutation is being applied to. If this does not match the current version on the server, the mutation conflicts.", "type": "string" }, "delete": { "description": "The key of the entity to delete. The entity may or may not already exist. Must have a complete key path and must not be reserved/read-only.", "$ref": "Key" }, "updateTime": { "type": "string", "description": "The update time of the entity that this mutation is being applied to. If this does not match the current update time on the server, the mutation conflicts.", "format": "google-datetime" }, "update": { "$ref": "Entity", "description": "The entity to update. The entity must already exist. Must have a complete key path." }, "upsert": { "$ref": "Entity", "description": "The entity to upsert. The entity may or may not already exist. The entity key's final path element may be incomplete." }, "insert": { "$ref": "Entity", "description": "The entity to insert. The entity must not already exist. The entity key's final path element may be incomplete." } }, "id": "Mutation" }, "RunQueryResponse": { "type": "object", "properties": { "batch": { "description": "A batch of query results (always present).", "$ref": "QueryResultBatch" }, "query": { "description": "The parsed form of the `GqlQuery` from the request, if it was set.", "$ref": "Query" } }, "id": "RunQueryResponse", "description": "The response for Datastore.RunQuery." }, "GoogleLongrunningListOperationsResponse": { "id": "GoogleLongrunningListOperationsResponse", "properties": { "operations": { "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "type": "object", "description": "The response message for Operations.ListOperations." }, "Query": { "id": "Query", "description": "A query for entities.", "properties": { "offset": { "format": "int32", "description": "The number of results to skip. Applies before limit, but after all other constraints. Optional. Must be \u003e= 0 if specified.", "type": "integer" }, "order": { "description": "The order to apply to the query results (if empty, order is unspecified).", "type": "array", "items": { "$ref": "PropertyOrder" } }, "limit": { "format": "int32", "description": "The maximum number of results to return. Applies after all other constraints. Optional. Unspecified is interpreted as no limit. Must be \u003e= 0 if specified.", "type": "integer" }, "kind": { "items": { "$ref": "KindExpression" }, "description": "The kinds to query (if empty, returns entities of all kinds). Currently at most 1 kind may be specified.", "type": "array" }, "projection": { "items": { "$ref": "Projection" }, "type": "array", "description": "The projection to return. Defaults to returning all properties." }, "endCursor": { "format": "byte", "description": "An ending point for the query results. Query cursors are returned in query result batches and [can only be used to limit the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets).", "type": "string" }, "filter": { "$ref": "Filter", "description": "The filter to apply." }, "distinctOn": { "items": { "$ref": "PropertyReference" }, "type": "array", "description": "The properties to make distinct. The query results will contain the first result for each distinct combination of values for the given properties (if empty, all results are returned)." }, "startCursor": { "format": "byte", "type": "string", "description": "A starting point for the query results. Query cursors are returned in query result batches and [can only be used to continue the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets)." } }, "type": "object" }, "CompositeFilter": { "description": "A filter that merges multiple other filters using the given operator.", "type": "object", "id": "CompositeFilter", "properties": { "op": { "enumDescriptions": [ "Unspecified. This value must not be used.", "The results are required to satisfy each of the combined filters." ], "enum": [ "OPERATOR_UNSPECIFIED", "AND" ], "description": "The operator for combining multiple filters.", "type": "string" }, "filters": { "description": "The list of filters to combine. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At least one filter is present.", "type": "array", "items": { "$ref": "Filter" } } } }, "ArrayValue": { "properties": { "values": { "description": "Values in the array. The order of values in an array is preserved as long as all values have identical settings for 'exclude_from_indexes'.", "items": { "$ref": "Value" }, "type": "array" } }, "id": "ArrayValue", "type": "object", "description": "An array value." }, "GoogleDatastoreAdminV1EntityFilter": { "type": "object", "description": "Identifies a subset of entities in a project. This is specified as combinations of kinds and namespaces (either or both of which may be all, as described in the following examples). Example usage: Entire project: kinds=[], namespace_ids=[] Kinds Foo and Bar in all namespaces: kinds=['Foo', 'Bar'], namespace_ids=[] Kinds Foo and Bar only in the default namespace: kinds=['Foo', 'Bar'], namespace_ids=[''] Kinds Foo and Bar in both the default and Baz namespaces: kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz'] The entire Baz namespace: kinds=[], namespace_ids=['Baz']", "properties": { "kinds": { "type": "array", "items": { "type": "string" }, "description": "If empty, then this represents all kinds." }, "namespaceIds": { "items": { "type": "string" }, "type": "array", "description": "An empty list represents all namespaces. This is the preferred usage for projects that don't use namespaces. An empty string element represents the default namespace. This should be used if the project has data in non-default namespaces, but doesn't want to include them. Each namespace in this list must be unique." } }, "id": "GoogleDatastoreAdminV1EntityFilter" }, "QueryResultBatch": { "description": "A batch of results produced by a query.", "type": "object", "properties": { "snapshotVersion": { "type": "string", "description": "The version number of the snapshot this batch was returned from. This applies to the range of results from the query's `start_cursor` (or the beginning of the query if no cursor was given) to this batch's `end_cursor` (not the query's `end_cursor`). In a single transaction, subsequent query result batches for the same query can have a greater snapshot version number. Each batch's snapshot version is valid for all preceding batches. The value will be zero for eventually consistent queries.", "format": "int64" }, "readTime": { "type": "string", "description": "Read timestamp this batch was returned from. This applies to the range of results from the query's `start_cursor` (or the beginning of the query if no cursor was given) to this batch's `end_cursor` (not the query's `end_cursor`). In a single transaction, subsequent query result batches for the same query can have a greater timestamp. Each batch's read timestamp is valid for all preceding batches. This value will not be set for eventually consistent queries in Cloud Datastore.", "format": "google-datetime" }, "skippedResults": { "type": "integer", "description": "The number of results skipped, typically because of an offset.", "format": "int32" }, "skippedCursor": { "format": "byte", "type": "string", "description": "A cursor that points to the position after the last skipped result. Will be set when `skipped_results` != 0." }, "entityResultType": { "enum": [ "RESULT_TYPE_UNSPECIFIED", "FULL", "PROJECTION", "KEY_ONLY" ], "enumDescriptions": [ "Unspecified. This value is never used.", "The key and properties.", "A projected subset of properties. The entity may have no key.", "Only the key." ], "description": "The result type for every entity in `entity_results`.", "type": "string" }, "moreResults": { "enumDescriptions": [ "Unspecified. This value is never used.", "There may be additional batches to fetch from this query.", "The query is finished, but there may be more results after the limit.", "The query is finished, but there may be more results after the end cursor.", "The query is finished, and there are no more results." ], "enum": [ "MORE_RESULTS_TYPE_UNSPECIFIED", "NOT_FINISHED", "MORE_RESULTS_AFTER_LIMIT", "MORE_RESULTS_AFTER_CURSOR", "NO_MORE_RESULTS" ], "type": "string", "description": "The state of the query after the current batch." }, "entityResults": { "description": "The results for this batch.", "type": "array", "items": { "$ref": "EntityResult" } }, "endCursor": { "format": "byte", "description": "A cursor that points to the position after the last result in the batch.", "type": "string" } }, "id": "QueryResultBatch" }, "AllocateIdsResponse": { "id": "AllocateIdsResponse", "properties": { "keys": { "type": "array", "description": "The keys specified in the request (in the same order), each with its key path completed with a newly allocated ID.", "items": { "$ref": "Key" } } }, "type": "object", "description": "The response for Datastore.AllocateIds." }, "Value": { "description": "A message that can hold any of the supported value types and associated metadata.", "type": "object", "properties": { "meaning": { "description": "The `meaning` field should only be populated for backwards compatibility.", "format": "int32", "type": "integer" }, "booleanValue": { "type": "boolean", "description": "A boolean value." }, "keyValue": { "$ref": "Key", "description": "A key value." }, "stringValue": { "type": "string", "description": "A UTF-8 encoded string value. When `exclude_from_indexes` is false (it is indexed) , may have at most 1500 bytes. Otherwise, may be set to at most 1,000,000 bytes." }, "geoPointValue": { "$ref": "LatLng", "description": "A geo point value representing a point on the surface of Earth." }, "excludeFromIndexes": { "description": "If the value should be excluded from all indexes including those defined explicitly.", "type": "boolean" }, "entityValue": { "description": "An entity value. - May have no key. - May have a key with an incomplete key path. - May have a reserved/read-only key.", "$ref": "Entity" }, "nullValue": { "type": "string", "enum": [ "NULL_VALUE" ], "description": "A null value.", "enumDescriptions": [ "Null value." ] }, "doubleValue": { "description": "A double value.", "format": "double", "type": "number" }, "integerValue": { "type": "string", "format": "int64", "description": "An integer value." }, "timestampValue": { "description": "A timestamp value. When stored in the Datastore, precise only to microseconds; any additional precision is rounded down.", "type": "string", "format": "google-datetime" }, "blobValue": { "description": "A blob value. May have at most 1,000,000 bytes. When `exclude_from_indexes` is false, may have at most 1500 bytes. In JSON requests, must be base64-encoded.", "format": "byte", "type": "string" }, "arrayValue": { "$ref": "ArrayValue", "description": "An array value. Cannot contain another array value. A `Value` instance that sets field `array_value` must not set fields `meaning` or `exclude_from_indexes`." } }, "id": "Value" }, "LatLng": { "id": "LatLng", "type": "object", "properties": { "latitude": { "format": "double", "type": "number", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0]." }, "longitude": { "type": "number", "format": "double", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0]." } }, "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges." }, "GoogleDatastoreAdminV1ImportEntitiesRequest": { "description": "The request for google.datastore.admin.v1.DatastoreAdmin.ImportEntities.", "id": "GoogleDatastoreAdminV1ImportEntitiesRequest", "type": "object", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Client-assigned labels." }, "entityFilter": { "description": "Optionally specify which kinds/namespaces are to be imported. If provided, the list must be a subset of the EntityFilter used in creating the export, otherwise a FAILED_PRECONDITION error will be returned. If no filter is specified then all entities from the export are imported.", "$ref": "GoogleDatastoreAdminV1EntityFilter" }, "inputUrl": { "description": "Required. The full resource URL of the external storage location. Currently, only Google Cloud Storage is supported. So input_url should be of the form: `gs://BUCKET_NAME[/NAMESPACE_PATH]/OVERALL_EXPORT_METADATA_FILE`, where `BUCKET_NAME` is the name of the Cloud Storage bucket, `NAMESPACE_PATH` is an optional Cloud Storage namespace path (this is not a Cloud Datastore namespace), and `OVERALL_EXPORT_METADATA_FILE` is the metadata file written by the ExportEntities operation. For more information about Cloud Storage namespace paths, see [Object name considerations](https://cloud.google.com/storage/docs/naming#object-considerations). For more information, see google.datastore.admin.v1.ExportEntitiesResponse.output_url.", "type": "string" } } }, "GoogleDatastoreAdminV1RedirectWritesStepDetails": { "id": "GoogleDatastoreAdminV1RedirectWritesStepDetails", "type": "object", "description": "Details for the `REDIRECT_WRITES` step.", "properties": { "concurrencyMode": { "type": "string", "description": "Ths concurrency mode for this database.", "enum": [ "CONCURRENCY_MODE_UNSPECIFIED", "PESSIMISTIC", "OPTIMISTIC", "OPTIMISTIC_WITH_ENTITY_GROUPS" ], "enumDescriptions": [ "Unspecified.", "Pessimistic concurrency.", "Optimistic concurrency.", "Optimistic concurrency with entity groups." ] } } }, "PropertyReference": { "description": "A reference to a property relative to the kind expressions.", "id": "PropertyReference", "type": "object", "properties": { "name": { "description": "The name of the property. If name includes \".\"s, it may be interpreted as a property name path.", "type": "string" } } }, "GoogleDatastoreAdminV1MigrationStateEvent": { "id": "GoogleDatastoreAdminV1MigrationStateEvent", "description": "An event signifying a change in state of a [migration from Cloud Datastore to Cloud Firestore in Datastore mode](https://cloud.google.com/datastore/docs/upgrade-to-firestore).", "type": "object", "properties": { "state": { "type": "string", "enumDescriptions": [ "Unspecified.", "The migration is running.", "The migration is paused.", "The migration is complete." ], "description": "The new state of the migration.", "enum": [ "MIGRATION_STATE_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETE" ] } } }, "GoogleDatastoreAdminV1CommonMetadata": { "properties": { "endTime": { "description": "The time the operation ended, either successfully or otherwise.", "format": "google-datetime", "type": "string" }, "operationType": { "enumDescriptions": [ "Unspecified.", "ExportEntities.", "ImportEntities.", "CreateIndex.", "DeleteIndex." ], "type": "string", "description": "The type of the operation. Can be used as a filter in ListOperationsRequest.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES", "CREATE_INDEX", "DELETE_INDEX" ] }, "startTime": { "format": "google-datetime", "description": "The time that work began on the operation.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The client-assigned labels which were provided when the operation was created. May also include additional labels." }, "state": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "type": "string", "description": "The current state of the Operation.", "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ] } }, "id": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations.", "type": "object" }, "BeginTransactionResponse": { "id": "BeginTransactionResponse", "type": "object", "properties": { "transaction": { "type": "string", "description": "The transaction identifier (always present).", "format": "byte" } }, "description": "The response for Datastore.BeginTransaction." }, "GoogleDatastoreAdminV1IndexedProperty": { "properties": { "name": { "type": "string", "description": "Required. The property name to index." }, "direction": { "type": "string", "description": "Required. The indexed property's direction. Must not be DIRECTION_UNSPECIFIED.", "enum": [ "DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "The direction is unspecified.", "The property's values are indexed so as to support sequencing in ascending order and also query by \u003c, \u003e, \u003c=, \u003e=, and =.", "The property's values are indexed so as to support sequencing in descending order and also query by \u003c, \u003e, \u003c=, \u003e=, and =." ] } }, "type": "object", "description": "A property of an index.", "id": "GoogleDatastoreAdminV1IndexedProperty" }, "ReadOptions": { "id": "ReadOptions", "type": "object", "properties": { "readConsistency": { "description": "The non-transactional read consistency to use. Cannot be set to `STRONG` for global queries.", "enumDescriptions": [ "Unspecified. This value must not be used.", "Strong consistency.", "Eventual consistency." ], "type": "string", "enum": [ "READ_CONSISTENCY_UNSPECIFIED", "STRONG", "EVENTUAL" ] }, "readTime": { "description": "Reads entities as they were at the given time. This may not be older than 270 seconds. This value is only supported for Cloud Firestore in Datastore mode.", "format": "google-datetime", "type": "string" }, "transaction": { "format": "byte", "description": "The identifier of the transaction in which to read. A transaction identifier is returned by a call to Datastore.BeginTransaction.", "type": "string" } }, "description": "The options shared by read requests." }, "Filter": { "id": "Filter", "description": "A holder for any type of filter.", "properties": { "compositeFilter": { "description": "A composite filter.", "$ref": "CompositeFilter" }, "propertyFilter": { "description": "A filter on a property.", "$ref": "PropertyFilter" } }, "type": "object" }, "GoogleDatastoreAdminV1ListIndexesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "indexes": { "type": "array", "items": { "$ref": "GoogleDatastoreAdminV1Index" }, "description": "The indexes." } }, "description": "The response for google.datastore.admin.v1.DatastoreAdmin.ListIndexes.", "type": "object", "id": "GoogleDatastoreAdminV1ListIndexesResponse" }, "GqlQueryParameter": { "id": "GqlQueryParameter", "properties": { "value": { "description": "A value parameter.", "$ref": "Value" }, "cursor": { "description": "A query cursor. Query cursors are returned in query result batches.", "type": "string", "format": "byte" } }, "description": "A binding parameter for a GQL query.", "type": "object" }, "GoogleDatastoreAdminV1PrepareStepDetails": { "type": "object", "properties": { "concurrencyMode": { "description": "The concurrency mode this database will use when it reaches the `REDIRECT_WRITES` step.", "enum": [ "CONCURRENCY_MODE_UNSPECIFIED", "PESSIMISTIC", "OPTIMISTIC", "OPTIMISTIC_WITH_ENTITY_GROUPS" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Pessimistic concurrency.", "Optimistic concurrency.", "Optimistic concurrency with entity groups." ] } }, "description": "Details for the `PREPARE` step.", "id": "GoogleDatastoreAdminV1PrepareStepDetails" }, "GoogleDatastoreAdminV1ExportEntitiesRequest": { "type": "object", "description": "The request for google.datastore.admin.v1.DatastoreAdmin.ExportEntities.", "id": "GoogleDatastoreAdminV1ExportEntitiesRequest", "properties": { "outputUrlPrefix": { "description": "Required. Location for the export metadata and data files. The full resource URL of the external storage location. Currently, only Google Cloud Storage is supported. So output_url_prefix should be of the form: `gs://BUCKET_NAME[/NAMESPACE_PATH]`, where `BUCKET_NAME` is the name of the Cloud Storage bucket and `NAMESPACE_PATH` is an optional Cloud Storage namespace path (this is not a Cloud Datastore namespace). For more information about Cloud Storage namespace paths, see [Object name considerations](https://cloud.google.com/storage/docs/naming#object-considerations). The resulting files will be nested deeper than the specified URL prefix. The final output URL will be provided in the google.datastore.admin.v1.ExportEntitiesResponse.output_url field. That value should be used for subsequent ImportEntities operations. By nesting the data files deeper, the same Cloud Storage bucket can be used in multiple ExportEntities operations without conflict.", "type": "string" }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1EntityFilter", "description": "Description of what data from the project is included in the export." }, "labels": { "description": "Client-assigned labels.", "type": "object", "additionalProperties": { "type": "string" } } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/datastore": { "description": "View and manage your Google Cloud Datastore data" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "datastore:v1", "version_module": true, "name": "datastore", "ownerDomain": "google.com", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version": "v1", "mtlsRootUrl": "https://datastore.mtls.googleapis.com/", "ownerName": "Google", "basePath": "", "protocol": "rest", "description": "Accesses the schemaless NoSQL database to provide fully managed, robust, scalable storage for your application. " }
]===]))
