local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "mtlsRootUrl": "https://datastore.mtls.googleapis.com/", "title": "Cloud Datastore API", "resources": { "projects": { "methods": { "allocateIds": { "parameters": { "projectId": { "type": "string", "location": "path", "description": "Required. The ID of the project against which to make the request.", "required": true } }, "flatPath": "v1beta3/projects/{projectId}:allocateIds", "httpMethod": "POST", "path": "v1beta3/projects/{projectId}:allocateIds", "response": { "$ref": "AllocateIdsResponse" }, "id": "datastore.projects.allocateIds", "description": "Allocates IDs for the given keys, which is useful for referencing an entity before it is inserted.", "request": { "$ref": "AllocateIdsRequest" }, "parameterOrder": [ "projectId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "runQuery": { "parameterOrder": [ "projectId" ], "path": "v1beta3/projects/{projectId}:runQuery", "flatPath": "v1beta3/projects/{projectId}:runQuery", "id": "datastore.projects.runQuery", "request": { "$ref": "RunQueryRequest" }, "description": "Queries for entities.", "parameters": { "projectId": { "location": "path", "description": "Required. The ID of the project against which to make the request.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "POST", "response": { "$ref": "RunQueryResponse" } }, "commit": { "path": "v1beta3/projects/{projectId}:commit", "parameterOrder": [ "projectId" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "datastore.projects.commit", "response": { "$ref": "CommitResponse" }, "parameters": { "projectId": { "description": "Required. The ID of the project against which to make the request.", "type": "string", "location": "path", "required": true } }, "request": { "$ref": "CommitRequest" }, "description": "Commits a transaction, optionally creating, deleting or modifying some entities.", "flatPath": "v1beta3/projects/{projectId}:commit" }, "reserveIds": { "parameterOrder": [ "projectId" ], "response": { "$ref": "ReserveIdsResponse" }, "httpMethod": "POST", "request": { "$ref": "ReserveIdsRequest" }, "flatPath": "v1beta3/projects/{projectId}:reserveIds", "parameters": { "projectId": { "description": "Required. The ID of the project against which to make the request.", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "path": "v1beta3/projects/{projectId}:reserveIds", "id": "datastore.projects.reserveIds", "description": "Prevents the supplied keys' IDs from being auto-allocated by Cloud Datastore." }, "rollback": { "flatPath": "v1beta3/projects/{projectId}:rollback", "request": { "$ref": "RollbackRequest" }, "path": "v1beta3/projects/{projectId}:rollback", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "projectId": { "type": "string", "description": "Required. The ID of the project against which to make the request.", "required": true, "location": "path" } }, "id": "datastore.projects.rollback", "response": { "$ref": "RollbackResponse" }, "parameterOrder": [ "projectId" ], "description": "Rolls back a transaction.", "httpMethod": "POST" }, "beginTransaction": { "description": "Begins a new transaction.", "request": { "$ref": "BeginTransactionRequest" }, "httpMethod": "POST", "parameterOrder": [ "projectId" ], "id": "datastore.projects.beginTransaction", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1beta3/projects/{projectId}:beginTransaction", "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the project against which to make the request." } }, "path": "v1beta3/projects/{projectId}:beginTransaction", "response": { "$ref": "BeginTransactionResponse" } }, "lookup": { "description": "Looks up entities by key.", "parameterOrder": [ "projectId" ], "parameters": { "projectId": { "required": true, "description": "Required. The ID of the project against which to make the request.", "type": "string", "location": "path" } }, "request": { "$ref": "LookupRequest" }, "id": "datastore.projects.lookup", "path": "v1beta3/projects/{projectId}:lookup", "response": { "$ref": "LookupResponse" }, "httpMethod": "POST", "flatPath": "v1beta3/projects/{projectId}:lookup", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] } } } }, "documentationLink": "https://cloud.google.com/datastore/", "ownerName": "Google", "id": "datastore:v1beta3", "ownerDomain": "google.com", "protocol": "rest", "batchPath": "batch", "revision": "20220625", "version_module": true, "schemas": { "PropertyOrder": { "description": "The desired order for a specific property.", "id": "PropertyOrder", "type": "object", "properties": { "property": { "description": "The property to order by.", "$ref": "PropertyReference" }, "direction": { "type": "string", "enum": [ "DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "Unspecified. This value must not be used.", "Ascending.", "Descending." ], "description": "The direction to order by. Defaults to `ASCENDING`." } } }, "GoogleDatastoreAdminV1Progress": { "id": "GoogleDatastoreAdminV1Progress", "description": "Measures the progress of a particular metric.", "properties": { "workCompleted": { "format": "int64", "type": "string", "description": "The amount of work that has been completed. Note that this may be greater than work_estimated." }, "workEstimated": { "type": "string", "format": "int64", "description": "An estimate of how much work needs to be performed. May be zero if the work estimate is unavailable." } }, "type": "object" }, "GoogleDatastoreAdminV1EntityFilter": { "id": "GoogleDatastoreAdminV1EntityFilter", "description": "Identifies a subset of entities in a project. This is specified as combinations of kinds and namespaces (either or both of which may be all, as described in the following examples). Example usage: Entire project: kinds=[], namespace_ids=[] Kinds Foo and Bar in all namespaces: kinds=['Foo', 'Bar'], namespace_ids=[] Kinds Foo and Bar only in the default namespace: kinds=['Foo', 'Bar'], namespace_ids=[''] Kinds Foo and Bar in both the default and Baz namespaces: kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz'] The entire Baz namespace: kinds=[], namespace_ids=['Baz']", "type": "object", "properties": { "kinds": { "items": { "type": "string" }, "type": "array", "description": "If empty, then this represents all kinds." }, "namespaceIds": { "items": { "type": "string" }, "description": "An empty list represents all namespaces. This is the preferred usage for projects that don't use namespaces. An empty string element represents the default namespace. This should be used if the project has data in non-default namespaces, but doesn't want to include them. Each namespace in this list must be unique.", "type": "array" } } }, "GoogleDatastoreAdminV1beta1EntityFilter": { "properties": { "kinds": { "type": "array", "description": "If empty, then this represents all kinds.", "items": { "type": "string" } }, "namespaceIds": { "type": "array", "description": "An empty list represents all namespaces. This is the preferred usage for projects that don't use namespaces. An empty string element represents the default namespace. This should be used if the project has data in non-default namespaces, but doesn't want to include them. Each namespace in this list must be unique.", "items": { "type": "string" } } }, "description": "Identifies a subset of entities in a project. This is specified as combinations of kinds and namespaces (either or both of which may be all, as described in the following examples). Example usage: Entire project: kinds=[], namespace_ids=[] Kinds Foo and Bar in all namespaces: kinds=['Foo', 'Bar'], namespace_ids=[] Kinds Foo and Bar only in the default namespace: kinds=['Foo', 'Bar'], namespace_ids=[''] Kinds Foo and Bar in both the default and Baz namespaces: kinds=['Foo', 'Bar'], namespace_ids=['', 'Baz'] The entire Baz namespace: kinds=[], namespace_ids=['Baz']", "id": "GoogleDatastoreAdminV1beta1EntityFilter", "type": "object" }, "GoogleDatastoreAdminV1beta1ExportEntitiesResponse": { "description": "The response for google.datastore.admin.v1beta1.DatastoreAdmin.ExportEntities.", "id": "GoogleDatastoreAdminV1beta1ExportEntitiesResponse", "properties": { "outputUrl": { "type": "string", "description": "Location of the output metadata file. This can be used to begin an import into Cloud Datastore (this project or another project). See google.datastore.admin.v1beta1.ImportEntitiesRequest.input_url. Only present if the operation completed successfully." } }, "type": "object" }, "LookupResponse": { "type": "object", "id": "LookupResponse", "description": "The response for Datastore.Lookup.", "properties": { "found": { "description": "Entities found as `ResultType.FULL` entities. The order of results in this field is undefined and has no relation to the order of the keys in the input.", "type": "array", "items": { "$ref": "EntityResult" } }, "readTime": { "description": "The time at which these entities were read or found missing.", "type": "string", "format": "google-datetime" }, "missing": { "items": { "$ref": "EntityResult" }, "description": "Entities not found as `ResultType.KEY_ONLY` entities. The order of results in this field is undefined and has no relation to the order of the keys in the input.", "type": "array" }, "deferred": { "description": "A list of keys that were not looked up due to resource constraints. The order of results in this field is undefined and has no relation to the order of the keys in the input.", "items": { "$ref": "Key" }, "type": "array" } } }, "GqlQueryParameter": { "type": "object", "description": "A binding parameter for a GQL query.", "properties": { "value": { "$ref": "Value", "description": "A value parameter." }, "cursor": { "format": "byte", "type": "string", "description": "A query cursor. Query cursors are returned in query result batches." } }, "id": "GqlQueryParameter" }, "RunQueryRequest": { "properties": { "partitionId": { "description": "Entities are partitioned into subsets, identified by a partition ID. Queries are scoped to a single partition. This partition ID is normalized with the standard default context partition ID.", "$ref": "PartitionId" }, "gqlQuery": { "description": "The GQL query to run. This query must be a non-aggregation query.", "$ref": "GqlQuery" }, "query": { "$ref": "Query", "description": "The query to run." }, "readOptions": { "$ref": "ReadOptions", "description": "The options for this query." } }, "id": "RunQueryRequest", "type": "object", "description": "The request for Datastore.RunQuery." }, "RollbackRequest": { "type": "object", "id": "RollbackRequest", "description": "The request for Datastore.Rollback.", "properties": { "transaction": { "type": "string", "format": "byte", "description": "Required. The transaction identifier, returned by a call to Datastore.BeginTransaction." } } }, "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata": { "description": "Metadata for ImportEntities operations.", "id": "GoogleDatastoreAdminV1beta1ImportEntitiesMetadata", "type": "object", "properties": { "progressEntities": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of entities processed." }, "entityFilter": { "description": "Description of which entities are being imported.", "$ref": "GoogleDatastoreAdminV1beta1EntityFilter" }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of bytes processed." }, "common": { "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." }, "inputUrl": { "type": "string", "description": "The location of the import metadata file. This will be the same value as the google.datastore.admin.v1beta1.ExportEntitiesResponse.output_url field." } } }, "PropertyFilter": { "type": "object", "description": "A filter on a specific property.", "id": "PropertyFilter", "properties": { "value": { "description": "The value to compare the property to.", "$ref": "Value" }, "property": { "description": "The property to filter by.", "$ref": "PropertyReference" }, "op": { "description": "The operator to filter by.", "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `property` is less than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is less than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is greater than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is greater than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in `order_by`.", "The given `property` is equal to the given `value`.", "The given `property` is equal to at least one value in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `NOT_IN` is in the same query.", "The given `property` is not equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL` or `NOT_IN` is in the same query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `property` comes first in the `order_by`.", "Limit the result set to the given entity and its descendants. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is an entity key.", "The value of the `property` is not in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN`, `NOT_IN`, `NOT_EQUAL` is in the same query. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ], "type": "string", "enum": [ "OPERATOR_UNSPECIFIED", "LESS_THAN", "LESS_THAN_OR_EQUAL", "GREATER_THAN", "GREATER_THAN_OR_EQUAL", "EQUAL", "IN", "NOT_EQUAL", "HAS_ANCESTOR", "NOT_IN" ] } } }, "GoogleDatastoreAdminV1RedirectWritesStepDetails": { "type": "object", "description": "Details for the `REDIRECT_WRITES` step.", "properties": { "concurrencyMode": { "enum": [ "CONCURRENCY_MODE_UNSPECIFIED", "PESSIMISTIC", "OPTIMISTIC", "OPTIMISTIC_WITH_ENTITY_GROUPS" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Pessimistic concurrency.", "Optimistic concurrency.", "Optimistic concurrency with entity groups." ], "description": "Ths concurrency mode for this database." } }, "id": "GoogleDatastoreAdminV1RedirectWritesStepDetails" }, "RunQueryResponse": { "type": "object", "description": "The response for Datastore.RunQuery.", "properties": { "batch": { "$ref": "QueryResultBatch", "description": "A batch of query results (always present)." }, "query": { "$ref": "Query", "description": "The parsed form of the `GqlQuery` from the request, if it was set." } }, "id": "RunQueryResponse" }, "BeginTransactionResponse": { "description": "The response for Datastore.BeginTransaction.", "type": "object", "properties": { "transaction": { "description": "The transaction identifier (always present).", "type": "string", "format": "byte" } }, "id": "BeginTransactionResponse" }, "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata": { "type": "object", "description": "Metadata for ExportEntities operations.", "properties": { "outputUrlPrefix": { "description": "Location for the export metadata and data files. This will be the same value as the google.datastore.admin.v1beta1.ExportEntitiesRequest.output_url_prefix field. The final output location is provided in google.datastore.admin.v1beta1.ExportEntitiesResponse.output_url.", "type": "string" }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of bytes processed." }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1beta1Progress", "description": "An estimate of the number of entities processed." }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1beta1EntityFilter", "description": "Description of which entities are being exported." }, "common": { "$ref": "GoogleDatastoreAdminV1beta1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." } }, "id": "GoogleDatastoreAdminV1beta1ExportEntitiesMetadata" }, "Value": { "properties": { "nullValue": { "description": "A null value.", "type": "string", "enum": [ "NULL_VALUE" ], "enumDescriptions": [ "Null value." ] }, "excludeFromIndexes": { "type": "boolean", "description": "If the value should be excluded from all indexes including those defined explicitly." }, "entityValue": { "description": "An entity value. - May have no key. - May have a key with an incomplete key path. - May have a reserved/read-only key.", "$ref": "Entity" }, "timestampValue": { "description": "A timestamp value. When stored in the Datastore, precise only to microseconds; any additional precision is rounded down.", "type": "string", "format": "google-datetime" }, "booleanValue": { "description": "A boolean value.", "type": "boolean" }, "arrayValue": { "$ref": "ArrayValue", "description": "An array value. Cannot contain another array value. A `Value` instance that sets field `array_value` must not set fields `meaning` or `exclude_from_indexes`." }, "geoPointValue": { "description": "A geo point value representing a point on the surface of Earth.", "$ref": "LatLng" }, "stringValue": { "type": "string", "description": "A UTF-8 encoded string value. When `exclude_from_indexes` is false (it is indexed) , may have at most 1500 bytes. Otherwise, may be set to at most 1,000,000 bytes." }, "meaning": { "type": "integer", "description": "The `meaning` field should only be populated for backwards compatibility.", "format": "int32" }, "doubleValue": { "format": "double", "type": "number", "description": "A double value." }, "keyValue": { "description": "A key value.", "$ref": "Key" }, "integerValue": { "type": "string", "format": "int64", "description": "An integer value." }, "blobValue": { "type": "string", "description": "A blob value. May have at most 1,000,000 bytes. When `exclude_from_indexes` is false, may have at most 1500 bytes. In JSON requests, must be base64-encoded.", "format": "byte" } }, "description": "A message that can hold any of the supported value types and associated metadata.", "type": "object", "id": "Value" }, "Projection": { "description": "A representation of a property in a projection.", "properties": { "property": { "$ref": "PropertyReference", "description": "The property to project." } }, "type": "object", "id": "Projection" }, "GoogleDatastoreAdminV1PrepareStepDetails": { "description": "Details for the `PREPARE` step.", "properties": { "concurrencyMode": { "enum": [ "CONCURRENCY_MODE_UNSPECIFIED", "PESSIMISTIC", "OPTIMISTIC", "OPTIMISTIC_WITH_ENTITY_GROUPS" ], "type": "string", "description": "The concurrency mode this database will use when it reaches the `REDIRECT_WRITES` step.", "enumDescriptions": [ "Unspecified.", "Pessimistic concurrency.", "Optimistic concurrency.", "Optimistic concurrency with entity groups." ] } }, "type": "object", "id": "GoogleDatastoreAdminV1PrepareStepDetails" }, "LatLng": { "id": "LatLng", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "type": "object", "properties": { "longitude": { "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double", "type": "number" }, "latitude": { "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double", "type": "number" } } }, "PartitionId": { "id": "PartitionId", "type": "object", "description": "A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty. A partition ID contains several dimensions: project ID and namespace ID. Partition dimensions: - May be `\"\"`. - Must be valid UTF-8 bytes. - Must have values that match regex `[A-Za-z\\d\\.\\-_]{1,100}` If the value of any dimension matches regex `__.*__`, the partition is reserved/read-only. A reserved/read-only partition ID is forbidden in certain documented contexts. Foreign partition IDs (in which the project ID does not match the context project ID ) are discouraged. Reads and writes of foreign partition IDs may fail if the project is not in an active state.", "properties": { "projectId": { "description": "The ID of the project to which the entities belong.", "type": "string" }, "namespaceId": { "description": "If not empty, the ID of the namespace to which the entities belong.", "type": "string" } } }, "ArrayValue": { "id": "ArrayValue", "properties": { "values": { "items": { "$ref": "Value" }, "type": "array", "description": "Values in the array. The order of values in an array is preserved as long as all values have identical settings for 'exclude_from_indexes'." } }, "type": "object", "description": "An array value." }, "Filter": { "description": "A holder for any type of filter.", "properties": { "compositeFilter": { "description": "A composite filter.", "$ref": "CompositeFilter" }, "propertyFilter": { "description": "A filter on a property.", "$ref": "PropertyFilter" } }, "id": "Filter", "type": "object" }, "GoogleDatastoreAdminV1ExportEntitiesMetadata": { "id": "GoogleDatastoreAdminV1ExportEntitiesMetadata", "type": "object", "properties": { "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." }, "entityFilter": { "description": "Description of which entities are being exported.", "$ref": "GoogleDatastoreAdminV1EntityFilter" }, "outputUrlPrefix": { "description": "Location for the export metadata and data files. This will be the same value as the google.datastore.admin.v1.ExportEntitiesRequest.output_url_prefix field. The final output location is provided in google.datastore.admin.v1.ExportEntitiesResponse.output_url.", "type": "string" }, "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1CommonMetadata" }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleDatastoreAdminV1Progress" } }, "description": "Metadata for ExportEntities operations." }, "GoogleDatastoreAdminV1MigrationProgressEvent": { "type": "object", "id": "GoogleDatastoreAdminV1MigrationProgressEvent", "properties": { "step": { "enum": [ "MIGRATION_STEP_UNSPECIFIED", "PREPARE", "START", "APPLY_WRITES_SYNCHRONOUSLY", "COPY_AND_VERIFY", "REDIRECT_EVENTUALLY_CONSISTENT_READS", "REDIRECT_STRONGLY_CONSISTENT_READS", "REDIRECT_WRITES" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Pre-migration: the database is prepared for migration.", "Start of migration.", "Writes are applied synchronously to at least one replica.", "Data is copied to Cloud Firestore and then verified to match the data in Cloud Datastore.", "Eventually-consistent reads are redirected to Cloud Firestore.", "Strongly-consistent reads are redirected to Cloud Firestore.", "Writes are redirected to Cloud Firestore." ], "description": "The step that is starting. An event with step set to `START` indicates that the migration has been reverted back to the initial pre-migration state." }, "prepareStepDetails": { "description": "Details for the `PREPARE` step.", "$ref": "GoogleDatastoreAdminV1PrepareStepDetails" }, "redirectWritesStepDetails": { "$ref": "GoogleDatastoreAdminV1RedirectWritesStepDetails", "description": "Details for the `REDIRECT_WRITES` step." } }, "description": "An event signifying the start of a new step in a [migration from Cloud Datastore to Cloud Firestore in Datastore mode](https://cloud.google.com/datastore/docs/upgrade-to-firestore)." }, "AllocateIdsResponse": { "description": "The response for Datastore.AllocateIds.", "type": "object", "properties": { "keys": { "items": { "$ref": "Key" }, "type": "array", "description": "The keys specified in the request (in the same order), each with its key path completed with a newly allocated ID." } }, "id": "AllocateIdsResponse" }, "MutationResult": { "description": "The result of applying a mutation.", "properties": { "updateTime": { "description": "The update time of the entity on the server after processing the mutation. If the mutation doesn't change anything on the server, then the timestamp will be the update timestamp of the current entity. This field will not be set after a 'delete'.", "type": "string", "format": "google-datetime" }, "conflictDetected": { "type": "boolean", "description": "Whether a conflict was detected for this mutation. Always false when a conflict detection strategy field is not set in the mutation." }, "version": { "type": "string", "format": "int64", "description": "The version of the entity on the server after processing the mutation. If the mutation doesn't change anything on the server, then the version will be the version of the current entity or, if no entity is present, a version that is strictly greater than the version of any previous entity and less than the version of any possible future entity." }, "key": { "$ref": "Key", "description": "The automatically allocated key. Set only when the mutation allocated a key." } }, "type": "object", "id": "MutationResult" }, "Key": { "description": "A unique identifier for an entity. If a key's partition ID or any of its path kinds or names are reserved/read-only, the key is reserved/read-only. A reserved/read-only key is forbidden in certain documented contexts.", "type": "object", "id": "Key", "properties": { "path": { "items": { "$ref": "PathElement" }, "description": "The entity path. An entity path consists of one or more elements composed of a kind and a string or numerical identifier, which identify entities. The first element identifies a _root entity_, the second element identifies a _child_ of the root entity, the third element identifies a child of the second entity, and so forth. The entities identified by all prefixes of the path are called the element's _ancestors_. An entity path is always fully complete: *all* of the entity's ancestors are required to be in the path along with the entity identifier itself. The only exception is that in some documented cases, the identifier in the last path element (for the entity) itself may be omitted. For example, the last path element of the key of `Mutation.insert` may have no identifier. A path can never be empty, and a path can have at most 100 elements.", "type": "array" }, "partitionId": { "description": "Entities are partitioned into subsets, currently identified by a project ID and namespace ID. Queries are scoped to a single partition.", "$ref": "PartitionId" } } }, "CompositeFilter": { "id": "CompositeFilter", "properties": { "op": { "enum": [ "OPERATOR_UNSPECIFIED", "AND" ], "description": "The operator for combining multiple filters.", "enumDescriptions": [ "Unspecified. This value must not be used.", "The results are required to satisfy each of the combined filters." ], "type": "string" }, "filters": { "items": { "$ref": "Filter" }, "type": "array", "description": "The list of filters to combine. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At least one filter is present." } }, "description": "A filter that merges multiple other filters using the given operator.", "type": "object" }, "Entity": { "description": "A Datastore data object. An entity is limited to 1 megabyte when stored. That _roughly_ corresponds to a limit of 1 megabyte for the serialized form of this message.", "type": "object", "properties": { "properties": { "type": "object", "description": "The entity's properties. The map's keys are property names. A property name matching regex `__.*__` is reserved. A reserved property name is forbidden in certain documented contexts. The name must not contain more than 500 characters. The name cannot be `\"\"`.", "additionalProperties": { "$ref": "Value" } }, "key": { "$ref": "Key", "description": "The entity's key. An entity must have a key, unless otherwise documented (for example, an entity in `Value.entity_value` may have no key). An entity's kind is its key path's last element's kind, or null if it has no key." } }, "id": "Entity" }, "CommitResponse": { "id": "CommitResponse", "description": "The response for Datastore.Commit.", "properties": { "mutationResults": { "description": "The result of performing the mutations. The i-th mutation result corresponds to the i-th mutation in the request.", "items": { "$ref": "MutationResult" }, "type": "array" }, "indexUpdates": { "type": "integer", "format": "int32", "description": "The number of index entries updated during the commit, or zero if none were updated." }, "commitTime": { "description": "The transaction commit timestamp. Not set for non-transactional commits.", "format": "google-datetime", "type": "string" } }, "type": "object" }, "AllocateIdsRequest": { "description": "The request for Datastore.AllocateIds.", "id": "AllocateIdsRequest", "type": "object", "properties": { "keys": { "type": "array", "description": "Required. A list of keys with incomplete key paths for which to allocate IDs. No key may be reserved/read-only.", "items": { "$ref": "Key" } } } }, "ReserveIdsRequest": { "description": "The request for Datastore.ReserveIds.", "properties": { "keys": { "description": "Required. A list of keys with complete key paths whose numeric IDs should not be auto-allocated.", "items": { "$ref": "Key" }, "type": "array" }, "databaseId": { "description": "If not empty, the ID of the database against which to make the request.", "type": "string" } }, "id": "ReserveIdsRequest", "type": "object" }, "RollbackResponse": { "properties": {}, "description": "The response for Datastore.Rollback. (an empty message).", "id": "RollbackResponse", "type": "object" }, "KindExpression": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of the kind." } }, "description": "A representation of a kind.", "id": "KindExpression" }, "GqlQuery": { "properties": { "positionalBindings": { "description": "Numbered binding site @1 references the first numbered parameter, effectively using 1-based indexing, rather than the usual 0. For each binding site numbered i in `query_string`, there must be an i-th numbered parameter. The inverse must also be true.", "type": "array", "items": { "$ref": "GqlQueryParameter" } }, "queryString": { "type": "string", "description": "A string of the format described [here](https://cloud.google.com/datastore/docs/apis/gql/gql_reference)." }, "namedBindings": { "type": "object", "description": "For each non-reserved named binding site in the query string, there must be a named parameter with that name, but not necessarily the inverse. Key must match regex `A-Za-z_$*`, must not match regex `__.*__`, and must not be `\"\"`.", "additionalProperties": { "$ref": "GqlQueryParameter" } }, "allowLiterals": { "description": "When false, the query string must not contain any literals and instead must bind all values. For example, `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Kind WHERE a = 'string literal'` is not allowed, while `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Kind WHERE a = @value` is.", "type": "boolean" } }, "description": "A [GQL query](https://cloud.google.com/datastore/docs/apis/gql/gql_reference).", "type": "object", "id": "GqlQuery" }, "LookupRequest": { "id": "LookupRequest", "properties": { "keys": { "items": { "$ref": "Key" }, "type": "array", "description": "Required. Keys of entities to look up." }, "readOptions": { "$ref": "ReadOptions", "description": "The options for this lookup request." } }, "description": "The request for Datastore.Lookup.", "type": "object" }, "PathElement": { "properties": { "id": { "type": "string", "format": "int64", "description": "The auto-allocated ID of the entity. Never equal to zero. Values less than zero are discouraged and may not be supported in the future." }, "kind": { "description": "The kind of the entity. A kind matching regex `__.*__` is reserved/read-only. A kind must not contain more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`. Must be valid UTF-8 bytes. Legacy values that are not valid UTF-8 are encoded as `__bytes__` where `` is the base-64 encoding of the bytes.", "type": "string" }, "name": { "type": "string", "description": "The name of the entity. A name matching regex `__.*__` is reserved/read-only. A name must not be more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`. Must be valid UTF-8 bytes. Legacy values that are not valid UTF-8 are encoded as `__bytes__` where `` is the base-64 encoding of the bytes." } }, "id": "PathElement", "description": "A (kind, ID/name) pair used to construct a key path. If either name or ID is set, the element is complete. If neither is set, the element is incomplete.", "type": "object" }, "CommitRequest": { "properties": { "mutations": { "description": "The mutations to perform. When mode is `TRANSACTIONAL`, mutations affecting a single entity are applied in order. The following sequences of mutations affecting a single entity are not permitted in a single `Commit` request: - `insert` followed by `insert` - `update` followed by `insert` - `upsert` followed by `insert` - `delete` followed by `update` When mode is `NON_TRANSACTIONAL`, no two mutations may affect a single entity.", "items": { "$ref": "Mutation" }, "type": "array" }, "transaction": { "description": "The identifier of the transaction associated with the commit. A transaction identifier is returned by a call to Datastore.BeginTransaction.", "format": "byte", "type": "string" }, "mode": { "description": "The type of commit to perform. Defaults to `TRANSACTIONAL`.", "enum": [ "MODE_UNSPECIFIED", "TRANSACTIONAL", "NON_TRANSACTIONAL" ], "enumDescriptions": [ "Unspecified. This value must not be used.", "Transactional: The mutations are either all applied, or none are applied. Learn about transactions [here](https://cloud.google.com/datastore/docs/concepts/transactions).", "Non-transactional: The mutations may not apply as all or none." ], "type": "string" } }, "description": "The request for Datastore.Commit.", "id": "CommitRequest", "type": "object" }, "GoogleDatastoreAdminV1beta1Progress": { "properties": { "workEstimated": { "description": "An estimate of how much work needs to be performed. May be zero if the work estimate is unavailable.", "format": "int64", "type": "string" }, "workCompleted": { "format": "int64", "type": "string", "description": "The amount of work that has been completed. Note that this may be greater than work_estimated." } }, "type": "object", "id": "GoogleDatastoreAdminV1beta1Progress", "description": "Measures the progress of a particular metric." }, "PropertyReference": { "id": "PropertyReference", "properties": { "name": { "description": "The name of the property. If name includes \".\"s, it may be interpreted as a property name path.", "type": "string" } }, "description": "A reference to a property relative to the kind expressions.", "type": "object" }, "Query": { "id": "Query", "properties": { "endCursor": { "format": "byte", "type": "string", "description": "An ending point for the query results. Query cursors are returned in query result batches and [can only be used to limit the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets)." }, "distinctOn": { "description": "The properties to make distinct. The query results will contain the first result for each distinct combination of values for the given properties (if empty, all results are returned).", "items": { "$ref": "PropertyReference" }, "type": "array" }, "filter": { "description": "The filter to apply.", "$ref": "Filter" }, "kind": { "type": "array", "items": { "$ref": "KindExpression" }, "description": "The kinds to query (if empty, returns entities of all kinds). Currently at most 1 kind may be specified." }, "order": { "type": "array", "description": "The order to apply to the query results (if empty, order is unspecified).", "items": { "$ref": "PropertyOrder" } }, "limit": { "format": "int32", "type": "integer", "description": "The maximum number of results to return. Applies after all other constraints. Optional. Unspecified is interpreted as no limit. Must be \u003e= 0 if specified." }, "startCursor": { "description": "A starting point for the query results. Query cursors are returned in query result batches and [can only be used to continue the same query](https://cloud.google.com/datastore/docs/concepts/queries#cursors_limits_and_offsets).", "type": "string", "format": "byte" }, "offset": { "format": "int32", "type": "integer", "description": "The number of results to skip. Applies before limit, but after all other constraints. Optional. Must be \u003e= 0 if specified." }, "projection": { "items": { "$ref": "Projection" }, "description": "The projection to return. Defaults to returning all properties.", "type": "array" } }, "type": "object", "description": "A query for entities." }, "GoogleDatastoreAdminV1IndexOperationMetadata": { "properties": { "progressEntities": { "description": "An estimate of the number of entities processed.", "$ref": "GoogleDatastoreAdminV1Progress" }, "indexId": { "description": "The index resource ID that this operation is acting on.", "type": "string" }, "common": { "$ref": "GoogleDatastoreAdminV1CommonMetadata", "description": "Metadata common to all Datastore Admin operations." } }, "type": "object", "description": "Metadata for Index operations.", "id": "GoogleDatastoreAdminV1IndexOperationMetadata" }, "BeginTransactionRequest": { "id": "BeginTransactionRequest", "type": "object", "properties": { "transactionOptions": { "$ref": "TransactionOptions", "description": "Options for a new transaction." } }, "description": "The request for Datastore.BeginTransaction." }, "GoogleDatastoreAdminV1ImportEntitiesMetadata": { "properties": { "inputUrl": { "description": "The location of the import metadata file. This will be the same value as the google.datastore.admin.v1.ExportEntitiesResponse.output_url field.", "type": "string" }, "progressBytes": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of bytes processed." }, "progressEntities": { "$ref": "GoogleDatastoreAdminV1Progress", "description": "An estimate of the number of entities processed." }, "common": { "description": "Metadata common to all Datastore Admin operations.", "$ref": "GoogleDatastoreAdminV1CommonMetadata" }, "entityFilter": { "$ref": "GoogleDatastoreAdminV1EntityFilter", "description": "Description of which entities are being imported." } }, "id": "GoogleDatastoreAdminV1ImportEntitiesMetadata", "description": "Metadata for ImportEntities operations.", "type": "object" }, "GoogleDatastoreAdminV1CommonMetadata": { "id": "GoogleDatastoreAdminV1CommonMetadata", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The client-assigned labels which were provided when the operation was created. May also include additional labels." }, "startTime": { "format": "google-datetime", "description": "The time that work began on the operation.", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "description": "The current state of the Operation.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ] }, "operationType": { "type": "string", "description": "The type of the operation. Can be used as a filter in ListOperationsRequest.", "enumDescriptions": [ "Unspecified.", "ExportEntities.", "ImportEntities.", "CreateIndex.", "DeleteIndex." ], "enum": [ "OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES", "CREATE_INDEX", "DELETE_INDEX" ] }, "endTime": { "type": "string", "description": "The time the operation ended, either successfully or otherwise.", "format": "google-datetime" } }, "description": "Metadata common to all Datastore Admin operations.", "type": "object" }, "GoogleDatastoreAdminV1MigrationStateEvent": { "description": "An event signifying a change in state of a [migration from Cloud Datastore to Cloud Firestore in Datastore mode](https://cloud.google.com/datastore/docs/upgrade-to-firestore).", "properties": { "state": { "enum": [ "MIGRATION_STATE_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETE" ], "type": "string", "enumDescriptions": [ "Unspecified.", "The migration is running.", "The migration is paused.", "The migration is complete." ], "description": "The new state of the migration." } }, "id": "GoogleDatastoreAdminV1MigrationStateEvent", "type": "object" }, "EntityResult": { "id": "EntityResult", "description": "The result of fetching an entity from Datastore.", "properties": { "cursor": { "description": "A cursor that points to the position after the result entity. Set only when the `EntityResult` is part of a `QueryResultBatch` message.", "format": "byte", "type": "string" }, "version": { "description": "The version of the entity, a strictly positive number that monotonically increases with changes to the entity. This field is set for `FULL` entity results. For missing entities in `LookupResponse`, this is the version of the snapshot that was used to look up the entity, and it is always set except for eventually consistent reads.", "format": "int64", "type": "string" }, "updateTime": { "description": "The time at which the entity was last changed. This field is set for `FULL` entity results. If this entity is missing, this field will not be set.", "type": "string", "format": "google-datetime" }, "entity": { "$ref": "Entity", "description": "The resulting entity." } }, "type": "object" }, "QueryResultBatch": { "type": "object", "id": "QueryResultBatch", "properties": { "skippedCursor": { "type": "string", "format": "byte", "description": "A cursor that points to the position after the last skipped result. Will be set when `skipped_results` != 0." }, "entityResultType": { "enumDescriptions": [ "Unspecified. This value is never used.", "The key and properties.", "A projected subset of properties. The entity may have no key.", "Only the key." ], "type": "string", "description": "The result type for every entity in `entity_results`.", "enum": [ "RESULT_TYPE_UNSPECIFIED", "FULL", "PROJECTION", "KEY_ONLY" ] }, "skippedResults": { "format": "int32", "type": "integer", "description": "The number of results skipped, typically because of an offset." }, "endCursor": { "type": "string", "format": "byte", "description": "A cursor that points to the position after the last result in the batch." }, "readTime": { "type": "string", "description": "Read timestamp this batch was returned from. This applies to the range of results from the query's `start_cursor` (or the beginning of the query if no cursor was given) to this batch's `end_cursor` (not the query's `end_cursor`). In a single transaction, subsequent query result batches for the same query can have a greater timestamp. Each batch's read timestamp is valid for all preceding batches. This value will not be set for eventually consistent queries in Cloud Datastore.", "format": "google-datetime" }, "moreResults": { "type": "string", "enum": [ "MORE_RESULTS_TYPE_UNSPECIFIED", "NOT_FINISHED", "MORE_RESULTS_AFTER_LIMIT", "MORE_RESULTS_AFTER_CURSOR", "NO_MORE_RESULTS" ], "enumDescriptions": [ "Unspecified. This value is never used.", "There may be additional batches to fetch from this query.", "The query is finished, but there may be more results after the limit.", "The query is finished, but there may be more results after the end cursor.", "The query is finished, and there are no more results." ], "description": "The state of the query after the current batch." }, "entityResults": { "description": "The results for this batch.", "type": "array", "items": { "$ref": "EntityResult" } }, "snapshotVersion": { "type": "string", "description": "The version number of the snapshot this batch was returned from. This applies to the range of results from the query's `start_cursor` (or the beginning of the query if no cursor was given) to this batch's `end_cursor` (not the query's `end_cursor`). In a single transaction, subsequent query result batches for the same query can have a greater snapshot version number. Each batch's snapshot version is valid for all preceding batches. The value will be zero for eventually consistent queries.", "format": "int64" } }, "description": "A batch of results produced by a query." }, "GoogleDatastoreAdminV1beta1CommonMetadata": { "id": "GoogleDatastoreAdminV1beta1CommonMetadata", "type": "object", "properties": { "state": { "type": "string", "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "description": "The current state of the Operation." }, "startTime": { "type": "string", "format": "google-datetime", "description": "The time that work began on the operation." }, "labels": { "additionalProperties": { "type": "string" }, "description": "The client-assigned labels which were provided when the operation was created. May also include additional labels.", "type": "object" }, "operationType": { "enumDescriptions": [ "Unspecified.", "ExportEntities.", "ImportEntities." ], "description": "The type of the operation. Can be used as a filter in ListOperationsRequest.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "EXPORT_ENTITIES", "IMPORT_ENTITIES" ], "type": "string" }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time the operation ended, either successfully or otherwise." } }, "description": "Metadata common to all Datastore Admin operations." }, "ReadOptions": { "properties": { "readTime": { "type": "string", "format": "google-datetime", "description": "Reads entities as they were at the given time. This may not be older than 270 seconds. This value is only supported for Cloud Firestore in Datastore mode." }, "readConsistency": { "description": "The non-transactional read consistency to use. Cannot be set to `STRONG` for global queries.", "enumDescriptions": [ "Unspecified. This value must not be used.", "Strong consistency.", "Eventual consistency." ], "type": "string", "enum": [ "READ_CONSISTENCY_UNSPECIFIED", "STRONG", "EVENTUAL" ] }, "transaction": { "description": "The identifier of the transaction in which to read. A transaction identifier is returned by a call to Datastore.BeginTransaction.", "type": "string", "format": "byte" } }, "description": "The options shared by read requests.", "id": "ReadOptions", "type": "object" }, "GoogleDatastoreAdminV1DatastoreFirestoreMigrationMetadata": { "id": "GoogleDatastoreAdminV1DatastoreFirestoreMigrationMetadata", "type": "object", "description": "Metadata for Datastore to Firestore migration operations. The DatastoreFirestoreMigration operation is not started by the end-user via an explicit \"creation\" method. This is an intentional deviation from the LRO design pattern. This singleton resource can be accessed at: \"projects/{project_id}/operations/datastore-firestore-migration\"", "properties": { "migrationStep": { "type": "string", "enumDescriptions": [ "Unspecified.", "Pre-migration: the database is prepared for migration.", "Start of migration.", "Writes are applied synchronously to at least one replica.", "Data is copied to Cloud Firestore and then verified to match the data in Cloud Datastore.", "Eventually-consistent reads are redirected to Cloud Firestore.", "Strongly-consistent reads are redirected to Cloud Firestore.", "Writes are redirected to Cloud Firestore." ], "description": "The current step of migration from Cloud Datastore to Cloud Firestore in Datastore mode.", "enum": [ "MIGRATION_STEP_UNSPECIFIED", "PREPARE", "START", "APPLY_WRITES_SYNCHRONOUSLY", "COPY_AND_VERIFY", "REDIRECT_EVENTUALLY_CONSISTENT_READS", "REDIRECT_STRONGLY_CONSISTENT_READS", "REDIRECT_WRITES" ] }, "migrationState": { "type": "string", "enumDescriptions": [ "Unspecified.", "The migration is running.", "The migration is paused.", "The migration is complete." ], "enum": [ "MIGRATION_STATE_UNSPECIFIED", "RUNNING", "PAUSED", "COMPLETE" ], "description": "The current state of migration from Cloud Datastore to Cloud Firestore in Datastore mode." } } }, "Mutation": { "type": "object", "description": "A mutation to apply to an entity.", "id": "Mutation", "properties": { "delete": { "description": "The key of the entity to delete. The entity may or may not already exist. Must have a complete key path and must not be reserved/read-only.", "$ref": "Key" }, "update": { "$ref": "Entity", "description": "The entity to update. The entity must already exist. Must have a complete key path." }, "baseVersion": { "format": "int64", "description": "The version of the entity that this mutation is being applied to. If this does not match the current version on the server, the mutation conflicts.", "type": "string" }, "upsert": { "description": "The entity to upsert. The entity may or may not already exist. The entity key's final path element may be incomplete.", "$ref": "Entity" }, "updateTime": { "type": "string", "description": "The update time of the entity that this mutation is being applied to. If this does not match the current update time on the server, the mutation conflicts.", "format": "google-datetime" }, "insert": { "$ref": "Entity", "description": "The entity to insert. The entity must not already exist. The entity key's final path element may be incomplete." } } }, "TransactionOptions": { "description": "Options for beginning a new transaction. Transactions can be created explicitly with calls to Datastore.BeginTransaction or implicitly by setting ReadOptions.new_transaction in read requests.", "type": "object", "id": "TransactionOptions", "properties": { "readOnly": { "description": "The transaction should only allow reads.", "$ref": "ReadOnly" }, "readWrite": { "$ref": "ReadWrite", "description": "The transaction should allow both reads and writes." } } }, "ReadWrite": { "type": "object", "properties": { "previousTransaction": { "type": "string", "description": "The transaction identifier of the transaction being retried.", "format": "byte" } }, "id": "ReadWrite", "description": "Options specific to read / write transactions." }, "ReadOnly": { "description": "Options specific to read-only transactions.", "id": "ReadOnly", "type": "object", "properties": { "readTime": { "format": "google-datetime", "type": "string", "description": "Reads entities at the given time. This may not be older than 60 seconds." } } }, "ReserveIdsResponse": { "type": "object", "properties": {}, "id": "ReserveIdsResponse", "description": "The response for Datastore.ReserveIds." }, "GoogleDatastoreAdminV1ExportEntitiesResponse": { "properties": { "outputUrl": { "type": "string", "description": "Location of the output metadata file. This can be used to begin an import into Cloud Datastore (this project or another project). See google.datastore.admin.v1.ImportEntitiesRequest.input_url. Only present if the operation completed successfully." } }, "type": "object", "description": "The response for google.datastore.admin.v1.DatastoreAdmin.ExportEntities.", "id": "GoogleDatastoreAdminV1ExportEntitiesResponse" } }, "basePath": "", "parameters": { "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ] }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "default": "true", "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks." } }, "name": "datastore", "version": "v1beta3", "kind": "discovery#restDescription", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/datastore": { "description": "View and manage your Google Cloud Datastore data" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "fullyEncodeReservedExpansion": true, "rootUrl": "https://datastore.googleapis.com/", "description": "Accesses the schemaless NoSQL database to provide fully managed, robust, scalable storage for your application. ", "baseUrl": "https://datastore.googleapis.com/" }
]===]))
