local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "datastream:v1alpha1", "revision": "20220629", "mtlsRootUrl": "https://datastream.mtls.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "description": "", "parameters": { "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "schemas": { "ConnectionProfile": { "id": "ConnectionProfile", "properties": { "updateTime": { "description": "Output only. The update time of the resource.", "format": "google-datetime", "type": "string", "readOnly": true }, "staticServiceIpConnectivity": { "$ref": "StaticServiceIpConnectivity", "description": "Static Service IP connectivity." }, "privateConnectivity": { "description": "Private connectivity.", "$ref": "PrivateConnectivity" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The create time of the resource.", "type": "string" }, "forwardSshConnectivity": { "description": "Forward SSH tunnel connectivity.", "$ref": "ForwardSshTunnelConnectivity" }, "noConnectivity": { "$ref": "NoConnectivitySettings", "description": "No connectivity option chosen." }, "oracleProfile": { "$ref": "OracleProfile", "description": "Oracle ConnectionProfile configuration." }, "labels": { "type": "object", "description": "Labels.", "additionalProperties": { "type": "string" } }, "mysqlProfile": { "$ref": "MysqlProfile", "description": "MySQL ConnectionProfile configuration." }, "name": { "readOnly": true, "description": "Output only. The resource's name.", "type": "string" }, "displayName": { "description": "Required. Display name.", "type": "string" }, "gcsProfile": { "description": "Cloud Storage ConnectionProfile configuration.", "$ref": "GcsProfile" } }, "type": "object" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "type": "object", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } } }, "ListStreamsResponse": { "id": "ListStreamsResponse", "type": "object", "properties": { "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "streams": { "items": { "$ref": "Stream" }, "description": "List of streams", "type": "array" } } }, "BackfillNoneStrategy": { "id": "BackfillNoneStrategy", "type": "object", "properties": {}, "description": "Backfill strategy to disable automatic backfill for the Stream's objects." }, "VpcPeeringConfig": { "properties": { "vpcName": { "description": "Required. fully qualified name of the VPC Datastream will peer to.", "type": "string" }, "subnet": { "type": "string", "description": "Required. A free subnet for peering. (CIDR of /29)" } }, "type": "object", "id": "VpcPeeringConfig", "description": "The VPC Peering configuration is used to create VPC peering between Datastream and the consumer's VPC." }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object" }, "StreamObject": { "description": "A specific stream object (e.g a specific DB table).", "type": "object", "id": "StreamObject", "properties": { "backfillJob": { "$ref": "BackfillJob", "description": "The latest backfill job that was initiated for the stream object." }, "sourceObject": { "description": "The object identifier in the data source.", "$ref": "SourceObjectIdentifier" }, "name": { "type": "string", "description": "Output only. The object's name.", "readOnly": true }, "displayName": { "description": "Required. Display name.", "type": "string" }, "errors": { "type": "array", "readOnly": true, "items": { "$ref": "Error" }, "description": "Output only. Active errors on the object." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The creation time of the object.", "readOnly": true }, "updateTime": { "type": "string", "description": "Output only. The last update time of the object.", "format": "google-datetime", "readOnly": true } } }, "OracleColumn": { "id": "OracleColumn", "properties": { "primaryKey": { "type": "boolean", "description": "Whether or not the column represents a primary key." }, "scale": { "type": "integer", "format": "int32", "description": "Column scale." }, "encoding": { "type": "string", "description": "Column encoding." }, "nullable": { "description": "Whether or not the column can accept a null value.", "type": "boolean" }, "precision": { "description": "Column precision.", "format": "int32", "type": "integer" }, "ordinalPosition": { "description": "The ordinal position of the column in the table.", "type": "integer", "format": "int32" }, "columnName": { "type": "string", "description": "Column name." }, "dataType": { "description": "The Oracle data type.", "type": "string" }, "length": { "description": "Column length.", "type": "integer", "format": "int32" } }, "description": "Oracle Column.", "type": "object" }, "FetchErrorsResponse": { "description": "Response message for a 'FetchErrors' response.", "type": "object", "properties": { "errors": { "description": "The list of errors on the Stream.", "items": { "$ref": "Error" }, "type": "array" } }, "id": "FetchErrorsResponse" }, "OperationMetadata": { "properties": { "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "validationResult": { "readOnly": true, "$ref": "ValidationResult", "description": "Output only. Results of executed validations if there are any." }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." } }, "type": "object", "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation." }, "DiscoverConnectionProfileResponse": { "id": "DiscoverConnectionProfileResponse", "properties": { "oracleRdbms": { "description": "Enriched Oracle RDBMS object.", "$ref": "OracleRdbms" }, "mysqlRdbms": { "description": "Enriched MySQL RDBMS object.", "$ref": "MysqlRdbms" } }, "type": "object" }, "ListRoutesResponse": { "type": "object", "id": "ListRoutesResponse", "description": "route list response", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "routes": { "description": "List of Routes.", "items": { "$ref": "Route" }, "type": "array" }, "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } } } }, "StopBackfillJobResponse": { "type": "object", "description": "Response for manually stop a backfill job for a specific stream object.", "id": "StopBackfillJobResponse", "properties": { "object": { "$ref": "StreamObject", "description": "The stream object resource the backfill job was stopped for." } } }, "MysqlSourceConfig": { "id": "MysqlSourceConfig", "properties": { "allowlist": { "$ref": "MysqlRdbms", "description": "MySQL objects to retrieve from the source." }, "rejectlist": { "$ref": "MysqlRdbms", "description": "MySQL objects to exclude from the stream." } }, "type": "object", "description": "MySQL source configuration" }, "MysqlSslConfig": { "properties": { "clientKey": { "description": "Input only. PEM-encoded private key associated with the Client Certificate. If this field is used then the 'client_certificate' and the 'ca_certificate' fields are mandatory.", "type": "string" }, "caCertificateSet": { "description": "Output only. Indicates whether the ca_certificate field is set.", "type": "boolean", "readOnly": true }, "clientKeySet": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether the client_key field is set." }, "caCertificate": { "type": "string", "description": "Input only. PEM-encoded certificate of the CA that signed the source database server's certificate." }, "clientCertificateSet": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates whether the client_certificate field is set." }, "clientCertificate": { "type": "string", "description": "Input only. PEM-encoded certificate that will be used by the replica to authenticate against the source database server. If this field is used then the 'client_key' and the 'ca_certificate' fields are mandatory." } }, "type": "object", "description": "MySQL SSL configuration information.", "id": "MysqlSslConfig" }, "DestinationConfig": { "id": "DestinationConfig", "properties": { "gcsDestinationConfig": { "$ref": "GcsDestinationConfig", "description": "GCS destination configuration." }, "destinationConnectionProfileName": { "type": "string", "description": "Required. Destination connection profile identifier." } }, "type": "object", "description": "The configuration of the stream destination." }, "Error": { "properties": { "errorTime": { "format": "google-datetime", "type": "string", "description": "The time when the error occurred." }, "message": { "type": "string", "description": "A message containing more information about the error that occurred." }, "errorUuid": { "description": "A unique identifier for this specific error, allowing it to be traced throughout the system in logs and API responses.", "type": "string" }, "details": { "type": "object", "description": "Additional information about the error.", "additionalProperties": { "type": "string" } }, "reason": { "type": "string", "description": "A title that explains the reason for the error." } }, "description": "Represent a user-facing Error.", "id": "Error", "type": "object" }, "Validation": { "type": "object", "properties": { "status": { "description": "Validation execution status.", "type": "string", "enumDescriptions": [ "Unspecified status.", "Validation did not execute.", "Validation failed.", "Validation passed." ], "enum": [ "STATUS_UNSPECIFIED", "NOT_EXECUTED", "FAILED", "PASSED" ] }, "description": { "description": "A short description of the validation.", "type": "string" }, "code": { "type": "string", "description": "A custom code identifying this validation." }, "message": { "description": "Messages reflecting the validation results.", "items": { "$ref": "ValidationMessage" }, "type": "array" } }, "id": "Validation" }, "ValidationResult": { "id": "ValidationResult", "description": "Contains the current validation results.", "type": "object", "properties": { "validations": { "type": "array", "items": { "$ref": "Validation" }, "description": "A list of validations (includes both executed as well as not executed validations)." } } }, "StartBackfillJobResponse": { "id": "StartBackfillJobResponse", "description": "Response for manually initiating a backfill job for a specific stream object.", "type": "object", "properties": { "object": { "description": "The stream object resource a backfill job was started for.", "$ref": "StreamObject" } } }, "OracleSchema": { "id": "OracleSchema", "type": "object", "description": "Oracle schema.", "properties": { "schemaName": { "type": "string", "description": "Schema name." }, "oracleTables": { "items": { "$ref": "OracleTable" }, "type": "array", "description": "Tables in the schema." } } }, "BackfillJob": { "description": "Represents a backfill job on a specific stream object.", "id": "BackfillJob", "type": "object", "properties": { "lastStartTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Backfill job's start time.", "type": "string" }, "lastEndTime": { "description": "Output only. Backfill job's end time.", "readOnly": true, "type": "string", "format": "google-datetime" }, "state": { "type": "string", "enumDescriptions": [ "Default value.", "Backfill job was never started for the stream object (stream has backfill strategy defined as manual or object was explicitly excluded from automatic backfill).", "Backfill job will start pending available resources.", "Backfill job is running.", "Backfill job stopped (next job run will start from beginning).", "Backfill job failed (due to an error).", "Backfill completed successfully.", "Backfill job failed since the table structure is currently unsupported for backfill." ], "description": "Backfill job state.", "enum": [ "STATE_UNSPECIFIED", "NOT_STARTED", "PENDING", "ACTIVE", "STOPPED", "FAILED", "COMPLETED", "UNSUPPORTED" ] }, "errors": { "items": { "$ref": "Error" }, "type": "array", "description": "Output only. Errors which caused the backfill job to fail.", "readOnly": true }, "trigger": { "enumDescriptions": [ "Default value.", "Object backfill job was triggered automatically according to the stream's backfill strategy.", "Object backfill job was triggered manually using the dedicated API." ], "enum": [ "TRIGGER_UNSPECIFIED", "AUTOMATIC", "MANUAL" ], "description": "Backfill job's triggering reason.", "type": "string" } } }, "MysqlColumn": { "properties": { "length": { "description": "Column length.", "format": "int32", "type": "integer" }, "ordinalPosition": { "format": "int32", "description": "The ordinal position of the column in the table.", "type": "integer" }, "columnName": { "description": "Column name.", "type": "string" }, "primaryKey": { "description": "Whether or not the column represents a primary key.", "type": "boolean" }, "dataType": { "description": "The MySQL data type. Full data types list can be found here: https://dev.mysql.com/doc/refman/8.0/en/data-types.html", "type": "string" }, "collation": { "description": "Column collation.", "type": "string" }, "nullable": { "description": "Whether or not the column can accept a null value.", "type": "boolean" } }, "id": "MysqlColumn", "description": "MySQL Column.", "type": "object" }, "ListStreamObjectsResponse": { "description": "Response containing the objects for a stream.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page.", "type": "string" }, "streamObjects": { "type": "array", "items": { "$ref": "StreamObject" }, "description": "List of stream objects." } }, "id": "ListStreamObjectsResponse", "type": "object" }, "OracleSourceConfig": { "id": "OracleSourceConfig", "properties": { "rejectlist": { "$ref": "OracleRdbms", "description": "Oracle objects to exclude from the stream." }, "allowlist": { "$ref": "OracleRdbms", "description": "Oracle objects to include in the stream." }, "dropLargeObjects": { "description": "Drop large object values.", "$ref": "DropLargeObjects" } }, "description": "Oracle data source configuration", "type": "object" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "CancelOperationRequest", "type": "object" }, "PrivateConnection": { "properties": { "updateTime": { "description": "Output only. The update time of the resource.", "format": "google-datetime", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The create time of the resource." }, "error": { "description": "Output only. In case of error, the details of the error in a user-friendly format.", "$ref": "Error", "readOnly": true }, "name": { "description": "Output only. The resource's name.", "readOnly": true, "type": "string" }, "labels": { "description": "Labels.", "type": "object", "additionalProperties": { "type": "string" } }, "vpcPeeringConfig": { "description": "VPC Peering Config", "$ref": "VpcPeeringConfig" }, "displayName": { "description": "Required. Display name.", "type": "string" }, "state": { "description": "Output only. The state of the Private Connection.", "enumDescriptions": [ "", "The private connection is in creation state - creating resources.", "The private connection has been created with all of its resources.", "The private connection creation has failed.", "The private connection is being deleted.", "Delete request has failed, resource is in invalid state." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "CREATED", "FAILED", "DELETING", "FAILED_TO_DELETE" ], "type": "string" } }, "description": "The PrivateConnection resource is used to establish private connectivity between Datastream and a customer's network.", "id": "PrivateConnection", "type": "object" }, "OracleTable": { "type": "object", "description": "Oracle table.", "id": "OracleTable", "properties": { "oracleColumns": { "description": "Oracle columns in the schema. When unspecified as part of inclue/exclude lists, includes/excludes everything.", "items": { "$ref": "OracleColumn" }, "type": "array" }, "tableName": { "type": "string", "description": "Table name." } } }, "ListLocationsResponse": { "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse" }, "SourceConfig": { "type": "object", "description": "The configuration of the stream source.", "properties": { "oracleSourceConfig": { "$ref": "OracleSourceConfig", "description": "Oracle data source configuration" }, "mysqlSourceConfig": { "description": "MySQL data source configuration", "$ref": "MysqlSourceConfig" }, "sourceConnectionProfileName": { "description": "Required. Source connection profile identifier.", "type": "string" } }, "id": "SourceConfig" }, "OracleObjectIdentifier": { "id": "OracleObjectIdentifier", "properties": { "schema": { "type": "string", "description": "Required. The schema name." }, "table": { "description": "Required. The table name.", "type": "string" } }, "description": "Oracle data source object identifier.", "type": "object" }, "PrivateConnectivity": { "type": "object", "description": "Private Connectivity", "id": "PrivateConnectivity", "properties": { "privateConnectionName": { "type": "string" } } }, "MysqlProfile": { "properties": { "hostname": { "description": "Required. Hostname for the MySQL connection.", "type": "string" }, "username": { "description": "Required. Username for the MySQL connection.", "type": "string" }, "sslConfig": { "$ref": "MysqlSslConfig", "description": "SSL configuration for the MySQL connection." }, "port": { "type": "integer", "format": "int32", "description": "Port for the MySQL connection, default value is 3306." }, "password": { "type": "string", "description": "Required. Input only. Password for the MySQL connection." } }, "description": "MySQL database profile.", "type": "object", "id": "MysqlProfile" }, "ListConnectionProfilesResponse": { "properties": { "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "connectionProfiles": { "description": "List of connection profiles.", "items": { "$ref": "ConnectionProfile" }, "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "ListConnectionProfilesResponse", "type": "object" }, "MysqlTable": { "type": "object", "properties": { "mysqlColumns": { "description": "MySQL columns in the database. When unspecified as part of include/exclude lists, includes/excludes everything.", "items": { "$ref": "MysqlColumn" }, "type": "array" }, "tableName": { "type": "string", "description": "Table name." } }, "id": "MysqlTable", "description": "MySQL table." }, "FetchStaticIpsResponse": { "type": "object", "id": "FetchStaticIpsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "staticIps": { "items": { "type": "string" }, "type": "array", "description": "list of static ips by account" } }, "description": "Response message for a 'FetchStaticIps' response." }, "NoConnectivitySettings": { "type": "object", "id": "NoConnectivitySettings", "description": "No connectivity settings.", "properties": {} }, "StaticServiceIpConnectivity": { "type": "object", "id": "StaticServiceIpConnectivity", "properties": {}, "description": "Static IP address connectivity." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Operations.ListOperations." }, "Stream": { "properties": { "backfillAll": { "$ref": "BackfillAllStrategy", "description": "Automatically backfill objects included in the stream source configuration. Specific objects can be excluded." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The last update time of the stream.", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels." }, "name": { "description": "Output only. The stream's name.", "readOnly": true, "type": "string" }, "errors": { "description": "Output only. Errors on the Stream.", "items": { "$ref": "Error" }, "readOnly": true, "type": "array" }, "destinationConfig": { "description": "Required. Destination connection profile configuration.", "$ref": "DestinationConfig" }, "backfillNone": { "description": "Do not automatically backfill any objects.", "$ref": "BackfillNoneStrategy" }, "customerManagedEncryptionKey": { "type": "string", "description": "Immutable. A reference to a KMS encryption key. If provided, it will be used to encrypt the data. If left blank, data will be encrypted using an internal Stream-specific encryption key provisioned through KMS." }, "displayName": { "description": "Required. Display name.", "type": "string" }, "createTime": { "readOnly": true, "description": "Output only. The creation time of the stream.", "format": "google-datetime", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATED", "RUNNING", "PAUSED", "MAINTENANCE", "FAILED", "FAILED_PERMANENTLY", "STARTING", "DRAINING" ], "description": "The state of the stream.", "enumDescriptions": [ "Unspecified stream state.", "The stream has been created.", "The stream is running.", "The stream is paused.", "The stream is in maintenance mode. Updates are rejected on the resource in this state.", "The stream is experiencing an error that is preventing data from being streamed.", "The stream has experienced a terminal failure.", "The stream is starting, but not yet running.", "The Stream is no longer reading new events, but still writing events in the buffer." ], "type": "string" }, "sourceConfig": { "$ref": "SourceConfig", "description": "Required. Source connection profile configuration." } }, "id": "Stream", "type": "object" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "type": "object", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } } }, "DropLargeObjects": { "description": "Configuration to drop large object values.", "properties": {}, "type": "object", "id": "DropLargeObjects" }, "ValidationMessage": { "id": "ValidationMessage", "type": "object", "properties": { "code": { "description": "A custom code identifying this specific message.", "type": "string" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Additional metadata related to the result.", "type": "object" }, "message": { "type": "string", "description": "The result of the validation." }, "level": { "description": "Message severity level (warning or error).", "enumDescriptions": [ "Unspecified level.", "Potentially cause issues with the Stream.", "Definitely cause issues with the Stream." ], "type": "string", "enum": [ "LEVEL_UNSPECIFIED", "WARNING", "ERROR" ] } }, "description": "Represent user-facing validation result message." }, "DiscoverConnectionProfileRequest": { "properties": { "recursive": { "type": "boolean", "description": "Whether to retrieve the full hierarchy of data objects (TRUE) or only the current level (FALSE)." }, "mysqlRdbms": { "$ref": "MysqlRdbms", "description": "MySQL RDBMS to enrich with child data objects and metadata." }, "oracleRdbms": { "description": "Oracle RDBMS to enrich with child data objects and metadata.", "$ref": "OracleRdbms" }, "recursionDepth": { "type": "integer", "description": "The number of hierarchy levels below the current level to be retrieved.", "format": "int32" }, "connectionProfileName": { "type": "string", "description": "A reference to an existing ConnectionProfile." }, "connectionProfile": { "$ref": "ConnectionProfile", "description": "An ad-hoc ConnectionProfile configuration." } }, "type": "object", "description": "Request message for 'discover' ConnectionProfile request.", "id": "DiscoverConnectionProfileRequest" }, "FetchErrorsRequest": { "properties": {}, "type": "object", "id": "FetchErrorsRequest", "description": "Request message for 'FetchErrors' request." }, "GcsProfile": { "description": "Cloud Storage bucket profile.", "id": "GcsProfile", "properties": { "bucketName": { "description": "Required. The full project and resource path for Cloud Storage bucket including the name.", "type": "string" }, "rootPath": { "type": "string", "description": "The root path inside the Cloud Storage bucket." } }, "type": "object" }, "SourceObjectIdentifier": { "description": "Represents an identifier of an object in the data source.", "id": "SourceObjectIdentifier", "type": "object", "properties": { "mysqlIdentifier": { "description": "Mysql data source object identifier.", "$ref": "MysqlObjectIdentifier" }, "oracleIdentifier": { "description": "Oracle data source object identifier.", "$ref": "OracleObjectIdentifier" } } }, "JsonFileFormat": { "description": "JSON file format configuration.", "type": "object", "id": "JsonFileFormat", "properties": { "schemaFileFormat": { "description": "The schema file format along JSON data files.", "enumDescriptions": [ "Unspecified schema file format.", "Do not attach schema file.", "Avro schema format." ], "type": "string", "enum": [ "SCHEMA_FILE_FORMAT_UNSPECIFIED", "NO_SCHEMA_FILE", "AVRO_SCHEMA_FILE" ] }, "compression": { "description": "Compression of the loaded JSON file.", "enumDescriptions": [ "Unspecified json file compression.", "Do not compress JSON file.", "Gzip compression." ], "type": "string", "enum": [ "JSON_COMPRESSION_UNSPECIFIED", "NO_COMPRESSION", "GZIP" ] } } }, "BackfillAllStrategy": { "properties": { "oracleExcludedObjects": { "description": "Oracle data source objects to avoid backfilling.", "$ref": "OracleRdbms" }, "mysqlExcludedObjects": { "description": "MySQL data source objects to avoid backfilling.", "$ref": "MysqlRdbms" } }, "description": "Backfill strategy to automatically backfill the Stream's objects. Specific objects can be excluded.", "id": "BackfillAllStrategy", "type": "object" }, "Location": { "type": "object", "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" } } }, "ForwardSshTunnelConnectivity": { "properties": { "username": { "description": "Required. Username for the SSH tunnel.", "type": "string" }, "privateKey": { "type": "string", "description": "Input only. SSH private key." }, "password": { "description": "Input only. SSH password.", "type": "string" }, "port": { "type": "integer", "format": "int32", "description": "Port for the SSH tunnel, default value is 22." }, "hostname": { "description": "Required. Hostname for the SSH tunnel.", "type": "string" } }, "type": "object", "id": "ForwardSshTunnelConnectivity", "description": "Forward SSH Tunnel connectivity." }, "MysqlObjectIdentifier": { "description": "Mysql data source object identifier.", "properties": { "table": { "description": "Required. The table name.", "type": "string" }, "database": { "description": "Required. The database name.", "type": "string" } }, "id": "MysqlObjectIdentifier", "type": "object" }, "Route": { "properties": { "displayName": { "description": "Required. Display name.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels." }, "name": { "readOnly": true, "description": "Output only. The resource's name.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The create time of the resource." }, "destinationAddress": { "type": "string", "description": "Required. Destination address for connection" }, "destinationPort": { "description": "Destination port for connection", "type": "integer", "format": "int32" }, "updateTime": { "description": "Output only. The update time of the resource.", "readOnly": true, "format": "google-datetime", "type": "string" } }, "description": "The Route resource is the child of the PrivateConnection resource. It used to define a route for a PrivateConnection setup.", "type": "object", "id": "Route" }, "OracleRdbms": { "id": "OracleRdbms", "description": "Oracle database structure.", "properties": { "oracleSchemas": { "type": "array", "description": "Oracle schemas/databases in the database server.", "items": { "$ref": "OracleSchema" } } }, "type": "object" }, "GcsDestinationConfig": { "id": "GcsDestinationConfig", "properties": { "gcsFileFormat": { "type": "string", "description": "File format that data should be written in. Deprecated field (b/169501737) - use file_format instead.", "enumDescriptions": [ "Unspecified Cloud Storage file format.", "Avro file format" ], "enum": [ "GCS_FILE_FORMAT_UNSPECIFIED", "AVRO" ] }, "jsonFileFormat": { "$ref": "JsonFileFormat", "description": "JSON file format configuration." }, "fileRotationInterval": { "format": "google-duration", "description": "The maximum duration for which new events are added before a file is closed and a new file is created.", "type": "string" }, "avroFileFormat": { "description": "AVRO file format configuration.", "$ref": "AvroFileFormat" }, "path": { "type": "string", "description": "Path inside the Cloud Storage bucket to write data to." }, "fileRotationMb": { "format": "int32", "type": "integer", "description": "The maximum file size to be saved in the bucket." } }, "type": "object", "description": "Google Cloud Storage destination configuration" }, "AvroFileFormat": { "description": "AVRO file format configuration.", "type": "object", "properties": {}, "id": "AvroFileFormat" }, "ListPrivateConnectionsResponse": { "type": "object", "id": "ListPrivateConnectionsResponse", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "privateConnections": { "type": "array", "items": { "$ref": "PrivateConnection" }, "description": "List of private connectivity configurations." } } }, "MysqlRdbms": { "type": "object", "id": "MysqlRdbms", "description": "MySQL database structure", "properties": { "mysqlDatabases": { "description": "Mysql databases on the server", "type": "array", "items": { "$ref": "MysqlDatabase" } } } }, "MysqlDatabase": { "id": "MysqlDatabase", "description": "MySQL database.", "properties": { "databaseName": { "type": "string", "description": "Database name." }, "mysqlTables": { "items": { "$ref": "MysqlTable" }, "type": "array", "description": "Tables in the database." } }, "type": "object" }, "OracleProfile": { "description": "Oracle database profile.", "id": "OracleProfile", "type": "object", "properties": { "hostname": { "type": "string", "description": "Required. Hostname for the Oracle connection." }, "databaseService": { "type": "string", "description": "Required. Database for the Oracle connection." }, "connectionAttributes": { "additionalProperties": { "type": "string" }, "description": "Connection string attributes", "type": "object" }, "port": { "type": "integer", "description": "Port for the Oracle connection, default value is 1521.", "format": "int32" }, "password": { "type": "string", "description": "Required. Password for the Oracle connection." }, "username": { "type": "string", "description": "Required. Username for the Oracle connection." } } } }, "version_module": true, "kind": "discovery#restDescription", "resources": { "projects": { "resources": { "locations": { "methods": { "fetchStaticIps": { "path": "v1alpha1/{+name}:fetchStaticIps", "parameterOrder": [ "name" ], "response": { "$ref": "FetchStaticIpsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}:fetchStaticIps", "id": "datastream.projects.locations.fetchStaticIps", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The name resource of the Response type. Must be in the format `projects/*/locations/*`.", "location": "path", "required": true }, "pageSize": { "type": "integer", "description": "Maximum number of Ips to return, will likely not be specified.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "A page token, received from a previous `ListStaticIps` call. will likely not be specified.", "location": "query" } }, "httpMethod": "GET", "description": "The FetchStaticIps API call exposes the static IP addresses used by Datastream." }, "get": { "description": "Gets information about a location.", "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "id": "datastream.projects.locations.get", "response": { "$ref": "Location" }, "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "response": { "$ref": "ListLocationsResponse" }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations", "id": "datastream.projects.locations.list", "description": "Lists information about the supported locations for this service.", "path": "v1alpha1/{+name}/locations", "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable." }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "connectionProfiles": { "methods": { "discover": { "id": "datastream.projects.locations.connectionProfiles.discover", "request": { "$ref": "DiscoverConnectionProfileRequest" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+parent}/connectionProfiles:discover", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The parent resource of the ConnectionProfile type. Must be in the format `projects/*/locations/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles:discover", "response": { "$ref": "DiscoverConnectionProfileResponse" }, "description": "Use this method to discover a connection profile. The discover API call exposes the data objects and metadata belonging to the profile. Typically, a request returns children data objects under a parent data object that's optionally supplied in the request." }, "create": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "description": "Use this method to create a connection profile in a project and location.", "id": "datastream.projects.locations.connectionProfiles.create", "parameters": { "requestId": { "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "parent": { "type": "string", "description": "Required. The parent that owns the collection of ConnectionProfiles.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "connectionProfileId": { "location": "query", "type": "string", "description": "Required. The connection profile identifier." } }, "httpMethod": "POST", "request": { "$ref": "ConnectionProfile" }, "path": "v1alpha1/{+parent}/connectionProfiles" }, "list": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+parent}/connectionProfiles", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Maximum number of connection profiles to return. If unspecified, at most 50 connection profiles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "orderBy": { "description": "Order by fields for the result.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Filter request." }, "pageToken": { "type": "string", "location": "query", "description": "Page token received from a previous `ListConnectionProfiles` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListConnectionProfiles` must match the call that provided the page token." }, "parent": { "type": "string", "description": "Required. The parent that owns the collection of connection profiles.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "response": { "$ref": "ListConnectionProfilesResponse" }, "id": "datastream.projects.locations.connectionProfiles.list", "description": "Use this method to list connection profiles created in a project and location.", "httpMethod": "GET" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Use this method to delete a connection profile..", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. The name of the connection profile resource to delete.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "type": "string" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "id": "datastream.projects.locations.connectionProfiles.delete", "path": "v1alpha1/{+name}" }, "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the connection profile resource to get." } }, "parameterOrder": [ "name" ], "response": { "$ref": "ConnectionProfile" }, "httpMethod": "GET", "id": "datastream.projects.locations.connectionProfiles.get", "path": "v1alpha1/{+name}", "description": "Use this method to get details about a connection profile." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionProfiles/{connectionProfilesId}", "request": { "$ref": "ConnectionProfile" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "updateMask": { "location": "query", "description": "Optional. Field mask is used to specify the fields to be overwritten in the ConnectionProfile resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "format": "google-fieldmask" }, "validateOnly": { "location": "query", "description": "Optional. Only validate the connection profile, but do not update any resources. The default is false.", "type": "boolean" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectionProfiles/[^/]+$", "type": "string", "description": "Output only. The resource's name." } }, "description": "Use this method to update the parameters of a connection profile.", "id": "datastream.projects.locations.connectionProfiles.patch", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}" } } }, "streams": { "resources": { "objects": { "methods": { "stopBackfillJob": { "response": { "$ref": "StopBackfillJobResponse" }, "description": "Stops the backfill job for the specified stream object.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datastream.projects.locations.streams.objects.stopBackfillJob", "path": "v1alpha1/{+object}:stopBackfillJob", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}/objects/{objectsId}:stopBackfillJob", "httpMethod": "POST", "parameters": { "object": { "required": true, "description": "Required. The name of the stream object resource to stop the backfill job for.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+/objects/[^/]+$" } }, "parameterOrder": [ "object" ] }, "get": { "parameterOrder": [ "name" ], "response": { "$ref": "StreamObject" }, "description": "Use this method to get details about a stream object.", "path": "v1alpha1/{+name}", "id": "datastream.projects.locations.streams.objects.get", "parameters": { "name": { "location": "path", "description": "Required. The name of the stream object resource to get.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+/objects/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}/objects/{objectsId}", "httpMethod": "GET" }, "list": { "httpMethod": "GET", "path": "v1alpha1/{+parent}/objects", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Page token received from a previous `ListStreamObjectsRequest` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListStreamObjectsRequest` must match the call that provided the page token." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+$", "required": true, "description": "Required. The parent stream that owns the collection of objects.", "location": "path" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Maximum number of objects to return. Default is 50. The maximum value is 1000; values above 1000 will be coerced to 1000." } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}/objects", "response": { "$ref": "ListStreamObjectsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Use this method to list the objects of a specific stream.", "id": "datastream.projects.locations.streams.objects.list", "parameterOrder": [ "parent" ] }, "startBackfillJob": { "id": "datastream.projects.locations.streams.objects.startBackfillJob", "description": "Starts backfill job for the specified stream object.", "response": { "$ref": "StartBackfillJobResponse" }, "path": "v1alpha1/{+object}:startBackfillJob", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}/objects/{objectsId}:startBackfillJob", "parameterOrder": [ "object" ], "parameters": { "object": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+/objects/[^/]+$", "location": "path", "description": "Required. The name of the stream object resource to start a backfill job for." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "get": { "parameterOrder": [ "name" ], "description": "Use this method to get details about a stream.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}", "id": "datastream.projects.locations.streams.get", "parameters": { "name": { "description": "Required. The name of the stream resource to get.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+$" } }, "path": "v1alpha1/{+name}", "httpMethod": "GET", "response": { "$ref": "Stream" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "response": { "$ref": "Operation" }, "parameters": { "force": { "location": "query", "type": "boolean", "description": "Optional. Execute the update without validating it." }, "name": { "location": "path", "required": true, "description": "Output only. The stream's name.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+$" }, "validateOnly": { "description": "Optional. Only validate the stream with the changes, without actually updating it. The default is false.", "type": "boolean", "location": "query" }, "updateMask": { "format": "google-fieldmask", "description": "Optional. Field mask is used to specify the fields to be overwritten in the stream resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "location": "query" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Stream" }, "description": "Use this method to update the configuration of a stream.", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}", "id": "datastream.projects.locations.streams.patch" }, "fetchErrors": { "parameters": { "stream": { "required": true, "description": "Name of the Stream resource for which to fetch any errors.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+$", "type": "string" } }, "path": "v1alpha1/{+stream}:fetchErrors", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}:fetchErrors", "request": { "$ref": "FetchErrorsRequest" }, "parameterOrder": [ "stream" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datastream.projects.locations.streams.fetchErrors", "description": "Use this method to fetch any errors associated with a stream.", "response": { "$ref": "Operation" } }, "list": { "description": "Use this method to list streams in a project and location.", "id": "datastream.projects.locations.streams.list", "path": "v1alpha1/{+parent}/streams", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The parent that owns the collection of streams.", "type": "string", "required": true }, "orderBy": { "location": "query", "description": "Order by fields for the result.", "type": "string" }, "filter": { "location": "query", "description": "Filter request.", "type": "string" }, "pageToken": { "type": "string", "description": "Page token received from a previous `ListStreams` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListStreams` must match the call that provided the page token.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Maximum number of streams to return. If unspecified, at most 50 streams will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams", "response": { "$ref": "ListStreamsResponse" } }, "create": { "parameters": { "streamId": { "location": "query", "type": "string", "description": "Required. The stream identifier." }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent that owns the collection of streams.", "required": true, "location": "path" }, "force": { "type": "boolean", "location": "query", "description": "Optional. Create the stream without validating it." }, "validateOnly": { "location": "query", "type": "boolean", "description": "Optional. Only validate the stream, but do not create any resources. The default is false." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datastream.projects.locations.streams.create", "request": { "$ref": "Stream" }, "description": "Use this method to create a stream.", "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams", "path": "v1alpha1/{+parent}/streams", "response": { "$ref": "Operation" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "response": { "$ref": "Operation" }, "description": "Use this method to delete a stream.", "id": "datastream.projects.locations.streams.delete", "parameters": { "name": { "description": "Required. The name of the stream resource to delete.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/streams/[^/]+$" }, "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/streams/{streamsId}", "httpMethod": "DELETE" } } }, "operations": { "methods": { "get": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "datastream.projects.locations.operations.get", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource." } }, "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1alpha1/{+name}" }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "path": "v1alpha1/{+name}:cancel", "id": "datastream.projects.locations.operations.cancel", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "type": "string", "location": "path", "required": true } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "request": { "$ref": "CancelOperationRequest" }, "httpMethod": "POST" }, "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1alpha1/{+name}/operations", "id": "datastream.projects.locations.operations.list", "parameters": { "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource." }, "pageSize": { "location": "query", "format": "int32", "description": "The standard list page size.", "type": "integer" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "delete": { "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Empty" }, "id": "datastream.projects.locations.operations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "required": true, "description": "The name of the operation resource to be deleted.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}" } } }, "privateConnections": { "resources": { "routes": { "methods": { "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}/routes/{routesId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "datastream.projects.locations.privateConnections.routes.get", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the Route resource to get.", "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+/routes/[^/]+$" } }, "description": "Use this method to get details about a route.", "path": "v1alpha1/{+name}", "response": { "$ref": "Route" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "request": { "$ref": "Route" }, "parameterOrder": [ "parent" ], "description": "Use this method to create a route for a private connectivity in a project and location.", "id": "datastream.projects.locations.privateConnections.routes.create", "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}/routes", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+$", "description": "Required. The parent that owns the collection of Routes.", "required": true, "location": "path" }, "routeId": { "description": "Required. The Route identifier.", "type": "string", "location": "query" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "path": "v1alpha1/{+parent}/routes" }, "list": { "parameterOrder": [ "parent" ], "parameters": { "filter": { "description": "Filter request.", "type": "string", "location": "query" }, "pageToken": { "description": "Page token received from a previous `ListRoutes` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListRoutes` must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "description": "Maximum number of Routes to return. The service may return fewer than this value. If unspecified, at most 50 Routes will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "location": "query", "type": "integer" }, "orderBy": { "type": "string", "description": "Order by fields for the result.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. The parent that owns the collection of Routess.", "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+$", "location": "path" } }, "response": { "$ref": "ListRoutesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Use this method to list routes created for a private connectivity in a project and location.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}/routes", "httpMethod": "GET", "path": "v1alpha1/{+parent}/routes", "id": "datastream.projects.locations.privateConnections.routes.list" }, "delete": { "id": "datastream.projects.locations.privateConnections.routes.delete", "path": "v1alpha1/{+name}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "required": true, "description": "Required. The name of the Route resource to delete.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+/routes/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}/routes/{routesId}", "description": "Use this method to delete a route.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } } } } }, "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "datastream.projects.locations.privateConnections.delete", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}", "httpMethod": "DELETE", "parameters": { "force": { "location": "query", "type": "boolean", "description": "Optional. If set to true, any child routes that belong to this PrivateConnection will also be deleted." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+$", "location": "path", "description": "Required. The name of the private connectivity configuration to delete.", "type": "string", "required": true }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" }, "description": "Use this method to delete a private connectivity configuration.", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}" }, "create": { "path": "v1alpha1/{+parent}/privateConnections", "parameterOrder": [ "parent" ], "description": "Use this method to create a private connectivity configuration.", "request": { "$ref": "PrivateConnection" }, "httpMethod": "POST", "id": "datastream.projects.locations.privateConnections.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "privateConnectionId": { "type": "string", "location": "query", "description": "Required. The private connectivity identifier." }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The parent that owns the collection of PrivateConnections.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections", "response": { "$ref": "Operation" } }, "get": { "description": "Use this method to get details about a private connectivity configuration.", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections/{privateConnectionsId}", "response": { "$ref": "PrivateConnection" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/privateConnections/[^/]+$", "location": "path", "description": "Required. The name of the private connectivity configuration to get.", "required": true, "type": "string" } }, "id": "datastream.projects.locations.privateConnections.get", "httpMethod": "GET" }, "list": { "path": "v1alpha1/{+parent}/privateConnections", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "datastream.projects.locations.privateConnections.list", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/privateConnections", "parameterOrder": [ "parent" ], "description": "Use this method to list private connectivity configurations in a project and location.", "parameters": { "filter": { "description": "Filter request.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Page token received from a previous `ListPrivateConnections` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListPrivateConnections` must match the call that provided the page token.", "location": "query" }, "orderBy": { "description": "Order by fields for the result.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of private connectivity configurations to return. If unspecified, at most 50 private connectivity configurations that will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent that owns the collection of private connectivity configurations." } }, "response": { "$ref": "ListPrivateConnectionsResponse" } } } } } } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "documentationLink": "https://cloud.google.com/datastream/", "version": "v1alpha1", "ownerName": "Google", "name": "datastream", "baseUrl": "https://datastream.googleapis.com/", "protocol": "rest", "title": "Datastream API", "discoveryVersion": "v1", "batchPath": "batch", "rootUrl": "https://datastream.googleapis.com/", "canonicalName": "Datastream" }
]===]))
