local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "deploymentmanager", "description": "The Google Cloud Deployment Manager v2 API provides services for configuring, deploying, and viewing Google Cloud services and APIs via templates which specify deployments of Cloud resources.", "kind": "discovery#restDescription", "mtlsRootUrl": "https://deploymentmanager.mtls.googleapis.com/", "ownerDomain": "google.com", "ownerName": "Google", "canonicalName": "Deployment Manager", "basePath": "", "baseUrl": "https://deploymentmanager.googleapis.com/", "rootUrl": "https://deploymentmanager.googleapis.com/", "revision": "20220707", "discoveryVersion": "v1", "servicePath": "", "protocol": "rest", "version": "alpha", "resources": { "operations": { "methods": { "get": { "path": "deploymentmanager/alpha/projects/{project}/global/operations/{operation}", "httpMethod": "GET", "parameters": { "operation": { "required": true, "location": "path", "description": "The name of the operation for this request.", "type": "string" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "required": true, "location": "path" } }, "id": "deploymentmanager.operations.get", "description": "Gets information about a specific operation.", "parameterOrder": [ "project", "operation" ], "flatPath": "deploymentmanager/alpha/projects/{project}/global/operations/{operation}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ] }, "list": { "parameters": { "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "type": "string", "required": true }, "maxResults": { "type": "integer", "location": "query", "format": "uint32", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" } }, "parameterOrder": [ "project" ], "response": { "$ref": "OperationsListResponse" }, "id": "deploymentmanager.operations.list", "description": "Lists all operations for a project.", "flatPath": "deploymentmanager/alpha/projects/{project}/global/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "path": "deploymentmanager/alpha/projects/{project}/global/operations", "httpMethod": "GET" } } }, "manifests": { "methods": { "list": { "id": "deploymentmanager.manifests.list", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/manifests", "response": { "$ref": "ManifestsListResponse" }, "parameterOrder": [ "project", "deployment" ], "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/manifests", "description": "Lists all manifests for a given deployment.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "deployment": { "description": "The name of the deployment for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "type": "string", "required": true, "location": "path", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "minimum": "0", "default": "500", "format": "uint32", "type": "integer", "location": "query", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query", "type": "string" } } }, "get": { "httpMethod": "GET", "parameterOrder": [ "project", "deployment", "manifest" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "id": "deploymentmanager.manifests.get", "parameters": { "deployment": { "description": "The name of the deployment for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "manifest": { "description": "The name of the manifest for this request.", "type": "string", "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request.", "location": "path", "type": "string" } }, "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/manifests/{manifest}", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/manifests/{manifest}", "description": "Gets information about a specific manifest.", "response": { "$ref": "Manifest" } } } }, "compositeTypes": { "methods": { "get": { "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "response": { "$ref": "CompositeType" }, "httpMethod": "GET", "id": "deploymentmanager.compositeTypes.get", "description": "Gets information about a specific composite type.", "parameterOrder": [ "project", "compositeType" ], "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "parameters": { "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request." }, "compositeType": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "description": "The name of the composite type for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ] }, "update": { "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "response": { "$ref": "Operation" }, "parameters": { "compositeType": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "description": "The name of the composite type for this request.", "required": true, "type": "string" }, "project": { "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "type": "string" } }, "request": { "$ref": "CompositeType" }, "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "httpMethod": "PUT", "parameterOrder": [ "project", "compositeType" ], "id": "deploymentmanager.compositeTypes.update", "description": "Updates a composite type.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "list": { "response": { "$ref": "CompositeTypesListResponse" }, "description": "Lists all composite types for Deployment Manager.", "httpMethod": "GET", "id": "deploymentmanager.compositeTypes.list", "parameterOrder": [ "project" ], "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes", "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" }, "project": { "description": "The project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "format": "uint32", "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query" } } }, "insert": { "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes", "response": { "$ref": "Operation" }, "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes", "httpMethod": "POST", "id": "deploymentmanager.compositeTypes.insert", "description": "Creates a composite type.", "parameterOrder": [ "project" ], "request": { "$ref": "CompositeType" }, "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "patch": { "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "request": { "$ref": "CompositeType" }, "id": "deploymentmanager.compositeTypes.patch", "parameters": { "project": { "required": true, "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "compositeType": { "description": "The name of the composite type for this request.", "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?" } }, "httpMethod": "PATCH", "description": "Patches a composite type.", "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "compositeType" ] }, "delete": { "flatPath": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "httpMethod": "DELETE", "description": "Deletes a composite type.", "response": { "$ref": "Operation" }, "parameterOrder": [ "project", "compositeType" ], "parameters": { "project": { "required": true, "description": "The project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string" }, "compositeType": { "location": "path", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "description": "The name of the type for this request.", "type": "string", "required": true } }, "path": "deploymentmanager/alpha/projects/{project}/global/compositeTypes/{compositeType}", "id": "deploymentmanager.compositeTypes.delete" } } }, "types": { "methods": { "list": { "id": "deploymentmanager.types.list", "parameters": { "project": { "type": "string", "location": "path", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "maxResults": { "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." } }, "httpMethod": "GET", "flatPath": "deploymentmanager/alpha/projects/{project}/global/types", "path": "deploymentmanager/alpha/projects/{project}/global/types", "parameterOrder": [ "project" ], "response": { "$ref": "TypesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "description": "Lists all resource types for Deployment Manager." }, "get": { "httpMethod": "GET", "response": { "$ref": "Type" }, "flatPath": "deploymentmanager/alpha/projects/{project}/global/types/{type}", "path": "deploymentmanager/alpha/projects/{project}/global/types/{type}", "parameterOrder": [ "project", "type" ], "description": "Gets information about a specific type.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "type": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the type for this request.", "required": true, "type": "string" }, "project": { "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "The project ID for this request." } }, "id": "deploymentmanager.types.get" } } }, "deployments": { "methods": { "delete": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}", "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "deletePolicy": { "description": "Sets the policy to use for deleting resources.", "default": "DELETE", "type": "string", "enum": [ "DELETE", "ABANDON" ], "location": "query", "enumDescriptions": [ "", "" ] }, "deployment": { "type": "string", "description": "The name of the deployment for this request.", "location": "path", "required": true } }, "id": "deploymentmanager.deployments.delete", "httpMethod": "DELETE", "parameterOrder": [ "project", "deployment" ], "description": "Deletes a deployment and all of the resources in the deployment." }, "update": { "request": { "$ref": "Deployment" }, "parameters": { "createPolicy": { "location": "query", "default": "CREATE_OR_ACQUIRE", "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Sets the policy to use for creating new resources." }, "preview": { "location": "query", "type": "boolean", "description": "If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a `target.config` with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the `update()` or you can `cancelPreview()` to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.", "default": "false" }, "deployment": { "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the deployment for this request.", "location": "path" }, "deletePolicy": { "enum": [ "DELETE", "ABANDON" ], "location": "query", "enumDescriptions": [ "", "" ], "default": "DELETE", "type": "string", "description": "Sets the policy to use for deleting resources." }, "project": { "description": "The project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" } }, "parameterOrder": [ "project", "deployment" ], "description": "Updates a deployment and all of the resources described by the deployment manifest.", "response": { "$ref": "Operation" }, "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "id": "deploymentmanager.deployments.update", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}" }, "insert": { "parameterOrder": [ "project" ], "parameters": { "preview": { "type": "boolean", "location": "query", "description": "If set to true, creates a deployment and creates \"shell\" resources but does not actually instantiate these resources. This allows you to preview what your deployment looks like. After previewing a deployment, you can deploy your resources by making a request with the `update()` method or you can use the `cancelPreview()` method to cancel the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it." }, "project": { "description": "The project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "createPolicy": { "default": "CREATE_OR_ACQUIRE", "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Sets the policy to use for creating new resources.", "location": "query" } }, "description": "Creates a deployment and all of the resources described by the deployment manifest.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "path": "deploymentmanager/alpha/projects/{project}/global/deployments", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments", "id": "deploymentmanager.deployments.insert", "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "Deployment" } }, "list": { "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "type": "string", "description": "The project ID for this request.", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "maxResults": { "type": "integer", "default": "500", "format": "uint32", "location": "query", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } }, "path": "deploymentmanager/alpha/projects/{project}/global/deployments", "response": { "$ref": "DeploymentsListResponse" }, "httpMethod": "GET", "description": "Lists all deployments for a given project.", "id": "deploymentmanager.deployments.list" }, "get": { "parameterOrder": [ "project", "deployment" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "response": { "$ref": "Deployment" }, "parameters": { "deployment": { "description": "The name of the deployment for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "location": "path" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "location": "path", "type": "string" } }, "id": "deploymentmanager.deployments.get", "description": "Gets information about a specific deployment.", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}" }, "patch": { "request": { "$ref": "Deployment" }, "parameters": { "project": { "type": "string", "location": "path", "required": true, "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "createPolicy": { "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "default": "CREATE_OR_ACQUIRE", "type": "string", "description": "Sets the policy to use for creating new resources.", "location": "query", "enumDescriptions": [ "", "", "" ] }, "deployment": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the deployment for this request.", "type": "string", "required": true }, "deletePolicy": { "location": "query", "enum": [ "DELETE", "ABANDON" ], "type": "string", "default": "DELETE", "enumDescriptions": [ "", "" ], "description": "Sets the policy to use for deleting resources." }, "preview": { "description": "If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a `target.config` with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the `update()` or you can `cancelPreview()` to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.", "location": "query", "type": "boolean", "default": "false" } }, "parameterOrder": [ "project", "deployment" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}", "id": "deploymentmanager.deployments.patch", "response": { "$ref": "Operation" }, "description": "Patches a deployment and all of the resources described by the deployment manifest.", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}" }, "cancelPreview": { "description": "Cancels and removes the preview currently associated with the deployment.", "parameterOrder": [ "project", "deployment" ], "httpMethod": "POST", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/cancelPreview", "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true }, "deployment": { "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the deployment for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "id": "deploymentmanager.deployments.cancelPreview", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/cancelPreview", "request": { "$ref": "DeploymentsCancelPreviewRequest" } }, "getIamPolicy": { "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "type": "integer", "location": "query", "format": "int32" }, "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "Project ID for this request.", "type": "string" }, "resource": { "required": true, "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "description": "Name or id of the resource for this request." } }, "httpMethod": "GET", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameterOrder": [ "project", "resource" ], "id": "deploymentmanager.deployments.getIamPolicy", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/getIamPolicy" }, "stop": { "response": { "$ref": "Operation" }, "description": "Stops an ongoing operation. This does not roll back any work that has already been completed, but prevents any new work from being started.", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/stop", "request": { "$ref": "DeploymentsStopRequest" }, "parameterOrder": [ "project", "deployment" ], "httpMethod": "POST", "id": "deploymentmanager.deployments.stop", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/stop", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "location": "path", "type": "string", "required": true }, "deployment": { "location": "path", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the deployment for this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "setIamPolicy": { "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/setIamPolicy", "id": "deploymentmanager.deployments.setIamPolicy", "parameterOrder": [ "project", "resource" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true, "location": "path", "description": "Name or id of the resource for this request." }, "project": { "location": "path", "required": true, "type": "string", "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "request": { "$ref": "GlobalSetPolicyRequest" }, "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "testIamPermissions": { "parameterOrder": [ "project", "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "request": { "$ref": "TestPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource.", "response": { "$ref": "TestPermissionsResponse" }, "id": "deploymentmanager.deployments.testIamPermissions", "httpMethod": "POST", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/testIamPermissions", "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{resource}/testIamPermissions", "parameters": { "resource": { "required": true, "description": "Name or id of the resource for this request.", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "type": "string", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "Project ID for this request.", "required": true, "location": "path" } } } } }, "typeProviders": { "methods": { "getType": { "parameters": { "project": { "location": "path", "type": "string", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "type": { "required": true, "location": "path", "type": "string", "description": "The name of the type provider type for this request." }, "typeProvider": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the type provider for this request.", "type": "string", "required": true } }, "description": "Gets a type info for a type provided by a TypeProvider.", "response": { "$ref": "TypeInfo" }, "httpMethod": "GET", "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}/types/{type}", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}/types/{type}", "parameterOrder": [ "project", "typeProvider", "type" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "id": "deploymentmanager.typeProviders.getType" }, "get": { "description": "Gets information about a specific type provider.", "parameters": { "typeProvider": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "location": "path", "required": true, "description": "The name of the type provider for this request." }, "project": { "location": "path", "type": "string", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true } }, "response": { "$ref": "TypeProvider" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "httpMethod": "GET", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "id": "deploymentmanager.typeProviders.get", "parameterOrder": [ "project", "typeProvider" ] }, "list": { "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "orderBy": { "location": "query", "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "project": { "type": "string", "location": "path", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "maxResults": { "location": "query", "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "format": "uint32" }, "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." } }, "description": "Lists all resource type providers for Deployment Manager.", "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders", "parameterOrder": [ "project" ], "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "id": "deploymentmanager.typeProviders.list", "httpMethod": "GET", "response": { "$ref": "TypeProvidersListResponse" } }, "insert": { "description": "Creates a type provider.", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders", "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "id": "deploymentmanager.typeProviders.insert", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "The project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string" } }, "request": { "$ref": "TypeProvider" }, "httpMethod": "POST" }, "patch": { "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "parameterOrder": [ "project", "typeProvider" ], "description": "Patches a type provider.", "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "location": "path", "type": "string", "required": true }, "typeProvider": { "description": "The name of the type provider for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "TypeProvider" }, "id": "deploymentmanager.typeProviders.patch" }, "listTypes": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query", "type": "string" }, "typeProvider": { "location": "path", "type": "string", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the type provider for this request." }, "project": { "description": "The project ID for this request.", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "type": "integer", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500" } }, "description": "Lists all the type info for a TypeProvider.", "id": "deploymentmanager.typeProviders.listTypes", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}/types", "httpMethod": "GET", "response": { "$ref": "TypeProvidersListTypesResponse" }, "parameterOrder": [ "project", "typeProvider" ], "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}/types" }, "update": { "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "description": "Updates a type provider.", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "description": "The project ID for this request.", "location": "path" }, "typeProvider": { "type": "string", "location": "path", "description": "The name of the type provider for this request.", "required": true, "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" } }, "response": { "$ref": "Operation" }, "request": { "$ref": "TypeProvider" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project", "typeProvider" ], "httpMethod": "PUT", "id": "deploymentmanager.typeProviders.update" }, "delete": { "path": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "flatPath": "deploymentmanager/alpha/projects/{project}/global/typeProviders/{typeProvider}", "httpMethod": "DELETE", "parameterOrder": [ "project", "typeProvider" ], "parameters": { "typeProvider": { "required": true, "type": "string", "description": "The name of the type provider for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "The project ID for this request." } }, "description": "Deletes a type provider.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "response": { "$ref": "Operation" }, "id": "deploymentmanager.typeProviders.delete" } } }, "resources": { "methods": { "list": { "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "500", "location": "query", "format": "uint32", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "project": { "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "deployment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "type": "string", "description": "The name of the deployment for this request." }, "pageToken": { "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string" } }, "response": { "$ref": "ResourcesListResponse" }, "id": "deploymentmanager.resources.list", "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/resources", "description": "Lists all resources in a given deployment.", "parameterOrder": [ "project", "deployment" ], "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/resources", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "httpMethod": "GET" }, "get": { "path": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/resources/{resource}", "parameters": { "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "required": true }, "resource": { "type": "string", "description": "The name of the resource for this request.", "location": "path", "required": true }, "deployment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the deployment for this request.", "required": true, "type": "string" } }, "id": "deploymentmanager.resources.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "httpMethod": "GET", "description": "Gets information about a single resource.", "parameterOrder": [ "project", "deployment", "resource" ], "response": { "$ref": "Resource" }, "flatPath": "deploymentmanager/alpha/projects/{project}/global/deployments/{deployment}/resources/{resource}" } } } }, "id": "deploymentmanager:alpha", "documentationLink": "https://cloud.google.com/deployment-manager", "parameters": { "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "alt": { "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ] }, "callback": { "type": "string", "location": "query", "description": "JSONP" } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "batchPath": "batch", "schemas": { "TypesListResponse": { "id": "TypesListResponse", "properties": { "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" }, "types": { "description": "Output only. A list of resource types supported by Deployment Manager.", "type": "array", "items": { "$ref": "Type" } } }, "description": "A response that returns all Types supported by Deployment Manager", "type": "object" }, "TypeInfo": { "description": "Type Information. Contains detailed information about a composite type, base type, or base type with specific collection.", "type": "object", "id": "TypeInfo", "properties": { "documentationLink": { "description": "For swagger 2.0 externalDocs field will be used. For swagger 1.2 this field will be empty.", "type": "string" }, "kind": { "type": "string", "description": "Output only. Type of the output. Always `deploymentManager#TypeInfo` for TypeInfo." }, "selfLink": { "type": "string", "description": "Output only. Self link for the type provider." }, "description": { "type": "string", "description": "The description of the type." }, "schema": { "$ref": "TypeInfoSchemaInfo", "description": "For base types with a collection, we return a schema and documentation link For template types, we return only a schema" }, "title": { "description": "The title on the API descriptor URL provided.", "type": "string" }, "name": { "description": "The base type or composite type name.", "type": "string" } } }, "ValidationOptions": { "type": "object", "id": "ValidationOptions", "properties": { "undeclaredProperties": { "type": "string", "enum": [ "UNKNOWN", "INCLUDE", "IGNORE", "INCLUDE_WITH_WARNINGS", "IGNORE_WITH_WARNINGS", "FAIL" ], "description": "Specify what to do with extra properties when executing a request.", "enumDescriptions": [ "", "Always include even if not present on discovery doc.", "Always ignore if not present on discovery doc.", "Include on request, but emit a warning.", "Ignore properties, but emit a warning.", "Always fail if undeclared properties are present." ] }, "schemaValidation": { "type": "string", "enumDescriptions": [ "", "Ignore schema failures.", "Ignore schema failures but display them as warnings.", "Fail the resource if the schema is not valid, this is the default behavior." ], "enum": [ "UNKNOWN", "IGNORE", "IGNORE_WITH_WARNINGS", "FAIL" ], "description": "Customize how deployment manager will validate the resource against schema errors." } }, "description": "Options for how to validate and process properties on a resource." }, "ServiceAccount": { "description": "Service Account used as a credential.", "id": "ServiceAccount", "properties": { "email": { "description": "The IAM service account email address like test@myproject.iam.gserviceaccount.com", "type": "string" } }, "type": "object" }, "DeploymentLabelEntry": { "type": "object", "description": "Label object for Deployments", "properties": { "key": { "type": "string", "description": "Key of the label" }, "value": { "type": "string", "description": "Value of the label" } }, "id": "DeploymentLabelEntry" }, "ImportFile": { "properties": { "name": { "type": "string", "description": "The name of the file." }, "content": { "type": "string", "description": "The contents of the file." } }, "id": "ImportFile", "type": "object" }, "Type": { "properties": { "id": { "format": "uint64", "type": "string" }, "selfLink": { "description": "Output only. Server defined URL for the resource.", "type": "string" }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "labels": { "items": { "$ref": "TypeLabelEntry" }, "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "type": "array" }, "name": { "description": "Name of the type.", "type": "string" }, "base": { "$ref": "BaseType", "description": "Base Type (configurable service) that backs this Type." }, "operation": { "description": "Output only. The Operation that most recently ran, or is currently running, on this type.", "$ref": "Operation" }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" } }, "id": "Type", "description": "A resource type supported by Deployment Manager.", "type": "object" }, "BaseType": { "type": "object", "properties": { "options": { "description": "Options to apply when handling any resources in this service.", "$ref": "Options" }, "collectionOverrides": { "type": "array", "items": { "$ref": "CollectionOverride" }, "description": "Allows resource handling overrides for specific collections" }, "credential": { "$ref": "Credential", "description": "Credential used when interacting with this type." }, "descriptorUrl": { "type": "string", "description": "Descriptor Url for the this type." } }, "id": "BaseType", "description": "BaseType that describes a service-backed Type." }, "Diagnostic": { "id": "Diagnostic", "type": "object", "properties": { "level": { "type": "string", "enum": [ "UNKNOWN", "INFORMATION", "WARNING", "ERROR" ], "enumDescriptions": [ "", "If level is informational, it only gets displayed as part of the resource.", "If level is warning, will end up in the resource as a warning.", "If level is error, it will indicate an error occurred after finishCondition is set, and this field will populate resource errors and operation errors." ], "description": "Level to record this diagnostic." }, "field": { "type": "string", "description": "JsonPath expression on the resource that if non empty, indicates that this field needs to be extracted as a diagnostic." } } }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "type": "object" }, "DeploymentUpdate": { "properties": { "manifest": { "type": "string", "description": "Output only. URL of the manifest representing the update configuration of this deployment." }, "labels": { "items": { "$ref": "DeploymentUpdateLabelEntry" }, "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "type": "array" }, "credential": { "description": "Output only. The user-provided default credential to use when deploying this preview.", "$ref": "Credential" }, "description": { "type": "string", "description": "Output only. An optional user-provided description of the deployment after the current update has been applied." } }, "type": "object", "id": "DeploymentUpdate" }, "TestPermissionsRequest": { "type": "object", "id": "TestPermissionsRequest", "properties": { "permissions": { "description": "The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.", "items": { "type": "string" }, "type": "array" } } }, "DeploymentsStopRequest": { "id": "DeploymentsStopRequest", "properties": { "fingerprint": { "description": "Specifies a fingerprint for `stop()` requests. A fingerprint is a randomly generated value that must be provided in `stop()` requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to stop an ongoing update request, this would prevent a collision). The fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a `get()` request on the deployment.", "type": "string", "format": "byte" } }, "type": "object" }, "Binding": { "type": "object", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "description": "Associates `members`, or principals, with a `role`.", "id": "Binding" }, "TemplateContents": { "type": "object", "properties": { "interpreter": { "enumDescriptions": [ "", "", "" ], "enum": [ "UNKNOWN_INTERPRETER", "PYTHON", "JINJA" ], "type": "string", "description": "Which interpreter (python or jinja) should be used during expansion." }, "template": { "description": "The contents of the main template file.", "type": "string" }, "imports": { "type": "array", "items": { "$ref": "ImportFile" }, "description": "Import files referenced by the main template." }, "mainTemplate": { "type": "string", "description": "The filename of the mainTemplate" }, "schema": { "type": "string", "description": "The contents of the template schema." } }, "id": "TemplateContents", "description": "Files that make up the template contents of a template type." }, "TypeLabelEntry": { "id": "TypeLabelEntry", "description": "Label object for Types", "type": "object", "properties": { "value": { "type": "string", "description": "Value of the label" }, "key": { "description": "Key of the label", "type": "string" } } }, "DeploymentsCancelPreviewRequest": { "id": "DeploymentsCancelPreviewRequest", "type": "object", "properties": { "fingerprint": { "type": "string", "format": "byte", "description": "Specifies a fingerprint for `cancelPreview()` requests. A fingerprint is a randomly generated value that must be provided in `cancelPreview()` requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to cancel a preview, this would prevent one of the requests). The fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a `get()` request on the deployment." } } }, "ResourcesListResponse": { "id": "ResourcesListResponse", "properties": { "resources": { "items": { "$ref": "Resource" }, "description": "Resources contained in this list response.", "type": "array" }, "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" } }, "description": "A response containing a partial list of resources and a page token used to build the next request if the request has been truncated.", "type": "object" }, "Resource": { "properties": { "lastUsedCredential": { "description": "Output only. The last used credential that successfully created/updated the resource.", "$ref": "Credential" }, "runtimePolicies": { "description": "Output only. In case this is an action, it will show the runtimePolicies on which this action will run in the deployment", "type": "array", "items": { "enumDescriptions": [ "The action will only be fired during create.", "The action will only be fired when the action is removed from the deployment.", "The action will fire during create, and if there is any changes on the inputs.", "The action will fire during create, and every time there is an update to the deployment." ], "type": "string", "enum": [ "CREATE", "DELETE", "UPDATE_ON_CHANGE", "UPDATE_ALWAYS" ] } }, "updateTime": { "type": "string", "description": "Output only. Update timestamp in RFC3339 text format." }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "name": { "type": "string", "description": "Output only. The name of the resource as it appears in the YAML config." }, "finalProperties": { "type": "string", "description": "Output only. The evaluated properties of the resource with references expanded. Returned as serialized YAML." }, "url": { "description": "Output only. The URL of the actual resource.", "type": "string" }, "type": { "description": "Output only. The type of the resource, for example `compute.v1.instance`, or `cloudfunctions.v1beta1.function`.", "type": "string" }, "properties": { "description": "Output only. The current properties of the resource before any references have been filled in. Returned as serialized YAML.", "type": "string" }, "update": { "$ref": "ResourceUpdate", "description": "Output only. If Deployment Manager is currently updating or previewing an update to this resource, the updated configuration appears here." }, "accessControl": { "description": "The Access Control Policy set on this resource.", "$ref": "ResourceAccessControl" }, "id": { "format": "uint64", "type": "string" }, "manifest": { "description": "Output only. URL of the manifest representing the current configuration of this resource.", "type": "string" }, "warnings": { "type": "array", "description": "Output only. If warning messages are generated during processing of this resource, this field will be populated.", "items": { "properties": { "code": { "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ], "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "type": "string" }, "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array", "items": { "type": "object", "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } } }, "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" } }, "type": "object" } } }, "id": "Resource", "type": "object" }, "ConfigFile": { "properties": { "content": { "type": "string", "description": "The contents of the file." } }, "id": "ConfigFile", "type": "object" }, "Credential": { "properties": { "useProjectDefault": { "type": "boolean", "description": "Specify to use the project default credential, only supported by Deployment." }, "serviceAccount": { "description": "Service Account Credential, only used by Deployment.", "$ref": "ServiceAccount" }, "basicAuth": { "$ref": "BasicAuth", "description": "Basic Auth Credential, only used by TypeProvider." } }, "description": "The credential used by Deployment Manager and TypeProvider. Only one of the options is permitted.", "type": "object", "id": "Credential" }, "ResourceAccessControl": { "id": "ResourceAccessControl", "properties": { "gcpIamPolicy": { "description": "The GCP IAM Policy to set on the resource.", "type": "string" } }, "description": "The access controls set on the resource.", "type": "object" }, "GlobalSetPolicyRequest": { "type": "object", "id": "GlobalSetPolicyRequest", "properties": { "bindings": { "type": "array", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.", "items": { "$ref": "Binding" } }, "etag": { "format": "byte", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" } } }, "ResourceUpdate": { "properties": { "runtimePolicies": { "type": "array", "description": "Output only. In case this is an action, it will show the runtimePolicies that this action will have after updating the deployment.", "items": { "type": "string", "enumDescriptions": [ "The action will only be fired during create.", "The action will only be fired when the action is removed from the deployment.", "The action will fire during create, and if there is any changes on the inputs.", "The action will fire during create, and every time there is an update to the deployment." ], "enum": [ "CREATE", "DELETE", "UPDATE_ON_CHANGE", "UPDATE_ALWAYS" ] } }, "finalProperties": { "type": "string", "description": "Output only. The expanded properties of the resource with reference values expanded. Returned as serialized YAML." }, "error": { "type": "object", "description": "Output only. If errors are generated during update of the resource, this field will be populated.", "properties": { "errors": { "description": "[Output Only] The array of errors encountered while processing this operation.", "type": "array", "items": { "type": "object", "properties": { "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" }, "location": { "type": "string", "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional." } } } } } }, "properties": { "type": "string", "description": "Output only. The set of updated properties for this resource, before references are expanded. Returned as serialized YAML." }, "manifest": { "type": "string", "description": "Output only. URL of the manifest representing the update configuration of this resource." }, "accessControl": { "$ref": "ResourceAccessControl", "description": "The Access Control Policy to set on this resource after updating the resource itself." }, "intent": { "description": "Output only. The intent of the resource: `PREVIEW`, `UPDATE`, or `CANCEL`.", "enumDescriptions": [ "The resource is scheduled to be created, or if it already exists, acquired.", "The resource is scheduled to be deleted.", "The resource is scheduled to be acquired.", "The resource is scheduled to be updated via the UPDATE method.", "The resource is scheduled to be abandoned.", "The resource is scheduled to be created." ], "enum": [ "CREATE_OR_ACQUIRE", "DELETE", "ACQUIRE", "UPDATE", "ABANDON", "CREATE" ], "type": "string" }, "state": { "description": "Output only. The state of the resource.", "enum": [ "PENDING", "IN_PROGRESS", "IN_PREVIEW", "FAILED", "ABORTED" ], "enumDescriptions": [ "There are changes pending for this resource.", "The service is executing changes on the resource.", "The service is previewing changes on the resource.", "The service has failed to change the resource.", "The service has aborted trying to change the resource." ], "type": "string" }, "credential": { "description": "Output only. The credential that will be used creating/updating this resource.", "$ref": "Credential" }, "warnings": { "description": "Output only. If warning messages are generated during processing of this resource, this field will be populated.", "items": { "properties": { "data": { "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ], "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ] }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "type": "array" } }, "type": "object", "id": "ResourceUpdate" }, "TypeProviderLabelEntry": { "id": "TypeProviderLabelEntry", "type": "object", "properties": { "key": { "type": "string", "description": "Key of the label" }, "value": { "description": "Value of the label", "type": "string" } }, "description": "Label object for TypeProviders" }, "Expr": { "type": "object", "id": "Expr", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "TestPermissionsResponse": { "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "id": "TestPermissionsResponse", "type": "object" }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" } }, "id": "AuditConfig" }, "DeploymentUpdateLabelEntry": { "id": "DeploymentUpdateLabelEntry", "properties": { "key": { "description": "Key of the label", "type": "string" }, "value": { "type": "string", "description": "Value of the label" } }, "description": "Label object for DeploymentUpdate", "type": "object" }, "TypeProvidersListTypesResponse": { "type": "object", "id": "TypeProvidersListTypesResponse", "properties": { "types": { "description": "Output only. A list of resource type info.", "type": "array", "items": { "$ref": "TypeInfo" } }, "nextPageToken": { "type": "string", "description": "A token used to continue a truncated list request." } } }, "DeploymentOutputEntry": { "type": "object", "id": "DeploymentOutputEntry", "properties": { "value": { "description": "Value of the label", "type": "string" }, "key": { "type": "string", "description": "Key of the output" } }, "description": "Output object for Deployments" }, "TypeProvidersListResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token used to continue a truncated list request." }, "typeProviders": { "items": { "$ref": "TypeProvider" }, "type": "array", "description": "Output only. A list of resource type providers supported by Deployment Manager." } }, "description": "A response that returns all Type Providers supported by Deployment Manager", "id": "TypeProvidersListResponse", "type": "object" }, "DeploymentsListResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Output only. A token used to continue a truncated list request." }, "deployments": { "type": "array", "items": { "$ref": "Deployment" }, "description": "Output only. The deployments contained in this response." } }, "id": "DeploymentsListResponse", "type": "object", "description": "A response containing a partial list of deployments and a page token used to build the next request if the request has been truncated." }, "Deployment": { "properties": { "updateTime": { "type": "string", "description": "Output only. Update timestamp in RFC3339 text format." }, "manifest": { "description": "Output only. URL of the manifest representing the last manifest that was successfully deployed. If no manifest has been successfully deployed, this field will be absent.", "type": "string" }, "operation": { "$ref": "Operation", "description": "Output only. The Operation that most recently ran, or is currently running, on this deployment." }, "credential": { "$ref": "Credential", "description": "User provided default credential for the deployment." }, "labels": { "items": { "$ref": "DeploymentLabelEntry" }, "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "type": "array" }, "id": { "type": "string", "format": "uint64" }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "update": { "description": "Output only. If Deployment Manager is currently updating or previewing an update to this deployment, the updated configuration appears here.", "$ref": "DeploymentUpdate" }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "description": { "description": "An optional user-provided description of the deployment.", "type": "string" }, "outputs": { "description": "Output only. List of outputs from the last manifest that deployed successfully.", "type": "array", "items": { "$ref": "DeploymentOutputEntry" } }, "selfLink": { "type": "string", "description": "Output only. Server defined URL for the resource." }, "target": { "$ref": "TargetConfiguration", "description": "[Input Only] The parameters that define your deployment, including the deployment configuration and relevant templates." }, "fingerprint": { "description": "Provides a fingerprint to use in requests to modify a deployment, such as `update()`, `stop()`, and `cancelPreview()` requests. A fingerprint is a randomly generated value that must be provided with `update()`, `stop()`, and `cancelPreview()` requests to perform optimistic locking. This ensures optimistic concurrency so that only one request happens at a time. The fingerprint is initially generated by Deployment Manager and changes after every request to modify data. To get the latest fingerprint value, perform a `get()` request to a deployment.", "type": "string", "format": "byte" } }, "id": "Deployment", "type": "object" }, "Manifest": { "properties": { "manifestSizeLimitBytes": { "type": "string", "format": "int64", "description": "Output only. The size limit for expanded manifests in the project." }, "name": { "type": "string", "description": "Output only. The name of the manifest." }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "format": "uint64", "type": "string" }, "manifestSizeBytes": { "format": "int64", "description": "Output only. The computed size of the fully expanded manifest.", "type": "string" }, "expandedConfig": { "description": "Output only. The fully-expanded configuration file, including any templates and references.", "type": "string" }, "config": { "$ref": "ConfigFile", "description": "Output only. The YAML configuration for this manifest." }, "imports": { "type": "array", "description": "Output only. The imported files for this manifest.", "items": { "$ref": "ImportFile" } }, "layout": { "description": "Output only. The YAML layout for this manifest.", "type": "string" }, "selfLink": { "type": "string", "description": "Output only. Self link for the manifest." } }, "id": "Manifest", "type": "object" }, "CollectionOverride": { "type": "object", "properties": { "options": { "description": "The options to apply to this resource-level override", "$ref": "Options" }, "collection": { "description": "The collection that identifies this resource within its service.", "type": "string" }, "methodMap": { "description": "Custom verb method mappings to support unordered list API mappings.", "$ref": "MethodMap" } }, "id": "CollectionOverride", "description": "CollectionOverride allows resource handling overrides for specific resources within a BaseType" }, "TargetConfiguration": { "properties": { "imports": { "description": "Specifies any files to import for this configuration. This can be used to import templates or other files. For example, you might import a text file in order to use the file in a template.", "type": "array", "items": { "$ref": "ImportFile" } }, "config": { "$ref": "ConfigFile", "description": "The configuration to use for this deployment." } }, "id": "TargetConfiguration", "type": "object" }, "InputMapping": { "properties": { "value": { "type": "string", "description": "A jsonPath expression to select an element." }, "fieldName": { "type": "string", "description": "The name of the field that is going to be injected." }, "location": { "enum": [ "UNKNOWN", "PATH", "QUERY", "BODY", "HEADER" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "The location where this mapping applies." }, "methodMatch": { "description": "Regex to evaluate on method to decide if input applies.", "type": "string" } }, "description": "InputMapping creates a 'virtual' property that will be injected into the properties before sending the request to the underlying API.", "id": "InputMapping", "type": "object" }, "Operation": { "properties": { "targetLink": { "type": "string", "description": "[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from." }, "warnings": { "description": "[Output Only] If warning messages are generated during processing of the operation, this field will be populated.", "items": { "type": "object", "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ], "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ], "type": "string" } } }, "type": "array" }, "operationGroupId": { "type": "string", "description": "[Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request." }, "id": { "type": "string", "format": "uint64", "description": "[Output Only] The unique identifier for the operation. This identifier is defined by the server." }, "kind": { "default": "compute#operation", "type": "string", "description": "[Output Only] Type of the resource. Always `compute#operation` for Operation resources." }, "progress": { "format": "int32", "type": "integer", "description": "[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "endTime": { "description": "[Output Only] The time that this operation was completed. This value is in RFC3339 text format.", "type": "string" }, "user": { "type": "string", "description": "[Output Only] User who requested the operation, for example: `user@example.com`." }, "error": { "description": "[Output Only] If errors are generated during processing of the operation, this field will be populated.", "type": "object", "properties": { "errors": { "description": "[Output Only] The array of errors encountered while processing this operation.", "type": "array", "items": { "type": "object", "properties": { "code": { "type": "string", "description": "[Output Only] The error type identifier for this error." }, "message": { "type": "string", "description": "[Output Only] An optional, human-readable error message." }, "location": { "type": "string", "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional." } } } } } }, "status": { "description": "[Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`.", "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "PENDING", "RUNNING", "DONE" ] }, "operationType": { "type": "string", "description": "[Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on." }, "statusMessage": { "type": "string", "description": "[Output Only] An optional textual description of the current status of the operation." }, "creationTimestamp": { "type": "string", "description": "[Deprecated] This field is deprecated." }, "name": { "type": "string", "description": "[Output Only] Name of the operation." }, "description": { "description": "[Output Only] A textual description of the operation, which is set when the operation is created.", "type": "string" }, "startTime": { "description": "[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format.", "type": "string" }, "httpErrorMessage": { "description": "[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`.", "type": "string" }, "zone": { "description": "[Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations.", "type": "string" }, "insertTime": { "description": "[Output Only] The time that this operation was requested. This value is in RFC3339 text format.", "type": "string" }, "httpErrorStatusCode": { "type": "integer", "format": "int32", "description": "[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found." }, "targetId": { "description": "[Output Only] The unique target ID, which identifies a specific incarnation of the target resource.", "format": "uint64", "type": "string" }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations." }, "clientOperationId": { "type": "string", "description": "[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise." } }, "type": "object", "description": "Represents an Operation resource. Google Compute Engine has three Operation resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/{$api_version}/globalOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/{$api_version}/regionOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/{$api_version}/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zonalOperations` resource. For more information, read Global, Regional, and Zonal Resources.", "id": "Operation" }, "AuditLogConfig": { "id": "AuditLogConfig", "properties": { "exemptedMembers": { "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array" }, "logType": { "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string" } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "Options": { "id": "Options", "description": "Options allows customized resource handling by Deployment Manager.", "type": "object", "properties": { "nameProperty": { "description": "The json path to the field in the resource JSON body into which the resource name should be mapped. Leaving this empty indicates that there should be no mapping performed.", "type": "string" }, "inputMappings": { "type": "array", "items": { "$ref": "InputMapping" }, "description": "The mappings that apply for requests." }, "asyncOptions": { "type": "array", "description": "Options regarding how to thread async requests.", "items": { "$ref": "AsyncOptions" } }, "validationOptions": { "$ref": "ValidationOptions", "description": "Options for how to validate and process properties on a resource." } } }, "AsyncOptions": { "properties": { "methodMatch": { "type": "string", "description": "Method regex where this policy will apply." }, "pollingOptions": { "$ref": "PollingOptions", "description": "Deployment manager will poll instances for this API resource setting a RUNNING state, and blocking until polling conditions tell whether the resource is completed or failed." } }, "type": "object", "id": "AsyncOptions", "description": "Async options that determine when a resource should finish." }, "TypeInfoSchemaInfo": { "type": "object", "properties": { "output": { "description": "The properties that this composite type or base type collection exposes as output, these properties can be used for references, represented as json blob, format is: JSON Schema Draft V4", "type": "string" }, "input": { "description": "The properties that this composite type or base type collection accept as input, represented as a json blob, format is: JSON Schema Draft V4", "type": "string" } }, "id": "TypeInfoSchemaInfo" }, "MethodMap": { "properties": { "get": { "type": "string", "description": "The action identifier for the get method to be used for this collection" }, "setIamPolicy": { "type": "string", "description": "The action identifier for the setIamPolicy method to be used for this collection" }, "update": { "type": "string", "description": "The action identifier for the update method to be used for this collection" }, "create": { "type": "string", "description": "The action identifier for the create method to be used for this collection" }, "delete": { "type": "string", "description": "The action identifier for the delete method to be used for this collection" } }, "id": "MethodMap", "type": "object", "description": "Deployment Manager will call these methods during the events of creation/deletion/update/get/setIamPolicy" }, "CompositeTypeLabelEntry": { "properties": { "value": { "type": "string", "description": "Value of the label" }, "key": { "type": "string", "description": "Key of the label" } }, "description": "Label object for CompositeTypes", "type": "object", "id": "CompositeTypeLabelEntry" }, "TypeProvider": { "properties": { "descriptorUrl": { "description": "Descriptor Url for the this type provider.", "type": "string" }, "credential": { "$ref": "Credential", "description": "Credential used when interacting with this type." }, "selfLink": { "type": "string", "description": "Output only. Self link for the type provider." }, "options": { "description": "Options to apply when handling any resources in this service.", "$ref": "Options" }, "id": { "description": "Output only. Unique identifier for the resource defined by the server.", "type": "string", "format": "uint64" }, "labels": { "items": { "$ref": "TypeProviderLabelEntry" }, "type": "array", "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`" }, "insertTime": { "type": "string", "description": "Output only. Creation timestamp in RFC3339 text format." }, "operation": { "$ref": "Operation", "description": "Output only. The Operation that most recently ran, or is currently running, on this type provider." }, "customCertificateAuthorityRoots": { "type": "array", "description": "List of up to 2 custom certificate authority roots to use for TLS authentication when making calls on behalf of this type provider. If set, TLS authentication will exclusively use these roots instead of relying on publicly trusted certificate authorities when validating TLS certificate authenticity. The certificates must be in base64-encoded PEM format. The maximum size of each certificate must not exceed 10KB.", "items": { "type": "string" } }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "collectionOverrides": { "items": { "$ref": "CollectionOverride" }, "type": "array", "description": "Allows resource handling overrides for specific collections" } }, "id": "TypeProvider", "description": "A type provider that describes a service-backed Type.", "type": "object" }, "PollingOptions": { "properties": { "failCondition": { "description": "JsonPath expression that determines if the request failed.", "type": "string" }, "diagnostics": { "description": "An array of diagnostics to be collected by Deployment Manager, these diagnostics will be displayed to the user.", "items": { "$ref": "Diagnostic" }, "type": "array" }, "targetLink": { "description": "JsonPath expression, after polling is completed, indicates where to fetch the resource.", "type": "string" }, "pollingLink": { "type": "string", "description": "JsonPath expression that evaluates to string, it indicates where to poll." }, "finishCondition": { "type": "string", "description": "JsonPath expression that determines if the request is completed." } }, "type": "object", "id": "PollingOptions" }, "BasicAuth": { "properties": { "password": { "type": "string" }, "user": { "type": "string" } }, "type": "object", "description": "Basic Auth used as a credential.", "id": "BasicAuth" }, "CompositeType": { "type": "object", "id": "CompositeType", "properties": { "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "status": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "UNKNOWN_STATUS", "DEPRECATED", "EXPERIMENTAL", "SUPPORTED" ] }, "operation": { "description": "Output only. The Operation that most recently ran, or is currently running, on this composite type.", "$ref": "Operation" }, "name": { "type": "string", "description": "Name of the composite type, must follow the expression: `[a-z]([-a-z0-9_.]{0,61}[a-z0-9])?`." }, "id": { "format": "uint64", "type": "string" }, "selfLink": { "description": "Output only. Server defined URL for the resource.", "type": "string" }, "description": { "description": "An optional textual description of the resource; provided by the client when the resource is created.", "type": "string" }, "templateContents": { "$ref": "TemplateContents", "description": "Files for the template type." }, "labels": { "type": "array", "description": "Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "items": { "$ref": "CompositeTypeLabelEntry" } } }, "description": "Holds the composite type." }, "OperationsListResponse": { "properties": { "operations": { "type": "array", "description": "Output only. Operations contained in this list response.", "items": { "$ref": "Operation" } }, "nextPageToken": { "description": "Output only. A token used to continue a truncated list request.", "type": "string" } }, "id": "OperationsListResponse", "description": "A response containing a partial list of operations and a page token used to build the next request if the request has been truncated.", "type": "object" }, "ManifestsListResponse": { "description": "A response containing a partial list of manifests and a page token used to build the next request if the request has been truncated.", "properties": { "manifests": { "items": { "$ref": "Manifest" }, "description": "Output only. Manifests contained in this list response.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Output only. A token used to continue a truncated list request." } }, "id": "ManifestsListResponse", "type": "object" }, "CompositeTypesListResponse": { "id": "CompositeTypesListResponse", "description": "A response that returns all Composite Types supported by Deployment Manager", "type": "object", "properties": { "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" }, "compositeTypes": { "items": { "$ref": "CompositeType" }, "description": "Output only. A list of resource composite types supported by Deployment Manager.", "type": "array" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/ndev.cloudman": { "description": "View and manage your Google Cloud Platform management resources and deployment status information" }, "https://www.googleapis.com/auth/ndev.cloudman.readonly": { "description": "View your Google Cloud Platform management resources and deployment status information" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "title": "Cloud Deployment Manager V2 API" }
]===]))
