local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "title": "Cloud Deployment Manager V2 API", "baseUrl": "https://deploymentmanager.googleapis.com/", "description": "The Google Cloud Deployment Manager v2 API provides services for configuring, deploying, and viewing Google Cloud services and APIs via templates which specify deployments of Cloud resources.", "id": "deploymentmanager:v2beta", "documentationLink": "https://cloud.google.com/deployment-manager", "version": "v2beta", "name": "deploymentmanager", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "mtlsRootUrl": "https://deploymentmanager.mtls.googleapis.com/", "protocol": "rest", "rootUrl": "https://deploymentmanager.googleapis.com/", "kind": "discovery#restDescription", "discoveryVersion": "v1", "canonicalName": "Deployment Manager", "ownerName": "Google", "revision": "20220707", "parameters": { "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "alt": { "location": "query", "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." } }, "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/ndev.cloudman": { "description": "View and manage your Google Cloud Platform management resources and deployment status information" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/ndev.cloudman.readonly": { "description": "View your Google Cloud Platform management resources and deployment status information" } } } }, "resources": { "types": { "methods": { "list": { "description": "Lists all resource types for Deployment Manager.", "id": "deploymentmanager.types.list", "parameters": { "project": { "description": "The project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "type": "integer", "location": "query", "minimum": "0" }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" } }, "parameterOrder": [ "project" ], "path": "deploymentmanager/v2beta/projects/{project}/global/types", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/types", "response": { "$ref": "TypesListResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ] } } }, "compositeTypes": { "methods": { "patch": { "description": "Patches a composite type.", "httpMethod": "PATCH", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "parameterOrder": [ "project", "compositeType" ], "id": "deploymentmanager.compositeTypes.patch", "request": { "$ref": "CompositeType" }, "response": { "$ref": "Operation" }, "parameters": { "compositeType": { "description": "The name of the composite type for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "required": true, "location": "path" }, "project": { "description": "The project ID for this request.", "required": true, "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path" } } }, "insert": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "request": { "$ref": "CompositeType" }, "httpMethod": "POST", "description": "Creates a composite type.", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes", "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes", "id": "deploymentmanager.compositeTypes.insert", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "The project ID for this request.", "required": true, "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request." }, "compositeType": { "location": "path", "description": "The name of the type for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "required": true } }, "id": "deploymentmanager.compositeTypes.delete", "description": "Deletes a composite type.", "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "parameterOrder": [ "project", "compositeType" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "httpMethod": "DELETE" }, "list": { "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes", "id": "deploymentmanager.compositeTypes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "httpMethod": "GET", "response": { "$ref": "CompositeTypesListResponse" }, "parameterOrder": [ "project" ], "description": "Lists all composite types for Deployment Manager.", "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes", "parameters": { "filter": { "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string", "location": "query" }, "project": { "description": "The project ID for this request.", "location": "path", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query", "type": "string" }, "maxResults": { "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "default": "500", "location": "query", "type": "integer" }, "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" } } }, "get": { "httpMethod": "GET", "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "description": "Gets information about a specific composite type.", "response": { "$ref": "CompositeType" }, "id": "deploymentmanager.compositeTypes.get", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "parameters": { "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "The project ID for this request." }, "compositeType": { "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "location": "path", "description": "The name of the composite type for this request.", "required": true, "type": "string" } }, "parameterOrder": [ "project", "compositeType" ] }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project", "compositeType" ], "id": "deploymentmanager.compositeTypes.update", "httpMethod": "PUT", "description": "Updates a composite type.", "request": { "$ref": "CompositeType" }, "path": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}", "parameters": { "compositeType": { "location": "path", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9_.]{0,61}[a-z0-9])?", "description": "The name of the composite type for this request." }, "project": { "required": true, "description": "The project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "response": { "$ref": "Operation" }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/compositeTypes/{compositeType}" } } }, "operations": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameterOrder": [ "project", "operation" ], "description": "Gets information about a specific operation.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "description": "The project ID for this request.", "type": "string" }, "operation": { "description": "The name of the operation for this request.", "location": "path", "type": "string", "required": true } }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/operations/{operation}", "httpMethod": "GET", "path": "deploymentmanager/v2beta/projects/{project}/global/operations/{operation}", "response": { "$ref": "Operation" }, "id": "deploymentmanager.operations.get" }, "list": { "parameterOrder": [ "project" ], "httpMethod": "GET", "id": "deploymentmanager.operations.list", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/operations", "path": "deploymentmanager/v2beta/projects/{project}/global/operations", "description": "Lists all operations for a project.", "response": { "$ref": "OperationsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "orderBy": { "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string", "location": "query" }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "project": { "type": "string", "location": "path", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request." }, "maxResults": { "format": "uint32", "location": "query", "type": "integer", "default": "500", "minimum": "0", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" } } } } }, "resources": { "methods": { "list": { "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/resources", "response": { "$ref": "ResourcesListResponse" }, "description": "Lists all resources in a given deployment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "id": "deploymentmanager.resources.list", "httpMethod": "GET", "parameters": { "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "deployment": { "required": true, "type": "string", "description": "The name of the deployment for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path" }, "maxResults": { "type": "integer", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "format": "uint32", "location": "query", "default": "500", "minimum": "0" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request.", "location": "path" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" } }, "parameterOrder": [ "project", "deployment" ], "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/resources" }, "get": { "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/resources/{resource}", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/resources/{resource}", "parameters": { "project": { "description": "The project ID for this request.", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string" }, "resource": { "location": "path", "description": "The name of the resource for this request.", "type": "string", "required": true }, "deployment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "description": "The name of the deployment for this request.", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "response": { "$ref": "Resource" }, "httpMethod": "GET", "parameterOrder": [ "project", "deployment", "resource" ], "id": "deploymentmanager.resources.get", "description": "Gets information about a single resource." } } }, "manifests": { "methods": { "get": { "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/manifests/{manifest}", "description": "Gets information about a specific manifest.", "response": { "$ref": "Manifest" }, "parameterOrder": [ "project", "deployment", "manifest" ], "parameters": { "manifest": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the manifest for this request.", "required": true, "location": "path", "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request." }, "deployment": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "description": "The name of the deployment for this request." } }, "id": "deploymentmanager.manifests.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/manifests/{manifest}" }, "list": { "parameters": { "project": { "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "The project ID for this request.", "required": true }, "pageToken": { "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported." }, "deployment": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "location": "path", "description": "The name of the deployment for this request.", "type": "string" }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "minimum": "0", "default": "500", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)" }, "filter": { "type": "string", "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." } }, "description": "Lists all manifests for a given deployment.", "id": "deploymentmanager.manifests.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameterOrder": [ "project", "deployment" ], "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/manifests", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/manifests", "response": { "$ref": "ManifestsListResponse" }, "httpMethod": "GET" } } }, "typeProviders": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "id": "deploymentmanager.typeProviders.get", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "description": "Gets information about a specific type provider.", "parameterOrder": [ "project", "typeProvider" ], "parameters": { "typeProvider": { "required": true, "description": "The name of the type provider for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "location": "path", "description": "The project ID for this request." } }, "httpMethod": "GET", "response": { "$ref": "TypeProvider" }, "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}" }, "getType": { "response": { "$ref": "TypeInfo" }, "httpMethod": "GET", "parameters": { "type": { "location": "path", "required": true, "description": "The name of the type provider type for this request.", "type": "string" }, "typeProvider": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "location": "path", "required": true, "description": "The name of the type provider for this request.", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}/types/{type}", "parameterOrder": [ "project", "typeProvider", "type" ], "id": "deploymentmanager.typeProviders.getType", "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}/types/{type}", "description": "Gets a type info for a type provided by a TypeProvider." }, "delete": { "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "description": "Deletes a type provider.", "httpMethod": "DELETE", "parameters": { "typeProvider": { "type": "string", "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the type provider for this request." }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request.", "location": "path", "type": "string" } }, "id": "deploymentmanager.typeProviders.delete", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "parameterOrder": [ "project", "typeProvider" ] }, "insert": { "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders", "description": "Creates a type provider.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "request": { "$ref": "TypeProvider" }, "httpMethod": "POST", "id": "deploymentmanager.typeProviders.insert", "parameterOrder": [ "project" ], "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "type": "string", "required": true } }, "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders" }, "listTypes": { "parameterOrder": [ "project", "typeProvider" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}/types", "description": "Lists all the type info for a TypeProvider.", "response": { "$ref": "TypeProvidersListTypesResponse" }, "id": "deploymentmanager.typeProviders.listTypes", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "location": "query" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true, "description": "The project ID for this request." }, "maxResults": { "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "minimum": "0", "type": "integer", "location": "query" }, "typeProvider": { "description": "The name of the type provider for this request.", "type": "string", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}/types" }, "patch": { "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "id": "deploymentmanager.typeProviders.patch", "request": { "$ref": "TypeProvider" }, "description": "Patches a type provider.", "parameterOrder": [ "project", "typeProvider" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameters": { "project": { "description": "The project ID for this request.", "type": "string", "required": true, "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))" }, "typeProvider": { "type": "string", "location": "path", "description": "The name of the type provider for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "list": { "parameters": { "pageToken": { "type": "string", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.", "location": "query" }, "maxResults": { "minimum": "0", "format": "uint32", "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "location": "query", "default": "500", "type": "integer" }, "filter": { "location": "query", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`.", "type": "string" }, "project": { "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "type": "string", "location": "path" }, "orderBy": { "location": "query", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameterOrder": [ "project" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders", "response": { "$ref": "TypeProvidersListResponse" }, "id": "deploymentmanager.typeProviders.list", "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders", "description": "Lists all resource type providers for Deployment Manager." }, "update": { "parameters": { "project": { "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "typeProvider": { "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "type": "string", "required": true, "location": "path", "description": "The name of the type provider for this request." } }, "description": "Updates a type provider.", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "httpMethod": "PUT", "request": { "$ref": "TypeProvider" }, "id": "deploymentmanager.typeProviders.update", "path": "deploymentmanager/v2beta/projects/{project}/global/typeProviders/{typeProvider}", "parameterOrder": [ "project", "typeProvider" ], "response": { "$ref": "Operation" } } } }, "deployments": { "methods": { "stop": { "parameterOrder": [ "project", "deployment" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/stop", "description": "Stops an ongoing operation. This does not roll back any work that has already been completed, but prevents any new work from being started.", "parameters": { "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "description": "The project ID for this request.", "location": "path", "required": true }, "deployment": { "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "required": true, "type": "string", "description": "The name of the deployment for this request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "id": "deploymentmanager.deployments.stop", "httpMethod": "POST", "request": { "$ref": "DeploymentsStopRequest" }, "response": { "$ref": "Operation" }, "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/stop" }, "insert": { "description": "Creates a deployment and all of the resources described by the deployment manifest.", "path": "deploymentmanager/v2beta/projects/{project}/global/deployments", "parameters": { "preview": { "location": "query", "description": "If set to true, creates a deployment and creates \"shell\" resources but does not actually instantiate these resources. This allows you to preview what your deployment looks like. After previewing a deployment, you can deploy your resources by making a request with the `update()` method or you can use the `cancelPreview()` method to cancel the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.", "type": "boolean" }, "project": { "description": "The project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "required": true }, "createPolicy": { "enumDescriptions": [ "", "", "" ], "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "type": "string", "default": "CREATE_OR_ACQUIRE", "location": "query", "description": "Sets the policy to use for creating new resources." } }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project" ], "id": "deploymentmanager.deployments.insert", "httpMethod": "POST", "request": { "$ref": "Deployment" }, "response": { "$ref": "Operation" } }, "delete": { "httpMethod": "DELETE", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "parameterOrder": [ "project", "deployment" ], "id": "deploymentmanager.deployments.delete", "parameters": { "deletePolicy": { "default": "DELETE", "enum": [ "DELETE", "ABANDON" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Sets the policy to use for deleting resources.", "location": "query" }, "deployment": { "location": "path", "required": true, "description": "The name of the deployment for this request.", "type": "string" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "The project ID for this request.", "location": "path", "required": true, "type": "string" } }, "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "response": { "$ref": "Operation" }, "description": "Deletes a deployment and all of the resources in the deployment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ] }, "patch": { "parameterOrder": [ "project", "deployment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "httpMethod": "PATCH", "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "description": "Patches a deployment and all of the resources described by the deployment manifest.", "request": { "$ref": "Deployment" }, "response": { "$ref": "Operation" }, "id": "deploymentmanager.deployments.patch", "parameters": { "createPolicy": { "enumDescriptions": [ "", "", "" ], "default": "CREATE_OR_ACQUIRE", "type": "string", "location": "query", "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "description": "Sets the policy to use for creating new resources." }, "preview": { "location": "query", "type": "boolean", "description": "If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a `target.config` with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the `update()` or you can `cancelPreview()` to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.", "default": "false" }, "project": { "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true, "description": "The project ID for this request.", "type": "string" }, "deployment": { "location": "path", "description": "The name of the deployment for this request.", "required": true, "type": "string", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "deletePolicy": { "type": "string", "enumDescriptions": [ "", "" ], "description": "Sets the policy to use for deleting resources.", "location": "query", "default": "DELETE", "enum": [ "DELETE", "ABANDON" ] } } }, "get": { "httpMethod": "GET", "response": { "$ref": "Deployment" }, "parameterOrder": [ "project", "deployment" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "description": "Gets information about a specific deployment.", "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "parameters": { "deployment": { "required": true, "type": "string", "description": "The name of the deployment for this request.", "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request." } }, "id": "deploymentmanager.deployments.get" }, "list": { "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments", "response": { "$ref": "DeploymentsListResponse" }, "parameters": { "project": { "description": "The project ID for this request.", "type": "string", "location": "path", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results." }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `\u003e`, `\u003c`, `\u003c=`, `\u003e=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:` operator can be used with string fields to match substrings. For non-string fields it is equivalent to the `=` operator. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`." }, "maxResults": { "description": "The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)", "default": "500", "format": "uint32", "location": "query", "type": "integer", "minimum": "0" }, "orderBy": { "type": "string", "description": "Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.", "location": "query" } }, "description": "Lists all deployments for a given project.", "path": "deploymentmanager/v2beta/projects/{project}/global/deployments", "id": "deploymentmanager.deployments.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.cloudman", "https://www.googleapis.com/auth/ndev.cloudman.readonly" ], "parameterOrder": [ "project" ] }, "getIamPolicy": { "parameterOrder": [ "project", "resource" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/getIamPolicy", "id": "deploymentmanager.deployments.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. May be empty if no such policy or resource exists.", "parameters": { "optionsRequestedPolicyVersion": { "description": "Requested IAM Policy version.", "format": "int32", "location": "query", "type": "integer" }, "project": { "description": "Project ID for this request.", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "required": true, "location": "path" }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/getIamPolicy" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project", "resource" ], "httpMethod": "POST", "response": { "$ref": "Policy" }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/setIamPolicy", "id": "deploymentmanager.deployments.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.", "parameters": { "project": { "required": true, "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "type": "string", "location": "path", "description": "Project ID for this request." }, "resource": { "location": "path", "required": true, "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}" } }, "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/setIamPolicy", "request": { "$ref": "GlobalSetPolicyRequest" } }, "testIamPermissions": { "response": { "$ref": "TestPermissionsResponse" }, "id": "deploymentmanager.deployments.testIamPermissions", "parameters": { "resource": { "location": "path", "description": "Name or id of the resource for this request.", "type": "string", "pattern": "[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?|[1-9][0-9]{0,19}", "required": true }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))", "description": "Project ID for this request.", "required": true, "location": "path" } }, "httpMethod": "POST", "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/testIamPermissions", "description": "Returns permissions that a caller has on the specified resource.", "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{resource}/testIamPermissions", "request": { "$ref": "TestPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project", "resource" ] }, "update": { "request": { "$ref": "Deployment" }, "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "parameterOrder": [ "project", "deployment" ], "id": "deploymentmanager.deployments.update", "parameters": { "createPolicy": { "location": "query", "enum": [ "CREATE_OR_ACQUIRE", "ACQUIRE", "CREATE" ], "description": "Sets the policy to use for creating new resources.", "enumDescriptions": [ "", "", "" ], "type": "string", "default": "CREATE_OR_ACQUIRE" }, "project": { "description": "The project ID for this request.", "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "location": "path", "required": true }, "deployment": { "required": true, "location": "path", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?", "description": "The name of the deployment for this request.", "type": "string" }, "preview": { "description": "If set to true, updates the deployment and creates and updates the \"shell\" resources but does not actually alter or instantiate these resources. This allows you to preview what your deployment will look like. You can use this intent to preview how an update would affect your deployment. You must provide a `target.config` with a configuration if this is set to true. After previewing a deployment, you can deploy your resources by making a request with the `update()` or you can `cancelPreview()` to remove the preview altogether. Note that the deployment will still exist after you cancel the preview and you must separately delete this deployment if you want to remove it.", "type": "boolean", "default": "false", "location": "query" }, "deletePolicy": { "description": "Sets the policy to use for deleting resources.", "enumDescriptions": [ "", "" ], "type": "string", "default": "DELETE", "location": "query", "enum": [ "DELETE", "ABANDON" ] } }, "description": "Updates a deployment and all of the resources described by the deployment manifest.", "httpMethod": "PUT", "response": { "$ref": "Operation" }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}" }, "cancelPreview": { "request": { "$ref": "DeploymentsCancelPreviewRequest" }, "flatPath": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/cancelPreview", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.cloudman" ], "path": "deploymentmanager/v2beta/projects/{project}/global/deployments/{deployment}/cancelPreview", "id": "deploymentmanager.deployments.cancelPreview", "parameters": { "deployment": { "required": true, "type": "string", "location": "path", "description": "The name of the deployment for this request.", "pattern": "[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?" }, "project": { "type": "string", "pattern": "(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?))", "required": true, "description": "The project ID for this request.", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "project", "deployment" ], "description": "Cancels and removes the preview currently associated with the deployment.", "response": { "$ref": "Operation" } } } } }, "schemas": { "TypeProvider": { "type": "object", "description": "A type provider that describes a service-backed Type.", "id": "TypeProvider", "properties": { "collectionOverrides": { "description": "Allows resource handling overrides for specific collections", "type": "array", "items": { "$ref": "CollectionOverride" } }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "operation": { "$ref": "Operation", "description": "Output only. The Operation that most recently ran, or is currently running, on this type provider." }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "labels": { "type": "array", "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`", "items": { "$ref": "TypeProviderLabelEntry" } }, "credential": { "$ref": "Credential", "description": "Credential used when interacting with this type." }, "customCertificateAuthorityRoots": { "type": "array", "description": "List of up to 2 custom certificate authority roots to use for TLS authentication when making calls on behalf of this type provider. If set, TLS authentication will exclusively use these roots instead of relying on publicly trusted certificate authorities when validating TLS certificate authenticity. The certificates must be in base64-encoded PEM format. The maximum size of each certificate must not exceed 10KB.", "items": { "type": "string" } }, "id": { "format": "uint64", "description": "Output only. Unique identifier for the resource defined by the server.", "type": "string" }, "descriptorUrl": { "type": "string", "description": "Descriptor Url for the this type provider." }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "options": { "description": "Options to apply when handling any resources in this service.", "$ref": "Options" }, "selfLink": { "description": "Output only. Self link for the type provider.", "type": "string" } } }, "ManifestsListResponse": { "type": "object", "description": "A response containing a partial list of manifests and a page token used to build the next request if the request has been truncated.", "properties": { "manifests": { "items": { "$ref": "Manifest" }, "type": "array", "description": "Output only. Manifests contained in this list response." }, "nextPageToken": { "description": "Output only. A token used to continue a truncated list request.", "type": "string" } }, "id": "ManifestsListResponse" }, "PollingOptions": { "type": "object", "properties": { "failCondition": { "description": "JsonPath expression that determines if the request failed.", "type": "string" }, "diagnostics": { "items": { "$ref": "Diagnostic" }, "type": "array", "description": "An array of diagnostics to be collected by Deployment Manager, these diagnostics will be displayed to the user." }, "finishCondition": { "description": "JsonPath expression that determines if the request is completed.", "type": "string" }, "pollingLink": { "description": "JsonPath expression that evaluates to string, it indicates where to poll.", "type": "string" }, "targetLink": { "description": "JsonPath expression, after polling is completed, indicates where to fetch the resource.", "type": "string" } }, "id": "PollingOptions" }, "TypeProvidersListTypesResponse": { "id": "TypeProvidersListTypesResponse", "properties": { "types": { "description": "Output only. A list of resource type info.", "items": { "$ref": "TypeInfo" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token used to continue a truncated list request." } }, "type": "object" }, "DeploymentsCancelPreviewRequest": { "properties": { "fingerprint": { "format": "byte", "description": "Specifies a fingerprint for `cancelPreview()` requests. A fingerprint is a randomly generated value that must be provided in `cancelPreview()` requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to cancel a preview, this would prevent one of the requests). The fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a `get()` request on the deployment.", "type": "string" } }, "type": "object", "id": "DeploymentsCancelPreviewRequest" }, "ResourceAccessControl": { "id": "ResourceAccessControl", "type": "object", "description": "The access controls set on the resource.", "properties": { "gcpIamPolicy": { "type": "string", "description": "The GCP IAM Policy to set on the resource." } } }, "InputMapping": { "id": "InputMapping", "description": "InputMapping creates a 'virtual' property that will be injected into the properties before sending the request to the underlying API.", "type": "object", "properties": { "methodMatch": { "description": "Regex to evaluate on method to decide if input applies.", "type": "string" }, "fieldName": { "description": "The name of the field that is going to be injected.", "type": "string" }, "value": { "description": "A jsonPath expression to select an element.", "type": "string" }, "location": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "UNKNOWN", "PATH", "QUERY", "BODY", "HEADER" ], "description": "The location where this mapping applies.", "type": "string" } } }, "DeploymentsStopRequest": { "id": "DeploymentsStopRequest", "type": "object", "properties": { "fingerprint": { "type": "string", "description": "Specifies a fingerprint for `stop()` requests. A fingerprint is a randomly generated value that must be provided in `stop()` requests to perform optimistic locking. This ensures optimistic concurrency so that the deployment does not have conflicting requests (e.g. if someone attempts to make a new update request while another user attempts to stop an ongoing update request, this would prevent a collision). The fingerprint is initially generated by Deployment Manager and changes after every request to modify a deployment. To get the latest fingerprint value, perform a `get()` request on the deployment.", "format": "byte" } } }, "Diagnostic": { "type": "object", "properties": { "level": { "type": "string", "description": "Level to record this diagnostic.", "enum": [ "UNKNOWN", "INFORMATION", "WARNING", "ERROR" ], "enumDescriptions": [ "", "If level is informational, it only gets displayed as part of the resource.", "If level is warning, will end up in the resource as a warning.", "If level is error, it will indicate an error occurred after finishCondition is set, and this field will populate resource errors and operation errors." ] }, "field": { "type": "string", "description": "JsonPath expression on the resource that if non empty, indicates that this field needs to be extracted as a diagnostic." } }, "id": "Diagnostic" }, "ImportFile": { "id": "ImportFile", "type": "object", "properties": { "content": { "type": "string", "description": "The contents of the file." }, "name": { "type": "string", "description": "The name of the file." } } }, "DeploymentUpdate": { "properties": { "labels": { "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "type": "array", "items": { "$ref": "DeploymentUpdateLabelEntry" } }, "description": { "description": "Output only. An optional user-provided description of the deployment after the current update has been applied.", "type": "string" }, "manifest": { "type": "string", "description": "Output only. URL of the manifest representing the update configuration of this deployment." } }, "id": "DeploymentUpdate", "type": "object" }, "Credential": { "type": "object", "description": "The credential used by Deployment Manager and TypeProvider. Only one of the options is permitted.", "id": "Credential", "properties": { "serviceAccount": { "$ref": "ServiceAccount", "description": "Service Account Credential, only used by Deployment." }, "useProjectDefault": { "description": "Specify to use the project default credential, only supported by Deployment.", "type": "boolean" }, "basicAuth": { "description": "Basic Auth Credential, only used by TypeProvider.", "$ref": "BasicAuth" } } }, "Operation": { "properties": { "httpErrorMessage": { "type": "string", "description": "[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`." }, "zone": { "description": "[Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations.", "type": "string" }, "error": { "description": "[Output Only] If errors are generated during processing of the operation, this field will be populated.", "properties": { "errors": { "items": { "properties": { "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] The array of errors encountered while processing this operation." } }, "type": "object" }, "progress": { "description": "[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.", "format": "int32", "type": "integer" }, "operationType": { "description": "[Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on.", "type": "string" }, "kind": { "default": "compute#operation", "type": "string", "description": "[Output Only] Type of the resource. Always `compute#operation` for Operation resources." }, "httpErrorStatusCode": { "format": "int32", "type": "integer", "description": "[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found." }, "statusMessage": { "description": "[Output Only] An optional textual description of the current status of the operation.", "type": "string" }, "clientOperationId": { "description": "[Output Only] The value of `requestId` if you provided it in the request. Not present otherwise.", "type": "string" }, "status": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "PENDING", "RUNNING", "DONE" ], "description": "[Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`." }, "insertTime": { "description": "[Output Only] The time that this operation was requested. This value is in RFC3339 text format.", "type": "string" }, "creationTimestamp": { "type": "string", "description": "[Deprecated] This field is deprecated." }, "description": { "description": "[Output Only] A textual description of the operation, which is set when the operation is created.", "type": "string" }, "targetLink": { "type": "string", "description": "[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from." }, "selfLink": { "description": "[Output Only] Server-defined URL for the resource.", "type": "string" }, "user": { "type": "string", "description": "[Output Only] User who requested the operation, for example: `user@example.com`." }, "startTime": { "type": "string", "description": "[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format." }, "operationGroupId": { "type": "string", "description": "[Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request." }, "targetId": { "description": "[Output Only] The unique target ID, which identifies a specific incarnation of the target resource.", "type": "string", "format": "uint64" }, "warnings": { "type": "array", "items": { "type": "object", "properties": { "message": { "description": "[Output Only] A human-readable description of the warning code.", "type": "string" }, "code": { "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ], "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ], "type": "string" }, "data": { "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "type": "array", "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " } } }, "description": "[Output Only] If warning messages are generated during processing of the operation, this field will be populated." }, "id": { "format": "uint64", "description": "[Output Only] The unique identifier for the operation. This identifier is defined by the server.", "type": "string" }, "name": { "type": "string", "description": "[Output Only] Name of the operation." }, "endTime": { "description": "[Output Only] The time that this operation was completed. This value is in RFC3339 text format.", "type": "string" }, "region": { "type": "string", "description": "[Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations." } }, "type": "object", "id": "Operation", "description": "Represents an Operation resource. Google Compute Engine has three Operation resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Global](/compute/docs/reference/rest/{$api_version}/globalOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Regional](/compute/docs/reference/rest/{$api_version}/regionOperations) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Zonal](/compute/docs/reference/rest/{$api_version}/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zonalOperations` resource. For more information, read Global, Regional, and Zonal Resources." }, "BaseType": { "type": "object", "id": "BaseType", "description": "BaseType that describes a service-backed Type.", "properties": { "collectionOverrides": { "items": { "$ref": "CollectionOverride" }, "description": "Allows resource handling overrides for specific collections", "type": "array" }, "options": { "$ref": "Options", "description": "Options to apply when handling any resources in this service." }, "descriptorUrl": { "description": "Descriptor Url for the this type.", "type": "string" }, "credential": { "$ref": "Credential", "description": "Credential used when interacting with this type." } } }, "BasicAuth": { "type": "object", "description": "Basic Auth used as a credential.", "properties": { "password": { "type": "string" }, "user": { "type": "string" } }, "id": "BasicAuth" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } } }, "ResourcesListResponse": { "description": "A response containing a partial list of resources and a page token used to build the next request if the request has been truncated.", "id": "ResourcesListResponse", "properties": { "resources": { "items": { "$ref": "Resource" }, "description": "Resources contained in this list response.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token used to continue a truncated list request." } }, "type": "object" }, "AsyncOptions": { "type": "object", "description": "Async options that determine when a resource should finish.", "id": "AsyncOptions", "properties": { "pollingOptions": { "$ref": "PollingOptions", "description": "Deployment manager will poll instances for this API resource setting a RUNNING state, and blocking until polling conditions tell whether the resource is completed or failed." }, "methodMatch": { "type": "string", "description": "Method regex where this policy will apply." } } }, "TypeInfoSchemaInfo": { "type": "object", "properties": { "output": { "description": "The properties that this composite type or base type collection exposes as output, these properties can be used for references, represented as json blob, format is: JSON Schema Draft V4", "type": "string" }, "input": { "description": "The properties that this composite type or base type collection accept as input, represented as a json blob, format is: JSON Schema Draft V4", "type": "string" } }, "id": "TypeInfoSchemaInfo" }, "GlobalSetPolicyRequest": { "properties": { "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings." }, "etag": { "description": "Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.", "type": "string", "format": "byte" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.", "$ref": "Policy" } }, "id": "GlobalSetPolicyRequest", "type": "object" }, "ResourceUpdate": { "type": "object", "properties": { "accessControl": { "$ref": "ResourceAccessControl", "description": "The Access Control Policy to set on this resource after updating the resource itself." }, "state": { "description": "Output only. The state of the resource.", "enumDescriptions": [ "There are changes pending for this resource.", "The service is executing changes on the resource.", "The service is previewing changes on the resource.", "The service has failed to change the resource.", "The service has aborted trying to change the resource." ], "enum": [ "PENDING", "IN_PROGRESS", "IN_PREVIEW", "FAILED", "ABORTED" ], "type": "string" }, "properties": { "description": "Output only. The set of updated properties for this resource, before references are expanded. Returned as serialized YAML.", "type": "string" }, "error": { "description": "Output only. If errors are generated during update of the resource, this field will be populated.", "properties": { "errors": { "description": "[Output Only] The array of errors encountered while processing this operation.", "items": { "properties": { "code": { "description": "[Output Only] The error type identifier for this error.", "type": "string" }, "location": { "description": "[Output Only] Indicates the field in the request that caused the error. This property is optional.", "type": "string" }, "message": { "description": "[Output Only] An optional, human-readable error message.", "type": "string" } }, "type": "object" }, "type": "array" } }, "type": "object" }, "manifest": { "type": "string", "description": "Output only. URL of the manifest representing the update configuration of this resource." }, "finalProperties": { "type": "string", "description": "Output only. The expanded properties of the resource with reference values expanded. Returned as serialized YAML." }, "intent": { "description": "Output only. The intent of the resource: `PREVIEW`, `UPDATE`, or `CANCEL`.", "type": "string", "enum": [ "CREATE_OR_ACQUIRE", "DELETE", "ACQUIRE", "UPDATE", "ABANDON", "CREATE" ], "enumDescriptions": [ "The resource is scheduled to be created, or if it already exists, acquired.", "The resource is scheduled to be deleted.", "The resource is scheduled to be acquired.", "The resource is scheduled to be updated via the UPDATE method.", "The resource is scheduled to be abandoned.", "The resource is scheduled to be created." ] }, "warnings": { "items": { "properties": { "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." }, "data": { "items": { "type": "object", "properties": { "key": { "type": "string", "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)." }, "value": { "description": "[Output Only] A warning data value corresponding to the key.", "type": "string" } } }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } ", "type": "array" }, "code": { "type": "string", "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ], "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ] } }, "type": "object" }, "description": "Output only. If warning messages are generated during processing of this resource, this field will be populated.", "type": "array" } }, "id": "ResourceUpdate" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } }, "id": "Binding" }, "Expr": { "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "TestPermissionsResponse": { "id": "TestPermissionsResponse", "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } }, "type": "object" }, "Resource": { "type": "object", "properties": { "manifest": { "description": "Output only. URL of the manifest representing the current configuration of this resource.", "type": "string" }, "properties": { "type": "string", "description": "Output only. The current properties of the resource before any references have been filled in. Returned as serialized YAML." }, "accessControl": { "description": "The Access Control Policy set on this resource.", "$ref": "ResourceAccessControl" }, "name": { "description": "Output only. The name of the resource as it appears in the YAML config.", "type": "string" }, "url": { "description": "Output only. The URL of the actual resource.", "type": "string" }, "warnings": { "type": "array", "items": { "properties": { "data": { "type": "array", "items": { "properties": { "value": { "type": "string", "description": "[Output Only] A warning data value corresponding to the key." }, "key": { "description": "[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).", "type": "string" } }, "type": "object" }, "description": "[Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } " }, "code": { "enumDescriptions": [ "A link to a deprecated resource was created.", "No results are present on a particular list page.", "A given scope cannot be reached.", "The route's nextHopIp address is not assigned to an instance on the network.", "The route's nextHopInstance URL refers to an instance that does not exist.", "The route's nextHopInstance URL refers to an instance that is not on the same network as the route.", "The route's next hop instance cannot ip forward.", "The route's next hop instance does not have a status of RUNNING.", "The operation involved use of an injected kernel, which is deprecated.", "The user attempted to use a resource that requires a TOS they have not accepted.", "The user created a boot disk that is larger than image size.", "One or more of the resources set to auto-delete could not be deleted because they were in use.", "Instance template used in instance group manager is valid as such, but its application does not make a lot of sense, because it allows only single instance in instance group.", "Error which is not critical. We decided to continue the process despite the mentioned error.", "Warning about failed cleanup of transient changes made by a failed operation.", "Warning that value of a field has been overridden. Deprecated unused field.", "Warning that a resource is in use.", "A resource depends on a missing type", "Warning that is present in an external api call", "When a resource schema validation is ignored.", "When undeclared properties in the schema are present", "When deploying and at least one of the resources has a type marked as experimental", "When deploying and at least one of the resources has a type marked as deprecated", "Success is reported, but some results may be missing due to errors", "When deploying a deployment with a exceedingly large number of resources", "The route's nextHopInstance URL refers to an instance that does not have an ipv6 interface on the same network as the route." ], "description": "[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.", "enum": [ "DEPRECATED_RESOURCE_USED", "NO_RESULTS_ON_PAGE", "UNREACHABLE", "NEXT_HOP_ADDRESS_NOT_ASSIGNED", "NEXT_HOP_INSTANCE_NOT_FOUND", "NEXT_HOP_INSTANCE_NOT_ON_NETWORK", "NEXT_HOP_CANNOT_IP_FORWARD", "NEXT_HOP_NOT_RUNNING", "INJECTED_KERNELS_DEPRECATED", "REQUIRED_TOS_AGREEMENT", "DISK_SIZE_LARGER_THAN_IMAGE_SIZE", "RESOURCE_NOT_DELETED", "SINGLE_INSTANCE_PROPERTY_TEMPLATE", "NOT_CRITICAL_ERROR", "CLEANUP_FAILED", "FIELD_VALUE_OVERRIDEN", "RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING", "MISSING_TYPE_DEPENDENCY", "EXTERNAL_API_WARNING", "SCHEMA_VALIDATION_IGNORED", "UNDECLARED_PROPERTIES", "EXPERIMENTAL_TYPE_USED", "DEPRECATED_TYPE_USED", "PARTIAL_SUCCESS", "LARGE_DEPLOYMENT_WARNING", "NEXT_HOP_INSTANCE_HAS_NO_IPV6_INTERFACE" ], "type": "string" }, "message": { "type": "string", "description": "[Output Only] A human-readable description of the warning code." } }, "type": "object" }, "description": "Output only. If warning messages are generated during processing of this resource, this field will be populated." }, "updateTime": { "description": "Output only. Update timestamp in RFC3339 text format.", "type": "string" }, "id": { "format": "uint64", "type": "string" }, "finalProperties": { "type": "string", "description": "Output only. The evaluated properties of the resource with references expanded. Returned as serialized YAML." }, "update": { "description": "Output only. If Deployment Manager is currently updating or previewing an update to this resource, the updated configuration appears here.", "$ref": "ResourceUpdate" }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "type": { "type": "string", "description": "Output only. The type of the resource, for example `compute.v1.instance`, or `cloudfunctions.v1beta1.function`." } }, "id": "Resource" }, "CollectionOverride": { "type": "object", "properties": { "collection": { "type": "string", "description": "The collection that identifies this resource within its service." }, "options": { "description": "The options to apply to this resource-level override", "$ref": "Options" } }, "id": "CollectionOverride", "description": "CollectionOverride allows resource handling overrides for specific resources within a BaseType" }, "CompositeTypesListResponse": { "properties": { "compositeTypes": { "type": "array", "items": { "$ref": "CompositeType" }, "description": "Output only. A list of resource composite types supported by Deployment Manager." }, "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" } }, "type": "object", "description": "A response that returns all Composite Types supported by Deployment Manager", "id": "CompositeTypesListResponse" }, "CompositeTypeLabelEntry": { "description": "Label object for CompositeTypes", "properties": { "key": { "type": "string", "description": "Key of the label" }, "value": { "type": "string", "description": "Value of the label" } }, "type": "object", "id": "CompositeTypeLabelEntry" }, "DeploymentsListResponse": { "description": "A response containing a partial list of deployments and a page token used to build the next request if the request has been truncated.", "type": "object", "id": "DeploymentsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "Output only. A token used to continue a truncated list request." }, "deployments": { "description": "Output only. The deployments contained in this response.", "type": "array", "items": { "$ref": "Deployment" } } } }, "Options": { "id": "Options", "type": "object", "properties": { "asyncOptions": { "items": { "$ref": "AsyncOptions" }, "description": "Options regarding how to thread async requests.", "type": "array" }, "validationOptions": { "$ref": "ValidationOptions", "description": "Options for how to validate and process properties on a resource." }, "inputMappings": { "items": { "$ref": "InputMapping" }, "description": "The mappings that apply for requests.", "type": "array" }, "virtualProperties": { "description": "Additional properties block described as a jsonSchema, these properties will never be part of the json payload, but they can be consumed by InputMappings, this must be a valid json schema draft-04. The properties specified here will be decouple in a different section. This schema will be merged to the schema validation, and properties here will be extracted From the payload and consumed explicitly by InputMappings. ex: field1: type: string field2: type: number", "type": "string" } }, "description": "Options allows customized resource handling by Deployment Manager." }, "TypeInfo": { "description": "Type Information. Contains detailed information about a composite type, base type, or base type with specific collection.", "type": "object", "properties": { "schema": { "$ref": "TypeInfoSchemaInfo", "description": "For base types with a collection, we return a schema and documentation link For template types, we return only a schema" }, "title": { "description": "The title on the API descriptor URL provided.", "type": "string" }, "description": { "description": "The description of the type.", "type": "string" }, "selfLink": { "description": "Output only. Self link for the type provider.", "type": "string" }, "name": { "description": "The base type or composite type name.", "type": "string" }, "kind": { "type": "string", "description": "Output only. Type of the output. Always `deploymentManager#TypeInfo` for TypeInfo." }, "documentationLink": { "type": "string", "description": "For swagger 2.0 externalDocs field will be used. For swagger 1.2 this field will be empty." } }, "id": "TypeInfo" }, "TypeProviderLabelEntry": { "properties": { "value": { "description": "Value of the label", "type": "string" }, "key": { "description": "Key of the label", "type": "string" } }, "type": "object", "description": "Label object for TypeProviders", "id": "TypeProviderLabelEntry" }, "TargetConfiguration": { "id": "TargetConfiguration", "type": "object", "properties": { "config": { "$ref": "ConfigFile", "description": "The configuration to use for this deployment." }, "imports": { "description": "Specifies any files to import for this configuration. This can be used to import templates or other files. For example, you might import a text file in order to use the file in a template.", "type": "array", "items": { "$ref": "ImportFile" } } } }, "Manifest": { "properties": { "config": { "$ref": "ConfigFile", "description": "Output only. The YAML configuration for this manifest." }, "insertTime": { "type": "string", "description": "Output only. Creation timestamp in RFC3339 text format." }, "layout": { "description": "Output only. The YAML layout for this manifest.", "type": "string" }, "manifestSizeBytes": { "format": "int64", "type": "string", "description": "Output only. The computed size of the fully expanded manifest." }, "id": { "format": "uint64", "type": "string" }, "manifestSizeLimitBytes": { "format": "int64", "description": "Output only. The size limit for expanded manifests in the project.", "type": "string" }, "selfLink": { "description": "Output only. Self link for the manifest.", "type": "string" }, "name": { "description": "Output only. The name of the manifest.", "type": "string" }, "imports": { "type": "array", "items": { "$ref": "ImportFile" }, "description": "Output only. The imported files for this manifest." }, "expandedConfig": { "description": "Output only. The fully-expanded configuration file, including any templates and references.", "type": "string" } }, "type": "object", "id": "Manifest" }, "Type": { "type": "object", "properties": { "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "labels": { "items": { "$ref": "TypeLabelEntry" }, "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`.", "type": "array" }, "base": { "description": "Base Type (configurable service) that backs this Type.", "$ref": "BaseType" }, "id": { "format": "uint64", "type": "string" }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "operation": { "$ref": "Operation", "description": "Output only. The Operation that most recently ran, or is currently running, on this type." }, "selfLink": { "type": "string", "description": "Output only. Server defined URL for the resource." }, "name": { "description": "Name of the type.", "type": "string" } }, "id": "Type", "description": "A resource type supported by Deployment Manager." }, "DeploymentLabelEntry": { "id": "DeploymentLabelEntry", "description": "Label object for Deployments", "type": "object", "properties": { "value": { "description": "Value of the label", "type": "string" }, "key": { "type": "string", "description": "Key of the label" } } }, "TypesListResponse": { "properties": { "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" }, "types": { "items": { "$ref": "Type" }, "type": "array", "description": "Output only. A list of resource types supported by Deployment Manager." } }, "description": "A response that returns all Types supported by Deployment Manager", "id": "TypesListResponse", "type": "object" }, "AuditConfig": { "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } } }, "id": "AuditConfig" }, "ConfigFile": { "type": "object", "id": "ConfigFile", "properties": { "content": { "description": "The contents of the file.", "type": "string" } } }, "DeploymentUpdateLabelEntry": { "properties": { "value": { "description": "Value of the label", "type": "string" }, "key": { "type": "string", "description": "Key of the label" } }, "type": "object", "id": "DeploymentUpdateLabelEntry", "description": "Label object for DeploymentUpdate" }, "CompositeType": { "type": "object", "properties": { "operation": { "$ref": "Operation", "description": "Output only. The Operation that most recently ran, or is currently running, on this composite type." }, "insertTime": { "description": "Output only. Creation timestamp in RFC3339 text format.", "type": "string" }, "id": { "format": "uint64", "type": "string" }, "name": { "type": "string", "description": "Name of the composite type, must follow the expression: `[a-z]([-a-z0-9_.]{0,61}[a-z0-9])?`." }, "status": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "UNKNOWN_STATUS", "DEPRECATED", "EXPERIMENTAL", "SUPPORTED" ] }, "selfLink": { "type": "string", "description": "Output only. Server defined URL for the resource." }, "description": { "type": "string", "description": "An optional textual description of the resource; provided by the client when the resource is created." }, "templateContents": { "$ref": "TemplateContents", "description": "Files for the template type." }, "labels": { "type": "array", "items": { "$ref": "CompositeTypeLabelEntry" }, "description": "Map of labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`." } }, "id": "CompositeType", "description": "Holds the composite type." }, "ValidationOptions": { "type": "object", "description": "Options for how to validate and process properties on a resource.", "properties": { "undeclaredProperties": { "enum": [ "UNKNOWN", "INCLUDE", "IGNORE", "INCLUDE_WITH_WARNINGS", "IGNORE_WITH_WARNINGS", "FAIL" ], "enumDescriptions": [ "", "Always include even if not present on discovery doc.", "Always ignore if not present on discovery doc.", "Include on request, but emit a warning.", "Ignore properties, but emit a warning.", "Always fail if undeclared properties are present." ], "description": "Specify what to do with extra properties when executing a request.", "type": "string" }, "schemaValidation": { "enumDescriptions": [ "", "Ignore schema failures.", "Ignore schema failures but display them as warnings.", "Fail the resource if the schema is not valid, this is the default behavior." ], "enum": [ "UNKNOWN", "IGNORE", "IGNORE_WITH_WARNINGS", "FAIL" ], "type": "string", "description": "Customize how deployment manager will validate the resource against schema errors." } }, "id": "ValidationOptions" }, "ServiceAccount": { "description": "Service Account used as a credential.", "properties": { "email": { "type": "string", "description": "The IAM service account email address like test@myproject.iam.gserviceaccount.com" } }, "id": "ServiceAccount", "type": "object" }, "OperationsListResponse": { "type": "object", "description": "A response containing a partial list of operations and a page token used to build the next request if the request has been truncated.", "properties": { "operations": { "items": { "$ref": "Operation" }, "description": "Output only. Operations contained in this list response.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Output only. A token used to continue a truncated list request." } }, "id": "OperationsListResponse" }, "Policy": { "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "type": "array", "description": "Specifies cloud audit logging configuration for this policy." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "Deployment": { "id": "Deployment", "type": "object", "properties": { "insertTime": { "type": "string", "description": "Output only. Creation timestamp in RFC3339 text format." }, "selfLink": { "type": "string", "description": "Output only. Server defined URL for the resource." }, "update": { "$ref": "DeploymentUpdate", "description": "Output only. If Deployment Manager is currently updating or previewing an update to this deployment, the updated configuration appears here." }, "operation": { "description": "Output only. The Operation that most recently ran, or is currently running, on this deployment.", "$ref": "Operation" }, "fingerprint": { "format": "byte", "type": "string", "description": "Provides a fingerprint to use in requests to modify a deployment, such as `update()`, `stop()`, and `cancelPreview()` requests. A fingerprint is a randomly generated value that must be provided with `update()`, `stop()`, and `cancelPreview()` requests to perform optimistic locking. This ensures optimistic concurrency so that only one request happens at a time. The fingerprint is initially generated by Deployment Manager and changes after every request to modify data. To get the latest fingerprint value, perform a `get()` request to a deployment." }, "manifest": { "type": "string", "description": "Output only. URL of the manifest representing the last manifest that was successfully deployed. If no manifest has been successfully deployed, this field will be absent." }, "name": { "type": "string", "description": "Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash." }, "target": { "$ref": "TargetConfiguration", "description": "[Input Only] The parameters that define your deployment, including the deployment configuration and relevant templates." }, "description": { "description": "An optional user-provided description of the deployment.", "type": "string" }, "updateTime": { "description": "Output only. Update timestamp in RFC3339 text format.", "type": "string" }, "labels": { "type": "array", "items": { "$ref": "DeploymentLabelEntry" }, "description": "Map of One Platform labels; provided by the client when the resource is created or updated. Specifically: Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?` Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`." }, "id": { "format": "uint64", "type": "string" } } }, "TestPermissionsRequest": { "id": "TestPermissionsRequest", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.", "type": "array" } } }, "TypeLabelEntry": { "type": "object", "properties": { "key": { "description": "Key of the label", "type": "string" }, "value": { "description": "Value of the label", "type": "string" } }, "id": "TypeLabelEntry", "description": "Label object for Types" }, "TemplateContents": { "id": "TemplateContents", "description": "Files that make up the template contents of a template type.", "type": "object", "properties": { "interpreter": { "type": "string", "enum": [ "UNKNOWN_INTERPRETER", "PYTHON", "JINJA" ], "description": "Which interpreter (python or jinja) should be used during expansion.", "enumDescriptions": [ "", "", "" ] }, "imports": { "items": { "$ref": "ImportFile" }, "description": "Import files referenced by the main template.", "type": "array" }, "template": { "type": "string", "description": "The contents of the main template file." }, "mainTemplate": { "description": "The filename of the mainTemplate", "type": "string" }, "schema": { "description": "The contents of the template schema.", "type": "string" } } }, "TypeProvidersListResponse": { "type": "object", "description": "A response that returns all Type Providers supported by Deployment Manager", "properties": { "typeProviders": { "description": "Output only. A list of resource type providers supported by Deployment Manager.", "items": { "$ref": "TypeProvider" }, "type": "array" }, "nextPageToken": { "description": "A token used to continue a truncated list request.", "type": "string" } }, "id": "TypeProvidersListResponse" } }, "servicePath": "" }
]===]))
